Suite Pro for ActiveX Overview

CommandBars, DockingPanes, Property Grid, Report Control, TaskPanel, ShortcutBar, SkinFramework, Suite Controls SyntaxEdit
Suite Pro ActiveX Controls v19.3
Suite Pro for ActiveX Overview

Suite Pro for ActiveX gives you the ability to quickly and easily create professional applications that have the latest visual styles and advanced features that are seen in such products as Microsoft® Office and Microsoft® Visual Studio .NET.

Supported Environments
Visual Studio 2019
Visual Studio 2017
Visual Studio 2015
Visual Studio 2013
Visual Studio 2012
Visual Studio 2010
Visual Studio 2008
Visual Studio 2005
Visual Studio 2003
Visual Studio 2002
Visual Basic 6.0
Supported Operating Systems ( x32, x64 )
Windows 10
Windows 8.1
Windows 8
Windows 7
Windows Vista
Windows XP
Windows Me
Windows 2000
Windows 98 SE
Windows 98
Windows 95
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2
Windows Server 2012
Windows Server 2008 R2
Windows Server 2008
Windows Server 2003 R2
Windows Server 2003
Windows Server 2000
Windows NT 4.0
Minimum Requirements
Windows 95 / NT 4.0
Visual Basic 6.0
Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.
What do you think about this topic? Send feedback!


Files Required for Distribution
Files Required when Distributing Software with Codejock Components
Required Files:

When distributing software that includes components from Codejock Software the following files should be installed on the client machine:

  • OCX files for each Codejock control used.
  • If installing on Windows 95 or Windows NT, then mfc42.dll must be installed.

Files to Distribute in Addition to the OCX files:
  • If you use the Chart Control you will need to include GDIPlus.dll. This file is NOT included on Windows 2000 and earlier. By Default it is included on Windows XP and newer.

  • If you use Command Bars and created your CommandBar with the Command Bars Designer Studio then you need to include the XCB or XML file that the Designer Studio created for you. The LoadDesignerBars method is used to load the XCB file. Both the LoadStateFromString and LoadStateFromXMLString methods will load a string that contains the state of the CommandBars. If you store the string in an external file you will need to include this file.

  • If you use the LoadBitmap, LoadIcon, or AddIcon (If Icon is obtained externally) methods to load your image files, you will need to include the image files.

  • If you use the Resource property of the GlobalSettings class to provide language support for languages other than English, then you must include the language DLL for each language you support.

  • The XML features require Internet Explorer 5.0 or later to be installed on the client machine. Or you can include the msxml3.dll file with your installation.
Notes:
  • Each OCX file must be installed and registered for each Codejock control used on the client machine. The OCX files are the only files required to be installed on the client machine with the exception of those noted in the "Files to Distribute in Addition to the OCX files" section above. If you plan to support UNICODE, then you must compile your project using the UNICODE version of the OCX and you would then distribute the UNICODE OCX on the client machine.

  • You can install the OCX files in any location.

  • OCX registration is done with the regsvr32 tool. If your installer supports this, then you can have your installer register the OCX files for you.

  • There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property.

    The 2 most common times this is needed:
    1. If you are using VisualStudio 2003 or above with C# or VB.NET then you will need to embed the LIC information.
    2. If you create the Codejock object in code (i.e. Call CreateObject and did not place the control on a form), in this case you must embed the LIC information within the scope of the object it is created.

    The License property is located in the GlobalSettings class for each control. The code below illustrates how to use the License property for each control used:

    IMPORTANT: Replace the XXX-XXX-XXX-XXX in the following code with the correct LIC code from your CURRENT version. This MUST be updated each time your upgrade your version of Codejock controls. The LIC string will ALWAYS CHANGE each time a new release is out.

    VB6 Code
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2015 Codejock Software" & vbCrLf & _
                                    "PRODUCT-ID: Codejock.CommandBars.ActiveX.v19.3" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2015 Codejock Software" & vbCrLf & _
                                    "PRODUCT-ID: Codejock.DockingPane.ActiveX.v19.3" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2015 Codejock Software" & vbCrLf & _
                                     "PRODUCT-ID: Codejock.PropertyGrid.ActiveX.v19.3" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2015 Codejock Software" & vbCrLf & _
                                      "PRODUCT-ID: Codejock.ReportControl.ActiveX.v19.3" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    C# Code
    public frmMain()
{
    XtremeCommandBars.CommandBarsGlobalSettingsClass CommandBarsSettings =
        new XtremeCommandBars.CommandBarsGlobalSettingsClass();

    CommandBarsSettings.License =
        "CommandBars Control Copyright (c) 2003-2015 " +
        "Codejock Software\r\n" +
        "PRODUCT-ID: Codejock.CommandBars.ActiveX.v19.3\r\n" +
        "VALIDATE-CODE: XXX-XXX-XXX-XXX";

    //
    // Required for Windows Form Designer support
    //
    InitializeComponent();
}
    VB.NET Code
    Public Sub New()

    MyBase.New()

    Dim CommandBarsSettings As _
        XtremeCommandBars.CommandBarsGlobalSettingsClass = _
        New XtremeCommandBars.CommandBarsGlobalSettingsClass

    CommandBarsSettings.License = "CommandBars Control Copyright (c) " + _
    "2003-2015 Codejock Software" + ControlChars.CrLf + "PRODUCT-ID: " + _
    "Codejock.CommandBars.ActiveX.v19.3" + ControlChars.CrLf + _
    "VALIDATE-CODE: XXX-XXX-XXX-XXX"

    'This call is required by the Windows Form Designer.
    InitializeComponent()

    'Add any initialization after the InitializeComponent() call
End Sub
    You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

    IMPORTANT: The LIC must match EXACTLY down to carriage returns, line feeds and CASE, this is one of the mose common mistakes made when embeding license information. The other common istake is to not replace the "X"'s in the sample code or not updating the license information when upgrading versions.
Supported Operating Systems ( x32, x64 )
Windows 10
Windows 8.1
Windows 8
Windows 7
Windows Vista
Windows XP
Windows Me
Windows 2000
Windows 98 SE
Windows 98
Windows 95
Windows Server 2019
Windows Server 2016
Windows Server 2012 R2
Windows Server 2012
Windows Server 2008 R2
Windows Server 2008
Windows Server 2003 R2
Windows Server 2003
Windows Server 2000
Windows NT 4.0
Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.
What do you think about this topic? Send feedback!


Calendar ActiveX Controls v19.3

Calendar ActiveX Control v19.3
Calendar ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
CalendarCaptionBar | Calendar Caption Bar Control.
CalendarControl | The CalendarControl Control object implements the calendar's view interface.
DatePicker | The DatePicker Control encapsulates the functionality of a date and time picker control.
Classes
Class Module | Description
CalendarCustomProperties | Object that represents a collection of user defined custom data that can be attached to an event or recurrence pattern.
CalendarDataProvider | The CalendarDataProvider Object represents the data portion of the Calendar control.
CalendarDayView | This object implements a specific view portion of the Calendar Control called a Day View.
CalendarDayViewCellParams | Object the BeforeDrawDayViewCell event uses to customize the background color of time cells in Day View and Work Week View.
CalendarDialogs | Object used to manage the built in calendar dialogs.
CalendarEditOperationParameters | Object used by the IsEditOperationDisabled and BeforeEditOperation events for event editing during edit operations.
CalendarEvent | Represents the data of a single Event used in the Calendar Control.
CalendarEventCategories | Collection of CalendarEventCategory objects for an event.
CalendarEventCategory | Calendar Event Category properties.
CalendarEventCategoryIDs | Represents the collection of event categories IDs.
CalendarEventLabel | Represents a single label object.
CalendarEventLabels | Represents a collection of CalendarEventLabel objects.
CalendarEvents | The CalendarEvents Object represents a simple array collection of CalendarEvent objects.
CalendarFlagsSet | Interface used to get and set which calendar text strings will be custom drawn or to customize calendar parts before they are drawn.
CalendarGetItemTextParams | Object used with the GetItemText event that contains the Text, ViewDay, ViewEvent and WeekDay properties of a calendar item that is about to be drawn.
CalendarGlobalSettings | Calendar global settings, such as application name and resource file
CalendarHitTestInfo | The CalendarHitTestInfo Object is used to store information for the "HitTest" methods to test points on the Calendar Control.
CalendarIconIDs | Represents the collection of custom icons IDs
CalendarMonthView | This object implements a specific view portion of the Calendar Control called Month View.
CalendarOptions | The CalendarOptions Object contains all calendar options that can be changed by the user.
CalendarPrintOptions | Options used to specify how the Calendar will look when printed .
CalendarRecurrencePattern | The CalendarRecurrencePattern Object represents a recurrence pattern and stores data to build a schedule for recurrence events.
CalendarRecurrencePatternOptions | The CalendarRecurrencePatternOptions Object defines a set of Recurrence Pattern options and is used by a RecurrencePattern object to easily manage and transfer recurrence pattern data.
CalendarReminder | CalendarReminder describes a reminder for a calendar event and implements base properties and operations for the reminder.
CalendarReminders | CalendarReminders represents a simple array collection of CalendarReminder objects.
CalendarResource | A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.
CalendarResourceDescription | CalendarResourceDescription is an object that describes a CalendarResource that has been added to the CalendarResourcesManager.
CalendarResources | Represents a collection of CalendarResource objects.
CalendarResourcesManager | Object used to manage resources and schedules in the calendar.
CalendarSchedule | Represents a property of the CalendarEvent, which indicates which Schedule (which could a person's schedule, a common resource schedule, etc) the event belongs to.
CalendarScheduleIDs | Collection of Schedule Ids for all the CalendarSchedule objects that have been added to a CalendarResource.
CalendarSchedules | Collection of CalendarSchedule objects
CalendarSystemTime | The CalendarSystemTime object represents a date and time using individual members for the month, day, year, weekday, hour, minute, second, and millisecond.
CalendarThemeColorGradient | Represents a color gradient object that is used to color some of the calendar components.
CalendarThemeDayViewAllDayEvents | Colors used to draw the day view all day events section when the Office 2007 theme is used.
CalendarThemeDayViewCell | Colors used to draw the day view cells when the Office 2007 theme is used.
CalendarThemeDayViewCellColors | Colors used to draw an individual cell in day view when the Office 2007 theme is used.
CalendarThemeDayViewCellParams | Set of parameters transferred from calendar items for the BeforeDrawThemeObject event.
CalendarThemeDayViewTimeScale | Colors used to draw the time scale components in day view when the Office 2007 theme is used.
CalendarThemeDayViewTimeScaleCellParams | Set of parameters transferred from calendar items for the BeforeDrawThemeObject event.
CalendarThemeEventIconsToDraw | Represents options for the calendar event standard icons to be drawn.
CalendarThemeFontColor | The CalendarThemeFontColor object represents a calendar element's text font and text color properties. This is used to specify font and color of all text
CalendarThemeFormulaMulDivC | Object that is used to hold the parameters used to calculate the minimum width or height of objects in the calendar.
CalendarThemeHeaderBackground | Header background images.
CalendarThemeHeaderText | The CalendarThemeHeaderText object represents calendar header text properties for different header states.
CalendarThemeImageList | The CalendarThemeImageList object is a collection used to set user bitmaps to customize some Calendar elements which are drawn using bitmap patterns. These images are headers (day, group, week,...) and scroll/expand day buttons.
CalendarThemeOffice2007 | Represents the Office 2007 theme.
CalendarThemeOffice2007DayView | Represents all the colors used to draw the calendar when in day view and the theme is Office 2007.
CalendarThemeOffice2007DayViewDay | Represents all the colors used to draw the calendar DayView object when the theme is Office 2007.
CalendarThemeOffice2007DayViewDayGroup | This interface represents calendar DayView Day Group (resource) object properties.
CalendarThemeOffice2007DayViewEvent | This interface represents calendar DayView event base properties.
CalendarThemeOffice2007DayViewEventMultiDay | This interface represents calendar DayView multi-day event properties.
CalendarThemeOffice2007DayViewEventSingleDay | This interface represents calendar DayView single-day event properties.
CalendarThemeOffice2007Event | This interface represents calendar event common properties.
CalendarThemeOffice2007EventFontsColors | This interface represents calendar event elements properties.
CalendarThemeOffice2007Header | Represents the calendar header properties when the theme is Office 2007.
CalendarThemeOffice2007MonthView | This interface represents calendar MonthView properties.
CalendarThemeOffice2007MonthViewDay | This interface represents properties for a day object in MonthView.
CalendarThemeOffice2007MonthViewEvent | This interface represents properties for an event object displayed in MonthView.
CalendarThemeOffice2007MonthViewEventMultiDay | This interface represents properties for a multiple day event object displayed in MonthView.
CalendarThemeOffice2007MonthViewEventSingleDay | This interface represents properties for a single all day event object displayed in MonthView.
CalendarThemeOffice2007MonthViewWeekHeader | This interface represents calendar MonthView vertical left Week header properties.
CalendarThemeOffice2007PrevNextEventButtons | This interface represents the Previous\Next appointment buttons that are visible in day view using the Office 2007 theme.
CalendarThemeOffice2007WeekView | This interface represents calendar WeekView properties.
CalendarThemeOffice2007WeekViewDay | This interface represents properties for a day object in WeekView.
CalendarThemeOffice2007WeekViewEvent | This interface represents properties for an event object displayed in WeekView.
CalendarThemeOffice2007WeekViewEventMultiDay | This interface represents properties for a multiple day event object displayed in WeekView.
CalendarThemeOffice2007WeekViewEventSingleDay | This interface represents properties for a single all day event object displayed in WeekView.
CalendarThemeRect | Rectangle object.
CalendarTimeLineView | Outlook 2003\2007 style time line view.
CalendarTimeZone | The CalendarTimeZone object specifies information specific to the time zone.
CalendarTimeZones | This object represents a simple array collection of CalendarTimeZone objects.
CalendarUserAction |
CalendarView | This object represents the current view portion of the Calendar control.
CalendarViewDay | The CalendarViewDay Object represents a single "day" in the Calendar Control.
CalendarViewEvent | The CalendarViewEvent Object represents a single "event view" in a day.
CalendarViewEvents | Collection of CalendarViewEvent objects.
CalendarViewGroup | Draws a single CalendarResource for a day in the calender.
CalendarViewGroups | Collection of CalendarViewGroup objects that represent all the groups displayed for a single day in the calender.
CalendarViewSelection | Object used to hold the currently selected time values\ days in the current view.
CalendarWeekView | This object implements a specific view portion of the Calendar Control called Week View.
ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DatePickerDayMetrics | Represents a set of parameters which are used to display each day item in the Date Picker.
DatePickerPaintManager | This paint manager handles most of the drawing activities for the DatePicker control.
DatePickerSelection | Objects that contains all of the currently selected dates.
DatePickerSelectionBlock | Represents a single continuous block of selected days.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
PrintInfo |
PrintPageHeaderFooter | Represents a custom caption string for Print Options which could be customized for a top line of the print header (header header) and a bottom line (header footer).
PropExchange | Object used for reading and writing CommandBar, Docking Pane, Task Panel, Report Control, and Calendar layout information to\from a XML file, the registry, or binary file.
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
XtremePrinterInfo | Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.
XtremePrintPreviewOptions | Object that contains print preview options.
Public Enumerations
Enumeration | Description
CalendarBeforeDrawThemeObject | This enumeration defines a set of calendar parts for which the BeforeDrawThemeObject event is fired.
CalendarCaptionBarThemeObject | Enumerates Calendar Caption Bar graphical objects.
CalendarCurrentTimeMarkFlags | Specifies when the time marker is displayed on the time scale.
CalendarDataProviderCacheMode | Available Cache Modes.
CalendarEditOperation | Edit operations that can be performed on events in the Calendar Control.
CalendarEventBusyStatus | Enumerates event busy status values.
CalendarEventIconIDs | Icons IDs set to be used with calendar event custom icons to customize standard event glyphs.
CalendarEventImportance | Enumerates event importance level values.
CalendarEventRecurrenceState | Enumerates event recurrence states.
CalendarHitTestCode | Hit test codes.
CalendarPatternEnd | Specifies when and how a recurring event will end.
CalendarRecurrenceType | Types of Recurrence Pattern Types.
CalendarRemindersAction | Actions that specify which reminder operation has occurred.
CalendarResourcesManagerDataProviderFlags | Data provider creation flags.
CalendarSelectionChanged | Calendar selection types.
CalendarTheme | Specifies the visual themes which are used to display command bars.
CalendarViewType | Indicates the calendar view type.
CalendarWeekDay | Days of the Week codes.
DatePickerBorderStyle | Border style of the Date Picker control.
XTPCalendarAdditionalOptions | Additional calendar options.
XTPCalendarExpandDayButton |
XTPCalendarGetItemText | Defines a set of flags which allow the calendar to determine which text strings are about to be drawn.
XTPCalendarGetItemTextEx | Defines a set of flags which allow the calendar to determine which text strings are about to be drawn. These are used for the Office 2007 theme only.
XTPCalendarScrollDayButton |
XTPCalendarUserAction |
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies the state of an icon.
Chart Styles

Calendar Caption Bar Control.

Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

See Also

CalendarCaptionBar Members

See Also Calendar ActiveX Control v19.3

CalendarCaptionBar Control

Description

Calendar Caption Bar Control.

For a list of all members defined in this module, see CalendarCaptionBar members.

Object Model

Remarks

CalendarCaptionBar represents a CalendarCaptionBar control and is used as a part of the CalendarControl object. They looks and works as a single control but separated on 2 objects for customization possibilities.

When using the Caption Bar Control you will need to hide the built in Caption bar for the main calendar and then manually position and size the caption bar control to your needs.

Aside from adding additional customization such as background color and border width, the main advantage of using the Caption Bar Control is the expand button. With is you can expand the caption bar to display additional information such as search boxes.

See Also

CalendarCaptionBar Members

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%% $$Members$$

CalendarCaptionBar Overview

See Also Calendar ActiveX Control v19.3

CalendarCaptionBar Control Members

Public Methods

Public Method AttachToCalendar | Associates a CaptionBar Control with a Calendar Control.
Public Method ButtonTitle | Sets the captions used for buttons in the caption bar.
Public Method DetachFromCalendar | Un-associates a CaptionBar Control with a Calendar Control.

Public Properties

Public Property BackgroundColor | Gets or sets the background color of the caption bar.
Public Property BorderColor | Gets or sets the border color of the caption bar.
Public Property BorderWidthBottom | Gets or sets the width of the bottom border of the caption bar.
Public Property BorderWidthLeft | Gets or sets the width of the left border of the caption bar.
Public Property BorderWidthRight | Gets or sets the width of the right border of the caption bar.
Public Property BorderWidthTop | Gets or sets the width of the top border of the caption bar.
Public Property Calendar | Ges or sets a reference to the attached calendar control.
Public Property ExpandButtonChecked | Gets or sets whether the expand button is checked.
Public Property MinHeight | Retrieves the minimum height required to show a CaptionBar control.
Public Property MinWidth | Retrieves the minimum width required to show a CaptionBar control.
Public Property OneLineCaptionBar | Specifies whether the caption bar is displayed on one line or two lines.
Public Property ReCreateReparented |
Public Property ShowDateLabel | Gets or sets whether the calendar caption bar date label is displayed.
Public Property ShowExpandButton | Specifies whether to show the caption bar expand button.
Public Property ShowMultiColumnsButton | Specifies whether to show the multi column button in the caption bar. This button is displayed by default when in week view.
Public Property ShowScrollDateButtons | Gets or sets whether the calendar caption bar scroll date buttons are displayed.
Public Property ShowSwitchViewButtons | Gets or sets whether the calendar caption bar switch view buttons are displayed.
Public Property ShowTimelineButton | Specifies whether the "Time Line" radio button is displayed in the caption bar.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display calendar caption bar control.

Events

Public Event BeforeItemClick | Occurs when a part of the Caption Bar is clicked. This event occurs before the item knows it has been clicked.
Public Event ExpandButtonClick | Occurs when the expand button is clicked.
Public Event ReCreated |

See Also

CalendarCaptionBar Overview


%%PageItemTitle%%

CalendarCaptionBar Control | DetachFromCalendar Method

Calendar
Reference to a Calendar Control.
See Also Calendar ActiveX Control v19.3

AttachToCalendar Method

Description

Associates a CaptionBar Control with a Calendar Control.

Syntax

Public Sub AttachToCalendar( _
   ByVal Calendar As CalendarControl _
)

Parameters

Calendar
Reference to a Calendar Control.

Remarks

The AttachToCalendar method provides a connection between a CalendarControl object and a CaptionBar object.

The AttachToCalendar method provides synchronization facilities between the CalendarControl and CaptionBar Control. It works as a "glue" between both controls and reflects changes on one of them to the corresponded changes on the second one. For example, if a view button such as the "Month" button is clicked on the CaptionBar, then that view will become visible in the calendar.

Example

[CaptionBar Sample (C#) (C#)] This sample illustrates how to syncronize the Captionbar with the CalendarControl. This sample assumes that the CaptionBar Control is located on a form named CaptionBar and the Calendar Control is located on a form called frmMain. The FrmMain form has a Static Public variable named Instance that references the frmMain form.AttachToCalendar Sample (C#) Copy Code

        private void InitializeCaptionBar()
        {
            XtremeCalendarControl.CalendarControl pCalendarOcx =
                ( (XtremeCalendarControl.CalendarControl)(frmMain.Instance.CalendarControl.GetOcx()) );

            CaptionBar.AttachToCalendar(pCalendarOcx);

        }

[CaptionBar Sample (VB) (Visual Basic)] This sample illustrates how to syncronize the CaptionBar with the CalendarControl. This sample assumes that the CaptionBar Control is located on a form named wndCaptionBar and the Calendar Control is located on a form called frmMain.AttachToCalendar Sample (Visual Basic) Copy Code

wndCaptionBar.AttachToCalendar frmMain.wndCalendarControl

See Also

CalendarCaptionBar Control | DetachFromCalendar Method


%%PageItemTitle%%

CalendarCaptionBar Control

iNumber

Index of button to change.

Valid Button Indexes:

0 - Day Button

1 - Week Button

2 - Month Button

3 - Time Line Button

4 - Work Week Button

5 - Full Week Button

6 - Multi-Column Button

sTitle
See Also Calendar ActiveX Control v19.3

ButtonTitle Method

Description

Sets the captions used for buttons in the caption bar.

Syntax

Public Sub ButtonTitle( _
   ByVal iNumber As Integer, _
   ByVal sTitle As String _
)

Parameters

iNumber

Index of button to change.

Valid Button Indexes:

0 - Day Button

1 - Week Button

2 - Month Button

3 - Time Line Button

4 - Work Week Button

5 - Full Week Button

6 - Multi-Column Button

sTitle

Remarks

ButtonTitle allows the text of the calendar caption buttons to be changed. To hide a button you can set the text to "" and it will be hidden. Simply pass in the index of the button you which to change and provide a new caption for it. RefreshCaptionBar must be called after changes are made to see the changes.

For Example:
CalendarCaptionBar.ButtonTitle 0, "D"
CalendarCaptionBar.ButtonTitle 1, "W"
CalendarCaptionBar.ButtonTitle 2, "M"
CalendarCaptionBar.ButtonTitle 3, "TL"
CalendarCaptionBar.ButtonTitle 4, "WW"
CalendarCaptionBar.ButtonTitle 5, "FW"
CalendarCaptionBar.ButtonTitle 6, "III"

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control | AttachToCalendar Method

See Also Calendar ActiveX Control v19.3

DetachFromCalendar Method

Description

Un-associates a CaptionBar Control with a Calendar Control.

Syntax

Public Sub DetachFromCalendar()

See Also

CalendarCaptionBar Control | AttachToCalendar Method


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

Gets or sets the background color of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Gets or sets the border color of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BorderWidthBottom Property

Description

Gets or sets the width of the bottom border of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderWidthBottom() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BorderWidthLeft Property

Description

Gets or sets the width of the left border of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderWidthLeft() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BorderWidthRight Property

Description

Gets or sets the width of the right border of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderWidthRight() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

BorderWidthTop Property

Description

Gets or sets the width of the top border of the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderWidthTop() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control | AttachToCalendar Method

See Also Calendar ActiveX Control v19.3

Calendar Property

Description

Ges or sets a reference to the attached calendar control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Calendar() As CalendarControl

See Also

CalendarCaptionBar Control | AttachToCalendar Method


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ExpandButtonChecked Property

Description

Gets or sets whether the expand button is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandButtonChecked() As Boolean

Remarks

When the expand button is checked it will appear as 2 up arrows, when it is not checked it will appear as 2 down arrows.

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

MinHeight Property

Description

Retrieves the minimum height required to show a CaptionBar control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinHeight() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

MinWidth Property

Description

Retrieves the minimum width required to show a CaptionBar control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinWidth() As Long

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

OneLineCaptionBar Property

Description

Specifies whether the caption bar is displayed on one line or two lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OneLineCaptionBar() As Boolean

Return Type

True if the this One Line mode is used.

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ShowDateLabel Property

Description

Gets or sets whether the calendar caption bar date label is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowDateLabel() As Boolean

Remarks

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ShowExpandButton Property

Description

Specifies whether to show the caption bar expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButton() As Boolean

Remarks

The caption bar expand button is the button the looks like two up\down arrows at the right of the caption bar.

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ShowMultiColumnsButton Property

Description

Specifies whether to show the multi column button in the caption bar. This button is displayed by default when in week view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMultiColumnsButton() As Boolean

Remarks

This button is used to allow you to switch between the Outlook 2003 and Outlook 2007 styles of displaying a full week. You must be in xtpCalendarWeekView or xtpCalendarFullWeekView view for this button to have any effect.

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ShowScrollDateButtons Property

Description

Gets or sets whether the calendar caption bar scroll date buttons are displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowScrollDateButtons() As Boolean

Remarks

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ShowSwitchViewButtons Property

Description

Gets or sets whether the calendar caption bar switch view buttons are displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSwitchViewButtons() As Boolean

Remarks

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control | EnableTimelineButton Property

See Also Calendar ActiveX Control v19.3

ShowTimelineButton Property

Description

Specifies whether the "Time Line" radio button is displayed in the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTimelineButton() As Boolean

Remarks

The Time Line button allows the user to put the calendar into time line mode.

See Also

CalendarCaptionBar Control | EnableTimelineButton Property


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display calendar caption bar control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As CalendarTheme

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control

objectID
Object in the caption bar that was clicked.
bCancelOperation
Set to True to cancel the click.
See Also Calendar ActiveX Control v19.3

BeforeItemClick Event

Description

Occurs when a part of the Caption Bar is clicked. This event occurs before the item knows it has been clicked.

Syntax

Public Event BeforeItemClick( _
   ByVal objectID As CalendarCaptionBarThemeObject, _
   ByRef bCancelOperation As Boolean _
)

Parameters

objectID
Value | Description
xtpCalendarCaptionBar_Unknown | Defines Unknown (NULL) value.
xtpCalendarCaptionBar_ButtonViewDay | Defines SwitchViewBar DayViewButton.
xtpCalendarCaptionBar_ButtonViewWeek | Defines SwitchViewBar WeekViewButton.
xtpCalendarCaptionBar_ButtonViewMonth | Defines SwitchViewBar MonthViewButton.
xtpCalendarCaptionBar_ShowWorkWeek | Defines SwitchViewBar ShowWorkWeek radio button.
xtpCalendarCaptionBar_ShowFullWeek | Defines SwitchViewBar ShowFullWeek radio button.
xtpCalendarCaptionBar_ShowTimeline | Defines SwitchViewBar ShowTimeLine radio button.
xtpCalendarCaptionBar_ScrollPrevDate | Defines ScrollDateBar PrevDateButton.
xtpCalendarCaptionBar_ScrollNextDate | Defines ScrollDateBar NextDateButton.
xtpCalendarCaptionBar_DateLabel | Defines ScrollDateBar DateLabel.
xtpCalendarCaptionBar_ButtonExpand | Defines ScrollDateBar Expand Button.
Object in the caption bar that was clicked.
bCancelOperation
Set to True to cancel the click.

Remarks

BeforeItemClick occurs when an item is clicked in the caption bar. The item will not know it has been clicked until this event has exited. This gives you the opportunity to cancel the click or perform some special operation in place of the built in functionality.

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarCaptionBar Control | ExpandButtonChecked Property

See Also Calendar ActiveX Control v19.3

ExpandButtonClick Event

Description

Occurs when the expand button is clicked.

Syntax

Public Event ExpandButtonClick()

Remarks

Check the ExpandButtonChecked property to determine if the button was expanded or collapsed.

See Also

CalendarCaptionBar Control | ExpandButtonChecked Property


%%PageItemTitle%%

CalendarCaptionBar Control

See Also Calendar ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

CalendarCaptionBar Control


%%PageItemTitle%%

CalendarControl Members

See Also Calendar ActiveX Control v19.3

CalendarControl Control

Description

The CalendarControl Control object implements the calendar's view interface.

For a list of all members defined in this module, see CalendarControl members.

Object Model

Remarks

A CalendarControl Control object implements a calendar view interface similar to the Outlook 2003 interface.

There are 2 main separated concepts: Calendar data contents and Calendar views representing these contents.

It can show 3 types of predefined views. The following predefined view implementations are available for the Calendar control: Day and work week views, Week view, and Month view.

Furthermore, any number of days can be displayed while in Day View.

See Also

CalendarControl Members


%%PageItemTitle%% $$Members$$

CalendarControl Overview

See Also Calendar ActiveX Control v19.3

CalendarControl Control Members

Public Methods

Public Method CaptionButtonTitle | Sets the captions used for buttons in the caption bar.
Public Method CreatePrintView | If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Calendar.
Public Method EnableReminders | Enables\disables the use of reminders.
Public Method EnableToolTips | Enables\disabled the use of standard tool tips in the calendar control.
Public Method GetDispatch | Used in .NET or MFC to retrieve self object.
Public Method HideToolTip | Hides a tool tip window.
Public Method IsRemindersEnabled | Returns whether reminders are currently enabled in the calendar.
Public Method IsToolTipVisible | Tests to see if a tool tip is currently visible.
Public Method Populate | Populates the Calendar Control with the Events stored in the associated DataProvider.
Public Method PrintCalendar | Prints the current Calendar view.
Public Method PrintCalendar2 | Prints the current Calendar view.
Public Method PrintPreview | Display a print preview window.
Public Method PrintPreviewExt | Runs printpreview in non-maximized mode with given screen position and size.
Public Method RedrawControl | Initiates redrawing of the Calendar Control's.
Public Method RefreshCaptionBar | Refreshes the caption bar.
Public Method ResetTodayDateOverride | Resets the override for the "today" date to the current date (if an override was performed).
Public Method SelectEventByID | Returns calendar to same view mode as was displayed and selects the day of the event with specified ID.
Public Method SelectViewEventByIdAndGroup | Returns calendar to the view that the specified event is in and selects the view of the event with specified ID.
Public Method SetDataProvider | Sets the Data Provider for the Calender Control.
Public Method SetLongDayHeaderFormat | Lonng Day header format custom string, this can be used with Office 2007 Theme.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the calendar.
Public Method SetMultipleResourcesEx | Sets the new CalendarResources collection for the calendar unsing the specified data provider.
Public Method SetScrollBars | Sets custom ScrollBars from the SuitePackage to be used by the Calendar Control.
Public Method SetTheme | Applies a theme object to the Calendar.
Public Method SetTodayDateOverride | Specifies which day to show as "today" in the calendar.
Public Method ShowPrintPageSetup | Displays a custom "Page Setup" print dialog for the Calendar.

Public Properties

Public Property ActiveView | The calendar view object currently used in this calendar control.
Public Property AskItemTextFlags | Interface used to get and set which calendar text strings will be custom drawn.
Public Property BeforeDrawThemeObjectFlags | Interface used to get and set which calendar objects will be custom drawn when the Office 2007 theme is used.
Public Property ColorScheduleMode | Specifies whether to show Schedule titles in different colors when displaying multiple schedules.
Public Property CustomFormat4Tooltip | Specifies a custom format for event tooltips.
Public Property CustomTitle | Used for unique title - e.g. for PrintJob name.
Public Property DataProvider | Reference to the current data provider instance.
Public Property DayHeaderFormat | Day header format to use when FullDateMode is True.
Public Property DayView | The view of the Calendar Control when in the ViewType is Day or Work Week View.
Public Property DeleteOcurrenceEventIfNoPrompt | True to delete Occurrence event, False - delete Master (default = True).
Public Property Enabled | Gets\sets whether the Calendar Control is Enabled.
Public Property ExpandButtonChecked | Gets\sets whether the expand button is checked.
Public Property FullDateMode | Tells the calendar to use DayHeaderFormat to display header information in day view.
Public Property HideAllDayEventsArea | Hides or shows the All Day events area of the calendar shown in day views.
Public Property HideCaptionBar | Hides or shows the calendar's caption bar.
Public Property hWnd | The hWnd property returns the handle to the Calendar Control.
Public Property MarkupEnabled | Allows the use of a XAML snippet to be used to display text in events\appointments.
Public Property MonthView | The view of the Calendar Control when in the ViewType is Month View.
Public Property MonthViewHideTimes | Specifies whether to suppress drawing time in month view events.
Public Property MultipleResources | Collection of CalendarResources for the Calendar Control.
Public Property MultipleSchedulesMode | Flag to use MutilpleSchedulesModel (one event - many view events case).
Public Property OneLineCaptionBar | Changes the format of the caption bar so that it is displayed on a single line.
Public Property Options | All calendar options that can be changed by the user.
Public Property OwnerUser | User's name when in OwnershipMode.
Public Property PrintOptions | Options that specify how the Calendar View should look when sent to a print device.
Public Property PrintPreviewOptions | Options for print preview.
Public Property PromptToDeleteRecurrentEvent | Flag to use Occurrence or Master case selector (default = True).
Public Property ReadOnlyMode | Puts the calendar into Read Only mode.
Public Property ReCreateReparented |
Public Property Reminders | Collection of all the current event reminders for the Calendar.
Public Property RemindersUpdatePeriod | Specifies the period of time the calendar uses to automatically call the OnReminiders event.
Public Property RightToLeft | Gets or sets a value indicating whether the Calendar elements are aligned to support locales using right-to-left fonts.
Public Property ShowCaptionBar | Gets or sets whether the calendar caption bar is displayed.
Public Property ShowCaptionBarDateLabel | Gets or sets whether the calendar caption bar date label is displayed.
Public Property ShowCaptionBarExpandButton | Specifies whether to show the caption bar expand button.
Public Property ShowCaptionBarScrollDateButtons | Gets or sets whether the calendar caption bar scroll date buttons are displayed.
Public Property ShowCaptionBarSwitchViewButtons | Gets or sets whether the calendar caption bar switch view buttons are displayed.
Public Property ShowMultiColumnsButton | Specifies whether to show the multi column button in the caption bar. This button is displayed by default when in week view.
Public Property ShowTimelineButton | Specifies whether the "Time Line" radio button is displayed in the caption bar.
Public Property ShowTooltipForAllDayEvents | Specifies whether to shows tips for all day events.
Public Property ShowTooltipForNotFocused | Specifies whether to shows tips for not focused events.
Public Property SwitchToDayViewIfPickedSingleDay | Specifies whether to switch to day view when a day is selected in the date picker.
Public Property Theme | Gets the currently set theme for the Calendar.
Public Property TimeLineView | The view of the Calendar Control when in the ViewType is TimeLine View.
Public Property TooltipUnderMouse | Specifies whether tooltips are displayed above or below the poise pointer.
Public Property UseMultiColumnWeekMode | Specfies whether week view (full week) will be displayed as 7 columns (Outlook2007 Style) or as 2 columns (Outlook2003 Style).
Public Property ViewType | Gets\sets the Calender Control's current view.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display calendar control.
Public Property WeekView | The view of the Calendar Control when in the ViewType is Week View.

Events

Public Event BeforeDrawDayViewCell | Occurs before each visible cell is drawn in Day View and Work Week View.
Public Event BeforeDrawThemeObject | Occurs for calendar theme items before they are drawn.
Public Event BeforeEditOperation | Occurs before an edit operation is performed on an event.
Public Event ContextMenu | Occurs when the mouse is right-clicked with the mouse cursor over the Time Scale or over day headers.
Public Event DblClick | Occurs when the mouse is double-clicked anywhere on the Calendar Control.
Public Event DoCreateEvent | Occurs when creating a new event in the data source.
Public Event DoCreateRPattern | Occurs when a new recurrence pattern is created in the data source.
Public Event DoDeleteEvent | Occurs when an event is deleted from the Calendar Control's Data Provider.
Public Event DoDeleteRPattern | Occurs when the RecurrencePattern of an Event has been deleted using the RemoveRecurrence or SetRExceptionDeleted methods of the Event.
Public Event DoGetAllEventsRaw | Occurs when retrieving all events without generating recurrence occurrences.
Public Event DoGetUpcomingEvents | Occurs when reminders are enabled, disabled, snoozed, dismissed, and fired.
Public Event DoReadEvent | Occurs when an event is retrieved from the data source.
Public Event DoReadRPattern | Occurs when a recurrence pattern is read from the data source.
Public Event DoRemoveAllEvents | Occurs when all events have been removed from the data source.
Public Event DoRetrieveDayEvents | Occurs when the RetrieveDayEvents method is used.
Public Event DoUpdateEvent | Occurs when event properties are updated in the data source.
Public Event DoUpdateRPattern | Occurs when recurrence pattern is updated in the database
Public Event EventAddedEx | Occurs when a new event is added to the Calendar Control's Data Provider.
Public Event EventChangedEx | Occurs when any property of a CalendarEvent has changed from it's initial setting when it was added.
Public Event EventDeletedEx | Occurs when an event is deleted from the Calendar Control's Data Provider.
Public Event ExpandButtonClick | Occurs when the ShowCaptionBarExpandButton is clicked.
Public Event GetItemText | Occurs when each calendar defined text string is about to be drawn if some Flags have been set using the SetFlag method.
Public Event IsEditOperationDisabled | Occurs each time an edit operation is possible and can be used to determine\disable different edit operations.
Public Event KeyDown | Occurs when a key is pressed on the keyboard and the Calendar Control has focus.
Public Event MouseDown | Occurs when a button on the mouse is pressed anywhere on the Calendar Control.
Public Event MouseMove | Occurs when the mouse pointer is moved anywhere over the Calendar Control.
Public Event MouseUp | Occurs when a button on the mouse has been released anywhere on the Calendar Control.
Public Event OnReminders | Occurs when reminders are enabled, disabled, snoozed, dismissed, and fired.
Public Event OnUserAction |
Public Event OptionsChanged | Occurs when any of the properties in the Options object are changed.
Public Event PrePopulate | Occurs before the events are displayed in the current Calendar view.
Public Event PrePopulateDay | Occurs before the event and drawn for each day view.
Public Event ReCreated |
Public Event SelectionChanged | Occurs when the selection has changed in the Calendar Control.
Public Event TimeScaleChanged | Occurs when the TimeScale is changed.
Public Event ViewChanged | Occurs any time the View Type is changed.

See Also

CalendarControl Overview


%%PageItemTitle%%

CalendarControl Control | RefreshCaptionBar Method

iNumber

Index of button to change.

Valid Button Indexes:

0 - Day Button

1 - Week Button

2 - Month Button

3 - Time Line Button

4 - Work Week Button

5 - Full Week Button

6 - Multi-Column Button

sTitle
New caption for the button. Setting to "" will remove the button.
See Also Calendar ActiveX Control v19.3

CaptionButtonTitle Method

Description

Sets the captions used for buttons in the caption bar.

Syntax

Public Sub CaptionButtonTitle( _
   ByVal iNumber As Integer, _
   ByVal sTitle As String _
)

Parameters

iNumber

Index of button to change.

Valid Button Indexes:

0 - Day Button

1 - Week Button

2 - Month Button

3 - Time Line Button

4 - Work Week Button

5 - Full Week Button

6 - Multi-Column Button

sTitle
New caption for the button. Setting to "" will remove the button.

Remarks

CaptionButtonTitle allows the text of the calendar caption buttons to be changed. To hide a button you can set the text to "" and it will be hidden. Simply pass in the index of the button you which to change and provide a new caption for it. RefreshCaptionBar must be called after changes are made to see the changes.

For Example:
CalendarControl.CaptionButtonTitle 0, "D"
CalendarControl.CaptionButtonTitle 1, "W"
CalendarControl.CaptionButtonTitle 2, "M"
CalendarControl.CaptionButtonTitle 3, "TL"
CalendarControl.CaptionButtonTitle 4, "WW"
CalendarControl.CaptionButtonTitle 5, "FW"
CalendarControl.CaptionButtonTitle 6, "III"

See Also

CalendarControl Control | RefreshCaptionBar Method


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

CreatePrintView Method

Description

If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Calendar.

Syntax

Public Function CreatePrintView() As Unknown

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | IsRemindersEnabled Method | OnReminders Event | CalendarRemindersAction Enumeration | Event Reminder Property | CalendarReminders Object | CalendarReminder Object | Reminders Property

Enable
True to enable reminders, False to disabled reminders.
See Also Calendar ActiveX Control v19.3

EnableReminders Method

Description

Enables\disables the use of reminders.

Syntax

Public Sub EnableReminders( _
   ByVal Enable As Boolean _
)

Parameters

Enable
True to enable reminders, False to disabled reminders.

Remarks

When EnableReminders is used to enable reminders the OnReminders event will occur with an Action of xtpCalendarRemindersMonitoringStarted. With reminders enabled, the OnReminders event will automatically occur when a reminder is dismissed, snoozed, and when the reminder is set to remind you.

When EnableReminders is used to disable reminders the OnReminders event will occur with an Action of xtpCalendarRemindersMonitoringStopped. The OnReminders event will no longer occur for any reason until EnableReminders is used to enable reminders again.

All events have a Reminder property that can be used to set a reminder for the event.

The IsRemindersEnabled method can be used to determine if reminders are currently enabled.

See Also

CalendarControl Control | IsRemindersEnabled Method | OnReminders Event | CalendarRemindersAction Enumeration | Event Reminder Property | CalendarReminders Object | CalendarReminder Object | Reminders Property


%%PageItemTitle%%

CalendarControl Control | HideToolTip Method | IsToolTipVisible Method

Enable

True to enable standard tool tips.

False to disable standard tool tips.

See Also Calendar ActiveX Control v19.3

EnableToolTips Method

Description

Enables\disabled the use of standard tool tips in the calendar control.

Syntax

Public Sub EnableToolTips( _
   ByVal Enable As Boolean _
)

Parameters

Enable

True to enable standard tool tips.

False to disable standard tool tips.

Remarks

Standard tool tips are displayed automatically when the mouse cursor is hovering over an event which is too small to display the entire subject for the event. A Standard tool tips is a small pop-up window that displays a single line of text describing the hidden text when hovering over an event in the calendar view.

Custom tool tips can also be displayed using the ToolTipText property (This property is inherited so it is not listed in the help). The ToolTipText property can be used in events such as MouseMove to display a custom event based on when the mouse cursor is hovering over. Tool tips do not have to be enabled to display custom tool tips. This way the standard tool tip can be hidden while still displaying custom tool tips. When using custom tool tips, the ToolTipText property will always contain the text to display as a tool tip.

Example

[Custom Tool Tip Sample (Visual Basic)] This sample illustrates how to display a custom tool tip for events while the mouse cursor is positioned over an event.

Private Sub CalendarControl_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim HitTest As CalendarHitTestInfo
    Set HitTest = CalendarControl.ActiveView.HitTest

    If (Not HitTest.ViewEvent Is Nothing) Then
        Debug.Print "MouseMove. HitTest = "; HitTest.ViewEvent.Event.Subject

        'Display the event Id and Subject a a custom tool tip when the mouse is over an event
        CalendarControl.ToolTipText = "[" & HitTest.ViewEvent.Event.Id & "] " & HitTest.ViewEvent.Event.Subject
    Else
        CalendarControl.ToolTipText = ""
    End If
End Sub

See Also

CalendarControl Control | HideToolTip Method | IsToolTipVisible Method


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

GetDispatch Method

Description

Used in .NET or MFC to retrieve self object.

Syntax

Public Function GetDispatch() As Object

Remarks

Used in .NET or MFC only.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | EnableToolTips Method | IsToolTipVisible Method

See Also Calendar ActiveX Control v19.3

HideToolTip Method

Description

Hides a tool tip window.

Syntax

Public Sub HideToolTip()

Remarks

The HideToolTip method is should be called before showing any popup dialogs, menus or in other cases to ensure that the tool tip is not visible.

In all these cases, the tool tip is hidden before the action to ensure a smooth transition.

HideToolTip might also be used to unsure tool tips are hidden while a popup or dialog is open. The IsToolTipVisible method is also useful to use in conjunction with the HideToolTip method to first test if a tool tip is visible before trying to hide them.

See the EnableToolTips help page to see how to add custom tool tips.

See Also

CalendarControl Control | EnableToolTips Method | IsToolTipVisible Method


%%PageItemTitle%%

CalendarControl Control | EnableReminders Method | Reminders Property | OnReminders Event | Event Reminder Property | CalendarRemindersAction Enumeration

See Also Calendar ActiveX Control v19.3

IsRemindersEnabled Method

Description

Returns whether reminders are currently enabled in the calendar.

Syntax

Public Function IsRemindersEnabled() As Boolean

Return Type

True if reminders are enabled, False if reminders are disabled.

Remarks

The EnableReminders method is used to enable\disable reminders in the calendar.

When reminders are enabled the OnReminders event will automatically occur when a reminder is dismissed, snoozed, and when the reminder is set to remind you. The OnReminders event will not occur when reminders are disabled.

See Also

CalendarControl Control | EnableReminders Method | Reminders Property | OnReminders Event | Event Reminder Property | CalendarRemindersAction Enumeration


%%PageItemTitle%%

CalendarControl Control | EnableToolTips Method | HideToolTip Method

See Also Calendar ActiveX Control v19.3

IsToolTipVisible Method

Description

Tests to see if a tool tip is currently visible.

Syntax

Public Function IsToolTipVisible() As Boolean

Return Type

Returns True if a tool tip is currently visible.

Returns False if a tool tip is not currently visible.

Remarks

The IsToolTipVisible method is useful to use in conjunction with the HideToolTip method to first test if a tool tip is visible before trying to hide them.

See the EnableToolTips help page to see how to add custom tool tips.

See Also

CalendarControl Control | EnableToolTips Method | HideToolTip Method


%%PageItemTitle%%

CalendarControl Control | DataProvider Property | SetDataProvider Method

See Also Calendar ActiveX Control v19.3

Populate Method

Description

Populates the Calendar Control with the Events stored in the associated DataProvider.

Syntax

Public Sub Populate()

Remarks

Populates the Calendar Control with the Event data taken from the associated data provider.

See Also

CalendarControl Control | DataProvider Property | SetDataProvider Method


%%PageItemTitle%%

CalendarControl Control | ShowPrintPageSetup Method | PrintOptions Property

lHDC

A device context for a Printer object.

Use 0 to let the CalendarControl auto-detect printer settings and display a dialog for printing.

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

See Also Calendar ActiveX Control v19.3

PrintCalendar Method

Description

Prints the current Calendar view.

Syntax

Public Sub PrintCalendar( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the CalendarControl auto-detect printer settings and display a dialog for printing.

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

Remarks

A call to PrintCalendar will send the current Calendar View directly to the printer.

The PrintOptions property can be used to customize how the Calendar View is printed when PrintCalendar is called. With PrintOptions you can change the page margins, header font, and several other options.

The ShowPrintPageSetup method displays a custom "Page Setup" print dialog for the Calendar. The ShowPrintPageSetup dialog allows users to change all the properties of the PrintOptions object. All settings are stored in the PrintOptions object. When PrintCalendar is called, it will use the settings in PrintOptions.

Example

[Printing the current Calendar View (Visual Basic)] This sample illustrates how to print the current Calendar View.

'Printing using the default printer dialog
    wndCalendarControl.PrintCalendar 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndCalendarControl.PrintCalendar .hDC
        End If
    End With

See Also

CalendarControl Control | ShowPrintPageSetup Method | PrintOptions Property


%%PageItemTitle%%

CalendarControl Control

ShowPrintDialog
True to show the custom print dialog (can manually be shown with ShowPrintPageSetup).
See Also Calendar ActiveX Control v19.3

PrintCalendar2 Method

Description

Prints the current Calendar view.

Syntax

Public Sub PrintCalendar2( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog
True to show the custom print dialog (can manually be shown with ShowPrintPageSetup).

Remarks

A call to PrintCalendar2 will first open the custom print dialog (can manually be shown with ShowPrintPageSetup) before sending the current Calendar View directly to the printer.

The PrintOptions property can be used to customize how the Calendar View is printed when PrintCalendar is called. With PrintOptions you can change the page margins, header font, and several other options.

The ShowPrintPageSetup method displays a custom "Page Setup" print dialog for the Calendar. The ShowPrintPageSetup dialog allows users to change all the properties of the PrintOptions object. All settings are stored in the PrintOptions object. When PrintCalendar2 is called, it will use the settings in PrintOptions.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

ShowPrintDialog
True to show print preview dialog before displaying.
See Also Calendar ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Sub PrintPreview( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
The width of the Print Preview in pixels.
yBottom
The height of the Print Preview window in pixels.
See Also Calendar ActiveX Control v19.3

PrintPreviewExt Method

Description

Runs printpreview in non-maximized mode with given screen position and size.

Syntax

Public Sub PrintPreviewExt( _
   ByVal ShowPrintDialog As Boolean, _
   ByVal xLeft As Integer, _
   ByVal yTop As Integer, _
   ByVal xRight As Integer, _
   ByVal yBottom As Integer _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
The width of the Print Preview in pixels.
yBottom
The height of the Print Preview window in pixels.

Remarks

You have the option to pass position and size of the print preview window instead of always Maximized. Maximized is the default size.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

RedrawControl Method

Description

Initiates redrawing of the Calendar Control's.

Syntax

Public Sub RedrawControl()

Remarks

The RedrawControl method is used if you want to force the control's redrawing. The control will be redrawn to reflect its latest state.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | ShowCaptionBarDateLabel Property | ShowCaptionBarExpandButton Property | ShowMultiColumnsButton Property | ShowTimelineButton Property | CaptionButtonTitle Method | ButtonTitle Property

See Also Calendar ActiveX Control v19.3

RefreshCaptionBar Method

Description

Refreshes the caption bar.

Syntax

Public Sub RefreshCaptionBar()

Remarks

RefreshCaptionBar should be called to update the caption bar after you change it's properties. For example, if you use CaptionButtonTitle to update the caption of the buttons, or you hide a button, then you need to refresh the caption bar to show the changes.

See Also

CalendarControl Control | ShowCaptionBarDateLabel Property | ShowCaptionBarExpandButton Property | ShowMultiColumnsButton Property | ShowTimelineButton Property | CaptionButtonTitle Method | ButtonTitle Property


%%PageItemTitle%%

CalendarControl Control | SetTodayDateOverride Method

See Also Calendar ActiveX Control v19.3

ResetTodayDateOverride Method

Description

Resets the override for the "today" date to the current date (if an override was performed).

Syntax

Public Sub ResetTodayDateOverride()

Remarks

See SetTodayDateOverride.

See Also

CalendarControl Control | SetTodayDateOverride Method


%%PageItemTitle%%

CalendarControl Control

dw
ID of event to select.
See Also Calendar ActiveX Control v19.3

SelectEventByID Method

Description

Returns calendar to same view mode as was displayed and selects the day of the event with specified ID.

Syntax

Public Sub SelectEventByID( _
   ByVal dw As Long _
)

Parameters

dw
ID of event to select.

Remarks

SelectEventByID will return the calendar to same view mode as was displayed before the call and select day the of the specified event.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

Group
Group to search for the specified Id.
dw
Id of event to select.
See Also Calendar ActiveX Control v19.3

SelectViewEventByIdAndGroup Method

Description

Returns calendar to the view that the specified event is in and selects the view of the event with specified ID.

Syntax

Public Sub SelectViewEventByIdAndGroup( _
   ByVal Group As Integer, _
   ByVal dw As Long _
)

Parameters

Group
Group to search for the specified Id.
dw
Id of event to select.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | DataProvider Property

ConnectionString
String containing the name and type of the data provider. This value will be stored in the ConnectionString property.
See Also Calendar ActiveX Control v19.3

SetDataProvider Method

Description

Sets the Data Provider for the Calender Control.

Syntax

Public Sub SetDataProvider( _
   ByVal ConnectionString As String _
)

Parameters

ConnectionString
String containing the name and type of the data provider. This value will be stored in the ConnectionString property.

Remarks

The data provider can save event information as a XML file, Binary file, Microsoft Database (mdb) file, MAPI (Outlook 2003 format), Memory, SQLServer, MySql, and "custom". The type of file\data created depends on the type specified when SetDataProvider method is called.

The built-in data providers are the Memory provider, MS Access database provider, and the MAPI Outlook data provider. The calendar handles all data functionality internally with the built-in data providers. The "DoXXXX" (i.e. DoCreateEvent) events are not fired when using a built-in data provider

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See the ConnectionString Sample to see how to format the connection strings.

The currently used connection string is stored in the ConnectionString property.

See the SetDataProvider Sample code for more on how to create each type of data provider.

See Also

CalendarControl Control | DataProvider Property

Example

SetDataProvider Sample | ConnectionString Property


%%PageItemTitle%%

CalendarControl Control

s
Format string.
See Also Calendar ActiveX Control v19.3

SetLongDayHeaderFormat Method

Description

Lonng Day header format custom string, this can be used with Office 2007 Theme.

Syntax

Public Sub SetLongDayHeaderFormat( _
   ByVal s As String _
)

Parameters

s
Format string.

Remarks

Use this method if using the Office 2007 theme.

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn in the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Sample (Visual Basic)] This sample illulstrates how to format the header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.SetLongDayHeaderFormat "ddd, dd MMMM yyyy"
    CalendarControl.Populate

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | SetMultipleResourcesEx Method | AddResource Method | CalendarResource Object

MultipleResources
Reference to a CalendarResources collection to set as the calendar's new resource collection.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the calendar.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the calendar's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

SetMultipleResourcesEx also allows the users CalendarOptions to be saved to a data provider.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarControl Control | SetMultipleResourcesEx Method | AddResource Method | CalendarResource Object


%%PageItemTitle%%

CalendarControl Control | SetMultipleResources Method

MultipleResources
Reference to a CalendarResources collection to set as the calendar's new resource collection.
OptionsDataProvider
Reference to a CalendarDataProvider to store the user's CalendarOptions.
See Also Calendar ActiveX Control v19.3

SetMultipleResourcesEx Method

Description

Sets the new CalendarResources collection for the calendar unsing the specified data provider.

Syntax

Public Sub SetMultipleResourcesEx( _
   ByVal MultipleResources As CalendarResources, _
   ByVal OptionsDataProvider As CalendarDataProvider _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the calendar's new resource collection.
OptionsDataProvider
Reference to a CalendarDataProvider to store the user's CalendarOptions.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResourcesEx method for the view.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarControl Control | SetMultipleResources Method


%%PageItemTitle%%

CalendarControl Control

hScrollBar
Handle to a horizontal scrollbar control from the SuitePackage.
vScrollBar
Handle to a vertical scrollbar control from the SuitePackage.
See Also Calendar ActiveX Control v19.3

SetScrollBars Method

Description

Sets custom ScrollBars from the SuitePackage to be used by the Calendar Control.

Syntax

Public Sub SetScrollBars( _
   ByVal hScrollBar As Integer, _
   ByVal vScrollBar As Integer _
)

Parameters

hScrollBar
Handle to a horizontal scrollbar control from the SuitePackage.
vScrollBar
Handle to a vertical scrollbar control from the SuitePackage.

Remarks

This is necessary for applying custom themed scroll bars to the calendar control.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | CalendarThemeOffice2007 Object | Theme Property

Theme
Theme object to use for themeing the calendar.
See Also Calendar ActiveX Control v19.3

SetTheme Method

Description

Applies a theme object to the Calendar.

Syntax

Public Sub SetTheme( _
   ByVal Theme As Object _
)

Parameters

Theme
Theme object to use for themeing the calendar.

Remarks

SetTheme is used to apply a theme to the Calendar. The currently set theme object is stored in the Theme property.

You can apply one of the following theme objects to the Calendar:

- CalendarThemeOffice2007

Example

[Theme Sample (Visual Basic)] This sample illustrates how to apply the Office 2007 thme to the Calendar.

    CalendarControl.SetTheme New CalendarThemeOffice2007

See Also

CalendarControl Control | CalendarThemeOffice2007 Object | Theme Property


%%PageItemTitle%%

CalendarControl Control | ResetTodayDateOverride Method

Year
Year of day in which you want to highlight in calendar as "today".
Month
Month of day in which you want to highlight in calendar as "today".
Day
Day in the moth in which you want to highlight in calendar as "today".
See Also Calendar ActiveX Control v19.3

SetTodayDateOverride Method

Description

Specifies which day to show as "today" in the calendar.

Syntax

Public Sub SetTodayDateOverride( _
   ByVal Year As Integer, _
   ByVal Month As Integer, _
   ByVal Day As Integer _
)

Parameters

Year
Year of day in which you want to highlight in calendar as "today".
Month
Month of day in which you want to highlight in calendar as "today".
Day
Day in the moth in which you want to highlight in calendar as "today".

Remarks

This is used to override the "today" date. The Calendar control will assume the date provided as "today". The today date is used to draw the highlighted border for days (mark them as today). ResetTodayDateOverride must be used to reset the day to the current non-overridden "today".

See Also

CalendarControl Control | ResetTodayDateOverride Method


%%PageItemTitle%%

CalendarControl Control | PrintOptions Property | PrintCalendar Method

See Also Calendar ActiveX Control v19.3

ShowPrintPageSetup Method

Description

Displays a custom "Page Setup" print dialog for the Calendar.

Syntax

Public Function ShowPrintPageSetup() As Boolean

Remarks

The ShowPrintPageSetup method displays a custom "Page Setup" print dialog for the Calendar. The ShowPrintPageSetup dialog allows users to change all the properties of the PrintOptions object. All settings are stored in the PrintOptions property after the dialog has been closed. When PrintCalendar is called, it will use the settings in PrintOptions to print the current view.

The PrintOptions property is used to customize how the Calendar View is printed when PrintCalendar is called. With PrintOptions you can change the page margins, header font, and several other options. All of these options can be changed by the user by displaying the ShowPrintPageSetup dialog.

See Also

CalendarControl Control | PrintOptions Property | PrintCalendar Method


%%PageItemTitle%%

CalendarControl Control | DayView Property | MonthView Property | WeekView Property | ViewType Property

See Also Calendar ActiveX Control v19.3

ActiveView Property

Description

The calendar view object currently used in this calendar control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActiveView() As CalendarView

Remarks

The ActiveView property returns a CalendarView objects that contains the current view of the Calendar Control. The CalendarView will contain the data from the DayView, MonthView, or WeekView objects depending on the currently set ViewType.

See Also

CalendarControl Control | DayView Property | MonthView Property | WeekView Property | ViewType Property


%%PageItemTitle%%

CalendarControl Control | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | ResetFlag Method | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

AskItemTextFlags Property

Description

Interface used to get and set which calendar text strings will be custom drawn.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AskItemTextFlags() As CalendarFlagsSet

Remarks

AskItemTextFlags returns a CalendarFlagsSet object which is used as an interface to get and set which calendar text strings will be custom drawn. The interface includes the SetFlag, IsFlagSet and ResetFlag methods which allow you to set, get, and reset the XTPCalendarGetItemText and XTPCalendarGetItemTextEx flags which specify for which text components the GetItemText event will get fired.

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

See Also

CalendarControl Control | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | ResetFlag Method | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarControl Control | CalendarBeforeDrawThemeObject Enumeration | BeforeDrawThemeObject Event | CalendarThemeDayViewCellParams Object | CalendarThemeDayViewTimeScaleCellParams Object

See Also Calendar ActiveX Control v19.3

BeforeDrawThemeObjectFlags Property

Description

Interface used to get and set which calendar objects will be custom drawn when the Office 2007 theme is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BeforeDrawThemeObjectFlags() As CalendarFlagsSet

Remarks

BeforeDrawThemeObjectFlags returns a CalendarFlagsSet object which is used as an interface to get and set which Office 2007 calendar objects will be custom drawn. The interface includes the SetFlag, IsFlagSet and ResetFlag methods which allow you to set, get, and reset the CalendarBeforeDrawThemeObject flags which specify for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired.

The SetFlag method uses any combination of flags from the CalendarBeforeDrawThemeObject enumeration to specify for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired. The BeforeDrawThemeObject event occurs when each Office 2007 theme component of the calendar is about to be drawn if some Flags from the CalendarBeforeDrawThemeObject enumeration have been set using the SetFlag method. The SetFlag method can be used to set any combination of the CalendarBeforeDrawThemeObject (only use with Office 2007 theme) flags. BeforeDrawThemeObject will only get fired when drawing components that are specified using the SetFlag method.

If you would like the BeforeDrawThemeObject event to get fired for all flags in the CalendarBeforeDrawThemeObject enumeration then you can simply set BeforeDrawThemeObjectFlags to -1. This will cause the BeforeDrawThemeObject event to fire before each part of the calendar is drawn.

This allows all of the parts of the calendar to easily be customized.

See Also

CalendarControl Control | CalendarBeforeDrawThemeObject Enumeration | BeforeDrawThemeObject Event | CalendarThemeDayViewCellParams Object | CalendarThemeDayViewTimeScaleCellParams Object


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ColorScheduleMode Property

Description

Specifies whether to show Schedule titles in different colors when displaying multiple schedules.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorScheduleMode() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

CustomFormat4Tooltip Property

Description

Specifies a custom format for event tooltips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomFormat4Tooltip() As String

Remarks

CustomFormat4Tooltip allows you to set a custom tooltip string for each event. You can use any combination of the following tags along with normal text:

Valid Format Strings:

<SUBJ> - Event's Subject

<TIME> - Event's Time [StartAt/EndAt]

<LOC> - Event's Location

<BODY> - Event's Body

CalendarControl.CustomFormat4Tooltip = " My subject = <SUBJ> @ <TIME> in <LOC> <BODY>"

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

CustomTitle Property

Description

Used for unique title - e.g. for PrintJob name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTitle() As String

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | SetDataProvider Method | CalendarDataProvider Object

See Also Calendar ActiveX Control v19.3

DataProvider Property

Description

Reference to the current data provider instance.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataProvider() As CalendarDataProvider

Remarks

The DataProvider property is used to obtain the data provider object is currently used by this calendar control. The SetDataProvider method must first be set to create\open a data source.

See SetDataProvider and CalendarDataProvider Object for more details.

See Also

CalendarControl Control | SetDataProvider Method | CalendarDataProvider Object


%%PageItemTitle%%

CalendarControl Control | FullDateMode Property

See Also Calendar ActiveX Control v19.3

DayHeaderFormat Property

Description

Day header format to use when FullDateMode is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormat() As String

Remarks

FullDateMode tells the calendar whether to use the format sting stored in DayHeaderFormat to format the day view day headers. When set to False, the calendar will use the system settings to display the header information. This format only applied to views where the date it completely displayed like day view and work week view.

Note: Nothing will be displayed in the day view day headers if you set FullDateMode = True and leave DayHeaderFormat blank.

Need to call on load:
CalendarCtrl.FullDateMode = True
CalendarCtrl.DayView.DayHeaderFormat = "%a, %b %d, %y"

Valid Format Strings:
a - Abbreviated weekday name
A - Full weekday name
b - Abbreviated month name
B - Full month name
c - Date and time representation appropriate for locale
d - Day of month as decimal number (01 &#8211; 31)
H - Hour in 24-hour format (00 &#8211; 23)
I - Hour in 12-hour format (01 &#8211; 12)
j - Day of year as decimal number (001 &#8211; 366)
m - Month as decimal number (01 &#8211; 12)
M - Minute as decimal number (00 &#8211; 59)
p - Current locale's A.M./P.M. indicator for 12-hour clock
S - Second as decimal number (00 &#8211; 59)
U - Week of year as decimal number, with Sunday as first day of week (00 &#8211; 53)
w - Weekday as decimal number (0 &#8211; 6; Sunday is 0)
W - Week of year as decimal number, with Monday as first day of week (00 &#8211; 53)
x - Date representation for current locale
y - Year without century, as decimal number (00 &#8211; 99)
Y - Year with century, as decimal number
z, %Z - Either the time-zone name or time zone abbreviation, depending on registry settings; no characters if time zone is unknown

You can even add some special text in any place of format like this:

CalendarCtrl.DayView.DayHeaderFormat = "Office %a, %b %d, %y Schedule"

See Also

CalendarControl Control | FullDateMode Property


%%PageItemTitle%%

CalendarControl Control | ActiveView Property

See Also Calendar ActiveX Control v19.3

DayView Property

Description

The view of the Calendar Control when in the ViewType is Day or Work Week View.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DayView() As CalendarDayView

Remarks

Obtains the Day or Work Week calendar view object regardless of its visibility. The DayView object will always contain the Day or Work Week View of the Calendar. When the ViewType is Day or Work Week View, the data from the DayView object is used in the ActiveView object.

See Also

CalendarControl Control | ActiveView Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

DeleteOcurrenceEventIfNoPrompt Property

Description

True to delete Occurrence event, False - delete Master (default = True).

Property type

Read-write property

Syntax (Visual Basic)

Public Property DeleteOcurrenceEventIfNoPrompt() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

Enabled Property

Description

Gets\sets whether the Calendar Control is Enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ExpandButtonChecked Property

Description

Gets\sets whether the expand button is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandButtonChecked() As Boolean

Return Type

True if checked, False otherwise.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | DayHeaderFormat Property | DayHeaderPeriod Property

See Also Calendar ActiveX Control v19.3

FullDateMode Property

Description

Tells the calendar to use DayHeaderFormat to display header information in day view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FullDateMode() As Boolean

Remarks

FullDateMode tells the calendar whether to use the format sting stored in DayHeaderFormat to format the day view day headers. When set to False, the calendar will use the system settings to display the header information. This format only applied to views where the date it completely displayed like day view and work week view.

Note: Nothing will be displayed in the day view day headers if you set FullDateMode = True and leave DayHeaderFormat blank.

Need to call on load:
CalendarCtrl.FullDateMode = True
CalendarCtrl.DayView.DayHeaderFormat = "%a, %b %d, %y"

Valid Format Strings:
a - Abbreviated weekday name
A - Full weekday name
b - Abbreviated month name
B - Full month name
c - Date and time representation appropriate for locale
d - Day of month as decimal number (01 &#8211; 31)
H - Hour in 24-hour format (00 &#8211; 23)
I - Hour in 12-hour format (01 &#8211; 12)
j - Day of year as decimal number (001 &#8211; 366)
m - Month as decimal number (01 &#8211; 12)
M - Minute as decimal number (00 &#8211; 59)
p - Current locale's A.M./P.M. indicator for 12-hour clock
S - Second as decimal number (00 &#8211; 59)
U - Week of year as decimal number, with Sunday as first day of week (00 &#8211; 53)
w - Weekday as decimal number (0 &#8211; 6; Sunday is 0)
W - Week of year as decimal number, with Monday as first day of week (00 &#8211; 53)
x - Date representation for current locale
y - Year without century, as decimal number (00 &#8211; 99)
Y - Year with century, as decimal number
z, %Z - Either the time-zone name or time zone abbreviation, depending on registry settings; no characters if time zone is unknown

You can even add some special text in any place of format like this:

CalendarCtrl.DayView.DayHeaderFormat = "Office %a, %b %d, %y Schedule"

FullDateMode must be True to use DayHeaderPeriod.

See Also

CalendarControl Control | DayHeaderFormat Property | DayHeaderPeriod Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

HideAllDayEventsArea Property

Description

Hides or shows the All Day events area of the calendar shown in day views.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideAllDayEventsArea() As Boolean

Return Type

True if the All Day events area is hidden, False otherwise.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

HideCaptionBar Property

Description

Hides or shows the calendar's caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideCaptionBar() As Boolean

Remarks

This allows you to hide the caption bar, you might do this if you need to save space or want to control navigation manually.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

hWnd Property

Description

The hWnd property returns the handle to the Calendar Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

MarkupEnabled Property

Description

Allows the use of a XAML snippet to be used to display text in events\appointments.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupEnabled() As Boolean

Remarks

The Calendar allows you to use XAML to format the contents of events\appointments displayed in the calendar. Only the Office 2007 calendar theme supports XAML.

There is a "static" Markup use case and "dynamic" one. Both of them works only for Office 2007 theme.

For Static you only to have enable Markup in the Calendar and it will show markup text automatically for those events which have "xtpMarkupTemplate" property set (see in code).

For Dynamic you have to enable text customization (GetItemText method), and then set Markup text for some events...

The following steps are needed to enable XAML support:

  • Set the theme to Office 2007 (Both static and dynamic uses)
  • Set MarkupEnabled to True (Both static and dynamic uses)
  • Set the xtpCalendarItemText_EventMarkupTemplate flag (Dynamic use only)

First the Office 2007 theme must be used. Second, you must tell the Calendar to enable XAML support. Third, if you plan to change XMAL text dynamically you need the AskItemTextFlags method to set the xtpCalendarItemText_EventMarkupTemplate flag.

(Static use) If all you want to do is display XAML text for each event statically, you simply add a custom property nammed "xtpMarkupTemplate" and the calendar will display the XAML.

(Dynamic use) AskItemTextFlags specify that the GetItemText event will fire when it comes time to draw the text for an event\appointment. We only specified the xtpCalendarItemText_EventMarkupTemplate flag so we will only be notified when we need to set the XAML text for the event\appointment.

(Dynamic use) When using the xtpCalendarItemText_EventMarkupTemplate, you will be creating all viewable text for the event\appointment using XAML. You don't need a subject, location, body, etc. It will only display the XAML string you provide, which can be any valid XAML snippet.

(Static and Dynamic use) The best way to store a XAML snippet is in the custom properties of an event\appointment. With this method you can add as many snippets as you need.

When using statically, you simply add a property nammad "xtpMarkupTemplate" and the string of the property should be the XAML string to display in the event.

Note that you might not want to display the XAML string when in WeekView or MonthView depending on how much XAML was added or the size of the displayed XAML. In this case you could simply test for these views in the GetItemText and choose not to use the XAML for those views.

The sample below shows how to enable Markup support in the Calendar and how to add XAML to an event\appointment.

This sample can be used both statically and dynamically, just un-comment the code specified for dynamic use.

Note that this can be used as a stand alone application, simply cut and paste all of the code and place it inside the code section of a form that contains a calendar control:

Results:

Example

[Visual Basic]

Private Sub Form_Load()
    'Use Office 2007 Theme for Calendar
    CalendarControl.VisualTheme = xtpCalendarThemeResource

    'Enable Markup
    CalendarControl.MarkupEnabled = True

    'Enable custom text handling for event
    'Un-comment this line for dynamic use
    'CalendarControl.AskItemTextFlags = xtpCalendarItemText_EventMarkupTemplate

    'Set the Calendar's View
    Dim Today As Date
    Today = Now
    CalendarControl.ViewType = xtpCalendarDayView
    CalendarControl.DayView.ShowDay DateTime.Date

    CalendarControl.DataProvider.AddEvent Add_Test_Event

    CalendarControl.Populate
    CalendarControl.DayView.ScrollToWorkDayBegin
End Sub

'Ony used when text is added dynamically
Private Sub CalendarControl_GetItemText(ByVal Params As _
              XtremeCalendarControl.CalendarGetItemTextParams)

    If Params.Item = xtpCalendarItemText_EventMarkupTemplate Then
        If CalendarControl.MarkupEnabled And _
                           Params.ViewEvent.Event.CustomProperties.Count Then
            'Here you can add some custom XAML, it does not need to be stored
            'in the properties of an event
            Params.Text = _
            Params.ViewEvent.Event.CustomProperties.Property("xtpMarkupTemplate")
        End If
    End If

End Sub

'Function to create a sample event
Private Function Add_Test_Event() As CalendarEvent
        Dim m_pEditingEvent As CalendarEvent

        Set m_pEditingEvent = CalendarControl.DataProvider.CreateEvent

        m_pEditingEvent.StartTime = Now
        m_pEditingEvent.EndTime = Now + 0.22

        'Properties of the event, they will be displayed when
        'Markup is not enabled.
        m_pEditingEvent.Subject = "SuitePro 2009 Released!"
        m_pEditingEvent.Location = "Internet Download (Link Included)"
        m_pEditingEvent.Body = "Codejock Software released SuitePro" & _
                               " 2009 today. All development machines " & _
                               "must be updated no later than 06/15/08." & _
                               "Implementation will begin immediately!"
        m_pEditingEvent.AllDayEvent = False
        m_pEditingEvent.Label = 2
        m_pEditingEvent.BusyStatus = xtpCalendarBusyStatusFree
        m_pEditingEvent.MeetingFlag = True
        m_pEditingEvent.ScheduleID = 1

        'Store a XAML string to be displayed in the event body
        m_pEditingEvent.CustomProperties.Property("xtpMarkupTemplate") = _
"<StackPanel Margin='5, 5, 5, 5' VerticalAlignment='Top'" & _
     "HorizontalAlignment='Center'>" & _
"<TextBlock Padding='0,10,0,0' TextWrapping='Wrap'><Bold>Subject:</Bold> " & _
            "<Bold>SuitePro</Bold> <Run Foreground='White'>2009</Run> " & _
            "Released!</TextBlock>" & _
"<TextBlock Padding='0,10,0,0'><Bold>Body:</Bold></TextBlock>" & _
"<TextBlock Padding='10,10,0,0' TextWrapping='Wrap'>" & _
    "<Bold><Run Foreground='Blue'>Codejock</Run> Software</Bold> released " & _
    "<Bold>SuitePro</Bold> <Run Foreground='White'>2009</Run> today. All" & _
    " development machines <Bold>must</Bold> be updated no later than " & _
    "<Run Foreground='Red'>06/15/08</Run>." & _
"</TextBlock>" & _
"<TextBlock Padding='10,10,0,0' TextWrapping='Wrap'>" & _
    "Download the software <Hyperlink Cursor='Hand'>here</Hyperlink>." & _
"</TextBlock>" & _
"<TextBlock Padding='10,10,0,0' TextWrapping='Wrap'>" & _
    "Implementation will begin immediately! If you have and comments or" & _
    "concerns email John at <Hyperlink Foreground='Blue' Cursor='Hand'>" & _
    "support@codejock.com</Hyperlink>." & _
"</TextBlock>" & _
"<TextBlock Padding='10,10,0,0'>" & _
" - Management" & _
"</TextBlock>" & _
"</StackPanel>"

        Set Add_Test_Event = m_pEditingEvent
End Function

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | ActiveView Property

See Also Calendar ActiveX Control v19.3

MonthView Property

Description

The view of the Calendar Control when in the ViewType is Month View.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MonthView() As CalendarMonthView

Remarks

Obtains the Month calendar view object regardless of its visibility. The MonthView object will always contain the Month View of the Calendar. When the ViewType is Month View, the data from the MonthView object is used in the ActiveView object.

See Also

CalendarControl Control | ActiveView Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

MonthViewHideTimes Property

Description

Specifies whether to suppress drawing time in month view events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewHideTimes() As Boolean

Remarks

True to suppress drawing time in month view events, False otherwise.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | SetMultipleResources Method | SetMultipleResourcesEx Method | CalendarResource Object | CalendarResources Object

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the Calendar Control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarControl Control | SetMultipleResources Method | SetMultipleResourcesEx Method | CalendarResource Object | CalendarResources Object


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

MultipleSchedulesMode Property

Description

Flag to use MutilpleSchedulesModel (one event - many view events case).

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultipleSchedulesMode() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

OneLineCaptionBar Property

Description

Changes the format of the caption bar so that it is displayed on a single line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OneLineCaptionBar() As Boolean

Remarks

This allows you to save some space by displaying the caption bar on a single line. You can switch between the full and one line version at any time.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | CalendarOptions Object

See Also Calendar ActiveX Control v19.3

Options Property

Description

All calendar options that can be changed by the user.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As CalendarOptions

Remarks

The CalendarOptions Object contains all options which could be changed by the user for the CalendarControl.

See Also

CalendarControl Control | CalendarOptions Object


%%PageItemTitle%%

CalendarControl Control | OwnershipMode Property

See Also Calendar ActiveX Control v19.3

OwnerUser Property

Description

User's name when in OwnershipMode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OwnerUser() As String

Remarks

See OwnershipMode for details.

See Also

CalendarControl Control | OwnershipMode Property


%%PageItemTitle%%

CalendarControl Control | PrintCalendar Method | ShowPrintPageSetup Method | CalendarPrintOptions Object | PrintDateHeader Property | DateHeaderFont Property | PrintFrom Property | PrintFromToExactly Property

See Also Calendar ActiveX Control v19.3

PrintOptions Property

Description

Options that specify how the Calendar View should look when sent to a print device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintOptions() As CalendarPrintOptions

Remarks

The PrintOptions property allows you to manually set the Print Options that can be set using the "Page Setup" dialog that ShowPrintPageSetup displays. These options effect how the Calendar View looks when printed.

Using PrintOptions, you can access print options such as page margins, page header, time range printed, header font, etc.

See the CalendarPrintOptions members for a detailed descriptions of each print option that can be set.

Example

[Manually setting Print Options (Visual Basic)] This sample illustrates how to manually set the Print Options that can be set using the Page Setup dialog that ShowPrintPageSetup displays.

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)

        .PrintDateHeader = False
    End With

    CalendarControl.PrintCalendar 0

See Also

CalendarControl Control | PrintCalendar Method | ShowPrintPageSetup Method | CalendarPrintOptions Object | PrintDateHeader Property | DateHeaderFont Property | PrintFrom Property | PrintFromToExactly Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

PrintPreviewOptions Property

Description

Options for print preview.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintPreviewOptions() As XtremePrintPreviewOptions

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

PromptToDeleteRecurrentEvent Property

Description

Flag to use Occurrence or Master case selector (default = True).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PromptToDeleteRecurrentEvent() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ReadOnlyMode Property

Description

Puts the calendar into Read Only mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnlyMode() As Boolean

Remarks

Calendar will display all events but they can not be moved, resized, edited, etc.

Note: Calendar will still respond to right-click. So be sure to disable any options in your context menu that allow editing.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | EnableReminders Method | IsRemindersEnabled Method | OnReminders Event | Event Reminder Property

See Also Calendar ActiveX Control v19.3

Reminders Property

Description

Collection of all the current event reminders for the Calendar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Reminders() As CalendarReminders

Remarks

The Reminders collection holds all the current reminders for the events in the Calendar.

See Also

CalendarControl Control | EnableReminders Method | IsRemindersEnabled Method | OnReminders Event | Event Reminder Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

RemindersUpdatePeriod Property

Description

Specifies the period of time the calendar uses to automatically call the OnReminiders event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RemindersUpdatePeriod() As Date

Remarks

By default, the Calendar is set to internally check every 2 hours and call OnReminders. RemindersUpdatePeriod allows you to change this update period, where this is a DATE object and you can set the time portion to what you need.

'every second
CalendarControl.RemindersUpdatePeriod = #12:00:01 AM#

'every 2 hours
CalendarControl.RemindersUpdatePeriod = #02:00:00 AM#

'every 24 hours
CalendarControl.RemindersUpdatePeriod = #12:00:00 PM#

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the Calendar elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the Calendar are displayed from right to left.

Example

[Calendar RTL mode sample (Visual Basic)] This sample illustrates how to enable RTL mode for the Calendar.

    'Set the Calendar to RTL mode
    Calendar.RightToLeft = True

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowCaptionBar Property

Description

Gets or sets whether the calendar caption bar is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionBar() As Boolean

Remarks

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowCaptionBarDateLabel Property

Description

Gets or sets whether the calendar caption bar date label is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionBarDateLabel() As Boolean

Remarks

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowCaptionBarExpandButton Property

Description

Specifies whether to show the caption bar expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionBarExpandButton() As Boolean

Remarks

The caption bar expand button is the button the looks like two up\down arrows at the right of the caption bar.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowCaptionBarScrollDateButtons Property

Description

Gets or sets whether the calendar caption bar scroll date buttons are displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionBarScrollDateButtons() As Boolean

Remarks

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowCaptionBarSwitchViewButtons Property

Description

Gets or sets whether the calendar caption bar switch view buttons are displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionBarSwitchViewButtons() As Boolean

Remarks

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowMultiColumnsButton Property

Description

Specifies whether to show the multi column button in the caption bar. This button is displayed by default when in week view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMultiColumnsButton() As Boolean

Remarks

This button is used to allow you to switch between the Outlook 2003 and Outlook 2007 styles of displaying a full week. You must be in xtpCalendarWeekView or xtpCalendarFullWeekView view for this button to have any effect.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | EnableTimelineButton Property

See Also Calendar ActiveX Control v19.3

ShowTimelineButton Property

Description

Specifies whether the "Time Line" radio button is displayed in the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTimelineButton() As Boolean

Remarks

The Time Line button allows the user to put the calendar into time line mode.

See Also

CalendarControl Control | EnableTimelineButton Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowTooltipForAllDayEvents Property

Description

Specifies whether to shows tips for all day events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTooltipForAllDayEvents() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ShowTooltipForNotFocused Property

Description

Specifies whether to shows tips for not focused events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTooltipForNotFocused() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

SwitchToDayViewIfPickedSingleDay Property

Description

Specifies whether to switch to day view when a day is selected in the date picker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SwitchToDayViewIfPickedSingleDay() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | SetTheme Method | CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

Theme Property

Description

Gets the currently set theme for the Calendar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Theme() As Object

Remarks

The SetTheme method is used to apply a theme to the Calendar.

You can apply one of the following theme objects to the Calendar:

- CalendarThemeOffice2007

See Also

CalendarControl Control | SetTheme Method | CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

TimeLineView Property

Description

The view of the Calendar Control when in the ViewType is TimeLine View.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimeLineView() As CalendarTimeLineView

Remarks

Obtains the TimeLine calendar view object regardless of its visibility. When the ViewType is TimeLineView, the data is used in the ActiveView object.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

TooltipUnderMouse Property

Description

Specifies whether tooltips are displayed above or below the poise pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipUnderMouse() As Boolean

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

UseMultiColumnWeekMode Property

Description

Specfies whether week view (full week) will be displayed as 7 columns (Outlook2007 Style) or as 2 columns (Outlook2003 Style).

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseMultiColumnWeekMode() As Boolean

Remarks

This is used to specfies ho week view (full week) will be displayed. It can be displayed as 7 columns (Outlook2007 Style) or as 2 columns (Outlook2003 Style).

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | CalendarViewType Enumeration

See Also Calendar ActiveX Control v19.3

ViewType Property

Description

Gets\sets the Calender Control's current view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewType() As CalendarViewType

Remarks

The ViewType property allows the ActiveView to be set to one of the predefined calendar views for the control.

See Also

CalendarControl Control | CalendarViewType Enumeration


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display calendar control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As CalendarTheme

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | ActiveView Property

See Also Calendar ActiveX Control v19.3

WeekView Property

Description

The view of the Calendar Control when in the ViewType is Week View.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekView() As CalendarWeekView

Remarks

Obtains the 7 Day Week calendar view object regardless of its visibility. The WeekView object will always contain the 7 Day Week View of the Calendar. When the ViewType is Week View, the data from the WeekView object is used in the ActiveView object.

See Also

CalendarControl Control | ActiveView Property


%%PageItemTitle%%

CalendarControl Control | CalendarDayViewCellParams Object

CellParams
A CalendarDayViewCellParams object that contains cell date and time, if the cell is selected, and the background color of the cell.
See Also Calendar ActiveX Control v19.3

BeforeDrawDayViewCell Event

Description

Occurs before each visible cell is drawn in Day View and Work Week View.

Syntax

Public Event BeforeDrawDayViewCell( _
   ByVal CellParams As CalendarDayViewCellParams _
)

Parameters

CellParams
A CalendarDayViewCellParams object that contains cell date and time, if the cell is selected, and the background color of the cell.

Remarks

The BeforeDrawDayViewCell event allows you to change the background color for individual cells in Day View and Work Week View. This can be used to shade multiple work hours for a given day. You can use this instead of the work week mask to display a custom set of work hours.

To do this, you would use the CalendarDayViewCellParams object that contains background color for the cell to change the color. This is the only parameter you can change. The rest of the parameters tell you the cell date and time, and if the cell is selected.

See Also

CalendarControl Control | CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarControl Control | CalendarThemeDayViewTimeScaleCellParams Object | CalendarThemeDayViewCellParams Object | CalendarBeforeDrawThemeObject Enumeration | BeforeDrawThemeObjectFlags Property

eObjType
An object ID from CalendarBeforeDrawThemeObject enumeration.
DrawParams
An additional parameter defined for each item in the CalendarBeforeDrawThemeObject enumeration. For time scale parts this will contain a CalendarThemeDayViewTimeScaleCellParams object, for day view cells this will contain a CalendarThemeDayViewCellParams object. This value can also be Null depending on the calendar part getting drawn.
See Also Calendar ActiveX Control v19.3

BeforeDrawThemeObject Event

Description

Occurs for calendar theme items before they are drawn.

Syntax

Public Event BeforeDrawThemeObject( _
   ByVal eObjType As CalendarBeforeDrawThemeObject, _
   ByVal DrawParams As Variant _
)

Parameters

eObjType
Value | Description
xtpCalendarBeforeDraw_DayViewTimeScale | Time scale part of the day view. 1 - main time scale, 2 - additional time scale
xtpCalendarBeforeDraw_DayViewTimeScaleCaption | Time Scale Caption. 1 - main time scale, 2 - additional time scale.
xtpCalendarBeforeDraw_DayViewTimeScaleCell | CalendarThemeDayViewTimeScaleCellParams
xtpCalendarBeforeDraw_DayViewDay | DayViewDay
xtpCalendarBeforeDraw_DayViewDayGroup | DayViewDayGroup
xtpCalendarBeforeDraw_DayViewCell | CalendarThemeDayViewCellParams
xtpCalendarBeforeDraw_DayViewEvent | DayViewEvent
xtpCalendarBeforeDraw_AllDayViewEvent | AllDayViewEvent
xtpCalendarBeforeDraw_MonthViewDay | MonthViewDay
xtpCalendarBeforeDraw_MonthViewEvent | MonthViewEvent
xtpCalendarBeforeDraw_MonthViewWeekDayHeader | WeekDay = {1-Sun, 2-Mon, ...}, -1 for common parts
xtpCalendarBeforeDraw_MonthViewWeekHeader | WeekIndex={0...N}, -1 for common part
xtpCalendarBeforeDraw_WeekViewDay | WeekViewDay
xtpCalendarBeforeDraw_WeekViewEvent | WeekViewEvent
An object ID from CalendarBeforeDrawThemeObject enumeration.
DrawParams
An additional parameter defined for each item in the CalendarBeforeDrawThemeObject enumeration. For time scale parts this will contain a CalendarThemeDayViewTimeScaleCellParams object, for day view cells this will contain a CalendarThemeDayViewCellParams object. This value can also be Null depending on the calendar part getting drawn.

Remarks

Occurs for calendar theme items before they are drawn. You may customize corresponding theme parts for each object in this event. Any object part changes which made in this event will be discarded when the object has finished drawing.

This lets you dynamically customize each calendar item.

The BeforeDrawThemeObjectFlags property specifies for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired.

The SetFlag method uses any combination of flags from the CalendarBeforeDrawThemeObject enumeration to specify for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired. The BeforeDrawThemeObject event occurs when each Office 2007 theme component of the calendar is about to be drawn if some Flags from the BeforeDrawThemeObject enumeration have been set using the SetFlag method. The SetFlag method can be used to set any combination of the CalendarBeforeDrawThemeObject (only use with Office 2007 theme) flags. BeforeDrawThemeObject will only get fired when drawing components that are specified using the SetFlag method.

If you would like the BeforeDrawThemeObject event to get fired for all flags in the CalendarBeforeDrawThemeObject enumeration then you can simply set BeforeDrawThemeObjectFlags to -1. This will cause the BeforeDrawThemeObject event to fire before each part of the calendar is drawn.

See Also

CalendarControl Control | CalendarThemeDayViewTimeScaleCellParams Object | CalendarThemeDayViewCellParams Object | CalendarBeforeDrawThemeObject Enumeration | BeforeDrawThemeObjectFlags Property


%%PageItemTitle%%

CalendarControl Control | CalendarEditOperation Enumeration | IsEditOperationDisabled Event

OpParams
[in] Pointer to a CalendarEditOperationParameters object that contains the edit operation that was performed, the event(s) set for edit operation, etc...
bCancelOperation
See Also Calendar ActiveX Control v19.3

BeforeEditOperation Event

Description

Occurs before an edit operation is performed on an event.

Syntax

Public Event BeforeEditOperation( _
   ByVal OpParams As CalendarEditOperationParameters, _
   ByRef bCancelOperation As Boolean _
)

Parameters

OpParams
[in] Pointer to a CalendarEditOperationParameters object that contains the edit operation that was performed, the event(s) set for edit operation, etc...
bCancelOperation

Remarks

The BeforeEditOperation will only be fired once before the edit operation. The IsEditOperationDisabled event occurs each time an edit operation is possible before the edit operation is actually performed, then the BeforeEditOperation is fired.

See Also

CalendarControl Control | CalendarEditOperation Enumeration | IsEditOperationDisabled Event


%%PageItemTitle%%

CalendarControl Control

x
X coordinate of the mouse.
y
Y coordinate of the mouse.
See Also Calendar ActiveX Control v19.3

ContextMenu Event

Description

Occurs when the mouse is right-clicked with the mouse cursor over the Time Scale or over day headers.

Syntax

Public Event ContextMenu( _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

x
X coordinate of the mouse.
y
Y coordinate of the mouse.

Remarks

Occurs when the mouse is right-clicked with the mouse cursor over the Time Scale or over day headers. The day headers refer to the part of the calendar that displays the day of the week and\or date for each day.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | CalendarHitTestInfo Object | DayView HitTest Method | MonthView HitTest Method | WeekView HitTest Method

See Also Calendar ActiveX Control v19.3

DblClick Event

Description

Occurs when the mouse is double-clicked anywhere on the Calendar Control.

Syntax

Public Event DblClick()

Remarks

The CalendarHitTestInfo object can be combined with the HitTest function for each view to determine where and chat was clicked.

See Also

CalendarControl Control | CalendarHitTestInfo Object | DayView HitTest Method | MonthView HitTest Method | WeekView HitTest Method


%%PageItemTitle%%

CalendarControl Control | CreateEvent Method | CreateEventEx Method | EventAdded Event

pEvent
[out] Pointer to a CalendarEvent object which describes all data fields for the newly created CalendarEvent.
NewEventID
[in] Set to the EventID of the newly created CalendarEvent.
bResult
[in] Set to True if the CalendarEvent was successfully create, False otherwise.
See Also Calendar ActiveX Control v19.3

DoCreateEvent Event

Description

Occurs when creating a new event in the data source.

Syntax

Public Event DoCreateEvent( _
   ByVal pEvent As CalendarEvent, _
   ByRef NewEventID As Long, _
   ByRef bResult As Boolean _
)

Parameters

pEvent
[out] Pointer to a CalendarEvent object which describes all data fields for the newly created CalendarEvent.
NewEventID
[in] Set to the EventID of the newly created CalendarEvent.
bResult
[in] Set to True if the CalendarEvent was successfully create, False otherwise.

Remarks

Occurs when the CreateEvent and\or CreateEventEx methods are used. You must manually create the event using pEvent and then set NewEventID and bResult after creating the event. The EventAdded event will be called immediately after DoCreateEvent.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | CreateEvent Method | CreateEventEx Method | EventAdded Event


%%PageItemTitle%%

CalendarControl Control | CreateRecurrencePattern Method | PatternAdded Event

pPattern
[out] CalendarRecurrencePattern object which describes all data fields of a newly created CalendarRecurrencePattern.
NewPatternID
[in] Set to the ID of the newly created CalendarRecurrencePattern.
bResult
[in] Set to True if the recurrence pattern was created successfully, False if any error occurred during the process.
See Also Calendar ActiveX Control v19.3

DoCreateRPattern Event

Description

Occurs when a new recurrence pattern is created in the data source.

Syntax

Public Event DoCreateRPattern( _
   ByVal pPattern As CalendarRecurrencePattern, _
   ByRef NewPatternID As Long, _
   ByRef bResult As Boolean _
)

Parameters

pPattern
[out] CalendarRecurrencePattern object which describes all data fields of a newly created CalendarRecurrencePattern.
NewPatternID
[in] Set to the ID of the newly created CalendarRecurrencePattern.
bResult
[in] Set to True if the recurrence pattern was created successfully, False if any error occurred during the process.

Remarks

Occurs when the CreateRecurrencePattern method is used. You must manually create the recurrence pattern using pPattern and then set NewPatternID and bResult after creating the recurrence pattern. The PatternAdded event will be called immediately after DoCreateRPattern.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | CreateRecurrencePattern Method | PatternAdded Event


%%PageItemTitle%%

CalendarControl Control | DeleteEvent Method | EventDeleted Event

pEvent
[out] CalendarEvent object which describes all data fields of the CalendarEvent to delete
bResult
[in] Set to True if the event deleted successfully, False if any error occurred during the process.
See Also Calendar ActiveX Control v19.3

DoDeleteEvent Event

Description

Occurs when an event is deleted from the Calendar Control's Data Provider.

Syntax

Public Event DoDeleteEvent( _
   ByVal pEvent As CalendarEvent, _
   ByRef bResult As Boolean _
)

Parameters

pEvent
[out] CalendarEvent object which describes all data fields of the CalendarEvent to delete
bResult
[in] Set to True if the event deleted successfully, False if any error occurred during the process.

Remarks

Occurs when the DeleteEvent method is used or an event is deleted. You must manually delete the event using pEvent and then set bResult after deleting the event. The EventDeleted event will be called immediately after DoDeleteEvent.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | DeleteEvent Method | EventDeleted Event


%%PageItemTitle%%

CalendarControl Control | RemoveRecurrence Method | PatternDeleted Event

pPattern
[out] CalendarRecurrencePattern object which should be deleted.
bResult
[in] Set to True if the recurrence pattern was deleted successfully, False if any error occurred during the process.
See Also Calendar ActiveX Control v19.3

DoDeleteRPattern Event

Description

Occurs when the RecurrencePattern of an Event has been deleted using the RemoveRecurrence or SetRExceptionDeleted methods of the Event.

Syntax

Public Event DoDeleteRPattern( _
   ByVal pPattern As CalendarRecurrencePattern, _
   ByRef bResult As Boolean _
)

Parameters

pPattern
[out] CalendarRecurrencePattern object which should be deleted.
bResult
[in] Set to True if the recurrence pattern was deleted successfully, False if any error occurred during the process.

Remarks

Occurs when the RemoveRecurrence method is used. You must manually delete the event's recurrence pattern using pPattern and then set bResult after deleting the recurrence pattern. The PatternDeleted event will be called immediately after DoDeleteRPattern.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | RemoveRecurrence Method | PatternDeleted Event


%%PageItemTitle%%

CalendarControl Control | GetAllEventsRaw Method

Events
[in] Set this to a CalendarEvents collection that contains all the events in the Calendar without recurrence occurrences.
See Also Calendar ActiveX Control v19.3

DoGetAllEventsRaw Event

Description

Occurs when retrieving all events without generating recurrence occurrences.

Syntax

Public Event DoGetAllEventsRaw( _
   ByVal Events As CalendarEvents _
)

Parameters

Events
[in] Set this to a CalendarEvents collection that contains all the events in the Calendar without recurrence occurrences.

Remarks

Occurs when the GetAllEventsRaw method is used. You must manually populate the Events collection with all the events in the Calendar without including recurrence occurrences.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | GetAllEventsRaw Method


%%PageItemTitle%%

CalendarControl Control | OnReminders Event | EnableReminders Method

dtFrom
[out] Start date and time.
PeriodMinutes
[out] The duration of time after dtFrom to include.
pEvents
[in] Collection of CalendarEvents to add all events that have reminders that will occur in the time period dtFrom + PeriodMinutes. You must do this yourself.
See Also Calendar ActiveX Control v19.3

DoGetUpcomingEvents Event

Description

Occurs when reminders are enabled, disabled, snoozed, dismissed, and fired.

Syntax

Public Event DoGetUpcomingEvents( _
   ByVal dtFrom As Date, _
   ByVal PeriodMinutes As Long, _
   ByVal pEvents As CalendarEvents _
)

Parameters

dtFrom
[out] Start date and time.
PeriodMinutes
[out] The duration of time after dtFrom to include.
pEvents
[in] Collection of CalendarEvents to add all events that have reminders that will occur in the time period dtFrom + PeriodMinutes. You must do this yourself.

Remarks

Occurs immediately before the OnReminders event occurs.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | OnReminders Event | EnableReminders Method


%%PageItemTitle%%

CalendarControl Control | GetEvent Method

EventID
[out] Id of the event to be retrieved.
pEvent
[in] Set this to the CalendarEvent with the specified EventID.
See Also Calendar ActiveX Control v19.3

DoReadEvent Event

Description

Occurs when an event is retrieved from the data source.

Syntax

Public Event DoReadEvent( _
   ByVal EventID As Long, _
   ByVal pEvent As CalendarEvent _
)

Parameters

EventID
[out] Id of the event to be retrieved.
pEvent
[in] Set this to the CalendarEvent with the specified EventID.

Remarks

Occurs when the GetEvent method is used. You must manually retreive the event specified by EventID and then set pEvent to the CalendarEvent with the specified EventID.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | GetEvent Method


%%PageItemTitle%%

CalendarControl Control | GetRecurrencePattern Method

PatternID
[out] Id of the pattern to be read.
pPattern
[in] Set this to the CalendarRecurrencePattern with the specified PatternID.
See Also Calendar ActiveX Control v19.3

DoReadRPattern Event

Description

Occurs when a recurrence pattern is read from the data source.

Syntax

Public Event DoReadRPattern( _
   ByVal PatternID As Long, _
   ByVal pPattern As CalendarRecurrencePattern _
)

Parameters

PatternID
[out] Id of the pattern to be read.
pPattern
[in] Set this to the CalendarRecurrencePattern with the specified PatternID.

Remarks

Occurs when the GetRecurrencePattern method is used. You must manually retreive the event specified by PatternID and then set pPattern to the CalendarRecurrencePattern with the specified PatternID.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | GetRecurrencePattern Method


%%PageItemTitle%%

CalendarControl Control | RemoveAllEvents Method

See Also Calendar ActiveX Control v19.3

DoRemoveAllEvents Event

Description

Occurs when all events have been removed from the data source.

Syntax

Public Event DoRemoveAllEvents()

Remarks

Occurs when the RemoveAllEvents method is used. You will need to manually remove all the events from the calendar.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | RemoveAllEvents Method


%%PageItemTitle%%

CalendarControl Control | RetrieveDayEvents Method

dtDay
[out] The specified day to retreive CalendarEvents from.
Events
[in] Set this to a CalendarEvents collection that contains all appointments for the specified day from the data source. It should include recurrence appointments, occurrences, regular appointments for this day, and multi day appointments which also have a part of the specified day.
See Also Calendar ActiveX Control v19.3

DoRetrieveDayEvents Event

Description

Occurs when the RetrieveDayEvents method is used.

Syntax

Public Event DoRetrieveDayEvents( _
   ByVal dtDay As Date, _
   ByVal Events As CalendarEvents _
)

Parameters

dtDay
[out] The specified day to retreive CalendarEvents from.
Events
[in] Set this to a CalendarEvents collection that contains all appointments for the specified day from the data source. It should include recurrence appointments, occurrences, regular appointments for this day, and multi day appointments which also have a part of the specified day.

Remarks

Occurs when the RetrieveDayEvents method is used. You will need to manually set the Events collection to all calendar appointments for the specified dtDay from the data source. It should include recurrence appointments, occurrences, regular appointments for this day, and multi day appointments which also have a part of the specified day.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | RetrieveDayEvents Method


%%PageItemTitle%%

CalendarControl Control | Update Method | EventChanged Event

pEvent
[out] CalendarEvent object which describes all data fields of an event to be used to update the event.
bResult
[in] Set to True if the event was updated successfully, False if any error occurred during the process.
See Also Calendar ActiveX Control v19.3

DoUpdateEvent Event

Description

Occurs when event properties are updated in the data source.

Syntax

Public Event DoUpdateEvent( _
   ByVal pEvent As CalendarEvent, _
   ByRef bResult As Boolean _
)

Parameters

pEvent
[out] CalendarEvent object which describes all data fields of an event to be used to update the event.
bResult
[in] Set to True if the event was updated successfully, False if any error occurred during the process.

Remarks

Occurs when the Update method is used. The EventChanged event will occur immediately after DoUpdateEvent.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | Update Method | EventChanged Event


%%PageItemTitle%%

CalendarControl Control | UpdateRecurrence Method | PatternChanged Event

pPattern
[out] CalendarRecurrencePattern object which describes all data fields of the recurrence pattern to update the event with.
bResult
[in] Set to True if the recurrence pattern for the event was updated successfully, False if any error occurred during the process.
See Also Calendar ActiveX Control v19.3

DoUpdateRPattern Event

Description

Occurs when recurrence pattern is updated in the database

Syntax

Public Event DoUpdateRPattern( _
   ByVal pPattern As CalendarRecurrencePattern, _
   ByRef bResult As Boolean _
)

Parameters

pPattern
[out] CalendarRecurrencePattern object which describes all data fields of the recurrence pattern to update the event with.
bResult
[in] Set to True if the recurrence pattern for the event was updated successfully, False if any error occurred during the process.

Remarks

Occurs when the UpdateRecurrence method is used. The PatternChanged event will occur immediately after DoUpdateRPattern.

Occurs only when a custom data provider is used. This allows the developer to handle and implement a custom method.

Notes:

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See Also

CalendarControl Control | UpdateRecurrence Method | PatternChanged Event


%%PageItemTitle%%

CalendarControl Control | GetEvent Method | DeleteEvent Method | AddEvent Method

pEvent
The ID of the event.
See Also Calendar ActiveX Control v19.3

EventAddedEx Event

Description

Occurs when a new event is added to the Calendar Control's Data Provider.

Syntax

Public Event EventAddedEx( _
   ByVal pEvent As CalendarEvent _
)

Parameters

pEvent
The ID of the event.

Remarks

When the AddEvent method is used to add a new event, the EventAdded event occurs.

Note: The GetEvent method of the Data Provider can use the EventID to get a pointer to the newly added event. The Data Provider provides several other methods that can use the EventID of a CalendarEvent object.

See Also

CalendarControl Control | GetEvent Method | DeleteEvent Method | AddEvent Method


%%PageItemTitle%%

CalendarControl Control | CalendarEvent Object | AddEvent Method

pEvent
The ID of the event.
See Also Calendar ActiveX Control v19.3

EventChangedEx Event

Description

Occurs when any property of a CalendarEvent has changed from it's initial setting when it was added.

Syntax

Public Event EventChangedEx( _
   ByVal pEvent As CalendarEvent _
)

Parameters

pEvent
The ID of the event.

Remarks

If any property of a CalendarEvent has changed after it is added with the AddEvent method the EventChanged event is fired.

Note: The GetEvent method of the Data Provider can use the EventID to get a pointer to the newly added event. The Data Provider provides several other methods that can use the EventID of a CalendarEvent object.

See Also

CalendarControl Control | CalendarEvent Object | AddEvent Method


%%PageItemTitle%%

CalendarControl Control

pEvent
The ID of the event.
See Also Calendar ActiveX Control v19.3

EventDeletedEx Event

Description

Occurs when an event is deleted from the Calendar Control's Data Provider.

Syntax

Public Event EventDeletedEx( _
   ByVal pEvent As CalendarEvent _
)

Parameters

pEvent
The ID of the event.

Remarks

When the DeleteEvent method is used to Delete an event, the EventDeleted event occurs.

Note: The GetEvent method of the Data Provider can use the EventID to get a pointer to the newly added event. The Data Provider provides several other methods that can use the EventID of a CalendarEvent object.

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | ShowCaptionBarExpandButton Property

See Also Calendar ActiveX Control v19.3

ExpandButtonClick Event

Description

Occurs when the ShowCaptionBarExpandButton is clicked.

Syntax

Public Event ExpandButtonClick()

See Also

CalendarControl Control | ShowCaptionBarExpandButton Property


%%PageItemTitle%%

CalendarControl Control | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | AskItemTextFlags Property | CalendarGetItemTextParams Object | CalendarFlagsSet Object | SetFlag Method | Flags Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

ItemParams
A CalendarGetItemTextParams object that contains the text of a calendar item that is about to be drawn. The Text property is used to set a custom value.
See Also Calendar ActiveX Control v19.3

GetItemText Event

Description

Occurs when each calendar defined text string is about to be drawn if some Flags have been set using the SetFlag method.

Syntax

Public Event GetItemText( _
   ByVal ItemParams As CalendarGetItemTextParams _
)

Parameters

ItemParams
A CalendarGetItemTextParams object that contains the text of a calendar item that is about to be drawn. The Text property is used to set a custom value.

Remarks

Occurs when each calendar text string is about to be drawn if some Flags have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

See Also

CalendarControl Control | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | AskItemTextFlags Property | CalendarGetItemTextParams Object | CalendarFlagsSet Object | SetFlag Method | Flags Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarControl Control | BeforeEditOperation Event | CalendarEditOperationParameters Object

OpParams
[in] Pointer to a CalendarEditOperationParameters object that contains the edit operation that can be performed, the event(s) set for edit operation, etc...
bDisableOperation
See Also Calendar ActiveX Control v19.3

IsEditOperationDisabled Event

Description

Occurs each time an edit operation is possible and can be used to determine\disable different edit operations.

Syntax

Public Event IsEditOperationDisabled( _
   ByVal OpParams As CalendarEditOperationParameters, _
   ByRef bDisableOperation As Boolean _
)

Parameters

OpParams
[in] Pointer to a CalendarEditOperationParameters object that contains the edit operation that can be performed, the event(s) set for edit operation, etc...
bDisableOperation

Remarks

The IsEditOperationDisabled event occurs each time an edit operation is possible and can be used to determine\disable different edit operations. The OpParams.Operation property hold the edit operation that is currently possible or the edit operation that was just performed.

This IsEditOperationDisabled event may be fired several times before the actual edit operation. This is done to update the user interface state (set corresponding mouse cursor for example). The BeforeEditOperation will only be fired once before the edit operation.

Example

[IsEditOperationDisabled (C#)] This sample illustrates how to use the IsEditOperationDisabled event to check to see if a specific edit operation is disabled. This code ensure that in-place event creation is disabled.

        private void CalendarControl_IsEditOperationDisabled(object sender, AxXtremeCalendarControl._DCalendarControlEvents_IsEditOperationDisabledEvent e)
        {
            System.Diagnostics.Debug.WriteLine("Edit operation disabled: " + (CalendarEditOperation)e.opParams.Operation);
            if ((CalendarEditOperation)e.opParams.Operation == CalendarEditOperation.xtpCalendarEO_InPlaceCreateEvent) {
                if (CalendarControl.Options.EnableInPlaceCreateEvent) {
                    e.disableOperation = true;
                }
            }
        }

See Also

CalendarControl Control | BeforeEditOperation Event | CalendarEditOperationParameters Object


%%PageItemTitle%%

CalendarControl Control | KeyUp Event

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed
See Also Calendar ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed on the keyboard and the Calendar Control has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed

Remarks

There are many options that easily allow the subject of an event to be edited such as pressing a key such as pressing the F2 key when an event has focus.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

CalendarControl Control | KeyUp Event


%%PageItemTitle%%

CalendarControl Control | MouseMove Event | MouseUp Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Calendar ActiveX Control v19.3

MouseDown Event

Description

Occurs when a button on the mouse is pressed anywhere on the Calendar Control.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

CalendarControl Control | MouseMove Event | MouseUp Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method


%%PageItemTitle%%

CalendarControl Control | MouseDown Event | MouseUp Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Calendar ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved anywhere over the Calendar Control.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

CalendarControl Control | MouseDown Event | MouseUp Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method


%%PageItemTitle%%

CalendarControl Control | MouseDown Event | MouseMove Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Calendar ActiveX Control v19.3

MouseUp Event

Description

Occurs when a button on the mouse has been released anywhere on the Calendar Control.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

CalendarControl Control | MouseDown Event | MouseMove Event | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration | HitTest Method


%%PageItemTitle%%

CalendarControl Control | EnableReminders Method | IsRemindersEnabled Method | Calendar Reminders Collection | Event Reminder Property | Event ReminderMinutesBeforeStart Property | CalendarReminder Object | CalendarReminders Object | Dismiss Method | Snooze Method | NextReminderTime Property | DismissAll Method | NextReminderTime Property | MinutesBeforeStart Property | StartTime Property | DoGetUpcomingEvents Event

Action
Flag from the CalendarRemindersAction enumeration that indicates why the OnReminders event was fired.
Reminder
Reference to the CalendarReminder object that caused the OnReminders event to fire. This value will be null when the Action is xtpCalendarRemindersMonitoringStarted, xtpCalendarRemindersMonitoringStopped, or xtpCalendarReminderDimissedAll.
See Also Calendar ActiveX Control v19.3

OnReminders Event

Description

Occurs when reminders are enabled, disabled, snoozed, dismissed, and fired.

Syntax

Public Event OnReminders( _
   ByVal Action As CalendarRemindersAction, _
   ByVal Reminder As CalendarReminder _
)

Parameters

Action
Value | Description
xtpCalendarRemindersMonitoringStarted | Indicates EnableReminders was used to enable reminders in the calendar.
xtpCalendarRemindersMonitoringStopped | Indicates EnableReminders was used to disable reminders in the calendar.
xtpCalendarRemindersFire | Indicates a Reminder has been fired. This will happen when the event's StartTime minus MinutesBeforeStart occurs on or before the current time. The NextReminderTime property indicates the next date and time the event will fire.
xtpCalendarReminderSnoozed | Indicates a Reminder has been snoozed using the Snooze method.
xtpCalendarReminderDismissed | Indicates a Reminder has been dismissed using the Dismiss method.
xtpCalendarReminderDismissedAll | Indicates all reminders have been dismissed using the DismissAll method.
xtpCalendarReminderDimissed | Indicates a Reminder has been dismissed using the Dismiss method.
xtpCalendarReminderDimissedAll | Indicates all reminders have been dismissed using the DismissAll method.
Flag from the CalendarRemindersAction enumeration that indicates why the OnReminders event was fired.
Reminder
Reference to the CalendarReminder object that caused the OnReminders event to fire. This value will be null when the Action is xtpCalendarRemindersMonitoringStarted, xtpCalendarRemindersMonitoringStopped, or xtpCalendarReminderDimissedAll.

Remarks

The OnReminders will not fire until the EnableReminders method is used to enable reminders. With reminders enabled, the OnReminders event will automatically occur when a reminder is dismissed, snoozed, and when the reminder is set to remind you.

All events have a Reminder property that can be used to set a reminder for the event. The MinutesBeforeStart and NextReminderTime properties indicate when the reminder will fire.

The IsRemindersEnabled method can be used to determine if reminders are currently enabled.

When a custom data provider is used, the DoGetUpcomingEvents event occurs immediately before OnReminders.

See Also

CalendarControl Control | EnableReminders Method | IsRemindersEnabled Method | Calendar Reminders Collection | Event Reminder Property | Event ReminderMinutesBeforeStart Property | CalendarReminder Object | CalendarReminders Object | Dismiss Method | Snooze Method | NextReminderTime Property | DismissAll Method | NextReminderTime Property | MinutesBeforeStart Property | StartTime Property | DoGetUpcomingEvents Event


%%PageItemTitle%%

CalendarControl Control

UserAction
bCancel
See Also Calendar ActiveX Control v19.3

OnUserAction Event

Syntax

Public Event OnUserAction( _
   ByVal UserAction As CalendarUserAction, _
   ByRef bCancel As Boolean _
)

Parameters

UserAction
bCancel

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | Options Property | CalendarOptions Object | ViewType Property

ViewType

Return the type view that is currently used. The table below lists the corresponding view with a value:

Member | Value
xtpCalendarDayView | 0
xtpCalendarWorkWeekView | 1
xtpCalendarWeekView | 2
xtpCalendarMonthView | 3
See Also Calendar ActiveX Control v19.3

OptionsChanged Event

Description

Occurs when any of the properties in the Options object are changed.

Syntax

Public Event OptionsChanged( _
   ByVal ViewType As Long _
)

Parameters

ViewType

Return the type view that is currently used. The table below lists the corresponding view with a value:

Member | Value
xtpCalendarDayView | 0
xtpCalendarWorkWeekView | 1
xtpCalendarWeekView | 2
xtpCalendarMonthView | 3

See Also

CalendarControl Control | Options Property | CalendarOptions Object | ViewType Property


%%PageItemTitle%%

CalendarControl Control | Populate Method | ViewEvents Property | ViewGroups Property

ViewGroup
Reference to the group who's events will be drawn.
Events
Reference to the collections of Events that will be drawn in the calendar view.
See Also Calendar ActiveX Control v19.3

PrePopulate Event

Description

Occurs before the events are displayed in the current Calendar view.

Syntax

Public Event PrePopulate( _
   ByVal ViewGroup As CalendarViewGroup, _
   ByVal Events As CalendarEvents _
)

Parameters

ViewGroup
Reference to the group who's events will be drawn.
Events
Reference to the collections of Events that will be drawn in the calendar view.

Remarks

When Populate is called, PrePopulate will occur before Populate actually draws the events in the calendar view. This allows you to customize the events before they are shown. PrePopulate will be called for each day in the current view. If multiple resources are used, then PrePopulate is called for each resource for a given day.

See Also

CalendarControl Control | Populate Method | ViewEvents Property | ViewGroups Property


%%PageItemTitle%%

CalendarControl Control | SetMultipleResources Method | MultipleResources Property

ViewDay
The current day view that is about to be populated.
See Also Calendar ActiveX Control v19.3

PrePopulateDay Event

Description

Occurs before the event and drawn for each day view.

Syntax

Public Event PrePopulateDay( _
   ByVal ViewDay As CalendarViewDay _
)

Parameters

ViewDay
The current day view that is about to be populated.

Remarks

PrePopulateDay is used when needing to display a specific set of resources (MultipleResources) for specific days.

Previous Calendar versions configure a resources set for a view.
All days had the same resources set.

To configure resources for each day separately we have to call CalendarViewDay.SetMultipleResources.
But days objects collection is not persistent, it is recreated when calendar scrolled or populated.

That's because we have to use CalendarViewDay.SetMultipleResources inside PrePopulateDay event handler.

In other words - The PrePopulateDay event handler is the best place to configure each day's resources, otherwise it is too complex to catch each scrolling and set resources for new days.

By default Day object takes resources set from its parent View object.
View object takes resources set from the Calendar control.

Now we can customize resources sets for all layers:
-- CalendarControl;
-- -- View;
-- -- -- Day;

Regarding CalendarViewDay.SetMultipleResources -- we can Setup full resources set to CalendarControl. For each day we can copy and set some resources (which we need for this day) from CalendarControl.MultipleResources collection.

See Also

CalendarControl Control | SetMultipleResources Method | MultipleResources Property


%%PageItemTitle%%

CalendarControl Control

See Also Calendar ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

CalendarControl Control


%%PageItemTitle%%

CalendarControl Control | SelectViewEvent Method | ShowDay Method

SelType
See Also Calendar ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when the selection has changed in the Calendar Control.

Syntax

Public Event SelectionChanged( _
   ByVal SelType As CalendarSelectionChanged _
)

Parameters

SelType
Value | Description
xtpCalendarSelectionUnknown | Current selection is an unknown selection value.
xtpCalendarSelectionDays | Current selection is a Day (or day hours for day view) selection. Use the GetSelection method to retrieve the current selection.
xtpCalendarSelectionEvents | Current selection is a Event selection. Use the GetSelectedEvents collection to retrieve currently selected events.

Remarks

The SelectionChanged event occurs when methods such as the SelectViewEvent and ShowDay are used to change the current selection. This event is also fired when the user clicks on an event, day, time of day, or changes the current view.

See Also

CalendarControl Control | SelectViewEvent Method | ShowDay Method


%%PageItemTitle%%

CalendarControl Control | TimeScale Property

See Also Calendar ActiveX Control v19.3

TimeScaleChanged Event

Description

Occurs when the TimeScale is changed.

Syntax

Public Event TimeScaleChanged()

Remarks

The Time Scale is displayed when in Day or WorkWeek view. Changing the TimeScale property of a CalendarDayView object will cause the TimeScaleChanged event to fire.

See Also

CalendarControl Control | TimeScale Property


%%PageItemTitle%%

CalendarControl Control | ViewType Property | CalendarViewType Enumeration | ShowDays Method | ShowDay Method

See Also Calendar ActiveX Control v19.3

ViewChanged Event

Description

Occurs any time the View Type is changed.

Syntax

Public Event ViewChanged()

Remarks

The ViewChanged event occurs when the View Type is changed, when the days are scrolled using the keyboard or mouse, and when using methods such as the ShowDay and ShowDays methods for each type of view.

See Also

CalendarControl Control | ViewType Property | CalendarViewType Enumeration | ShowDays Method | ShowDay Method


%%PageItemTitle%%

CalendarCustomProperties Members | Event CustomProperties Property

See Also Calendar ActiveX Control v19.3

CalendarCustomProperties Collection

Description

Object that represents a collection of user defined custom data that can be attached to an event or recurrence pattern.

For a list of all members defined in this module, see CalendarCustomProperties members.

Remarks

The CalendarCustomProperties object contains a collection of user defined data. Any number and any type of objects can be attached to an event.

When adding a custom property, a string name must be given to the custom property. This string name will be used to retreive the custom property from the collection.

The CustomProperties property is a convenient way to include any additional information with an event.

The CalendarCustomProperties object provides methods to add and remove the custom properties.

See Also

CalendarCustomProperties Members | Event CustomProperties Property

Example

Custom Properties Sample


%%PageItemTitle%% $$Members$$

CalendarCustomProperties Overview | Event CustomProperties Property

See Also Calendar ActiveX Control v19.3

CalendarCustomProperties Collection Members

Public Methods

Public Method LoadFromString | Populates an Event's CustomProperties collection with the custom properties stored in a XML string.
Public Method Remove | Removes a property from the collection specified by the name.
Public Method RemoveAll | Remove all properties from the collection.
Public Method SaveToString | Saves the CustomProperties collection to a sting in XML format.

Public Properties

Public Property Count | Returns the total number of custom properties in the collection.
Public Property Property | Gets\sets a custom properties to the collection of properties.

See Also

CalendarCustomProperties Overview | Event CustomProperties Property


%%PageItemTitle%%

CalendarCustomProperties Collection | SaveToString Method | Event CustomProperties Property | CalendarEvent Object | RemoveAll Method

strData
String in XML format that contains the CustomProperties for a CalendarEvent.
See Also Calendar ActiveX Control v19.3

LoadFromString Method

Description

Populates an Event's CustomProperties collection with the custom properties stored in a XML string.

Syntax

Public Sub LoadFromString( _
   ByVal strData As String _
)

Parameters

strData
String in XML format that contains the CustomProperties for a CalendarEvent.

Remarks

The RemoveAll method is automatically called before the properties are loaded.

Use the SaveToString method to save an Event's CustomProperties collection to a string in XML format.

See Also

CalendarCustomProperties Collection | SaveToString Method | Event CustomProperties Property | CalendarEvent Object | RemoveAll Method


%%PageItemTitle%%

CalendarCustomProperties Collection | RemoveAll Method | Property Property

strName
[in] The String name of the custom property to remove.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes a property from the collection specified by the name.

Syntax

Public Sub Remove( _
   ByVal strName As String _
)

Parameters

strName
[in] The String name of the custom property to remove.

Remarks

Removes a specific custom property from the collection. It will remove the custome property with name strName.

See Also

CalendarCustomProperties Collection | RemoveAll Method | Property Property


%%PageItemTitle%%

CalendarCustomProperties Collection | Remove Method | Property Property

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Remove all properties from the collection.

Syntax

Public Sub RemoveAll()

See Also

CalendarCustomProperties Collection | Remove Method | Property Property


%%PageItemTitle%%

CalendarCustomProperties Collection | Event CustomProperties Property | CalendarEvent Object | LoadFromString Method

See Also Calendar ActiveX Control v19.3

SaveToString Method

Description

Saves the CustomProperties collection to a sting in XML format.

Syntax

Public Function SaveToString() As String

Return Type

String in XML format that contains the CustomProperties for a CalendarEvent.

Remarks

Use the LoadFromString method to populate an Event's CustomProperties collection with the custom properties stored in the XML string.

See Also

CalendarCustomProperties Collection | Event CustomProperties Property | CalendarEvent Object | LoadFromString Method


%%PageItemTitle%%

CalendarCustomProperties Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of custom properties in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarCustomProperties Collection


%%PageItemTitle%%

CalendarCustomProperties Collection | Event CustomProperties Property

strName
String name of the custom property to retreive or set.
See Also Calendar ActiveX Control v19.3

Property Property

Description

Gets\sets a custom properties to the collection of properties.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Property( _
   ByVal strName As String _
) As Variant

Parameters

strName
String name of the custom property to retreive or set.

Remarks

Any number and any type of objects can be attached to an event using the Property collection.

When adding a custom property, a string name must be given to the custom property. This string name will also be used to retreive the custom property from the collection.

Example

[CustomProperties Sample (Visual Basic)] This sample illustrates how to get and set custom properties for an event.

    Dim NewEvent As CalendarEvent
    Set NewEvent = CalendarControl.DataProvider.CreateEvent

    'Add some custom properties
    NewEvent.CustomProperties.Property("String Value") = "Hello"
    NewEvent.CustomProperties.Property("Numeric") = 500
    NewEvent.CustomProperties.Property("Boolen Value") = False

    'Retrieve the custom property
    Dim nInt As Integer
    nInt = NewEvent.CustomProperties.Property "Numeric"

See Also

CalendarCustomProperties Collection | Event CustomProperties Property


%%PageItemTitle%%

CalendarDataProvider Members | SetDataProvider Method | DataProvider Property | ConnectionString

See Also Calendar ActiveX Control v19.3

CalendarDataProvider Object

Description

The CalendarDataProvider Object represents the data portion of the Calendar control.

For a list of all members defined in this module, see CalendarDataProvider members.

Object Model

Remarks

The CalendarDataProvider Object stores all Events data and provides a way to retrieve and save CalendarEvent objects.

To use CalendarDataProvider, the data source must first be set using the SetDataProvider method, then an instance of CalendarDataProvider needs to be created using the Create method (If opening an existing data source, the Create method is not needed), then use the Open method to establish a connection to the data source and initialize the object. The CalendarDataProvider object provides a number of functions to manipulate events and event related data. The Close method must be called after working with the data source is finished to close the connection and to de-initialize the object and free any unused resources.

The data provider can save event information as a XML file, Binary file, Microsoft Database (mdb) file, MAPI (Outlook 2003 format), Memory, SQLServer, MySql, and "custom". The type of file\data created depends on the type specified when SetDataProvider method is called.

The built-in data providers are the Memory provider, MS Access database provider, and the MAPI Outlook data provider. The calendar handles all data functionality internally with the built-in data providers. The "DoXXXX" (i.e. DoCreateEvent) events are not fired when using a built-in data provider

The Custom data providers include the SQLServer, MySql, and Custom. Custom data providers operate in an "unbound" mode. All data must be provided and retrieved to\from the calendar by the developer. All of the "DoXXXX" (i.e. DoCreateEvent) events will be fired when using a custom data provider, the developer must implement their own functionality for each event. For example, when an event is created using the CreateEvent method the DoCreateEvent is fired. The developer can then add special code in the DoCreateEvent to add the event to a database or some other custom data source. For all custom data provider the ConnectionString must contain "Provider=custom".

See the ConnectionString Sample to see how to format the connection strings.

The currently used connection string is stored in the ConnectionString property.

See the SetDataProvider Sample code for more on how to create each type of data provider.

See Also

CalendarDataProvider Members | SetDataProvider Method | DataProvider Property | ConnectionString

Example

CalendarDataProvider Sample | ConnectionString Sample


%%PageItemTitle%% $$Members$$

CalendarDataProvider Overview | SetDataProvider Method | DataProvider Property | ConnectionString

See Also Calendar ActiveX Control v19.3

CalendarDataProvider Object Members

Public Methods

Public Method AddEvent | Adds a new event to the Calendar Control's Data Provider.
Public Method ChangeEvent | Updates an event in the Calendar Control's Data Provider with the specified data.
Public Method ClearCache | Clears the cache for the common data provider.
Public Method Close | Closes the connection to a data source.
Public Method Create | Creates a new empty data storage object to store the events.
Public Method CreateEvent | Creates a new event.
Public Method CreateEventEx | Creates a new event with the specified EventId.
Public Method CreateRecurrencePattern | Creates a new empty CalendarRecurrencePattern object.
Public Method DeleteEvent | Delete an event from the data source.
Public Method GetAllEventsRaw | Gets a collection of all events without generating recurrence occurrences.
Public Method GetEvent | Retrieves an event by using the ID of the event.
Public Method GetRecurrencePattern | Retrieves an instance of a recurrence pattern from the data provider by the specified pattern ID.
Public Method LabelList | Represents a collection of CalendarEventLabel objects.
Public Method Open | Opens and initializes an newly created data source.
Public Method RemoveAllEvents | Deletes all events from the data source.
Public Method RetrieveDayEvents | Returns a CalendarEvents collection from the data source containing all the events for a specified day.
Public Method Save | Saves all event data to the current data source.

Public Properties

Public Property CacheMode | Get\set the cache mode for the current data provider.
Public Property ConnectionString | Gets\sets the data provider connection string.
Public Property DataSource | Returns the data provider's data source.
Public Property EventCategories | Returns a collection of Event categories.
Public Property IsOpen | Determines if a DataSource connection is currently open.
Public Property OwnershipMode | Owner mode, similar to logging in to a computer, you can restrict which schedules a user can modify.
Public Property Schedules | Returns a collection of CalendarSchedule objects used in this data source.

See Also

CalendarDataProvider Overview | SetDataProvider Method | DataProvider Property | ConnectionString


%%PageItemTitle%%

CalendarDataProvider Object | EventAdded Event | SetDataProvider Method | DataProvider Property | Populate Method

Event
New CalendarEvent object to add.
See Also Calendar ActiveX Control v19.3

AddEvent Method

Description

Adds a new event to the Calendar Control's Data Provider.

Syntax

Public Sub AddEvent( _
   ByVal Event As CalendarEvent _
)

Parameters

Event
New CalendarEvent object to add.

Remarks

The Populate method must be called after AddEvent for the Active View of the Calendar to display the new event.

The EventAdded event occurs once the new event has been added to the Calendar Control's Data Provider.

See Also

CalendarDataProvider Object | EventAdded Event | SetDataProvider Method | DataProvider Property | Populate Method


%%PageItemTitle%%

CalendarDataProvider Object | AddEvent Method | RetrieveDayEvents Method

Event
Pointer to the CalendarEvent to update.
See Also Calendar ActiveX Control v19.3

ChangeEvent Method

Description

Updates an event in the Calendar Control's Data Provider with the specified data.

Syntax

Public Sub ChangeEvent( _
   ByVal Event As CalendarEvent _
)

Parameters

Event
Pointer to the CalendarEvent to update.

Remarks

The ChangeEvent method is used to update an event. For example, After adding a recurrence pattern to the event, the ChangeEvent must be called passing in the event at the parameter.

See Also

CalendarDataProvider Object | AddEvent Method | RetrieveDayEvents Method


%%PageItemTitle%%

CalendarDataProvider Object | CalendarDataProviderCacheMode Enumeration | CacheMode Property

See Also Calendar ActiveX Control v19.3

ClearCache Method

Description

Clears the cache for the common data provider.

Syntax

Public Sub ClearCache()

Remarks

ClearCache should be used to keep the cache from growing too large.

CacheMode uses one of the CalendarDataProviderCacheMode flags to set the cache mode for the current data provider.

CacheMode is used for slow data providers to increase their speed. For example, when a database data provider needs to retrieve day events it creates a specific query, executes it and parses the results. These operations could be executed thousands of times, for example, when drawing each day in a view. The Cache itself is a standard memory data provider. CalendarDataProviderCacheMode describes the algorithms for cache updating and clearing.

See Also

CalendarDataProvider Object | CalendarDataProviderCacheMode Enumeration | CacheMode Property


%%PageItemTitle%%

CalendarDataProvider Object

See Also Calendar ActiveX Control v19.3

Close Method

Description

Closes the connection to a data source.

Syntax

Public Sub Close()

See Also

CalendarDataProvider Object


%%PageItemTitle%%

CalendarDataProvider Object | SetDataProvider Method

See Also Calendar ActiveX Control v19.3

Create Method

Description

Creates a new empty data storage object to store the events.

Syntax

Public Function Create() As Boolean

Return Type

True if successful. False otherwise.

Remarks

The SetDataProvider method must be called before Create.

An empty data storage object is created with the necessary structure to store the event. The type of storage created depends on what type (XML file, Binary, or DataBase) was specified when the SetDataProvider method was called. It is opened by default after creation, so the open method does not need to be called.

See Also

CalendarDataProvider Object | SetDataProvider Method


%%PageItemTitle%%

CalendarDataProvider Object | CreateEventEx Method | DoCreateEvent Event

See Also Calendar ActiveX Control v19.3

CreateEvent Method

Description

Creates a new event.

Syntax

Public Function CreateEvent() As CalendarEvent

Return Type

Reference to the newly created CalendarEvent object.

Remarks

CreateEvent is used to create new events. It properly initializes its internal properties, as well as the events new ID number.

Use the CreateEventEx method to create an event and specify the Id.

When using a custom data provider, the DoCreateEvent event is fired when CreateEvent is called.

See Also

CalendarDataProvider Object | CreateEventEx Method | DoCreateEvent Event


%%PageItemTitle%%

CalendarDataProvider Object | CreateEvent Method

EventID
Integer value to assign to the new event's EventId property.
See Also Calendar ActiveX Control v19.3

CreateEventEx Method

Description

Creates a new event with the specified EventId.

Syntax

Public Function CreateEventEx( _
   ByVal EventID As Long _
) As CalendarEvent

Parameters

EventID
Integer value to assign to the new event's EventId property.

Return Type

Reference to the newly created CalendarEvent object.

Remarks

CreateEventEx is used to create new events with a specific EventId.

When using the CreateEvent method to create an event, the EventId is choosen automatically.

When using a custom data provider, the DoCreateEvent event is fired when CreateEventEx is called.

See Also

CalendarDataProvider Object | CreateEvent Method


%%PageItemTitle%%

CalendarDataProvider Object | CalendarRecurrenceType Enumeration | DoCreateRPattern Event

PatternID
ID for a new Recurrence Pattern.
See Also Calendar ActiveX Control v19.3

CreateRecurrencePattern Method

Description

Creates a new empty CalendarRecurrencePattern object.

Syntax

Public Function CreateRecurrencePattern( _
   ByVal PatternID As Long _
) As CalendarRecurrencePattern

Parameters

PatternID
ID for a new Recurrence Pattern.

Return Type

Returns an empty CalendarRecurrencePattern object.

Remarks

CreateRecurrencePattern creates a new CalendarRecurrencePattern and initializes it's ID.

When using a custom data provider, the DoCreateRPattern event is fired when CreateRecurrencePattern is called.

See Also

CalendarDataProvider Object | CalendarRecurrenceType Enumeration | DoCreateRPattern Event


%%PageItemTitle%%

CalendarDataProvider Object | EventDeleted Event | AddEvent Method | DoDeleteEvent Event

Event
CalendarEvent to delete.
See Also Calendar ActiveX Control v19.3

DeleteEvent Method

Description

Delete an event from the data source.

Syntax

Public Sub DeleteEvent( _
   ByVal Event As CalendarEvent _
)

Parameters

Event
CalendarEvent to delete.

Remarks

The EventDeleted event occurs when an event is deleted.

When using a custom data provider, the DoDeleteEvent event is fired when DeleteEvent is called.

See Also

CalendarDataProvider Object | EventDeleted Event | AddEvent Method | DoDeleteEvent Event


%%PageItemTitle%%

CalendarDataProvider Object | DoGetAllEventsRaw Event

See Also Calendar ActiveX Control v19.3

GetAllEventsRaw Method

Description

Gets a collection of all events without generating recurrence occurrences.

Syntax

Public Function GetAllEventsRaw() As CalendarEvents

Return Type

Returns a Sbulk⬝ copy of the CalendarEvents collection. For recurrence events, occurrences are not generated and only the master events returned.

Remarks

Simple events are included as is. For the recurrence events only master events are included, recurrence occurrences are not generated.

When using a custom data provider, the DoGetAllEventsRaw event is fired when GetAllEventsRaw is called.

See Also

CalendarDataProvider Object | DoGetAllEventsRaw Event


%%PageItemTitle%%

CalendarDataProvider Object | DoReadEvent Event

EventID
The ID of the event to retrieve.
See Also Calendar ActiveX Control v19.3

GetEvent Method

Description

Retrieves an event by using the ID of the event.

Syntax

Public Function GetEvent( _
   ByVal EventID As Long _
) As CalendarEvent

Parameters

EventID
The ID of the event to retrieve.

Return Type

A CalendarEvent object with the specified EventID.

Remarks

Various Calendar Control events pass the EventID as a parameter when they are fired. The GetEvent method of the Data Provider uses the EventID to retrieve an event.

When using a custom data provider, the DoReadEvent event is fired when GetEvent is called.

See Also

CalendarDataProvider Object | DoReadEvent Event


%%PageItemTitle%%

CalendarDataProvider Object | PatternDeleted Event | PatternChanged Event | PatternAdded Event | DoReadRPattern Event

PatternID
Id of a CalendarRecurrencePattern.
See Also Calendar ActiveX Control v19.3

GetRecurrencePattern Method

Description

Retrieves an instance of a recurrence pattern from the data provider by the specified pattern ID.

Syntax

Public Function GetRecurrencePattern( _
   ByVal PatternID As Long _
) As CalendarRecurrencePattern

Parameters

PatternID
Id of a CalendarRecurrencePattern.

Return Type

A CalendarRecurrencePattern object with the specified PatternID.

Remarks

The GetRecurrencePattern method could be used for example in the Calendar Control's event handlers: PatternChanged, PatternAdded, and PatternDeleted.

Each of the event handlers provide only the numeric PatternID. The GetRecurrencePattern method can then be used to retrieve the CalendarRecurrencePattern itself from the data provider.

Note: The PatternID is automatically generated when the pattern is added and can not be set changed.

When using a custom data provider, the DoReadRPattern event is fired when GetRecurrencePattern is called.

See Also

CalendarDataProvider Object | PatternDeleted Event | PatternChanged Event | PatternAdded Event | DoReadRPattern Event


%%PageItemTitle%%

CalendarDataProvider Object | Event Label Property | CalendarEventLabel Object | CalendarEventLabels Object | AddLabel Method

See Also Calendar ActiveX Control v19.3

LabelList Method

Description

Represents a collection of CalendarEventLabel objects.

Syntax

Public Function LabelList() As CalendarEventLabels

Return Type

Returns a CalendarEventLabel object containing all the CalendarEventLabel objects available to use for calendar events.

Remarks

The LabelList property is a CalendarEventLabels collection used to store CalendarEventLabel objects that can be used as labels for events.

The Label property of an event uses the LabelID of a label to associate a CalendarEventLabel Object with an event. The color of the label is used to fill the background of the event when viewed in the calendar.

The table below lists all the default label values and colors that are added to the LabelList when using InitDefaultValues:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

You can Add or Remove labels to the LabelList to be used for events. This allows you to set a custom color for the label.

See Also

CalendarDataProvider Object | Event Label Property | CalendarEventLabel Object | CalendarEventLabels Object | AddLabel Method


%%PageItemTitle%%

CalendarDataProvider Object | Create Method | Save Method | DataProvider Property | IsOpen Property

See Also Calendar ActiveX Control v19.3

Open Method

Description

Opens and initializes an newly created data source.

Syntax

Public Function Open() As Boolean

Return Type

True if successful. False otherwise.

Remarks

A DataProvider must first be created using the Create before it can be opened. This is not necessary if opening an existing data source.

Example

[Open Data Source Sample (Visual Basic)] This sample illustrates how to open a DataProvider for the Calendar Control to use to save event data.

    Dim ConnectionString As String

    'Saves to an XML file in XML format
    ConnectionString = "Provider=XML;Data Source=" & App.Path & "\Events.xml"

    'Saves to a standard file in Binary format
    'ConnectionString = "Data Source=" & App.Path & "\Events.bin"

    'Saves to a Microsoft Access DataBase file
    'ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & App.Path & "\Events.mdb"

    'Sets the Data Source
    CalendarControl.SetDataProvider ConnectionString

    'If the Data Source can not be opened, then create a new data source
    If Not CalendarControl.DataProvider.Open Then
        'Create a new data source to use.
        CalendarControl.DataProvider.Create
    End If

See Also

CalendarDataProvider Object | Create Method | Save Method | DataProvider Property | IsOpen Property


%%PageItemTitle%%

CalendarDataProvider Object | DeleteEvent Method | DoRemoveAllEvents Event

See Also Calendar ActiveX Control v19.3

RemoveAllEvents Method

Description

Deletes all events from the data source.

Syntax

Public Sub RemoveAllEvents()

Remarks

When using a custom data provider, the DoRemoveAllEvents event is fired when RemoveAllEvents is called.

See Also

CalendarDataProvider Object | DeleteEvent Method | DoRemoveAllEvents Event


%%PageItemTitle%%

CalendarDataProvider Object | GetEvent Method | DoRetrieveDayEvents Event

dt
Date\DateTime object containing the date of the day to retrieve all events. No time portion should be included.
See Also Calendar ActiveX Control v19.3

RetrieveDayEvents Method

Description

Returns a CalendarEvents collection from the data source containing all the events for a specified day.

Syntax

Public Function RetrieveDayEvents( _
   ByVal dt As Date _
) As CalendarEvents

Parameters

dt
Date\DateTime object containing the date of the day to retrieve all events. No time portion should be included.

Return Type

CalendarEvents collection containing all the day events for the specified date.

Remarks

Use the RetrieveDayEvents method to retrieve all of the events for a specific date.

When using a custom data provider, the DoRetrieveDayEvents event is fired when RetrieveDayEvents is called.

See Also

CalendarDataProvider Object | GetEvent Method | DoRetrieveDayEvents Event


%%PageItemTitle%%

CalendarDataProvider Object | DataProvider Property

See Also Calendar ActiveX Control v19.3

Save Method

Description

Saves all event data to the current data source.

Syntax

Public Sub Save()

Return Type

True if successful. False otherwise.

Remarks

The events data will be saved to the data source that was specified when the SetDataProvider method was called. The type of storage created depends on what type (XML file, Binary, or DataBase) was specified.

This method will always return True when using a database data provider. The reason is that database data provider always keep consistency of its data and could be closed without saving. The database file would contain the most recent data.

See Also

CalendarDataProvider Object | DataProvider Property


%%PageItemTitle%%

CalendarDataProvider Object | ClearCache Method | CalendarDataProviderCacheMode Enumeration

See Also Calendar ActiveX Control v19.3

CacheMode Property

Description

Get\set the cache mode for the current data provider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CacheMode() As CalendarDataProviderCacheMode

Remarks

CacheMode uses one of the CalendarDataProviderCacheMode flags to set the cache mode for the current data provider.

CacheMode is used for slow data providers to increase their speed. For example, when a database data provider needs to retrieve day events it creates a specific query, executes it and parses the results. These operations could be executed thousands of times, for example, when drawing each day in a view. The Cache itself is a standard memory data provider. CalendarDataProviderCacheMode describes the algorithms for cache updating and clearing.

ClearCache is used to clear the cache for the common data provider.

See Also

CalendarDataProvider Object | ClearCache Method | CalendarDataProviderCacheMode Enumeration


%%PageItemTitle%%

CalendarDataProvider Object | DataSource Property | SetDataProvider Method | DataProvider Property | Open Method

See Also Calendar ActiveX Control v19.3

ConnectionString Property

Description

Gets\sets the data provider connection string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConnectionString() As String

Remarks

The ConnectionString is initially set the the data provider is set using the SetDataProvider method. The ConnectionString consists of a sting that contains the data provider and data source.

The ConnectionString is in the format:

"Provider=xxx;Data Source=xxx".

The DataSource property parses the ConnectionString and returns only the Data Source.

For a Custom data provider, the Data Source is not used and can contain any extra useful information.

Below are some sample connection strings.

Example

[[New Example] (Visual Basic)] Sample Connection Strings

'Built-in
   'XML data provider (Memory)
   "Provider=XML;Data Source=" & App.Path & "\Events.xml"

   'MS Access data provider
   "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & App.Path & "\events.mdb"

   'MAPI MS Outlook data provider
   "Provider=MAPI;Data Source=" & Path & "\Application Data\Microsoft\Outlook\outcmd.dat"

'Custom
   'SQLServer data provider
   "Provider=custom;DSN=CalendarSQL_Server"

   'MySql data provider
   "Provider=custom;DSN=Calendar_MySQL"

See Also

CalendarDataProvider Object | DataSource Property | SetDataProvider Method | DataProvider Property | Open Method


%%PageItemTitle%%

CalendarDataProvider Object | ConnectionString Property | Open Method | SetDataProvider Method

See Also Calendar ActiveX Control v19.3

DataSource Property

Description

Returns the data provider's data source.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataSource() As String

Remarks

For built-in data providers, DataSource will contain the patch to the data source file.

For a Custom data provider, DataSource will contain the entire ConnectionString as the the Data Source part of the ConnectionString is not used and can contain any extra useful information.

See the SetDataProvider method for more information on data providers.

See Also

CalendarDataProvider Object | ConnectionString Property | Open Method | SetDataProvider Method


%%PageItemTitle%%

CalendarDataProvider Object

See Also Calendar ActiveX Control v19.3

EventCategories Property

Description

Returns a collection of Event categories.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventCategories() As CalendarEventCategories

See Also

CalendarDataProvider Object


%%PageItemTitle%%

CalendarDataProvider Object | DataSource Property | ConnectionString Property | CacheMode Property | Open Method | SetDataProvider Method

See Also Calendar ActiveX Control v19.3

IsOpen Property

Description

Determines if a DataSource connection is currently open.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsOpen() As Boolean

Remarks

Determines if a data source is currently Open.

See Also

CalendarDataProvider Object | DataSource Property | ConnectionString Property | CacheMode Property | Open Method | SetDataProvider Method


%%PageItemTitle%%

CalendarDataProvider Object | OwnerUser Property | ReadOnlyMode Property

See Also Calendar ActiveX Control v19.3

OwnershipMode Property

Description

Owner mode, similar to logging in to a computer, you can restrict which schedules a user can modify.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OwnershipMode() As Boolean

Remarks

Allows multiple schedules to be viewed on the same machine without letting everyone modify all schedules. OwnershipMode can be used with applications that require a user to log in. In this case when the user logs in you would set OwnerUser = to the user name. In OwnershipMode any events except with ScheduleName = OwnerUser will be protected - no delete, no edit. New events will be automatically assigned to ScheduleName = OwnerUser. This allows the user to still view all schedules, but they can only modify their own.

Note: The ReadOnlyMode property will dynamically change depending on which schedule has focus. If the schedule does not belong to the user then it will be put into ReadOnlyMode.

See Also

CalendarDataProvider Object | OwnerUser Property | ReadOnlyMode Property


%%PageItemTitle%%

CalendarDataProvider Object | CalendarSchedule Object | CalendarSchedules Object | AddNewSchedule Method | GetScheduleName Method | RemoveSchedule Method | Collection of Schedules | CalendarResource Object | ScheduleIDs Property

See Also Calendar ActiveX Control v19.3

Schedules Property

Description

Returns a collection of CalendarSchedule objects used in this data source.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Schedules() As CalendarSchedules

Remarks

Schedules contains all of the CalendarSchedule objects that are used in this data source. Each CalendarResource can display one or more the the schedules that have been added to the Schedules collection. The ScheduleIDs collection contains the Ids of the schedules for a CalendarResource.

CalendarSchedules provides methods and properties to add\remove\find CalendarSchedule objects to\from this data source. Methods are also provided to determine which CalendarResource a CalendarSchedule belongs to.

GetScheduleName is useful when trying to identify which CalendarResource a CalendarSchedule belongs to.

See Also

CalendarDataProvider Object | CalendarSchedule Object | CalendarSchedules Object | AddNewSchedule Method | GetScheduleName Method | RemoveSchedule Method | Collection of Schedules | CalendarResource Object | ScheduleIDs Property


%%PageItemTitle%%

CalendarDayView Members | GetCurrentTimeZone Method | GetScale2TimeZone Method

See Also Calendar ActiveX Control v19.3

CalendarDayView Object

Description

This object implements a specific view portion of the Calendar Control called a Day View.

For a list of all members defined in this module, see CalendarDayView members.

Object Model

Remarks

The Day view consists of one or more days, placed in a row. Each day is stretched down by a number of fixed time intervals. Each day is represented by a CalendarDayView object.

The Day view also contains two time scales defining those intervals at the left of the view. One time scale is the main time scale that represents the current time zone and is visible by default, the second time scale is the alternative time scale that represents the alternative time zone and can be enabled programmatically with the DayViewScale2Visible property. The time scale time interval can be changed using the TimeScale property. The content of the view is refreshed automatically.

See Also

CalendarDayView Members | GetCurrentTimeZone Method | GetScale2TimeZone Method


%%PageItemTitle%% $$Members$$

CalendarDayView Overview | GetCurrentTimeZone Method | GetScale2TimeZone Method

See Also Calendar ActiveX Control v19.3

CalendarDayView Object Members

Public Methods

Public Method AddDay | Adds a specified date to the dates set showing in the current calendar day view.
Public Method Copy | Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method Cut | Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method EnableHScroll | Enables or Disabled horizontal scrolling.
Public Method EnableVScroll | Enables or Disabled vertical scrolling.
Public Method EnsureVisible | This member function is used to ensure that an event view item is visible.
Public Method EnsureVisibleGroup | Ensure that an event view item is visible.
Public Method GetCellNumber | Used to calculate the cell number for the specified time value.
Public Method HitTest | This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.
Public Method HitTestEx | This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.
Public Method Paste | Inserts the contents of the clipboard at the current location.
Public Method Redo | Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.
Public Method ResetSelection | Resets the current selection.
Public Method ScrollToColumn | When using schedules\multiple-resources, this will specifies the column\schedule within a day to scroll to and highlight\select.
Public Method ScrollToWorkDayBegin | The ScrollToWorkDayBegin method is used to start the view from the work day starting time.
Public Method ScrollV | Scrolls the content of a view until the specified cell is visible.
Public Method SelectViewEvent | Used to select or un-select an event in the current view.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the view.
Public Method ShowDay | Used to show a specific day in the calendar view.
Public Method ShowDays | Shows the specified day interval in the calendar day view.
Public Method Undo | Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.
Public Method UnselectAllEvents | Un-selects all of the events of the current view.

Public Properties

Public Property CanCopy | Determines if the Copy operation can currently be performed.
Public Property CanCut | Determines if the Cut operation can currently be performed.
Public Property CanPaste | Determines if the Paste operation can currently be performed.
Public Property CanRedo | Determines if the Redo operation can currently be performed.
Public Property CanStartEdit | Returns whether editing of the view is possible.
Public Property CanUndo | Determines if the Undo operation can currently be performed.
Public Property DayHeaderFormatLong | Day header Long date format custom string.
Public Property DayHeaderFormatMiddle | Day header Middle date format custom string.
Public Property DayHeaderFormatShort | Day header Short date format custom string.
Public Property DayHeaderFormatShortest | Day header Shortest date format custom string.
Public Property DayHeaderPeriod | Specifies how many times the day header is repeated when displaying multiple schedules.
Public Property Days | Get a CalendarViewDay object by the day's index in the current view.
Public Property DaysCount | Number of "day views" in the view collection.
Public Property DayViewPrintInterval | Interval to use in DayView Printing: 60, 45, 30 or 15 minute intervals.
Public Property DF_Mode | Specifies the size of the last page printed.
Public Property DraftMode | Specifies whether to print in drat mode (black and white with no headers).
Public Property EcoAllDayMode | Specifies whether to use the short height for the AllDay header area.
Public Property GetSelectedEvents | Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.
Public Property HideLinkContainer | Flag to hide or show 'virtual' view events container column.
Public Property MinColumnWidth | Gets or sets the minimum column width while in day view.
Public Property MultipleResources | Collection of CalendarResources for the view.
Public Property PreventAutoDropAllDayMode | Specifies whether events can be dragged into the AllDay zone.
Public Property PreventDragAllDayEventInDayView | Specifies whether All Day Events can be dragged while in day view.
Public Property PrintFullScale | Specifies whether to print the entire timescale range .
Public Property RepeatHeaderMode | Specifies whether to print Header and Footer only on first page.
Public Property Selection | Returns the Time Range and CalendarViewGroup that is currently selected.
Public Property ShowAllDayEventsOnly | Specifies whether to show only All Day Events, this will hide the normal time section and only show the All Day Header section.
Public Property ShowLinks | Flag to show or hide 'virtual' view events.
Public Property TimeScale | Gets\sets the Time Scale time interval.
Public Property TimeScaleMaxTime | Gets or sets the maximal time which is shown on the day view scale.
Public Property TimeScaleMinTime | Gets or sets the minimal time which is shown on the day view scale.

See Also

CalendarDayView Overview | GetCurrentTimeZone Method | GetScale2TimeZone Method


%%PageItemTitle%%

CalendarDayView Object

Day
A Date object that contains the new date to display in the current calendar day view.
See Also Calendar ActiveX Control v19.3

AddDay Method

Description

Adds a specified date to the dates set showing in the current calendar day view.

Syntax

Public Sub AddDay( _
   ByVal Day As Date _
)

Parameters

Day
A Date object that contains the new date to display in the current calendar day view.

Remarks

The AddDay method is used to display a specific day in the calendar day view in addition to the days already visible.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Copy Method

Description

Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Copy()

Remarks

If one or more events are selected, the copy operation will place the event(s) on the clipboard. If an event is in edit mode, the the copy operation will copy the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will not be removed.

The CanCopy property is used to determine if the copy operation can currently be performed.

See Also

CalendarDayView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarDayView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property

See Also Calendar ActiveX Control v19.3

Cut Method

Description

Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Cut()

Remarks

If one or more events are selected, the cut operation will place the event(s) on the clipboard. If an event is in edit mode, the the cut operation will cut the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will be removed from the calendar until it is pasted back into the calendar.

The CanCut property is used to determine if the cut operation can currently be performed.

See Also

CalendarDayView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property


%%PageItemTitle%%

CalendarDayView Object

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

See Also Calendar ActiveX Control v19.3

EnableHScroll Method

Description

Enables or Disabled horizontal scrolling.

Syntax

Public Sub EnableHScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

Remarks

If False, then the horizontal scroll bar is removed and the view can not be scrolled horizontally.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

See Also Calendar ActiveX Control v19.3

EnableVScroll Method

Description

Enables or Disabled vertical scrolling.

Syntax

Public Sub EnableVScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

Remarks

If False, then the vertical scroll bar is removed and the view can not be scrolled vertically.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

ViewEvent
A CalendarViewEvent object. A pointer to the event view item being made visible.
See Also Calendar ActiveX Control v19.3

EnsureVisible Method

Description

This member function is used to ensure that an event view item is visible.

Syntax

Public Function EnsureVisible( _
   ByVal ViewEvent As CalendarViewEvent _
) As Boolean

Parameters

ViewEvent
A CalendarViewEvent object. A pointer to the event view item being made visible.

Return Type

Returns TRUE if the system scrolled the day view in the Calendar control to ensure that the specified event view item is visible. Otherwise, the return value is FALSE.

Remarks

If necessary, the function scrolls the day view so that the event view item is visible.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

ViewGroup
A CalendarViewGroup object. A pointer to the group view being made visible.
See Also Calendar ActiveX Control v19.3

EnsureVisibleGroup Method

Description

Ensure that an event view item is visible.

Syntax

Public Function EnsureVisibleGroup( _
   ByVal ViewGroup As CalendarViewGroup _
) As Boolean

Parameters

ViewGroup
A CalendarViewGroup object. A pointer to the group view being made visible.

Return Type

Returns True if the system scrolled the day view in the Calendar control to ensure that the specified event view item is visible. Otherwise, the return value is False.

Remarks

If necessary, the function scrolls the day view so that the event view item is visible.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

DayTime
A Date or DateTime object that contains a time value to check for.
See Also Calendar ActiveX Control v19.3

GetCellNumber Method

Description

Used to calculate the cell number for the specified time value.

Syntax

Public Function GetCellNumber( _
   ByVal DayTime As Date _
) As Long

Parameters

DayTime
A Date or DateTime object that contains a time value to check for.

Return Type

Retrieves which cell contains the specified time value.

Remarks

Call this member function when you want to retrieve which cell contains a specified time value.

When in Day or WorkWeek view, both a date and time are needed to retreive a cell number. When in Month or Week view, only a Date is needed.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.

Syntax

Public Function HitTest() As CalendarHitTestInfo

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the XY point of the mouse cursor in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarDayView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarDayView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.
See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As CalendarHitTestInfo

Parameters

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the specified XY point in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarDayView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarDayView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property

See Also Calendar ActiveX Control v19.3

Paste Method

Description

Inserts the contents of the clipboard at the current location.

Syntax

Public Sub Paste()

Remarks

The CanPaste method is used to determine if the contents of the clipboard can be pasted.

If an event is currently on the clipboard, then the Paste operation will paste the event(s) at the currently selected time slot in the Calendar view.

If text is currently on the clipboard, then the Paste operation will paste the text at the current cursor position in the event's subject if an event is in edit mode.

See Also

CalendarDayView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Redo Method

Description

Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.

Syntax

Public Sub Redo()

Remarks

The CanRedo property is used to determine if the Redo operation can currently be performed. Redo will only redo event resizing and event subject editing.

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarDayView Object | SetSelection Method | GetSelection Method

See Also Calendar ActiveX Control v19.3

ResetSelection Method

Description

Resets the current selection.

Syntax

Public Sub ResetSelection()

Remarks

The ResetSelection method programmatically clears the current selection.

See Also

CalendarDayView Object | SetSelection Method | GetSelection Method


%%PageItemTitle%%

CalendarDayView Object

ColumnIndex
Column number to scroll to and select.
See Also Calendar ActiveX Control v19.3

ScrollToColumn Method

Description

When using schedules\multiple-resources, this will specifies the column\schedule within a day to scroll to and highlight\select.

Syntax

Public Sub ScrollToColumn( _
   ByVal ColumnIndex As Long _
)

Parameters

ColumnIndex
Column number to scroll to and select.

Remarks

This is used to select a specific schedule within a day when using multiple resources. Consider the following scenario:

You have multi-schedules and need to select one schedule from a combobox that contains the list of schedules. After you choose a schedule from the combobox you can then horizontally scroll to this schedule and select it.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | WorkWeekMask Property

See Also Calendar ActiveX Control v19.3

ScrollToWorkDayBegin Method

Description

The ScrollToWorkDayBegin method is used to start the view from the work day starting time.

Syntax

Public Sub ScrollToWorkDayBegin()

Remarks

The ScrollToWorkDayBegin method scroll the view to the work day starting time. The work week starting time is set using the WorkWeekMask property.

See Also

CalendarDayView Object | WorkWeekMask Property


%%PageItemTitle%%

CalendarDayView Object | GetCellNumber Method

CellIndex
Index of a cell in the current view.
See Also Calendar ActiveX Control v19.3

ScrollV Method

Description

Scrolls the content of a view until the specified cell is visible.

Syntax

Public Sub ScrollV( _
   ByVal CellIndex As Long _
)

Parameters

CellIndex
Index of a cell in the current view.

See Also

CalendarDayView Object | GetCellNumber Method


%%PageItemTitle%%

CalendarDayView Object

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also Calendar ActiveX Control v19.3

SelectViewEvent Method

Description

Used to select or un-select an event in the current view.

Syntax

Public Sub SelectViewEvent( _
   ByVal ViewEvent As CalendarViewEvent, _
   ByVal Select As Boolean _
)

Parameters

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | MultipleResources Property

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the view.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarDayView Object | MultipleResources Property


%%PageItemTitle%%

CalendarDayView Object

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.
See Also Calendar ActiveX Control v19.3

ShowDay Method

Description

Used to show a specific day in the calendar view.

Syntax

Public Sub ShowDay( _
   ByVal Day As Date, _
   Optional ByVal Select As Boolean = True _
)

Parameters

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

Remarks

When in Day or WorkWeek view, ShowDay will show only the specified day in the calendar view. When in Week or Month view, ShowDay will ensure that the provided date is visible and selected if desired.

Using the ShowDay method to change the day shown will cause the ViewChanged event to fire.

Example

[ShowDay Sample (Visual Basic)] This sample illustrates how to show a date it both day view and month view.

    Dim d As Date
    d = #10/10/2004#

    'Show a date in Day view
    CalendarControl.DayView.ShowDay d, True

    'Show a date in Month View
    CalendarControl.ViewType = xtpCalendarMonthView
    CalendarControl.MonthView.ShowDay d, False

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | ShowDay Method | ViewChanged Event

DayBegin
[in] A Date\DateTime object that contains the beginning interval date to show.
DayEnd
[in] A Date\DateTime object that contains the ending interval date to show.
See Also Calendar ActiveX Control v19.3

ShowDays Method

Description

Shows the specified day interval in the calendar day view.

Syntax

Public Sub ShowDays( _
   ByVal DayBegin As Date, _
   ByVal DayEnd As Date _
)

Parameters

DayBegin
[in] A Date\DateTime object that contains the beginning interval date to show.
DayEnd
[in] A Date\DateTime object that contains the ending interval date to show.

Remarks

The ShowDays function is used to show all days from the DayBegin up to DayEnd inclusive in the current view.

Using the ShowDays method to change the days shown will cause the ViewChanged event to fire.

See Also

CalendarDayView Object | ShowDay Method | ViewChanged Event


%%PageItemTitle%%

CalendarDayView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property

See Also Calendar ActiveX Control v19.3

Undo Method

Description

Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.

Syntax

Public Sub Undo()

Remarks

Undo will not be available if there was no previous edit, or if any other action has been performed after the last edit.

Note: You can't undo a Cut operation using the Undo command.

See Also

CalendarDayView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property


%%PageItemTitle%%

CalendarDayView Object | GetSelection Method

See Also Calendar ActiveX Control v19.3

UnselectAllEvents Method

Description

Un-selects all of the events of the current view.

Syntax

Public Sub UnselectAllEvents()

See Also

CalendarDayView Object | GetSelection Method


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCopy Property

Description

Determines if the Copy operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

The Copy operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCut Property

Description

Determines if the Cut operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

The Cut operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanPaste Property

Description

Determines if the Paste operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanRedo Property

Description

Determines if the Redo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

CanStartEdit Property

Description

Returns whether editing of the view is possible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanStartEdit() As Boolean

Remarks

Will return true if the user is not currently dragging or editing the subject of an event.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanUndo Property

Description

Determines if the Undo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

CalendarDayView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatLong Property

Description

Day header Long date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatLong() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Format Day Header Date String Sample (Visual Basic)] This sample illulstrates how to format the day header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.ActiveView.DayHeaderFormatLong = "ddd, dd MMMM yyyy"
    CalendarControl.ActiveView.DayHeaderFormatMiddle = "ddd, dd MMM yy"
    CalendarControl.ActiveView.DayHeaderFormatShort = "dd MMM "
    CalendarControl.ActiveView.DayHeaderFormatShortest = "dd.MM"
    CalendarControl.Populate

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatMiddle Property

Description

Day header Middle date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatMiddle() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarDayView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShort Property

Description

Day header Short date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShort() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarDayView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShortest Property

Description

Day header Shortest date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShortest() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarDayView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarDayView Object | FullDateMode Property

See Also Calendar ActiveX Control v19.3

DayHeaderPeriod Property

Description

Specifies how many times the day header is repeated when displaying multiple schedules.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderPeriod() As Integer

Remarks

FullDateMode must be True to use this feature.

This is useful when displaying many schedules on the same day.

e.g. CalendarControl.DayView.DayHeaderPeriod = 2 means skip each 2nd title.

See Also

CalendarDayView Object | FullDateMode Property


%%PageItemTitle%%

CalendarDayView Object | DaysCount Property

nIndex
[in] An integer that contains the index of a day in the day view collection.
See Also Calendar ActiveX Control v19.3

Days Property

Description

Get a CalendarViewDay object by the day's index in the current view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Days( _
   ByVal nIndex As Long _
) As CalendarViewDay

Parameters

nIndex
[in] An integer that contains the index of a day in the day view collection.

Remarks

Index numbers start with 0 and cannot be negative.

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarDayView Object | DaysCount Property


%%PageItemTitle%%

CalendarDayView Object | Days Property

See Also Calendar ActiveX Control v19.3

DaysCount Property

Description

Number of "day views" in the view collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DaysCount() As Long

Remarks

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarDayView Object | Days Property


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DayViewPrintInterval Property

Description

Interval to use in DayView Printing: 60, 45, 30 or 15 minute intervals.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewPrintInterval() As Integer

Remarks

Interval to use in DayView Printing: 60, 45, 30 or 15 minute intervals.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DF_Mode Property

Description

Specifies the size of the last page printed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DF_Mode() As Boolean

Remarks

This is a last page print mode flag (FALSE - print last page same size as others, TRUE (default) - can be shorter then others).

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

DraftMode Property

Description

Specifies whether to print in drat mode (black and white with no headers).

Property type

Read-write property

Syntax (Visual Basic)

Public Property DraftMode() As Boolean

Remarks

This is a flag to set printout to print in B/W without Header and Footer to maximize main information space and simplify params set (default = FALSE).

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | EcoMode Property

See Also Calendar ActiveX Control v19.3

EcoAllDayMode Property

Description

Specifies whether to use the short height for the AllDay header area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EcoAllDayMode() As Boolean

Remarks

Similar to EcoMode, only this is just for the AllDay area height. When true, it will use the short height.

See Also

CalendarDayView Object | EcoMode Property


%%PageItemTitle%%

CalendarDayView Object | SelectViewEvent Method | UnselectAllEvents Method

See Also Calendar ActiveX Control v19.3

GetSelectedEvents Property

Description

Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetSelectedEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents object will contain a CalendarViewEvent object for each event that is selected in the current view.

Note: If an event that is selected spans more than one day (multi-day event) there will be two CalendarViewEvent objects that represent the same event. Multi-day events have a separate CalendarViewEvent object for each day.

See Also

CalendarDayView Object | SelectViewEvent Method | UnselectAllEvents Method


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

HideLinkContainer Property

Description

Flag to hide or show 'virtual' view events container column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideLinkContainer() As Boolean

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

MinColumnWidth Property

Description

Gets or sets the minimum column width while in day view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinColumnWidth() As Long

Remarks

Set to 0 to disable this feature.

Set to -1 to use the default width, which tries to resize all days to fit in the current view.

Set to any positive number to specify the minimum number of pixels that a column can be.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarDayView Object | SetMultipleResources Method


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

PreventAutoDropAllDayMode Property

Description

Specifies whether events can be dragged into the AllDay zone.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreventAutoDropAllDayMode() As Boolean

Remarks

This is a flag to prevent dragging event into AllDay zone.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

PreventDragAllDayEventInDayView Property

Description

Specifies whether All Day Events can be dragged while in day view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreventDragAllDayEventInDayView() As Boolean

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

PrintFullScale Property

Description

Specifies whether to print the entire timescale range .

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintFullScale() As Boolean

Remarks

Prints the timescale range. If FALSE - print only working hours range.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

RepeatHeaderMode Property

Description

Specifies whether to print Header and Footer only on first page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RepeatHeaderMode() As Boolean

Remarks

This is a flag to set printout to print Header and Footer only on first page to maximize main information space (default = TRUE).

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Returns the Time Range and CalendarViewGroup that is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As CalendarViewSelection

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

ShowAllDayEventsOnly Property

Description

Specifies whether to show only All Day Events, this will hide the normal time section and only show the All Day Header section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAllDayEventsOnly() As Boolean

Remarks

This can be used if you simply want to display events and time is of no importance. For example, you have a list of chores for any given day, but the time and order in which they are performed is not important. You can just add only All Day events and set ShowAllDayEventsOnly to true.

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object

See Also Calendar ActiveX Control v19.3

ShowLinks Property

Description

Flag to show or hide 'virtual' view events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLinks() As Boolean

See Also

CalendarDayView Object


%%PageItemTitle%%

CalendarDayView Object | GetCurrentTimeZone Method | GetScale2TimeZone Method | TimeScaleChanged Event

See Also Calendar ActiveX Control v19.3

TimeScale Property

Description

Gets\sets the Time Scale time interval.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScale() As Long

Remarks

The TimeScale property sets the time interval for both the default and alternative Time Scales.

By default, the Calendar Control appears with a time scale interval of 30 minutes. You can increase or decrease this scale using the TimeScale property.

Changing the TimeScale property will cause the TimeScaleChanged event to fire.

Note: The Time Scale is only displayed when in Day or WorkWeek view.

See Also

CalendarDayView Object | GetCurrentTimeZone Method | GetScale2TimeZone Method | TimeScaleChanged Event


%%PageItemTitle%%

CalendarDayView Object | TimeScaleMinTime Property

See Also Calendar ActiveX Control v19.3

TimeScaleMaxTime Property

Description

Gets or sets the maximal time which is shown on the day view scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScaleMaxTime() As Date

Remarks

This allows you to limit the time range that is displayed for a day view, for example from 3am to 5pm.

Only the time part of the argument will be used by the control. It will be used for all dates. The date part of the argument is ignored.

See Also

CalendarDayView Object | TimeScaleMinTime Property


%%PageItemTitle%%

CalendarDayView Object | TimeScaleMaxTime Property

See Also Calendar ActiveX Control v19.3

TimeScaleMinTime Property

Description

Gets or sets the minimal time which is shown on the day view scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScaleMinTime() As Date

Remarks

This allows you to limit the time range that is displayed for a day view, for example from 3am to 5pm.

Only the time part of the argument will be used by the control. It will be used for all dates. The date part of the argument is ignored.

See Also

CalendarDayView Object | TimeScaleMaxTime Property


%%PageItemTitle%%

CalendarDayViewCellParams Members | BeforeDrawDayViewCell Event

See Also Calendar ActiveX Control v19.3

CalendarDayViewCellParams Object

Description

Object the BeforeDrawDayViewCell event uses to customize the background color of time cells in Day View and Work Week View.

For a list of all members defined in this module, see CalendarDayViewCellParams members.

Object Model

Remarks

Object the BeforeDrawDayViewCell event uses to customize the background color of time cells in Day View and Work Week View. This allows you to create a custom work week mask for the days.

See Also

CalendarDayViewCellParams Members | BeforeDrawDayViewCell Event


%%PageItemTitle%% $$Members$$

CalendarDayViewCellParams Overview | BeforeDrawDayViewCell Event

See Also Calendar ActiveX Control v19.3

CalendarDayViewCellParams Object Members

Public Properties

Public Property BackgroundColor | Gets\sets the background color of the cell.
Public Property BeginTime | The Date and Time of the current cell.
Public Property Index | Cell Index.
Public Property Selected | Specifies whether the cell is currently selected.
Public Property ViewGroup | Specifies the group in the view the cell belongs to.

See Also

CalendarDayViewCellParams Overview | BeforeDrawDayViewCell Event


%%PageItemTitle%%

CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color of the cell.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Remarks

Use this property to change the background color of a cell when Day View or Work Week View. This is how you can create a custom work week mask.

See Also

CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

BeginTime Property

Description

The Date and Time of the current cell.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BeginTime() As Date

See Also

CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

Index Property

Description

Cell Index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Specifies whether the cell is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

ViewGroup Property

Description

Specifies the group in the view the cell belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewGroup() As CalendarViewGroup

Remarks

Multiple groups might be displayed for a given day when multiple resources are used and the current view is day view.

See Also

CalendarDayViewCellParams Object


%%PageItemTitle%%

CalendarDialogs Members

See Also Calendar ActiveX Control v19.3

CalendarDialogs Object

Description

Object used to manage the built in calendar dialogs.

For a list of all members defined in this module, see CalendarDialogs members.

Object Model

Remarks

The calendar comes with built in dialogs to help with managing the reminders, editing event, recurring event, new events and time scale properties.

By default these dialogs are not used so you can create your own.

See Also

CalendarDialogs Members


%%PageItemTitle%% $$Members$$

CalendarDialogs Overview

See Also Calendar ActiveX Control v19.3

CalendarDialogs Object Members

Public Methods

Public Method CloseRemindersWindow | Closes the Reminders window.
Public Method CreateRemindersWindow | Specifies whether the calendar should create and use the built-in Reminders window.
Public Method ShowEditEvent | Displays the built-in dialog to edit an event using the specified CalendarEvent object.
Public Method ShowEditRecurrence | Displays the built-in dialog to edit a Recurrence using the specified CalendarEvent object.
Public Method ShowNewEvent | Displayed a dialog to create a new event.
Public Method ShowNewEvent2 | Displays the built-in dialog to create a new event using the specified CalendarEvent object.
Public Method ShowRemindersWindow | Shows the built in Reminders window.
Public Method ShowTimeScaleProperties | Show the built-in Time Scale dialog for editing the time scaled in day view.

Public Properties

Public Property Calendar | Handle to the Calendar control for which the built-in dialogs will manage.
Public Property EditRecurrenceRemoveButtonDisabled | Specifies whether the remove button in the Edit Recurrence dialog should be disabled.
Public Property ParentHWND | Handle to the parent form.
Public Property RemindersWindowShowInTaskBar | Specifies whether to show the Reminders window in the task bar when it is displayed.

See Also

CalendarDialogs Overview


%%PageItemTitle%%

CalendarDialogs Object | CreateRemindersWindow Method | ShowRemindersWindow Method | OnReminders Event | RemindersWindowShowInTaskBar Property

See Also Calendar ActiveX Control v19.3

CloseRemindersWindow Method

Description

Closes the Reminders window.

Syntax

Public Sub CloseRemindersWindow()

See Also

CalendarDialogs Object | CreateRemindersWindow Method | ShowRemindersWindow Method | OnReminders Event | RemindersWindowShowInTaskBar Property


%%PageItemTitle%%

CalendarDialogs Object | OnReminders Event | CloseRemindersWindow Method | ShowRemindersWindow Method | RemindersWindowShowInTaskBar Property

See Also Calendar ActiveX Control v19.3

CreateRemindersWindow Method

Description

Specifies whether the calendar should create and use the built-in Reminders window.

Syntax

Public Function CreateRemindersWindow() As Boolean

Return Type

True to use the built-in Reminders window.

See Also

CalendarDialogs Object | OnReminders Event | CloseRemindersWindow Method | ShowRemindersWindow Method | RemindersWindowShowInTaskBar Property


%%PageItemTitle%%

CalendarDialogs Object

Event
Pointer to a CalendarEvent object that will get edited by the built-in Edit Event dialog.
See Also Calendar ActiveX Control v19.3

ShowEditEvent Method

Description

Displays the built-in dialog to edit an event using the specified CalendarEvent object.

Syntax

Public Function ShowEditEvent( _
   ByVal Event As CalendarEvent _
) As Boolean

Parameters

Event
Pointer to a CalendarEvent object that will get edited by the built-in Edit Event dialog.

Return Type

True if successful, False otherwise.

Remarks

The ShowEditEvent method takes a CalendarEvent object as a parameter and applies any changes to the event made in the Edit Event dialog.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

MasterEvent
Pointer to a CalendarEvent object that is the master event to the Recurrence. The Recurrence will get edited by the built-in Edit Recurrence dialog.
See Also Calendar ActiveX Control v19.3

ShowEditRecurrence Method

Description

Displays the built-in dialog to edit a Recurrence using the specified CalendarEvent object.

Syntax

Public Function ShowEditRecurrence( _
   ByVal MasterEvent As CalendarEvent _
) As Boolean

Parameters

MasterEvent
Pointer to a CalendarEvent object that is the master event to the Recurrence. The Recurrence will get edited by the built-in Edit Recurrence dialog.

Return Type

True if successful, False otherwise.

Remarks

The ShowEditRecurrence method takes a CalendarEvent object that is the master event to a Recurrence as a parameter and applies any changes to the Recurrence made in the Edit Recurrence dialog.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

See Also Calendar ActiveX Control v19.3

ShowNewEvent Method

Description

Displayed a dialog to create a new event.

Syntax

Public Function ShowNewEvent() As Boolean

Return Type

True if successful, False otherwise.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

NewEvent
A CalendarEvent object to be populated with all the event information the user entered into the built-in new event dialog.
See Also Calendar ActiveX Control v19.3

ShowNewEvent2 Method

Description

Displays the built-in dialog to create a new event using the specified CalendarEvent object.

Syntax

Public Function ShowNewEvent2( _
   ByVal NewEvent As CalendarEvent _
) As Boolean

Parameters

NewEvent
A CalendarEvent object to be populated with all the event information the user entered into the built-in new event dialog.

Return Type

True if successful, False otherwise.

Remarks

The ShowNewEvent2 method takes a CalendarEvent object as a parameter and populates it with all the event information the user entered into the built-in new event dialog.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object | CloseRemindersWindow Method | CreateRemindersWindow Method | OnReminders Event | RemindersWindowShowInTaskBar Property

See Also Calendar ActiveX Control v19.3

ShowRemindersWindow Method

Description

Shows the built in Reminders window.

Syntax

Public Sub ShowRemindersWindow()

Remarks

Should be called in the OnReminders event when using built-in dialogs.

See Also

CalendarDialogs Object | CloseRemindersWindow Method | CreateRemindersWindow Method | OnReminders Event | RemindersWindowShowInTaskBar Property


%%PageItemTitle%%

CalendarDialogs Object

See Also Calendar ActiveX Control v19.3

ShowTimeScaleProperties Method

Description

Show the built-in Time Scale dialog for editing the time scaled in day view.

Syntax

Public Function ShowTimeScaleProperties() As Boolean

Return Type

True if successful, False otherwise.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

See Also Calendar ActiveX Control v19.3

Calendar Property

Description

Handle to the Calendar control for which the built-in dialogs will manage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Calendar() As CalendarControl

Remarks

Set this to the handle of the Calendar control for which the built-in dialogs will manage.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

See Also Calendar ActiveX Control v19.3

EditRecurrenceRemoveButtonDisabled Property

Description

Specifies whether the remove button in the Edit Recurrence dialog should be disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditRecurrenceRemoveButtonDisabled() As Boolean

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object

See Also Calendar ActiveX Control v19.3

ParentHWND Property

Description

Handle to the parent form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ParentHWND() As Integer

Remarks

Set this to the handle of the parent form from which the built-in dialogs will be displayed.

See Also

CalendarDialogs Object


%%PageItemTitle%%

CalendarDialogs Object | CloseRemindersWindow Method | CreateRemindersWindow Method | ShowRemindersWindow Method | OnReminders Event

See Also Calendar ActiveX Control v19.3

RemindersWindowShowInTaskBar Property

Description

Specifies whether to show the Reminders window in the task bar when it is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RemindersWindowShowInTaskBar() As Boolean

See Also

CalendarDialogs Object | CloseRemindersWindow Method | CreateRemindersWindow Method | ShowRemindersWindow Method | OnReminders Event


%%PageItemTitle%%

CalendarEditOperationParameters Members | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event

See Also Calendar ActiveX Control v19.3

CalendarEditOperationParameters Object

Description

Object used by the IsEditOperationDisabled and BeforeEditOperation events for event editing during edit operations.

For a list of all members defined in this module, see CalendarEditOperationParameters members.

Object Model

See Also

CalendarEditOperationParameters Members | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event


%%PageItemTitle%% $$Members$$

CalendarEditOperationParameters Overview | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event

See Also Calendar ActiveX Control v19.3

CalendarEditOperationParameters Object Members

Public Properties

Public Property DraggingEvent | Contains a pointer to the event that is currently being dragged.
Public Property DraggingEventNew | Contains a pointer to the event that is currently being dragged.
Public Property DraggingEventOriginal | Contains a pointer to the original event that is currently being dragged.
Public Property EventToPaste | Contains a pointer to the event that is prepared to paste when the Operation is xtpCalendarEO_Paste.
Public Property EventViews | CalendarViewEvents array with events set for editing. The edit operation that will be performed on the events is stored in the Operation property.
Public Property InitialSubject | Contains a pointer to the string which contains initial subject value for new event (generally initial char) when the Operation is xtpCalendarEO_InPlaceCreateEvent.
Public Property Operation | Edit operation.
Public Property PasteWillChangeExistingEvent | Specifies whether a new event will be added during a paste edit operation when the Operation is xtpCalendarEO_Paste.

See Also

CalendarEditOperationParameters Overview | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event


%%PageItemTitle%%

CalendarEditOperationParameters Object

See Also Calendar ActiveX Control v19.3

DraggingEvent Property

Description

Contains a pointer to the event that is currently being dragged.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DraggingEvent() As CalendarEvent

See Also

CalendarEditOperationParameters Object


%%PageItemTitle%%

CalendarEditOperationParameters Object

See Also Calendar ActiveX Control v19.3

DraggingEventNew Property

Description

Contains a pointer to the event that is currently being dragged.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DraggingEventNew() As CalendarEvent

See Also

CalendarEditOperationParameters Object


%%PageItemTitle%%

CalendarEditOperationParameters Object

See Also Calendar ActiveX Control v19.3

DraggingEventOriginal Property

Description

Contains a pointer to the original event that is currently being dragged.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DraggingEventOriginal() As CalendarEvent

See Also

CalendarEditOperationParameters Object


%%PageItemTitle%%

CalendarEditOperationParameters Object | PasteWillChangeExistingEvent Property | Operation Property | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event

See Also Calendar ActiveX Control v19.3

EventToPaste Property

Description

Contains a pointer to the event that is prepared to paste when the Operation is xtpCalendarEO_Paste.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventToPaste() As CalendarEvent

Remarks

The EventToPaste property is not used with any edit operation except xtpCalendarEO_Paste.

If this member is TRUE, the new event will not be added, just existing event will be updated. Used for creating recurrence event exceptions by cut operation.

See Also

CalendarEditOperationParameters Object | PasteWillChangeExistingEvent Property | Operation Property | CalendarEditOperation Enumeration | BeforeEditOperation Event | IsEditOperationDisabled Event


%%PageItemTitle%%

CalendarEditOperationParameters Object | Operation Property

See Also Calendar ActiveX Control v19.3

EventViews Property

Description

CalendarViewEvents array with events set for editing. The edit operation that will be performed on the events is stored in the Operation property.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventViews() As CalendarViewEvents

See Also

CalendarEditOperationParameters Object | Operation Property


%%PageItemTitle%%

CalendarEditOperationParameters Object | EnableInPlaceCreateEvent Property

See Also Calendar ActiveX Control v19.3

InitialSubject Property

Description

Contains a pointer to the string which contains initial subject value for new event (generally initial char) when the Operation is xtpCalendarEO_InPlaceCreateEvent.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InitialSubject() As String

Remarks

InitialSubject will contain the initial character that was pressed to create the event. The InitialSubject property is not used with any edit operation except xtpCalendarEO_InPlaceCreateEvent.

See Also

CalendarEditOperationParameters Object | EnableInPlaceCreateEvent Property


%%PageItemTitle%%

CalendarEditOperationParameters Object | CalendarEditOperation Enumeration

See Also Calendar ActiveX Control v19.3

Operation Property

Description

Edit operation.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Operation() As CalendarEditOperation

See Also

CalendarEditOperationParameters Object | CalendarEditOperation Enumeration


%%PageItemTitle%%

CalendarEditOperationParameters Object | EventToPaste Property

See Also Calendar ActiveX Control v19.3

PasteWillChangeExistingEvent Property

Description

Specifies whether a new event will be added during a paste edit operation when the Operation is xtpCalendarEO_Paste.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PasteWillChangeExistingEvent() As Boolean

Remarks

If False, a new event will be added to the Calendar Control's Data Provider.

If this member is True, a new event will not be added, just existing event will be updated by turning the event into a master recurring event. The event pasted would then be an Occurrence Exception of the event that was copied.

This is used for creating recurrence event exceptions by the cut operation.

See Also

CalendarEditOperationParameters Object | EventToPaste Property


%%PageItemTitle%%

CalendarEvent Members | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration

See Also Calendar ActiveX Control v19.3

CalendarEvent Object

Description

Represents the data of a single Event used in the Calendar Control.

For a list of all members defined in this module, see CalendarEvent members.

Object Model

Remarks

An Event can be recurring or non-recurring. The RecurrenceState indicates what type of event it is.

If and Event is recurring, use the RecurrencePattern property to retrieve\set recurrence properties.

Recurrence States (CalendarEventRecurrenceState) include:

Recurrence Pattern | Description
CalendarRecurrenceMaster | Main event which is used for creating Occurrences.
CalendarRecurrenceOccurrence | Event is one Occurrence of the Recurrence series.
CalendarRecurrenceException | Event is Occurrence of a recurring event, however, the properties are different than in the Recurrence pattern. (for example: Start/End time or Location are different because the user changed them). This will also be used if an Occurrence is deleted.

See Also

CalendarEvent Members | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration


%%PageItemTitle%% $$Members$$

CalendarEvent Overview | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration

See Also Calendar ActiveX Control v19.3

CalendarEvent Object Members

Public Methods

Public Method CloneEvent | Clones the current event.
Public Method CreateRecurrence | Creates and returns the event's recurrence pattern object.
Public Method MakeAsRException | Sets the event's recurrence state as an exception occurrence (xtpCalendarRecurrenceException).
Public Method RemoveRecurrence | Removes the recurrence pattern for the event.
Public Method SetRExceptionDeleted | Mark an exception occurrence (xtpCalendarRecurrenceException) as deleted/un-deleted.
Public Method Update | Updates the event's data and properties.
Public Method UpdateRecurrence | Sets the recurrence pattern for the event.

Public Properties

Public Property AllDayEvent | Gets\sets whether the event is an "All Day" event.
Public Property Body | Gets\sets the Description text of the event.
Public Property BusyStatus | Gets\sets the busy status value for the event.
Public Property Categories | Collection of Outlook 2007 styles categories that have been added to this event.
Public Property CreationTime | Creation event time value.
Public Property CustomIcons | Collection of icons to display in the event is displayed in day view or work week view.
Public Property CustomProperties | Collection of user defined custom data that can be attached to an event.
Public Property DataProvider | Returns the data provider which stores this event object.
Public Property EndTime | Gets\sets the ending date and time for the event.
Public Property EventVisible | Specifies whether the event is visible.
Public Property Id | ID of this event object.
Public Property Importance | Gets\sets the importance level for the event.
Public Property Label | Gets\set the event Label. This determines the background color of the event.
Public Property LastModificationTime | Last Modification event time value.
Public Property Location | Gets\Sets the Event location text.
Public Property MeetingFlag | Boolean flag that is used to indicate if an event is a meeting.
Public Property MultipleSchedules | ScheduleSet string in form of "|#1|...|#N|"
Public Property PrivateFlag | Boolean flag that is used to indicate if an event is a private meeting.
Public Property RecurrencePattern | Gets the event's recurrence pattern object.
Public Property RecurrenceState | Retrieves the recurrence state for the event.
Public Property Reminder | Sets up or disables a reminder for this event.
Public Property ReminderMinutesBeforeStart | Get\set the number of minutes before the reminder for the event will start.
Public Property ReminderSoundFile | Holds the path to the sound file to play when this reminder is displayed.
Public Property ScheduleID | Gets\sets the schedule ID of this event.
Public Property StartTime | Gets\sets the start date and time for the event.
Public Property Subject | Gets\sets the Subject of the event.

See Also

CalendarEvent Overview | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

CloneEvent Method

Description

Clones the current event.

Syntax

Public Function CloneEvent() As CalendarEvent

Return Type

Pointer to a CalendarEvent object that contains the a copy of the event.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | RecurrencePattern Property | RecurrenceState Property | UpdateRecurrence Method | RemoveRecurrence Method

See Also Calendar ActiveX Control v19.3

CreateRecurrence Method

Description

Creates and returns the event's recurrence pattern object.

Syntax

Public Function CreateRecurrence() As CalendarRecurrencePattern

Return Type

Pointer to a CalendarRecurrencePattern object that contains the event's recurrence pattern.

Remarks

The CreateRecurrence method must be used to create a RecurrencePattern for the event. The RecurrencePattern can then be used to set the various properties for the recurrence. The UpdateRecurrence method must then be used to update the event with the new RecurrencePattern.

See Also

CalendarEvent Object | RecurrencePattern Property | RecurrenceState Property | UpdateRecurrence Method | RemoveRecurrence Method


%%PageItemTitle%%

CalendarEvent Object | RecurrenceState Property | CalendarEventRecurrenceState Enumeration

See Also Calendar ActiveX Control v19.3

MakeAsRException Method

Description

Sets the event's recurrence state as an exception occurrence (xtpCalendarRecurrenceException).

Syntax

Public Sub MakeAsRException()

Remarks

A Recurrence Exception occurs when an Occurrence of a recurring event is modified. When an Occurrence of a recurring event is dragged to a different date\time or if the event is resized, then the recurrence state of the event is automatically set to xtpCalendarRecurrenceException.

The MakeAsRException method must be used when modifying a recurring event. If the event has a recurrence state of xtpCalendarRecurrenceOccurrence or xtpCalendarRecurrenceMaster, then MakeAsRException must be used to set the recurrence state of the event to xtpCalendarRecurrenceException.

See Also

CalendarEvent Object | RecurrenceState Property | CalendarEventRecurrenceState Enumeration


%%PageItemTitle%%

CalendarEvent Object | RecurrencePattern Property | CreateRecurrence Method | RecurrenceState Property | DoDeleteRPattern Event

See Also Calendar ActiveX Control v19.3

RemoveRecurrence Method

Description

Removes the recurrence pattern for the event.

Syntax

Public Sub RemoveRecurrence()

Remarks

When the RecurrencePattern is removed from the event, the recurrence state of the event will then be set to xtpCalendarRecurrenceNotRecurring and the event will be a "normal" event.

When using a custom data provider, the DoDeleteRPattern event is fired when RemoveRecurrence is called.

See Also

CalendarEvent Object | RecurrencePattern Property | CreateRecurrence Method | RecurrenceState Property | DoDeleteRPattern Event


%%PageItemTitle%%

CalendarEvent Object

bDeleted

True to mark the exception recurrence as deleted.

False to mark the exception recurrence as un-deleted.

See Also Calendar ActiveX Control v19.3

SetRExceptionDeleted Method

Description

Mark an exception occurrence (xtpCalendarRecurrenceException) as deleted/un-deleted.

Syntax

Public Sub SetRExceptionDeleted( _
   ByVal bDeleted As Boolean _
)

Parameters

bDeleted

True to mark the exception recurrence as deleted.

False to mark the exception recurrence as un-deleted.

Remarks

The SetRExceptionDeleted method will delete\un-delete an Occurrence of a Recurring event. The recurrence state of the event will then be set to xtpCalendarRecurrenceException if it wasn't already.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | DoUpdateEvent Event

Event
CalendarEvent object which describes all data fields of an event.
See Also Calendar ActiveX Control v19.3

Update Method

Description

Updates the event's data and properties.

Syntax

Public Sub Update( _
   ByVal Event As CalendarEvent _
)

Parameters

Event
CalendarEvent object which describes all data fields of an event.

Remarks

Updates the data of the source event with the specified event.

When using a custom data provider, the DoUpdateEvent event is fired when Update is called.

See Also

CalendarEvent Object | DoUpdateEvent Event


%%PageItemTitle%%

CalendarEvent Object | CreateRecurrence Method | RecurrencePattern Property | RecurrenceState Property | DoUpdateRPattern Event

pPattern
A pointer to a CalendarRecurrencePattern object that contains the updated recurrence pattern.
See Also Calendar ActiveX Control v19.3

UpdateRecurrence Method

Description

Sets the recurrence pattern for the event.

Syntax

Public Sub UpdateRecurrence( _
   ByVal pPattern As CalendarRecurrencePattern _
)

Parameters

pPattern
A pointer to a CalendarRecurrencePattern object that contains the updated recurrence pattern.

Remarks

The CreateRecurrence method is used to create a recurrence pattern for this event. The UpdateRecurrence method must be used to apply a CalendarRecurrencePattern to the RecurrencePattern of the Event.

When using a custom data provider, the DoUpdateRPattern event is fired when UpdateRecurrence is called.

See Also

CalendarEvent Object | CreateRecurrence Method | RecurrencePattern Property | RecurrenceState Property | DoUpdateRPattern Event


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

AllDayEvent Property

Description

Gets\sets whether the event is an "All Day" event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllDayEvent() As Boolean

Remarks

All Day events will be drawn at the top of each day that the occur in Day and WorkWeek view.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

Body Property

Description

Gets\sets the Description text of the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Body() As String

Remarks

The description of an event is a String value this is typically used for storing a long description relating to the event.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | CalendarEventBusyStatus Enumeration

See Also Calendar ActiveX Control v19.3

BusyStatus Property

Description

Gets\sets the busy status value for the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BusyStatus() As CalendarEventBusyStatus

Remarks

The gripper\border color of an event indicates the CalendarEventBusyStatus of the event. The gripper\border color will not be visible when viewing the calendar in MonthView.

See Also

CalendarEvent Object | CalendarEventBusyStatus Enumeration


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

Categories Property

Description

Collection of Outlook 2007 styles categories that have been added to this event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Categories() As CalendarEventCategoryIDs

Remarks

You can have more than one category assigned to an event.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

CreationTime Property

Description

Creation event time value.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CreationTime() As Date

Remarks

Gets the creation time for an event. This value is automatically set when the event is created.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | CalendarCustomIconIDs Object | Add Method | AddIfNeed Method | CalendarEventIconIDs Enumeration

See Also Calendar ActiveX Control v19.3

CustomIcons Property

Description

Collection of icons to display in the event is displayed in day view or work week view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomIcons() As CalendarIconIDs

Remarks

Collection of icons to display in the event is displayed in day view or work week view. Icons will automatically get displayed if they are added to the collection.

Icons are added using the Add method.

The CalendarEventIconIDs enumeration contains a list of Ids for the standard calendar icons. To override the default icon you need to add an icon with an id from the CalendarEventIconIDs enumeration.

See Also

CalendarEvent Object | CalendarCustomIconIDs Object | Add Method | AddIfNeed Method | CalendarEventIconIDs Enumeration


%%PageItemTitle%%

CalendarEvent Object | CalendarCustomProperties Object | Custom Properties Collection

See Also Calendar ActiveX Control v19.3

CustomProperties Property

Description

Collection of user defined custom data that can be attached to an event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomProperties() As CalendarCustomProperties

Remarks

The CalendarCustomProperties object contains a collection of user defined data. Any number and any type of objects can be attached to an event.

When adding a custom property, a string name must be given to the custom property. This string name will be used to retreive the custom property from the collection.

The CustomProperties property is a convenient way to include any additional information with an event.

See Also

CalendarEvent Object | CalendarCustomProperties Object | Custom Properties Collection

Example

Custom Properties Sample


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

DataProvider Property

Description

Returns the data provider which stores this event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataProvider() As CalendarDataProvider

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | StartTime Property

See Also Calendar ActiveX Control v19.3

EndTime Property

Description

Gets\sets the ending date and time for the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndTime() As Date

Remarks

The EndTime property holds the starting date and time of the event.

Important: Do NOT set the StartTime or EndTime for a Master event. These times are calculated internally and should not be changed. An event becomes a Master event when the CreateRecurrence method is used on the event.

See Also

CalendarEvent Object | StartTime Property


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

EventVisible Property

Description

Specifies whether the event is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EventVisible() As Boolean

Remarks

Can be used to hide the event in PrePolpulate.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | CalendarDataProvider Object

See Also Calendar ActiveX Control v19.3

Id Property

Description

ID of this event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

Each event will automatically be assigned a unique event ID.

This ID is used to identify the CalendarEvent object when the Calendar Control fires an event.

Note: The GetEvent method of the Data Provider can use the Id to get a pointer to the newly added event. The Data Provider provides several other methods that can use the Id of a CalendarEvent object.

See Also

CalendarEvent Object | CalendarDataProvider Object


%%PageItemTitle%%

CalendarEvent Object | CalendarEventImportance Enumeration

See Also Calendar ActiveX Control v19.3

Importance Property

Description

Gets\sets the importance level for the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Importance() As CalendarEventImportance

See Also

CalendarEvent Object | CalendarEventImportance Enumeration


%%PageItemTitle%%

CalendarEvent Object | LabelList Method | CalendarEventLabel Object | LabelID Property | Color Property | RemoveAll Method | AddLabel Method | InitDefaultValues Method

See Also Calendar ActiveX Control v19.3

Label Property

Description

Gets\set the event Label. This determines the background color of the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Label() As Long

Remarks

The Label of an event determines the background color of the event.

The table below lists all the default label values and colors that are added to the LabelList:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

You can Add or Remove labels to the LabelList to be used for events. This allows you to set a custom color for the label.

See Also

CalendarEvent Object | LabelList Method | CalendarEventLabel Object | LabelID Property | Color Property | RemoveAll Method | AddLabel Method | InitDefaultValues Method


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

LastModificationTime Property

Description

Last Modification event time value.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LastModificationTime() As Date

Remarks

Gets the last modification time for an event. This value is automatically set when the event is modified.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | Subject Property

See Also Calendar ActiveX Control v19.3

Location Property

Description

Gets\Sets the Event location text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Location() As String

Remarks

The event location is displayed in parentheses "(" and ")" underneath the event subject.

See Also

CalendarEvent Object | Subject Property


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

MeetingFlag Property

Description

Boolean flag that is used to indicate if an event is a meeting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MeetingFlag() As Boolean

Remarks

When the MeetingFlag is True, a small picture of two people is displayed in the event that indicates that it is a meeting.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

MultipleSchedules Property

Description

ScheduleSet string in form of "|#1|...|#N|"

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultipleSchedules() As String

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

PrivateFlag Property

Description

Boolean flag that is used to indicate if an event is a private meeting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrivateFlag() As Boolean

Remarks

When the PrivateFlag is True, a small picture of a key is displayed in the event that indicates that it is a private meeting.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | CreateRecurrence Method | UpdateRecurrence Method | RecurrenceState Property

See Also Calendar ActiveX Control v19.3

RecurrencePattern Property

Description

Gets the event's recurrence pattern object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RecurrencePattern() As CalendarRecurrencePattern

Remarks

The CreateRecurrence method must be used to create a RecurrencePattern for the event. The RecurrencePattern can then be used to set the various properties for the recurrence. The UpdateRecurrence method must then be used to update the event with the new RecurrencePattern.

See Also

CalendarEvent Object | CreateRecurrence Method | UpdateRecurrence Method | RecurrenceState Property


%%PageItemTitle%%

CalendarEvent Object | CalendarEventRecurrenceState Enumeration | CalendarRecurrencePattern Object | RecurrencePattern Property

See Also Calendar ActiveX Control v19.3

RecurrenceState Property

Description

Retrieves the recurrence state for the event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RecurrenceState() As CalendarEventRecurrenceState

Remarks

The CreateRecurrence method is used to create a recurrence for the event. If a recurrence is not created, then this value will be xtpCalendarRecurrenceNotRecurring.

See Also

CalendarEvent Object | CalendarEventRecurrenceState Enumeration | CalendarRecurrencePattern Object | RecurrencePattern Property


%%PageItemTitle%%

CalendarEvent Object | EnableReminders Method | IsRemindersEnabled Method | OnReminders Event | ReminderMinutesBeforeStart Property | Snooze Method | Dismiss Method | MinutesBeforeStart Property | NextReminderTime Property | CalendarReminder Object | CalendarReminders Object

See Also Calendar ActiveX Control v19.3

Reminder Property

Description

Sets up or disables a reminder for this event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Reminder() As Boolean

Remarks

The OnReminders event will occur in ReminderMinutesBeforeStart minutes if reminders have been enable and Reminder is True.

A CalendarReminder object will be created for this event when Reminder is set to True. The CalendarReminder object can be access when the OnReminders event occurs. This allows the event's reminder to be Snoozed or Dismissed.

If False, OnReminders will not occur for this event.

The Dismiss method will set the reminder property to False, so the OnReminders event will no longer occur for this event.

See Also

CalendarEvent Object | EnableReminders Method | IsRemindersEnabled Method | OnReminders Event | ReminderMinutesBeforeStart Property | Snooze Method | Dismiss Method | MinutesBeforeStart Property | NextReminderTime Property | CalendarReminder Object | CalendarReminders Object


%%PageItemTitle%%

CalendarEvent Object | Reminder Property | EnableReminders Method | IsRemindersEnabled Method | CalendarReminder Object | CalendarReminders Object | OnReminders Event | Snooze Method | Dismiss Method | MinutesBeforeStart Property | NextReminderTime Property

See Also Calendar ActiveX Control v19.3

ReminderMinutesBeforeStart Property

Description

Get\set the number of minutes before the reminder for the event will start.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReminderMinutesBeforeStart() As Long

Remarks

The OnReminders event will occur in ReminderMinutesBeforeStart minutes if reminders have been enable and reminder is True.

ReminderMinutesBeforeStart must be set to a time value that is greater than or equal to the current time and can not exceed 1000 years.

ReminderMinutesBeforeStart is no longer used after the event has started. The Snooze method is then used to set the MinutesBeforeStart and NextReminderTime time values.

The Dismiss method will set the reminder property to False, so the OnReminders event will not occur, regardless of the ReminderMinutesBeforeStart value.

See Also

CalendarEvent Object | Reminder Property | EnableReminders Method | IsRemindersEnabled Method | CalendarReminder Object | CalendarReminders Object | OnReminders Event | Snooze Method | Dismiss Method | MinutesBeforeStart Property | NextReminderTime Property


%%PageItemTitle%%

CalendarEvent Object

See Also Calendar ActiveX Control v19.3

ReminderSoundFile Property

Description

Holds the path to the sound file to play when this reminder is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReminderSoundFile() As String

Remarks

The Calendar doesn't actually play the sound file, ReminderSoundFile only stores the path to the sound file to play when this reminder is displayed.

See Also

CalendarEvent Object


%%PageItemTitle%%

CalendarEvent Object | CalendarResource Object | ScheduleIDs Property | CalendarResourceDescription Object | CalendarResources Object | CalendarResourcesManager Object | CalendarSchedule Object | CalendarScheduleIDs Object | CalendarViewGroup Object | CalendarViewGroups Object

See Also Calendar ActiveX Control v19.3

ScheduleID Property

Description

Gets\sets the schedule ID of this event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScheduleID() As Long

Remarks

ScheduleID is an integer that contains the schedule ID which is used to identify schedules that are stored in CalendarResources.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarEvent Object | CalendarResource Object | ScheduleIDs Property | CalendarResourceDescription Object | CalendarResources Object | CalendarResourcesManager Object | CalendarSchedule Object | CalendarScheduleIDs Object | CalendarViewGroup Object | CalendarViewGroups Object


%%PageItemTitle%%

CalendarEvent Object | CreateRecurrence Method

See Also Calendar ActiveX Control v19.3

StartTime Property

Description

Gets\sets the start date and time for the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartTime() As Date

Remarks

The StartTime property holds the starting date and time of the event.

Important: Do NOT set the StartTime or EndTime for a Master event. These times are calculated internally and should not be changed. An event becomes a Master event when the CreateRecurrence method is used on the event.

See Also

CalendarEvent Object | CreateRecurrence Method


%%PageItemTitle%%

CalendarEvent Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property

See Also Calendar ActiveX Control v19.3

Subject Property

Description

Gets\sets the Subject of the event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Subject() As String

Remarks

The Subject of an Event is the first line of text that is displayed in the event. There are many options that easily allow the subject of an event to be edited such as clicking on the event or pressing the F2 key when the event has focus.

See Also

CalendarEvent Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property


%%PageItemTitle%%

CalendarEventCategories Members | CalendarEventCategory Object | CalendarEventCategoryIDs Object | CalendarEvent Object

See Also Calendar ActiveX Control v19.3

CalendarEventCategories Collection

Description

Collection of CalendarEventCategory objects for an event.

For a list of all members defined in this module, see CalendarEventCategories members.

Object Model

Remarks

CalendarEventCategories allow multiple categories to be given to an event at the same time, unlike a label which there can only be one at a time.

See Also

CalendarEventCategories Members | CalendarEventCategory Object | CalendarEventCategoryIDs Object | CalendarEvent Object


%%PageItemTitle%% $$Members$$

CalendarEventCategories Overview | CalendarEventCategory Object | CalendarEventCategoryIDs Object | CalendarEvent Object

See Also Calendar ActiveX Control v19.3

CalendarEventCategories Collection Members

Public Methods

Public Method Add | Adds a CalendarEventCategory to the collection.
Public Method Find | Finds event category index in the collection by its ID.
Public Method InitDefaultValues | Fills the event categories collection using a default label list.
Public Method Remove | Removes the specified category from the collection.
Public Method RemoveAll | Removes all categories from the collection.

Public Properties

Public Property Count | Returns the total number of categories in the collection.
Public Property Item | Collection of CalendarEventCategory items.

See Also

CalendarEventCategories Overview | CalendarEventCategory Object | CalendarEventCategoryIDs Object | CalendarEvent Object


%%PageItemTitle%%

CalendarEventCategories Collection

EventCategory
CalendarEventCategory to add.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Adds a CalendarEventCategory to the collection.

Syntax

Public Sub Add( _
   ByVal EventCategory As CalendarEventCategory _
)

Parameters

EventCategory
CalendarEventCategory to add.

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

LabelID
An integer that contains the category ID.
See Also Calendar ActiveX Control v19.3

Find Method

Description

Finds event category index in the collection by its ID.

Syntax

Public Function Find( _
   ByVal LabelID As Long _
) As CalendarEventCategory

Parameters

LabelID
An integer that contains the category ID.

Return Type

A pointer to a CalendarEventCategory object or NULL.

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

See Also Calendar ActiveX Control v19.3

InitDefaultValues Method

Description

Fills the event categories collection using a default label list.

Syntax

Public Sub InitDefaultValues()

Remarks

Default category colors are Yellow, Green, Red, Pink, Orange and Blue.

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

Index
Id of the category to remove.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes the specified category from the collection.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Id of the category to remove.

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all categories from the collection.

Syntax

Public Sub RemoveAll()

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of categories in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategories Collection

Index
Index of the CalendarEventCategory to return.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarEventCategory items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CalendarEventCategory

Parameters

Index
Index of the CalendarEventCategory to return.

See Also

CalendarEventCategories Collection


%%PageItemTitle%%

CalendarEventCategory Members

See Also Calendar ActiveX Control v19.3

CalendarEventCategory Object

Description

Calendar Event Category properties.

For a list of all members defined in this module, see CalendarEventCategory members.

Object Model

Remarks

The CalendarEventCategory object represents the Calendar Event Category properties. This contains the visual effects for the Event Categories (event and day's cells background colors) implemented in Office 2007 theme only. If one or more categories are set for an event - the category's colors are used, otherwise the label's colors are used (is label defined). For Office 2003 theme label's colors used in any case.

See Also

CalendarEventCategory Members


%%PageItemTitle%% $$Members$$

CalendarEventCategory Overview

See Also Calendar ActiveX Control v19.3

CalendarEventCategory Object Members

Public Properties

Public Property Background | Gets or sets the background base color.
Public Property BorderColor | Gets or sets an event border color.
Public Property Id | Gets or sets a unique category ID.
Public Property Name | Gets or sets a category name.

See Also

CalendarEventCategory Overview


%%PageItemTitle%%

CalendarEventCategory Object

See Also Calendar ActiveX Control v19.3

Background Property

Description

Gets or sets the background base color.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Background() As CalendarThemeColorGradient

See Also

CalendarEventCategory Object


%%PageItemTitle%%

CalendarEventCategory Object

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Gets or sets an event border color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

CalendarEventCategory Object


%%PageItemTitle%%

CalendarEventCategory Object

See Also Calendar ActiveX Control v19.3

Id Property

Description

Gets or sets a unique category ID.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CalendarEventCategory Object


%%PageItemTitle%%

CalendarEventCategory Object

See Also Calendar ActiveX Control v19.3

Name Property

Description

Gets or sets a category name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

CalendarEventCategory Object


%%PageItemTitle%%

CalendarEventCategoryIDs Members

See Also Calendar ActiveX Control v19.3

CalendarEventCategoryIDs Collection

Description

Represents the collection of event categories IDs.

For a list of all members defined in this module, see CalendarEventCategoryIDs members.

Remarks

It also implements and some useful operations for category IDs.

See Also

CalendarEventCategoryIDs Members


%%PageItemTitle%% $$Members$$

CalendarEventCategoryIDs Overview

See Also Calendar ActiveX Control v19.3

CalendarEventCategoryIDs Collection Members

Public Methods

Public Method Add | Adds an ID to the collection.
Public Method AddIfNeed | Adds an ID to the collection only once.
Public Method Find | Finds an ID in the collection.
Public Method LoadFromString | Reads collection data from comma separated string.
Public Method Remove | Removes an ID from the collection.
Public Method RemoveAll | Removes all of the category id elements from the array.
Public Method RemoveID | Removes an ID from the collection.
Public Method SaveToString | Store collection data as comma separated string.

Public Properties

Public Property Count | Returns the total number of Ids in the collection.
Public Property Item | Collection of Category IDs.

See Also

CalendarEventCategoryIDs Overview


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

categoryID
Category ID to add.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Adds an ID to the collection.

Syntax

Public Sub Add( _
   ByVal categoryID As Long _
)

Parameters

categoryID
Category ID to add.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

categoryID
An element to add.
See Also Calendar ActiveX Control v19.3

AddIfNeed Method

Description

Adds an ID to the collection only once.

Syntax

Public Sub AddIfNeed( _
   ByVal categoryID As Long _
)

Parameters

categoryID
An element to add.

Remarks

If the specified element is already present in the collection - the method will do nothing.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

categoryID
ID to find.
See Also Calendar ActiveX Control v19.3

Find Method

Description

Finds an ID in the collection.

Syntax

Public Function Find( _
   ByVal categoryID As Long _
) As Long

Parameters

categoryID
ID to find.

Return Type

Zero based index in the collection or -1 if element does not find.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

strData
String with collection data.
See Also Calendar ActiveX Control v19.3

LoadFromString Method

Description

Reads collection data from comma separated string.

Syntax

Public Sub LoadFromString( _
   ByVal strData As String _
)

Parameters

strData
String with collection data.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

categoryID
ID to remove.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes an ID from the collection.

Syntax

Public Sub Remove( _
   ByVal categoryID As Long _
)

Parameters

categoryID
ID to remove.

Return Type

True if specified ID find and removed, False otherwise.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all of the category id elements from the array.

Syntax

Public Sub RemoveAll()

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

categoryID
ID to remove.
See Also Calendar ActiveX Control v19.3

RemoveID Method

Description

Removes an ID from the collection.

Syntax

Public Sub RemoveID( _
   ByVal categoryID As Long _
)

Parameters

categoryID
ID to remove.

Return Type

True if the specified ID was found and removed, False otherwise.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

See Also Calendar ActiveX Control v19.3

SaveToString Method

Description

Store collection data as comma separated string.

Syntax

Public Function SaveToString() As String

Return Type

Comma separated string with collection elements.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of Ids in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventCategoryIDs Collection

Index
Index of the Category Id to retrieve.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of Category IDs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As Long

Parameters

Index
Index of the Category Id to retrieve.

See Also

CalendarEventCategoryIDs Collection


%%PageItemTitle%%

CalendarEventLabel Members | Event Label Property | LabelList Method | CalendarEventLabels Object

See Also Calendar ActiveX Control v19.3

CalendarEventLabel Object

Description

Represents a single label object.

For a list of all members defined in this module, see CalendarEventLabel members.

Remarks

The Label property of an event uses the LabelID of a label to associate a CalendarEventLabel Object with an event. The color of the label is used to fill the background of the event when viewed in the calendar.

The LabelList property is a CalendarEventLabels collection used to store CalendarEventLabel objects that can be used as labels for events.

The table below lists all the default label values and colors that are added to the LabelList when using InitDefaultValues:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

You can Add or Remove labels to the LabelList to be used for events. This allows you to set a custom color for the label.

See Also

CalendarEventLabel Members | Event Label Property | LabelList Method | CalendarEventLabels Object


%%PageItemTitle%% $$Members$$

CalendarEventLabel Overview | Event Label Property | LabelList Method | CalendarEventLabels Object

See Also Calendar ActiveX Control v19.3

CalendarEventLabel Object Members

Public Properties

Public Property Color | Color of the label. The Color of the label will be used as the background color of the event when it is displayed in the calendar view.
Public Property LabelID | Id of the label.
Public Property Name | Name of the label.

See Also

CalendarEventLabel Overview | Event Label Property | LabelList Method | CalendarEventLabels Object


%%PageItemTitle%%

CalendarEventLabel Object

See Also Calendar ActiveX Control v19.3

Color Property

Description

Color of the label. The Color of the label will be used as the background color of the event when it is displayed in the calendar view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

The Color of the label will be used as the background color of the event when it is displayed in the calendar view.

The table below lists all the default label values and colors that are added to the LabelList when using InitDefaultValues:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

See Also

CalendarEventLabel Object


%%PageItemTitle%%

CalendarEventLabel Object | LabelList Method | Find Method

See Also Calendar ActiveX Control v19.3

LabelID Property

Description

Id of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LabelID() As Long

Remarks

The LabelID of the label is used when assigning a label to an event. The Label property of an event uses the LabelID of a label to associate a label with an event. The color of the label is used to fill the background of the event when viewed in the calendar.

The Find method uses the LabelID of the label find a CalendarEventLabel object in the LabelList collection.

See Also

CalendarEventLabel Object | LabelList Method | Find Method


%%PageItemTitle%%

CalendarEventLabel Object

See Also Calendar ActiveX Control v19.3

Name Property

Description

Name of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

CalendarEventLabel Object


%%PageItemTitle%%

CalendarEventLabels Members | LabelList Method

See Also Calendar ActiveX Control v19.3

CalendarEventLabels Collection

Description

Represents a collection of CalendarEventLabel objects.

For a list of all members defined in this module, see CalendarEventLabels members.

Object Model

Remarks

The LabelList property is a CalendarEventLabels collection used to store CalendarEventLabel objects that can be used as labels for events.

The table below lists all the default label values and colors that are added to the LabelList when using InitDefaultValues:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

You can Add or Remove labels to the LabelList to be used for events. This allows you to set a custom color for the label.

See Also

CalendarEventLabels Members | LabelList Method


%%PageItemTitle%% $$Members$$

CalendarEventLabels Overview | LabelList Method

See Also Calendar ActiveX Control v19.3

CalendarEventLabels Collection Members

Public Methods

Public Method AddLabel | Adds a custom label to the LabelList collection.
Public Method Find | Finds and returns a CalendarEventLabel object from the LabelList collection specified by LabelID.
Public Method InitDefaultValues | The InitDefaultValues method will populate the LabelList collection with a set of default CalendarEventLabel objects.
Public Method RemoveAll | Removes all CalendarEventLabel objects from the LabelList collection.

Public Properties

Public Property Count | Returns the total number of CalendarEventLabel objects in the LabelList collection.
Public Property Item | Collection of CalendarEventLabel objects.

See Also

CalendarEventLabels Overview | LabelList Method


%%PageItemTitle%%

CalendarEventLabels Collection | CalendarEventLabel Object | Color Property | LabelID Property | Name Property

LabelID
Id of the label to add.
Color
Color of the label to add.
Name
Name of the label to add.
See Also Calendar ActiveX Control v19.3

AddLabel Method

Description

Adds a custom label to the LabelList collection.

Syntax

Public Sub AddLabel( _
   ByVal LabelID As Long, _
   ByVal Color As ULong, _
   ByVal Name As String _
)

Parameters

LabelID
Id of the label to add.
Color
Color of the label to add.
Name
Name of the label to add.

Remarks

The AddLabel method adds a custom label to the LabelList collection.

The Color of the label will be used as the background color of the event when it is displayed in the calendar view.

By default there is a list of "default" labels in the LabelList collection. All labels can be removed with the RemoveAll method. The InitDefaultValues method can be used to populate the LabelList collection with a set of default CalendarEventLabel objects.

See Also

CalendarEventLabels Collection | CalendarEventLabel Object | Color Property | LabelID Property | Name Property


%%PageItemTitle%%

CalendarEventLabels Collection | LabelID Property | CalendarEventLabel Object

LabelID
LabelID of the CalendarEventLabel object to find in the LabelList collection of labels.
See Also Calendar ActiveX Control v19.3

Find Method

Description

Finds and returns a CalendarEventLabel object from the LabelList collection specified by LabelID.

Syntax

Public Function Find( _
   ByVal LabelID As Long _
) As CalendarEventLabel

Parameters

LabelID
LabelID of the CalendarEventLabel object to find in the LabelList collection of labels.

Return Type

If successful, the Find method returns the CalendarEventLabel object with corresponding LabelID from the LabelList collection. If the label is not found, then null is returned.

Remarks

The Find method finds and returns a CalendarEventLabel object from the LabelList collection using the LabelID.

See Also

CalendarEventLabels Collection | LabelID Property | CalendarEventLabel Object


%%PageItemTitle%%

CalendarEventLabels Collection | AddLabel Method | RemoveAll Method

See Also Calendar ActiveX Control v19.3

InitDefaultValues Method

Description

The InitDefaultValues method will populate the LabelList collection with a set of default CalendarEventLabel objects.

Syntax

Public Sub InitDefaultValues()

Remarks

The table below lists all the default label values and colors that are added to the LabelList when using InitDefaultValues:

Default Background Color | Default Name | Default LabelID
RGB(255,255,255) | None | 0
RGB(255,148,132) | Important | 1
RGB(132,156,231) | Business | 2
RGB(165,222, 99) | Personal | 3
RGB(231,231,214) | Vacation | 4
RGB(255,181,115) | Must Attend | 5
RGB(132,239,247) | Travel Required | 6
RGB(214,206,132) | Needs Preparation | 7
RGB(198,165,247) | Birthday | 8
RGB(165,206,198) | Anniversary | 9
RGB(255,231,115) | Phone Call | 10

Calling the InitDefaultValues method will populate the LabelList collection with the values in the table above.

You can Add or Remove labels to the LabelList to be used for events. This allows you to set a custom color for the label.

See Also

CalendarEventLabels Collection | AddLabel Method | RemoveAll Method


%%PageItemTitle%%

CalendarEventLabels Collection | AddLabel Method | InitDefaultValues Method

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all CalendarEventLabel objects from the LabelList collection.

Syntax

Public Sub RemoveAll()

Remarks

The RemoveAll method removes all CalendarEventLabel objects from the LabelList collection.

You can Add labels to the LabelList using the AddLabel method. The InitDefaultValues method can be used to populate the LabelList collection with a set of "default" CalendarEventLabel objects.

See Also

CalendarEventLabels Collection | AddLabel Method | InitDefaultValues Method


%%PageItemTitle%%

CalendarEventLabels Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of CalendarEventLabel objects in the LabelList collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarEventLabels Collection


%%PageItemTitle%%

CalendarEventLabels Collection

Index
Index of CalendarEventLabel object in the collection.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarEventLabel objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CalendarEventLabel

Parameters

Index
Index of CalendarEventLabel object in the collection.

See Also

CalendarEventLabels Collection


%%PageItemTitle%%

CalendarEvents Members | RetrieveDayEvents Method | GetSelectedEvents Property

See Also Calendar ActiveX Control v19.3

CalendarEvents Collection

Description

The CalendarEvents Object represents a simple array collection of CalendarEvent objects.

For a list of all members defined in this module, see CalendarEvents members.

Object Model

Remarks

The GetSelectedEvent methods for each view and the RetrieveDayEvents method use the CalendarEvents Object to store events.

See Also

CalendarEvents Members | RetrieveDayEvents Method | GetSelectedEvents Property


%%PageItemTitle%% $$Members$$

CalendarEvents Overview | RetrieveDayEvents Method | GetSelectedEvents Property

See Also Calendar ActiveX Control v19.3

CalendarEvents Collection Members

Public Methods

Public Method Add | Add a new CalendarEvent to an Events Collection for a given calendar view.
Public Method Remove | Removes an event at the specified index from the collection of events.

Public Properties

Public Property Count | Returns the number of CalendarEvent elements in this collection.
Public Property Event | A collection of CalendarEvent objects. Gets an event at the specified numeric index.

See Also

CalendarEvents Overview | RetrieveDayEvents Method | GetSelectedEvents Property


%%PageItemTitle%%

CalendarEvents Collection | CalendarEvent Object | Events Collection | Count Property | Remove Method

Event
New CalendarEvent to add to the Events Collection of a calendar view.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Add a new CalendarEvent to an Events Collection for a given calendar view.

Syntax

Public Sub Add( _
   ByVal Event As CalendarEvent _
)

Parameters

Event
New CalendarEvent to add to the Events Collection of a calendar view.

Remarks

Adds a new CalendarEvent to the Events Collection for the associated calendar view.

See Also

CalendarEvents Collection | CalendarEvent Object | Events Collection | Count Property | Remove Method


%%PageItemTitle%%

CalendarEvents Collection | Add Method | Count Property | Events Collection

nIndex
Index of the event to remove from the collection of events.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes an event at the specified index from the collection of events.

Syntax

Public Sub Remove( _
   ByVal nIndex As Long _
)

Parameters

nIndex
Index of the event to remove from the collection of events.

Remarks

Removes the event at the specified index from the collection of events.

See Also

CalendarEvents Collection | Add Method | Count Property | Events Collection


%%PageItemTitle%%

CalendarEvents Collection | Add Method | Remove Method | Event Property

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the number of CalendarEvent elements in this collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarEvents Collection | Add Method | Remove Method | Event Property


%%PageItemTitle%%

CalendarEvents Collection

nIndex
An integer index that is greater than or equal to 0 and less than the value returned by Count.
See Also Calendar ActiveX Control v19.3

Event Property

Description

A collection of CalendarEvent objects. Gets an event at the specified numeric index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event( _
   ByVal nIndex As Long _
) As CalendarEvent

Parameters

nIndex
An integer index that is greater than or equal to 0 and less than the value returned by Count.

Remarks

Array indexes always start at position 0.

See Also

CalendarEvents Collection


%%PageItemTitle%%

CalendarFlagsSet Members | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration

See Also Calendar ActiveX Control v19.3

CalendarFlagsSet Object

Description

Interface used to get and set which calendar text strings will be custom drawn or to customize calendar parts before they are drawn.

For a list of all members defined in this module, see CalendarFlagsSet members.

Remarks

For GetItemText and AskItemTextFlags:

The CalendarFlagsSet object is used as an interface to get and set which calendar text strings will be custom drawn. The AskItemTextFlags property is of type CalendarFlagsSet and is used to specify for which text components the GetItemText event will get fired.

AskItemTextFlags returns a CalendarFlagsSet object which is used as an interface to get and set which calendar text strings will be custom drawn. The interface includes the SetFlag, IsFlagSet and ResetFlag methods which allow you to set, get, and reset the XTPCalendarGetItemText and XTPCalendarGetItemTextEx flags which specify for which text components the GetItemText event will get fired.

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

For BeforeDrawThemeObject and BeforeDrawThemeObjectFlags:

The BeforeDrawThemeObjectFlags property returns a CalendarFlagsSet object which is used as an interface to get and set which Office 2007 calendar objects will be custom drawn. The interface includes the SetFlag, IsFlagSet and ResetFlag methods which allow you to set, get, and reset the CalendarBeforeDrawThemeObject flags which specify for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired.

The SetFlag method uses any combination of flags from the CalendarBeforeDrawThemeObject enumeration to specify for which Office 2007 calendar objects the BeforeDrawThemeObject event will get fired. The BeforeDrawThemeObject event occurs when each Office 2007 theme component of the calendar is about to be drawn if some Flags from the CalendarBeforeDrawThemeObject enumeration have been set using the SetFlag method. The SetFlag method can be used to set any combination of the CalendarBeforeDrawThemeObject (only use with Office 2007 theme) flags. BeforeDrawThemeObject will only get fired when drawing components that are specified using the SetFlag method.

If you would like the BeforeDrawThemeObject event to get fired for all flags in the CalendarBeforeDrawThemeObject enumeration then you can simply set BeforeDrawThemeObjectFlags to -1. This will cause the BeforeDrawThemeObject event to fire before each part of the calendar is drawn.

This allows all of the parts of the calendar to easily be customized.

See Also

CalendarFlagsSet Members | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%% $$Members$$

CalendarFlagsSet Overview | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration

See Also Calendar ActiveX Control v19.3

CalendarFlagsSet Object Members

Public Methods

Public Method IsFlagSet | Determines is a flag from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set.
Public Method ResetFlag | Removes the specified flags for which the GetItemText event gets fired.
Public Method SetFlag | Specifies for which calendar text strings the GetItemText event will get fired which allows custom text to be set.

Public Properties

Public Property Flags A combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations that have been set which specify when the GetItemText event to get fired.

See Also

CalendarFlagsSet Overview | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration


%%PageItemTitle%%

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | ResetFlag Method | SetFlag Method | CalendarGetItemTextParams Object

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to determine if they have been set.
See Also Calendar ActiveX Control v19.3

IsFlagSet Method

Description

Determines is a flag from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set.

Syntax

Public Function IsFlagSet( _
   ByVal nFlag As Long _
) As Boolean

Parameters

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to determine if they have been set.

Return Type

True if the specified flags have been set, False if one or more of the specified flags have not been set.

Remarks

The IsFlagSet method will determine if the specified XTPCalendarGetItemText and XTPCalendarGetItemTextEx flags have been set using the SetFlag method. This will indicate for which text components the GetItemText event will occur.

See Also

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | ResetFlag Method | SetFlag Method | CalendarGetItemTextParams Object

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarFlagsSet Object | IsFlagSet Method | SetFlag Method | AskItemTextFlags Property | GetItemText Event

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to stop the GetItemText event from firing when the text string is drawn.
See Also Calendar ActiveX Control v19.3

ResetFlag Method

Description

Removes the specified flags for which the GetItemText event gets fired.

Syntax

Public Sub ResetFlag( _
   ByVal nFlag As Long _
)

Parameters

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to stop the GetItemText event from firing when the text string is drawn.

Remarks

The ResetFlag method will remove one or more of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx flags that have been set using the SetFlag method. The GetItemText event will no longer occur for the specified flags.

See Also

CalendarFlagsSet Object | IsFlagSet Method | SetFlag Method | AskItemTextFlags Property | GetItemText Event

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | IsFlagSet Method | ResetFlag Method | Flags Property | CalendarGetItemTextParams Object | Item Property | Text Property

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired.
See Also Calendar ActiveX Control v19.3

SetFlag Method

Description

Specifies for which calendar text strings the GetItemText event will get fired which allows custom text to be set.

Syntax

Public Sub SetFlag( _
   ByVal nFlag As Long _
)

Parameters

nFlag
Any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired.

Remarks

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

See Also

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | IsFlagSet Method | ResetFlag Method | Flags Property | CalendarGetItemTextParams Object | Item Property | Text Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | IsFlagSet Method | ResetFlag Method | SetFlag Method | CalendarGetItemTextParams Object

See Also Calendar ActiveX Control v19.3

Flags Property

Description

A combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations that have been set which specify when the GetItemText event to get fired.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

Remarks

The Flags property is a combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations that have been set. -1 indicates that all flags have been set. Flags are set using the SetFlag method.

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

See Also

CalendarFlagsSet Object | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | IsFlagSet Method | ResetFlag Method | SetFlag Method | CalendarGetItemTextParams Object

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Members | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | SetFlag Method | IsFlagSet Method | ResetFlag Method | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

CalendarGetItemTextParams Object

Description

Object used with the GetItemText event that contains the Text, ViewDay, ViewEvent and WeekDay properties of a calendar item that is about to be drawn.

For a list of all members defined in this module, see CalendarGetItemTextParams members.

Object Model

Remarks

The CalendarGetItemTextParams object is used in the GetItemText event and contains the Text, ViewDay, ViewEvent and WeekDay properties of a calendar item that is about to be drawn. Note that some of these properties might be NULL depending on which component is about to be drawn.

The CalendarGetItemTextParams object that contains the text of a calendar item that is about to be drawn in the GetItemText event. The Text property of the CalendarGetItemTextParams object is used to set a custom value.

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like the GetItemText event to get fired for all flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

Example

[GetItemText Sample (Visual Basic)] This sample illustrates

Private Sub Form_Load()
    ' can use -1 to set all flags. Like:
    CalendarControl.AskItemTextFlags = -1

    ' or use separate flasg as:
    CalendarControl.AskItemTextFlags.SetFlag xtpCalendarItemText_EventSubject
    CalendarControl.AskItemTextFlags.SetFlag xtpCalendarItemText_EventLocation
End Sub

Private Sub CalendarControl_GetItemText(ByVal Params As XtremeCalendarControl.CalendarGetItemTextParams)
    If Params.Item = xtpCalendarItemText_EventSubject Then
        Params.Text = "*Custom subject* " & Params.Text

    ElseIf Params.Item = xtpCalendarItemText_EventLocation Then
        Params.Text = "ScheduleID = " & Params.ViewEvent.Event.ScheduleID

    ElseIf Params.Item = xtpCalendarItemText_EventBody Then
        Params.Text = "custom BODY text."

    ElseIf Params.Item = xtpCalendarItemText_DayViewDayHeader Or _
           Params.Item = xtpCalendarItemText_WeekViewDayHeader Or _
           Params.Item = xtpCalendarItemText_MonthViewDayHeader _
        Then
        Params.Text = "Date:" & Params.ViewDay.Date

    ElseIf Params.Item = xtpCalendarItemText_DayViewDayHeaderLeft Or _
            Params.Item = xtpCalendarItemText_WeekViewDayHeaderLeft Or _
            Params.Item = xtpCalendarItemText_MonthViewDayHeaderLeft _
        Then
        Params.Text = Day(Params.ViewDay.Date)

    ElseIf Params.Item = xtpCalendarItemText_DayViewDayHeaderCenter Or _
           Params.Item = xtpCalendarItemText_WeekViewDayHeaderCenter Or _
           Params.Item = xtpCalendarItemText_MonthViewDayHeaderCenter _
        Then
        Params.Text = WeekdayName(Weekday(Params.ViewDay.Date), , vbSunday)

    ElseIf Params.Item = xtpCalendarItemText_DayViewDayHeaderRight Or _
           Params.Item = xtpCalendarItemText_WeekViewDayHeaderRight Or _
           Params.Item = xtpCalendarItemText_MonthViewDayHeaderRight _
        Then
        Params.Text = Year(Params.ViewDay.Date)

    ElseIf Params.Item = xtpCalendarItemText_MonthViewWeekDayHeader Then
        Params.Text = Params.Text & " - " & Params.Weekday

    ElseIf Params.Item = xtpCalendarItemText_EventToolTipText Then
        Params.Text = "(" & Params.ViewEvent.Event.Location & ") " & _
                      Params.ViewEvent.Event.Subject & _
                      " [" & Params.ViewEvent.Event.Id & "]"
    End If

End Sub

See Also

CalendarGetItemTextParams Members | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | SetFlag Method | IsFlagSet Method | ResetFlag Method | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property


%%PageItemTitle%% $$Members$$

CalendarGetItemTextParams Overview | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | SetFlag Method | IsFlagSet Method | ResetFlag Method | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

CalendarGetItemTextParams Object Members

Public Properties

Public Property Item | Returns a combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations specifying which text sting is about to be drawn.
Public Property Text | Text of item about to be drawn.
Public Property ViewDay | Reference to the current CalendarViewDay object that contains the item with text to be drawn.
Public Property ViewEvent | Reference to the current CalendarViewEvent object that contains the item with text to be drawn.
Public Property WeekDay | Current day of the week the text string is drawn in.
Public Property WeekNum | Current day of the week number the text string is drawn in.

See Also

CalendarGetItemTextParams Overview | AskItemTextFlags Property | GetItemText Event | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | SetFlag Method | IsFlagSet Method | ResetFlag Method | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property


%%PageItemTitle%%

CalendarGetItemTextParams Object | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | AskItemTextFlags Property | GetItemText Event | CalendarFlagsSet Object | SetFlag Method | Flags Property | IsFlagSet Method

See Also Calendar ActiveX Control v19.3

Item Property

Description

Returns a combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations specifying which text sting is about to be drawn.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As Long

Remarks

When AskItemTextFlags is set to True the GetItemText event will get fired for each text string drawn in the calendar. The Item property will contain a flag from the XTPCalendarGetItemText or XTPCalendarGetItemTextEx which specifies which text of text is about to be drawn.

See Also

CalendarGetItemTextParams Object | XTPCalendarGetItemText Enumeration | XTPCalendarGetItemTextEx Enumeration | AskItemTextFlags Property | GetItemText Event | CalendarFlagsSet Object | SetFlag Method | Flags Property | IsFlagSet Method

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | ViewDay Property | ViewEvent Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

Text Property

Description

Text of item about to be drawn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

The Text property of the CalendarGetItemTextParams object contains the text that is about to be drawn. The Text property can be set to any customized text.

See Also

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | ViewDay Property | ViewEvent Property | WeekDay Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Object | ActiveView Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewEvent Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

ViewDay Property

Description

Reference to the current CalendarViewDay object that contains the item with text to be drawn.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewDay() As CalendarViewDay

See Also

CalendarGetItemTextParams Object | ActiveView Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewEvent Property | WeekDay Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewDay Property | WeekDay Property

See Also Calendar ActiveX Control v19.3

ViewEvent Property

Description

Reference to the current CalendarViewEvent object that contains the item with text to be drawn.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewEvent() As CalendarViewEvent

See Also

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewDay Property | WeekDay Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewDay Property | ViewEvent Property

See Also Calendar ActiveX Control v19.3

WeekDay Property

Description

Current day of the week the text string is drawn in.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekDay() As Long

Remarks

Zero or Week day number as: 1 - Sunday, 2 - Monday, ... 7 - Saturday.

See Also

CalendarGetItemTextParams Object | AskItemTextFlags Property | GetItemText Event | SetFlag Method | ResetFlag Method | IsFlagSet Method | Item Property | Text Property | ViewDay Property | ViewEvent Property

Example

Using the GetItemText Event to Customize Text


%%PageItemTitle%%

CalendarGetItemTextParams Object

See Also Calendar ActiveX Control v19.3

WeekNum Property

Description

Current day of the week number the text string is drawn in.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekNum() As Long

Remarks

Zero or current visible range first week number.

See Also

CalendarGetItemTextParams Object


%%PageItemTitle%%

CalendarGlobalSettings Members

See Also Calendar ActiveX Control v19.3

CalendarGlobalSettings Object

Description

Calendar global settings, such as application name and resource file

For a list of all members defined in this module, see CalendarGlobalSettings members.

Object Model

See Also

CalendarGlobalSettings Members


%%PageItemTitle%% $$Members$$

CalendarGlobalSettings Overview

See Also Calendar ActiveX Control v19.3

CalendarGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Calendar OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Calendar OCX is used.
Public Property UseResourceFileLocale | True to use the resource language for date and time formatting as opposed to using the system settings.
Public Property Version | Returns the current Calendar version as a string.

See Also

CalendarGlobalSettings Overview


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object | SetColor Method | Color Property

See Also Calendar ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

CalendarGlobalSettings Object | SetColor Method | Color Property


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CalendarGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Calendar OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

This code should be placed in the Form_Initialize event of the main form.

Example

[ResourceFile Sample (Visual Basic)] This sample illustrates how to use a rescource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

Private Sub Form_Initialize()
    CalendarGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpCalendarThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Calendar OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

UseResourceFileLocale Property

Description

True to use the resource language for date and time formatting as opposed to using the system settings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseResourceFileLocale() As Boolean

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarGlobalSettings Object

See Also Calendar ActiveX Control v19.3

Version Property

Description

Returns the current Calendar version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

CalendarGlobalSettings Object


%%PageItemTitle%%

CalendarHitTestInfo Members | DayView HitTest Method | MonthView HitTest Method | CalendarView HitTest Method | WeekView HitTest Method

See Also Calendar ActiveX Control v19.3

CalendarHitTestInfo Object

Description

The CalendarHitTestInfo Object is used to store information for the "HitTest" methods to test points on the Calendar Control.

For a list of all members defined in this module, see CalendarHitTestInfo members.

Object Model

Remarks

The CalendarHitTestInfo Object stores the area on the Calendar at a specified point, the Day(If a day is located at the specified point), and the Event (If an event is located at the specified point).

The following methods use the CalendarHitTestInfo object: DayView HitTest, MonthView HitTest, CalendarView HitTest, and WeekView HitTest. All of these methods can be used in the "mouse" events to text where the mouse cursor was clicked.

See Also

CalendarHitTestInfo Members | DayView HitTest Method | MonthView HitTest Method | CalendarView HitTest Method | WeekView HitTest Method


%%PageItemTitle%% $$Members$$

CalendarHitTestInfo Overview | DayView HitTest Method | MonthView HitTest Method | CalendarView HitTest Method | WeekView HitTest Method

See Also Calendar ActiveX Control v19.3

CalendarHitTestInfo Object Members

Public Properties

Public Property HitCode | A bitwise combination of CalendarHitTestCode constants.
Public Property HitDateTime | Date and Time stamp at the current mouse cursor position.
Public Property TimePartValid | Specfies whether the time portion of the HitDateTime property is valid.
Public Property ViewDay | Pointer to the affected CalendarViewDay object.
Public Property ViewEvent | Pointer to the affected CalendarViewEvent object.
Public Property ViewGroup | Pointer to the affected CalendarViewGroup object.

See Also

CalendarHitTestInfo Overview | DayView HitTest Method | MonthView HitTest Method | CalendarView HitTest Method | WeekView HitTest Method


%%PageItemTitle%%

CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitCode Property

Description

A bitwise combination of CalendarHitTestCode constants.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HitCode() As CalendarHitTestCode

See Also

CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarHitTestInfo Object | TimePartValid Property

See Also Calendar ActiveX Control v19.3

HitDateTime Property

Description

Date and Time stamp at the current mouse cursor position.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HitDateTime() As Date

Remarks

The HitDateTime object will contain the date and time of the "cell" the mouse cursor is positioned over. The TimePartValid property is used to determine if the time in the HitDateTime object is valid. The time will only be valid in day or work week view and the cursor is over a "time cell". The time will not be valid when over All Day events or when in Month or Week view.

See Also

CalendarHitTestInfo Object | TimePartValid Property


%%PageItemTitle%%

CalendarHitTestInfo Object | HitDateTime Property

See Also Calendar ActiveX Control v19.3

TimePartValid Property

Description

Specfies whether the time portion of the HitDateTime property is valid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimePartValid() As Boolean

Remarks

The HitDateTime property will contain the date and time of the "cell" the mouse cursor is positioned over. The TimePartValid property is used to determine if the time in the HitDateTime property is valid. The time will only be valid in day or work week view and the cursor is over a "time cell". The time will not be valid when over All Day events or when in Month or Week view.

See Also

CalendarHitTestInfo Object | HitDateTime Property


%%PageItemTitle%%

CalendarHitTestInfo Object

See Also Calendar ActiveX Control v19.3

ViewDay Property

Description

Pointer to the affected CalendarViewDay object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewDay() As CalendarViewDay

See Also

CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarHitTestInfo Object

See Also Calendar ActiveX Control v19.3

ViewEvent Property

Description

Pointer to the affected CalendarViewEvent object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewEvent() As CalendarViewEvent

See Also

CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarHitTestInfo Object | CalendarViewEven ViewGroup Property | CalendarViewGroup Object | CalendarViewGroups Object

See Also Calendar ActiveX Control v19.3

ViewGroup Property

Description

Pointer to the affected CalendarViewGroup object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewGroup() As CalendarViewGroup

Remarks

Multiple groups might be displayed for a given day when multiple resources are used and the current view is day view.

See Also

CalendarHitTestInfo Object | CalendarViewEven ViewGroup Property | CalendarViewGroup Object | CalendarViewGroups Object


%%PageItemTitle%%

CalendarIconIDs Members

See Also Calendar ActiveX Control v19.3

CalendarIconIDs Collection

Description

Represents the collection of custom icons IDs

For a list of all members defined in this module, see CalendarIconIDs members.

Remarks

It is also used to implement some useful operations on the custom icons IDs collection.

See Also

CalendarIconIDs Members


%%PageItemTitle%% $$Members$$

CalendarIconIDs Overview

See Also Calendar ActiveX Control v19.3

CalendarIconIDs Collection Members

Public Methods

Public Method Add | Call this member function to Add ID to collection.
Public Method AddIfNeed | Call this member function to Add ID to collection only once.
Public Method Find | Call this member function to find ID in the collection.
Public Method LoadFromString | Call this member function to read collection data from comma separated string.
Public Method Remove | Call this member function to remove an ID from the collection by specifying the index.
Public Method RemoveAll | Call this member function to remove all IDs from the collection.
Public Method RemoveID | Call this member function to remove ID from the collection.
Public Method SaveToString | Call this member function to store collection data as comma separated string.

Public Properties

Public Property Count | Total number of icon ids in the collection.
Public Property Item | A collection to store custom icons id's assigned to an event.

See Also

CalendarIconIDs Overview


%%PageItemTitle%%

CalendarIconIDs Collection

iconID
ID to find.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Call this member function to Add ID to collection.

Syntax

Public Sub Add( _
   ByVal iconID As Long _
)

Parameters

iconID
ID to find.

Remarks

With this method there can be duplicates.

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarIconIDs Collection | Add Method

iconID
ID to add.
See Also Calendar ActiveX Control v19.3

AddIfNeed Method

Description

Call this member function to Add ID to collection only once.

Syntax

Public Sub AddIfNeed( _
   ByVal iconID As Long _
)

Parameters

iconID
ID to add.

Remarks

If specified ID already present in the collection - method do nothing.

See Also

CalendarIconIDs Collection | Add Method


%%PageItemTitle%%

CalendarIconIDs Collection

iconID
ID to find.
See Also Calendar ActiveX Control v19.3

Find Method

Description

Call this member function to find ID in the collection.

Syntax

Public Function Find( _
   ByVal iconID As Long _
) As Long

Parameters

iconID
ID to find.

Return Type

Zero based index in the collection or -1 if element is not found.

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarIconIDs Collection | SaveToString Method

strData
String with collection data.
See Also Calendar ActiveX Control v19.3

LoadFromString Method

Description

Call this member function to read collection data from comma separated string.

Syntax

Public Sub LoadFromString( _
   ByVal strData As String _
)

Parameters

strData
String with collection data.

See Also

CalendarIconIDs Collection | SaveToString Method


%%PageItemTitle%%

CalendarIconIDs Collection

Index
Index of the Id to remove.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Call this member function to remove an ID from the collection by specifying the index.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the Id to remove.

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarIconIDs Collection

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Call this member function to remove all IDs from the collection.

Syntax

Public Sub RemoveAll()

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarIconIDs Collection | RemoveAll Method | Remove Method

iconID
ID to remove.
See Also Calendar ActiveX Control v19.3

RemoveID Method

Description

Call this member function to remove ID from the collection.

Syntax

Public Sub RemoveID( _
   ByVal iconID As Long _
)

Parameters

iconID
ID to remove.

Return Type

TRUE if specified ID find and removed, FALSE otherwise.

See Also

CalendarIconIDs Collection | RemoveAll Method | Remove Method


%%PageItemTitle%%

CalendarIconIDs Collection | LoadFromString Method

See Also Calendar ActiveX Control v19.3

SaveToString Method

Description

Call this member function to store collection data as comma separated string.

Syntax

Public Function SaveToString() As String

Return Type

Comma separated string with collection elements.

See Also

CalendarIconIDs Collection | LoadFromString Method


%%PageItemTitle%%

CalendarIconIDs Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Total number of icon ids in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarIconIDs Collection

Index
Index of an Id to return.
See Also Calendar ActiveX Control v19.3

Item Property

Description

A collection to store custom icons id's assigned to an event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As Long

Parameters

Index
Index of an Id to return.

See Also

CalendarIconIDs Collection


%%PageItemTitle%%

CalendarMonthView Members

See Also Calendar ActiveX Control v19.3

CalendarMonthView Object

Description

This object implements a specific view portion of the Calendar Control called Month View.

For a list of all members defined in this module, see CalendarMonthView members.

Object Model

Remarks

The Month can contain one or more weeks, placed in a column. Each week consist of 7 days, as a normal week. Weekend days of the week can be drawn compressed, which means that 2 weekend days will be drawn in a rectangle of a usual day.

See Also

CalendarMonthView Members


%%PageItemTitle%% $$Members$$

CalendarMonthView Overview

See Also Calendar ActiveX Control v19.3

CalendarMonthView Object Members

Public Methods

Public Method Copy | Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method Cut | Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method EnableHScroll | Enables or Disabled horizontal scrolling.
Public Method EnableVScroll | Enables or Disabled vertical scrolling.
Public Method HitTest | This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.
Public Method HitTestEx | This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.
Public Method Paste | Inserts the contents of the clipboard at the current location.
Public Method Redo | Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.
Public Method ResetSelection | Resets the current selection.
Public Method SelectViewEvent | Used to select or un-select an event in the current view.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the view.
Public Method ShowDay | Used to show a specific day in the calendar view.
Public Method Undo | Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.
Public Method UnselectAllEvents | Un-selects all of the events of the current view.

Public Properties

Public Property CanCopy | Determines if the Copy operation can currently be performed.
Public Property CanCut | Determines if the Cut operation can currently be performed.
Public Property CanPaste | Determines if the Paste operation can currently be performed.
Public Property CanRedo | Determines if the Redo operation can currently be performed.
Public Property CanStartEdit | Returns whether editing of the view is possible.
Public Property CanUndo | Determines if the Undo operation can currently be performed.
Public Property DayHeaderFormatLong | Day header Long date format custom string.
Public Property DayHeaderFormatMiddle | Day header Middle date format custom string.
Public Property DayHeaderFormatShort | Day header Short date format custom string.
Public Property DayHeaderFormatShortest | Day header Shortest date format custom string.
Public Property Days | Get a CalendarViewDay object by the day's index in the current view.
Public Property DaysCount | Number of "day views" in the view collection.
Public Property DraftMode | Allows multi-line text print outs for events in month view.
Public Property GetSelectedEvents | Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.
Public Property MultipleResources | Collection of CalendarResources for the view.
Public Property Selection | Returns the Time Range and CalendarViewGroup that is currently selected.
Public Property WeeksCount | Gets\set the number of weeks (rows) that are shown in the Month View grid.

See Also

CalendarMonthView Overview


%%PageItemTitle%%

CalendarMonthView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Copy Method

Description

Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Copy()

Remarks

If one or more events are selected, the copy operation will place the event(s) on the clipboard. If an event is in edit mode, the the copy operation will copy the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will not be removed.

The CanCopy property is used to determine if the copy operation can currently be performed.

See Also

CalendarMonthView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarMonthView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property

See Also Calendar ActiveX Control v19.3

Cut Method

Description

Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Cut()

Remarks

If one or more events are selected, the cut operation will place the event(s) on the clipboard. If an event is in edit mode, the the cut operation will cut the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will be removed from the calendar until it is pasted back into the calendar.

The CanCut property is used to determine if the cut operation can currently be performed.

See Also

CalendarMonthView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property


%%PageItemTitle%%

CalendarMonthView Object

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

See Also Calendar ActiveX Control v19.3

EnableHScroll Method

Description

Enables or Disabled horizontal scrolling.

Syntax

Public Sub EnableHScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

Remarks

If False, then the horizontal scroll bar is removed and the view can not be scrolled horizontally.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

See Also Calendar ActiveX Control v19.3

EnableVScroll Method

Description

Enables or Disabled vertical scrolling.

Syntax

Public Sub EnableVScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

Remarks

If False, then the vertical scroll bar is removed and the view can not be scrolled vertically.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.

Syntax

Public Function HitTest() As CalendarHitTestInfo

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the XY point of the mouse cursor in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarMonthView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarMonthView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.
See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As CalendarHitTestInfo

Parameters

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the specified XY point in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarMonthView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarMonthView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property

See Also Calendar ActiveX Control v19.3

Paste Method

Description

Inserts the contents of the clipboard at the current location.

Syntax

Public Sub Paste()

Remarks

The CanPaste method is used to determine if the contents of the clipboard can be pasted.

If an event is currently on the clipboard, then the Paste operation will paste the event(s) at the currently selected time slot in the Calendar view.

If text is currently on the clipboard, then the Paste operation will paste the text at the current cursor position in the event's subject if an event is in edit mode.

See Also

CalendarMonthView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Redo Method

Description

Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.

Syntax

Public Sub Redo()

Remarks

The CanRedo property is used to determine if the Redo operation can currently be performed. Redo will only redo event resizing and event subject editing.

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarMonthView Object | GetSelection Method | SetSelection Method

See Also Calendar ActiveX Control v19.3

ResetSelection Method

Description

Resets the current selection.

Syntax

Public Sub ResetSelection()

Remarks

The ResetSelection method programmatically clears the current selection.

See Also

CalendarMonthView Object | GetSelection Method | SetSelection Method


%%PageItemTitle%%

CalendarMonthView Object

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also Calendar ActiveX Control v19.3

SelectViewEvent Method

Description

Used to select or un-select an event in the current view.

Syntax

Public Sub SelectViewEvent( _
   ByVal ViewEvent As CalendarViewEvent, _
   ByVal Select As Boolean _
)

Parameters

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object | MultipleResources Property

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the view.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarMonthView Object | MultipleResources Property


%%PageItemTitle%%

CalendarMonthView Object

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.
See Also Calendar ActiveX Control v19.3

ShowDay Method

Description

Used to show a specific day in the calendar view.

Syntax

Public Sub ShowDay( _
   ByVal Day As Date, _
   Optional ByVal Select As Boolean = True _
)

Parameters

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

Remarks

When in Day or WorkWeek view, ShowDay will show only the specified day in the calendar view. When in Week or Month view, ShowDay will ensure that the provided date is visible and selected if desired.

Example

[ShowDay Sample (Visual Basic)] This sample illustrates how to show a date it both day view and month view.

    Dim d As Date
    d = #10/10/2004#

    'Show a date in Day view
    CalendarControl.DayView.ShowDay d, True

    'Show a date in Month View
    CalendarControl.ViewType = xtpCalendarMonthView
    CalendarControl.MonthView.ShowDay d, False

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property

See Also Calendar ActiveX Control v19.3

Undo Method

Description

Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.

Syntax

Public Sub Undo()

Remarks

Undo will not be available if there was no previous edit, or if any other action has been performed after the last edit.

Note: You can't undo a Cut operation using the Undo command.

See Also

CalendarMonthView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property


%%PageItemTitle%%

CalendarMonthView Object | GetSelection Method

See Also Calendar ActiveX Control v19.3

UnselectAllEvents Method

Description

Un-selects all of the events of the current view.

Syntax

Public Sub UnselectAllEvents()

See Also

CalendarMonthView Object | GetSelection Method


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCopy Property

Description

Determines if the Copy operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

The Copy operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCut Property

Description

Determines if the Cut operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

The Cut operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanPaste Property

Description

Determines if the Paste operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanRedo Property

Description

Determines if the Redo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

CanStartEdit Property

Description

Returns whether editing of the view is possible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanStartEdit() As Boolean

Remarks

Will return true if the user is not currently dragging or editing the subject of an event.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanUndo Property

Description

Determines if the Undo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

CalendarMonthView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatLong Property

Description

Day header Long date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatLong() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Format Day Header Date String Sample (Visual Basic)] This sample illulstrates how to format the day header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.ActiveView.DayHeaderFormatLong = "ddd, dd MMMM yyyy"
    CalendarControl.ActiveView.DayHeaderFormatMiddle = "ddd, dd MMM yy"
    CalendarControl.ActiveView.DayHeaderFormatShort = "dd MMM "
    CalendarControl.ActiveView.DayHeaderFormatShortest = "dd.MM"
    CalendarControl.Populate

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatMiddle Property

Description

Day header Middle date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatMiddle() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarMonthView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShort Property

Description

Day header Short date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShort() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarMonthView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShortest Property

Description

Day header Shortest date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShortest() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarMonthView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarMonthView Object | DaysCount Property

nIndex
[in] An integer that contains the index of a day in the day view collection.
See Also Calendar ActiveX Control v19.3

Days Property

Description

Get a CalendarViewDay object by the day's index in the current view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Days( _
   ByVal nIndex As Long _
) As CalendarViewDay

Parameters

nIndex
[in] An integer that contains the index of a day in the day view collection.

Remarks

Index numbers start with 0 and cannot be negative.

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarMonthView Object | DaysCount Property


%%PageItemTitle%%

CalendarMonthView Object | Days Property

See Also Calendar ActiveX Control v19.3

DaysCount Property

Description

Number of "day views" in the view collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DaysCount() As Long

Remarks

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarMonthView Object | Days Property


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

DraftMode Property

Description

Allows multi-line text print outs for events in month view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DraftMode() As Boolean

Remarks

This is only used when printing a calendar in month view. You can see the changes in print preview. This simply displays all the text for an event so that it can be read when printed.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object | SelectViewEvent Method | UnselectAllEvents Method

See Also Calendar ActiveX Control v19.3

GetSelectedEvents Property

Description

Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetSelectedEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents object will contain a CalendarViewEvent object for each event that is selected in the current view.

Note: If an event that is selected spans more than one day (multi-day event) there will be two CalendarViewEvent objects that represent the same event. Multi-day events have a separate CalendarViewEvent object for each day.

See Also

CalendarMonthView Object | SelectViewEvent Method | UnselectAllEvents Method


%%PageItemTitle%%

CalendarMonthView Object | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarMonthView Object | SetMultipleResources Method


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Returns the Time Range and CalendarViewGroup that is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As CalendarViewSelection

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarMonthView Object

See Also Calendar ActiveX Control v19.3

WeeksCount Property

Description

Gets\set the number of weeks (rows) that are shown in the Month View grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeeksCount() As Long

Remarks

The minimum number of week that can be displayed is 2, the maximum number of weeks that can be displayed is 6.

See Also

CalendarMonthView Object


%%PageItemTitle%%

CalendarOptions Members | Options Property

See Also Calendar ActiveX Control v19.3

CalendarOptions Object

Description

The CalendarOptions Object contains all calendar options that can be changed by the user.

For a list of all members defined in this module, see CalendarOptions members.

Object Model

Remarks

The CalendarOptions Object contains all options which could be changed by the user for CalendarControl. The CalendarControl.Options property allows access to these options.

See Also

CalendarOptions Members | Options Property


%%PageItemTitle%% $$Members$$

CalendarOptions Overview | Options Property

See Also Calendar ActiveX Control v19.3

CalendarOptions Object Members

Public Methods

Public Method EnumAllTimeZones | Reads all time zones from the system registry and adds them to a CalendarTimeZones collection.
Public Method GetCurrentTimeZone | Retrieves the current time-zone parameters for the default Time Scale.
Public Method GetScale2TimeZone | Retrieves the current time-zone parameters for the alternative Time Scale.
Public Method SetScale2TimeZone | This method is used to set the time zone information for the alternative time scale.

Public Properties

Public Property AdditionalOptionsFlags | Additional options for the calendar.
Public Property DayViewAutoResetBusyFlag | Gets\sets whether the BusyStatus flag for an event to is move\dragged to the "all day" area will automatically be set to "free".
Public Property DayViewCurrentTimeMarkVisible | Specifies when the Time Mark is displayed on the time scale.
Public Property DayViewScale2Label | Gets\set the text label for the alternative time scale.
Public Property DayViewScale2Visible | Shows or hides the alternative time scale.
Public Property DayViewScaleLabel | Gets\set the text label for the default time scale.
Public Property DayViewTimeScaleShowMinutes | Specifies whether to display minute marks on the time scale.
Public Property EnableAddNewTooltip | Enables or disables the use of the "Click to add appointment" tip window when the mouse is positioned over an open time slot.
Public Property EnableInPlaceCreateEvent | Enables or disables in-place event creation when a character key is pressed when a cell has focus in the Calendar.
Public Property EnableInPlaceEditEventSubject_AfterEventResize | Enables\disables in-place editing of the event subject after the event is resized.
Public Property EnableInPlaceEditEventSubject_ByF2 | Enables\disables in-place editing of the event subject when the F2 key is pressed.
Public Property EnableInPlaceEditEventSubject_ByMouseClick | Enables\disables in-place editing of the event subject when the event is clicked with the left mouse button.
Public Property EnableInPlaceEditEventSubject_ByTab | Enables\disables in-place editing of the event subject when the Tab key is used to navigate events in the current view.
Public Property EnablePrevNextEventButtons | Specifies whether the "Prev/Next Appointment" buttons are enabled.
Public Property EnableTimelineButton | Specifies whether the "Time Line" radio button is enabled in the caption bar.
Public Property FirstDayOfTheWeek | Gets\sets the first day of the week for Week and Month views.
Public Property HatchAllDayViewEventsBackground | Specifies whether to hatch the background of all day events (type of hatch depends on status of event).
Public Property HideCaptionBar | Hides or displays the calendar's caption bar.
Public Property MonthViewCompressWeekendDays | Specifies whether Saturday and Sunday are "compressed" while in Month view.
Public Property MonthViewShowEndDate | Specifies whether the end time of an event is displayed when in Month view
Public Property MonthViewShowTimeAsClocks | Specifies whether the start time and end time of an event are displayed as a graphical clock when in Month view.
Public Property ShowAllDayExpandButton | Specifies whether to show the all day header expand buttons when needed.
Public Property ShowCategoryIcons | Shows\hides additional category icons in event view for day\multi-column week views
Public Property TooltipAddNewText | Gets or sets the text displayed in the "Click to add appointment" tip window.
Public Property UseOutlookFontGlyphs | Gets\sets whether to use Outlook Font Glyphs.
Public Property WeekViewShowEndDate | Specifies whether the end time of an event is displayed when in Week view
Public Property WeekViewShowTimeAsClocks | Specifies whether the start time and end time of an event are displayed as a graphical clock when in Week view.
Public Property WorkDayEndTime | Specifies the end time of work days. This is used when displaying the WorkWeekMask.
Public Property WorkDayStartTime | Specifies the start time of work days. This is used when displaying the WorkWeekMask.
Public Property WorkWeekMask | Specifies which days of the week are "work days".

See Also

CalendarOptions Overview | Options Property


%%PageItemTitle%%

CalendarOptions Object | CalendarTimeZones Object | Item Property

See Also Calendar ActiveX Control v19.3

EnumAllTimeZones Method

Description

Reads all time zones from the system registry and adds them to a CalendarTimeZones collection.

Syntax

Public Function EnumAllTimeZones() As CalendarTimeZones

Return Type

CalendarTimeZones collection containing all time zones from the system registry.

Remarks

The EnumAllTimeZones method is used to populate a CalendarTimeZones collection with all of the time zones available on a computer. The CalendarTimeZones collection can then be used to access all time zone information.

See Also

CalendarOptions Object | CalendarTimeZones Object | Item Property

Example

CalendarTimeZones Object


%%PageItemTitle%%

CalendarOptions Object | DayViewScale2Visible Property | DayViewScaleLabel Property | TimeScale Property

See Also Calendar ActiveX Control v19.3

GetCurrentTimeZone Method

Description

Retrieves the current time-zone parameters for the default Time Scale.

Syntax

Public Function GetCurrentTimeZone() As CalendarTimeZone

Return Type

Returns a CalendarTimeZone object that contains the current time-zone parameters for the default Time Scale.

Remarks

The CalendarDayView contains two time scales that appear on the left side of the view. One time scale is the main time scale that represents the current time zone and is visible by default, the second time scale is the alternative time scale that represents the alternative time zone and can be enabled programmatically with the DayViewScale2Visible property. The time scale time interval can be changed using the TimeScale property. The content of the view is refreshed automatically.

The default Time Scale is the TimeScale that appears on the far left of the screen. If the alternative Time Scale is visible, the default Time Scale will appear on the left of the alternative time scale.

The default Time Scale is always visible when the ViewType is set to Day view or Work Week View. The default Time Scale will always contain the the time-zone parameters for the local time of the computer.

All translations between UTC time and local time are based on the following formula:

UTC = local time + bias

The bias is the difference, in minutes, between UTC time and local time.

See Also

CalendarOptions Object | DayViewScale2Visible Property | DayViewScaleLabel Property | TimeScale Property


%%PageItemTitle%%

CalendarOptions Object | GetCurrentTimeZone Method | SetScale2TimeZone Method | TimeScale Property

See Also Calendar ActiveX Control v19.3

GetScale2TimeZone Method

Description

Retrieves the current time-zone parameters for the alternative Time Scale.

Syntax

Public Function GetScale2TimeZone() As CalendarTimeZone

Return Type

Returns a CalendarTimeZone object that contains the current time-zone parameters for the alternative Time Scale.

Remarks

The CalendarDayView contains two time scales that appear on the left side of the view. One time scale is the main time scale that represents the current time zone and is visible by default, the second time scale is the alternative time scale that represents the alternative time zone and can be enabled programmatically with the DayViewScale2Visible property. The time scale time interval can be changed using the TimeScale property. The content of the view is refreshed automatically.

The default Time Scale is the TimeScale that appears on the far left of the screen. If the alternative Time Scale is visible, the default Time Scale will appear on the left of the alternative time scale.

The default Time Scale is always visible when the ViewType is set to Day view or Work Week View. The default Time Scale will always contain the the time-zone parameters for the local time of the computer.

The alternative time scale can be set by using the SetScale2TimeZone method.

All translations between UTC time and local time are based on the following formula:

UTC = local time + bias

The bias is the difference, in minutes, between UTC time and local time.

See Also

CalendarOptions Object | GetCurrentTimeZone Method | SetScale2TimeZone Method | TimeScale Property


%%PageItemTitle%%

CalendarOptions Object | GetScale2TimeZone Method | DayViewScale2Visible Property | DayViewScale2Label Property | TimeScale Property

pTZInfo
A CalendarTimeZone information structure that will be used to set the time zone information for the alternative time scale.
See Also Calendar ActiveX Control v19.3

SetScale2TimeZone Method

Description

This method is used to set the time zone information for the alternative time scale.

Syntax

Public Sub SetScale2TimeZone( _
   ByVal pTZInfo As CalendarTimeZone _
)

Parameters

pTZInfo
A CalendarTimeZone information structure that will be used to set the time zone information for the alternative time scale.

Remarks

The default Time Scale is the TimeScale that appears on the far left of the screen. If the alternative Time Scale is visible, the default Time Scale will appear on the left of the alternative time scale.

The default Time Scale is always visible when the ViewType is set to Day view or Work Week View. The default Time Scale will always contain the the time-zone parameters for the local time of the computer.

See Also

CalendarOptions Object | GetScale2TimeZone Method | DayViewScale2Visible Property | DayViewScale2Label Property | TimeScale Property


%%PageItemTitle%%

CalendarOptions Object | XTPCalendarAdditionalOptions Enumeration | CalendarFlagsSet Object

See Also Calendar ActiveX Control v19.3

AdditionalOptionsFlags Property

Description

Additional options for the calendar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AdditionalOptionsFlags() As CalendarFlagsSet

Remarks

Allows you to set options such as always showing the start and end time for appointments in month and week view. And no work break in day view.

See Also

CalendarOptions Object | XTPCalendarAdditionalOptions Enumeration | CalendarFlagsSet Object


%%PageItemTitle%%

CalendarOptions Object | BusyStatus Property | CalendarEventBusyStatus Enumeration

See Also Calendar ActiveX Control v19.3

DayViewAutoResetBusyFlag Property

Description

Gets\sets whether the BusyStatus flag for an event to is move\dragged to the "all day" area will automatically be set to "free".

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewAutoResetBusyFlag() As Boolean

Remarks

If True, the 'Busy' event status will be automatically set to 'Free' when moving an event from the hours area to the all day events area and vice versa.

If False, the BusyStatus flag for the event is not changed automatically.

See Also

CalendarOptions Object | BusyStatus Property | CalendarEventBusyStatus Enumeration


%%PageItemTitle%%

CalendarOptions Object | CalendarCurrentTimeMarkFlags Enumeration

See Also Calendar ActiveX Control v19.3

DayViewCurrentTimeMarkVisible Property

Description

Specifies when the Time Mark is displayed on the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewCurrentTimeMarkVisible() As Long

Remarks

The DayViewCurrentTimeMarkVisible property uses flags from the CalendarCurrentTimeMarkFlags enumeration to specify when the Time Mark is displayed on the time scale.

See Also

CalendarOptions Object | CalendarCurrentTimeMarkFlags Enumeration


%%PageItemTitle%%

CalendarOptions Object | DayViewScale2Visible Property

See Also Calendar ActiveX Control v19.3

DayViewScale2Label Property

Description

Gets\set the text label for the alternative time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewScale2Label() As String

See Also

CalendarOptions Object | DayViewScale2Visible Property


%%PageItemTitle%%

CalendarOptions Object | SetScale2TimeZone Method | DayViewScale2Label Property | GetScale2TimeZone Method

See Also Calendar ActiveX Control v19.3

DayViewScale2Visible Property

Description

Shows or hides the alternative time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewScale2Visible() As Boolean

Remarks

The default Time Scale is the TimeScale that appears on the far left of the screen. If DayViewScale2Visible is True, the default Time Scale will appear on the left of the alternative time scale.

The default Time Scale is always visible when the ViewType is set to Day view or Work Week View. The default Time Scale will always contain the the time-zone parameters for the local time of the computer.

The alternative time scale can be set by using the SetScale2TimeZone method.

See Also

CalendarOptions Object | SetScale2TimeZone Method | DayViewScale2Label Property | GetScale2TimeZone Method


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

DayViewScaleLabel Property

Description

Gets\set the text label for the default time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewScaleLabel() As String

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

DayViewTimeScaleShowMinutes Property

Description

Specifies whether to display minute marks on the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayViewTimeScaleShowMinutes() As Boolean

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object | TooltipAddNewText Property

See Also Calendar ActiveX Control v19.3

EnableAddNewTooltip Property

Description

Enables or disables the use of the "Click to add appointment" tip window when the mouse is positioned over an open time slot.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAddNewTooltip() As Boolean

Remarks

The text displayed in the tip window can be changed using the TooltipAddNewText.

See Also

CalendarOptions Object | TooltipAddNewText Property


%%PageItemTitle%%

CalendarOptions Object | AddEvent Method | CreateEvent Method

See Also Calendar ActiveX Control v19.3

EnableInPlaceCreateEvent Property

Description

Enables or disables in-place event creation when a character key is pressed when a cell has focus in the Calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableInPlaceCreateEvent() As Boolean

Remarks

By default, when a cell or group of cells (can also be thought of as times and\or dates) in the Calendar Control has focus, any character key can be pressed to automatically create a new event and the subject of the event will go into edit mode.

If the Calendar is currently in Day or WorkWeek view, then the event is created for the currently selected time. If the Calendar view is Week or Month view, then an AllDay event is created.

See Also

CalendarOptions Object | AddEvent Method | CreateEvent Method


%%PageItemTitle%%

CalendarOptions Object | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property

See Also Calendar ActiveX Control v19.3

EnableInPlaceEditEventSubject_AfterEventResize Property

Description

Enables\disables in-place editing of the event subject after the event is resized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableInPlaceEditEventSubject_AfterEventResize() As Boolean

Remarks

By default, after an event is resized, the event subject goes into "edit mode". This allows the user to edit the subject of the event. If EnableInPlaceEditEventSubject_AfterEventResize is false, then the subject will not go into "edit mode" after it is resized.

See Also

CalendarOptions Object | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property


%%PageItemTitle%%

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property

See Also Calendar ActiveX Control v19.3

EnableInPlaceEditEventSubject_ByF2 Property

Description

Enables\disables in-place editing of the event subject when the F2 key is pressed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableInPlaceEditEventSubject_ByF2() As Boolean

Remarks

By default, when an event has focus and the F2 key is pressed, the event subject goes into "edit mode". This allows the user to edit the subject of the event. If EnableInPlaceEditEventSubject_ByF2 is false, then the subject will not go into "edit mode" after the F2 key is pressed.

See Also

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByMouseClick Property | EnableInPlaceEditEventSubject_ByTab Property


%%PageItemTitle%%

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByTab Property

See Also Calendar ActiveX Control v19.3

EnableInPlaceEditEventSubject_ByMouseClick Property

Description

Enables\disables in-place editing of the event subject when the event is clicked with the left mouse button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableInPlaceEditEventSubject_ByMouseClick() As Boolean

Remarks

By default, when an event is clicked with the left mouse button, the event subject goes into "edit mode". This allows the user to edit the subject of the event. If EnableInPlaceEditEventSubject_ByMouseClick is false, then the subject will not go into "edit mode" after the event is clicked with the left mouse button.

See Also

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByTab Property


%%PageItemTitle%%

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property

See Also Calendar ActiveX Control v19.3

EnableInPlaceEditEventSubject_ByTab Property

Description

Enables\disables in-place editing of the event subject when the Tab key is used to navigate events in the current view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableInPlaceEditEventSubject_ByTab() As Boolean

Remarks

By default, when the Tab key is pressed, focus passes from one event to the next. When the event receives focus, the event subject goes into "edit mode". This allows the user to edit the subject of the event. By pressing the Tab key again focus will move to the next event. If EnableInPlaceEditEventSubject_ByTab is false, then the subject will not go into "edit mode" after the event receives focus from pressing the Tab key.

See Also

CalendarOptions Object | EnableInPlaceEditEventSubject_AfterEventResize Property | EnableInPlaceEditEventSubject_ByF2 Property | EnableInPlaceEditEventSubject_ByMouseClick Property


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

EnablePrevNextEventButtons Property

Description

Specifies whether the "Prev/Next Appointment" buttons are enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnablePrevNextEventButtons() As Boolean

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

EnableTimelineButton Property

Description

Specifies whether the "Time Line" radio button is enabled in the caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableTimelineButton() As Boolean

Remarks

The Time Line button allows the user to put the calendar into time line mode.

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

FirstDayOfTheWeek Property

Description

Gets\sets the first day of the week for Week and Month views.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FirstDayOfTheWeek() As Long

Remarks

FirstDayOfTheWeek is an integer that contains the new first day of the week. An integer from range between 1 and 7, where 1 = Sunday, 2 = Monday, and so on.

The table below list the following values for each day of the week:

First Day Of Week | Value
Sunday | 1
Monday | 2
Tuesday | 3
Wednesday | 4
Thursday | 5
Friday | 6
Saturday | 7

The week displayed in the Week and Month views will always begin with the day specified in the FirstDayOfTheWeek property. For example, if FirstDayOfTheWeek = 4, then all weeks will be displayed beginning with Wednesday.

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

HatchAllDayViewEventsBackground Property

Description

Specifies whether to hatch the background of all day events (type of hatch depends on status of event).

Property type

Read-write property

Syntax (Visual Basic)

Public Property HatchAllDayViewEventsBackground() As Boolean

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

HideCaptionBar Property

Description

Hides or displays the calendar's caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideCaptionBar() As Boolean

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

MonthViewCompressWeekendDays Property

Description

Specifies whether Saturday and Sunday are "compressed" while in Month view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewCompressWeekendDays() As Boolean

Remarks

Both Saturday and Sunday will be compressed to occupy the sample space that a Weekday occupies when MonthViewCompressWeekendDays is True.

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object | Event EndTime Property | MonthViewShowTimeAsClocks Property

See Also Calendar ActiveX Control v19.3

MonthViewShowEndDate Property

Description

Specifies whether the end time of an event is displayed when in Month view

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewShowEndDate() As Boolean

Remarks

When MonthViewShowEndDate is True, the end time of an event is displayed when in Month view. By default, the the end time of an event is not displayed when in Month view.

By default, the end time of an event is displayed as an integer value. The time can also be displayed as graphical clock.

See Also

CalendarOptions Object | Event EndTime Property | MonthViewShowTimeAsClocks Property


%%PageItemTitle%%

CalendarOptions Object | Event StartTime Property | MonthViewShowEndDate Property

See Also Calendar ActiveX Control v19.3

MonthViewShowTimeAsClocks Property

Description

Specifies whether the start time and end time of an event are displayed as a graphical clock when in Month view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewShowTimeAsClocks() As Boolean

Remarks

By default, the start time and end time of an event are displayed as an integer value. When MonthViewShowTimeAsClocks is True, the times will be displayed as graphical clock. The background color for a clock image that represents an "AM" time will be white, while the background color for a clock image that represents a "PM" time will be black.

See Also

CalendarOptions Object | Event StartTime Property | MonthViewShowEndDate Property


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

ShowAllDayExpandButton Property

Description

Specifies whether to show the all day header expand buttons when needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAllDayExpandButton() As Boolean

Return Type

True to show all day header expand buttons when needed.

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

ShowCategoryIcons Property

Description

Shows\hides additional category icons in event view for day\multi-column week views

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCategoryIcons() As Boolean

Remarks

This is a flag to show\hide additional category icons in event view for day\multi-column week views.

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object | EnableAddNewTooltip Property

See Also Calendar ActiveX Control v19.3

TooltipAddNewText Property

Description

Gets or sets the text displayed in the "Click to add appointment" tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipAddNewText() As String

Remarks

TooltipAddNewText stores the text displayed in the tip window to be changed.

EnableAddNewTooltip is used to specify whether the tip window should be displayed or not.

See Also

CalendarOptions Object | EnableAddNewTooltip Property


%%PageItemTitle%%

CalendarOptions Object

See Also Calendar ActiveX Control v19.3

UseOutlookFontGlyphs Property

Description

Gets\sets whether to use Outlook Font Glyphs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseOutlookFontGlyphs() As Boolean

Remarks

Set to True to use 'MS Outlook' font to display Glyphs, otherwise built-in bitmaps are used. Glyphs are icons such as the icons displayed to indicate an event is "private", a "meeting", and\or a "reminder".

See Also

CalendarOptions Object


%%PageItemTitle%%

CalendarOptions Object | WeekViewShowTimeAsClocks Property | EndTime Property

See Also Calendar ActiveX Control v19.3

WeekViewShowEndDate Property

Description

Specifies whether the end time of an event is displayed when in Week view

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeekViewShowEndDate() As Boolean

Remarks

When WeekViewShowEndDate is True, the end time of an event is displayed when in Week view. By default, the the end time of an event is not displayed when in Week view.

By default, the end time of an event is displayed as an integer value. The time can also be displayed as graphical clock.

See Also

CalendarOptions Object | WeekViewShowTimeAsClocks Property | EndTime Property


%%PageItemTitle%%

CalendarOptions Object | WeekViewShowEndDate Property

See Also Calendar ActiveX Control v19.3

WeekViewShowTimeAsClocks Property

Description

Specifies whether the start time and end time of an event are displayed as a graphical clock when in Week view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeekViewShowTimeAsClocks() As Boolean

Remarks

By default, the start time and end time of an event are displayed as an integer value. When WeekViewShowTimeAsClocks is True, the times will be displayed as graphical clock. The background color for a clock image that represents an "AM" time will be white, while the background color for a clock image that represents a "PM" time will be black.

This is only used in Week view and not in WorkWeek View.

See Also

CalendarOptions Object | WeekViewShowEndDate Property


%%PageItemTitle%%

CalendarOptions Object | WorkDayStartTime Property | WorkWeekMask Property

See Also Calendar ActiveX Control v19.3

WorkDayEndTime Property

Description

Specifies the end time of work days. This is used when displaying the WorkWeekMask.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkDayEndTime() As Date

Remarks

When in Day or WorkWeek view a WorkWeekMask can be applied that indicates the days and times of normal work hours. The time cells starting at WorkDayStartTime and ending at WorkDayEndTime will appear as a different color to indicate the time of day for work hours.

For example, if WorkWeekMask is set to xtpCalendarDayMo_Fr with WorkDayStartTime set to 8 A.M. and WorkDayEndTime set to 5 P.M., then the hours of 8 A.M. to 5 P.M. Monday through Friday will appear in a different color so that work hours for the specified days can easily be seen. This only effect the cell color and not the event colors.

See Also

CalendarOptions Object | WorkDayStartTime Property | WorkWeekMask Property


%%PageItemTitle%%

CalendarOptions Object | WorkDayEndTime Property | WorkWeekMask Property

See Also Calendar ActiveX Control v19.3

WorkDayStartTime Property

Description

Specifies the start time of work days. This is used when displaying the WorkWeekMask.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkDayStartTime() As Date

Remarks

When in Day or WorkWeek view a WorkWeekMask can be applied that indicates the days and times of normal work hours. The time cells starting at WorkDayStartTime and ending at WorkDayEndTime will appear as a different color to indicate the time of day for work hours.

For example, if WorkWeekMask is set to xtpCalendarDayMo_Fr with WorkDayStartTime set to 8 A.M. and WorkDayEndTime set to 5 P.M., then the hours of 8 A.M. to 5 P.M. Monday through Friday will appear in a different color so that work hours for the specified days can easily be seen. This only effect the cell color and not the event colors.

See Also

CalendarOptions Object | WorkDayEndTime Property | WorkWeekMask Property


%%PageItemTitle%%

CalendarOptions Object | WorkDayEndTime Property | WorkDayStartTime Property | CalendarWeekDay Enumeration

See Also Calendar ActiveX Control v19.3

WorkWeekMask Property

Description

Specifies which days of the week are "work days".

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkWeekMask() As CalendarWeekDay

Remarks

When in Day or WorkWeek view a WorkWeekMask can be applied that indicates the days and times of normal work hours. The time cells starting at WorkDayStartTime and ending at WorkDayEndTime will appear as a different color to indicate the time of day for work hours.

The CalendarWeekDay enumeration is used to indicate which days of the week are "work days", this specifies which days will receive the "mask".

For example, if WorkWeekMask is set to xtpCalendarDayMo_Fr with WorkDayStartTime set to 8 A.M. and WorkDayEndTime set to 5 P.M., then the hours of 8 A.M. to 5 P.M. Monday through Friday will appear in a different color so that work hours for the specified days can easily be seen. This only effect the cell color and not the event colors.

See Also

CalendarOptions Object | WorkDayEndTime Property | WorkDayStartTime Property | CalendarWeekDay Enumeration


%%PageItemTitle%%

CalendarPrintOptions Members | PrintCalendar Method | ShowPrintPageSetup Method | PrintOptions Property

See Also Calendar ActiveX Control v19.3

CalendarPrintOptions Object

Description

Options used to specify how the Calendar will look when printed .

For a list of all members defined in this module, see CalendarPrintOptions members.

Object Model

Remarks

The PrintOptions property is a CalendarPrintOptions object. The CalendarPrintOptions object stores all the Print Options that can be set when the "Page Setup" dialog that ShowPrintPageSetup is displayed. These options effect how the Calendar View looks when printed.

The CalendarPrintOptions object stores print options such as page margins, page header, time range printed, header font, etc.

See Also

CalendarPrintOptions Members | PrintCalendar Method | ShowPrintPageSetup Method | PrintOptions Property

Example

PrintOptions Sample


%%PageItemTitle%% $$Members$$

CalendarPrintOptions Overview | PrintCalendar Method | ShowPrintPageSetup Method | PrintOptions Property

See Also Calendar ActiveX Control v19.3

CalendarPrintOptions Object Members

Public Properties

Public Property BlackWhiteContrast | Level of black and white contrast.
Public Property BlackWhitePrinting | Gets\sets whether to print in grey scale.
Public Property DateHeaderCalendarFont | Font used to display the mini calendar in the print header.
Public Property DateHeaderFont | Font used to display normal text in the print header.
Public Property DateHeaderWeekDayFont |
Public Property Footer | Footer of the printed calendar.
Public Property Header | Header line of the print header.
Public Property Landscape | Gets or sets a value indicating whether the calendar is printed in landscape or portrait orientation.
Public Property MarginBottom | Bottom margin of the printed calendar.
Public Property MarginLeft | Left margin of the printed calendar.
Public Property MarginRight | Right margin of the printed calendar.
Public Property MarginsMeasureMetrics | Specifies whether the printed margins are calculated using millimeters or inches.
Public Property MarginTop | Top margin of the printed calendar.
Public Property MonthViewPrintBeginDate |
Public Property MonthViewPrintEndDate |
Public Property PrintDateHeader | Specifies whether to display the date header when printing the calendar.
Public Property PrinterInfo | Holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.
Public Property PrintFrom | Gets\sets the first time slot of the day to print.
Public Property PrintFromToExactly | Specifies whether to only print from the time set in PrintFrom to the time set in PrintTo. Allows a specific range of time to be printed.
Public Property PrintTo | Gets\sets the last time slot of the day to print.
Public Property ThreeSmallCal | Specifies whether to print 3 small calendars in header instead of 1.

See Also

CalendarPrintOptions Overview | PrintCalendar Method | ShowPrintPageSetup Method | PrintOptions Property


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

BlackWhiteContrast Property

Description

Level of black and white contrast.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhiteContrast() As Long

Remarks

Values range from 0 to 255.

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

BlackWhitePrinting Property

Description

Gets\sets whether to print in grey scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhitePrinting() As Boolean

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object | HeaderFooterFont Property | PrintDateHeader Property

See Also Calendar ActiveX Control v19.3

DateHeaderCalendarFont Property

Description

Font used to display the mini calendar in the print header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateHeaderCalendarFont() As Font

Remarks

Font used to display the mini calendar in the print header. The mini calendar that is printed is of the current month the day\week\month is part of.

The PrintDateHeader property is used to display or hide the print header when the calendar is printed.

Example

[Changing the mini calendar font (Visual Basic)] This sample illustrates how to change the font uses to display the mini calendar in the print header.

    Dim myFont As StdFont
    Set myFont = New StdFont
    myFont.Bold = False
    myFont.Name = "Ravie"
    myFont.Size = 12

    With CalendarControl.PrintOptions
        Set .DateHeaderCalendarFont = myFont
        Set .DateHeaderFont = myFont

        'Mesurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

    CalendarControl.PrintCalendar 0

See Also

CalendarPrintOptions Object | HeaderFooterFont Property | PrintDateHeader Property


%%PageItemTitle%%

CalendarPrintOptions Object | PrintDateHeader Property | DateHeaderCalendarFont Property

See Also Calendar ActiveX Control v19.3

DateHeaderFont Property

Description

Font used to display normal text in the print header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateHeaderFont() As Font

Remarks

Font used to display normal text in the print header. This is the text that displays the month, day, and day of week in the print header.

The PrintDateHeader property is used to display or hide the print header when the calendar is printed.

Example

[Changing the header font (Visual Basic)] This sample illustrates how to change the font used to display normal text in the print header.

    Dim myFont As StdFont
    Set myFont = New StdFont
    myFont.Bold = False
    myFont.Name = "Ravie"
    myFont.Size = 12

    With CalendarControl.PrintOptions
        Set .DateHeaderCalendarFont = myFont
        Set .DateHeaderFont = myFont

        'Mesurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

    CalendarControl.PrintCalendar 0

See Also

CalendarPrintOptions Object | PrintDateHeader Property | DateHeaderCalendarFont Property


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

DateHeaderWeekDayFont Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateHeaderWeekDayFont() As Font

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

Footer Property

Description

Footer of the printed calendar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Footer() As PrintPageHeaderFooter

Example

[Footer Sample (Visual Basic)]

    ' Header ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Name = "Courier New"
    'CalendarControl.PrintOptions.Header.Font.Bold = True
    'CalendarControl.PrintOptions.Header.Font.SIZE = 10

    CalendarControl.PrintOptions.Header.TextLeft = "(c)1998-2009 Codejock Software, All Rights Reserved."
    CalendarControl.PrintOptions.Header.TextCenter = "Calendar Control"
    CalendarControl.PrintOptions.Header.TextRight = "Page 1 of 1 "

    ' Footer ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Italic = True

    CalendarControl.PrintOptions.Footer.TextLeft = "Date: " & DateValue(Now)
    CalendarControl.PrintOptions.Footer.TextCenter = "Codejock Software, " & vbLf & " Print calendar example "
    CalendarControl.PrintOptions.Footer.TextRight = "Time: " & TimeValue(Now)

    ' Other fonts

    'CalendarControl.PrintOptions.DateHeaderFont.SIZE = 12
    'CalendarControl.PrintOptions.DateHeaderCalendarFont.SIZE = 10

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Header line of the print header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As PrintPageHeaderFooter

Example

[Header Sample (Visual Basic)]

    ' Header ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Name = "Courier New"
    'CalendarControl.PrintOptions.Header.Font.Bold = True
    'CalendarControl.PrintOptions.Header.Font.SIZE = 10

    CalendarControl.PrintOptions.Header.TextLeft = "(c)1998-2009 Codejock Software, All Rights Reserved."
    CalendarControl.PrintOptions.Header.TextCenter = "Calendar Control"
    CalendarControl.PrintOptions.Header.TextRight = "Page 1 of 1 "

    ' Footer ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Italic = True

    CalendarControl.PrintOptions.Footer.TextLeft = "Date: " & DateValue(Now)
    CalendarControl.PrintOptions.Footer.TextCenter = "Codejock Software, " & vbLf & " Print calendar example "
    CalendarControl.PrintOptions.Footer.TextRight = "Time: " & TimeValue(Now)

    ' Other fonts

    'CalendarControl.PrintOptions.DateHeaderFont.SIZE = 12
    'CalendarControl.PrintOptions.DateHeaderCalendarFont.SIZE = 10

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

Landscape Property

Description

Gets or sets a value indicating whether the calendar is printed in landscape or portrait orientation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Landscape() As Boolean

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginLeft Property | MarginRight Property | MarginTop Property

See Also Calendar ActiveX Control v19.3

MarginBottom Property

Description

Bottom margin of the printed calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginBottom() As Long

Remarks

Gets\sets the distance between the bottom of the page and the bottom of the calendar printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

Example

[[New Example] (Visual Basic)]

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

See Also

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginLeft Property | MarginRight Property | MarginTop Property


%%PageItemTitle%%

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginRight Property | MarginTop Property

See Also Calendar ActiveX Control v19.3

MarginLeft Property

Description

Left margin of the printed calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginLeft() As Long

Remarks

Gets\sets the distance between the left edge of the page and the left edge of the calendar printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

Example

[[New Example] (Visual Basic)]

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

See Also

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginRight Property | MarginTop Property


%%PageItemTitle%%

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginLeft Property | MarginTop Property

See Also Calendar ActiveX Control v19.3

MarginRight Property

Description

Right margin of the printed calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginRight() As Long

Remarks

Gets\sets the distance between the right edge of the page and the right edge of the calendar printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

Example

[[New Example] (Visual Basic)]

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

See Also

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginLeft Property | MarginTop Property


%%PageItemTitle%%

CalendarPrintOptions Object | MarginBottom Property | MarginLeft Property | MarginRight Property | MarginTop Property

See Also Calendar ActiveX Control v19.3

MarginsMeasureMetrics Property

Description

Specifies whether the printed margins are calculated using millimeters or inches.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarginsMeasureMetrics() As Boolean

Remarks

Retrieves the system of measurement for the users local. This value is True if the metric system is used and False if the U.S. system is used.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

Example

[[New Example] (Visual Basic)]

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

See Also

CalendarPrintOptions Object | MarginBottom Property | MarginLeft Property | MarginRight Property | MarginTop Property


%%PageItemTitle%%

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginLeft Property | MarginRight Property

See Also Calendar ActiveX Control v19.3

MarginTop Property

Description

Top margin of the printed calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginTop() As Long

Remarks

Gets\sets the distance between the top of the page and the top of the calendar(or header if it is displayed) printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

Example

[[New Example] (Visual Basic)]

    With CalendarControl.PrintOptions
        'Measurement units are mm*100 or inches*1000.
        .MarginBottom = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginLeft = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginRight = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
        .MarginTop = IIf(.MarginsMeasureMetrics, 1.5 * 100, 1.5 * 1000)
    End With

See Also

CalendarPrintOptions Object | MarginsMeasureMetrics Property | MarginBottom Property | MarginLeft Property | MarginRight Property


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

MonthViewPrintBeginDate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewPrintBeginDate() As Date

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

MonthViewPrintEndDate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthViewPrintEndDate() As Date

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarPrintOptions Object | ShowPrintPageSetup Method | PrintCalendar Method | DateHeaderCalendarFont Property | DateHeaderFont Property

See Also Calendar ActiveX Control v19.3

PrintDateHeader Property

Description

Specifies whether to display the date header when printing the calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintDateHeader() As Boolean

Remarks

The Date Header is a header that is printed above the calendar which displays a mini calendar of the current month as well as the current day, month, and day of week.

See Also

CalendarPrintOptions Object | ShowPrintPageSetup Method | PrintCalendar Method | DateHeaderCalendarFont Property | DateHeaderFont Property


%%PageItemTitle%%

CalendarPrintOptions Object | ShowPrintPageSetup Method | CalendarPrinterInfo Object

See Also Calendar ActiveX Control v19.3

PrinterInfo Property

Description

Holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrinterInfo() As XtremePrinterInfo

Remarks

The PrinterInfo property is of type CalendarPrinterInfo and is used to provide information about the currently set printer such as device name, driver name and port name.

The CalendarPrinterInfo object contains strings that identify the driver, device, and output-port names for a printer. The ShowPrintPageSetup method uses these strings to initialize members in the Print dialog box. When the user closes the dialog box, information about the selected printer is returned in this CalendarPrinterInfo object.

See Also

CalendarPrintOptions Object | ShowPrintPageSetup Method | CalendarPrinterInfo Object


%%PageItemTitle%%

CalendarPrintOptions Object | PrintFromToExactly Property | PrintTo Property | ShowPrintPageSetup Method

See Also Calendar ActiveX Control v19.3

PrintFrom Property

Description

Gets\sets the first time slot of the day to print.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintFrom() As Date

Remarks

When the calendar is printed in day or workweek view PrintFrom will be the first printed time slot.

PrintFromToExactly allows a specific range of times to be printed.

See Also

CalendarPrintOptions Object | PrintFromToExactly Property | PrintTo Property | ShowPrintPageSetup Method


%%PageItemTitle%%

CalendarPrintOptions Object | PrintFrom Property | PrintTo Property | ShowPrintPageSetup Method

See Also Calendar ActiveX Control v19.3

PrintFromToExactly Property

Description

Specifies whether to only print from the time set in PrintFrom to the time set in PrintTo. Allows a specific range of time to be printed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintFromToExactly() As Boolean

Remarks

PrintFromToExactly is only used in Day and WorkWeek view.

Set to True to specify that the calendar will be printed from the time set in PrintFrom to the time set in PrintTo.

Set to False to specify that the calendar will start printing from the time set in PrintFrom and will then print as many time slots as it can on the same page.

PrintFromToExactly, PrintFrom, and PrintTo can all be set using the Page Setup dialog from ShowPrintPageSetup.

See Also

CalendarPrintOptions Object | PrintFrom Property | PrintTo Property | ShowPrintPageSetup Method


%%PageItemTitle%%

CalendarPrintOptions Object | PrintFromToExactly Property | PrintFrom Property | ShowPrintPageSetup Method

See Also Calendar ActiveX Control v19.3

PrintTo Property

Description

Gets\sets the last time slot of the day to print.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintTo() As Date

Remarks

When the calendar is in day or workweek view PrintTo will be the last printed time slot.

Prints only time slots up to PrintTo when PrintFromToExactly is True, when PrintFromToExactly is False, then PrintTo is ignored.

See Also

CalendarPrintOptions Object | PrintFromToExactly Property | PrintFrom Property | ShowPrintPageSetup Method


%%PageItemTitle%%

CalendarPrintOptions Object

See Also Calendar ActiveX Control v19.3

ThreeSmallCal Property

Description

Specifies whether to print 3 small calendars in header instead of 1.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThreeSmallCal() As Boolean

See Also

CalendarPrintOptions Object


%%PageItemTitle%%

CalendarRecurrencePattern Members | ChangeEvent Method | CreateRecurrence Method | UpdateRecurrence Method

See Also Calendar ActiveX Control v19.3

CalendarRecurrencePattern Object

Description

The CalendarRecurrencePattern Object represents a recurrence pattern and stores data to build a schedule for recurrence events.

For a list of all members defined in this module, see CalendarRecurrencePattern members.

Object Model

Remarks

When adding a recurrence pattern to an event, the CreateRecurrence method creates a CalendarRecurrencePattern object for the event. The event must then be updated using the UpdateRecurrence method. To save the updated event in the data source, the ChangeEvent method must be called to add the new event to the data provider.

See Also

CalendarRecurrencePattern Members | ChangeEvent Method | CreateRecurrence Method | UpdateRecurrence Method


%%PageItemTitle%% $$Members$$

CalendarRecurrencePattern Overview | ChangeEvent Method | CreateRecurrence Method | UpdateRecurrence Method

See Also Calendar ActiveX Control v19.3

CalendarRecurrencePattern Object Members

Public Methods

Public Method RemoveAllExceptions | Removes all exceptions from the master event.
Public Method RemoveException | Remove an exception from the master event.
Public Method SetException | Adds an exception to the master event that is associated with.

Public Properties

Public Property CustomProperties | Collection of user defined custom data that can be attached to an event or recurrence pattern.
Public Property DurationMinutes | Gets\sets the duration in minutes of a recurring event.
Public Property EndAfterOccurrences | Specifies the number of occurrences before the event ends.
Public Property EndDate | Gets\sets the end date of the recurring event.
Public Property EndMethod | Specifies when and how the recurring event will end.
Public Property Exceptions | Collection of all exception occurrences for this recurrence pattern.
Public Property Id | Returns a unique pattern ID.
Public Property MasterEvent | Returns a pointer to the read-only interface of the master event.
Public Property MasterEventId | Get\set the master event ID value.
Public Property Options | Options for this recurrence pattern.
Public Property StartDate | Gets\sets the Starting date of the recurring event.
Public Property StartTime | Gets\sets the start time of a recurring event.

See Also

CalendarRecurrencePattern Overview | ChangeEvent Method | CreateRecurrence Method | UpdateRecurrence Method


%%PageItemTitle%%

CalendarRecurrencePattern Object

See Also Calendar ActiveX Control v19.3

RemoveAllExceptions Method

Description

Removes all exceptions from the master event.

Syntax

Public Sub RemoveAllExceptions()

See Also

CalendarRecurrencePattern Object


%%PageItemTitle%%

CalendarRecurrencePattern Object | RemoveAllExceptions Method | SetException Method

ExceptionEvent
CalendarEvent object which represents the exception to remove.
See Also Calendar ActiveX Control v19.3

RemoveException Method

Description

Remove an exception from the master event.

Syntax

Public Sub RemoveException( _
   ByVal ExceptionEvent As CalendarEvent _
)

Parameters

ExceptionEvent
CalendarEvent object which represents the exception to remove.

See Also

CalendarRecurrencePattern Object | RemoveAllExceptions Method | SetException Method


%%PageItemTitle%%

CalendarRecurrencePattern Object | RemoveException Method | RemoveAllExceptions Method

ExceptionEvent
CalendarEvent object which represents the exception to add.
See Also Calendar ActiveX Control v19.3

SetException Method

Description

Adds an exception to the master event that is associated with.

Syntax

Public Sub SetException( _
   ByVal ExceptionEvent As CalendarEvent _
)

Parameters

ExceptionEvent
CalendarEvent object which represents the exception to add.

See Also

CalendarRecurrencePattern Object | RemoveException Method | RemoveAllExceptions Method


%%PageItemTitle%%

CalendarRecurrencePattern Object | CalendarCustomProperties Object

See Also Calendar ActiveX Control v19.3

CustomProperties Property

Description

Collection of user defined custom data that can be attached to an event or recurrence pattern.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomProperties() As CalendarCustomProperties

Remarks

The CalendarCustomProperties object contains a collection of user defined data. Any number and any type of objects can be attached to an event.

When adding a custom property, a string name must be given to the custom property. This string name will be used to retreive the custom property from the collection.

The CustomProperties property is a convenient way to include any additional information with an event or recurrence pattern.

See Also

CalendarRecurrencePattern Object | CalendarCustomProperties Object


%%PageItemTitle%%

CalendarRecurrencePattern Object | StartTime Property

See Also Calendar ActiveX Control v19.3

DurationMinutes Property

Description

Gets\sets the duration in minutes of a recurring event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DurationMinutes() As Long

Remarks

When setting the duration, the StartTime is used to determine when to start the event and it will end after DurationMinutes.

See Also

CalendarRecurrencePattern Object | StartTime Property


%%PageItemTitle%%

CalendarRecurrencePattern Object | EndMethod Property | CalendarPatternEnd Enumeration

See Also Calendar ActiveX Control v19.3

EndAfterOccurrences Property

Description

Specifies the number of occurrences before the event ends.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndAfterOccurrences() As Long

Remarks

The recurrence pattern will end after the specified number of occurrences. If the EndMethod property is set to xtpCalendarPatternEndAfterOccurrences, the event will use the EndAfterOccurrences property to determine how many occurrences of the event to create.

See Also

CalendarRecurrencePattern Object | EndMethod Property | CalendarPatternEnd Enumeration


%%PageItemTitle%%

CalendarRecurrencePattern Object | StartDate Property | EndMethod Property

See Also Calendar ActiveX Control v19.3

EndDate Property

Description

Gets\sets the end date of the recurring event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndDate() As Date

Remarks

If the EndMethod property is set to xtpCalendarPatternEndDate, the event will use the EndDate property to determine when to end the recurrence.

See Also

CalendarRecurrencePattern Object | StartDate Property | EndMethod Property


%%PageItemTitle%%

CalendarRecurrencePattern Object | CalendarPatternEnd Enumeration

See Also Calendar ActiveX Control v19.3

EndMethod Property

Description

Specifies when and how the recurring event will end.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndMethod() As CalendarPatternEnd

Remarks

See the CalendarPatternEnd enumeration for more details.

See Also

CalendarRecurrencePattern Object | CalendarPatternEnd Enumeration


%%PageItemTitle%%

CalendarRecurrencePattern Object

See Also Calendar ActiveX Control v19.3

Exceptions Property

Description

Collection of all exception occurrences for this recurrence pattern.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Exceptions() As CalendarEvents

Remarks

An exception occurences is an occurrence that is in some way different from the Master event.

A Recurrence Exception occurs when an Occurrence of a recurring event is modified. When an Occurrence of a recurring event is dragged to a different date\time or if the event is resized, then the recurrence state of the event is automatically set to xtpCalendarRecurrenceException.

See Also

CalendarRecurrencePattern Object


%%PageItemTitle%%

CalendarRecurrencePattern Object

See Also Calendar ActiveX Control v19.3

Id Property

Description

Returns a unique pattern ID.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CalendarRecurrencePattern Object


%%PageItemTitle%%

CalendarRecurrencePattern Object

See Also Calendar ActiveX Control v19.3

MasterEvent Property

Description

Returns a pointer to the read-only interface of the master event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MasterEvent() As CalendarEvent

Remarks

The Master Event is an event from which other occurences of the event are created. For example, the events displayed for a recurring event are all occurences of the Master Event.

See Also

CalendarRecurrencePattern Object


%%PageItemTitle%%

CalendarRecurrencePattern Object

See Also Calendar ActiveX Control v19.3

MasterEventId Property

Description

Get\set the master event ID value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MasterEventId() As Long

See Also

CalendarRecurrencePattern Object


%%PageItemTitle%%

CalendarRecurrencePattern Object | CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

Options Property

Description

Options for this recurrence pattern.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As CalendarRecurrencePatternOptions

See Also

CalendarRecurrencePattern Object | CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePattern Object | EndDate Property

See Also Calendar ActiveX Control v19.3

StartDate Property

Description

Gets\sets the Starting date of the recurring event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartDate() As Date

See Also

CalendarRecurrencePattern Object | EndDate Property


%%PageItemTitle%%

CalendarRecurrencePattern Object | DurationMinutes Property

See Also Calendar ActiveX Control v19.3

StartTime Property

Description

Gets\sets the start time of a recurring event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartTime() As Date

See Also

CalendarRecurrencePattern Object | DurationMinutes Property


%%PageItemTitle%%

CalendarRecurrencePatternOptions Members | CalendarRecurrencePattern Object | WorkWeekMask Property | CalendarWeekDay Enumeration | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration | Options Property

See Also Calendar ActiveX Control v19.3

CalendarRecurrencePatternOptions Object

Description

The CalendarRecurrencePatternOptions Object defines a set of Recurrence Pattern options and is used by a RecurrencePattern object to easily manage and transfer recurrence pattern data.

For a list of all members defined in this module, see CalendarRecurrencePatternOptions members.

Remarks

The Options property of a RecurrencePattern uses the CalendarRecurrencePatternOptions object to set the recurrence pattern options for the event.

See Also

CalendarRecurrencePatternOptions Members | CalendarRecurrencePattern Object | WorkWeekMask Property | CalendarWeekDay Enumeration | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration | Options Property


%%PageItemTitle%% $$Members$$

CalendarRecurrencePatternOptions Overview | CalendarRecurrencePattern Object | WorkWeekMask Property | CalendarWeekDay Enumeration | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration | Options Property

See Also Calendar ActiveX Control v19.3

CalendarRecurrencePatternOptions Object Members

Public Properties

Public Property DailyEveryWeekDayOnly | Specifies whether the event occurs every week day only, no weekends.
Public Property DailyIntervalDays | Event occurs every DailyIntervalDays days beginning from the specified start date.
Public Property Data1 | Extra data storage.
Public Property Data2 | Extra data storage.
Public Property Data3 | Extra data storage.
Public Property Data4 | Extra data storage.
Public Property MonthlyDayOfMonth | Determines the day of the month when an event occurs.
Public Property MonthlyIntervalMonths | Event occurs every MonthlyIntervalMonths with the first month beginning from the specified start date.
Public Property MonthNthIntervalMonths | Event occurs every MonthNthIntervalMonths with the first month beginning from the specified start date.
Public Property MonthNthWhichDay | Determines the day of the month or the nth order of the day.
Public Property MonthNthWhichDayMask | Determines the days of the Nth week of a Month when an event occurs.
Public Property RecurrenceType | Recurrence Type of the Event.
Public Property WeeklyDayOfWeekMask | Determines the days of the week when an event occurs.
Public Property WeeklyIntervalWeeks | Event occurs every WeeklyIntervalWeeks with the first week beginning from the specified start date.
Public Property YearlyDayOfMonth | The day of month that the event occurs on.
Public Property YearlyMonthOfYear | The month of every year that the event occurs on.
Public Property YearNthMonthOfYear | The month of every year that the event occurs on.
Public Property YearNthWhichDay | Determines the day of the month or the nth order of the day.
Public Property YearNthWhichDayMask | Determines the days of the Nth week of a Month when an event occurs.

See Also

CalendarRecurrencePatternOptions Overview | CalendarRecurrencePattern Object | WorkWeekMask Property | CalendarWeekDay Enumeration | CalendarEventRecurrenceState Enumeration | CalendarRecurrenceType Enumeration | Options Property


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

DailyEveryWeekDayOnly Property

Description

Specifies whether the event occurs every week day only, no weekends.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DailyEveryWeekDayOnly() As Boolean

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceDaily.

Setting DailyEveryWeekDayOnly to True causes the event to recur every weekday (Monday - Friday).

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

DailyIntervalDays Property

Description

Event occurs every DailyIntervalDays days beginning from the specified start date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DailyIntervalDays() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceDaily.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

Data1 Property

Description

Extra data storage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data1() As Long

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

Data2 Property

Description

Extra data storage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data2() As Long

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

Data3 Property

Description

Extra data storage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data3() As Long

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

Data4 Property

Description

Extra data storage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data4() As Long

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

MonthlyDayOfMonth Property

Description

Determines the day of the month when an event occurs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthlyDayOfMonth() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceMonthy.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

MonthlyIntervalMonths Property

Description

Event occurs every MonthlyIntervalMonths with the first month beginning from the specified start date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthlyIntervalMonths() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceMonthy.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

MonthNthIntervalMonths Property

Description

Event occurs every MonthNthIntervalMonths with the first month beginning from the specified start date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthNthIntervalMonths() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceMonthyNth.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

MonthNthWhichDay Property

Description

Determines the day of the month or the nth order of the day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthNthWhichDay() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceMonthyNth.

See the CalendarRecurrenceType enumeration for more a detailed explanation of how to use this.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

MonthNthWhichDayMask Property

Description

Determines the days of the Nth week of a Month when an event occurs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthNthWhichDayMask() As CalendarWeekDay

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceMonthyNth.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object | CalendarRecurrenceType Enumeration

See Also Calendar ActiveX Control v19.3

RecurrenceType Property

Description

Recurrence Type of the Event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecurrenceType() As CalendarRecurrenceType

Remarks

See the CalendarRecurrenceType enumeration for a list of all recurrence types.

See Also

CalendarRecurrencePatternOptions Object | CalendarRecurrenceType Enumeration


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

WeeklyDayOfWeekMask Property

Description

Determines the days of the week when an event occurs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeeklyDayOfWeekMask() As CalendarWeekDay

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceWeekly.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

WeeklyIntervalWeeks Property

Description

Event occurs every WeeklyIntervalWeeks with the first week beginning from the specified start date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeeklyIntervalWeeks() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceWeekly.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

YearlyDayOfMonth Property

Description

The day of month that the event occurs on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearlyDayOfMonth() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceYearly.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

YearlyMonthOfYear Property

Description

The month of every year that the event occurs on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearlyMonthOfYear() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceYearly.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

YearNthMonthOfYear Property

Description

The month of every year that the event occurs on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearNthMonthOfYear() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceYearNth.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object | CalendarRecurrenceType Enumeration

See Also Calendar ActiveX Control v19.3

YearNthWhichDay Property

Description

Determines the day of the month or the nth order of the day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearNthWhichDay() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceYearNth.

See the CalendarRecurrenceType enumeration for more a detailed explanation of how to use this.

See Also

CalendarRecurrencePatternOptions Object | CalendarRecurrenceType Enumeration


%%PageItemTitle%%

CalendarRecurrencePatternOptions Object

See Also Calendar ActiveX Control v19.3

YearNthWhichDayMask Property

Description

Determines the days of the Nth week of a Month when an event occurs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearNthWhichDayMask() As Long

Remarks

This only applies to Events with a RecurrenceType of xtpCalendarRecurrenceYearNth.

See Also

CalendarRecurrencePatternOptions Object


%%PageItemTitle%%

CalendarReminder Members

See Also Calendar ActiveX Control v19.3

CalendarReminder Object

Description

CalendarReminder describes a reminder for a calendar event and implements base properties and operations for the reminder.

For a list of all members defined in this module, see CalendarReminder members.

Object Model

See Also

CalendarReminder Members


%%PageItemTitle%% $$Members$$

CalendarReminder Overview

See Also Calendar ActiveX Control v19.3

CalendarReminder Object Members

Public Methods

Public Method Dismiss | Dismisses the reminder for the associated Event.
Public Method Snooze | Snoozes the reminder for the associated event.

Public Properties

Public Property Event | Retrieve the calendar event for which this reminder is related.
Public Property MinutesBeforeStart | Determines the number of minutes before the start of this event.
Public Property NextReminderTime | Retrieves the date and time when the reminder is scheduled to be activated for the associated calendar event.

See Also

CalendarReminder Overview


%%PageItemTitle%%

CalendarReminder Object | DismissAll Method | Snooze Method | Event Property | Reminder Property | ReminderMinutesBeforeStart Property

See Also Calendar ActiveX Control v19.3

Dismiss Method

Description

Dismisses the reminder for the associated Event.

Syntax

Public Function Dismiss() As Boolean

Return Type

True if the reminder is successfully dismissed, False otherwise.

Remarks

Dismiss will set the associated Event's Reminder property to False. This will remove the associated reminder from the event.

DismissAll will remove all active reminders. If a reminder has not occurred yet it will not be removed, only reminders that are active.

See Also

CalendarReminder Object | DismissAll Method | Snooze Method | Event Property | Reminder Property | ReminderMinutesBeforeStart Property


%%PageItemTitle%%

CalendarReminder Object | ReminderMinutesBeforeStart Property | Reminder Property | Dismiss Method | Event Property | MinutesBeforeStart Property | NextReminderTime Property | EnableReminders Method | IsRemindersEnabled Method

MinutesBeforeStart
A value in minutes to activate the reminder again.
See Also Calendar ActiveX Control v19.3

Snooze Method

Description

Snoozes the reminder for the associated event.

Syntax

Public Function Snooze( _
   ByVal MinutesBeforeStart As Long _
) As Boolean

Parameters

MinutesBeforeStart
A value in minutes to activate the reminder again.

Remarks

MinutesBeforeStart must be set to a time value that is greater than or equal to the current time and can not exceed 1000 years.

See Also

CalendarReminder Object | ReminderMinutesBeforeStart Property | Reminder Property | Dismiss Method | Event Property | MinutesBeforeStart Property | NextReminderTime Property | EnableReminders Method | IsRemindersEnabled Method


%%PageItemTitle%%

CalendarReminder Object | CalendarEvent Object | Reminder Property | ReminderMinutesBeforeStart Property | CalendarReminder Object | OnReminders Event

See Also Calendar ActiveX Control v19.3

Event Property

Description

Retrieve the calendar event for which this reminder is related.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarEvent

Remarks

A CalendarReminder is created when the Reminder property for a CalendarEvent is set to True. Event is used to retrieve the calendar event for which this reminder is related. CalendarReminder objects are passed to the OnReminders event that occurs when it is time to display a reminder for an event.

See Also

CalendarReminder Object | CalendarEvent Object | Reminder Property | ReminderMinutesBeforeStart Property | CalendarReminder Object | OnReminders Event


%%PageItemTitle%%

CalendarReminder Object | OnReminders Event | NextReminderTime Property | Dismiss Method | Snooze Method | CalendarEvent Object | Reminder Property | ReminderMinutesBeforeStart Property | Event Property

See Also Calendar ActiveX Control v19.3

MinutesBeforeStart Property

Description

Determines the number of minutes before the start of this event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinutesBeforeStart() As Long

Remarks

MinutesBeforeStart contains the number of minutes before the start of the calendar event is which this reminder is associated.

The NextReminderTime retrieves the date and time when reminder is scheduled to be activated again if the reminder has not been dismissed.

See Also

CalendarReminder Object | OnReminders Event | NextReminderTime Property | Dismiss Method | Snooze Method | CalendarEvent Object | Reminder Property | ReminderMinutesBeforeStart Property | Event Property


%%PageItemTitle%%

CalendarReminder Object | MinutesBeforeStart Property | Snooze Method | Event Property | ReminderMinutesBeforeStart Property | StartTime Property

See Also Calendar ActiveX Control v19.3

NextReminderTime Property

Description

Retrieves the date and time when the reminder is scheduled to be activated for the associated calendar event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NextReminderTime() As Date

Remarks

This value for non snoozed event is StartTime - MinutesBeforeStart.
For a snoozed event this value is set when the Snooze method is called.

The OnReminders event will occur for the associated calendar event when the current time equals NextReminderTime.

See Also

CalendarReminder Object | MinutesBeforeStart Property | Snooze Method | Event Property | ReminderMinutesBeforeStart Property | StartTime Property


%%PageItemTitle%%

CalendarReminders Members

See Also Calendar ActiveX Control v19.3

CalendarReminders Collection

Description

CalendarReminders represents a simple array collection of CalendarReminder objects.

For a list of all members defined in this module, see CalendarReminders members.

Object Model

See Also

CalendarReminders Members


%%PageItemTitle%% $$Members$$

CalendarReminders Overview

See Also Calendar ActiveX Control v19.3

CalendarReminders Collection Members

Public Methods

Public Method DismissAll Dismisses all active reminders in the calendar.

Public Properties

Public Property Count | Returns the total number active reminders in the reminders collection.
Public Property Item | Collection of CalendarReminder objects that represent the currently active reminders.

See Also

CalendarReminders Overview


%%PageItemTitle%%

CalendarReminders Collection | Dismiss Method | CalendarReminder Object | Event Property | Reminder Property

See Also Calendar ActiveX Control v19.3

DismissAll Method

Description

Dismisses all active reminders in the calendar.

Syntax

Public Sub DismissAll()

Remarks

DismissAll sets the Reminder property for the all calendar event with active reminders to False.

Dismiss is used to set the Reminder property for a specific calendar event with an active reminder.

See Also

CalendarReminders Collection | Dismiss Method | CalendarReminder Object | Event Property | Reminder Property


%%PageItemTitle%%

CalendarReminders Collection | Reminders Item Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number active reminders in the reminders collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Count can be useful to quickly determine if the active reminders item collection is empty or to determine how many reminders are currently active.

See Also

CalendarReminders Collection | Reminders Item Collection


%%PageItemTitle%%

CalendarReminders Collection | CalendarReminder Object | Count Property | OnReminders Event | Reminder Property | Event Property

nIndex
Index of the CalendarReminder to retrieve from the active reminders collection.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarReminder objects that represent the currently active reminders.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal nIndex As Long _
) As CalendarReminder

Parameters

nIndex
Index of the CalendarReminder to retrieve from the active reminders collection.

Remarks

The Item collection contains a CalendarReminder object for each calendar event with an active reminder. The OnReminders event occurs when a reminder becomes active. The OnReminders event gives access to the CalendarReminders collection.

See Also

CalendarReminders Collection | CalendarReminder Object | Count Property | OnReminders Event | Reminder Property | Event Property


%%PageItemTitle%%

CalendarResource Members

See Also Calendar ActiveX Control v19.3

CalendarResource Object

Description

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

For a list of all members defined in this module, see CalendarResource members.

Object Model

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarResource Members


%%PageItemTitle%% $$Members$$

CalendarResource Overview

See Also Calendar ActiveX Control v19.3

CalendarResource Object Members

Public Methods

Public Method ExistsScheduleID | Determines whether a CalendarSchedule with the specified ID exists in this resource.
Public Method IsSchedulesSetEmpty | Checks to see if the Schedules Collection for this resource is empty.
Public Method RetrieveDayEvents | Gets a CalendarEvents collection of all the CalendarEvent objects for a specific day.
Public Method SetDataProvider | Sets the custom data provider for this resource. The data provider is set using a reference to an existing CalendarDataProvider object.
Public Method SetDataProvider2 | Sets the custom data provider for this resource. The data provider is set using a Connection String.

Public Properties

Public Property Color | Gets or sets the color used to draw cells for this resource.
Public Property DataProvider | Gets the CalendarDataProvider object currently used by this CalendarResource.
Public Property Name | Get\set the name for this resource.
Public Property ScheduleIDs | Collection of all schedules Id's of schedules that have been added to this resource.

See Also

CalendarResource Overview


%%PageItemTitle%%

CalendarResource Object | ScheduleIDs Property | IsSchedulesSetEmpty Method

ScheduleID
A numeric ID of the schedule to check to see if it exists.
bReturnTrueIfSchedulesSetEmpty
True by default. If there are not any schedules inside this resource, then the Calendar will show (and process) all events for this resource.
See Also Calendar ActiveX Control v19.3

ExistsScheduleID Method

Description

Determines whether a CalendarSchedule with the specified ID exists in this resource.

Syntax

Public Function ExistsScheduleID( _
   ByVal ScheduleID As Long, _
   ByVal bReturnTrueIfSchedulesSetEmpty As Boolean _
) As Boolean

Parameters

ScheduleID
A numeric ID of the schedule to check to see if it exists.
bReturnTrueIfSchedulesSetEmpty
True by default. If there are not any schedules inside this resource, then the Calendar will show (and process) all events for this resource.

Return Type

True if at least one schedule ID exists in the Schedules collection for this resource; False otherwise.

See Also

CalendarResource Object | ScheduleIDs Property | IsSchedulesSetEmpty Method


%%PageItemTitle%%

CalendarResource Object | Schedules Collection | ExistsScheduleID Method

See Also Calendar ActiveX Control v19.3

IsSchedulesSetEmpty Method

Description

Checks to see if the Schedules Collection for this resource is empty.

Syntax

Public Function IsSchedulesSetEmpty() As Boolean

Return Type

Returns True if the Schedules Collection for this resource is empty, False if at least one schedule exists in the Schedules Collection.

See Also

CalendarResource Object | Schedules Collection | ExistsScheduleID Method


%%PageItemTitle%%

CalendarResource Object | CalendarEvent Object | CalendarEvents Object

Day
A date object that contains that date to retrieve all the events.
See Also Calendar ActiveX Control v19.3

RetrieveDayEvents Method

Description

Gets a CalendarEvents collection of all the CalendarEvent objects for a specific day.

Syntax

Public Function RetrieveDayEvents( _
   ByVal Day As Date _
) As CalendarEvents

Parameters

Day
A date object that contains that date to retrieve all the events.

Return Type

Returns a CalendarEvents collection that contains all of the CalendarEvent objects for a specific day.

Remarks

The CalendarEvent objects for all of the schedules added to this resource will be included in the CalendarEvents collection.

See Also

CalendarResource Object | CalendarEvent Object | CalendarEvents Object


%%PageItemTitle%%

CalendarResource Object | SetDataProvider2 Method | CalendarDataProvider Object

DataProvider
Reference to the custom CalendarDataProvider object.
bCloseDataProviderWhenDestroy
True to call the Close method of the data provider when resource is destroyed.
See Also Calendar ActiveX Control v19.3

SetDataProvider Method

Description

Sets the custom data provider for this resource. The data provider is set using a reference to an existing CalendarDataProvider object.

Syntax

Public Sub SetDataProvider( _
   ByVal DataProvider As CalendarDataProvider, _
   ByVal bCloseDataProviderWhenDestroy As Boolean _
)

Parameters

DataProvider
Reference to the custom CalendarDataProvider object.
bCloseDataProviderWhenDestroy
True to call the Close method of the data provider when resource is destroyed.

Remarks

Sets the CalendarDataProvider that will be used for this resource.

See Also

CalendarResource Object | SetDataProvider2 Method | CalendarDataProvider Object


%%PageItemTitle%%

CalendarResource Object | ConnectionString Property | SetDataProvider Method | CalendarDataProvider Object | Close Method

ConnectionString
Connection String containing the name and type of the data provider.
bCloseDataProviderWhenDestroy
True to call the Close method of the data provider when resource is destroyed.
See Also Calendar ActiveX Control v19.3

SetDataProvider2 Method

Description

Sets the custom data provider for this resource. The data provider is set using a Connection String.

Syntax

Public Sub SetDataProvider2( _
   ByVal ConnectionString As String, _
   ByVal bCloseDataProviderWhenDestroy As Boolean _
)

Parameters

ConnectionString
Connection String containing the name and type of the data provider.
bCloseDataProviderWhenDestroy
True to call the Close method of the data provider when resource is destroyed.

Remarks

Sets the CalendarDataProvider that will be used for this resource.

See Also

CalendarResource Object | ConnectionString Property | SetDataProvider Method | CalendarDataProvider Object | Close Method


%%PageItemTitle%%

CalendarResource Object

See Also Calendar ActiveX Control v19.3

Color Property

Description

Gets or sets the color used to draw cells for this resource.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Color used to draw cells for this resource.

See Also

CalendarResource Object


%%PageItemTitle%%

CalendarResource Object | SetDataProvider Method | SetDataProvider2 Method | CalendarDataProvider Object

See Also Calendar ActiveX Control v19.3

DataProvider Property

Description

Gets the CalendarDataProvider object currently used by this CalendarResource.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataProvider() As CalendarDataProvider

See Also

CalendarResource Object | SetDataProvider Method | SetDataProvider2 Method | CalendarDataProvider Object


%%PageItemTitle%%

CalendarResource Object | GenerateName Property

See Also Calendar ActiveX Control v19.3

Name Property

Description

Get\set the name for this resource.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Remarks

GenerateName can be used to automatically generate a name for this resource using the names of the schedules added to this resource.

See Also

CalendarResource Object | GenerateName Property


%%PageItemTitle%%

CalendarResource Object | CalendarSchedule Object | CalendarScheduleIDs Object | CalendarSchedules Object

See Also Calendar ActiveX Control v19.3

ScheduleIDs Property

Description

Collection of all schedules Id's of schedules that have been added to this resource.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ScheduleIDs() As CalendarScheduleIDs

Remarks

The ScheduleIDs collection contains a collection of all the schedule Ids that have been added to this CalendarResource.

The CalendarScheduleIDs object is a collection of Schedule Ids for all the CalendarSchedule objects that have been added to this CalendarResource. This object allows more shcedules to be added, removed, and makes it easy to search through the Ids of all the schedules that have been added to this resource.

Each CalendarResource can contain one or more schedules of which the Ids are stored in a CalendarScheduleIDs collection. Each day in the calendar contains a CalendarViewGroup that displays the schedules that are contained in the associated resource.

See Also

CalendarResource Object | CalendarSchedule Object | CalendarScheduleIDs Object | CalendarSchedules Object


%%PageItemTitle%%

CalendarResourceDescription Members | CalendarResource Object | Resource Description Collection | CalendarResourcesManager Object

See Also Calendar ActiveX Control v19.3

CalendarResourceDescription Object

Description

CalendarResourceDescription is an object that describes a CalendarResource that has been added to the CalendarResourcesManager.

For a list of all members defined in this module, see CalendarResourceDescription members.

Object Model

Remarks

The CalendarResourceDescription is mainly used for easier processing of resources within the CalendarResourcesManager.

See Also

CalendarResourceDescription Members | CalendarResource Object | Resource Description Collection | CalendarResourcesManager Object


%%PageItemTitle%% $$Members$$

CalendarResourceDescription Overview | CalendarResource Object | Resource Description Collection | CalendarResourcesManager Object

See Also Calendar ActiveX Control v19.3

CalendarResourceDescription Object Members

Public Properties

Public Property Enabled | Gets\sets whether the described resource is enabled.
Public Property GenerateName | Specifies whether the resource name should be generated from the schedule(s) name(s) that have been added to the resource.
Public Property Resource | Gets\set the CalendarResource that this CalendarResourceDescription describes.

See Also

CalendarResourceDescription Overview | CalendarResource Object | Resource Description Collection | CalendarResourcesManager Object


%%PageItemTitle%%

CalendarResourceDescription Object | AddResource Method | ApplyToCalendar Method

See Also Calendar ActiveX Control v19.3

Enabled Property

Description

Gets\sets whether the described resource is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

When ApplyToCalendar is used to add all the CalendarResources to the calendar, only resources that are Enabled will be added to the calendar's resource collection.

See Also

CalendarResourceDescription Object | AddResource Method | ApplyToCalendar Method


%%PageItemTitle%%

CalendarResourceDescription Object | Resource Name Property

See Also Calendar ActiveX Control v19.3

GenerateName Property

Description

Specifies whether the resource name should be generated from the schedule(s) name(s) that have been added to the resource.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GenerateName() As Boolean

Remarks

Set to True to indicate that resource name should be generated from the schedule(s) name(s) that have been added to the resource.

See Also

CalendarResourceDescription Object | Resource Name Property


%%PageItemTitle%%

CalendarResourceDescription Object

See Also Calendar ActiveX Control v19.3

Resource Property

Description

Gets\set the CalendarResource that this CalendarResourceDescription describes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Resource() As CalendarResource

See Also

CalendarResourceDescription Object


%%PageItemTitle%%

CalendarResources Members | SetMultipleResources Method | SetMultipleResourcesEx Method | MultipleResources Property

See Also Calendar ActiveX Control v19.3

CalendarResources Collection

Description

Represents a collection of CalendarResource objects.

For a list of all members defined in this module, see CalendarResources members.

Object Model

Remarks

The SetMultipleResources and SetMultipleResourcesEx methods accept a CalendarResources collection to set as the calendar's MultipleResources.

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarResources Members | SetMultipleResources Method | SetMultipleResourcesEx Method | MultipleResources Property


%%PageItemTitle%% $$Members$$

CalendarResources Overview | SetMultipleResources Method | SetMultipleResourcesEx Method | MultipleResources Property

See Also Calendar ActiveX Control v19.3

CalendarResources Collection Members

Public Methods

Public Method Add | Adds a CalendarResource to the collection of resources.
Public Method Remove | Removes the specified CalendarResource from the collection of resources.
Public Method RemoveAll | Removes all CalendarResource objects from the collection of resources.

Public Properties

Public Property Count | Returns the total number of CalendarResource objects that have been added to the collection of resources.
Public Property Item | Collection of CalendarResource objects.

See Also

CalendarResources Overview | SetMultipleResources Method | SetMultipleResourcesEx Method | MultipleResources Property


%%PageItemTitle%%

CalendarResources Collection | Colleciton of Resources | Remove Method | RemoveAll Method | Count Property | CalendarResource Object

pResource
Reference to the new CalendarResource to be added to the collection of resources.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Adds a CalendarResource to the collection of resources.

Syntax

Public Sub Add( _
   ByVal pResource As CalendarResource _
)

Parameters

pResource
Reference to the new CalendarResource to be added to the collection of resources.

Remarks

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarResources Collection | Colleciton of Resources | Remove Method | RemoveAll Method | Count Property | CalendarResource Object


%%PageItemTitle%%

CalendarResources Collection | Add Method | RemoveAll Method | Count Property | Colleciton of Resources

Index
Index of the CalendarResource to be removed from the collection of resources.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes the specified CalendarResource from the collection of resources.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the CalendarResource to be removed from the collection of resources.

See Also

CalendarResources Collection | Add Method | RemoveAll Method | Count Property | Colleciton of Resources


%%PageItemTitle%%

CalendarResources Collection | Add Method | Remove Method | Colleciton of Resources

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all CalendarResource objects from the collection of resources.

Syntax

Public Sub RemoveAll()

See Also

CalendarResources Collection | Add Method | Remove Method | Colleciton of Resources


%%PageItemTitle%%

CalendarResources Collection | Resources Colleciton

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of CalendarResource objects that have been added to the collection of resources.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarResources Collection | Resources Colleciton


%%PageItemTitle%%

CalendarResources Collection | CalendarResource Object | Add Method | Remove Method | RemoveAll Method | Count Property

Index
Index of the CalendarResource to retrieve.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarResource objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CalendarResource

Parameters

Index
Index of the CalendarResource to retrieve.

Remarks

Notes:

The SetMultipleResources and SetMultipleResourcesEx methods accept a CalendarResources collection to set as the calendar's MultipleResources.

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarResources Collection | CalendarResource Object | Add Method | Remove Method | RemoveAll Method | Count Property


%%PageItemTitle%%

CalendarResourcesManager Members

See Also Calendar ActiveX Control v19.3

CalendarResourcesManager Object

Description

Object used to manage resources and schedules in the calendar.

For a list of all members defined in this module, see CalendarResourcesManager members.

Object Model

See Also

CalendarResourcesManager Members


%%PageItemTitle%% $$Members$$

CalendarResourcesManager Overview

See Also Calendar ActiveX Control v19.3

CalendarResourcesManager Object Members

Public Methods

Public Method AddDataProvider | Attempts to add a new data provider to the DataProviders Collection using the specified connection string.
Public Method AddResource | Adds a new CalendarResourceDescription to the resource manager's collection of resources.
Public Method ApplyToCalendar | Sets all of the active (enabled) resources to the calendar's collection of resources.
Public Method DoExchangeCfg | Reads or writes data providers and resources configuration to or from a storage device.
Public Method GetDataProvider | Retrieves the CalendarDataProvider with the specified connection string in the data providers collection.
Public Method GetDataProviderConnStr | Retrieves a text Calendar connection string for the data provider at the specified index.
Public Method GetDataProviderIndex | Retrieves the index of a CalendarDataProvider with the specified connection string in the data providers collection.
Public Method LoadCfg | Loads data providers and resources configuration from a specified file.
Public Method MoveResource | Moves a CalendarResource to a new position in the collection of resources.
Public Method RemoveAll | Removes all resources and data providers from the calendar.
Public Method RemoveDataProvider | Removes the data provider at the specified index.
Public Method RemoveResource | Removes the CalendarResource at the specified index.
Public Method SaveCfg | Writes data providers and resources configuration to a specified file.
Public Method SetDataProvider | Attempts to add a new data provider to the DataProviders Collection using the specified connection string at the specified index.

Public Properties

Public Property DataProvider | Collection of CalendarDataProvider objects.
Public Property DataProvidersCount | Returns the total number of data providers added to the resource manager.
Public Property Name | Name of the Resource Manager.
Public Property Resource | Collection of CalendarResourceDescription objects.
Public Property ResourcesCount | Retrieves the total number of resources that have been added to the calendar.

See Also

CalendarResourcesManager Overview


%%PageItemTitle%%

CalendarResourcesManager Object | CalendarResourcesManagerDataProviderFlags Enumeration | DataProviders Collection | SetDataProvider Method

ConnectionString
A text Calendar connection string.
eDPFlags
A flag from the CalendarResourcesManagerDataProviderFlags enumeration that specifies how to control data provider creation/Opening and destruction/Closing.
See Also Calendar ActiveX Control v19.3

AddDataProvider Method

Description

Attempts to add a new data provider to the DataProviders Collection using the specified connection string.

Syntax

Public Function AddDataProvider( _
   ByVal ConnectionString As String, _
   ByVal eDPFlags As Long _
) As Boolean

Parameters

ConnectionString
A text Calendar connection string.
eDPFlags
A flag from the CalendarResourcesManagerDataProviderFlags enumeration that specifies how to control data provider creation/Opening and destruction/Closing.

Return Type

Returns True if the data provider was successfully added, False if there was an error adding the data provider.

Remarks

Does the same thing as the SetDataProvider method except it always tries to add the data provider to the end of the DataProviders Collection.

Multiple data provides can be added to the calendar so that events can be saved and loaded from multiple resources (i.e. Form a memory data provider and database data provider) at the same time. For example, when displaying schedules for multiple people, the events for the first person can be provided from memory and the events for the second can be provided from a database, etc.

See Also

CalendarResourcesManager Object | CalendarResourcesManagerDataProviderFlags Enumeration | DataProviders Collection | SetDataProvider Method


%%PageItemTitle%%

CalendarResourcesManager Object | ApplyToCalendar Method | Resource Collection | ResourcesCount Property | CalendarResourceDescription Enabled Property | CalendarResource Object | CalendarControl MultipleResources Property | RemoveResource Method

Name
Name to give the new CalendarResource.
Enabled
Specify whether the new resource is enabled.
See Also Calendar ActiveX Control v19.3

AddResource Method

Description

Adds a new CalendarResourceDescription to the resource manager's collection of resources.

Syntax

Public Function AddResource( _
   ByVal Name As String, _
   ByVal Enabled As Boolean _
) As Boolean

Parameters

Name
Name to give the new CalendarResource.
Enabled
Specify whether the new resource is enabled.

Return Type

Returns True is successful, False if a new CalendarResourceDescription object could not be created or a new resource could not be added to the CalendarResourceDescription object.

Remarks

AddResource only adds a new CalendarResourceDescription to the resource manager's collection of resources.

The resources must then be applied to the calendar. Only resources that are Enabled will be added to the calendar's resource collection.

See Also

CalendarResourcesManager Object | ApplyToCalendar Method | Resource Collection | ResourcesCount Property | CalendarResourceDescription Enabled Property | CalendarResource Object | CalendarControl MultipleResources Property | RemoveResource Method


%%PageItemTitle%%

CalendarResourcesManager Object

pCalendar
A pointer to calendar control
See Also Calendar ActiveX Control v19.3

ApplyToCalendar Method

Description

Sets all of the active (enabled) resources to the calendar's collection of resources.

Syntax

Public Sub ApplyToCalendar( _
   ByVal pCalendar As CalendarControl _
)

Parameters

pCalendar
A pointer to calendar control

Remarks

AddResource only adds a new CalendarResourceDescription to the resource manager's collection of resources.

The resources must then be applied to the calendar with ApplyToCalendar. Only resources that are Enabled will be added to the calendar's resource collection.

See Also

CalendarResourcesManager Object


%%PageItemTitle%%

CalendarResourcesManager Object | PropExchange Object | LoadCfg Method | SaveCfg Method

PX
A PropExchange object to serialize to or from.
See Also Calendar ActiveX Control v19.3

DoExchangeCfg Method

Description

Reads or writes data providers and resources configuration to or from a storage device.

Syntax

Public Sub DoExchangeCfg( _
   ByVal PX As PropExchange _
)

Parameters

PX
A PropExchange object to serialize to or from.

See Also

CalendarResourcesManager Object | PropExchange Object | LoadCfg Method | SaveCfg Method


%%PageItemTitle%%

CalendarResourcesManager Object | DataProvider Property | GetDataProviderConnStr Method | GetDataProviderIndex Method

ConnectionString
Connection string of the CalendarDataProvider to retreive.
See Also Calendar ActiveX Control v19.3

GetDataProvider Method

Description

Retrieves the CalendarDataProvider with the specified connection string in the data providers collection.

Syntax

Public Function GetDataProvider( _
   ByVal ConnectionString As String _
) As CalendarDataProvider

Parameters

ConnectionString
Connection string of the CalendarDataProvider to retreive.

Return Type

Returns the CalendarDataProvider with the specified connection string in the data providers collection.

See Also

CalendarResourcesManager Object | DataProvider Property | GetDataProviderConnStr Method | GetDataProviderIndex Method


%%PageItemTitle%%

CalendarResourcesManager Object | GetDataProvider Method | GetDataProviderIndex Method

Index
Zero based index of a data provider in the data providers collection.
See Also Calendar ActiveX Control v19.3

GetDataProviderConnStr Method

Description

Retrieves a text Calendar connection string for the data provider at the specified index.

Syntax

Public Function GetDataProviderConnStr( _
   ByVal Index As Long _
) As String

Parameters

Index
Zero based index of a data provider in the data providers collection.

Return Type

Connection string for the data provider at the specified index.

See Also

CalendarResourcesManager Object | GetDataProvider Method | GetDataProviderIndex Method


%%PageItemTitle%%

CalendarResourcesManager Object | GetDataProvider Method | GetDataProviderConnStr Method | DataProvider Property

ConnectionString
Connection string of the CalendarDataProvider who's index will be retrieved.
See Also Calendar ActiveX Control v19.3

GetDataProviderIndex Method

Description

Retrieves the index of a CalendarDataProvider with the specified connection string in the data providers collection.

Syntax

Public Function GetDataProviderIndex( _
   ByVal ConnectionString As String _
) As Long

Parameters

ConnectionString
Connection string of the CalendarDataProvider who's index will be retrieved.

Return Type

Integer containing index of a CalendarDataProvider with the specified connection string in the data providers collection.

See Also

CalendarResourcesManager Object | GetDataProvider Method | GetDataProviderConnStr Method | DataProvider Property


%%PageItemTitle%%

CalendarResourcesManager Object | DoExchangeCfg Method | SaveCfg Method

strFileName
A file name to load configuration.
See Also Calendar ActiveX Control v19.3

LoadCfg Method

Description

Loads data providers and resources configuration from a specified file.

Syntax

Public Function LoadCfg( _
   ByVal strFileName As String _
) As Boolean

Parameters

strFileName
A file name to load configuration.

Return Type

True if operation is successful, False otherwise.

See Also

CalendarResourcesManager Object | DoExchangeCfg Method | SaveCfg Method


%%PageItemTitle%%

CalendarResourcesManager Object | AddResource Method | ResourcesCount Property | Resource Property | RemoveResource Method

Index
Current index of the CalendarResource to be moved.
NewIndex
New index to move the CalendarResource.
See Also Calendar ActiveX Control v19.3

MoveResource Method

Description

Moves a CalendarResource to a new position in the collection of resources.

Syntax

Public Sub MoveResource( _
   ByVal Index As Long, _
   ByVal NewIndex As Long _
)

Parameters

Index
Current index of the CalendarResource to be moved.
NewIndex
New index to move the CalendarResource.

See Also

CalendarResourcesManager Object | AddResource Method | ResourcesCount Property | Resource Property | RemoveResource Method


%%PageItemTitle%%

CalendarResourcesManager Object | AddDataProvider Method | CalendarResourcesManagerDataProviderFlags Enumeration

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all resources and data providers from the calendar.

Syntax

Public Sub RemoveAll()

Remarks

Data providers will be saved and closed if this was specified for them when the data provider was added using one of the CalendarResourcesManagerDataProviderFlags.

See Also

CalendarResourcesManager Object | AddDataProvider Method | CalendarResourcesManagerDataProviderFlags Enumeration


%%PageItemTitle%%

CalendarResourcesManager Object | DataProvidersCount Property | SetDataProvider Method | DataProvider Collection | GetDataProvider Method

Index
Index of the data provider to be removed from the collection of data providers.
See Also Calendar ActiveX Control v19.3

RemoveDataProvider Method

Description

Removes the data provider at the specified index.

Syntax

Public Sub RemoveDataProvider( _
   ByVal Index As Long _
)

Parameters

Index
Index of the data provider to be removed from the collection of data providers.

See Also

CalendarResourcesManager Object | DataProvidersCount Property | SetDataProvider Method | DataProvider Collection | GetDataProvider Method


%%PageItemTitle%%

CalendarResourcesManager Object | AddResource Method | ResourcesCount Property | MoveResource Method

Index
Index of the CalendarResource to remove from the collection of resources.
See Also Calendar ActiveX Control v19.3

RemoveResource Method

Description

Removes the CalendarResource at the specified index.

Syntax

Public Sub RemoveResource( _
   ByVal Index As Long _
)

Parameters

Index
Index of the CalendarResource to remove from the collection of resources.

See Also

CalendarResourcesManager Object | AddResource Method | ResourcesCount Property | MoveResource Method


%%PageItemTitle%%

CalendarResourcesManager Object | LoadCfg Method | DoExchangeCfg Method

strFileName
A file name to store configuration.
See Also Calendar ActiveX Control v19.3

SaveCfg Method

Description

Writes data providers and resources configuration to a specified file.

Syntax

Public Function SaveCfg( _
   ByVal strFileName As String _
) As Boolean

Parameters

strFileName
A file name to store configuration.

Return Type

True if operation is successful, False otherwise.

See Also

CalendarResourcesManager Object | LoadCfg Method | DoExchangeCfg Method


%%PageItemTitle%%

CalendarResourcesManager Object | Create Method | AddDataProvider Method

Index
Position in the DataProviders Collection to insert the new data provider.
ConnectionString
A text Calendar connection string.
eDPFlags
A flag from the CalendarResourcesManagerDataProviderFlags enumeration that specifies how to control data provider creation/Opening and destruction/Closing.
See Also Calendar ActiveX Control v19.3

SetDataProvider Method

Description

Attempts to add a new data provider to the DataProviders Collection using the specified connection string at the specified index.

Syntax

Public Function SetDataProvider( _
   ByVal Index As Long, _
   ByVal ConnectionString As String, _
   ByVal eDPFlags As Long _
) As Boolean

Parameters

Index
Position in the DataProviders Collection to insert the new data provider.
ConnectionString
A text Calendar connection string.
eDPFlags
A flag from the CalendarResourcesManagerDataProviderFlags enumeration that specifies how to control data provider creation/Opening and destruction/Closing.

Remarks

Does the same thing as the AddDataProvider method except it will insert the data provider at a specified index in the DataProviders Collection.

Multiple data provides can be added to the calendar so that events can be saved and loaded from multiple resources (i.e. Form a memory data provider and database data provider) at the same time. For example, when displaying schedules for multiple people, the events for the first person can be provided from memory and the events for the second can be provided from a database, etc.

See Also

CalendarResourcesManager Object | Create Method | AddDataProvider Method


%%PageItemTitle%%

CalendarResourcesManager Object | DataProvidersCount Property | SetDataProvider Method | AddDataProvider Method | RemoveDataProvider Method

Index
Index of the CalendarDataProvider to retreive.
See Also Calendar ActiveX Control v19.3

DataProvider Property

Description

Collection of CalendarDataProvider objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataProvider( _
   ByVal Index As Long _
) As CalendarDataProvider

Parameters

Index
Index of the CalendarDataProvider to retreive.

See Also

CalendarResourcesManager Object | DataProvidersCount Property | SetDataProvider Method | AddDataProvider Method | RemoveDataProvider Method


%%PageItemTitle%%

CalendarResourcesManager Object | DataProvider Property | SetDataProvider Method | RemoveDataProvider Method | AddDataProvider Method

See Also Calendar ActiveX Control v19.3

DataProvidersCount Property

Description

Returns the total number of data providers added to the resource manager.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataProvidersCount() As Long

Remarks

Notes:

Multiple data provides can be added to the calendar so that events can be saved and loaded from multiple resources (i.e. Form a memory data provider and database data provider) at the same time. For example, when displaying schedules for multiple people, the events for the first person can be provided from memory and the events for the second can be provided from a database, etc.

See Also

CalendarResourcesManager Object | DataProvider Property | SetDataProvider Method | RemoveDataProvider Method | AddDataProvider Method


%%PageItemTitle%%

CalendarResourcesManager Object

See Also Calendar ActiveX Control v19.3

Name Property

Description

Name of the Resource Manager.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

CalendarResourcesManager Object


%%PageItemTitle%%

CalendarResourcesManager Object | ResourcesCount Property | RemoveResource Method | MoveResource Method | AddResource Method

Index
Index of the CalendarResourceDescription to retrieve.
See Also Calendar ActiveX Control v19.3

Resource Property

Description

Collection of CalendarResourceDescription objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Resource( _
   ByVal Index As Long _
) As CalendarResourceDescription

Parameters

Index
Index of the CalendarResourceDescription to retrieve.

Remarks

Retrieves the CalendarResourceDescription object at the specified

See Also

CalendarResourcesManager Object | ResourcesCount Property | RemoveResource Method | MoveResource Method | AddResource Method


%%PageItemTitle%%

CalendarResourcesManager Object | Resource Collection | CalendarResource Object

See Also Calendar ActiveX Control v19.3

ResourcesCount Property

Description

Retrieves the total number of resources that have been added to the calendar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourcesCount() As Long

Remarks

ResourcesCount returns the total number of resources in the Resource Collection.

See Also

CalendarResourcesManager Object | Resource Collection | CalendarResource Object


%%PageItemTitle%%

CalendarSchedule Members | CalendarScheduleIDs Object | CalendarSchedules Object | CalendarResource Object | CalendarResources Object | CalendarResourceDescription Object | ScheduleIDs Property | Event ScheduleID Property

See Also Calendar ActiveX Control v19.3

CalendarSchedule Object

Description

Represents a property of the CalendarEvent, which indicates which Schedule (which could a person's schedule, a common resource schedule, etc) the event belongs to.

For a list of all members defined in this module, see CalendarSchedule members.

Object Model

Remarks

CalendarSchedule is a property of the CalendarEvent, which indicates which Schedule (which could a person's schedule, a common resource schedule, etc) the event belongs to. The Event ScheduleID corresponds with the Id of a CalendarSchedule object. The name of the CalendarSchedule will be displayed under the day header and indicated which schedule is displayed in the group.

See Also

CalendarSchedule Members | CalendarScheduleIDs Object | CalendarSchedules Object | CalendarResource Object | CalendarResources Object | CalendarResourceDescription Object | ScheduleIDs Property | Event ScheduleID Property


%%PageItemTitle%% $$Members$$

CalendarSchedule Overview | CalendarScheduleIDs Object | CalendarSchedules Object | CalendarResource Object | CalendarResources Object | CalendarResourceDescription Object | ScheduleIDs Property | Event ScheduleID Property

See Also Calendar ActiveX Control v19.3

CalendarSchedule Object Members

Public Properties

Public Property CustomProperties | Collection of user defined custom data that can be attached to a schedule.
Public Property Id | Get\set a unique ID value for the schedule.
Public Property Name | Get\set the name of the schedule.

See Also

CalendarSchedule Overview | CalendarScheduleIDs Object | CalendarSchedules Object | CalendarResource Object | CalendarResources Object | CalendarResourceDescription Object | ScheduleIDs Property | Event ScheduleID Property


%%PageItemTitle%%

CalendarSchedule Object

See Also Calendar ActiveX Control v19.3

CustomProperties Property

Description

Collection of user defined custom data that can be attached to a schedule.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomProperties() As CalendarCustomProperties

Remarks

The CalendarCustomProperties object contains a collection of user defined data. Any number and any type of objects can be attached to a schedule.

When adding a custom property, a string name must be given to the custom property. This string name will be used to retreive the custom property from the collection.

The CustomProperties property is a convenient way to include any additional information with a schedule.

See Also

CalendarSchedule Object


%%PageItemTitle%%

CalendarSchedule Object | Event ScheduleID Property

See Also Calendar ActiveX Control v19.3

Id Property

Description

Get\set a unique ID value for the schedule.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

Can be used to set a new ID value for the schedule.

The Event ScheduleID will contain the Id of the schedule that the event belongs to.

See Also

CalendarSchedule Object | Event ScheduleID Property


%%PageItemTitle%%

CalendarSchedule Object

See Also Calendar ActiveX Control v19.3

Name Property

Description

Get\set the name of the schedule.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

CalendarSchedule Object


%%PageItemTitle%%

CalendarScheduleIDs Members | CalendarSchedule Object | CalendarResource Object | CalendarViewGroup Object | CalendarViewGroups Object

See Also Calendar ActiveX Control v19.3

CalendarScheduleIDs Collection

Description

Collection of Schedule Ids for all the CalendarSchedule objects that have been added to a CalendarResource.

For a list of all members defined in this module, see CalendarScheduleIDs members.

Remarks

The CalendarResource ScheduleIDs collection contains a collection of all the schedule Ids that have been added to the CalendarResource.

The CalendarScheduleIDs object is a collection of Schedule Ids for all the CalendarSchedule objects that have been added to a CalendarResource. This object makes it easy to add schedules, remove schedules, and search through the Ids of all the schedules that have been added to a recourse. Each CalendarResource can contain one or more schedules of which the Ids are stored in a CalendarScheduleIDs collection. Each day in the calendar contains a CalendarViewGroup that displays the schedules that are contained in the associated resource.

See Also

CalendarScheduleIDs Members | CalendarSchedule Object | CalendarResource Object | CalendarViewGroup Object | CalendarViewGroups Object


%%PageItemTitle%% $$Members$$

CalendarScheduleIDs Overview | CalendarSchedule Object | CalendarResource Object | CalendarViewGroup Object | CalendarViewGroups Object

See Also Calendar ActiveX Control v19.3

CalendarScheduleIDs Collection Members

Public Methods

Public Method Add | Adds the Id of a schedule to be included in a CalendarResource.
Public Method Remove | Removes the Id of a previously added schedule so it will no longer be included in a CalendarResource.
Public Method RemoveAll | Removes all the Ids of previously added schedules so there will no longer be any schedules included in a CalendarResource.

Public Properties

Public Property Count | Returns the total number of Schedules that will be included in a CalendarResource.
Public Property Item | Collection of all schedules ID's for a CalendarResource.

See Also

CalendarScheduleIDs Overview | CalendarSchedule Object | CalendarResource Object | CalendarViewGroup Object | CalendarViewGroups Object


%%PageItemTitle%%

CalendarScheduleIDs Collection | Id Property | CalendarSchedule Object | CalendarResource Object | ScheduleIDs Property | Remove Method | RemoveAll Method | Item Property | Count Property

ScheduleID
The Id of a schedule to be included in a CalendarResource.
See Also Calendar ActiveX Control v19.3

Add Method

Description

Adds the Id of a schedule to be included in a CalendarResource.

Syntax

Public Sub Add( _
   ByVal ScheduleID As Long _
)

Parameters

ScheduleID
The Id of a schedule to be included in a CalendarResource.

Remarks

Adds the Id of a schedule to be included in a CalendarResource. The Ids of schedules that have been added to a resource will be displayed in the calendar day that is associated with the group that contain the resource with the Schedule Ids.

See Also

CalendarScheduleIDs Collection | Id Property | CalendarSchedule Object | CalendarResource Object | ScheduleIDs Property | Remove Method | RemoveAll Method | Item Property | Count Property


%%PageItemTitle%%

CalendarScheduleIDs Collection | Add Method | RemoveAll Method | Count Property | Item Property

Index
The Id of a previously added schedule so it will no longer be included in a CalendarResource.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes the Id of a previously added schedule so it will no longer be included in a CalendarResource.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
The Id of a previously added schedule so it will no longer be included in a CalendarResource.

Remarks

Removes the Id of a previously added schedule so it will no longer be included in a CalendarResource. The Ids of schedules that have been addedto a resource will be displayed in the calendar day that is associated with the group that contain the resource with the Schedule Ids.

See Also

CalendarScheduleIDs Collection | Add Method | RemoveAll Method | Count Property | Item Property


%%PageItemTitle%%

CalendarScheduleIDs Collection | Add Method | Remove Method | Count Property | Item Property

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all the Ids of previously added schedules so there will no longer be any schedules included in a CalendarResource.

Syntax

Public Sub RemoveAll()

Remarks

Removes all the Ids of previously added schedules so there will no longer be any schedules included in a CalendarResource.

See Also

CalendarScheduleIDs Collection | Add Method | Remove Method | Count Property | Item Property


%%PageItemTitle%%

CalendarScheduleIDs Collection | Add Method | Remove Method | RemoveAll Method | Item Property

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of Schedules that will be included in a CalendarResource.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarScheduleIDs Collection | Add Method | Remove Method | RemoveAll Method | Item Property


%%PageItemTitle%%

CalendarScheduleIDs Collection | Add Method | Remove Method | Count Property | RemoveAll Method | ScheduleIDs Property

Index
Index of the schedule Id to retreive.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of all schedules ID's for a CalendarResource.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As Long

Parameters

Index
Index of the schedule Id to retreive.

Remarks

The Item collection contains numeric ID's for all schedules existing for a CalendarResource.

The CalendarResource ScheduleIDs collection contains a collection of all the schedule Ids that have been added to the CalendarResource.

See Also

CalendarScheduleIDs Collection | Add Method | Remove Method | Count Property | RemoveAll Method | ScheduleIDs Property


%%PageItemTitle%%

CalendarSchedules Members | CalendarSchedule Object | CalendarScheduleIDs Object | Resource ScheduleIDs Collection

See Also Calendar ActiveX Control v19.3

CalendarSchedules Collection

Description

Collection of CalendarSchedule objects

For a list of all members defined in this module, see CalendarSchedules members.

Object Model

Remarks

Collection indexes always start at position zero.

CalendarSchedules provides methods and properties to add\remove\find CalendarSchedule objects to\from a data provider. Methods are also provided to determine which CalendarResource a CalendarSchedule belongs to.

The data provider contains a collection of schedules used in the calendar. GetScheduleName is useful when trying to identify which CalendarResource the CalendarSchedule belongs to.

A CalendarSchedule object is a property of the CalendarEvent, which indicates which Schedule (which could a person's schedule, a common resource schedule, etc) the event belongs to. The Event ScheduleID corresponds with the Id of a CalendarSchedule object. The name of the CalendarSchedule will be displayed under the day header and indicated which schedule is displayed in the group.

See Also

CalendarSchedules Members | CalendarSchedule Object | CalendarScheduleIDs Object | Resource ScheduleIDs Collection


%%PageItemTitle%% $$Members$$

CalendarSchedules Overview | CalendarSchedule Object | CalendarScheduleIDs Object | Resource ScheduleIDs Collection

See Also Calendar ActiveX Control v19.3

CalendarSchedules Collection Members

Public Methods

Public Method AddNewSchedule | Creates and adds a new CalendarSchedule with the specified name to the collection of schedules.
Public Method GetScheduleName | Retrieves the string name of a CalendarSchedule from the collection of schedules by its numeric Id.
Public Method RemoveSchedule | Removes a CalendarSchedule from the collection of schedules by its Id.
Public Method SetScheduleName | Set a new CalendarSchedule name by its numeric Id.

Public Properties

Public Property Count | Returns the total number of CalendarSchedule objects in the collection of schedules.
Public Property Item | Collection of CalendarSchedule objects that have been added to a data provider.

See Also

CalendarSchedules Overview | CalendarSchedule Object | CalendarScheduleIDs Object | Resource ScheduleIDs Collection


%%PageItemTitle%%

CalendarSchedules Collection | Schedules Collection | RemoveSchedule Method

ScheduleName
Name to give the new CalendarSchedule.
See Also Calendar ActiveX Control v19.3

AddNewSchedule Method

Description

Creates and adds a new CalendarSchedule with the specified name to the collection of schedules.

Syntax

Public Function AddNewSchedule( _
   ByVal ScheduleName As String _
) As Boolean

Parameters

ScheduleName
Name to give the new CalendarSchedule.

Return Type

Returns True if the schedule was successfully added, False otherwise.

See Also

CalendarSchedules Collection | Schedules Collection | RemoveSchedule Method


%%PageItemTitle%%

CalendarSchedules Collection | Name Property | Id Property | CalendarSchedule Object | Schedules Collection | SetScheduleName Method | Collection of Schedules

ScheduleID
The Id of a CalendarSchedule from the collection of schedules.
See Also Calendar ActiveX Control v19.3

GetScheduleName Method

Description

Retrieves the string name of a CalendarSchedule from the collection of schedules by its numeric Id.

Syntax

Public Function GetScheduleName( _
   ByVal ScheduleID As Long _
) As String

Parameters

ScheduleID
The Id of a CalendarSchedule from the collection of schedules.

Return Type

Returns name of the specified CalendarSchedule as a string.

Remarks

GetScheduleName returns the name of a CalendarSchedule by specifying the numeric Id of the schedule.

The data provider contains a collection of schedules used in the calendar. GetScheduleName is useful when trying to identify which CalendarResource the CalendarSchedule belongs to.

See Also

CalendarSchedules Collection | Name Property | Id Property | CalendarSchedule Object | Schedules Collection | SetScheduleName Method | Collection of Schedules


%%PageItemTitle%%

CalendarSchedules Collection | Id Property | CalendarSchedule Object | Collection of Schedules | AddNewSchedule Method | GetScheduleName Method

ScheduleID
Id of the schedule to remove from the collection of schedules.
See Also Calendar ActiveX Control v19.3

RemoveSchedule Method

Description

Removes a CalendarSchedule from the collection of schedules by its Id.

Syntax

Public Function RemoveSchedule( _
   ByVal ScheduleID As Long _
) As Boolean

Parameters

ScheduleID
Id of the schedule to remove from the collection of schedules.

Return Type

True is the CalendarSchedule was found and successfully removed from the collection of schedules.

See Also

CalendarSchedules Collection | Id Property | CalendarSchedule Object | Collection of Schedules | AddNewSchedule Method | GetScheduleName Method


%%PageItemTitle%%

CalendarSchedules Collection | GetScheduleName Method | Collection of Schedules

ScheduleID
The Id of a CalendarSchedule from the collection of schedules.
NewName
String containing the new name to assign the CalendarSchedule with the specified Id.
See Also Calendar ActiveX Control v19.3

SetScheduleName Method

Description

Set a new CalendarSchedule name by its numeric Id.

Syntax

Public Sub SetScheduleName( _
   ByVal ScheduleID As Long, _
   ByVal NewName As String _
)

Parameters

ScheduleID
The Id of a CalendarSchedule from the collection of schedules.
NewName
String containing the new name to assign the CalendarSchedule with the specified Id.

Remarks

SetScheduleName assigns a new name of a CalendarSchedule by specifying the numeric Id of the schedule.

The data provider contains a collection of schedules used in the calendar. SetScheduleName is useful when trying to rename a identify CalendarSchedule of a CalendarResource.

See Also

CalendarSchedules Collection | GetScheduleName Method | Collection of Schedules


%%PageItemTitle%%

CalendarSchedules Collection | AddNewSchedule Method | RemoveSchedule Method | Collection of Schedules

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of CalendarSchedule objects in the collection of schedules.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Count is used to determine how many CalendarSchedule objects have been added to a given data provider.

See Also

CalendarSchedules Collection | AddNewSchedule Method | RemoveSchedule Method | Collection of Schedules


%%PageItemTitle%%

CalendarSchedules Collection | AddNewSchedule Method | RemoveSchedule Method | Count Property | Schedules Property

Index
Index of a CalendarSchedule object to retreive in the collection of schedules.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarSchedule objects that have been added to a data provider.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CalendarSchedule

Parameters

Index
Index of a CalendarSchedule object to retreive in the collection of schedules.

See Also

CalendarSchedules Collection | AddNewSchedule Method | RemoveSchedule Method | Count Property | Schedules Property


%%PageItemTitle%%

CalendarSystemTime Members

See Also Calendar ActiveX Control v19.3

CalendarSystemTime Object

Description

The CalendarSystemTime object represents a date and time using individual members for the month, day, year, weekday, hour, minute, second, and millisecond.

For a list of all members defined in this module, see CalendarSystemTime members.

See Also

CalendarSystemTime Members


%%PageItemTitle%% $$Members$$

CalendarSystemTime Overview

See Also Calendar ActiveX Control v19.3

CalendarSystemTime Object Members

Public Properties

Public Property wDay | The day of the month.
Public Property wDayOfWeek | The day of the week.
Public Property wHour | The hour.
Public Property wMilliseconds | The milliseconds.
Public Property wMinute | The minute.
Public Property wMonth | The month.
Public Property wSecond | The second.
Public Property wYear | The year.

See Also

CalendarSystemTime Overview


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wDay Property

Description

The day of the month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wDay() As Integer

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wDayOfWeek Property

Description

The day of the week.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wDayOfWeek() As Integer

Remarks

Sunday = 0, Monday = 1, and so on.

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wHour Property

Description

The hour.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wHour() As Integer

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wMilliseconds Property

Description

The milliseconds.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wMilliseconds() As Integer

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wMinute Property

Description

The minute.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wMinute() As Integer

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wMonth Property

Description

The month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wMonth() As Integer

Remarks

January = 1, February = 2, and so on.

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wSecond Property

Description

The second.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wSecond() As Integer

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarSystemTime Object

See Also Calendar ActiveX Control v19.3

wYear Property

Description

The year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property wYear() As Integer

Remarks

This value must be greater than 1601.

Windows Server 2003, Windows XP: This value cannot be greater than 30827.

See Also

CalendarSystemTime Object


%%PageItemTitle%%

CalendarThemeColorGradient Members | Office 2007 Event Background Color Property | TimeScale NowLine Background Property

See Also Calendar ActiveX Control v19.3

CalendarThemeColorGradient Object

Description

Represents a color gradient object that is used to color some of the calendar components.

For a list of all members defined in this module, see CalendarThemeColorGradient members.

Remarks

The CalendarThemeColorGradient object represents a color gradient object that is used to color many of the calendar components.

The components that use the CalendarThemeColorGradient object is the Office 2007 Event Background Color and TimeScale NowLine Background properties.

See Also

CalendarThemeColorGradient Members | Office 2007 Event Background Color Property | TimeScale NowLine Background Property


%%PageItemTitle%% $$Members$$

CalendarThemeColorGradient Overview | Office 2007 Event Background Color Property | TimeScale NowLine Background Property

See Also Calendar ActiveX Control v19.3

CalendarThemeColorGradient Object Members

Public Methods

Public Method SetSolidColor Sets a solid color instead of using a color gradient.

Public Properties

Public Property ColorDark | Gets\sets the dark color in the color gradient when drawing an item.
Public Property ColorLight | Gets\sets the light color in the color gradient when drawing an item.
Public Property GradientFactor | Gets\sets the gradient factor when using the ColorDark and ColorLight colors to draw an item.

See Also

CalendarThemeColorGradient Overview | Office 2007 Event Background Color Property | TimeScale NowLine Background Property


%%PageItemTitle%%

CalendarThemeColorGradient Object | ColorDark Property | ColorLight Property | GradientFactor Property

clrColor
Color value to use as a solid color. This color represents both the ColorDark and ColorLight colors.
See Also Calendar ActiveX Control v19.3

SetSolidColor Method

Description

Sets a solid color instead of using a color gradient.

Syntax

Public Sub SetSolidColor( _
   ByVal clrColor As ULong _
)

Parameters

clrColor
Color value to use as a solid color. This color represents both the ColorDark and ColorLight colors.

Remarks

SetSolidColor will set both the ColorDark and ColorLight properties to the same color. GradientFactor will be set to 0.5 (50%).

See Also

CalendarThemeColorGradient Object | ColorDark Property | ColorLight Property | GradientFactor Property


%%PageItemTitle%%

CalendarThemeColorGradient Object

See Also Calendar ActiveX Control v19.3

ColorDark Property

Description

Gets\sets the dark color in the color gradient when drawing an item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorDark() As ULong

See Also

CalendarThemeColorGradient Object


%%PageItemTitle%%

CalendarThemeColorGradient Object

See Also Calendar ActiveX Control v19.3

ColorLight Property

Description

Gets\sets the light color in the color gradient when drawing an item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorLight() As ULong

See Also

CalendarThemeColorGradient Object


%%PageItemTitle%%

CalendarThemeColorGradient Object

See Also Calendar ActiveX Control v19.3

GradientFactor Property

Description

Gets\sets the gradient factor when using the ColorDark and ColorLight colors to draw an item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GradientFactor() As Single

Remarks

The GradientFactor specifies how much of each color is used when using the ColorDark and ColorLight colors to draw an item.

See Also

CalendarThemeColorGradient Object


%%PageItemTitle%%

CalendarThemeDayViewAllDayEvents Members | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property | AllDayEvents Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewAllDayEvents Object

Description

Colors used to draw the day view all day events section when the Office 2007 theme is used.

For a list of all members defined in this module, see CalendarThemeDayViewAllDayEvents members.

Remarks

The AllDayEvents property uses the color properties in the CalendarThemeDayViewAllDayEvents object to draw the day view all day events section when the Office 2007 theme is used. The BackgroundColor, BottomBorderColor and SelectedBackgroundColor properties can all be customized.

See Also

CalendarThemeDayViewAllDayEvents Members | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property | AllDayEvents Property


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewAllDayEvents Overview | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property | AllDayEvents Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewAllDayEvents Object Members

Public Properties

Public Property BackgroundColor | The background color used to draw the day view all day events section when the Office 2007 theme is used.
Public Property BottomBorderColor | The bottom line border color used to draw the day view all day events section when the Office 2007 theme is used.
Public Property SelectedBackgroundColor | The selected background color used to draw the day view all day events section when the Office 2007 theme is used.

See Also

CalendarThemeDayViewAllDayEvents Overview | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property | AllDayEvents Property


%%PageItemTitle%%

CalendarThemeDayViewAllDayEvents Object

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

The background color used to draw the day view all day events section when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Remarks

The AllDayEvents property uses the color properties in the CalendarThemeDayViewAllDayEvents object to draw the day view all day events section when the Office 2007 theme is used. The BackgroundColor, BottomBorderColor and SelectedBackgroundColor properties can all be customized.

See Also

CalendarThemeDayViewAllDayEvents Object


%%PageItemTitle%%

CalendarThemeDayViewAllDayEvents Object

See Also Calendar ActiveX Control v19.3

BottomBorderColor Property

Description

The bottom line border color used to draw the day view all day events section when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BottomBorderColor() As ULong

Remarks

The AllDayEvents property uses the color properties in the CalendarThemeDayViewAllDayEvents object to draw the day view all day events section when the Office 2007 theme is used. The BackgroundColor, BottomBorderColor and SelectedBackgroundColor properties can all be customized.

See Also

CalendarThemeDayViewAllDayEvents Object


%%PageItemTitle%%

CalendarThemeDayViewAllDayEvents Object

See Also Calendar ActiveX Control v19.3

SelectedBackgroundColor Property

Description

The selected background color used to draw the day view all day events section when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedBackgroundColor() As ULong

Remarks

The AllDayEvents property uses the color properties in the CalendarThemeDayViewAllDayEvents object to draw the day view all day events section when the Office 2007 theme is used. The BackgroundColor, BottomBorderColor and SelectedBackgroundColor properties can all be customized.

See Also

CalendarThemeDayViewAllDayEvents Object


%%PageItemTitle%%

CalendarThemeDayViewCell Members | NonWorkCell Property | WorkCell Property | CalendarThemeDayViewCellColors Object | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property | CalendarThemeOffice2007DayViewDayGroup Cell Property | WorkWeekMask Property | WorkDayEndTime Property | WorkDayStartTime Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCell Object

Description

Colors used to draw the day view cells when the Office 2007 theme is used.

For a list of all members defined in this module, see CalendarThemeDayViewCell members.

Object Model

Remarks

The CalendarThemeOffice2007DayViewDayGroup Cell property uses the color properties in the CalendarThemeDayViewCell object to draw the day view cells when the Office 2007 theme is used. Both the NonWorkCell and WorkCell properties can all be customized.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell.

Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCell Members | NonWorkCell Property | WorkCell Property | CalendarThemeDayViewCellColors Object | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property | CalendarThemeOffice2007DayViewDayGroup Cell Property | WorkWeekMask Property | WorkDayEndTime Property | WorkDayStartTime Property


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewCell Overview | NonWorkCell Property | WorkCell Property | CalendarThemeDayViewCellColors Object | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property | CalendarThemeOffice2007DayViewDayGroup Cell Property | WorkWeekMask Property | WorkDayEndTime Property | WorkDayStartTime Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCell Object Members

Public Properties

Public Property NonWorkCell | Colors used to draw the non work cells in a day view when the Office 2007 theme is used.
Public Property WorkCell | Colors used to draw the work cells in a day view when the Office 2007 theme is used.

See Also

CalendarThemeDayViewCell Overview | NonWorkCell Property | WorkCell Property | CalendarThemeDayViewCellColors Object | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property | CalendarThemeOffice2007DayViewDayGroup Cell Property | WorkWeekMask Property | WorkDayEndTime Property | WorkDayStartTime Property


%%PageItemTitle%%

CalendarThemeDayViewCell Object

See Also Calendar ActiveX Control v19.3

NonWorkCell Property

Description

Colors used to draw the non work cells in a day view when the Office 2007 theme is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NonWorkCell() As CalendarThemeDayViewCellColors

Remarks

The CalendarThemeOffice2007DayViewDayGroup Cell property uses the color properties in the CalendarThemeDayViewCell object to draw the day view cells when the Office 2007 theme is used. Both the NonWorkCell and WorkCell properties can all be customized.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell.

Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCell Object


%%PageItemTitle%%

CalendarThemeDayViewCell Object

See Also Calendar ActiveX Control v19.3

WorkCell Property

Description

Colors used to draw the work cells in a day view when the Office 2007 theme is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WorkCell() As CalendarThemeDayViewCellColors

Remarks

The CalendarThemeOffice2007DayViewDayGroup Cell property uses the color properties in the CalendarThemeDayViewCell object to draw the day view cells when the Office 2007 theme is used. Both the NonWorkCell and WorkCell properties can all be customized.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell.

Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCell Object


%%PageItemTitle%%

CalendarThemeDayViewCellColors Members | CalendarThemeDayViewCell Object | NonWorkCell Property | WorkCell Property | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCellColors Object

Description

Colors used to draw an individual cell in day view when the Office 2007 theme is used.

For a list of all members defined in this module, see CalendarThemeDayViewCellColors members.

Remarks

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell when in day view.

Note: Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCellColors Members | CalendarThemeDayViewCell Object | NonWorkCell Property | WorkCell Property | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewCellColors Overview | CalendarThemeDayViewCell Object | NonWorkCell Property | WorkCell Property | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCellColors Object Members

Public Properties

Public Property BackgroundColor | Color used to draw the background of an individual cell in day view when the Office 2007 theme is used.
Public Property BorderBottomHourColor | Color used to draw the bottom border of an individual cell for each hour in day view when the Office 2007 theme is used.
Public Property BorderBottomInHourColor | Color used to draw the bottom border of an individual cell for each cell between hours in day view when the Office 2007 theme is used.
Public Property SelectedColor | Color used to draw the background of a selected cell in day view when the Office 2007 theme is used.

See Also

CalendarThemeDayViewCellColors Overview | CalendarThemeDayViewCell Object | NonWorkCell Property | WorkCell Property | BackgroundColor Property | BorderBottomHourColor Property | BorderBottomInHourColor Property | SelectedColor Property


%%PageItemTitle%%

CalendarThemeDayViewCellColors Object

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

Color used to draw the background of an individual cell in day view when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Remarks

This is the color used to draw the background of an individual cell in day view when the Office 2007 theme is used.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell when in day view.

Note: Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCellColors Object


%%PageItemTitle%%

CalendarThemeDayViewCellColors Object

See Also Calendar ActiveX Control v19.3

BorderBottomHourColor Property

Description

Color used to draw the bottom border of an individual cell for each hour in day view when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderBottomHourColor() As ULong

Remarks

Color used to draw the bottom border of an individual cell for each hour in day view when the Office 2007 theme is used. BorderBottomHourColor only colors the bottom border of cells that start a new hour (i.e. 9am, 10am, 11am, etc.), this will not color the bottom border of cells that appear between hours (i.e. 9:15am, 9:30am, 9:45am, 10:15am, etc.). The BorderBottomInHourColor property is used to color the bottom border of cells that appear between hours.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell when in day view.

Note: Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCellColors Object


%%PageItemTitle%%

CalendarThemeDayViewCellColors Object

See Also Calendar ActiveX Control v19.3

BorderBottomInHourColor Property

Description

Color used to draw the bottom border of an individual cell for each cell between hours in day view when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderBottomInHourColor() As ULong

Remarks

The BorderBottomInHourColor property is used to color the bottom border of cells that appear between hours (i.e. 9:15am, 9:30am, 9:45am, 10:15am, etc.). The BorderBottomHourColor only colors the bottom border of cells that start a new hour (i.e. 9am, 10am, 11am, etc.), this will not color the bottom border of cells that appear between hours.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell when in day view.

Note: Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCellColors Object


%%PageItemTitle%%

CalendarThemeDayViewCellColors Object

See Also Calendar ActiveX Control v19.3

SelectedColor Property

Description

Color used to draw the background of a selected cell in day view when the Office 2007 theme is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedColor() As ULong

Remarks

This is the color used to draw the background of a selected cell in day view when the Office 2007 theme is used.

The NonWorkCell and WorkCell color properties are of type CalendarThemeDayViewCellColors which allow you to individually set the BackgroundColor, BorderBottomHourColor, BorderBottomInHourColor and SelectedColor properties of each type of cell when in day view.

Note: Work day cells are determined by the WorkWeekMask, WorkDayEndTime and WorkDayStartTime properties.

See Also

CalendarThemeDayViewCellColors Object


%%PageItemTitle%%

CalendarThemeDayViewCellParams Members | BeforeDrawThemeObject Event

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCellParams Object

Description

Set of parameters transferred from calendar items for the BeforeDrawThemeObject event.

For a list of all members defined in this module, see CalendarThemeDayViewCellParams members.

Object Model

Remarks

Will be used in the feature in BeforeDrawThemeObject event. This has not been implemented yet.

See Also

CalendarThemeDayViewCellParams Members | BeforeDrawThemeObject Event


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewCellParams Overview | BeforeDrawThemeObject Event

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewCellParams Object Members

Public Properties

Public Property BeginTime | Begin cell date and time.
Public Property Index | Cell index.
Public Property Selected | Is cell selected.
Public Property ViewGroup | Owner group.
Public Property WorkCell | The cell is work (or non-work).

See Also

CalendarThemeDayViewCellParams Overview | BeforeDrawThemeObject Event


%%PageItemTitle%%

CalendarThemeDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

BeginTime Property

Description

Begin cell date and time.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BeginTime() As Date

See Also

CalendarThemeDayViewCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

Index Property

Description

Cell index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CalendarThemeDayViewCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Is cell selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

CalendarThemeDayViewCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

ViewGroup Property

Description

Owner group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewGroup() As CalendarViewGroup

See Also

CalendarThemeDayViewCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

WorkCell Property

Description

The cell is work (or non-work).

Property type

Read-only property

Syntax (Visual Basic)

Public Property WorkCell() As Boolean

See Also

CalendarThemeDayViewCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Members | CalendarThemeOffice2007DayView TimeScale Property | AmPmText Property | BackgroundColor Property | HeightFormula Property | Caption Property | LineColor Property | NowLineBackground Property | NowLineColor Property | TimeTextBigBase Property | TimeTextSmall Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewTimeScale Object

Description

Colors used to draw the time scale components in day view when the Office 2007 theme is used.

For a list of all members defined in this module, see CalendarThemeDayViewTimeScale members.

Object Model

Remarks

The CalendarThemeDayViewTimeScale object contains the colors used to draw the time scale components in day view when the Office 2007 theme is used.

The CalendarThemeOffice2007DayView TimeScale property uses the color properties in the CalendarThemeDayViewTimeScale object to draw the components of the time scale in day view when the Office 2007 theme is used. The AmPmText, BackgroundColor, Caption, LineColor, NowLineBackground, NowLineColor, TimeTextBigBase and TimeTextSmall time scale color properties can all be customized.

See Also

CalendarThemeDayViewTimeScale Members | CalendarThemeOffice2007DayView TimeScale Property | AmPmText Property | BackgroundColor Property | HeightFormula Property | Caption Property | LineColor Property | NowLineBackground Property | NowLineColor Property | TimeTextBigBase Property | TimeTextSmall Property


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewTimeScale Overview | CalendarThemeOffice2007DayView TimeScale Property | AmPmText Property | BackgroundColor Property | HeightFormula Property | Caption Property | LineColor Property | NowLineBackground Property | NowLineColor Property | TimeTextBigBase Property | TimeTextSmall Property

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewTimeScale Object Members

Public Properties

Public Property AmPmText | Gets\sets the font and color used to draw the "Am" and "Pm" text.
Public Property BackgroundColor | Gets\sets the color used to draw the background of the time scale.
Public Property Caption | Gets\sets the font and color used to draw the caption text of the time scale.
Public Property HeightFormula | Gets the MultipleDivide Formula parameters used to calculate the minimum TimeScale cell height.
Public Property LineColor | Gets\sets the color used to draw normal lines in the time scale.
Public Property NowLineBackground | Get\set the gradient color used to fill the rectangle above the now line.
Public Property NowLineColor | Gets\sets the color used to draw the "now line"
Public Property ShowMinutes | Specifies whether to show minute marks on the time scale.
Public Property TimeTextBigBase | Gets\sets the font and color used to draw the "big" hour time text.
Public Property TimeTextSmall | Gets\sets the font and color used to draw the "small" minute text used for the 60 minute time scale resolution setting.

See Also

CalendarThemeDayViewTimeScale Overview | CalendarThemeOffice2007DayView TimeScale Property | AmPmText Property | BackgroundColor Property | HeightFormula Property | Caption Property | LineColor Property | NowLineBackground Property | NowLineColor Property | TimeTextBigBase Property | TimeTextSmall Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object

See Also Calendar ActiveX Control v19.3

AmPmText Property

Description

Gets\sets the font and color used to draw the "Am" and "Pm" text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AmPmText() As CalendarThemeFontColor

Remarks

The "Am" and "Pm" text will only be drawn next to the first visible time in the time scale.

See Also

CalendarThemeDayViewTimeScale Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the color used to draw the background of the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Remarks

See Also

CalendarThemeDayViewTimeScale Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | DayViewScaleLabel Property | DayViewScale2Label Property

See Also Calendar ActiveX Control v19.3

Caption Property

Description

Gets\sets the font and color used to draw the caption text of the time scale.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Caption() As CalendarThemeFontColor

Remarks

Up to two time scales can be displayed at the same time, the caption of the time scales is displayed at the very top of each time scale if a caption was added.

See Also

CalendarThemeDayViewTimeScale Object | DayViewScaleLabel Property | DayViewScale2Label Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | CalendarThemeFormulaMulDivC Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

Gets the MultipleDivide Formula parameters used to calculate the minimum TimeScale cell height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

Remarks

This CalendarThemeFormulaMulDivC object represents a set of formula parameters used to calculate the minimum width or height of an object in the calendar. For example, a the formula used to calculate the minimum object height (or width) would look like this:

ObjectHeight = FontHeight * Multiplier / Divisor + Constant

Many of the objects have a HeightFormula or WidthFormula property of type CalendarThemeFormulaMulDivC that can be used to calculate the width or height of an object.

See Also

CalendarThemeDayViewTimeScale Object | CalendarThemeFormulaMulDivC Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object

See Also Calendar ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color used to draw normal lines in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Remarks

See Also

CalendarThemeDayViewTimeScale Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | NowLineColor Property | DayViewCurrentTimeMarkVisible Property

See Also Calendar ActiveX Control v19.3

NowLineBackground Property

Description

Get\set the gradient color used to fill the rectangle above the now line.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NowLineBackground() As CalendarThemeColorGradient

Remarks

See Also

CalendarThemeDayViewTimeScale Object | NowLineColor Property | DayViewCurrentTimeMarkVisible Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | NowLineBackground Property | DayViewCurrentTimeMarkVisible Property

See Also Calendar ActiveX Control v19.3

NowLineColor Property

Description

Gets\sets the color used to draw the "now line"

Property type

Read-write property

Syntax (Visual Basic)

Public Property NowLineColor() As ULong

Remarks

The now line specifies the current time of day.

See Also

CalendarThemeDayViewTimeScale Object | NowLineBackground Property | DayViewCurrentTimeMarkVisible Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object

See Also Calendar ActiveX Control v19.3

ShowMinutes Property

Description

Specifies whether to show minute marks on the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMinutes() As Boolean

See Also

CalendarThemeDayViewTimeScale Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | TimeTextSmall Property

See Also Calendar ActiveX Control v19.3

TimeTextBigBase Property

Description

Gets\sets the font and color used to draw the "big" hour time text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimeTextBigBase() As CalendarThemeFontColor

Remarks

TimeTextBigBase contains the font and color used to draw the "big" hour text. This is used to draw both the hour part and the minutes part. TimeTextBigBase uses the same font for the "big" hour as it does for the minutes text. The hours text font height is just calculated to be larger size.

See Also

CalendarThemeDayViewTimeScale Object | TimeTextSmall Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScale Object | TimeTextBigBase Property

See Also Calendar ActiveX Control v19.3

TimeTextSmall Property

Description

Gets\sets the font and color used to draw the "small" minute text used for the 60 minute time scale resolution setting.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimeTextSmall() As CalendarThemeFontColor

Remarks

TimeTextSmall contains the font and color used to draw the "small" minute text used for the 60 minute time scale resolution setting.

See Also

CalendarThemeDayViewTimeScale Object | TimeTextBigBase Property


%%PageItemTitle%%

CalendarThemeDayViewTimeScaleCellParams Members | BeforeDrawThemeObject Event

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewTimeScaleCellParams Object

Description

Set of parameters transferred from calendar items for the BeforeDrawThemeObject event.

For a list of all members defined in this module, see CalendarThemeDayViewTimeScaleCellParams members.

Remarks

Will be used in the feature in BeforeDrawThemeObject event. This has not been implemented yet.

See Also

CalendarThemeDayViewTimeScaleCellParams Members | BeforeDrawThemeObject Event


%%PageItemTitle%% $$Members$$

CalendarThemeDayViewTimeScaleCellParams Overview | BeforeDrawThemeObject Event

See Also Calendar ActiveX Control v19.3

CalendarThemeDayViewTimeScaleCellParams Object Members

Public Properties

Public Property BeginTime | Begin cell time.
Public Property Index | Cell index.
Public Property Minutes | SubCell Minutes value {0, 5, 10, ...} or -1 for cell hour.
Public Property TimeScale | Time scale number {1 - main, 2 - additional}

See Also

CalendarThemeDayViewTimeScaleCellParams Overview | BeforeDrawThemeObject Event


%%PageItemTitle%%

CalendarThemeDayViewTimeScaleCellParams Object

See Also Calendar ActiveX Control v19.3

BeginTime Property

Description

Begin cell time.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BeginTime() As Date

See Also

CalendarThemeDayViewTimeScaleCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScaleCellParams Object

See Also Calendar ActiveX Control v19.3

Index Property

Description

Cell index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CalendarThemeDayViewTimeScaleCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScaleCellParams Object

See Also Calendar ActiveX Control v19.3

Minutes Property

Description

SubCell Minutes value {0, 5, 10, ...} or -1 for cell hour.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Minutes() As Long

See Also

CalendarThemeDayViewTimeScaleCellParams Object


%%PageItemTitle%%

CalendarThemeDayViewTimeScaleCellParams Object

See Also Calendar ActiveX Control v19.3

TimeScale Property

Description

Time scale number {1 - main, 2 - additional}

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimeScale() As Long

See Also

CalendarThemeDayViewTimeScaleCellParams Object


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Members | CalendarThemeOffice2007DayViewEvent EventIconsToDraw Property | CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw Property | ShowException Property | ShowMeeting Property | ShowOccurrence Property | ShowPrivate Property | ShowReminder Property

See Also Calendar ActiveX Control v19.3

CalendarThemeEventIconsToDraw Object

Description

Represents options for the calendar event standard icons to be drawn.

For a list of all members defined in this module, see CalendarThemeEventIconsToDraw members.

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

This CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Members | CalendarThemeOffice2007DayViewEvent EventIconsToDraw Property | CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw Property | ShowException Property | ShowMeeting Property | ShowOccurrence Property | ShowPrivate Property | ShowReminder Property


%%PageItemTitle%% $$Members$$

CalendarThemeEventIconsToDraw Overview | CalendarThemeOffice2007DayViewEvent EventIconsToDraw Property | CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw Property | ShowException Property | ShowMeeting Property | ShowOccurrence Property | ShowPrivate Property | ShowReminder Property

See Also Calendar ActiveX Control v19.3

CalendarThemeEventIconsToDraw Object Members

Public Properties

Public Property ShowException | Show recurrence exception icon for changed recurrence events.
Public Property ShowMeeting | Show meeting icon for events with the meeting flag set.
Public Property ShowOccurrence | Show recurrence icon for recurrence events.
Public Property ShowPrivate | Show private icon for events with the private flag set.
Public Property ShowReminder | Show reminder icon for events with the reminder flag set.

See Also

CalendarThemeEventIconsToDraw Overview | CalendarThemeOffice2007DayViewEvent EventIconsToDraw Property | CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw Property | ShowException Property | ShowMeeting Property | ShowOccurrence Property | ShowPrivate Property | ShowReminder Property


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Object

See Also Calendar ActiveX Control v19.3

ShowException Property

Description

Show recurrence exception icon for changed recurrence events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowException() As Boolean

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

The CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Object


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Object

See Also Calendar ActiveX Control v19.3

ShowMeeting Property

Description

Show meeting icon for events with the meeting flag set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMeeting() As Boolean

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

The CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Object


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Object

See Also Calendar ActiveX Control v19.3

ShowOccurrence Property

Description

Show recurrence icon for recurrence events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOccurrence() As Boolean

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

The CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Object


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Object

See Also Calendar ActiveX Control v19.3

ShowPrivate Property

Description

Show private icon for events with the private flag set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowPrivate() As Boolean

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

The CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Object


%%PageItemTitle%%

CalendarThemeEventIconsToDraw Object

See Also Calendar ActiveX Control v19.3

ShowReminder Property

Description

Show reminder icon for events with the reminder flag set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowReminder() As Boolean

Remarks

The CalendarThemeOffice2007DayViewEvent EventIconsToDraw and CalendarThemeOffice2007DayViewEventMultiDay EventIconsToDraw properties use the properties in the CalendarThemeEventIconsToDraw object to determine whether to draw the exception, meeting, occurrence, private and\or reminder icons for events with the appropriate flags set.

The CalendarThemeEventIconsToDraw object represents options for the calendar event standard icons to be drawn. For example if the Reminder property of an event is True, then the reminder icon will be drawn for events with Reminder flag set, if the Reminder property of an event is False, then no reminder image will be drawn for the event.

Using custom icons you can customize the standard images to display your own icon.

See Also

CalendarThemeEventIconsToDraw Object


%%PageItemTitle%%

CalendarThemeFontColor Members | CalendarThemeHeaderText Object | Normal Property | Selected Property | Today Property | TodaySelected Property | CalendarThemeOffice2007EventFontsColors Object | Body Property | Location Property | StartEnd Property | Subject Property | CalendarThemeDayViewTimeScale Object | AmPmText Property | Caption Property | TimeTextBigBase Property | TimeTextSmall Property | Color Property | Font Property

See Also Calendar ActiveX Control v19.3

CalendarThemeFontColor Object

Description

The CalendarThemeFontColor object represents a calendar element's text font and text color properties. This is used to specify font and color of all text

For a list of all members defined in this module, see CalendarThemeFontColor members.

Remarks

The CalendarThemeFontColor object represents a calendar element's text font and text color properties. This is used to specify font and color of all text that is displayed in the calendar.

The CalendarThemeHeaderText, CalendarThemeOffice2007EventFontsColors and CalendarThemeDayViewTimeScale objects use the CalendarThemeDayViewAllDayEvents object to specify the Font and Color to draw text items.

See Also

CalendarThemeFontColor Members | CalendarThemeHeaderText Object | Normal Property | Selected Property | Today Property | TodaySelected Property | CalendarThemeOffice2007EventFontsColors Object | Body Property | Location Property | StartEnd Property | Subject Property | CalendarThemeDayViewTimeScale Object | AmPmText Property | Caption Property | TimeTextBigBase Property | TimeTextSmall Property | Color Property | Font Property


%%PageItemTitle%% $$Members$$

CalendarThemeFontColor Overview | CalendarThemeHeaderText Object | Normal Property | Selected Property | Today Property | TodaySelected Property | CalendarThemeOffice2007EventFontsColors Object | Body Property | Location Property | StartEnd Property | Subject Property | CalendarThemeDayViewTimeScale Object | AmPmText Property | Caption Property | TimeTextBigBase Property | TimeTextSmall Property | Color Property | Font Property

See Also Calendar ActiveX Control v19.3

CalendarThemeFontColor Object Members

Public Properties

Public Property Color | Gets\sets the color used to display text.
Public Property Font | Gets\sets the font used to draw text.

See Also

CalendarThemeFontColor Overview | CalendarThemeHeaderText Object | Normal Property | Selected Property | Today Property | TodaySelected Property | CalendarThemeOffice2007EventFontsColors Object | Body Property | Location Property | StartEnd Property | Subject Property | CalendarThemeDayViewTimeScale Object | AmPmText Property | Caption Property | TimeTextBigBase Property | TimeTextSmall Property | Color Property | Font Property


%%PageItemTitle%%

CalendarThemeFontColor Object | Font Property

See Also Calendar ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to display text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

The Color property is used to specify the color of the text.

The CalendarThemeHeaderText, CalendarThemeOffice2007EventFontsColors and CalendarThemeDayViewTimeScale objects use the CalendarThemeDayViewAllDayEvents object to specify the Font and Color to draw text items.

See Also

CalendarThemeFontColor Object | Font Property


%%PageItemTitle%%

CalendarThemeFontColor Object | Color Property

See Also Calendar ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to draw text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

The Font property is used to specify the color of the text.

The CalendarThemeHeaderText, CalendarThemeOffice2007EventFontsColors and CalendarThemeDayViewTimeScale objects use the CalendarThemeDayViewAllDayEvents object to specify the Font and Color to draw text items.

See Also

CalendarThemeFontColor Object | Color Property


%%PageItemTitle%%

CalendarThemeFormulaMulDivC Members | Constant Property | Divisor Property | Multiplier Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewWeekHeader WidthFormula Property | CalendarThemeOffice2007MonthViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007MonthViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewEvent HeightFormula Property | CalendarThemeOffice2007Header HeightFormula Property | CalendarThemeOffice2007DayViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeDayViewTimeScale HeightFormula Property

See Also Calendar ActiveX Control v19.3

CalendarThemeFormulaMulDivC Object

Description

Object that is used to hold the parameters used to calculate the minimum width or height of objects in the calendar.

For a list of all members defined in this module, see CalendarThemeFormulaMulDivC members.

Remarks

Object that is used to hold the parameters used to calculate the minimum width or height of objects in the calendar.

This CalendarThemeFormulaMulDivC object represents a set of formula parameters used to calculate the minimum width or height of an object in the calendar. For example, a the formula used to calculate the minimum object height (or width) would look like this:

ObjectHeight = FontHeight * Multiplier / Divisor + Constant

Many of the objects have a HeightFormula or WidthFormula property of type CalendarThemeFormulaMulDivC that can be used to calculate the width or height of an object. The Multiplier, Divisor and Constant can all be customized.

See Also

CalendarThemeFormulaMulDivC Members | Constant Property | Divisor Property | Multiplier Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewWeekHeader WidthFormula Property | CalendarThemeOffice2007MonthViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007MonthViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewEvent HeightFormula Property | CalendarThemeOffice2007Header HeightFormula Property | CalendarThemeOffice2007DayViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeDayViewTimeScale HeightFormula Property


%%PageItemTitle%% $$Members$$

CalendarThemeFormulaMulDivC Overview | Constant Property | Divisor Property | Multiplier Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewWeekHeader WidthFormula Property | CalendarThemeOffice2007MonthViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007MonthViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewEvent HeightFormula Property | CalendarThemeOffice2007Header HeightFormula Property | CalendarThemeOffice2007DayViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeDayViewTimeScale HeightFormula Property

See Also Calendar ActiveX Control v19.3

CalendarThemeFormulaMulDivC Object Members

Public Properties

Public Property Constant | Constant of minimum width or height formula.
Public Property Divisor | Divisor of minimum width or height formula.
Public Property Multiplier | Multiplier of minimum width or height formula.

See Also

CalendarThemeFormulaMulDivC Overview | Constant Property | Divisor Property | Multiplier Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewWeekHeader WidthFormula Property | CalendarThemeOffice2007MonthViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007MonthViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007MonthViewEvent HeightFormula Property | CalendarThemeOffice2007Header HeightFormula Property | CalendarThemeOffice2007DayViewEventSingleDay HeightFormula Property | CalendarThemeOffice2007DayViewEventMultiDay HeightFormula Property | CalendarThemeOffice2007DayViewEvent HeightFormula Property | CalendarThemeDayViewTimeScale HeightFormula Property


%%PageItemTitle%%

CalendarThemeFormulaMulDivC Object

See Also Calendar ActiveX Control v19.3

Constant Property

Description

Constant of minimum width or height formula.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Constant() As Long

See Also

CalendarThemeFormulaMulDivC Object


%%PageItemTitle%%

CalendarThemeFormulaMulDivC Object

See Also Calendar ActiveX Control v19.3

Divisor Property

Description

Divisor of minimum width or height formula.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Divisor() As Long

See Also

CalendarThemeFormulaMulDivC Object


%%PageItemTitle%%

CalendarThemeFormulaMulDivC Object

See Also Calendar ActiveX Control v19.3

Multiplier Property

Description

Multiplier of minimum width or height formula.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Multiplier() As Long

See Also

CalendarThemeFormulaMulDivC Object


%%PageItemTitle%%

CalendarThemeHeaderBackground Members | ImageList Property

See Also Calendar ActiveX Control v19.3

CalendarThemeHeaderBackground Object

Description

Header background images.

For a list of all members defined in this module, see CalendarThemeHeaderBackground members.

Object Model

Remarks

The header background is drawn in 2 steps:

1. Fill header rectangle using base color.

2. Draw pattern bitmap in header rectangle (Bitmap may be an alpha bitmap as well).

For the majority of Calendar headers default bitmaps are 'grey' alpha bitmaps. When they are drawn over a 'base color' we got these nice headers. We can simply change a 'base color' (and don't touch bitmap) to change header color style.

CalendarThemeHeaderBackground contains 2 properties:

BitmapID - contains ID of a bitmap from CalendarThemeOffice2007.ImageList.

Standard (default) bitmaps have negative IDs like -100, -101.

Custom bitmaps should have positive IDs.

Zero ID (0) is used to set 'no bitmap'.

BitmapBorders - Template bitmap has some constant size and it is resized to header rect when drawn. This member contains bitmap margins which are not resized. For example if a bitmap for a header has 1 pixel frame around, we have to set BitmapBorders as (1, 1, 1, 1). This will prevent resizing of border frame width. For any header size - border will be 1 pixel width.

Header bitmap is divided by 6 equal height pieces.

First triad is for a normal header, second triad is for a hot header (when mouse is over a header);

First piece (in each triad) is used for a left header (in header row);

second piece (in each triad) is used for a middle header (in header row);

third piece (in each triad) is used for a right header (in header row);

When only one header in a row:

the left header part is drawn using the left half of the first piece;

the right header part is drawn using the right half of the third piece;

Example of the header background bitmap is below:

See Also

CalendarThemeHeaderBackground Members | ImageList Property


%%PageItemTitle%% $$Members$$

CalendarThemeHeaderBackground Overview | ImageList Property

See Also Calendar ActiveX Control v19.3

CalendarThemeHeaderBackground Object Members

Public Properties

Public Property BitmapBorders | Template bitmap that has a\some constant size that gets resized to the header rect when drawn. Basically this will specify which parts of the image will not get resized.
Public Property BitmapID | Contains the ID of a bitmap from CalendarThemeOffice2007.ImageList.

See Also

CalendarThemeHeaderBackground Overview | ImageList Property


%%PageItemTitle%%

CalendarThemeHeaderBackground Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BitmapBorders Property

Description

Template bitmap that has a\some constant size that gets resized to the header rect when drawn. Basically this will specify which parts of the image will not get resized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BitmapBorders() As CalendarThemeRect

Remarks

Template bitmap that has a\some constant size that gets resized to the header rect when drawn. BitmapBorders contains bitmap margins which are not resized. For example if a bitmap for a header has 1 pixel frame around, we have to set BitmapBorders as (1, 1, 1, 1). This will prevent resizing of border frame width. For any header size - border will be 1 pixel width.

See Also

CalendarThemeHeaderBackground Object | ImageList Property


%%PageItemTitle%%

CalendarThemeHeaderBackground Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BitmapID Property

Description

Contains the ID of a bitmap from CalendarThemeOffice2007.ImageList.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BitmapID() As Long

Remarks

Contains the ID of a bitmap from CalendarThemeOffice2007.ImageList. Standard (default) bitmaps have negative IDs like -100, -101. Custom bitmaps should have positive IDs. Zero ID (0) is used to set 'no bitmap'.

See Also

CalendarThemeHeaderBackground Object | ImageList Property


%%PageItemTitle%%

CalendarThemeHeaderText Members

See Also Calendar ActiveX Control v19.3

CalendarThemeHeaderText Object

Description

The CalendarThemeHeaderText object represents calendar header text properties for different header states.

For a list of all members defined in this module, see CalendarThemeHeaderText members.

Object Model

See Also

CalendarThemeHeaderText Members


%%PageItemTitle%% $$Members$$

CalendarThemeHeaderText Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeHeaderText Object Members

Public Properties

Public Property Normal | Text font and color for normal header.
Public Property Selected | Text font and color for selected header.
Public Property Today | Text font and color for today header.
Public Property TodaySelected | Text font and color for selected today header.

See Also

CalendarThemeHeaderText Overview


%%PageItemTitle%%

CalendarThemeHeaderText Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Text font and color for normal header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeFontColor

See Also

CalendarThemeHeaderText Object


%%PageItemTitle%%

CalendarThemeHeaderText Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Text font and color for selected header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeFontColor

See Also

CalendarThemeHeaderText Object


%%PageItemTitle%%

CalendarThemeHeaderText Object

See Also Calendar ActiveX Control v19.3

Today Property

Description

Text font and color for today header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Today() As CalendarThemeFontColor

See Also

CalendarThemeHeaderText Object


%%PageItemTitle%%

CalendarThemeHeaderText Object

See Also Calendar ActiveX Control v19.3

TodaySelected Property

Description

Text font and color for selected today header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TodaySelected() As CalendarThemeFontColor

See Also

CalendarThemeHeaderText Object


%%PageItemTitle%%

CalendarThemeImageList Members | ImageList Property

See Also Calendar ActiveX Control v19.3

CalendarThemeImageList Object

Description

The CalendarThemeImageList object is a collection used to set user bitmaps to customize some Calendar elements which are drawn using bitmap patterns. These images are headers (day, group, week,...) and scroll/expand day buttons.

For a list of all members defined in this module, see CalendarThemeImageList members.

Remarks

See ImageList description for more details.

See Also

CalendarThemeImageList Members | ImageList Property


%%PageItemTitle%% $$Members$$

CalendarThemeImageList Overview | ImageList Property

See Also Calendar ActiveX Control v19.3

CalendarThemeImageList Object Members

Public Methods

Public Method AddBitmap | Used to add an image to the image collection from a handle.
Public Method LoadBitmap | Used to add an image to the image collection from a BitMap file (.BMP).
Public Method Remove | Removes a bitmap with the specified id from the collection.
Public Method RemoveAll | Removes all images from the collection.

See Also

CalendarThemeImageList Overview | ImageList Property


%%PageItemTitle%%

CalendarThemeImageList Object | ImageList Property

Handle
The hWnd of the BitMap to load.
nID
Id to give the image.
See Also Calendar ActiveX Control v19.3

AddBitmap Method

Description

Used to add an image to the image collection from a handle.

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
The hWnd of the BitMap to load.
nID
Id to give the image.

Remarks

See ImageList description for more details.

See Also

CalendarThemeImageList Object | ImageList Property


%%PageItemTitle%%

CalendarThemeImageList Object | ImageList Property

Path
The path of the BitMap to load.
nID
Id to give the image.
See Also Calendar ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an image to the image collection from a BitMap file (.BMP).

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
The path of the BitMap to load.
nID
Id to give the image.

Remarks

See ImageList description for more details.

See Also

CalendarThemeImageList Object | ImageList Property


%%PageItemTitle%%

CalendarThemeImageList Object | ImageList Property

nID
Id of the bitmap to be removed from the collection.
See Also Calendar ActiveX Control v19.3

Remove Method

Description

Removes a bitmap with the specified id from the collection.

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID
Id of the bitmap to be removed from the collection.

Remarks

See ImageList description for more details.

See Also

CalendarThemeImageList Object | ImageList Property


%%PageItemTitle%%

CalendarThemeImageList Object | ImageList Property

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all images from the collection.

Syntax

Public Sub RemoveAll()

Remarks

See ImageList description for more details.

See Also

CalendarThemeImageList Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007 Members | Theme Property | SetTheme Method | BaseColor Property | RefreshMetrics Method

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007 Object

Description

Represents the Office 2007 theme.

For a list of all members defined in this module, see CalendarThemeOffice2007 members.

Object Model

Remarks

The CalendarThemeOffice2007 object represents a theme object that can be applied to the calendar. The BaseColor of the theme can be modified before the theme object is applied to the calendar.

SetTheme is used to apply a theme to the Calendar. The currently set theme object is stored in the Theme property.

You can apply one of the following theme objects to the Calendar:

- CalendarThemeOffice2007

See Also

CalendarThemeOffice2007 Members | Theme Property | SetTheme Method | BaseColor Property | RefreshMetrics Method


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007 Overview | Theme Property | SetTheme Method | BaseColor Property | RefreshMetrics Method

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007 Object Members

Public Methods

Public Method DoPropExchange | Exchanges the Office2007 theme colors to\from a PropExchange object.
Public Method RefreshMetrics | Refresh the visual metrics of the Calendar.
Public Method SetCustomIcons | Initialize custom icons collection from the standard image list object.

Public Properties

Public Property BaseColor | Base color used in the Office 2007 theme.
Public Property BaseFont | Base font used in the calendar.
Public Property BaseFontBold | Base font used in the calendar for bold text.
Public Property CustomIcons | Custom icons collection.
Public Property DayView | Interface for all the colors used to draw the calendar when in day view and the theme is Office 2007.
Public Property Event | Base properties used for all event objects for the Office 2007 theme.
Public Property Header | Base color and font properties used for all header objects for the Office 2007 theme.
Public Property ImageList | Image collection used to set user bitmaps to customize some Calendar elements which are drawn using bitmap patterns.
Public Property MonthView | Interface for all the colors used to draw the calendar when in month view and the theme is Office 2007.
Public Property PrevNextEventButtons | Interface for the Previous\Next appointment buttons that are visible in day view using the Office 2007 theme.
Public Property WeekView | Interface for all the colors used to draw the calendar when in week view and the theme is Office 2007.

See Also

CalendarThemeOffice2007 Overview | Theme Property | SetTheme Method | BaseColor Property | RefreshMetrics Method


%%PageItemTitle%%

CalendarThemeOffice2007 Object

pPX
PropExchange object to exchange data with.
See Also Calendar ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges the Office2007 theme colors to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the Calendar, CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

RefreshMetrics Method

Description

Refresh the visual metrics of the Calendar.

Syntax

Public Sub RefreshMetrics()

Remarks

This method is used to update theme settings (colors, fonts, date formats, ...) from the system or to apply customized values.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

ImageList
See Also Calendar ActiveX Control v19.3

SetCustomIcons Method

Description

Initialize custom icons collection from the standard image list object.

Syntax

Public Sub SetCustomIcons( _
   ByVal ImageList As Object _
)

Parameters

ImageList

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

BaseColor Property

Description

Base color used in the Office 2007 theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseColor() As ULong

Remarks

Used as base to calculate and initialize many other colors for calendar elements by default. Call RefreshMetrics to apply changes.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

BaseFont Property

Description

Base font used in the calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseFont() As Font

Remarks

Used to initialize calendar elements fonts by default. All the calendar components will use this font by default.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

BaseFontBold Property

Description

Base font used in the calendar for bold text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseFontBold() As Font

Remarks

Used to initialize calendar elements bold fonts by default. All the calendar components that display bold text will use this font by default.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

CustomIcons Property

Description

Custom icons collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomIcons() As ImageManagerIcons

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object | CalendarThemeOffice2007DayView Object | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewDay Object | CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

DayView Property

Description

Interface for all the colors used to draw the calendar when in day view and the theme is Office 2007.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DayView() As CalendarThemeOffice2007DayView

Remarks

The DayView property is a CalendarThemeOffice2007DayView object that provides an interface for all the colors used to draw the calendar when in day view and the theme is Office 2007.

The DayView property is of type CalendarThemeOffice2007DayView and contains the Day, Event, Header and TimeScale properties which allow you to change the all the colors used to draw the calendar when in day view or work week view and the Office 2007 theme is used.

See Also

CalendarThemeOffice2007 Object | CalendarThemeOffice2007DayView Object | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewDay Object | CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

Event Property

Description

Base properties used for all event objects for the Office 2007 theme.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarThemeOffice2007Event

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Base color and font properties used for all header objects for the Office 2007 theme.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

Remarks

Base color and font properties used for all header objects for the Office 2007 theme. All header objects will inherit their properties from this object.

The CalendarThemeOffice2007Header object contains the color and font properties used to draw header text .

The DayView Header, DayViewDay Header, DayViewDayGroup Header, MonthView Header, MonthView WeekDayHeader, MonthView WeekHeader and MonthViewDay Header properties all inherit their properties from the Header object.

The picture below displays a typical day view which uses the CalendarThemeOffice2007Header object.

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object | BitmapBorders Property | BitmapID Property

See Also Calendar ActiveX Control v19.3

ImageList Property

Description

Image collection used to set user bitmaps to customize some Calendar elements which are drawn using bitmap patterns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageList() As CalendarThemeImageList

Remarks

The ImageList collection is used to set user bitmaps to customize some Calendar elements which are drawn using bitmap patterns. These images are headers (day, group, week,...) and scroll/expand day buttons.

Note: Only headers customization is supported for now, but other objects customization may be added later in the same way.

Header background is drawn in 2 steps:

1. Fill header rectangle using base color.

2. Draw pattern bitmap in header rectangle (Bitmap may be an alpha bitmap as well).

For the majority of Calendar headers default bitmaps are 'grey' alpha bitmaps. When they are drawn over a 'base color' we got these nice headers. We can simply change a 'base color' (and don't touch bitmap) to change header color style.

CalendarThemeHeaderBackground contains 2 properties:

BitmapID - contains ID of a bitmap from CalendarThemeOffice2007.ImageList.

Standard (default) bitmaps have negative IDs like -100, -101.

Custom bitmaps should have positive IDs.

Zero ID (0) is used to set 'no bitmap'.

BitmapBorders - Template bitmap has some constant size and it is resized to header rect when drawn. This member contains bitmap margins which are not resized. For example if a bitmap for a header has 1 pixel frame around, we have to set BitmapBorders as (1, 1, 1, 1). This will prevent resizing of border frame width. For any header size - border will be 1 pixel width.

Header bitmap is divided by 6 equal height pieces.

First triad is for a normal header, second triad is for a hot header (when mouse is over a header);

First piece (in each triad) is used for a left header (in header row);

second piece (in each triad) is used for a middle header (in header row);

third piece (in each triad) is used for a right header (in header row);

When only one header in a row:

the left header part is drawn using the left half of the first piece;

the right header part is drawn using the right half of the third piece;

Example of the header background bitmap is below:

See Also

CalendarThemeOffice2007 Object | BitmapBorders Property | BitmapID Property


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

MonthView Property

Description

Interface for all the colors used to draw the calendar when in month view and the theme is Office 2007.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MonthView() As CalendarThemeOffice2007MonthView

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

PrevNextEventButtons Property

Description

Interface for the Previous\Next appointment buttons that are visible in day view using the Office 2007 theme.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrevNextEventButtons() As CalendarThemeOffice2007PrevNextEventButtons

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007 Object

See Also Calendar ActiveX Control v19.3

WeekView Property

Description

Interface for all the colors used to draw the calendar when in week view and the theme is Office 2007.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekView() As CalendarThemeOffice2007WeekView

See Also

CalendarThemeOffice2007 Object


%%PageItemTitle%%

CalendarThemeOffice2007DayView Members | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewEvent Object | CalendarThemeOffice2007DayViewDay Object | Day Property | Event Property | Header Property | TimeScale Property | DayView Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayView Object

Description

Represents all the colors used to draw the calendar when in day view and the theme is Office 2007.

For a list of all members defined in this module, see CalendarThemeOffice2007DayView members.

Object Model

Remarks

The CalendarThemeOffice2007DayView object contains all the colors used to draw the calendar when in day view and the theme is Office 2007.

The DayView property is of type CalendarThemeOffice2007DayView and contains the Day, Event, Header and TimeScale properties which allow you to change the all the colors used to draw the calendar when in day view or work week view and the Office 2007 theme is used.

See Also

CalendarThemeOffice2007DayView Members | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewEvent Object | CalendarThemeOffice2007DayViewDay Object | Day Property | Event Property | Header Property | TimeScale Property | DayView Property


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayView Overview | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewEvent Object | CalendarThemeOffice2007DayViewDay Object | Day Property | Event Property | Header Property | TimeScale Property | DayView Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayView Object Members

Public Properties

Public Property Day | Interface for all the colors used to draw the calendar DayView object when the theme is Office 2007.
Public Property Event | Day view event base properties. Use as parent for multi-day and single-day events. Inherit properties from the base object.
Public Property Header | Interface for the DayView header properties.
Public Property TimeScale | Colors used to draw the time scale components.

See Also

CalendarThemeOffice2007DayView Overview | CalendarThemeOffice2007Header Object | CalendarThemeDayViewTimeScale Object | CalendarThemeOffice2007DayViewEvent Object | CalendarThemeOffice2007DayViewDay Object | Day Property | Event Property | Header Property | TimeScale Property | DayView Property


%%PageItemTitle%%

CalendarThemeOffice2007DayView Object | CalendarDayView Object | CalendarThemeOffice2007DayViewDay Object

See Also Calendar ActiveX Control v19.3

Day Property

Description

Interface for all the colors used to draw the calendar DayView object when the theme is Office 2007.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Day() As CalendarThemeOffice2007DayViewDay

Remarks

The CalendarThemeOffice2007DayViewDay object contains all the colors used to draw the calendar DayView object when the theme is Office 2007.

The Day property is of type CalendarThemeOffice2007DayViewDay and contains the BorderColor, Header, TodayBorderColor and Group properties which allow you to change the all the colors used to draw the DayView object when the theme is Office 2007.

See Also

CalendarThemeOffice2007DayView Object | CalendarDayView Object | CalendarThemeOffice2007DayViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayView Object

See Also Calendar ActiveX Control v19.3

Event Property

Description

Day view event base properties. Use as parent for multi-day and single-day events. Inherit properties from the base object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarThemeOffice2007DayViewEvent

See Also

CalendarThemeOffice2007DayView Object


%%PageItemTitle%%

CalendarThemeOffice2007DayView Object | CalendarThemeOffice2007Header Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Interface for the DayView header properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

Remarks

The CalendarThemeOffice2007Header object contains the color and font properties used to draw header text for the on the DayView when the theme is Office 2007.

The Header property contains the DayView header base properties. This is used as parent for the group and day headers.

The properties of the Header are inherited from the base header object.

The picture below displays a typical day view which uses the CalendarThemeOffice2007Header object.

See Also

CalendarThemeOffice2007DayView Object | CalendarThemeOffice2007Header Object


%%PageItemTitle%%

CalendarThemeOffice2007DayView Object | CalendarThemeDayViewTimeScale Object

See Also Calendar ActiveX Control v19.3

TimeScale Property

Description

Colors used to draw the time scale components.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TimeScale() As CalendarThemeDayViewTimeScale

Remarks

The TimeScale property is a CalendarThemeDayViewTimeScale object which contains the colors used to draw the time scale components in day view when the Office 2007 theme is used.

The TimeScale property uses the color properties in the CalendarThemeDayViewTimeScale object to draw the components of the time scale in day view when the Office 2007 theme is used. The AmPmText, BackgroundColor, Caption, LineColor, NowLineBackground, NowLineColor, TimeTextBigBase and TimeTextSmall time scale color properties can all be customized.

See Also

CalendarThemeOffice2007DayView Object | CalendarThemeDayViewTimeScale Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Members | Day Property | CalendarThemeOffice2007Header Object | CalendarThemeOffice2007DayViewDayGroup Object | BorderColor Property | Group Property | Header Property | TodayBorderColor Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewDay Object

Description

Represents all the colors used to draw the calendar DayView object when the theme is Office 2007.

For a list of all members defined in this module, see CalendarThemeOffice2007DayViewDay members.

Object Model

Remarks

The CalendarThemeOffice2007DayViewDay object contains all the colors used to draw the calendar DayView object when the theme is Office 2007.

The Day property is of type CalendarThemeOffice2007DayViewDay and contains the BorderColor, Header, TodayBorderColor and Group properties which allow you to change the all the colors used to draw the DayView object when the theme is Office 2007.

See Also

CalendarThemeOffice2007DayViewDay Members | Day Property | CalendarThemeOffice2007Header Object | CalendarThemeOffice2007DayViewDayGroup Object | BorderColor Property | Group Property | Header Property | TodayBorderColor Property


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayViewDay Overview | Day Property | CalendarThemeOffice2007Header Object | CalendarThemeOffice2007DayViewDayGroup Object | BorderColor Property | Group Property | Header Property | TodayBorderColor Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewDay Object Members

Public Properties

Public Property BorderColor | Gets\sets the border color used to draw the border between normal days.
Public Property Group | Interface for group properties. Groups are displayed when multiple views\schedules are used.
Public Property Header | Interface for the header properties.
Public Property TodayBorderColor | Gets\sets the border color used to draw the border between the "today" day and the surrounding days.
Public Property UseOffice2003HeaderFormat | Specifies whether to use the Office 2003 style header format.

See Also

CalendarThemeOffice2007DayViewDay Overview | Day Property | CalendarThemeOffice2007Header Object | CalendarThemeOffice2007DayViewDayGroup Object | BorderColor Property | Group Property | Header Property | TodayBorderColor Property


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Object | TodayBorderColor Property

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Gets\sets the border color used to draw the border between normal days.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

Remarks

The BorderColor is used to draw the boarder between normal days.

See Also

CalendarThemeOffice2007DayViewDay Object | TodayBorderColor Property


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Object

See Also Calendar ActiveX Control v19.3

Group Property

Description

Interface for group properties. Groups are displayed when multiple views\schedules are used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As CalendarThemeOffice2007DayViewDayGroup

See Also

CalendarThemeOffice2007DayViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Interface for the header properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

Remarks

The CalendarThemeOffice2007Header object contains the color and font properties used to draw header text.

The properties of the Header are inherited from the base header object.

The picture below displays a typical day view which uses the CalendarThemeOffice2007Header object.

See Also

CalendarThemeOffice2007DayViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Object | BorderColor Property

See Also Calendar ActiveX Control v19.3

TodayBorderColor Property

Description

Gets\sets the border color used to draw the border between the "today" day and the surrounding days.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TodayBorderColor() As ULong

Remarks

The TodayBorderColor is used to draw the border between the "today" day and the surrounding days.

See Also

CalendarThemeOffice2007DayViewDay Object | BorderColor Property


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDay Object

See Also Calendar ActiveX Control v19.3

UseOffice2003HeaderFormat Property

Description

Specifies whether to use the Office 2003 style header format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseOffice2003HeaderFormat() As Boolean

See Also

CalendarThemeOffice2007DayViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewDayGroup Object

Description

This interface represents calendar DayView Day Group (resource) object properties.

For a list of all members defined in this module, see CalendarThemeOffice2007DayViewDayGroup members.

Object Model

See Also

CalendarThemeOffice2007DayViewDayGroup Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayViewDayGroup Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewDayGroup Object Members

Public Properties

Public Property AllDayEvents | Colors used to draw the day view all day events section when the Office 2007 theme is used.
Public Property BorderLeftColor | Groups delimiter line color.
Public Property Cell | Day details area cell properties.
Public Property Header | Group header properties. Inherit properties from DayView header object.
Public Property MultiDayEvent | Multi-day event properties. Inherit properties from DayView event object.
Public Property SingleDayEvent | Single-day event properties. Inherit properties from DayView event object.

See Also

CalendarThemeOffice2007DayViewDayGroup Overview


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object | CalendarThemeDayViewAllDayEvents Object | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property

See Also Calendar ActiveX Control v19.3

AllDayEvents Property

Description

Colors used to draw the day view all day events section when the Office 2007 theme is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AllDayEvents() As CalendarThemeDayViewAllDayEvents

Remarks

The AllDayEvents property uses the color properties in the CalendarThemeDayViewAllDayEvents object to draw the day view all day events section when the Office 2007 theme is used. The BackgroundColor, BottomBorderColor and SelectedBackgroundColor properties can all be customized.

See Also

CalendarThemeOffice2007DayViewDayGroup Object | CalendarThemeDayViewAllDayEvents Object | BackgroundColor Property | BottomBorderColor Property | SelectedBackgroundColor Property


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object

See Also Calendar ActiveX Control v19.3

BorderLeftColor Property

Description

Groups delimiter line color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderLeftColor() As ULong

See Also

CalendarThemeOffice2007DayViewDayGroup Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object

See Also Calendar ActiveX Control v19.3

Cell Property

Description

Day details area cell properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Cell() As CalendarThemeDayViewCell

See Also

CalendarThemeOffice2007DayViewDayGroup Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Group header properties. Inherit properties from DayView header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

See Also

CalendarThemeOffice2007DayViewDayGroup Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object

See Also Calendar ActiveX Control v19.3

MultiDayEvent Property

Description

Multi-day event properties. Inherit properties from DayView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultiDayEvent() As CalendarThemeOffice2007DayViewEventMultiDay

See Also

CalendarThemeOffice2007DayViewDayGroup Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewDayGroup Object

See Also Calendar ActiveX Control v19.3

SingleDayEvent Property

Description

Single-day event properties. Inherit properties from DayView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SingleDayEvent() As CalendarThemeOffice2007DayViewEventSingleDay

See Also

CalendarThemeOffice2007DayViewDayGroup Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEvent Object

Description

This interface represents calendar DayView event base properties.

For a list of all members defined in this module, see CalendarThemeOffice2007DayViewEvent members.

Object Model

See Also

CalendarThemeOffice2007DayViewEvent Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayViewEvent Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEvent Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007DayViewEvent Overview


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEvent Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEventMultiDay Object

Description

This interface represents calendar DayView multi-day event properties.

For a list of all members defined in this module, see CalendarThemeOffice2007DayViewEventMultiDay members.

Object Model

See Also

CalendarThemeOffice2007DayViewEventMultiDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayViewEventMultiDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEventMultiDay Object Members

Public Properties

Public Property DateFormatFrom | Date format string to display event start: For example: "From: MMM d"
Public Property DateFormatTo | Date format string to display event end: For example: "To: MMM d"
Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.
Public Property ShowFromToArrowTextAlways | Gets or sets whether to always show the to\from date text in multi-day events.

See Also

CalendarThemeOffice2007DayViewEventMultiDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

DateFormatFrom Property

Description

Date format string to display event start: For example: "From: MMM d"

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateFormatFrom() As String

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

DateFormatTo Property

Description

Date format string to display event end: For example: "To: MMM d"

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateFormatTo() As String

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

ShowFromToArrowTextAlways Property

Description

Gets or sets whether to always show the to\from date text in multi-day events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFromToArrowTextAlways() As Boolean

Remarks

Normally this text is only visible in single day view, but ShowFromToArrowTextAlways can be used to always show the text.

See Also

CalendarThemeOffice2007DayViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEventSingleDay Object

Description

This interface represents calendar DayView single-day event properties.

For a list of all members defined in this module, see CalendarThemeOffice2007DayViewEventSingleDay members.

Object Model

See Also

CalendarThemeOffice2007DayViewEventSingleDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007DayViewEventSingleDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007DayViewEventSingleDay Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007DayViewEventSingleDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

Remarks

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007DayViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007DayViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007Event Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007Event Object

Description

This interface represents calendar event common properties.

For a list of all members defined in this module, see CalendarThemeOffice2007Event members.

Object Model

See Also

CalendarThemeOffice2007Event Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007Event Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007Event Object Members

Public Properties

Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007Event Overview


%%PageItemTitle%%

CalendarThemeOffice2007Event Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

Remarks

See Also

CalendarThemeOffice2007Event Object


%%PageItemTitle%%

CalendarThemeOffice2007Event Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

Remarks

See Also

CalendarThemeOffice2007Event Object


%%PageItemTitle%%

CalendarThemeOffice2007Event Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007Event Object


%%PageItemTitle%%

CalendarThemeOffice2007Event Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007Event Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007EventFontsColors Object

Description

This interface represents calendar event elements properties.

For a list of all members defined in this module, see CalendarThemeOffice2007EventFontsColors members.

Object Model

See Also

CalendarThemeOffice2007EventFontsColors Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007EventFontsColors Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007EventFontsColors Object Members

Public Properties

Public Property Background | Event Background gradient color.
Public Property Body | Body text font and color properties.
Public Property BorderColor | Event border color.
Public Property Location | Location text font and color properties.
Public Property StartEnd | Event start and end dates/times font and color properties.
Public Property Subject | Subject text font and color properties.

See Also

CalendarThemeOffice2007EventFontsColors Overview


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

Background Property

Description

Event Background gradient color.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Background() As CalendarThemeColorGradient

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

Body Property

Description

Body text font and color properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Body() As CalendarThemeFontColor

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Event border color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

Location Property

Description

Location text font and color properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Location() As CalendarThemeFontColor

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

StartEnd Property

Description

Event start and end dates/times font and color properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property StartEnd() As CalendarThemeFontColor

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007EventFontsColors Object

See Also Calendar ActiveX Control v19.3

Subject Property

Description

Subject text font and color properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Subject() As CalendarThemeFontColor

See Also

CalendarThemeOffice2007EventFontsColors Object


%%PageItemTitle%%

CalendarThemeOffice2007Header Members | CalendarThemeOffice2007 Header Property | DayView Header Property | DayViewDay Header Property | DayViewDayGroup Header Property | MonthView Header Property | MonthView WeekDayHeader Property | MonthView WeekHeader Property | MonthViewDay Header Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007Header Object

Description

Represents the calendar header properties when the theme is Office 2007.

For a list of all members defined in this module, see CalendarThemeOffice2007Header members.

Object Model

Remarks

The CalendarThemeOffice2007Header object contains the color and font properties used to draw header objects on the calendar when the theme is Office 2007. Several different objects use CalendarThemeOffice2007Header for header information.

The CalendarThemeOffice2007 Header, DayView Header, DayViewDay Header, DayViewDayGroup Header, MonthView Header, MonthView WeekDayHeader, MonthView WeekHeader and MonthViewDay Header properties all use the CalendarThemeOffice2007Header object for header text color and font properties.

The picture below displays a typical day view which uses the CalendarThemeOffice2007Header object.

See Also

CalendarThemeOffice2007Header Members | CalendarThemeOffice2007 Header Property | DayView Header Property | DayViewDay Header Property | DayViewDayGroup Header Property | MonthView Header Property | MonthView WeekDayHeader Property | MonthView WeekHeader Property | MonthViewDay Header Property


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007Header Overview | CalendarThemeOffice2007 Header Property | DayView Header Property | DayViewDay Header Property | DayViewDayGroup Header Property | MonthView Header Property | MonthView WeekDayHeader Property | MonthView WeekHeader Property | MonthViewDay Header Property

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007Header Object Members

Public Properties

Public Property BackgroundNormal | Background image used to draw the normal Office 2007 header.
Public Property BackgroundSelected | Background image used to draw the selected Office 2007 header.
Public Property BackgroundToday | Background image used to draw the "Today" Office 2007 header.
Public Property BackgroundTodaySelected | Background image used to draw the "Today" selected Office 2007 header.
Public Property BaseColor | Gets\sets the base color for the header.
Public Property HeightFormula | MulDiv Formula parameters to calculate the header height.
Public Property TextCenter | Gets\sets the properties for text displayed in the center of the header object.
Public Property TextLeftRight | Gets\sets the properties for text displayed on the left or right of the header object.
Public Property TodayBaseColor | Gets\sets the base color for the "today" day header.

See Also

CalendarThemeOffice2007Header Overview | CalendarThemeOffice2007 Header Property | DayView Header Property | DayViewDay Header Property | DayViewDayGroup Header Property | MonthView Header Property | MonthView WeekDayHeader Property | MonthView WeekHeader Property | MonthViewDay Header Property


%%PageItemTitle%%

CalendarThemeOffice2007Header Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BackgroundNormal Property

Description

Background image used to draw the normal Office 2007 header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundNormal() As CalendarThemeHeaderBackground

Remarks

See ImageList for details on how to use this.

See Also

CalendarThemeOffice2007Header Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007Header Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BackgroundSelected Property

Description

Background image used to draw the selected Office 2007 header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundSelected() As CalendarThemeHeaderBackground

Remarks

See ImageList for details on how to use this.

See Also

CalendarThemeOffice2007Header Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007Header Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BackgroundToday Property

Description

Background image used to draw the "Today" Office 2007 header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundToday() As CalendarThemeHeaderBackground

Remarks

See ImageList for details on how to use this.

See Also

CalendarThemeOffice2007Header Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007Header Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BackgroundTodaySelected Property

Description

Background image used to draw the "Today" selected Office 2007 header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundTodaySelected() As CalendarThemeHeaderBackground

Remarks

See ImageList for details on how to use this.

See Also

CalendarThemeOffice2007Header Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007Header Object

See Also Calendar ActiveX Control v19.3

BaseColor Property

Description

Gets\sets the base color for the header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseColor() As ULong

See Also

CalendarThemeOffice2007Header Object


%%PageItemTitle%%

CalendarThemeOffice2007Header Object | CalendarThemeFormulaMulDivC Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate the header height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

Remarks

MulDiv Formula parameters to calculate the header height.

This CalendarThemeFormulaMulDivC object represents a set of formula parameters used to calculate the minimum width or height of an object in the calendar. For example, a the formula used to calculate the minimum object height (or width) would look like this:

ObjectHeight = FontHeight * Multiplier / Divisor + Constant

Many of the objects have a HeightFormula or WidthFormula property of type CalendarThemeFormulaMulDivC that can be used to calculate the width or height of an object. The Multiplier, Divisor and Constant can all be customized.

See Also

CalendarThemeOffice2007Header Object | CalendarThemeFormulaMulDivC Object


%%PageItemTitle%%

CalendarThemeOffice2007Header Object

See Also Calendar ActiveX Control v19.3

TextCenter Property

Description

Gets\sets the properties for text displayed in the center of the header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TextCenter() As CalendarThemeHeaderText

Remarks

Properties for text displayed in the center of the header. Depending on where the header is used there might not be any text displayed in the center.

See Also

CalendarThemeOffice2007Header Object


%%PageItemTitle%%

CalendarThemeOffice2007Header Object

See Also Calendar ActiveX Control v19.3

TextLeftRight Property

Description

Gets\sets the properties for text displayed on the left or right of the header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TextLeftRight() As CalendarThemeHeaderText

Remarks

Properties for text displayed on the left or right of the header. Depending on where the header is used there might not be any text displayed on the left, right, or both sides of the header. For example, in day view the numeric date of is typically displayed on the left, in month view it is displayed on the right.

See Also

CalendarThemeOffice2007Header Object


%%PageItemTitle%%

CalendarThemeOffice2007Header Object

See Also Calendar ActiveX Control v19.3

TodayBaseColor Property

Description

Gets\sets the base color for the "today" day header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TodayBaseColor() As ULong

See Also

CalendarThemeOffice2007Header Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthView Object

Description

This interface represents calendar MonthView properties.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthView members.

Object Model

See Also

CalendarThemeOffice2007MonthView Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthView Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthView Object Members

Public Properties

Public Property Day | Day properties.
Public Property Event | Inherit properties from the base object.
Public Property Header | Inherit properties from the base object.
Public Property WeekDayHeader | Weekday header properties.
Public Property WeekHeader | Interface for the calendar MonthView vertical left Week header properties.

See Also

CalendarThemeOffice2007MonthView Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Object

See Also Calendar ActiveX Control v19.3

Day Property

Description

Day properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Day() As CalendarThemeOffice2007MonthViewDay

See Also

CalendarThemeOffice2007MonthView Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Object

See Also Calendar ActiveX Control v19.3

Event Property

Description

Inherit properties from the base object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarThemeOffice2007MonthViewEvent

See Also

CalendarThemeOffice2007MonthView Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Inherit properties from the base object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

See Also

CalendarThemeOffice2007MonthView Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Object

See Also Calendar ActiveX Control v19.3

WeekDayHeader Property

Description

Weekday header properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekDayHeader() As CalendarThemeOffice2007Header

See Also

CalendarThemeOffice2007MonthView Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthView Object

See Also Calendar ActiveX Control v19.3

WeekHeader Property

Description

Interface for the calendar MonthView vertical left Week header properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WeekHeader() As CalendarThemeOffice2007MonthViewWeekHeader

Remarks

See Also

CalendarThemeOffice2007MonthView Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewDay Object

Description

This interface represents properties for a day object in MonthView.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthViewDay members.

Object Model

See Also

CalendarThemeOffice2007MonthViewDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthViewDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewDay Object Members

Public Properties

Public Property BackgroundDarkColor | Background Color for month after/before current (and for other next nearest months).
Public Property BackgroundLightColor | Background Color for current month days (and for other next nearest months).
Public Property BackgroundSelectedColor | Background Color for month days that are currently selected.
Public Property BorderColor | Color of border drawn around each day in the month.
Public Property Header | Inherit properties from MonthView header object.
Public Property MultiDayEvent | Inherit properties from MonthView event object.
Public Property SingleDayEvent | Inherit properties from MonthView event object.
Public Property TodayBorderColor | Color of border drawn around the "today" day.

See Also

CalendarThemeOffice2007MonthViewDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundDarkColor Property

Description

Background Color for month after/before current (and for other next nearest months).

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundDarkColor() As ULong

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundLightColor Property

Description

Background Color for current month days (and for other next nearest months).

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundLightColor() As ULong

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundSelectedColor Property

Description

Background Color for month days that are currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundSelectedColor() As ULong

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Color of border drawn around each day in the month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Inherit properties from MonthView header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

MultiDayEvent Property

Description

Inherit properties from MonthView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultiDayEvent() As CalendarThemeOffice2007MonthViewEventMultiDay

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

SingleDayEvent Property

Description

Inherit properties from MonthView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SingleDayEvent() As CalendarThemeOffice2007MonthViewEventSingleDay

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewDay Object

See Also Calendar ActiveX Control v19.3

TodayBorderColor Property

Description

Color of border drawn around the "today" day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TodayBorderColor() As ULong

See Also

CalendarThemeOffice2007MonthViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEvent Object

Description

This interface represents properties for an event object displayed in MonthView.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthViewEvent members.

Object Model

See Also

CalendarThemeOffice2007MonthViewEvent Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthViewEvent Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEvent Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007MonthViewEvent Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEvent Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEventMultiDay Object

Description

This interface represents properties for a multiple day event object displayed in MonthView.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthViewEventMultiDay members.

Object Model

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthViewEventMultiDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEventMultiDay Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventSingleDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEventSingleDay Object

Description

This interface represents properties for a single all day event object displayed in MonthView.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthViewEventSingleDay members.

Object Model

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthViewEventSingleDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewEventSingleDay Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007MonthViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewWeekHeader Object

Description

This interface represents calendar MonthView vertical left Week header properties.

For a list of all members defined in this module, see CalendarThemeOffice2007MonthViewWeekHeader members.

Object Model

Remarks

See Also

CalendarThemeOffice2007MonthViewWeekHeader Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007MonthViewWeekHeader Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007MonthViewWeekHeader Object Members

Public Properties

Public Property BackgroundNormal | Background image used to draw the normal Office 2007 month view header.
Public Property BaseColor | Gets\sets the base color for the month view header.
Public Property FreeSpaceBackgroundColor | Gets\sets the background color used to draw behind the week day headers that appear on the left side when in month view.
Public Property TextCenter | Gets\sets the properties for text displayed in the center of the header object.
Public Property WidthFormula | MulDiv Formula parameters to calculate minimal header width.

See Also

CalendarThemeOffice2007MonthViewWeekHeader Overview


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Object | ImageList Property

See Also Calendar ActiveX Control v19.3

BackgroundNormal Property

Description

Background image used to draw the normal Office 2007 month view header.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundNormal() As CalendarThemeHeaderBackground

Remarks

See ImageList for details on how to use this.

See Also

CalendarThemeOffice2007MonthViewWeekHeader Object | ImageList Property


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Object

See Also Calendar ActiveX Control v19.3

BaseColor Property

Description

Gets\sets the base color for the month view header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseColor() As ULong

See Also

CalendarThemeOffice2007MonthViewWeekHeader Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Object

See Also Calendar ActiveX Control v19.3

FreeSpaceBackgroundColor Property

Description

Gets\sets the background color used to draw behind the week day headers that appear on the left side when in month view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreeSpaceBackgroundColor() As ULong

Remarks

See Also

CalendarThemeOffice2007MonthViewWeekHeader Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Object

See Also Calendar ActiveX Control v19.3

TextCenter Property

Description

Gets\sets the properties for text displayed in the center of the header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TextCenter() As CalendarThemeHeaderText

Remarks

Properties for text displayed in the center of the header. Depending on where the header is used there might not be any text displayed in the center.

See Also

CalendarThemeOffice2007MonthViewWeekHeader Object


%%PageItemTitle%%

CalendarThemeOffice2007MonthViewWeekHeader Object

See Also Calendar ActiveX Control v19.3

WidthFormula Property

Description

MulDiv Formula parameters to calculate minimal header width.

Property type

Read-only property

Syntax (Visual Basic)

Public Property WidthFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007MonthViewWeekHeader Object


%%PageItemTitle%%

CalendarThemeOffice2007PrevNextEventButtons Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007PrevNextEventButtons Object

Description

This interface represents the Previous\Next appointment buttons that are visible in day view using the Office 2007 theme.

For a list of all members defined in this module, see CalendarThemeOffice2007PrevNextEventButtons members.

See Also

CalendarThemeOffice2007PrevNextEventButtons Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007PrevNextEventButtons Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007PrevNextEventButtons Object Members

Public Methods

Public Method SetCacheSize Sets the number of days to look for new appointments before and after the current day.

Public Properties

Public Property Hide | Specifies whether to hide the previous and next appointment buttons.
Public Property IdleStepTime_ms | Set time (in milliseconds) between idle steps to update\search for prev\next events to determine whether the prev\next buttons are needed.
Public Property RefreshDaysPerIdleStep | Gets or sets the amount of days to search throught in one idle step to determine if the prev\next event buttons are needed.

See Also

CalendarThemeOffice2007PrevNextEventButtons Overview


%%PageItemTitle%%

CalendarThemeOffice2007PrevNextEventButtons Object

nDays
Number of days to look in advanced and behind.
See Also Calendar ActiveX Control v19.3

SetCacheSize Method

Description

Sets the number of days to look for new appointments before and after the current day.

Syntax

Public Sub SetCacheSize( _
   ByVal nDays As Long _
)

Parameters

nDays
Number of days to look in advanced and behind.

Return Type

The previous\next appointment buttons will appear based on how many days in advanced it checks.

See Also

CalendarThemeOffice2007PrevNextEventButtons Object


%%PageItemTitle%%

CalendarThemeOffice2007PrevNextEventButtons Object

See Also Calendar ActiveX Control v19.3

Hide Property

Description

Specifies whether to hide the previous and next appointment buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hide() As Boolean

See Also

CalendarThemeOffice2007PrevNextEventButtons Object


%%PageItemTitle%%

CalendarThemeOffice2007PrevNextEventButtons Object

See Also Calendar ActiveX Control v19.3

IdleStepTime_ms Property

Description

Set time (in milliseconds) between idle steps to update\search for prev\next events to determine whether the prev\next buttons are needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IdleStepTime_ms() As Long

See Also

CalendarThemeOffice2007PrevNextEventButtons Object


%%PageItemTitle%%

CalendarThemeOffice2007PrevNextEventButtons Object

See Also Calendar ActiveX Control v19.3

RefreshDaysPerIdleStep Property

Description

Gets or sets the amount of days to search throught in one idle step to determine if the prev\next event buttons are needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RefreshDaysPerIdleStep() As Long

See Also

CalendarThemeOffice2007PrevNextEventButtons Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekView Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekView Object

Description

This interface represents calendar WeekView properties.

For a list of all members defined in this module, see CalendarThemeOffice2007WeekView members.

Object Model

See Also

CalendarThemeOffice2007WeekView Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007WeekView Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekView Object Members

Public Properties

Public Property Day | Day properties.
Public Property Event | Inherit properties from the base object.

See Also

CalendarThemeOffice2007WeekView Overview


%%PageItemTitle%%

CalendarThemeOffice2007WeekView Object

See Also Calendar ActiveX Control v19.3

Day Property

Description

Day properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Day() As CalendarThemeOffice2007WeekViewDay

See Also

CalendarThemeOffice2007WeekView Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekView Object

See Also Calendar ActiveX Control v19.3

Event Property

Description

Inherit properties from the base object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarThemeOffice2007WeekViewEvent

See Also

CalendarThemeOffice2007WeekView Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewDay Object

Description

This interface represents properties for a day object in WeekView.

For a list of all members defined in this module, see CalendarThemeOffice2007WeekViewDay members.

Object Model

See Also

CalendarThemeOffice2007WeekViewDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007WeekViewDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewDay Object Members

Public Properties

Public Property BackgroundDarkColor | Background Color for week days after/before current (and for other next nearest weeks).
Public Property BackgroundLightColor | Background Color for current week days (and for other next nearest weeks).
Public Property BackgroundSelectedColor | Background Color for week days that are currently selected.
Public Property BorderColor | Color of border drawn around each day in the week.
Public Property Header | Inherit properties from WeekView header object.
Public Property MultiDayEvent | Inherit properties from WeekView event object.
Public Property SingleDayEvent | Inherit properties from WeekView event object.
Public Property TodayBorderColor | Color of border drawn around the "today" day.
Public Property UseOffice2003HeaderFormat | Specifies whether to use the Office 2003 style header format.

See Also

CalendarThemeOffice2007WeekViewDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundDarkColor Property

Description

Background Color for week days after/before current (and for other next nearest weeks).

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundDarkColor() As ULong

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundLightColor Property

Description

Background Color for current week days (and for other next nearest weeks).

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundLightColor() As ULong

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

BackgroundSelectedColor Property

Description

Background Color for week days that are currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundSelectedColor() As ULong

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

BorderColor Property

Description

Color of border drawn around each day in the week.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

Header Property

Description

Inherit properties from WeekView header object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As CalendarThemeOffice2007Header

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

MultiDayEvent Property

Description

Inherit properties from WeekView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultiDayEvent() As CalendarThemeOffice2007WeekViewEventMultiDay

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

SingleDayEvent Property

Description

Inherit properties from WeekView event object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SingleDayEvent() As CalendarThemeOffice2007WeekViewEventSingleDay

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

TodayBorderColor Property

Description

Color of border drawn around the "today" day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TodayBorderColor() As ULong

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewDay Object

See Also Calendar ActiveX Control v19.3

UseOffice2003HeaderFormat Property

Description

Specifies whether to use the Office 2003 style header format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseOffice2003HeaderFormat() As Boolean

See Also

CalendarThemeOffice2007WeekViewDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEvent Object

Description

This interface represents properties for an event object displayed in WeekView.

For a list of all members defined in this module, see CalendarThemeOffice2007WeekViewEvent members.

Object Model

See Also

CalendarThemeOffice2007WeekViewEvent Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007WeekViewEvent Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEvent Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007WeekViewEvent Overview


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEvent Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEvent Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEventMultiDay Object

Description

This interface represents properties for a multiple day event object displayed in WeekView.

For a list of all members defined in this module, see CalendarThemeOffice2007WeekViewEventMultiDay members.

Object Model

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007WeekViewEventMultiDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEventMultiDay Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property GripperBackgroundColor | Gets\sets the background color of the event gripper when being resized or moved.
Public Property GripperBorderColor | Gets\sets the border color of the event gripper when being resized or moved.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBackgroundColor Property

Description

Gets\sets the background color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBackgroundColor() As ULong

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

GripperBorderColor Property

Description

Gets\sets the border color of the event gripper when being resized or moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperBorderColor() As ULong

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventMultiDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEventMultiDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventSingleDay Members

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEventSingleDay Object

Description

This interface represents properties for a single all day event object displayed in WeekView.

For a list of all members defined in this module, see CalendarThemeOffice2007WeekViewEventSingleDay members.

Object Model

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Members


%%PageItemTitle%% $$Members$$

CalendarThemeOffice2007WeekViewEventSingleDay Overview

See Also Calendar ActiveX Control v19.3

CalendarThemeOffice2007WeekViewEventSingleDay Object Members

Public Properties

Public Property EventIconsToDraw | Options to draw standard event glyphs.
Public Property HeightFormula | MulDiv Formula parameters to calculate minimal event height.
Public Property Normal | Properties for event elements in normal state.
Public Property Selected | Properties for selected event elements.

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Overview


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

EventIconsToDraw Property

Description

Options to draw standard event glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EventIconsToDraw() As CalendarThemeEventIconsToDraw

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

HeightFormula Property

Description

MulDiv Formula parameters to calculate minimal event height.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeightFormula() As CalendarThemeFormulaMulDivC

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Normal Property

Description

Properties for event elements in normal state.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Normal() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeOffice2007WeekViewEventSingleDay Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Properties for selected event elements.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As CalendarThemeOffice2007EventFontsColors

See Also

CalendarThemeOffice2007WeekViewEventSingleDay Object


%%PageItemTitle%%

CalendarThemeRect Members | BitmapBorders Property

See Also Calendar ActiveX Control v19.3

CalendarThemeRect Object

Description

Rectangle object.

For a list of all members defined in this module, see CalendarThemeRect members.

Remarks

The CalendarThemeRect object defines the coordinates of the upper-left and lower-right corners of a rectangle.

See Also

CalendarThemeRect Members | BitmapBorders Property


%%PageItemTitle%% $$Members$$

CalendarThemeRect Overview | BitmapBorders Property

See Also Calendar ActiveX Control v19.3

CalendarThemeRect Object Members

Public Properties

Public Property bottom | Specifies the y-coordinate of the lower-right corner of a rectangle.
Public Property left | Specifies the x-coordinate of the upper-left corner of a rectangle.
Public Property right | Specifies the x-coordinate of the lower-right corner of a rectangle.
Public Property top | Specifies the y-coordinate of the upper-left corner of a rectangle.

See Also

CalendarThemeRect Overview | BitmapBorders Property


%%PageItemTitle%%

CalendarThemeRect Object

See Also Calendar ActiveX Control v19.3

bottom Property

Description

Specifies the y-coordinate of the lower-right corner of a rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property bottom() As Long

See Also

CalendarThemeRect Object


%%PageItemTitle%%

CalendarThemeRect Object

See Also Calendar ActiveX Control v19.3

left Property

Description

Specifies the x-coordinate of the upper-left corner of a rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property left() As Long

See Also

CalendarThemeRect Object


%%PageItemTitle%%

CalendarThemeRect Object

See Also Calendar ActiveX Control v19.3

right Property

Description

Specifies the x-coordinate of the lower-right corner of a rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property right() As Long

See Also

CalendarThemeRect Object


%%PageItemTitle%%

CalendarThemeRect Object

See Also Calendar ActiveX Control v19.3

top Property

Description

Specifies the y-coordinate of the upper-left corner of a rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property top() As Long

See Also

CalendarThemeRect Object


%%PageItemTitle%%

CalendarTimeLineView Members

See Also Calendar ActiveX Control v19.3

CalendarTimeLineView Object

Description

Outlook 2003\2007 style time line view.

For a list of all members defined in this module, see CalendarTimeLineView members.

Object Model

See Also

CalendarTimeLineView Members


%%PageItemTitle%% $$Members$$

CalendarTimeLineView Overview

See Also Calendar ActiveX Control v19.3

CalendarTimeLineView Object Members

Public Methods

Public Method Copy | Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method Cut | Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method EnableHScroll | Enables or Disabled horizontal scrolling.
Public Method EnableVScroll | Enables or Disabled vertical scrolling.
Public Method HitTest | This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.
Public Method HitTestEx | This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.
Public Method Paste | Inserts the contents of the clipboard at the current location.
Public Method Redo | Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.
Public Method ResetSelection | Resets the current selection.
Public Method SelectViewEvent | Used to select or un-select an event in the current view.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the view.
Public Method ShowDay | Used to show a specific day in the calendar view.
Public Method Undo | Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.
Public Method UnselectAllEvents | Un-selects all of the events of the current view.

Public Properties

Public Property BackgroundColor | Gets or sets the background color of the time line view.
Public Property CanCopy | Determines if the Copy operation can currently be performed.
Public Property CanCut | Determines if the Cut operation can currently be performed.
Public Property CanPaste | Determines if the Paste operation can currently be performed.
Public Property CanRedo | Determines if the Redo operation can currently be performed.
Public Property CanUndo | Determines if the Undo operation can currently be performed.
Public Property DayHeaderFormatLong | Day header Long date format custom string.
Public Property DayHeaderFormatMiddle | Day header Middle date format custom string.
Public Property DayHeaderFormatShort | Day header Short date format custom string.
Public Property DayHeaderFormatShortest | Day header Shortest date format custom string.
Public Property Days | Get a CalendarViewDay object by the day's index in the current view.
Public Property DaysCount | Number of "day views" in the view collection.
Public Property EventBarColor | Gets or sets the color of Event Bar when in the time scale.
Public Property EventBarLineColor | Gets or sets the color of the Event Bar Line in the time scale.
Public Property GetSelectedEvents | Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.
Public Property MaxPixelsForEvent | Maximum pixel used to draw an event when in the default timeline scale.
Public Property MaxPixelsForEvent_ScaleDay | Maximum pixel used to draw an event when in day timeline scale.
Public Property MaxPixelsForEvent_ScaleWeek | Maximum pixel used to draw an event when in week timeline scale.
Public Property MultipleResources | Collection of CalendarResources for the view.
Public Property ScaleBackgroundColor | Gets or sets the background color of the time scale.
Public Property ScaleBorderColor | Gets or sets the border color of the time scale.
Public Property ScaleHighlightColor | Gets or sets the highlight color for highlighted items in the time scale.
Public Property ScaleTextColor | Gets or sets the text color of the time scale.
Public Property SelectedBackgroundColor | Gets or sets the background color of selected days in the time scale.
Public Property SelectedTextColor | Gets or sets the color of text when selected in the time scale.
Public Property Selection | Returns the Time Range and CalendarViewGroup that is currently selected.
Public Property SeparateGroup | Specifies whether the separator group line is displayed.
Public Property TextColor | Gets or sets the color of text in the time scale.
Public Property TimeScaleID | Gets\sets the scale of the timeline (week, month, day, etc.)
Public Property TimeScaleMaxTime | Sets the maximum time which is shown on the day view scale.
Public Property TimeScaleMinTime | Sets the minimum time which is shown on the day view scale.

See Also

CalendarTimeLineView Overview


%%PageItemTitle%%

CalendarTimeLineView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Copy Method

Description

Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Copy()

Remarks

If one or more events are selected, the copy operation will place the event(s) on the clipboard. If an event is in edit mode, the the copy operation will copy the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will not be removed.

The CanCopy property is used to determine if the copy operation can currently be performed.

See Also

CalendarTimeLineView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarTimeLineView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property

See Also Calendar ActiveX Control v19.3

Cut Method

Description

Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Cut()

Remarks

If one or more events are selected, the cut operation will place the event(s) on the clipboard. If an event is in edit mode, the the cut operation will cut the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will be removed from the calendar until it is pasted back into the calendar.

The CanCut property is used to determine if the cut operation can currently be performed.

See Also

CalendarTimeLineView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property


%%PageItemTitle%%

CalendarTimeLineView Object

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

See Also Calendar ActiveX Control v19.3

EnableHScroll Method

Description

Enables or Disabled horizontal scrolling.

Syntax

Public Sub EnableHScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

Remarks

If False, then the horizontal scroll bar is removed and the view can not be scrolled horizontally.

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

See Also Calendar ActiveX Control v19.3

EnableVScroll Method

Description

Enables or Disabled vertical scrolling.

Syntax

Public Sub EnableVScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

Remarks

If False, then the vertical scroll bar is removed and the view can not be scrolled vertically.

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.

Syntax

Public Function HitTest() As CalendarHitTestInfo

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the XY point of the mouse cursor in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarTimeLineView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarTimeLineView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object

x

X coordinate of a point in the current view.

y

Y coordinate of a point in the current view.

See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As CalendarHitTestInfo

Parameters

x

X coordinate of a point in the current view.

y

Y coordinate of a point in the current view.

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the specified XY point in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarTimeLineView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarTimeLineView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property

See Also Calendar ActiveX Control v19.3

Paste Method

Description

Inserts the contents of the clipboard at the current location.

Syntax

Public Sub Paste()

Remarks

The CanPaste method is used to determine if the contents of the clipboard can be pasted.

If an event is currently on the clipboard, then the Paste operation will paste the event(s) at the currently selected time slot in the Calendar view.

If text is currently on the clipboard, then the Paste operation will paste the text at the current cursor position in the event's subject if an event is in edit mode.

See Also

CalendarTimeLineView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Redo Method

Description

Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.

Syntax

Public Sub Redo()

Remarks

The CanRedo property is used to determine if the Redo operation can currently be performed. Redo will only redo event resizing and event subject editing.

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarTimeLineView Object | GetSelection Method | SetSelection Method

See Also Calendar ActiveX Control v19.3

ResetSelection Method

Description

Resets the current selection.

Syntax

Public Sub ResetSelection()

Remarks

The ResetSelection method programmatically clears the current selection.

See Also

CalendarTimeLineView Object | GetSelection Method | SetSelection Method


%%PageItemTitle%%

CalendarTimeLineView Object

ViewEvent

Pointer to a CalendarViewEvent in the current view to select or un-select.

Select

True to select the event.

False to un-select the event.

See Also Calendar ActiveX Control v19.3

SelectViewEvent Method

Description

Used to select or un-select an event in the current view.

Syntax

Public Sub SelectViewEvent( _
   ByVal ViewEvent As CalendarViewEvent, _
   ByVal Select As Boolean _
)

Parameters

ViewEvent

Pointer to a CalendarViewEvent in the current view to select or un-select.

Select

True to select the event.

False to un-select the event.

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | MultipleResources Property

MultipleResources

Reference to a CalendarResources collection to set as the view's new resource collection.

See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the view.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources

Reference to a CalendarResources collection to set as the view's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarTimeLineView Object | MultipleResources Property


%%PageItemTitle%%

CalendarTimeLineView Object

Day

[in] Date\DteTime object specifying the date to show in the current view.

Select

[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

See Also Calendar ActiveX Control v19.3

ShowDay Method

Description

Used to show a specific day in the calendar view.

Syntax

Public Sub ShowDay( _
   ByVal Day As Date, _
   Optional ByVal Select As Boolean = True _
)

Parameters

Day

[in] Date\DteTime object specifying the date to show in the current view.

Select

[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

Remarks

When in Day or WorkWeek view, ShowDay will show only the specified day in the calendar view. When in Week or Month view, ShowDay will ensure that the provided date is visible and selected if desired.

Example

[ShowDay Sample (Visual Basic)] This sample illustrates how to show a date it both day view and month view.

    Dim d As Date
    d = #10/10/2004#

    'Show a date in Day view
    CalendarControl.DayView.ShowDay d, True

    'Show a date in Month View
    CalendarControl.ViewType = xtpCalendarMonthView
    CalendarControl.MonthView.ShowDay d, False

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property

See Also Calendar ActiveX Control v19.3

Undo Method

Description

Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.

Syntax

Public Sub Undo()

Remarks

Undo will not be available if there was no previous edit, or if any other action has been performed after the last edit.

Note: You can't undo a Cut operation using the Undo command.

See Also

CalendarTimeLineView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property


%%PageItemTitle%%

CalendarTimeLineView Object | GetSelection Method

See Also Calendar ActiveX Control v19.3

UnselectAllEvents Method

Description

Un-selects all of the events of the current view.

Syntax

Public Sub UnselectAllEvents()

See Also

CalendarTimeLineView Object | GetSelection Method


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

BackgroundColor Property

Description

Gets or sets the background color of the time line view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCopy Property

Description

Determines if the Copy operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

The Copy operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCut Property

Description

Determines if the Cut operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

The Cut operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanPaste Property

Description

Determines if the Paste operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanRedo Property

Description

Determines if the Redo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property


%%PageItemTitle%%

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanUndo Property

Description

Determines if the Undo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

CalendarTimeLineView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatLong Property

Description

Day header Long date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatLong() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn in the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Format Day Header Date String Sample (Visual Basic)] This sample illulstrates how to format the day header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.ActiveView.DayHeaderFormatLong = "ddd, dd MMMM yyyy"
    CalendarControl.ActiveView.DayHeaderFormatMiddle = "ddd, dd MMM yy"
    CalendarControl.ActiveView.DayHeaderFormatShort = "dd MMM "
    CalendarControl.ActiveView.DayHeaderFormatShortest = "dd.MM"
    CalendarControl.Populate

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatMiddle Property

Description

Day header Middle date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatMiddle() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarTimeLineView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShort Property

Description

Day header Short date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShort() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarTimeLineView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShortest Property

Description

Day header Shortest date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShortest() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarTimeLineView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarTimeLineView Object | DaysCount Property

nIndex

[in] An integer that contains the index of a day in the day view collection.

See Also Calendar ActiveX Control v19.3

Days Property

Description

Get a CalendarViewDay object by the day's index in the current view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Days( _
   ByVal nIndex As Long _
) As CalendarViewDay

Parameters

nIndex

[in] An integer that contains the index of a day in the day view collection.

Remarks

Index numbers start with 0 and cannot be negative.

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarTimeLineView Object | DaysCount Property


%%PageItemTitle%%

CalendarTimeLineView Object | Days Property

See Also Calendar ActiveX Control v19.3

DaysCount Property

Description

Number of "day views" in the view collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DaysCount() As Long

Remarks

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarTimeLineView Object | Days Property


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

EventBarColor Property

Description

Gets or sets the color of Event Bar when in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EventBarColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

EventBarLineColor Property

Description

Gets or sets the color of the Event Bar Line in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EventBarLineColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | SelectViewEvent Method | UnselectAllEvents Method

See Also Calendar ActiveX Control v19.3

GetSelectedEvents Property

Description

Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetSelectedEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents object will contain a CalendarViewEvent object for each event that is selected in the current view.

Note: If an event that is selected spans more than one day (multi-day event) there will be two CalendarViewEvent objects that represent the same event. Multi-day events have a separate CalendarViewEvent object for each day.

See Also

CalendarTimeLineView Object | SelectViewEvent Method | UnselectAllEvents Method


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

MaxPixelsForEvent Property

Description

Maximum pixel used to draw an event when in the default timeline scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPixelsForEvent() As Long

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

MaxPixelsForEvent_ScaleDay Property

Description

Maximum pixel used to draw an event when in day timeline scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPixelsForEvent_ScaleDay() As Long

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

MaxPixelsForEvent_ScaleWeek Property

Description

Maximum pixel used to draw an event when in week timeline scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPixelsForEvent_ScaleWeek() As Long

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarTimeLineView Object | SetMultipleResources Method


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

ScaleBackgroundColor Property

Description

Gets or sets the background color of the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleBackgroundColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

ScaleBorderColor Property

Description

Gets or sets the border color of the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleBorderColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

ScaleHighlightColor Property

Description

Gets or sets the highlight color for highlighted items in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleHighlightColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

ScaleTextColor Property

Description

Gets or sets the text color of the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleTextColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

SelectedBackgroundColor Property

Description

Gets or sets the background color of selected days in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedBackgroundColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

SelectedTextColor Property

Description

Gets or sets the color of text when selected in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedTextColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Returns the Time Range and CalendarViewGroup that is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As CalendarViewSelection

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

SeparateGroup Property

Description

Specifies whether the separator group line is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SeparateGroup() As Boolean

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

TextColor Property

Description

Gets or sets the color of text in the time scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

TimeScaleID Property

Description

Gets\sets the scale of the timeline (week, month, day, etc.)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScaleID() As Integer

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

TimeScaleMaxTime Property

Description

Sets the maximum time which is shown on the day view scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScaleMaxTime() As Date

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeLineView Object

See Also Calendar ActiveX Control v19.3

TimeScaleMinTime Property

Description

Sets the minimum time which is shown on the day view scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeScaleMinTime() As Date

See Also

CalendarTimeLineView Object


%%PageItemTitle%%

CalendarTimeZone Members

See Also Calendar ActiveX Control v19.3

CalendarTimeZone Object

Description

The CalendarTimeZone object specifies information specific to the time zone.

For a list of all members defined in this module, see CalendarTimeZone members.

Object Model

See Also

CalendarTimeZone Members


%%PageItemTitle%% $$Members$$

CalendarTimeZone Overview

See Also Calendar ActiveX Control v19.3

CalendarTimeZone Object Members

Public Methods

Public Method IsEqual Compares 2 time zone's data.

Public Properties

Public Property Bias | Current bias for local time translation on this computer, in minutes.
Public Property DaylightBias | Bias value to be used during local time translations that occur during daylight saving time.
Public Property DaylightDate | A CalendarSystemTime structure that contains a date and local time when the transition from standard time to daylight saving time occurs on this operating system.
Public Property DaylightName | Pointer to a null-terminated string associated with daylight saving time on this operating system.
Public Property DisplayString | Gets a time zone display string value.
Public Property StandardBias | Bias value to be used during local time translations that occur during standard time.
Public Property StandardDate | A CalendarSystemTime structure that contains a date and local time when the transition from daylight saving time to standard time occurs on this operating system.
Public Property StandardName |

See Also

CalendarTimeZone Overview


%%PageItemTitle%%

CalendarTimeZone Object

pTZI2
The CalendarTimeZone object to be compared.
See Also Calendar ActiveX Control v19.3

IsEqual Method

Description

Compares 2 time zone's data.

Syntax

Public Function IsEqual( _
   ByVal pTZI2 As CalendarTimeZone _
) As Boolean

Parameters

pTZI2
The CalendarTimeZone object to be compared.

Return Type

Returns True if the 2 time zone's data are the same time zone,
Otherwise - False.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

Bias Property

Description

Current bias for local time translation on this computer, in minutes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bias() As Long

Remarks

Current bias for local time translation on this computer, in minutes. The bias is the difference, in minutes, between Coordinated Universal Time (UTC) and local time. All translations between UTC and local time are based on the following formula:

UTC = local time + bias

This member is required.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

DaylightBias Property

Description

Bias value to be used during local time translations that occur during daylight saving time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DaylightBias() As Long

Remarks

Bias value to be used during local time translations that occur during daylight saving time. This member is ignored if a value for the DaylightDate member is not supplied.

This value is added to the value of the Bias member to form the bias used during daylight saving time. In most time zones, the value of this member is  60.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

DaylightDate Property

Description

A CalendarSystemTime structure that contains a date and local time when the transition from standard time to daylight saving time occurs on this operating system.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DaylightDate() As CalendarSystemTime

Remarks

A CalendarSystemTime object that contains a date and local time when the transition from standard time to daylight saving time occurs on this operating system. If this date is not specified, the wMonth member in the CalendarSystemTime object must be zero. If this date is specified, the StandardDate value in the CalendarTimeZone object must also be specified.

To select the correct day in the month, set the wYear member to zero, the wDayOfWeek member to an appropriate weekday, and the wDay member to a value in the range 1 through 5. Using this notation, the first Sunday in April can be specified, as can the last Thursday in October (5 is equal to "the last").

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

DaylightName Property

Description

Pointer to a null-terminated string associated with daylight saving time on this operating system.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DaylightName() As String

Remarks

Pointer to a null-terminated string associated with daylight saving time on this operating system. For example, this member could contain "PDT" to indicate Pacific Daylight Time. This string can be empty.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

DisplayString Property

Description

Gets a time zone display string value.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DisplayString() As String

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

StandardBias Property

Description

Bias value to be used during local time translations that occur during standard time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StandardBias() As Long

Remarks

Bias value to be used during local time translations that occur during standard time. This member is ignored if a value for the StandardDate member is not supplied.

This value is added to the value of the Bias member to form the bias used during standard time. In most time zones, the value of this member is zero.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

StandardDate Property

Description

A CalendarSystemTime structure that contains a date and local time when the transition from daylight saving time to standard time occurs on this operating system.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StandardDate() As CalendarSystemTime

Remarks

A CalendarSystemTime object that contains a date and local time when the transition from daylight saving time to standard time occurs on this operating system. If this date is not specified, the wMonth member in the CalendarSystemTime object must be zero. If this date is specified, the DaylightDate value in the CalendarTimeZone object must also be specified.

To select the correct day in the month, set the wYear member to zero, the wDayOfWeek member to an appropriate weekday, and the wDay member to a value in the range 1 through 5. Using this notation, the first Sunday in April can be specified, as can the last Thursday in October (5 is equal to "the last").

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZone Object

See Also Calendar ActiveX Control v19.3

StandardName Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StandardName() As String

Remarks

Pointer to a null-terminated string associated with standard time on this operating system. For example, this member could contain "EST" to indicate Eastern Standard Time. This string can be empty.

See Also

CalendarTimeZone Object


%%PageItemTitle%%

CalendarTimeZones Members | EnumAllTimeZones Method | Item Property

See Also Calendar ActiveX Control v19.3

CalendarTimeZones Collection

Description

This object represents a simple array collection of CalendarTimeZone objects.

For a list of all members defined in this module, see CalendarTimeZones members.

Object Model

Remarks

Array indexes always start at position 0.

All time zones are automatically read from the registry and added to the collection when using the EnumAllTimeZones method.

When populated by the EnumAllTimeZones method, the times zones stores in the Item collection can be used to populate a list box, combo box, etc.

Example

[EnumAllTimeZones Sample (Visual Basic)] This sample illustrates how to populate a CalendarTimeZones array collection with all of the available time zone on a computer.

    Dim AllTimeZones As CalendarTimeZones
    Set AllTimeZones = CalendarControl.Options.EnumAllTimeZones

See Also

CalendarTimeZones Members | EnumAllTimeZones Method | Item Property


%%PageItemTitle%% $$Members$$

CalendarTimeZones Overview | EnumAllTimeZones Method | Item Property

See Also Calendar ActiveX Control v19.3

CalendarTimeZones Collection Members

Public Properties

Public Property Count | Gets the number of elements in this collection.
Public Property Item | A Collection of CalendarTimeZone objects.

See Also

CalendarTimeZones Overview | EnumAllTimeZones Method | Item Property


%%PageItemTitle%%

CalendarTimeZones Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Gets the number of elements in this collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarTimeZones Collection


%%PageItemTitle%%

CalendarTimeZones Collection | Count Property

nIndex
An integer index that is greater than or equal to 0 and less than the value returned by Count.
See Also Calendar ActiveX Control v19.3

Item Property

Description

A Collection of CalendarTimeZone objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal nIndex As Long _
) As CalendarTimeZone

Parameters

nIndex
An integer index that is greater than or equal to 0 and less than the value returned by Count.

Remarks

The Item collection returns an element at the specified numeric index.

See Also

CalendarTimeZones Collection | Count Property


%%PageItemTitle%%

CalendarUserAction Members

See Also Calendar ActiveX Control v19.3

CalendarUserAction Object

For a list of all members defined in this module, see CalendarUserAction members.

Object Model

See Also

CalendarUserAction Members


%%PageItemTitle%% $$Members$$

CalendarUserAction Overview

See Also Calendar ActiveX Control v19.3

CalendarUserAction Object Members

Public Properties

Public Property Action
Public Property ExpandDayButton
Public Property ScrollDayButton
Public Property ViewDay
Public Property ViewGroup

See Also

CalendarUserAction Overview


%%PageItemTitle%%

CalendarUserAction Object

See Also Calendar ActiveX Control v19.3

Action Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As XTPCalendarUserAction

See Also

CalendarUserAction Object


%%PageItemTitle%%

CalendarUserAction Object

See Also Calendar ActiveX Control v19.3

ExpandDayButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandDayButton() As XTPCalendarExpandDayButton

See Also

CalendarUserAction Object


%%PageItemTitle%%

CalendarUserAction Object

See Also Calendar ActiveX Control v19.3

ScrollDayButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollDayButton() As XTPCalendarScrollDayButton

See Also

CalendarUserAction Object


%%PageItemTitle%%

CalendarUserAction Object

See Also Calendar ActiveX Control v19.3

ViewDay Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewDay() As CalendarViewDay

See Also

CalendarUserAction Object


%%PageItemTitle%%

CalendarUserAction Object

See Also Calendar ActiveX Control v19.3

ViewGroup Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewGroup() As CalendarViewGroup

See Also

CalendarUserAction Object


%%PageItemTitle%%

CalendarView Members

See Also Calendar ActiveX Control v19.3

CalendarView Object

Description

This object represents the current view portion of the Calendar control.

For a list of all members defined in this module, see CalendarView members.

Object Model

Remarks

It represents a specific view of the Control's associated events data and provides basic functionality on the data using user
input through the keyboard and mouse.

The following predefined view implementations are available for the Calendar control: Day and work week views, Week view, and Month view.

Furthermore, any number of days can be displayed while in Day View.

See Also

CalendarView Members


%%PageItemTitle%% $$Members$$

CalendarView Overview

See Also Calendar ActiveX Control v19.3

CalendarView Object Members

Public Methods

Public Method Copy | Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method Cut | Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method EnableHScroll | Enables or Disabled horizontal scrolling.
Public Method EnableVScroll | Enables or Disabled vertical scrolling.
Public Method HitTest | This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.
Public Method HitTestEx | This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.
Public Method Paste | Inserts the contents of the clipboard at the current location.
Public Method Redo | Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.
Public Method ResetSelection | Resets the current selection.
Public Method SelectViewEvent | Used to select or un-select an event in the current view.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the view.
Public Method ShowDay | Used to show a specific day in the calendar view.
Public Method Undo | Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.
Public Method UnselectAllEvents | Un-selects all of the events of the current view.

Public Properties

Public Property CanCopy | Determines if the Copy operation can currently be performed.
Public Property CanCut | Determines if the Cut operation can currently be performed.
Public Property CanPaste | Determines if the Paste operation can currently be performed.
Public Property CanRedo | Determines if the Redo operation can currently be performed.
Public Property CanStartEdit | Returns whether editing of the view is possible.
Public Property CanUndo | Determines if the Undo operation can currently be performed.
Public Property DayHeaderFormatLong | Day header Long date format custom string.
Public Property DayHeaderFormatMiddle | Day header Middle date format custom string.
Public Property DayHeaderFormatShort | Day header Short date format custom string.
Public Property DayHeaderFormatShortest | Day header Shortest date format custom string.
Public Property Days | Get a CalendarViewDay object by the day's index in the current view.
Public Property DaysCount | Number of "day views" in the view collection.
Public Property GetSelectedEvents | Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.
Public Property MultipleResources | Collection of CalendarResources for the view.
Public Property Selection | Returns the Time Range and CalendarViewGroup that is currently selected.

See Also

CalendarView Overview


%%PageItemTitle%%

CalendarView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Copy Method

Description

Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Copy()

Remarks

If one or more events are selected, the copy operation will place the event(s) on the clipboard. If an event is in edit mode, the the copy operation will copy the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will not be removed.

The CanCopy property is used to determine if the copy operation can currently be performed.

See Also

CalendarView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property

See Also Calendar ActiveX Control v19.3

Cut Method

Description

Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Cut()

Remarks

If one or more events are selected, the cut operation will place the event(s) on the clipboard. If an event is in edit mode, the the cut operation will cut the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will be removed from the calendar until it is pasted back into the calendar.

The CanCut property is used to determine if the cut operation can currently be performed.

See Also

CalendarView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property


%%PageItemTitle%%

CalendarView Object

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

See Also Calendar ActiveX Control v19.3

EnableHScroll Method

Description

Enables or Disabled horizontal scrolling.

Syntax

Public Sub EnableHScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

Remarks

If False, then the horizontal scroll bar is removed and the view can not be scrolled horizontally.

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

See Also Calendar ActiveX Control v19.3

EnableVScroll Method

Description

Enables or Disabled vertical scrolling.

Syntax

Public Sub EnableVScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

Remarks

If False, then the vertical scroll bar is removed and the view can not be scrolled vertically.

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.

Syntax

Public Function HitTest() As CalendarHitTestInfo

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the XY point of the mouse cursor in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.
See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As CalendarHitTestInfo

Parameters

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the specified XY point in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarView Object | CalendarHitTestCode Enumeration | CalendarHitTestInfo Object


%%PageItemTitle%%

CalendarView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property

See Also Calendar ActiveX Control v19.3

Paste Method

Description

Inserts the contents of the clipboard at the current location.

Syntax

Public Sub Paste()

Remarks

The CanPaste method is used to determine if the contents of the clipboard can be pasted.

If an event is currently on the clipboard, then the Paste operation will paste the event(s) at the currently selected time slot in the Calendar view.

If text is currently on the clipboard, then the Paste operation will paste the text at the current cursor position in the event's subject if an event is in edit mode.

See Also

CalendarView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Redo Method

Description

Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.

Syntax

Public Sub Redo()

Remarks

The CanRedo property is used to determine if the Redo operation can currently be performed. Redo will only redo event resizing and event subject editing.

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarView Object | GetSelection Method | SetSelection Method

See Also Calendar ActiveX Control v19.3

ResetSelection Method

Description

Resets the current selection.

Syntax

Public Sub ResetSelection()

Remarks

The ResetSelection method programmatically clears the current selection.

See Also

CalendarView Object | GetSelection Method | SetSelection Method


%%PageItemTitle%%

CalendarView Object

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also Calendar ActiveX Control v19.3

SelectViewEvent Method

Description

Used to select or un-select an event in the current view.

Syntax

Public Sub SelectViewEvent( _
   ByVal ViewEvent As CalendarViewEvent, _
   ByVal Select As Boolean _
)

Parameters

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object | MultipleResources Property

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the view.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarView Object | MultipleResources Property


%%PageItemTitle%%

CalendarView Object

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.
See Also Calendar ActiveX Control v19.3

ShowDay Method

Description

Used to show a specific day in the calendar view.

Syntax

Public Sub ShowDay( _
   ByVal Day As Date, _
   Optional ByVal Select As Boolean = True _
)

Parameters

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

Remarks

When in Day or WorkWeek view, ShowDay will show only the specified day in the calendar view. When in Week or Month view, ShowDay will ensure that the provided date is visible and selected if desired.

Example

[ShowDay Sample (Visual Basic)] This sample illustrates how to show a date it both day view and month view.

    Dim d As Date
    d = #10/10/2004#

    'Show a date in Day view
    CalendarControl.DayView.ShowDay d, True

    'Show a date in Month View
    CalendarControl.ViewType = xtpCalendarMonthView
    CalendarControl.MonthView.ShowDay d, False

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property

See Also Calendar ActiveX Control v19.3

Undo Method

Description

Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.

Syntax

Public Sub Undo()

Remarks

Undo will not be available if there was no previous edit, or if any other action has been performed after the last edit.

Note: You can't undo a Cut operation using the Undo command.

See Also

CalendarView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property


%%PageItemTitle%%

CalendarView Object | GetSelection Method

See Also Calendar ActiveX Control v19.3

UnselectAllEvents Method

Description

Un-selects all of the events of the current view.

Syntax

Public Sub UnselectAllEvents()

See Also

CalendarView Object | GetSelection Method


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCopy Property

Description

Determines if the Copy operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

The Copy operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCut Property

Description

Determines if the Cut operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

The Cut operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanPaste Property

Description

Determines if the Paste operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanRedo Property

Description

Determines if the Redo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

CanStartEdit Property

Description

Returns whether editing of the view is possible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanStartEdit() As Boolean

Remarks

Will return true if the user is not currently dragging or editing the subject of an event.

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanUndo Property

Description

Determines if the Undo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

CalendarView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatLong Property

Description

Day header Long date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatLong() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn in the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Format Day Header Date String Sample (Visual Basic)] This sample illulstrates how to format the day header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.ActiveView.DayHeaderFormatLong = "ddd, dd MMMM yyyy"
    CalendarControl.ActiveView.DayHeaderFormatMiddle = "ddd, dd MMM yy"
    CalendarControl.ActiveView.DayHeaderFormatShort = "dd MMM "
    CalendarControl.ActiveView.DayHeaderFormatShortest = "dd.MM"
    CalendarControl.Populate

See Also

CalendarView Object


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatMiddle Property

Description

Day header Middle date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatMiddle() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShort Property

Description

Day header Short date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShort() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShortest Property

Description

Day header Shortest date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShortest() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarView Object | DaysCount Property

nIndex
[in] An integer that contains the index of a day in the day view collection.
See Also Calendar ActiveX Control v19.3

Days Property

Description

Get a CalendarViewDay object by the day's index in the current view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Days( _
   ByVal nIndex As Long _
) As CalendarViewDay

Parameters

nIndex
[in] An integer that contains the index of a day in the day view collection.

Remarks

Index numbers start with 0 and cannot be negative.

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarView Object | DaysCount Property


%%PageItemTitle%%

CalendarView Object | Days Property

See Also Calendar ActiveX Control v19.3

DaysCount Property

Description

Number of "day views" in the view collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DaysCount() As Long

Remarks

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarView Object | Days Property


%%PageItemTitle%%

CalendarView Object | SelectViewEvent Method | UnselectAllEvents Method

See Also Calendar ActiveX Control v19.3

GetSelectedEvents Property

Description

Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetSelectedEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents object will contain a CalendarViewEvent object for each event that is selected in the current view.

Note: If an event that is selected spans more than one day (multi-day event) there will be two CalendarViewEvent objects that represent the same event. Multi-day events have a separate CalendarViewEvent object for each day.

See Also

CalendarView Object | SelectViewEvent Method | UnselectAllEvents Method


%%PageItemTitle%%

CalendarView Object | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarView Object | SetMultipleResources Method


%%PageItemTitle%%

CalendarView Object

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Returns the Time Range and CalendarViewGroup that is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As CalendarViewSelection

See Also

CalendarView Object


%%PageItemTitle%%

CalendarViewDay Members | Days Collection Property

See Also Calendar ActiveX Control v19.3

CalendarViewDay Object

Description

The CalendarViewDay Object represents a single "day" in the Calendar Control.

For a list of all members defined in this module, see CalendarViewDay members.

Object Model

Remarks

Each of the views (Day, Month, Week) has a collection of CalendarViewDay objects that contain the days in the view. The CalendarViewDay object contains the date, current view, collection of events in the day, and the total number of events in the day.

See Also

CalendarViewDay Members | Days Collection Property


%%PageItemTitle%% $$Members$$

CalendarViewDay Overview | Days Collection Property

See Also Calendar ActiveX Control v19.3

CalendarViewDay Object Members

Public Methods

Public Method SetMultipleResources Sets the new CalendarResources collection for the day.

Public Properties

Public Property Date | Returns the date value of the day.
Public Property MultipleResources | Obtains a pointer to a collection of CalendarResources.
Public Property View | Returns the owner view object.
Public Property ViewGroups | Reference to the CalendarViewGroups that are displayed for this day in the calendar day when in day view.

See Also

CalendarViewDay Overview | Days Collection Property


%%PageItemTitle%%

CalendarViewDay Object | PrePopulateDay Event | MultipleResources Property

MultipleResources
A pointer to the CalendarResources collection object.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the day.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
A pointer to the CalendarResources collection object.

Remarks

Call this member function to programmatically set the new resources collection for the day. Previous Calendar versions configure a resources set for a view. All days had the same resources set. SetMultipleResources allows you to configure resources for each day separately.

See PrePopulateDay description for more details.

See Also

CalendarViewDay Object | PrePopulateDay Event | MultipleResources Property


%%PageItemTitle%%

CalendarViewDay Object

See Also Calendar ActiveX Control v19.3

Date Property

Description

Returns the date value of the day.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Date() As Date

See Also

CalendarViewDay Object


%%PageItemTitle%%

CalendarViewDay Object | PrePopulateDay Event | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Obtains a pointer to a collection of CalendarResources.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

Use this property to retrieve a pointer to the CalendarResources collection of this calendar day.

See PrePopulateDay description for more details.

See Also

CalendarViewDay Object | PrePopulateDay Event | SetMultipleResources Method


%%PageItemTitle%%

CalendarViewDay Object

See Also Calendar ActiveX Control v19.3

View Property

Description

Returns the owner view object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property View() As CalendarView

See Also

CalendarViewDay Object


%%PageItemTitle%%

CalendarViewDay Object | CalendarViewGroup Object | CalendarViewGroups Object | ViewGroup Property

See Also Calendar ActiveX Control v19.3

ViewGroups Property

Description

Reference to the CalendarViewGroups that are displayed for this day in the calendar day when in day view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewGroups() As CalendarViewGroups

Remarks

Each day in the calendar can contain one or more CalendarViewGroup objects which can represent a person's schedule. CalendarViewGroups will return all the CalendarViewGroup objects displayed for this day when in day view.

See Also

CalendarViewDay Object | CalendarViewGroup Object | CalendarViewGroups Object | ViewGroup Property


%%PageItemTitle%%

CalendarViewEvent Members

See Also Calendar ActiveX Control v19.3

CalendarViewEvent Object

Description

The CalendarViewEvent Object represents a single "event view" in a day.

For a list of all members defined in this module, see CalendarViewEvent members.

Object Model

Remarks

The CalendarViewEvent Object contains a reference to the actual Event object, the selected status of the event, and the day the event belongs to.

See Also

CalendarViewEvent Members


%%PageItemTitle%% $$Members$$

CalendarViewEvent Overview

See Also Calendar ActiveX Control v19.3

CalendarViewEvent Object Members

Public Properties

Public Property Event | Returns the actual CalendarEvent object of the CalendarViewEvent.
Public Property IsVisible | Returns whether the event is currently visible to the user.
Public Property Selected | Specifies whether the event is selected.
Public Property ViewGroup | Reference to the CalendarViewGroup that this event is currently displayed in.

See Also

CalendarViewEvent Overview


%%PageItemTitle%%

CalendarViewEvent Object

See Also Calendar ActiveX Control v19.3

Event Property

Description

Returns the actual CalendarEvent object of the CalendarViewEvent.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As CalendarEvent

See Also

CalendarViewEvent Object


%%PageItemTitle%%

CalendarViewEvent Object

See Also Calendar ActiveX Control v19.3

IsVisible Property

Description

Returns whether the event is currently visible to the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsVisible() As Boolean

See Also

CalendarViewEvent Object


%%PageItemTitle%%

CalendarViewEvent Object

See Also Calendar ActiveX Control v19.3

Selected Property

Description

Specifies whether the event is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

CalendarViewEvent Object


%%PageItemTitle%%

CalendarViewEvent Object | CalendarViewGroup Object | CalendarViewGroups Object

See Also Calendar ActiveX Control v19.3

ViewGroup Property

Description

Reference to the CalendarViewGroup that this event is currently displayed in.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewGroup() As CalendarViewGroup

Remarks

Each day in the calendar can contain one or more CalendarViewGroup objects which can represent a person's schedule. ViewGroup will return which group this event is displayed in.

See Also

CalendarViewEvent Object | CalendarViewGroup Object | CalendarViewGroups Object


%%PageItemTitle%%

CalendarViewEvents Members | CalendarViewEvent Object

See Also Calendar ActiveX Control v19.3

CalendarViewEvents Collection

Description

Collection of CalendarViewEvent objects.

For a list of all members defined in this module, see CalendarViewEvents members.

Object Model

See Also

CalendarViewEvents Members | CalendarViewEvent Object


%%PageItemTitle%% $$Members$$

CalendarViewEvents Overview | CalendarViewEvent Object

See Also Calendar ActiveX Control v19.3

CalendarViewEvents Collection Members

Public Properties

Public Property Count | Returns the total number of CalendarViewEvent objects in the collection.
Public Property ViewEvent | Collection of CalendarViewEvent objects.

See Also

CalendarViewEvents Overview | CalendarViewEvent Object


%%PageItemTitle%%

CalendarViewEvents Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of CalendarViewEvent objects in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarViewEvents Collection


%%PageItemTitle%%

CalendarViewEvents Collection

nIndex
An integer that contains the index of a CalendarViewEvent object in the collection.
See Also Calendar ActiveX Control v19.3

ViewEvent Property

Description

Collection of CalendarViewEvent objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewEvent( _
   ByVal nIndex As Long _
) As CalendarViewEvent

Parameters

nIndex
An integer that contains the index of a CalendarViewEvent object in the collection.

See Also

CalendarViewEvents Collection


%%PageItemTitle%%

CalendarViewGroup Members

See Also Calendar ActiveX Control v19.3

CalendarViewGroup Object

Description

Draws a single CalendarResource for a day in the calender.

For a list of all members defined in this module, see CalendarViewGroup members.

Object Model

Remarks

When multiple resources are used each day in the calendar can contain one or more CalendarViewGroup objects. The calendar must be in day view to see the multiple resources. A group will be added for each CalendarResource that has been added. Each group will contain the events for a recourse.

There will only be one CalendarViewGroup per calendar day if multiple resources are not used or the current view is not day view. The CalendarViewGroup will contain the events for the associated day.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

See Also

CalendarViewGroup Members


%%PageItemTitle%% $$Members$$

CalendarViewGroup Overview

See Also Calendar ActiveX Control v19.3

CalendarViewGroup Object Members

Public Properties

Public Property GroupIndex | Index of the CalendarViewGroup in the Calendar Day View.
Public Property MultipleResources | Returns a reference to the collection of CalendarResources displayed for day the group is displayed in..
Public Property ViewDay | Returns a reference to the CalendarViewDay that contains the group.
Public Property ViewEvents | Reference to the CalendarViewEvents collection that contains all of the events displayed in the group.

See Also

CalendarViewGroup Overview


%%PageItemTitle%%

CalendarViewGroup Object

See Also Calendar ActiveX Control v19.3

GroupIndex Property

Description

Index of the CalendarViewGroup in the Calendar Day View.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupIndex() As Long

Remarks

When multiple resources are used each day in the calendar can contain one or more CalendarViewGroup objects. The calendar must be in day view to see the multiple resources. A group will be added for each CalendarResource that has been added. Each group will contain the events for a recourse.

There will only be one CalendarViewGroup per calendar day if multiple resources are not used or the current view is not day view. The CalendarViewGroup will contain the events for the associated day.

See Also

CalendarViewGroup Object


%%PageItemTitle%%

CalendarViewGroup Object

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Returns a reference to the collection of CalendarResources displayed for day the group is displayed in..

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

When multiple resources are used each day in the calendar can contain one or more CalendarViewGroup objects. The calendar must be in day view to see the multiple resources. A group will be added for each CalendarResource that has been added. Each group will contain the events for a recourse.

There will only be one CalendarViewGroup per calendar day if multiple resources are not used or the current view is not day view. The CalendarViewGroup will contain the events for the associated day.

See Also

CalendarViewGroup Object


%%PageItemTitle%%

CalendarViewGroup Object

See Also Calendar ActiveX Control v19.3

ViewDay Property

Description

Returns a reference to the CalendarViewDay that contains the group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewDay() As CalendarViewDay

See Also

CalendarViewGroup Object


%%PageItemTitle%%

CalendarViewGroup Object

See Also Calendar ActiveX Control v19.3

ViewEvents Property

Description

Reference to the CalendarViewEvents collection that contains all of the events displayed in the group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ViewEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents collection will contain the calendar events for a single group of a single day in the calendar.

See Also

CalendarViewGroup Object


%%PageItemTitle%%

CalendarViewGroups Members | CalendarViewGroup Object | ViewDay Property

See Also Calendar ActiveX Control v19.3

CalendarViewGroups Collection

Description

Collection of CalendarViewGroup objects that represent all the groups displayed for a single day in the calender.

For a list of all members defined in this module, see CalendarViewGroups members.

Object Model

Remarks

When multiple resources are used each day in the calendar can contain one or more CalendarViewGroup objects. The calendar must be in day view to see the multiple resources. A group will be added for each CalendarResource that has been added. Each group will contain the events for a recourse.

There will only be one CalendarViewGroupper calendar day if multiple resources are not used or the current view is not day view. The CalendarViewGroupwill contain the events for the associated day.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

See Also

CalendarViewGroups Members | CalendarViewGroup Object | ViewDay Property


%%PageItemTitle%% $$Members$$

CalendarViewGroups Overview | CalendarViewGroup Object | ViewDay Property

See Also Calendar ActiveX Control v19.3

CalendarViewGroups Collection Members

Public Properties

Public Property Count | Returns the total number of schedules currently displayed for a single day.
Public Property Item | Collection of CalendarViewGroup objects that represent all the groups displayed for a single day in the calender.

See Also

CalendarViewGroups Overview | CalendarViewGroup Object | ViewDay Property


%%PageItemTitle%%

CalendarViewGroups Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Returns the total number of schedules currently displayed for a single day.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CalendarViewGroups Collection


%%PageItemTitle%%

CalendarViewGroups Collection | CalendarViewGroup Object | ViewDay Property | CalendarResource Object

nIndex
Index of a group displayed for a day in the current view. Index number starts with 0 and cannot be negative.
See Also Calendar ActiveX Control v19.3

Item Property

Description

Collection of CalendarViewGroup objects that represent all the groups displayed for a single day in the calender.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal nIndex As Long _
) As CalendarViewGroup

Parameters

nIndex
Index of a group displayed for a day in the current view. Index number starts with 0 and cannot be negative.

Remarks

A day in the calendar when in day view can contain one or more groups. Groups are used to display a CalendarResource, which can represent a person or shared resource.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

See Also

CalendarViewGroups Collection | CalendarViewGroup Object | ViewDay Property | CalendarResource Object


%%PageItemTitle%%

CalendarViewSelection Members

See Also Calendar ActiveX Control v19.3

CalendarViewSelection Object

Description

Object used to hold the currently selected time values\ days in the current view.

For a list of all members defined in this module, see CalendarViewSelection members.

See Also

CalendarViewSelection Members


%%PageItemTitle%% $$Members$$

CalendarViewSelection Overview

See Also Calendar ActiveX Control v19.3

CalendarViewSelection Object Members

Public Properties

Public Property AllDay | Specifies whether the selection has selected an entire day.
Public Property Begin | Selection start time.
Public Property End | Selection finish time.
Public Property GroupIndex | Numeric index of the corresponding resource group.
Public Property IsValid | CHecks to see if the current selection lies within the bounds of the calendar day view.

See Also

CalendarViewSelection Overview


%%PageItemTitle%%

CalendarViewSelection Object

See Also Calendar ActiveX Control v19.3

AllDay Property

Description

Specifies whether the selection has selected an entire day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllDay() As Boolean

Remarks

Only True if a single day is selected, if the selection is more than 24 hours then it will be False. All 24 hours selected must belong to the same day for this to be True.

See Also

CalendarViewSelection Object


%%PageItemTitle%%

CalendarViewSelection Object

See Also Calendar ActiveX Control v19.3

Begin Property

Description

Selection start time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Begin() As Date

See Also

CalendarViewSelection Object


%%PageItemTitle%%

CalendarViewSelection Object

See Also Calendar ActiveX Control v19.3

End Property

Description

Selection finish time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property End() As Date

See Also

CalendarViewSelection Object


%%PageItemTitle%%

CalendarViewSelection Object

See Also Calendar ActiveX Control v19.3

GroupIndex Property

Description

Numeric index of the corresponding resource group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupIndex() As Long

Remarks

This is the index of the CalendarViewGroup that is currently selected when multiple resources are used. This is useful when you need to know which resources was selected within a day containing many resources.

See Also

CalendarViewSelection Object


%%PageItemTitle%%

CalendarViewSelection Object

See Also Calendar ActiveX Control v19.3

IsValid Property

Description

CHecks to see if the current selection lies within the bounds of the calendar day view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsValid() As Boolean

See Also

CalendarViewSelection Object


%%PageItemTitle%%

CalendarWeekView Members

See Also Calendar ActiveX Control v19.3

CalendarWeekView Object

Description

This object implements a specific view portion of the Calendar Control called Week View.

For a list of all members defined in this module, see CalendarWeekView members.

Object Model

Remarks

The Week view can be shown as one week, consisting of 7 days, as a normal week contains. Weekend days of the week are drawn compressed, which means that 2 weekend days will be drawn in a rectangle of a usual day.

See Also

CalendarWeekView Members


%%PageItemTitle%% $$Members$$

CalendarWeekView Overview

See Also Calendar ActiveX Control v19.3

CalendarWeekView Object Members

Public Methods

Public Method Copy | Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method Cut | Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.
Public Method EnableHScroll | Enables or Disabled horizontal scrolling.
Public Method EnableVScroll | Enables or Disabled vertical scrolling.
Public Method HitTest | This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.
Public Method HitTestEx | This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.
Public Method Paste | Inserts the contents of the clipboard at the current location.
Public Method Redo | Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.
Public Method ResetSelection | Resets the current selection.
Public Method SelectViewEvent | Used to select or un-select an event in the current view.
Public Method SetMultipleResources | Sets the new CalendarResources collection for the view.
Public Method ShowDay | Used to show a specific day in the calendar view.
Public Method Undo | Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.
Public Method UnselectAllEvents | Un-selects all of the events of the current view.

Public Properties

Public Property CanCopy | Determines if the Copy operation can currently be performed.
Public Property CanCut | Determines if the Cut operation can currently be performed.
Public Property CanPaste | Determines if the Paste operation can currently be performed.
Public Property CanRedo | Determines if the Redo operation can currently be performed.
Public Property CanStartEdit | Returns whether editing of the view is possible.
Public Property CanUndo | Determines if the Undo operation can currently be performed.
Public Property DayHeaderFormatLong | Day header Long date format custom string.
Public Property DayHeaderFormatMiddle | Day header Middle date format custom string.
Public Property DayHeaderFormatShort | Day header Short date format custom string.
Public Property DayHeaderFormatShortest | Day header Shortest date format custom string.
Public Property Days | Get a CalendarViewDay object by the day's index in the current view.
Public Property DaysCount | Number of "day views" in the view collection.
Public Property GetSelectedEvents | Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.
Public Property MultipleResources | Collection of CalendarResources for the view.
Public Property Selection | Returns the Time Range and CalendarViewGroup that is currently selected.

See Also

CalendarWeekView Overview


%%PageItemTitle%%

CalendarWeekView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Copy Method

Description

Performs a copy operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Copy()

Remarks

If one or more events are selected, the copy operation will place the event(s) on the clipboard. If an event is in edit mode, the the copy operation will copy the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will not be removed.

The CanCopy property is used to determine if the copy operation can currently be performed.

See Also

CalendarWeekView Object | Subject Property | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarWeekView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property

See Also Calendar ActiveX Control v19.3

Cut Method

Description

Performs a cut operation on the currently selected event(s) or the currently selected text of an event subject when the event is in edit mode and places it in the clipboard.

Syntax

Public Sub Cut()

Remarks

If one or more events are selected, the cut operation will place the event(s) on the clipboard. If an event is in edit mode, the the cut operation will cut the currently selected text of the event's subject and place it on the clipboard. The original event(s) or subject text will be removed from the calendar until it is pasted back into the calendar.

The CanCut property is used to determine if the cut operation can currently be performed.

See Also

CalendarWeekView Object | Copy Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Subject Property


%%PageItemTitle%%

CalendarWeekView Object

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

See Also Calendar ActiveX Control v19.3

EnableHScroll Method

Description

Enables or Disabled horizontal scrolling.

Syntax

Public Sub EnableHScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable horizontal scrolling.

False to disable horizontal scrolling.

Remarks

If False, then the horizontal scroll bar is removed and the view can not be scrolled horizontally.

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

See Also Calendar ActiveX Control v19.3

EnableVScroll Method

Description

Enables or Disabled vertical scrolling.

Syntax

Public Sub EnableVScroll( _
   ByVal bEnable As Boolean _
)

Parameters

bEnable

True to enable vertical scrolling.

False to disable vertical scrolling.

Remarks

If False, then the vertical scroll bar is removed and the view can not be scrolled vertically.

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view using the current mouse cursor position.

Syntax

Public Function HitTest() As CalendarHitTestInfo

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the XY point of the mouse cursor in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarWeekView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarWeekView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.
See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

This function is used to fill a CalendarHitTestInfo object with information from the view at a specified point.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As CalendarHitTestInfo

Parameters

x
X coordinate of a point in the current view.
y
Y coordinate of a point in the current view.

Return Type

Returns a CalendarHitTestInfo object with information from the current view at the specified XY point in the view. It is useful to use the HitTest function in events such as MouseDown and MouseUp to test where and what the user clicked on.

Remarks

The CalendarHitTestInfo object holds information such as the specific area at a given point, a pointer to the event (if applicable) at a given point, and a pointer to the day (if applicable) at a given point.

See Also

CalendarWeekView Object | CalendarHitTestInfo Object | CalendarHitTestCode Enumeration


%%PageItemTitle%%

CalendarWeekView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property

See Also Calendar ActiveX Control v19.3

Paste Method

Description

Inserts the contents of the clipboard at the current location.

Syntax

Public Sub Paste()

Remarks

The CanPaste method is used to determine if the contents of the clipboard can be pasted.

If an event is currently on the clipboard, then the Paste operation will paste the event(s) at the currently selected time slot in the Calendar view.

If text is currently on the clipboard, then the Paste operation will paste the text at the current cursor position in the event's subject if an event is in edit mode.

See Also

CalendarWeekView Object | Copy Method | Cut Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Undo Method | Event Subject Property


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

Redo Method

Description

Restores the last event subject text editing or event resizing if no other actions have occurred since the last Undo.

Syntax

Public Sub Redo()

Remarks

The CanRedo property is used to determine if the Redo operation can currently be performed. Redo will only redo event resizing and event subject editing.

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarWeekView Object | SetSelection Method | GetSelection Method

See Also Calendar ActiveX Control v19.3

ResetSelection Method

Description

Resets the current selection.

Syntax

Public Sub ResetSelection()

Remarks

The ResetSelection method programmatically clears the current selection.

See Also

CalendarWeekView Object | SetSelection Method | GetSelection Method


%%PageItemTitle%%

CalendarWeekView Object

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also Calendar ActiveX Control v19.3

SelectViewEvent Method

Description

Used to select or un-select an event in the current view.

Syntax

Public Sub SelectViewEvent( _
   ByVal ViewEvent As CalendarViewEvent, _
   ByVal Select As Boolean _
)

Parameters

ViewEvent
Pointer to a CalendarViewEvent in the current view to select or un-select.
Select

True to select the event.

False to un-select the event.

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object | MultipleResources Property

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.
See Also Calendar ActiveX Control v19.3

SetMultipleResources Method

Description

Sets the new CalendarResources collection for the view.

Syntax

Public Sub SetMultipleResources( _
   ByVal MultipleResources As CalendarResources _
)

Parameters

MultipleResources
Reference to a CalendarResources collection to set as the view's new resource collection.

Remarks

Sets the new CalendarResources collection for all views in the calendar. Each view can have it's own resource collection by using the SetMultipleResources method for the view.

Multiple resources allow multiple schedules to be displayed in the calendar.

Notes:

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarWeekView Object | MultipleResources Property


%%PageItemTitle%%

CalendarWeekView Object

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.
See Also Calendar ActiveX Control v19.3

ShowDay Method

Description

Used to show a specific day in the calendar view.

Syntax

Public Sub ShowDay( _
   ByVal Day As Date, _
   Optional ByVal Select As Boolean = True _
)

Parameters

Day
[in] Date\DteTime object specifying the date to show in the current view.
Select
[in] True to select\highlight the date after showing the date. False to ow the date, but not select it.

Remarks

When in Day or WorkWeek view, ShowDay will show only the specified day in the calendar view. When in Week or Month view, ShowDay will ensure that the provided date is visible and selected if desired.

Example

[ShowDay Sample (Visual Basic)] This sample illustrates how to show a date it both day view and month view.

    Dim d As Date
    d = #10/10/2004#

    'Show a date in Day view
    CalendarControl.DayView.ShowDay d, True

    'Show a date in Month View
    CalendarControl.ViewType = xtpCalendarMonthView
    CalendarControl.MonthView.ShowDay d, False

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property

See Also Calendar ActiveX Control v19.3

Undo Method

Description

Reverses the last editing action, such as resizing an event or typing text in event's subject when in edit mode, and deleting an event.

Syntax

Public Sub Undo()

Remarks

Undo will not be available if there was no previous edit, or if any other action has been performed after the last edit.

Note: You can't undo a Cut operation using the Undo command.

See Also

CalendarWeekView Object | Copy Method | Cut Method | Paste Method | Redo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property | Event Subject Property


%%PageItemTitle%%

CalendarWeekView Object | GetSelection Method

See Also Calendar ActiveX Control v19.3

UnselectAllEvents Method

Description

Un-selects all of the events of the current view.

Syntax

Public Sub UnselectAllEvents()

See Also

CalendarWeekView Object | GetSelection Method


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCopy Property

Description

Determines if the Copy operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

The Copy operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCut Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanCut Property

Description

Determines if the Cut operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

The Cut operation can be performed if one or more events are currently selected or if an event is in edit mode and some of the subject text is selected.

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanPaste Property | CanRedo Property | CanUndo Property


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanPaste Property

Description

Determines if the Paste operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanUndo Property | CanRedo Property


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property

See Also Calendar ActiveX Control v19.3

CanRedo Property

Description

Determines if the Redo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanUndo Property


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

CanStartEdit Property

Description

Returns whether editing of the view is possible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanStartEdit() As Boolean

Remarks

Will return true if the user is not currently dragging or editing the subject of an event.

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property

See Also Calendar ActiveX Control v19.3

CanUndo Property

Description

Determines if the Undo operation can currently be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

CalendarWeekView Object | Event Subject Property | Copy Method | Cut Method | Paste Method | Redo Method | Undo Method | CanCopy Property | CanCut Property | CanPaste Property | CanRedo Property


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatLong Property

Description

Day header Long date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatLong() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

Example

[Format Day Header Date String Sample (Visual Basic)] This sample illulstrates how to format the day header date string.

    'ddd - Short Day of the Week (Mon...Sun)
    'dd - Day of the Month (1, 2, ..., 31)
    'd - Day of the Month (1, 2, ..., 31)
    'MMMM - Full Name of Month (January...December)
    'MMM - Short Name of Month (Jan...Dec)
    'MM - Month in Numeric Format (1,2,3,...,12) (January = 1,..., December = 12)
    'yyyy - Full Year (2005, 2006, etc...)
    'yy - Abreviated Year (05, 06, etc...)
    CalendarControl.ActiveView.DayHeaderFormatLong = "ddd, dd MMMM yyyy"
    CalendarControl.ActiveView.DayHeaderFormatMiddle = "ddd, dd MMM yy"
    CalendarControl.ActiveView.DayHeaderFormatShort = "dd MMM "
    CalendarControl.ActiveView.DayHeaderFormatShortest = "dd.MM"
    CalendarControl.Populate

See Also

CalendarWeekView Object


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatMiddle Property

Description

Day header Middle date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatMiddle() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarWeekView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShort Property

Description

Day header Short date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShort() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarWeekView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

DayHeaderFormatShortest Property

Description

Day header Shortest date format custom string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayHeaderFormatShortest() As String

Remarks

Long, Middle, Short and Shortest format strings are used for different header widths in the Calendar. The Calendar control automatically selects the longest date format string that can be drawn the currently active day header width. "Day header" refers to the caption above the day that indicates the day, month, and year for the day. The day header is displayed differently depending on the current view and the longest possible date format will be displayed. This will update automatically is the size of the days is changed by resizing the window.

By default the format strings use locale settings from the computer and DayHeaderFormatXXX properties should be used to customize the default settings.

See Also

CalendarWeekView Object

Example

Format Day Header Date String Sample


%%PageItemTitle%%

CalendarWeekView Object | DaysCount Property

nIndex
[in] An integer that contains the index of a day in the day view collection.
See Also Calendar ActiveX Control v19.3

Days Property

Description

Get a CalendarViewDay object by the day's index in the current view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Days( _
   ByVal nIndex As Long _
) As CalendarViewDay

Parameters

nIndex
[in] An integer that contains the index of a day in the day view collection.

Remarks

Index numbers start with 0 and cannot be negative.

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarWeekView Object | DaysCount Property


%%PageItemTitle%%

CalendarWeekView Object | Days Property

See Also Calendar ActiveX Control v19.3

DaysCount Property

Description

Number of "day views" in the view collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DaysCount() As Long

Remarks

When in Day or WorkWeek view, there will be one or more "day views" in the current view. Each day is represented by a CalendayViewDay object. The Days collection contains all CalendayViewDay objects of the current view. For example, if five days are visible in the current view, then there are five "day views" \ CalendayViewDay objects in the current view.

See Also

CalendarWeekView Object | Days Property


%%PageItemTitle%%

CalendarWeekView Object | SelectViewEvent Method | UnselectAllEvents Method

See Also Calendar ActiveX Control v19.3

GetSelectedEvents Property

Description

Returns a CalendarViewEvents objects that contains a collection of all the currently selected events.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetSelectedEvents() As CalendarViewEvents

Remarks

The CalendarViewEvents object will contain a CalendarViewEvent object for each event that is selected in the current view.

Note: If an event that is selected spans more than one day (multi-day event) there will be two CalendarViewEvent objects that represent the same event. Multi-day events have a separate CalendarViewEvent object for each day.

See Also

CalendarWeekView Object | SelectViewEvent Method | UnselectAllEvents Method


%%PageItemTitle%%

CalendarWeekView Object | SetMultipleResources Method

See Also Calendar ActiveX Control v19.3

MultipleResources Property

Description

Collection of CalendarResources for the view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MultipleResources() As CalendarResources

Remarks

A CalendarResource represents a calendar for some subject like a person, a shared resource, or even a group of persons or resources.

Each resource is to be drawn in the separate column(CalendarViewGroup) on the calendar view. Each resource should have its own DataProvider. For example, events for people could be stored inside the Memory data provider (somebody"s own or temporary events), and for other resources - inside a Database data provider (those events are not changed by the user). So, there is a possibility to use any combination of data providers in the same control.

When in day view, each calendar day contains one or more CalendarViewGroup objects. Each group displays all the CalendarSchedule objects contained in the CalendarResources for the CalendarViewGroup. For example, ScheduleID could contain the an employee number, which is used to identify the schedule this event belongs to.

See Also

CalendarWeekView Object | SetMultipleResources Method


%%PageItemTitle%%

CalendarWeekView Object

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Returns the Time Range and CalendarViewGroup that is currently selected.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As CalendarViewSelection

See Also

CalendarWeekView Object


%%PageItemTitle%%

ColorManager Members

See Also Calendar ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Calendar ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the Calendar if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Calendar control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Calendar ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

Example

[GetCurrentSystemTheme Sample (Visual Basic)] This sample illustrates how to use the GetCurrentSystemTheme function to determine the current Windows XP theme. If a Windows XP theme is not used, then applications using the xtpThemeOffice2003 can emulate the Windows XP Olive, Silver, and Gold themes using the SystemTheme property. Themes can be emulated on all Operating systems.

Private Sub Form_Initialize()
    Dim cbColorManager As ColorManager

    Set cbColorManager = CalendarGlobalSettings.ColorManager

    'Get current system theme
    Select Case cbColorManager.GetCurrentSystemTheme

        'If OS is NOT Windows XP and\or theme is not Olive, Silver, or Blue, the set theme to Auto.
        Case xtpSystemThemeUnknown:
             cbColorManager.SystemTheme = xtpSystemThemeAuto

    End Select

End Sub

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Calendar ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control.
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

Remarks

Using SetColor for the Calendar control will change the color of the selected element of the Calendar to the new specified color. This will not effect the color for any other control.

SetColor applies colors globally, this means that all Calendar controls will uses these colors.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Calendar ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control.
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

Example

[Retrieving Calendar colors. (Visual Basic)] This sample illustrates how to use the Color property to retrieve the color of display elements in the Calendar.

    Dim tbTextColor As OLE_COLOR
    tbTextColor = fMainForm.Calendar.GlobalSettings.ColorManager.Color(XPCOLOR_TOOLBAR_TEXT)

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Calendar ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the Calendar if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Calendar ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Calendar control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Calendar can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Calendar can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Calendar and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

DatePicker Members

See Also Calendar ActiveX Control v19.3

DatePicker Control

Description

The DatePicker Control encapsulates the functionality of a date and time picker control.

For a list of all members defined in this module, see DatePicker members.

Object Model

Remarks

A DatePicker object implements a calendar-like user interface. This provides the user with a very intuitive and
recognizable method of entering or selecting a date. The control also provides the application with the means to obtain and set the date information in the control using existing data types. By default, the date picker control displays the current day and month. However, the user is able to scroll to the previous and next months and select a specific month and/or year. The user can select a date or a range of dates. Also, the user can change the
display by:

  • Scrolling backward and forward, from month to month.
  • Clicking the Today text to select the current day.
  • Clicking the None text to remove the selection.
  • Picking a month or a year from a pop-up menu.

The date picker control is customize by applying a variety of additional settings. Look at the control's members list to
see available customization options.

See Also

DatePicker Members


%%PageItemTitle%% $$Members$$

DatePicker Overview

See Also Calendar ActiveX Control v19.3

DatePicker Control Members

Public Methods

Public Method AttachToCalendar | Associates a DatePicker Control with a Calendar Control.
Public Method ClearSelection | Clears all the currently selected days in the date picker.
Public Method Deselect | Deselects a specific day in the date picker.
Public Method DesiredVisibleAndFullRange | Allow scrolling between FirstDay and LastDay and trys to show initial visible range between FirstVisibleDay and LastVisibleDay.
Public Method DetachFromCalendar | Un-associates a DatePicker Control with a Calendar Control.
Public Method EnsureVisible | Call this member function to ensure that a specific Date is visible in the DatePicker.
Public Method EnsureVisibleFocus | Ensures that the focused item is visible.
Public Method EnsureVisibleSelection | Ensures that the current selection range is visible.
Public Method GetDayName | This method is used to get the name of any day of week
Public Method GetMinReqRect | This member function retrieves the minimum size required to show a specified number of full month items in a date picker control.
Public Method GetMonthName | This method is used to get the name of any month
Public Method HitTest | Determines which Date in the date picker is affected by the mouse pointer.
Public Method HitTestEx | Determines which date portion of the date picker control, if any, is at a specified position.
Public Method RedrawControl | Call this method to redraw the DatePicker Control.
Public Method ResyncCalendar | Re-syncs the data in the date picker with the calendar's data.
Public Method Select | Selects a specific day in the date picker control.
Public Method SelectRange | This member function sets the selection for a date picker control to a given date range. This will "highlight" the dates in the given range.
Public Method SetDayName | This method is used to set the name of any day of week
Public Method SetMonthName | This method is used to set the name of any month
Public Method SetRange | This member function sets the minimum and maximum allowable dates for a date picker control.
Public Method ShowModal | Displays a Date Picker control as a modal dialog with a specific number of month rows and columns.
Public Method ShowModalEx | Displays a Date Picker control as a modal dialog. Allows you to specify the top left corner of the date picker and the width\height.

Public Properties

Public Property AllowNoncontinuousSelection | Specifies whether the date picker control allows non-continuous days selection or not.
Public Property AskDayMetrics | Specifies whether to fire the DayMetric event.
Public Property AutoSizeRowCol | Gets or sets the AutoSize mode.
Public Property BoldDaysIdleStepTime_ms | Gets/sets the time between idle steps to update the bold state of days in the date picker.
Public Property BoldDaysOnIdle | Enables or disables retrieving the bold state of days in the date picker by using a timer.
Public Property BoldDaysPerIdleStep | Gets/sets the total number of days in the date picker whose bold status will be updated in a single Idle Step.
Public Property BoldDaysWithEvents | Gets\sets wether dates that correspond to days in the Calendar that contain events will be displayed in bold font.
Public Property BorderStyle | Gets\sets the border style around the Date Picker control.
Public Property ColumnCount | Gets\sets the number of columns in the months grid.
Public Property Enabled | Enables\disables the date picker control.
Public Property FirstDayOfWeek | Gets\sets the day of the week (Monday - Sunday) that is displayed in the leftmost column of the calendar.
Public Property FirstVisibleDay | Gets the first visible date in the date picker.
Public Property FirstWeekOfYearDays | The FirstWeekOfYearDays property contains the current required number of year days that occur in the first week of the year.
Public Property HighlightToday | Enables or disables highlighting of the "Today" cell.
Public Property hWnd | Returns the windows Handle to the Date Picker Control.
Public Property LastVisibleDay | Gets the last visible date in the date picker.
Public Property MaxSelectionCount | Gets\sets the maximum number of days that can be selected in a date picker control.
Public Property MonthDelta | Gets or sets the scroll rate for the date picker control.
Public Property MultiSelectionMode | Enables/disables the multiple selection mode for the control.
Public Property PaintManager | This paint manager handles most of the drawing activities for the DatePicker control.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the Date Picker elements are aligned to support locales using right-to-left fonts.
Public Property RowCount | Gets\sets the number of rows in the months grid.
Public Property Selection | Retrieves date information representing the upper and lower limits of the date range currently selected by the user.
Public Property ShowNoneButton | Hides or shows the Date Picker Control's "None" button.
Public Property ShowNonMonthDays | Shows or hides non-month days.
Public Property ShowTodayButton | Hides or shows the Date Picker Control's "Today" button.
Public Property ShowWeekNumbers | Shows or hides the week numbers for month items displayed in the Date Picker control.
Public Property SysYearMonthFormat | Indicates whether the format of year_month should be got from system
Public Property TextNoneButton | Gets\sets the text that is displayed in the "None" button.
Public Property TextTodayButton | Gets\sets the text that is displayed in the "Today" button.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display date picker.
Public Property YearsTriangle | Hides or displays the year triangle button in the date picker caption.

Events

Public Event DayMetrics | Occurs before the each date\day is drawn in the Date Picker. This allows the metrics to be modified before the day is displayed.
Public Event KeyDown | Occurs when a key is pressed and the date picker control has focus.
Public Event MonthChanged | Occurs when the months currently in view have changed.
Public Event MouseMove | The MouseMove event occurs when the mouse cursor is moved anywhere over the Date Picker Control.
Public Event ReCreated |
Public Event SelectionChanged | Occurs when the selection has changed in the Date Picker Control.

See Also

DatePicker Overview


%%PageItemTitle%%

DatePicker Control | DetachFromCalendar Method

Calendar
Reference to a Calendar Control.
See Also Calendar ActiveX Control v19.3

AttachToCalendar Method

Description

Associates a DatePicker Control with a Calendar Control.

Syntax

Public Sub AttachToCalendar( _
   ByVal Calendar As CalendarControl _
)

Parameters

Calendar
Reference to a Calendar Control.

Remarks

The AttachToCalendar method provides a connection between a CalendarControl object and a DatePicker object.

The AttachToCalendar method provides synchronization facilities between the CalendarControl and DatePicker Control. It works as a "glue" between both controls and reflects changes on one of them to the corresponded changes on the second one. For example, if a date is clicked on in the DatePicker, then that day will become visible in the calendar.

Example

[AttachToCalendar Sample (C#)] This sample illustrates how to syncronize the Datepicker with the CalendarControl. This sample assumes that the DatePicker Control is located on a form named DatePicker and the Calendar Control is located on a form called frmMain. The FrmMain form has a Static Public variable named Instance that references the frmMain form.

        private void InitializeDatePicker()
        {
            XtremeCalendarControl.CalendarControl pCalendarOcx =
                ( (XtremeCalendarControl.CalendarControl)(frmMain.Instance.CalendarControl.GetOcx()) );

            DatePicker.AttachToCalendar(pCalendarOcx);

        }

[AttachToCalendar Sample (Visual Basic)] This sample illustrates how to syncronize the Datepicker with the CalendarControl. This sample assumes that the DatePicker Control is located on a form named DatePicker and the Calendar Control is located on a form called frmMain.

    wndDatePicker.AttachToCalendar frmMain.wndCalendarControl

See Also

DatePicker Control | DetachFromCalendar Method


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ClearSelection Method

Description

Clears all the currently selected days in the date picker.

Syntax

Public Sub ClearSelection()

Remarks

This will clear all days stored in the Selection colleciton.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | Select Method

SelDay
Date to deselect.
See Also Calendar ActiveX Control v19.3

Deselect Method

Description

Deselects a specific day in the date picker.

Syntax

Public Sub Deselect( _
   ByVal SelDay As Date _
)

Parameters

SelDay
Date to deselect.

Remarks

This will deselect a single day in the date picker.

See Also

DatePicker Control | Select Method


%%PageItemTitle%%

DatePicker Control

FirstVisibleDay
The first displayed day date.
LastVisibleDay
The last displayed day date.
FirstDay
The first allowed day date.
LastDay
The last allowed day date.
See Also Calendar ActiveX Control v19.3

DesiredVisibleAndFullRange Method

Description

Allow scrolling between FirstDay and LastDay and trys to show initial visible range between FirstVisibleDay and LastVisibleDay.

Syntax

Public Sub DesiredVisibleAndFullRange( _
   ByVal FirstVisibleDay As Date, _
   ByVal LastVisibleDay As Date, _
   ByVal FirstDay As Date, _
   ByVal LastDay As Date _
)

Parameters

FirstVisibleDay
The first displayed day date.
LastVisibleDay
The last displayed day date.
FirstDay
The first allowed day date.
LastDay
The last allowed day date.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | AttachToCalendar Method

See Also Calendar ActiveX Control v19.3

DetachFromCalendar Method

Description

Un-associates a DatePicker Control with a Calendar Control.

Syntax

Public Sub DetachFromCalendar()

See Also

DatePicker Control | AttachToCalendar Method


%%PageItemTitle%%

DatePicker Control

Date
A Date (VB 6) or DateTime (.NET) object specifying the day, month, and year that should be visible.
See Also Calendar ActiveX Control v19.3

EnsureVisible Method

Description

Call this member function to ensure that a specific Date is visible in the DatePicker.

Syntax

Public Sub EnsureVisible( _
   ByVal Date As Date _
)

Parameters

Date
A Date (VB 6) or DateTime (.NET) object specifying the day, month, and year that should be visible.

Remarks

If necessary, EnsureVisible causes the DatePicker to scroll the month grid to make the day visible.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | EnsureVisibleSelection Method | EnsureVisible Method

See Also Calendar ActiveX Control v19.3

EnsureVisibleFocus Method

Description

Ensures that the focused item is visible.

Syntax

Public Sub EnsureVisibleFocus()

Remarks

The focused item is used only for the keyboard navigation and selecting. It is initialized by keyboard using first day of the current selection or if the selection is empty the first day of the first visible month is used. The focused item is cleared by a mouse click or by setting the selection externally.

See Also

DatePicker Control | EnsureVisibleSelection Method | EnsureVisible Method


%%PageItemTitle%%

DatePicker Control | EnsureVisibleFocus Method | EnsureVisible Method

See Also Calendar ActiveX Control v19.3

EnsureVisibleSelection Method

Description

Ensures that the current selection range is visible.

Syntax

Public Sub EnsureVisibleSelection()

Remarks

If necessary, the function scrolls the month grid on the date picker control to make all the currently selected days visible.

See Also

DatePicker Control | EnsureVisibleFocus Method | EnsureVisible Method


%%PageItemTitle%%

DatePicker Control

nDay
See Also Calendar ActiveX Control v19.3

GetDayName Method

Description

This method is used to get the name of any day of week

Syntax

Public Function GetDayName( _
   ByVal nDay As Integer _
) As String

Parameters

nDay

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

Width
[out] Width needed to display a [Row By Column] grid of Month items in the DatePicker control.
Height
[out] Height needed to display a [Row By Column] grid of Month items in the DatePicker control.
Row
[in] The number of months in a row inside a [Row By Column] grid of months.
Column
[in] The number of months in a column inside a [Row By Column] grid of months.
See Also Calendar ActiveX Control v19.3

GetMinReqRect Method

Description

This member function retrieves the minimum size required to show a specified number of full month items in a date picker control.

Syntax

Public Sub GetMinReqRect( _
   ByRef Width As Long, _
   ByRef Height As Long, _
   ByVal Row As Long, _
   ByVal Column As Long _
)

Parameters

Width
[out] Width needed to display a [Row By Column] grid of Month items in the DatePicker control.
Height
[out] Height needed to display a [Row By Column] grid of Month items in the DatePicker control.
Row
[in] The number of months in a row inside a [Row By Column] grid of months.
Column
[in] The number of months in a column inside a [Row By Column] grid of months.

Remarks

This method retrieves the minimum size required to display any specified number of month items.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

nMonth
See Also Calendar ActiveX Control v19.3

GetMonthName Method

Description

This method is used to get the name of any month

Syntax

Public Function GetMonthName( _
   ByVal nMonth As Integer _
) As String

Parameters

nMonth

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | MouseMove Event

See Also Calendar ActiveX Control v19.3

HitTest Method

Description

Determines which Date in the date picker is affected by the mouse pointer.

Syntax

Public Function HitTest() As Date

Return Type

The DatePicker Date at the current position of the mouse cursor, if any, otherwise NULL.

See Also

DatePicker Control | MouseMove Event


%%PageItemTitle%%

DatePicker Control | MouseMove Event

x
x coordinate to test.
y
y coordinate to test.
See Also Calendar ActiveX Control v19.3

HitTestEx Method

Description

Determines which date portion of the date picker control, if any, is at a specified position.

Syntax

Public Function HitTestEx( _
   ByVal x As Long, _
   ByVal y As Long _
) As Date

Parameters

x
x coordinate to test.
y
y coordinate to test.

Return Type

The DatePicker Day at the specified position, if any, otherwise NULL.

See Also

DatePicker Control | MouseMove Event


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

RedrawControl Method

Description

Call this method to redraw the DatePicker Control.

Syntax

Public Sub RedrawControl()

Remarks

The RedrawControl method was intended to be used in combination with methods such as the SetSelection and ResetSelection methods of the calendar views.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ResyncCalendar Method

Description

Re-syncs the data in the date picker with the calendar's data.

Syntax

Public Sub ResyncCalendar()

Remarks

This is used after using the Select method to select items in the date picker. You need to call ResyncCalendar so the calendar will get updated.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | Selection Property | Deselect Method

SelDay
Date to select in the date picker.
See Also Calendar ActiveX Control v19.3

Select Method

Description

Selects a specific day in the date picker control.

Syntax

Public Sub Select( _
   ByVal SelDay As Date _
)

Parameters

SelDay
Date to select in the date picker.

Remarks

This will add the selected day to the collection of selected dates.

This function determines if one more items can be added to the collection of selected days. If yes, then the selected day is added to the list of selected items.

See Also

DatePicker Control | Selection Property | Deselect Method


%%PageItemTitle%%

DatePicker Control | Selection Property | DatePickerSelection Object | AllowNoncontinuousSelection Property

DateMin
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the lowest end of the range.
DateMax
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the highest end of the range.
See Also Calendar ActiveX Control v19.3

SelectRange Method

Description

This member function sets the selection for a date picker control to a given date range. This will "highlight" the dates in the given range.

Syntax

Public Sub SelectRange( _
   ByVal DateMin As Date, _
   ByVal DateMax As Date _
)

Parameters

DateMin
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the lowest end of the range.
DateMax
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the highest end of the range.

Remarks

If the AllowNoncontinuousSelection property is True, then multiple selection blocks can be selected at the same time.

See Also

DatePicker Control | Selection Property | DatePickerSelection Object | AllowNoncontinuousSelection Property


%%PageItemTitle%%

DatePicker Control

nDay
sDayName
See Also Calendar ActiveX Control v19.3

SetDayName Method

Description

This method is used to set the name of any day of week

Syntax

Public Sub SetDayName( _
   ByVal nDay As Integer, _
   ByVal sDayName As String _
)

Parameters

nDay
sDayName

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

nMonth
sMonthName
See Also Calendar ActiveX Control v19.3

SetMonthName Method

Description

This method is used to set the name of any month

Syntax

Public Sub SetMonthName( _
   ByVal nMonth As Integer, _
   ByVal sMonthName As String _
)

Parameters

nMonth
sMonthName

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

MinRange
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the lowest end of the range.
MaxRange
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the highest end of the range.
See Also Calendar ActiveX Control v19.3

SetRange Method

Description

This member function sets the minimum and maximum allowable dates for a date picker control.

Syntax

Public Sub SetRange( _
   ByVal MinRange As Date, _
   ByVal MaxRange As Date _
)

Parameters

MinRange
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the lowest end of the range.
MaxRange
A pointer to a Date (VB 6) or DateTime (.NET) object containing the date at the highest end of the range.

Remarks

Only months that fall within the specified range can be displayed in the DatePicker control. This will limit the month combo box that pops up when the month name is clicked to the specified month\year range.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | ShowModalEx Method

nRows
Number of months to display vertically.
nCols
Number of months to display horizontally.
See Also Calendar ActiveX Control v19.3

ShowModal Method

Description

Displays a Date Picker control as a modal dialog with a specific number of month rows and columns.

Syntax

Public Function ShowModal( _
   ByVal nRows As Long, _
   ByVal nCols As Long _
) As Boolean

Parameters

nRows
Number of months to display vertically.
nCols
Number of months to display horizontally.

Return Type

Returns True is the Date Picker modal window was successfully displayed, False otherwise.

Remarks

The ShowModal method will display the Date Picker as a modal window. The Date Picker will stay visible until it is clicked on or an area outside the Date Picker control is clicked on.

With the ShowModal method, the Date Picker control will be displayed using the Top and Left properties of the Date Picker position the top left corner of the control. The ShowModalEx method can be used to to specify the location and width\height of the date picker.

See Also

DatePicker Control | ShowModalEx Method


%%PageItemTitle%%

DatePicker Control | GetMinReqRect Method | ShowModal Method

x
X coordinate of the top left corner of the date picker.
y
Y coordinate of the top left corner of the date picker.
nWidth
Minimum width needed to display X Columns and Y Rows. Use GetMinReqRect to determine this value.
nHeight
Minimum height needed to display X Columns and Y Rows. Use GetMinReqRect to determine this value.
hWndParent
Handle to parent control. This is the control that contains the date picker.
See Also Calendar ActiveX Control v19.3

ShowModalEx Method

Description

Displays a Date Picker control as a modal dialog. Allows you to specify the top left corner of the date picker and the width\height.

Syntax

Public Function ShowModalEx( _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal nWidth As Long, _
   ByVal nHeight As Long, _
   ByVal hWndParent As Integer _
) As Boolean

Parameters

x
X coordinate of the top left corner of the date picker.
y
Y coordinate of the top left corner of the date picker.
nWidth
Minimum width needed to display X Columns and Y Rows. Use GetMinReqRect to determine this value.
nHeight
Minimum height needed to display X Columns and Y Rows. Use GetMinReqRect to determine this value.
hWndParent
Handle to parent control. This is the control that contains the date picker.

See Also

DatePicker Control | GetMinReqRect Method | ShowModal Method


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

AllowNoncontinuousSelection Property

Description

Specifies whether the date picker control allows non-continuous days selection or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowNoncontinuousSelection() As Boolean

Return Type

True to allow non-continuous days selection (default value), False to disallow.

Remarks

Allowing continuous days selection means that user will be able to select only a single days interval between 2 dates, where all dates will be selected inside. Non-continuous days selection means that user will be able to select any specific dates totally up to MaxSelectionCount count.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | DayMetrics Event

See Also Calendar ActiveX Control v19.3

AskDayMetrics Property

Description

Specifies whether to fire the DayMetric event.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AskDayMetrics() As Boolean

Remarks

By default, AskDayMetrics is False.

See Also

DatePicker Control | DayMetrics Event


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

AutoSizeRowCol Property

Description

Gets or sets the AutoSize mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSizeRowCol() As Boolean

Remarks

Set AutoSize mode to True if you want the control to automatically calculate the number of month items according to control's size. When this mode is enabled and there is enough space on control's client area, the control adds a row or a column of month items and centers them both horizontally and vertically.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | BoldDaysWithEvents Property | BoldDaysPerIdleStep Property | BoldDaysOnIdle Property

See Also Calendar ActiveX Control v19.3

BoldDaysIdleStepTime_ms Property

Description

Gets/sets the time between idle steps to update the bold state of days in the date picker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldDaysIdleStepTime_ms() As Long

See Also

DatePicker Control | BoldDaysWithEvents Property | BoldDaysPerIdleStep Property | BoldDaysOnIdle Property


%%PageItemTitle%%

DatePicker Control | BoldDaysIdleStepTime_ms Property | BoldDaysPerIdleStep Property | BoldDaysWithEvents Property

See Also Calendar ActiveX Control v19.3

BoldDaysOnIdle Property

Description

Enables or disables retrieving the bold state of days in the date picker by using a timer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldDaysOnIdle() As Boolean

Remarks

This option allows you to update date picker days bold status on at a specific time interval

See Also

DatePicker Control | BoldDaysIdleStepTime_ms Property | BoldDaysPerIdleStep Property | BoldDaysWithEvents Property


%%PageItemTitle%%

DatePicker Control | BoldDaysWithEvents Property | BoldDaysOnIdle Property | BoldDaysIdleStepTime_ms Property

See Also Calendar ActiveX Control v19.3

BoldDaysPerIdleStep Property

Description

Gets/sets the total number of days in the date picker whose bold status will be updated in a single Idle Step.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldDaysPerIdleStep() As Long

See Also

DatePicker Control | BoldDaysWithEvents Property | BoldDaysOnIdle Property | BoldDaysIdleStepTime_ms Property


%%PageItemTitle%%

DatePicker Control | AttachToCalendar Method | DetachFromCalendar Method

See Also Calendar ActiveX Control v19.3

BoldDaysWithEvents Property

Description

Gets\sets wether dates that correspond to days in the Calendar that contain events will be displayed in bold font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldDaysWithEvents() As Boolean

Remarks

The DatePicker must be attached to a Calendar so the DatePicker knows which days contain events.

See Also

DatePicker Control | AttachToCalendar Method | DetachFromCalendar Method


%%PageItemTitle%%

DatePicker Control | DatePickerBorderStyle Enumeration

See Also Calendar ActiveX Control v19.3

BorderStyle Property

Description

Gets\sets the border style around the Date Picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As DatePickerBorderStyle

See Also

DatePicker Control | DatePickerBorderStyle Enumeration


%%PageItemTitle%%

DatePicker Control | RowCount Property | AutoSize Property

See Also Calendar ActiveX Control v19.3

ColumnCount Property

Description

Gets\sets the number of columns in the months grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnCount() As Long

Remarks

You can only set the ColumnCount when AutoSize is false.

See Also

DatePicker Control | RowCount Property | AutoSize Property


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

Enabled Property

Description

Enables\disables the date picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

FirstDayOfWeek Property

Description

Gets\sets the day of the week (Monday - Sunday) that is displayed in the leftmost column of the calendar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FirstDayOfWeek() As Long

Remarks

When setting the FirstDayOfWeek, the day must be one of the integer values listed above.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | LastVisibleDay Property | EnsureVisibleFocus Method | EnsureVisibleSelection Method

See Also Calendar ActiveX Control v19.3

FirstVisibleDay Property

Description

Gets the first visible date in the date picker.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FirstVisibleDay() As Date

See Also

DatePicker Control | LastVisibleDay Property | EnsureVisibleFocus Method | EnsureVisibleSelection Method


%%PageItemTitle%%

DatePicker Control | ShowWeekNumbers Property

See Also Calendar ActiveX Control v19.3

FirstWeekOfYearDays Property

Description

The FirstWeekOfYearDays property contains the current required number of year days that occur in the first week of the year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FirstWeekOfYearDays() As Long

Remarks

The FirstWeekOfYearDays property is needed because the first week of the year can be different depending on how many days occur in the first week. For example, in Germany the first week of the year has to be a week with at least four days. In the United States the first calendar week starts with January 1st.

The week numbers can be viewed with the ShowWeekNumbers property.

See Also

DatePicker Control | ShowWeekNumbers Property


%%PageItemTitle%%

DatePicker Control | ShowTodayButton Property

See Also Calendar ActiveX Control v19.3

HighlightToday Property

Description

Enables or disables highlighting of the "Today" cell.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightToday() As Boolean

Remarks

When the HighlightToday property is True, a focus rectangle is will always drawn around the current date and scrolls the Date Picker if necessary to make sure the current date is visible. This only draws an empty rectangle around the "Today" date, pressing the today button actually highlights the date with a different color background inside the focus rectangle.

Pressing the "Today" button selects the current date and scrolls the Date Picker if necessary to make sure the current date is visible. This will highlight the date with a different color background.

See Also

DatePicker Control | ShowTodayButton Property


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

hWnd Property

Description

Returns the windows Handle to the Date Picker Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | FirstVisibleDay Property | EnsureVisibleFocus Method | EnsureVisibleSelection Method

See Also Calendar ActiveX Control v19.3

LastVisibleDay Property

Description

Gets the last visible date in the date picker.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LastVisibleDay() As Date

See Also

DatePicker Control | FirstVisibleDay Property | EnsureVisibleFocus Method | EnsureVisibleSelection Method


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

MaxSelectionCount Property

Description

Gets\sets the maximum number of days that can be selected in a date picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxSelectionCount() As Long

Remarks

MaxSelectionCount represents the maximum number of selectable days. To specify infinite selection, set MaxSelectionCount to -1.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

MonthDelta Property

Description

Gets or sets the scroll rate for the date picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthDelta() As Long

Remarks

The scroll rate is the number of months that the control moves its display when the user clicks a scroll button once.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

MultiSelectionMode Property

Description

Enables/disables the multiple selection mode for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelectionMode() As Boolean

Remarks

Sets the flag that determines whether the date picker is in multiple selection mode.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

PaintManager Property

Description

This paint manager handles most of the drawing activities for the DatePicker control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As DatePickerPaintManager

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the Date Picker elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the Date Picker are displayed from right to left.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | ColumnCount Property | AutoSize Property

See Also Calendar ActiveX Control v19.3

RowCount Property

Description

Gets\sets the number of rows in the months grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowCount() As Long

Remarks

You can only set the RowCount when AutoSize is false.

See Also

DatePicker Control | ColumnCount Property | AutoSize Property


%%PageItemTitle%%

DatePicker Control | SelectRange Method | SelectionChanged Event | DatePickerSelection Object | AllowNoncontinuousSelection Property | Blocks Property | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property

See Also Calendar ActiveX Control v19.3

Selection Property

Description

Retrieves date information representing the upper and lower limits of the date range currently selected by the user.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As DatePickerSelection

Remarks

When AllowNoncontinuousSelection is True, there can be many blocks of selected days. The DatePickerSelection objects contains the blocks of selected days. More than one day can be selected at a time my clicking and dragging the mouse for the desired amount of days. The amount of days that can be selected at any one time can be specified with the MaxSelectionCount property. To select multiple groups of one or more days, the Control key must be held down while selecting the days. To allow multiple groups of one or more days to be selected, the AllowNoncontinuousSelection property must be True.

Items are selected by clicking on the individual days of month items or pressing the "Today" and "None" buttons. When an items is selected, it will be highlighted. The SelectionChanged event occurs both when an item becomes selected and if it becomes un-selected.

The SelectRange method can be used to select a range of days via code.

See Also

DatePicker Control | SelectRange Method | SelectionChanged Event | DatePickerSelection Object | AllowNoncontinuousSelection Property | Blocks Property | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property


%%PageItemTitle%%

DatePicker Control | TextNoneButton Property | ShowTodayButton Property

See Also Calendar ActiveX Control v19.3

ShowNoneButton Property

Description

Hides or shows the Date Picker Control's "None" button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowNoneButton() As Boolean

Remarks

Pressing the "None" button un-highlights the currently highlighted dates in the Date Picker control.

The ShowNoneButton property is used to hide or show the Date Picker Control's "None" button.

The text of the "None" button can be changed with the TextNoneButton property.

See Also

DatePicker Control | TextNoneButton Property | ShowTodayButton Property


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ShowNonMonthDays Property

Description

Shows or hides non-month days.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowNonMonthDays() As Boolean

Remarks

Non-month days are shown in a special color or font. Non-month days are shown just before and after regular days of a specific month. A non-month day usually occurs at the beginning or end of a month and are the days 1st or 4th week that occur in the previous and next months.

Note: For a Date Picker control showing more than 1 month, non-month days will be shown before the first month, and after the last one. For example, if there are 8 months displayed, only non-month days for the 1st and eighth month will be displayed because they are they only non-month days that can not be seen in another month in the Date Picker.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | TextTodayButton Property | HighlightToday Property

See Also Calendar ActiveX Control v19.3

ShowTodayButton Property

Description

Hides or shows the Date Picker Control's "Today" button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTodayButton() As Boolean

Remarks

Pressing the "Today" button selects the current date and scrolls the Date Picker if necessary to make sure the current date is visible. This will highlight the date with a different color background.

If the HighlightToday property is True, a focus rectangle is will always drawn around the current date and scrolls the Date Picker if necessary to make sure the current date is visible. This only draws an empty rectangle around the "Today" date, pressing the today button actually highlights the date with a different color background inside the focus rectangle.

The ShowTodayButton property is used to hide or show the Date Picker Control's "Today" button.

The text of the "Today" button can be changed with the TextTodayButton property.

See Also

DatePicker Control | TextTodayButton Property | HighlightToday Property


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ShowWeekNumbers Property

Description

Shows or hides the week numbers for month items displayed in the Date Picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWeekNumbers() As Boolean

Remarks

Week numbers are shown for each week in each month at the very left column of the month, separated by the vertical line from the other week days. ShowWeekNumbers controls the visibility mode of the week numbers.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

SysYearMonthFormat Property

Description

Indicates whether the format of year_month should be got from system

Property type

Read-write property

Syntax (Visual Basic)

Public Property SysYearMonthFormat() As Boolean

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | ShowNoneButton Property

See Also Calendar ActiveX Control v19.3

TextNoneButton Property

Description

Gets\sets the text that is displayed in the "None" button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextNoneButton() As String

Remarks

The "None" button can be hidden or displayed using the ShowNoneButton property.

See Also

DatePicker Control | ShowNoneButton Property


%%PageItemTitle%%

DatePicker Control | ShowTodayButton Property

See Also Calendar ActiveX Control v19.3

TextTodayButton Property

Description

Gets\sets the text that is displayed in the "Today" button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextTodayButton() As String

Remarks

The "Today" button can be hidden or displayed using the ShowTodayButton property.

See Also

DatePicker Control | ShowTodayButton Property


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display date picker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As CalendarTheme

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

YearsTriangle Property

Description

Hides or displays the year triangle button in the date picker caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property YearsTriangle() As Boolean

Remarks

The year triangle button is used to move to the next year.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | AskDayMetrics Property

Day
Date that will be drawn next.
Metrics
Metrics for the next dayt hat will be drawn.
See Also Calendar ActiveX Control v19.3

DayMetrics Event

Description

Occurs before the each date\day is drawn in the Date Picker. This allows the metrics to be modified before the day is displayed.

Syntax

Public Event DayMetrics( _
   ByVal Day As Date, _
   ByVal Metrics As DatePickerDayMetrics _
)

Parameters

Day
Date that will be drawn next.
Metrics
Metrics for the next dayt hat will be drawn.

Remarks

By default, the DayMetrics event is not execurted. The AskDayMetrics property must be set to True for the DayMetrics event to occur. Metrics include background color, font, font color, and displaying a picture.

See Also

DatePicker Control | AskDayMetrics Property


%%PageItemTitle%%

DatePicker Control

KeyCode
Code of the key that is down
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Calendar ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed and the date picker control has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Code of the key that is down
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

MonthChanged Event

Description

Occurs when the months currently in view have changed.

Syntax

Public Event MonthChanged()

Remarks

This occurs when a different month is displayed that was not currently visible before.

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | HitTest Method | HitTestEx Method

Button
Code indicating which button on he mouse is currently pressed, if any.
Shift
Specifies whether the Shift, Ctrl or ALT keys are pressed when the mouse curor is moved.
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Calendar ActiveX Control v19.3

MouseMove Event

Description

The MouseMove event occurs when the mouse cursor is moved anywhere over the Date Picker Control.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse is currently pressed, if any.
Shift
Specifies whether the Shift, Ctrl or ALT keys are pressed when the mouse curor is moved.
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

The MouseMove event occurs each time the mouse cursor is moved over the Date Picker control.

The MouseMove can be used with the HitTest to determine which date the cursor is currently over so you can display custom tooltips, or anything else.

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

DatePicker Control | HitTest Method | HitTestEx Method


%%PageItemTitle%%

DatePicker Control

See Also Calendar ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

DatePicker Control


%%PageItemTitle%%

DatePicker Control | Selection Property | DatePickerSelection Object | AllowNoncontinuousSelection Property | Blocks Property | MaxSelectionCount Property | SelectRange Method | SetRange Method

See Also Calendar ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when the selection has changed in the Date Picker Control.

Syntax

Public Event SelectionChanged()

Remarks

Items are selected by clicking on the individual days of month items or pressing the "Today" and "None" buttons. When an items is selected, it will be highlighted. The SelectionChanged event occurs both when an item becomes selected and if it becomes un-selected.

More than one day can be selected at a time my clicking and dragging the mouse for the desired amount of days. The amount of days that can be selected at any one time can be specified with the MaxSelectionCount property. The SelectionChanged event will occur only once for the entire selection when the mouse button is released.

To select multiple groups of one or more days, the Control key must be held down while selecting the days. To allow multiple groups of one or more days to be selected, the AllowNoncontinuousSelection property must be True.

See Also

DatePicker Control | Selection Property | DatePickerSelection Object | AllowNoncontinuousSelection Property | Blocks Property | MaxSelectionCount Property | SelectRange Method | SetRange Method


%%PageItemTitle%%

DatePickerDayMetrics Members | DayMetrics Event

See Also Calendar ActiveX Control v19.3

DatePickerDayMetrics Object

Description

Represents a set of parameters which are used to display each day item in the Date Picker.

For a list of all members defined in this module, see DatePickerDayMetrics members.

Remarks

The DatePickerDayMetrics object allows the foreground\text and background colors to be customized, the text font for the displayed day text, and a picture displayed instead of a number.

The DayMetrics event uses this object to modify date\day metrics.

See Also

DatePickerDayMetrics Members | DayMetrics Event


%%PageItemTitle%% $$Members$$

DatePickerDayMetrics Overview | DayMetrics Event

See Also Calendar ActiveX Control v19.3

DatePickerDayMetrics Object Members

Public Properties

Public Property BackColor | Gets\sets the background color for a date\day.
Public Property Font | Gets\sets the font used to display text for a date\day.
Public Property ForeColor | Gets\sets the text color for a date\day.
Public Property Picture | Gets\sets a picture to display for a date\day instead of text.

See Also

DatePickerDayMetrics Overview | DayMetrics Event


%%PageItemTitle%%

DatePickerDayMetrics Object

See Also Calendar ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color for a date\day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

DatePickerDayMetrics Object


%%PageItemTitle%%

DatePickerDayMetrics Object

See Also Calendar ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text for a date\day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

DatePickerDayMetrics Object


%%PageItemTitle%%

DatePickerDayMetrics Object

See Also Calendar ActiveX Control v19.3

ForeColor Property

Description

Gets\sets the text color for a date\day.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

DatePickerDayMetrics Object


%%PageItemTitle%%

DatePickerDayMetrics Object

See Also Calendar ActiveX Control v19.3

Picture Property

Description

Gets\sets a picture to display for a date\day instead of text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Picture() As Picture

See Also

DatePickerDayMetrics Object


%%PageItemTitle%%

DatePickerPaintManager Members

See Also Calendar ActiveX Control v19.3

DatePickerPaintManager Object

Description

This paint manager handles most of the drawing activities for the DatePicker control.

For a list of all members defined in this module, see DatePickerPaintManager members.

Remarks

Handles most of the drawing activities. It stores all settings needed by the control to perform drawing operations (colors). Thus, you have an easy way to change the "skin" of your control.

See Also

DatePickerPaintManager Members


%%PageItemTitle%% $$Members$$

DatePickerPaintManager Overview

See Also Calendar ActiveX Control v19.3

DatePickerPaintManager Object Members

Public Properties

Public Property ButtonFaceColor | Gets\sets the background color used for the "Today" and "None" buttons.
Public Property ButtonTextColor | Gets\sets the text color used for the "Today" and "None" buttons.
Public Property ControlBackColor | Gets\sets the background color of the date picker control.
Public Property DayBackColor | Gets\sets the background color for the standard day items.
Public Property DaysOfWeekBackColor | Gets\sets the background color of the days of weeks area.
Public Property DaysOfWeekTextColor | Gets\sets the text color of the days of weeks area.
Public Property DayTextColor | Gets\sets the color of text for the standard day items.
Public Property HighlightTodayColor | Gets\sets the highlighting color of the "Today" item.
Public Property ListControlBackColor | Gets\sets the background color of the pop-up month list control.
Public Property ListControlTextColor | Gets\sets the text color of the pop-up month list control.
Public Property MonthBorderColor | Gets\sets the color used for the month border.
Public Property MonthHeaderBackColor | Gets\sets the background color of the month header area.
Public Property MonthHeaderButtonColor | Gets\sets the color used for the month header buttons.
Public Property MonthHeaderTextColor | Gets\sets the text color of the month header area.
Public Property NonMonthDayBackColor | Gets\sets the background color for the non-month day items.
Public Property NonMonthDayTextColor | Gets\sets the color of text for the non-month day items.
Public Property SelectedDayBackColor | Gets\sets the background color for the selected day items.
Public Property SelectedDayTextColor | Gets\sets the color of text for the selected day items.
Public Property WeekNumbersBackColor | Gets\sets the background color of the week numbers area.
Public Property WeekNumbersTextColor | Gets\sets the text color of the week numbers area.

See Also

DatePickerPaintManager Overview


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

ButtonFaceColor Property

Description

Gets\sets the background color used for the "Today" and "None" buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonFaceColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

ButtonTextColor Property

Description

Gets\sets the text color used for the "Today" and "None" buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

ControlBackColor Property

Description

Gets\sets the background color of the date picker control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

DayBackColor Property

Description

Gets\sets the background color for the standard day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

DaysOfWeekBackColor Property

Description

Gets\sets the background color of the days of weeks area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DaysOfWeekBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

DaysOfWeekTextColor Property

Description

Gets\sets the text color of the days of weeks area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DaysOfWeekTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

DayTextColor Property

Description

Gets\sets the color of text for the standard day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DayTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

HighlightTodayColor Property

Description

Gets\sets the highlighting color of the "Today" item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightTodayColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

ListControlBackColor Property

Description

Gets\sets the background color of the pop-up month list control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListControlBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

ListControlTextColor Property

Description

Gets\sets the text color of the pop-up month list control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListControlTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

MonthBorderColor Property

Description

Gets\sets the color used for the month border.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthBorderColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

MonthHeaderBackColor Property

Description

Gets\sets the background color of the month header area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthHeaderBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

MonthHeaderButtonColor Property

Description

Gets\sets the color used for the month header buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthHeaderButtonColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

MonthHeaderTextColor Property

Description

Gets\sets the text color of the month header area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthHeaderTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

NonMonthDayBackColor Property

Description

Gets\sets the background color for the non-month day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NonMonthDayBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

NonMonthDayTextColor Property

Description

Gets\sets the color of text for the non-month day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NonMonthDayTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

SelectedDayBackColor Property

Description

Gets\sets the background color for the selected day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedDayBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

SelectedDayTextColor Property

Description

Gets\sets the color of text for the selected day items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedDayTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

WeekNumbersBackColor Property

Description

Gets\sets the background color of the week numbers area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeekNumbersBackColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerPaintManager Object

See Also Calendar ActiveX Control v19.3

WeekNumbersTextColor Property

Description

Gets\sets the text color of the week numbers area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WeekNumbersTextColor() As ULong

See Also

DatePickerPaintManager Object


%%PageItemTitle%%

DatePickerSelection Members | Selection Property | SelectRange Method | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property | BlocksCount Property

See Also Calendar ActiveX Control v19.3

DatePickerSelection Object

Description

Objects that contains all of the currently selected dates.

For a list of all members defined in this module, see DatePickerSelection members.

Object Model

Remarks

The Blocks collection contains one or more DatePickerSelectionBlock objects that represent all of the currently selected days in the Date Picker control.

The AllowNoncontinuousSelection property allows for more that one block to be selected, and the BlocksCount property returns the current number of blocks.

See Also

DatePickerSelection Members | Selection Property | SelectRange Method | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property | BlocksCount Property


%%PageItemTitle%% $$Members$$

DatePickerSelection Overview | Selection Property | SelectRange Method | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property | BlocksCount Property

See Also Calendar ActiveX Control v19.3

DatePickerSelection Object Members

Public Properties

Public Property AllowNoncontinuousSelection | Gets\set whether multiple groups of one or more days can be selected. Specifies whether non-continuous selection is allowed.
Public Property Blocks | An array of the selected DatePickerSelectionBlock(date) blocks.
Public Property BlocksCount | Retrieves the number of currently selected blocks.

See Also

DatePickerSelection Overview | Selection Property | SelectRange Method | DatePickerSelectionBlock Object | DateBegin Property | DateEnd Property | BlocksCount Property


%%PageItemTitle%%

DatePickerSelection Object | SelectRange Method | Selection Property | MaxSelectionCount Property | SelectionChanged Event

See Also Calendar ActiveX Control v19.3

AllowNoncontinuousSelection Property

Description

Gets\set whether multiple groups of one or more days can be selected. Specifies whether non-continuous selection is allowed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowNoncontinuousSelection() As Boolean

Remarks

Continuous days selection means that user will be able to select only a single days interval between 2 dates, where all dates will be selected inside (a single block of selected days).

Non-continuous days selection means that user will be able to select any specific dates totaling up to MaxSelectionCount.

When AllowNoncontinuousSelection is True, there can be many blocks of selected days. When False, only a single block of days can be selected.

See Also

DatePickerSelection Object | SelectRange Method | Selection Property | MaxSelectionCount Property | SelectionChanged Event


%%PageItemTitle%%

DatePickerSelection Object | BlocksCount Property | AllowNoncontinuousSelection Property | DateBegin Property | DateEnd Property | SelectRange Method | Selection Property

nIndex
Index of selected block to retreive.
See Also Calendar ActiveX Control v19.3

Blocks Property

Description

An array of the selected DatePickerSelectionBlock(date) blocks.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Blocks( _
   ByVal nIndex As Long _
) As DatePickerSelectionBlock

Parameters

nIndex
Index of selected block to retreive.

Remarks

The Blocks collection can contain one or more DatePickerSelectionBlock objects that represent all of the currently selected days in the Date Picker control. The nIndex parameter is used to select a specific Block of selected days.

See Also

DatePickerSelection Object | BlocksCount Property | AllowNoncontinuousSelection Property | DateBegin Property | DateEnd Property | SelectRange Method | Selection Property


%%PageItemTitle%%

DatePickerSelection Object | Blocks Property | SelectRange Method | Selection Property

See Also Calendar ActiveX Control v19.3

BlocksCount Property

Description

Retrieves the number of currently selected blocks.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BlocksCount() As Long

Remarks

BlocksCount can only be greater than 1 when AllowNoncontinuousSelection is True.

BlocksCount can be useful when iterating through the Blocks collection.

See Also

DatePickerSelection Object | Blocks Property | SelectRange Method | Selection Property


%%PageItemTitle%%

DatePickerSelectionBlock Members | AllowNoncontinuousSelection Property | Blocks Property | Selection Property

See Also Calendar ActiveX Control v19.3

DatePickerSelectionBlock Object

Description

Represents a single continuous block of selected days.

For a list of all members defined in this module, see DatePickerSelectionBlock members.

Remarks

The DatePickerSelectionBlock Object holds the start date and end date of a single continuous block of selected days.

When AllowNoncontinuousSelection is True, there can be many blocks of selected days. When False, only a single block of days can be selected.

There will be a DatePickerSelectionBlock Object for each block of selected days.

See Also

DatePickerSelectionBlock Members | AllowNoncontinuousSelection Property | Blocks Property | Selection Property


%%PageItemTitle%% $$Members$$

DatePickerSelectionBlock Overview | AllowNoncontinuousSelection Property | Blocks Property | Selection Property

See Also Calendar ActiveX Control v19.3

DatePickerSelectionBlock Object Members

Public Properties

Public Property DateBegin | Retrieves the start date of the block of selected days.
Public Property DateEnd | Retrieves the End date of the block of selected days.

See Also

DatePickerSelectionBlock Overview | AllowNoncontinuousSelection Property | Blocks Property | Selection Property


%%PageItemTitle%%

DatePickerSelectionBlock Object | Selection Property | Blocks Property | DateEnd Property | SelectRange Method

See Also Calendar ActiveX Control v19.3

DateBegin Property

Description

Retrieves the start date of the block of selected days.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DateBegin() As Date

Remarks

The DatePickerSelectionBlock Object holds the start date and end date of a single continuous block of selected days. The blocks collection can contain one or more DatePickerSelectionBlock objects that represent all of the currently selected days in the Date Picker control.

See Also

DatePickerSelectionBlock Object | Selection Property | Blocks Property | DateEnd Property | SelectRange Method


%%PageItemTitle%%

DatePickerSelectionBlock Object | Blocks Property | AllowNoncontinuousSelection Property | DateBegin Property | Selection Property | SelectRange Method

See Also Calendar ActiveX Control v19.3

DateEnd Property

Description

Retrieves the End date of the block of selected days.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DateEnd() As Date

Remarks

The DatePickerSelectionBlock Object holds the start date and end date of a single continuous block of selected days. The blocks collection can contain one or more DatePickerSelectionBlock objects that represent all of the currently selected days in the Date Picker control.

See Also

DatePickerSelectionBlock Object | Blocks Property | AllowNoncontinuousSelection Property | DateBegin Property | Selection Property | SelectRange Method


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Calendar ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Calendar ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Calendar ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Calendar ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Calendar ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Calendar ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Calendar ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Calendar ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Calendar ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Calendar ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Calendar ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Calendar ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the Calendar.

If the AddImageList method is used, the icons will be added to the collection of icons. These icons will be added in the order they appear in the ImageList control.

The collection of icons can be accessed and used from any codejock component. When referencing the icons in the collection of icons, only the index of the icon is needed.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Calendar ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the image collection.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons. Checks to see if Alpha Icons are supported
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Calendar ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Calendar ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Calendar ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Calendar ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Calendar ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Calendar ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Calendar ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Calendar ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Calendar ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Calendar ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Calendar ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Calendar ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

The number of icons in the image collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.
Checks to see if Alpha Icons are supported

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Calendar ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Calendar ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Calendar ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Calendar ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Calendar ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Calendar ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Calendar ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Calendar ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Calendar ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Calendar ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Calendar ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Calendar ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

PrintInfo Members

See Also Calendar ActiveX Control v19.3

PrintInfo Object

For a list of all members defined in this module, see PrintInfo members.

See Also

PrintInfo Members


%%PageItemTitle%% $$Members$$

PrintInfo Overview

See Also Calendar ActiveX Control v19.3

PrintInfo Object Members

Public Properties

Public Property ContinuePrinting
Public Property CurrentPage
Public Property MaxPage
Public Property PreviewMode
Public Property PrintRectBottom
Public Property PrintRectLeft
Public Property PrintRectRight
Public Property PrintRectTop

See Also

PrintInfo Overview


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

ContinuePrinting Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContinuePrinting() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

CurrentPage Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrentPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

MaxPage Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

PreviewMode Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

PrintRectBottom Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectBottom() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

PrintRectLeft Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectLeft() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

PrintRectRight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectRight() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Calendar ActiveX Control v19.3

PrintRectTop Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectTop() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintPageHeaderFooter Members

See Also Calendar ActiveX Control v19.3

PrintPageHeaderFooter Object

Description

Represents a custom caption string for Print Options which could be customized for a top line of the print header (header header) and a bottom line (header footer).

For a list of all members defined in this module, see PrintPageHeaderFooter members.

Example

[Header and Footer Sample (Visual Basic)] This sample illustrates how to display a header and footer for a printed calendar.

    ' Header ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Name = "Courier New"
    'CalendarControl.PrintOptions.Header.Font.Bold = True
    'CalendarControl.PrintOptions.Header.Font.SIZE = 10

    CalendarControl.PrintOptions.Header.TextLeft = "(c)1998-2009 Codejock Software, All Rights Reserved."
    CalendarControl.PrintOptions.Header.TextCenter = "Calendar Control"
    CalendarControl.PrintOptions.Header.TextRight = "Page 1 of 1 "

    ' Footer ---------------------------------------------------

    'CalendarControl.PrintOptions.Header.Font.Italic = True

    CalendarControl.PrintOptions.Footer.TextLeft = "Date: " & DateValue(Now)
    CalendarControl.PrintOptions.Footer.TextCenter = "Codejock Software, " & vbLf & " Print calendar example "
    CalendarControl.PrintOptions.Footer.TextRight = "Time: " & TimeValue(Now)

    ' Other fonts

    'CalendarControl.PrintOptions.DateHeaderFont.SIZE = 12
    'CalendarControl.PrintOptions.DateHeaderCalendarFont.SIZE = 10

See Also

PrintPageHeaderFooter Members


%%PageItemTitle%% $$Members$$

PrintPageHeaderFooter Overview

See Also Calendar ActiveX Control v19.3

PrintPageHeaderFooter Object Members

Public Methods

Public Method Clear Clears all the text from the header\footer.

Public Properties

Public Property Font | Font used to display the custom header\footer.
Public Property FormatString | Format string.
Public Property TextCenter | A string to show with center align.
Public Property TextLeft | A string to show with left align.
Public Property TextRight | A string to show with right align.

See Also

PrintPageHeaderFooter Overview


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

Clear Method

Description

Clears all the text from the header\footer.

Syntax

Public Sub Clear()

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

Font Property

Description

Font used to display the custom header\footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PrintPageHeaderFooter Object

Example

Header and Footer Sample


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

FormatString Property

Description

Format string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormatString() As String

Remarks

&d Date in short format (as specified by Regional Settings in Control Panel)
&D Date in long format (as specified by Regional Settings in Control Panel)

&t Time in the format specified by Regional Settings in Control Panel
&T Time in 24-hour format

&p Current page number
&P Total number of pages

&b The text immediately following these characters as centered.
&b&b The text immediately following the first "&b" as centered, and the text following the second "&b" as right-justified.

&w Window title

&& A single ampersand (&)
\n new line marker

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

TextCenter Property

Description

A string to show with center align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextCenter() As String

See Also

PrintPageHeaderFooter Object

Example

Header and Footer Sample


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

TextLeft Property

Description

A string to show with left align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLeft() As String

See Also

PrintPageHeaderFooter Object

Example

Header and Footer Sample


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Calendar ActiveX Control v19.3

TextRight Property

Description

A string to show with right align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextRight() As String

See Also

PrintPageHeaderFooter Object

Example

Header and Footer Sample


%%PageItemTitle%%

PropExchange Members | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | ExchangeInt Method | ExchangeString Method | GetSection Method | LoadFromFile Method | SaveToFile Method | Loading Property | Encoding Property | Valid Property | Value Property | DoExchangeCfg Method

See Also Calendar ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing CommandBar, Docking Pane, Task Panel, Report Control, and Calendar layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinaryFile, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoExchangeCfg method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Calendar: Saves data provider and resources configuration which includes CalendarSchedules, CalendarScheduleIDs, CalendarResource, CalendarResourceDescription, CalendarResources, and CalendarDataProvider information.

Example

[PropExchange Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[PropExchange File Sample (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        Dim Options As StateOptions
        Set Options = CommandBars.CreateStateOptions
        Options.SerializeControls = True
        Options.SaveOnlyCustomized = True
        Options.SaveOriginalControls = False
        Options.SerializeOptions = True
        Options.SerializeLayout = True

        'Creates a section called "CommandBars" if saving or
        'retieves data from the "CommandBars" node of loading.
        Set pxSection = px.GetSection("CommandBars")

        'Loads or Saves the settings of the StateOptions object
        'Note: The StateOptions specify what to save or load of
        'the commandbars layout\state.
        CommandBars.DoPropExchange pxSection, Options

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | ExchangeInt Method | ExchangeString Method | GetSection Method | LoadFromFile Method | SaveToFile Method | Loading Property | Encoding Property | Valid Property | Value Property | DoExchangeCfg Method


%%PageItemTitle%% $$Members$$

PropExchange Overview | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | ExchangeInt Method | ExchangeString Method | GetSection Method | LoadFromFile Method | SaveToFile Method | Loading Property | Encoding Property | Valid Property | Value Property | DoExchangeCfg Method

See Also Calendar ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | ExchangeInt Method | ExchangeString Method | GetSection Method | LoadFromFile Method | SaveToFile Method | Loading Property | Encoding Property | Valid Property | Value Property | DoExchangeCfg Method


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Calendar ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Calendar ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Calendar ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Calendar ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Calendar ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Calendar ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Calendar ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Calendar ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Calendar ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Calendar ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Calendar ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Calendar ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Calendar ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

ResourceImages Members

See Also Calendar ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpCalendarThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Calendar ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Calendar ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Calendar ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpCalendarThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Calendar ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Calendar ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

XtremePrinterInfo Members | PrinterInfo Property

See Also Calendar ActiveX Control v19.3

XtremePrinterInfo Object

Description

Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.

For a list of all members defined in this module, see XtremePrinterInfo members.

Remarks

The PrinterInfo property is of type CalendarPrinterInfo and is used to provide information about the currently set printer such as device name, driver name and port name.

The CalendarPrinterInfo object contains strings that identify the driver, device, and output-port names for a printer. The ShowPrintPageSetup method uses these strings to initialize members in the Print dialog box. When the user closes the dialog box, information about the selected printer is returned in this CalendarPrinterInfo object.

See Also

XtremePrinterInfo Members | PrinterInfo Property


%%PageItemTitle%% $$Members$$

XtremePrinterInfo Overview | PrinterInfo Property

See Also Calendar ActiveX Control v19.3

XtremePrinterInfo Object Members

Public Properties

Public Property DeviceName | Retrieves the name of the currently selected printer device.
Public Property DriverName | Retrieves the name of the currently selected printer driver.
Public Property PortName | Retrieves the name of the currently selected printer port.

See Also

XtremePrinterInfo Overview | PrinterInfo Property


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Calendar ActiveX Control v19.3

DeviceName Property

Description

Retrieves the name of the currently selected printer device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DeviceName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Calendar ActiveX Control v19.3

DriverName Property

Description

Retrieves the name of the currently selected printer driver.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DriverName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Calendar ActiveX Control v19.3

PortName Property

Description

Retrieves the name of the currently selected printer port.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PortName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrintPreviewOptions Members

See Also Calendar ActiveX Control v19.3

XtremePrintPreviewOptions Object

Description

Object that contains print preview options.

For a list of all members defined in this module, see XtremePrintPreviewOptions members.

See Also

XtremePrintPreviewOptions Members


%%PageItemTitle%% $$Members$$

XtremePrintPreviewOptions Overview

See Also Calendar ActiveX Control v19.3

XtremePrintPreviewOptions Object Members

Public Properties

Public Property Title Title of the print preview window.

See Also

XtremePrintPreviewOptions Overview


%%PageItemTitle%%

XtremePrintPreviewOptions Object

See Also Calendar ActiveX Control v19.3

Title Property

Description

Title of the print preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

XtremePrintPreviewOptions Object


%%PageItemTitle%%

BeforeDrawThemeObjectFlags Property | BeforeDrawThemeObject Event | CalendarThemeDayViewCellParams Object | CalendarThemeDayViewTimeScaleCellParams Object | CalendarDayViewCellParams Object

See Also Calendar ActiveX Control v19.3

CalendarBeforeDrawThemeObject Enumeration

Description

This enumeration defines a set of calendar parts for which the BeforeDrawThemeObject event is fired.

Members

Member | Description
xtpCalendarBeforeDraw_DayViewTimeScale | Time scale part of the day view. 1 - main time scale, 2 - additional time scale
xtpCalendarBeforeDraw_DayViewTimeScaleCaption | Time Scale Caption. 1 - main time scale, 2 - additional time scale.
xtpCalendarBeforeDraw_DayViewTimeScaleCell | CalendarThemeDayViewTimeScaleCellParams
xtpCalendarBeforeDraw_DayViewDay | DayViewDay
xtpCalendarBeforeDraw_DayViewDayGroup | DayViewDayGroup
xtpCalendarBeforeDraw_DayViewCell | CalendarThemeDayViewCellParams
xtpCalendarBeforeDraw_DayViewEvent | DayViewEvent
xtpCalendarBeforeDraw_AllDayViewEvent | AllDayViewEvent
xtpCalendarBeforeDraw_MonthViewDay | MonthViewDay
xtpCalendarBeforeDraw_MonthViewEvent | MonthViewEvent
xtpCalendarBeforeDraw_MonthViewWeekDayHeader | WeekDay = {1-Sun, 2-Mon, ...}, -1 for common parts
xtpCalendarBeforeDraw_MonthViewWeekHeader | WeekIndex={0...N}, -1 for common part
xtpCalendarBeforeDraw_WeekViewDay | WeekViewDay
xtpCalendarBeforeDraw_WeekViewEvent | WeekViewEvent

See Also

BeforeDrawThemeObjectFlags Property | BeforeDrawThemeObject Event | CalendarThemeDayViewCellParams Object | CalendarThemeDayViewTimeScaleCellParams Object | CalendarDayViewCellParams Object


%%PageItemTitle%%

Calendar ActiveX Control v19.3

CalendarCaptionBarThemeObject Enumeration

Description

Enumerates Calendar Caption Bar graphical objects.

Members

Member | Description
xtpCalendarCaptionBar_Unknown | Defines Unknown (NULL) value.
xtpCalendarCaptionBar_ButtonViewDay | Defines SwitchViewBar DayViewButton.
xtpCalendarCaptionBar_ButtonViewWeek | Defines SwitchViewBar WeekViewButton.
xtpCalendarCaptionBar_ButtonViewMonth | Defines SwitchViewBar MonthViewButton.
xtpCalendarCaptionBar_ShowWorkWeek | Defines SwitchViewBar ShowWorkWeek radio button.
xtpCalendarCaptionBar_ShowFullWeek | Defines SwitchViewBar ShowFullWeek radio button.
xtpCalendarCaptionBar_ShowTimeline | Defines SwitchViewBar ShowTimeLine radio button.
xtpCalendarCaptionBar_ScrollPrevDate | Defines ScrollDateBar PrevDateButton.
xtpCalendarCaptionBar_ScrollNextDate | Defines ScrollDateBar NextDateButton.
xtpCalendarCaptionBar_DateLabel | Defines ScrollDateBar DateLabel.
xtpCalendarCaptionBar_ButtonExpand | Defines ScrollDateBar Expand Button.


%%PageItemTitle%%

DayViewCurrentTimeMarkVisible Property

See Also Calendar ActiveX Control v19.3

CalendarCurrentTimeMarkFlags Enumeration

Description

Specifies when the time marker is displayed on the time scale.

Members

Member | Description
xtpCalendarCurrentTimeMarkNone | Time Mark is always invisible.
xtpCalendarCurrentTimeMarkVisibleForToday | Time Mark is visible if the current day ("Today") is visible.
xtpCalendarCurrentTimeMarkVisibleAlways | Time Mark is always visible.
xtpCalendarCurrentTimeMarkPrinted | If this flag set the Time Mark is visible when the calendar is printed, it will be hidden when printed.

Remarks

The DayViewCurrentTimeMarkVisible property uses flags from this enumeration to specify when the Time Mark is displayed on the time scale.

See Also

DayViewCurrentTimeMarkVisible Property


%%PageItemTitle%%

CacheMode Property | ClearCache Method

See Also Calendar ActiveX Control v19.3

CalendarDataProviderCacheMode Enumeration

Description

Available Cache Modes.

Members

Member | Description
xtpCalendarDPCacheModeOff | Cache is not used. The cache is OFF. DoRetrieveDayEvents is called every time when an event for this day is needed in the calendar.
xtpCalendarDPCacheModeOnRepeat | Repeat all event manipulations in cache. When events are changed/added/deleted corresponding change/add/delete operations will be performed both in the cache and for a main data provider.
xtpCalendarDPCacheModeOnClear | Clear cache after every event manipulation. When events are changed/added/deleted - the cache will be cleared, change/add/delete operations will be performed for a main data provider, and then cache will be re-populated again. This can be useful to prevent cache overflow (and for DEBUG mode).

Remarks

The CacheMode property uses one of the CalendarDataProviderCacheMode flags to set the cache mode for the current data provider.

CacheMode is used for slow data providers to increase their speed. For example, when a database data provider needs to retrieve day events it creates a specific query, executes it and parses the results. These operations could be executed thousands of times, for example, when drawing each day in a view. The Cache itself is a standard memory data provider. CalendarDataProviderCacheMode describes the algorithms for cache updating and clearing.

See Also

CacheMode Property | ClearCache Method


%%PageItemTitle%%

IsEditOperationDisabled Event | BeforeEditOperation Event

See Also Calendar ActiveX Control v19.3

CalendarEditOperation Enumeration

Description

Edit operations that can be performed on events in the Calendar Control.

Members

Member | Description
xtpCalendarEO_Unknown | Unknown operation value.
xtpCalendarEO_DragCopy | Drag copy event.
xtpCalendarEO_DragMove | Drag move event.
xtpCalendarEO_DragResizeBegin | Drag Resizing event begin.
xtpCalendarEO_DragResizeEnd | Drag Resizing event end.
xtpCalendarEO_EditSubject_ByF2 | In-place edit event by pressing F2 key.
xtpCalendarEO_EditSubject_ByMouseClick | In-place edit event by mouse click.
xtpCalendarEO_EditSubject_ByTab | In-place edit event tab key.
xtpCalendarEO_EditSubject_AfterEventResize | In-place edit event after resizing an event.
xtpCalendarEO_Cut | Cut events.
xtpCalendarEO_Copy | Copy events.
xtpCalendarEO_Paste | Paste event.
xtpCalendarEO_DeleteSelectedEvents | Delete selected events.
xtpCalendarEO_DeleteEvent | Delete event. Sent for a single event or for each selected event.
xtpCalendarEO_InPlaceCreateEvent | In-place event creation.

Remarks

These are the edit operations that can be enabled disabled for event editing using the IsEditOperationDisabled and BeforeEditOperation events.

See Also

IsEditOperationDisabled Event | BeforeEditOperation Event


%%PageItemTitle%%

BusyStatus Property

See Also Calendar ActiveX Control v19.3

CalendarEventBusyStatus Enumeration

Description

Enumerates event busy status values.

Members

Member | Description
xtpCalendarBusyStatusFree | Free event status.
xtpCalendarBusyStatusElsewhere |
xtpCalendarBusyStatusTentative | Tentative event status.
xtpCalendarBusyStatusBusy | Busy event status.
xtpCalendarBusyStatusOutOfOffice | OutOfOffice event status.

Remarks

The CalendarEvent.BusyStatus property specifies the busy status of an event. The gripper\border color of an event indicates the CalendarEventBusyStatus of the event. The gripper\border color will not be visible when viewing the calendar in MonthView.

See Also

BusyStatus Property


%%PageItemTitle%%

Calendar ActiveX Control v19.3

CalendarEventIconIDs Enumeration

Description

Icons IDs set to be used with calendar event custom icons to customize standard event glyphs.

Members

Member | Description
xtpCalendarEventIconIDReminder | Reminder icon.
xtpCalendarEventIconIDOccurrence | Occurrence icon.
xtpCalendarEventIconIDException | Exception icon.
xtpCalendarEventIconIDMeeting | Meeting icon.
xtpCalendarEventIconIDPrivate | Private icon.


%%PageItemTitle%%

Importance Property

See Also Calendar ActiveX Control v19.3

CalendarEventImportance Enumeration

Description

Enumerates event importance level values.

Members

Member | Description
xtpCalendarImportanceLow | Low importance level.
xtpCalendarImportanceNormal | Normal importance level.
xtpCalendarImportanceHigh | High importance level.

Remarks

The CalendarEvent.Importance property is used to specify the Importance level of an event.

See Also

Importance Property


%%PageItemTitle%%

RecurrenceState Property | RecurrencePattern Property | CreateRecurrence Method | MakeAsRException Method | RemoveRecurrence Method | SetRExceptionDeleted Method | UpdateRecurrence Method

See Also Calendar ActiveX Control v19.3

CalendarEventRecurrenceState Enumeration

Description

Enumerates event recurrence states.

Members

Member | Description
xtpCalendarRecurrenceNotRecurring | Event is not recurring.
xtpCalendarRecurrenceMaster | Event is a Master (template to generate occurrences).
xtpCalendarRecurrenceOccurrence | Event is Occurrence.
xtpCalendarRecurrenceException | Event is Exception (changed occurrence).

See Also

RecurrenceState Property | RecurrencePattern Property | CreateRecurrence Method | MakeAsRException Method | RemoveRecurrence Method | SetRExceptionDeleted Method | UpdateRecurrence Method


%%PageItemTitle%%

HitCode Property

See Also Calendar ActiveX Control v19.3

CalendarHitTestCode Enumeration

Description

Hit test codes.

Members

Member | Description
xtpCalendarHitTestUnknown | The position is unknown or does not belong to our control.
xtpCalendarHitTestDayArea | The position is inside the days area. This is obsolete, now this is called xtpCalendarHitTestGroupArea.
xtpCalendarHitTestDayHeader | The position is inside control's header.
xtpCalendarHitTestDayExpandButton |
xtpCalendarHitTestGroupArea | The position is inside a group area (same as xtpCalendarHitTestDayArea).
xtpCalendarHitTestGroupHeader | The position is inside a Group (resource) header.
xtpCalendarHitTestDay_Mask | The mask for any position inside days area with the header.
xtpCalendarHitTestEventDragArea | The position is on Event drag area.
xtpCalendarHitTestEventTextArea | The position is on Event text view area.
xtpCalendarHitTestEventResizeVArea | Event vertical resize area.
xtpCalendarHitTestEventResizeHArea | Event horizontal resize area.
xtpCalendarHitTestEventResizeArea_Mask | The mask for both event resize areas.
xtpCalendarHitTestEventResizeBegin | Event start resizing area.
xtpCalendarHitTestEventResizeEnd | Event end resizing area.
xtpCalendarHitTestEvent_Mask | The mask for event area at whole.
xtpCalendarHitTestDayViewTimeScale | Time scale part of the day view.
xtpCalendarHitTestDayViewCell | Day view cells - its general part.
xtpCalendarHitTestDayViewAllDayEvent | All day zone on the day view.
xtpCalendarHitTestDayViewScrollUp |
xtpCalendarHitTestDayViewScrollDown |
xtpCalendarHitTestAllDayEventsScrollUp |
xtpCalendarHitTestAllDayEventsScrollDown |
xtpCalendarHitTestDayView_Mask | The mask for all DayView areas.
xtpCalendarHitTestPrevEventButton |
xtpCalendarHitTestNextEventButton |
xtpCalendarHitTestTimeLineScale | Time line scale area.
xtpCalendarHitTestAllDayExpandButton |

See Also

HitCode Property


%%PageItemTitle%%

EndMethod Property | CalendarRecurrencePattern Object | EndDate Property | EndAfterOccurrences Property

See Also Calendar ActiveX Control v19.3

CalendarPatternEnd Enumeration

Description

Specifies when and how a recurring event will end.

Members

Member | Description
xtpCalendarPatternEndDate | The recurrence pattern will end by a specified date. The date is specified using the EndDate property.
xtpCalendarPatternEndAfterOccurrences | The recurrence pattern will end after a specified number of occurrences. The number of occurences is specified using the EndAfterOccurrences property.
xtpCalendarPatternEndNoDate | The recurrence pattern will never end. This means the recurrence will recur forever.

Remarks

The EndMethod property uses this enumeration to specify how and when a recurring event will end.

See Also

EndMethod Property | CalendarRecurrencePattern Object | EndDate Property | EndAfterOccurrences Property


%%PageItemTitle%%

RecurrenceType Property | CalendarRecurrencePatternOptions Object | RecurrencePattern Options Property

See Also Calendar ActiveX Control v19.3

CalendarRecurrenceType Enumeration

Description

Types of Recurrence Pattern Types.

Members

Member | Description
xtpCalendarRecurrenceUnknown | Unknown Recurrence Type.
xtpCalendarRecurrenceDaily | Daily Recurrence. Recur every N days. N = { 1, 2 .. }.
xtpCalendarRecurrenceWeekly | Weekly Recurrence. Recur every N weeks on the specified 'DaysMask'. N = { 1, 2 .. }.
xtpCalendarRecurrenceMonthly | Monthly Recurrence. Recur every D day of every N months. D = { 1, 2 .. 31}, N = { 1, 2 .. }.
xtpCalendarRecurrenceMonthNth | Monthly Recurrence (Recurs on the same day during a specific week, i.e, Recurs on the 3rd Monday of month(M) every N months). Recur the 1st, 2nd, 3rd, 4th, or Last X of every N months. X = XTPCalendarWeekDay, N = { 1, 2 .. }. See Nth Notes section below.
xtpCalendarRecurrenceYearly | Yearly Recurrence. Recur every day(D) of month(M) each year. M = { 1, 2 .. 12}, D = { 1, 2 .. 31}.
xtpCalendarRecurrenceYearNth | Yearly Recurrence (Recurs on the same day during a specific week, i.e, Recurs on the 3rd Monday of Month(M) every year). Recur the 1st, 2nd, 3rd, 4th, or Last X of month(M). X = XTPCalendarWeekDay, M = { 1, 2 .. 12}. See Nth Notes section below.

Remarks

The RecurrenceType property of the Recurrence Pattern Options uses the CalendarRecurrenceType Enumeration to specify the type of an event.

Nth Notes:

Both the MonthlyNth and YearlyNth recurrences use a Nth value that indicates if the event should occur on the 1st, 2nd, 3rd, 4th or Last XTPCalendarWeekDay of a month.

When specifying the Nth part of the MonthlyNth and YearlyNth recurrences, the following values should be used:

Nth | Value
First | 1
Second | 2
Third | 3
Fourth | 4
Last | 5

The MonthlyNth value is set using the MonthlyNthWhichDay property.

The YearlyNth value is set using the YearlyNthWhichDay property.

See Also

RecurrenceType Property | CalendarRecurrencePatternOptions Object | RecurrencePattern Options Property


%%PageItemTitle%%

OnReminders Event | Dismiss Method | Snooze Method | DismissAll Method | EnableReminders Method

See Also Calendar ActiveX Control v19.3

CalendarRemindersAction Enumeration

Description

Actions that specify which reminder operation has occurred.

Members

Member | Description
xtpCalendarRemindersMonitoringStarted | Indicates EnableReminders was used to enable reminders in the calendar.
xtpCalendarRemindersMonitoringStopped | Indicates EnableReminders was used to disable reminders in the calendar.
xtpCalendarRemindersFire | Indicates a Reminder has been fired. This will happen when the event's StartTime minus MinutesBeforeStart occurs on or before the current time. The NextReminderTime property indicates the next date and time the event will fire.
xtpCalendarReminderSnoozed | Indicates a Reminder has been snoozed using the Snooze method.
xtpCalendarReminderDismissed | Indicates a Reminder has been dismissed using the Dismiss method.
xtpCalendarReminderDismissedAll | Indicates all reminders have been dismissed using the DismissAll method.
xtpCalendarReminderDimissed | Indicates a Reminder has been dismissed using the Dismiss method.
xtpCalendarReminderDimissedAll | Indicates all reminders have been dismissed using the DismissAll method.

See Also

OnReminders Event | Dismiss Method | Snooze Method | DismissAll Method | EnableReminders Method


%%PageItemTitle%%

AddDataProvider Method | DataProvider Create Method | DataProvider Save Method | DataProvider Open Method | DataProvider Close Method

See Also Calendar ActiveX Control v19.3

CalendarResourcesManagerDataProviderFlags Enumeration

Description

Data provider creation flags.

Members

Member | Description
xtpCalendarDPFUnknown | Zero value flag that specifies to do nothing except attempt to add a new data provider to the data providers collection using the specified connection string of the AddDataProvider method.
xtpCalendarDPF_CreateIfNotExists | Calls the DataProvider Create method of the data provider if the DataProvider Open method returns False.
xtpCalendarDPF_SaveOnDestroy | Calls the DataProvider Save method of the data provider when the Resource Manager is destroyed.
xtpCalendarDPF_CloseOnDestroy | Calls the DataProvider Close method of the data provider when the Resource Manager is destroyed.

Remarks

The AddDataProvider method uses the CalendarResourcesManagerDataProviderFlags to control what the data provider does when creating/opening and destroying/closing when adding a data provider.

See Also

AddDataProvider Method | DataProvider Create Method | DataProvider Save Method | DataProvider Open Method | DataProvider Close Method


%%PageItemTitle%%

SelectionChanged Event

See Also Calendar ActiveX Control v19.3

CalendarSelectionChanged Enumeration

Description

Calendar selection types.

Members

Member | Description
xtpCalendarSelectionUnknown | Current selection is an unknown selection value.
xtpCalendarSelectionDays | Current selection is a Day (or day hours for day view) selection. Use the GetSelection method to retrieve the current selection.
xtpCalendarSelectionEvents | Current selection is a Event selection. Use the GetSelectedEvents collection to retrieve currently selected events.

Remarks

The SelectionChanged event uses this enumeration is used to indicate which parts of the Calendar Control is currently selected.

See Also

SelectionChanged Event


%%PageItemTitle%%

VisualTheme Property | VisualTheme Property

See Also Calendar ActiveX Control v19.3

CalendarTheme Enumeration

Description

Specifies the visual themes which are used to display command bars.

Members

Member | Description
xtpCalendarThemeOffice2000 | Specifies the Office2000 visual theme.
xtpCalendarThemeOfficeXP | Specifies the OfficeXP visual theme.
xtpCalendarThemeOffice2003 | Specifies the Office2003 visual theme.
xtpCalendarThemeOffice2013 |
xtpCalendarThemeOffice2016 |
xtpCalendarThemeResource | This setting is used when loading a theme from a resource. To make the Calendar will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpCalendarThemeVisualStudio2015 |
xtpCalendarThemeOffice2007 |
xtpCalendarThemeOffice2010 |

See Also

VisualTheme Property | VisualTheme Property


%%PageItemTitle%%

ViewChanged Event | ViewType Property

See Also Calendar ActiveX Control v19.3

CalendarViewType Enumeration

Description

Indicates the calendar view type.

Members

Member | Description
xtpCalendarDayView | Single Day View.
xtpCalendarWorkWeekView | 5 Day Work Week View. This is the same as Day View, only the 5 Working days (Monday - Friday) are shown.
xtpCalendarWeekView | 7 Day Week View.
xtpCalendarMonthView | Month View. Can display 2 - 6 weeks at a time.
xtpCalendarFullWeekView | Day view - CalendarDayView. All week days are shown.
xtpCalendarTimeLineView | Time Line View. Outlook Style Time Line.

Remarks

The ViewType uses this enumeration to switch the Calendar's ActiveView. When the view is changed, the ViewChanged event occurs.

See Also

ViewChanged Event | ViewType Property


%%PageItemTitle%%

WorkWeekMask Property | MonthNthWhichDayMask Property | WeeklyDayOfWeekMask Property | YearNthWhichDayMask Property

See Also Calendar ActiveX Control v19.3

CalendarWeekDay Enumeration

Description

Days of the Week codes.

Members

Member | Description
xtpCalendarDaySunday | Sunday.
xtpCalendarDayMonday | Monday.
xtpCalendarDayTuesday | Tuesday.
xtpCalendarDayWednesday | Wednesday.
xtpCalendarDayThursday | Thursday.
xtpCalendarDayFriday | Friday.
xtpCalendarDaySaturday | Saturday.
xtpCalendarDayAllWeek | All 7 week days.
xtpCalendarDaySaSu | Saturday and Sunday only.
xtpCalendarDayMo_Fr | All 5 Work Week Days. Includes Monday through Friday.

Remarks

The CalendarWeekDay enumeration is used with the various "mask" methods to indicate which days of the week the mask should be applied to. The following "mask" properties use the CalendarWeekDay enumeration: WorkWeekMask, MonthNthWhichDayMask, WeeklyDayOfWeekMask, and YearNthWhichDayMask.

See Also

WorkWeekMask Property | MonthNthWhichDayMask Property | WeeklyDayOfWeekMask Property | YearNthWhichDayMask Property


%%PageItemTitle%%

BorderStyle Property

See Also Calendar ActiveX Control v19.3

DatePickerBorderStyle Enumeration

Description

Border style of the Date Picker control.

Members

Member | Description
xtpDatePickerBorderNone | No border.
xtpDatePickerBorder3D | 3D border.
xtpDatePickerBorderOffice | Office-like border.
xtpDatePickerBorderStatic | Static border.

Remarks

The BorderStyle property is used to get\set the border style of the Date Picker control.

See Also

BorderStyle Property


%%PageItemTitle%%

AdditionalOptionsFlags Property

See Also Calendar ActiveX Control v19.3

XTPCalendarAdditionalOptions Enumeration

Description

Additional calendar options.

Members

Member | Description
xtpCalendarOptMonthViewShowStartTimeAlways | Option to always show event start time in the month view.
xtpCalendarOptMonthViewShowEndTimeAlways | Option to always show event end time in the month view.
xtpCalendarOptWeekViewShowStartTimeAlways | Option to always show event start time in the week view.
xtpCalendarOptWeekViewShowEndTimeAlways | Option to always show event end time in the week view.
xtpCalendarOptDayViewNoWordBreak | Option to draw event text without word break in the day view.
xtpCalendarOptWorkWeekViewShowStartTimeAlways | Option to always show event start time in the work week view.
xtpCalendarOptWorkWeekViewShowEndTimeAlways | Option to always show event end time in the work week view.
xtpCalendarOptDayViewShowStartTimeAlways | Option to always show event start time in the day view.
xtpCalendarOptDayViewShowEndTimeAlways | Option to always show event end time in the day view.

Remarks

The AdditionalOptionsFlags property uses these flags to set additional options for the calendar.

See Also

AdditionalOptionsFlags Property


%%PageItemTitle%%

Calendar ActiveX Control v19.3

XTPCalendarExpandDayButton Enumeration

Members

Member | Description
xtpCalendarExpandDayButton_MonthView |
xtpCalendarExpandDayButton_WeekView |


%%PageItemTitle%%

AskItemTextFlags Property | GetItemText Event | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | XTPCalendarGetItemTextEx Enumeration

See Also Calendar ActiveX Control v19.3

XTPCalendarGetItemText Enumeration

Description

Defines a set of flags which allow the calendar to determine which text strings are about to be drawn.

Members

Member | Description
xtpCalendarItemText_EventSubject | Event subject text.
xtpCalendarItemText_EventLocation | Event location text.
xtpCalendarItemText_DayViewDayHeader | Day view day header text. (Used for office 2003 theme only)
xtpCalendarItemText_WeekViewDayHeader | Week view day header text. (Used for office 2003 theme only)
xtpCalendarItemText_MonthViewDayHeader | Month view day header text. (Used for office 2003 theme only)
xtpCalendarItemText_MonthViewWeekDayHeader | Month view week day header text.
xtpCalendarItemText_EventToolTipText | Event tooltip text.
xtpCalendarItemText_EventStartTimeText | Start time text.
xtpCalendarItemText_EventEndTimeText | End time text.
xtpCalendarItemText_CaptionBarDayViewDateLabel |
xtpCalendarItemText_CaptionBarWeekViewDateLabel |
xtpCalendarItemText_CaptionBarMonthViewDateLabel |

Remarks

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like to set all the flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

Example:

Using the GetItemText Event to Customize Text

See Also

AskItemTextFlags Property | GetItemText Event | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | XTPCalendarGetItemTextEx Enumeration


%%PageItemTitle%%

AskItemTextFlags Property | GetItemText Event | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | XTPCalendarGetItemText Enumeration

See Also Calendar ActiveX Control v19.3

XTPCalendarGetItemTextEx Enumeration

Description

Defines a set of flags which allow the calendar to determine which text strings are about to be drawn. These are used for the Office 2007 theme only.

Members

Member | Description
xtpCalendarItemText_EventBody | Event body text.
xtpCalendarItemText_EventMarkupTemplate | Event Markup Template text before draw it.
xtpCalendarItemText_DayViewDayHeaderLeft | Day view day header text on the left.
xtpCalendarItemText_DayViewDayHeaderCenter | Day view day header text in the center.
xtpCalendarItemText_DayViewDayHeaderRight | Day view day header text on the right.
xtpCalendarItemText_WeekViewDayHeaderLeft | Week view day header text on the left.
xtpCalendarItemText_WeekViewDayHeaderCenter | Week view day header text in the center.
xtpCalendarItemText_WeekViewDayHeaderRight | Week view day header text on the right.
xtpCalendarItemText_MonthViewDayHeaderLeft | Month view day header text on the left.
xtpCalendarItemText_MonthViewDayHeaderCenter | Month view day header text in the center.
xtpCalendarItemText_MonthViewDayHeaderRight | Month view day header text on the right.

Remarks

The XTPCalendarGetItemTextEx flags are only used for the Office 2007 theme.

The SetFlag method uses any combination of flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations to specify for which calendar text strings the GetItemText event will get fired. The GetItemText event occurs when each calendar text string is about to be drawn if some Flags from the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations have been set using the SetFlag method. The SetFlag method can be used to set any combination of the XTPCalendarGetItemText and XTPCalendarGetItemTextEx (only use with Office 2007 theme) flags. GetItemText will only get fired for the text strings that are specified using the SetFlag method.

If you would like to set all the flags in the XTPCalendarGetItemText and XTPCalendarGetItemTextEx enumerations then you can simply set AskItemTextFlags to -1. This will cause the GetItemText event to fire before each text string is drawn in the calendar.

This allows all of the strings in the calendar to easily be customized. For example, the day header text and time scale text can be customized. The Text property of the Params parameter contains the text that is about to be drawn. The Text property can be set to any customized text.

The ViewDay, ViewEvent and WeekDay properties of the Params parameter contain the current view, event, and day of the week the text to be drawn belongs to. Note that some of these properties might be NULL.

Example:

Using the GetItemText Event to Customize Text

See Also

AskItemTextFlags Property | GetItemText Event | CalendarGetItemTextParams Object | Item Property | Text Property | ViewDay Property | ViewEvent Property | WeekDay Property | CalendarFlagsSet Object | SetFlag Method | IsFlagSet Method | XTPCalendarGetItemText Enumeration


%%PageItemTitle%%

Calendar ActiveX Control v19.3

XTPCalendarScrollDayButton Enumeration

Members

Member | Description
xtpCalendarScrollDayButton_DayViewUp |
xtpCalendarScrollDayButton_DayViewDown |


%%PageItemTitle%%

Calendar ActiveX Control v19.3

XTPCalendarUserAction Enumeration

Members

Member | Description
xtpCalendarUserAction_OnExpandDay |
xtpCalendarUserAction_OnScrollDay |
xtpCalendarUserAction_OnScrollAllDayEvensUp |
xtpCalendarUserAction_OnScrollAllDayEvensDown |


%%PageItemTitle%%

SetColor Method | Color Property | SetSpecialColor Method

See Also Calendar ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control.
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property | SetSpecialColor Method


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Calendar ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Calendar ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


Chart Pro ActiveX Controls v19.3

Chart Pro ActiveX Control v19.3
Chart Pro ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
ChartControl | Chart Control.
Classes
Class Module | Description
Chart3dPieDiagram | Chart3dPieDiagram
Chart3dPieSeriesStyle | Chart3dPieSeriesStyle
Chart3dPyramidSeriesStyle | Chart3dPyramidSeriesStyle
Chart3dRotation | Chart3dRotation
ChartAppearance | Represents the appearance of a chart and it's elements.
ChartAreaSeriesStyle | Area chart style.
ChartAxis | Represents a chart axis (both x and y axis).
ChartAxisConstantLine | Represents a constant line parallel to an axis.
ChartAxisConstantLines | Represents a collection of ChartAxisConstantLine objects.
ChartAxisCustomLabel | Represents a custom label displayed for a value in an axis.
ChartAxisCustomLabels | Represents a collection of ChartAxisCustomLabel objects.
ChartAxisGridLines | Represents the grid lines parallel to an axis.
ChartAxisLabel | Represents the text label on an axis.
ChartAxisRange | Represents the range of values and the properties of the range for the given axis.
ChartAxisStrip | Represents a strip parallel to an axis.
ChartAxisStrips | Represents a collection of ChartAxisStrip objects.
ChartAxisTickMarks | Represents the tick marks in an axis.
ChartAxisTitle | Represents the axis title.
ChartBarSeriesLabel | Properties used by the labels of Bar Chart styles.
ChartBarSeriesStyle | Bar chart style.
ChartBorder | Properties used to draw the chart elements's border.
ChartBubbleSeriesStyle | Bubble chart style.
ChartCandleStickSeriesStyle | Candle Stick\Financial\Stock chart style.
ChartContent | Represents the content of the chart. This object has a appearance collection, series collection, title collection and legend.
ChartControlGlobalSettings | Chart Control Global Settings.
ChartDiagram | Represents a chart diagram. This object acts as a base class for 2D and 3D diagrams.
ChartDiagram2D | Represents the diagram used to draw a 2D chart (point, area, bar, etc). Used for all charts except 3D views and 2D Pie.
ChartDiagramCollection | Represents a collection of ChartDiagram objects.
ChartElement | Represents an element of the chart (point, etc...)
ChartFastLineSeriesStyle | Fast Line style (use when plotting thousands of points and drawing speed is important).
ChartFillStyle | Represents the styles used to fill\shade the background of various elements of the chart (strips, interlacing, background, markers, labels, legend, etc) .
ChartFont | Font used to display the element.
ChartFunnelDiagram | ChartFunnelDiagram
ChartFunnelSeriesLabel | Properties used by the labels of Funnel Chart styles.
ChartFunnelSeriesStyle | Funnel Chart style
ChartGanttSeriesStyle | Gantt series style.
ChartHighLowSeriesStyle | Financial\Stock chart style.
ChartLegend | Represents the chart's legend.
ChartLegendItem | Chart Legend Item object.
ChartLineSeriesStyle | Line Chart Style.
ChartLineStyle | Represents a chart line style. This is the style applied to a data series when using a chart style that uses lines (line, area, spline, etc..)
ChartMarker | Marker used to display a plot\point in the series.
ChartNumberFormat | Holds properties used to help format numbers to strings. This is used to format labels throughout the chart.
ChartPalette | Represents a palette used to color a series.
ChartPieDiagram | Represents the diagram used to draw a 2D Pie chart.
ChartPieSeriesLabel | Represents the label properties used to display labels for a pie chart.
ChartPieSeriesStyle | 2D Pie Chart or 2D Doughnut Chart style.
ChartPointSeriesLabel | Properties used by the labels of Point Chart styles and those styles that are derived from the point series (area, bar, bubble, line, spline, stacked bar).
ChartPointSeriesStyle | Point Chart Style.
ChartPyramidDiagram | ChartFunnelDiagram
ChartPyramidSeriesLabel | Properties used by the labels of Pyramid Chart styles.
ChartPyramidSeriesStyle | Pyramid 2D style.
ChartRadarAreaSeriesStyle | Radar/Polar Area Style.
ChartRadarDiagram | Represents the diagram used to draw a Radar/Polar chart.
ChartRadarLineSeriesStyle | Radar/Polar Line Style.
ChartRadarPointSeriesLabel | Properties used by the labels of Radar/Polar Chart styles.
ChartRadarPointSeriesStyle | Radar/Polar Point Style.
ChartRadarSplineAreaSeriesStyle | Radar/Polar Spline Area Style.
ChartRadarSplineSeriesStyle | Radar/Polar Spline Style.
ChartRangeBarSeriesLabel | Properties used by the labels of Range Bar Chart styles.
ChartRangeBarSeriesStyle | Range Bar Style.
ChartRangeSplineAreaSeriesStyle | Range Area chart style
ChartScatterLineSeriesStyle | Scatter chart style
ChartSeries | Represents a series of data in the chart.
ChartSeriesCollection | Represents a collection of ChartSeries objects.
ChartSeriesErrorBar |
ChartSeriesLabel | Represents the label properties used to display labels for data in a data series.
ChartSeriesPoint | Represents a point of data is a series.
ChartSeriesPointCollection | Represents a collection of ChartSeriesPoint for a given ChartSeries.
ChartSeriesStyle | Represents the style applied for a given ChartSeries.
ChartSeriesTrendline | ChartSeriesTrendline
ChartSplineAreaSeriesStyle | Spline area chart style.
ChartSplineSeriesStyle | Spline Chart Style.
ChartStackedAreaSeriesStyle | Stacked Area\100% Stacked Area chart.
ChartStackedBarSeriesStyle | Stacked Bar\100% Stacked Bar chart.
ChartStackedSplineAreaSeriesStyle | Stacked Spline Area Chart Style
ChartStepAreaSeriesStyle | Step Area chart style
ChartStepLineSeriesStyle | Step Line chart style
ChartTitle | Represents a title displayed in the chart.
ChartTitleCollection | Represents a collection of ChartTitle objects displayed in the chart.
PropExchange | Object used for reading and writing Chart Control layout information to\from a XML file, the registry, or binary file.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
ChartAxisAlignment | Axis alignment.
ChartAxisDateTimeScaleUnit | Time scale units used on this axis for a series with an ArgumentScaleType set to xtpChartScaleDateTime.
ChartBarLabelPosition | Defines the various positions available to the bar labels.
ChartDashStyle | Defines the various line styles for the charts.
ChartDateTimeFormatCategory | Defines the various DateTime formats available to format labels in the chart.
ChartDocking | Defines the various docking positions of a chart title.
ChartErrorBarDirection | Chart Error Bar Direction
ChartErrorBarEndStyle | Chart Error Bar End Style
ChartErrorBarPosition | Chart Error Bar Type
ChartErrorBarType | Chart Error Bar Type
ChartFillMode | Defines the various background fill modes.
ChartFunnelLabelPosition | Defines the various positions available to the funnel labels.
ChartGradientAngle | Defines the different Gradient Angles used for background filling.
ChartHatchStyle | Defines the various hatch styles used for background filling.
ChartLegendAlignment | Defines the various legend alignments.
ChartLegendDirection | Defines the various legend orientations.
ChartLinearGradientMode | Chart Gradient Angle
ChartMarkerType | Defines the various markers available to the styles that display a dot\point (line, spline, etc...).
ChartNearTextPosition | Chart Hatch Style
ChartNumberFormatCategory | Defines the various number formats available to format labels in the chart.
ChartPanelDirection | Orientation of the chart's content.
ChartPieLabelPosition | Defines the various positions available to the pie labels.
ChartPyramidLabelPosition | Defines the various positions available to the pyramid labels.
ChartRadarDiagramStyle | Defines the various diagram styles a radar\polar chart can use (circle\spider).
ChartRangeBarLabelPosition | Defines the various positions available to the range bar labels.
ChartRangeBarLabelType | Specifies which labels will be displayed in a range bar chart.
ChartScaleType | Defines the various scales type for a series.
ChartSeriesTrendlineType | Chart Series Trendline type
ChartStringAlignment | Defines the various alignments for the chart strings such as the title.
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles

The Chart control has many different style, which include:

Combination Chart

A combination chart uses two or more chart types to emphasis that the chart contains different types of data.

Code example here.

Area Chart

An area chart is very similar to a line chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Code example here.

100 Stacked Area Chart

A 100 Stacked Area chart is very similar to a chart, only the data is stacked on top of each other and the data values for each item will total 100%. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Code example here

Stacked Area Chart

A Stacked Area chart is very similar to a chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Code example here

Bar Chart

A bar chart displays data with rectangular "bars" with lengths relative to the data they symbolize. Generally a bar chart is used to display discontinuous data (data that has a discrete value), however it can also be used for continuous data. Examples of discontinuous data would be "car color" or "tire size", examples of continuous data would be "population" or "age".

Code example here.

Bubble Chart

A bubble chart is just a variation of a point chart, only it displays bubbles of the data points. Data in displayed in a grid using Cartesian coordinates. Data is displayed along the x and y axis, where x and y can represent any type of data (as in the chart below, x - decades, y - population).

Code example here.

CandleStick Chart

A Candlestick Chart used to display trends for financial data, generally stock market prices. Candlestick charts are much easier to rear than a traditional bar chart to a stock market trader. The candle sticks make it fast and easy to compare the high and low, open and close of data. Each "candle stick" represents the high, low, open and close of data for a given value. The relationship between these candles is important in determining trends among stock prices. The "open" and "close" values are displayed as the "body" of the candle, and the "high" and "low" are displayed as simple lined above and below the body. Buying pressure is indicated with hollow candles, where the close is greater than the previous high. Selling pressure is indicated with a filled red candle, where it's close value is lower than the previous close value.

Code example here.

Line Chart

A line chart is is used to show a series of data points connected by straight line segments. Charts of this type are generally used to illustrate trends in data over a period of time.

Code example here.

2D Pie Chart

A pie chart displays a series of data as "slices" of a "pie". The data in the pie chart will be divided up into slices, each represents a percentage of the pie. The size of the slice will be proportional to the data it represents and each slice will be combined to represent some whole value.

Code example here.

2D Doughnut Chart

A Doughnut chart functions exactly the same as a pie chart, only there is a blank hole in the middle of the pie.

Code example here.

Point Chart

A point chart displays data in a grid using Cartesian coordinates. Data is displayed along the x and y axis, where x and y can represent any type of data (as in the chart below, x - decades, y - population). A point chart is also referred to as a plot or scatter chart.

Code example here.

Spline Area Chart

A Spline Area chart is very similar to a spline chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Code example here.

Stacked Spline Chart

A Stacked Spline Area chart is very similar to a spline chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. The lines in the spline chart are much more smooth flowing than an area chart. Area charts are commonly used to display accumulated values over a period of time.

Code example here

Spline Chart

A spline chart is used to show information as a series of data points connected by smooth flowing "spline" segments. The spline will draw a smooth flowing line through all data points in the data set. Charts of this type are generally used to illustrate trends in data over a period of time.

Code example here.

Stock\Bar Chart

A Stock (Bar) Chart used to display trends for financial data, generally stock market prices. A Stock\Bar chart is similar to a Candlestick chart, but is considered harder to read for stock market analyse. The stock\bar chart displays the high and low, open and close of data. Each "bar" represents the high, low, open and close of data for a given value. The relationship between these bars is important in determining trends among stock prices. The "open" and "close" values are displayed as "tick" marks on the side of the bar, the "high" is the tick mark on the right and the "low" is the tick mark on the left of the bar. Buying pressure is indicated with black bars, where the close is greater than the previous high. Selling pressure is indicated with red bars, where it's close value is lower than the previous close value.

Code example here.

StepLine Chart

The Step Line chart is another for of a Line chart. Unline the traditional line chart, Step line charts only use vertical and horizontal lines to connect the data points forming what looks like steps.

Code example here.

Funnel Chart

The Funnel chart displays a series of data in a funnel shape. The top portion of the funnel will typically contain the largest percentage of the data, while the bottom will "funnel" down to the smallest percentage, however the funnel will allow data to be added in any combination to suit your needs. The size of the funnel sections are all relative to each other and the order does not matter.

Code example here.

Pyramid Chart

The Pyramid chart displays a series of data in a pyramid shape. The size of the pyramid sections are all relative to each other and the order does not matter. You can have a "top heavy" pyramid where the largest section is the top section or any other combination.

Code example here.

Scatter Line Chart

A Scatter chart is similar to a line chart, only the scatter chart will plot the data values in the exact order that they are entered and connect the plots with a line (unlike the line chart which will order the data based on the x and y axis). Scatter charts can be used for scientific data or can be used as a trend chart.

Code example here.

Range Bar Chart

A Range Bar is used to display data\events that have a finite beginning and end value. The range bar can be displayed both overlapped or side-by-side so the different ranges of data can easily be compared to each other.

Code example here.

Stacked Bar Chart

A stacked bar chart is similar to a standard bar chart except the bars for a given argument will be stacked on top of each other. You can stack the bars vertically or horizontally. This type of chart is used to compare the relationship of parts to the whole. Each bar is used to represent a total. For example, you could show the number of males\females that prefer each of the 4 major sports (football, basketball, hockey, baseball) in a stacked bar chart. There would be 4 stacked bars, each divided into 2 categories (male\female).

Code example here.

Side-By-Side Stacked Bar Chart

A side-by-side stacked bar chart is similar to a standard stacked bar chart except you can have many stacked bars per argument. For example, building on the example from the stacked bars, you can use side-by-side stacked bars to show the male\female sports preference by country. So now you might have 3 countries (USA, Europe, Australia), each of which will have 4 stacked bars for each of the major sports and those bars will be divided into 2 categories, male\female.

Code example here.

Chart Builder Tool

Using the supplied "Chart Builder" tool you can build your charts, customize the colors, etc. and export them to an xml file that can then be loaded into the chart control.

Code example here.

Multiple Chart Diagrams

Almost any combination of chart types can be combined together into the same view.

Code example here.

Gantt Chart

A Gantt chart is a type of range bar chart commonly used for task\schedule planning. Typically a Gantt chart is used for displaying the progression of a project and will display the length each individual task will take versus the progression of time.

Code example here.

Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

Chart3dPieDiagram Members

See Also Chart Pro ActiveX Control v19.3

Chart3dPieDiagram Object

Description

Chart3dPieDiagram

For a list of all members defined in this module, see Chart3dPieDiagram members.

Object Model

See Also

Chart3dPieDiagram Members


%%PageItemTitle%% $$Members$$

Chart3dPieDiagram Overview

See Also Chart Pro ActiveX Control v19.3

Chart3dPieDiagram Object Members

Public Properties

Public Property Titles

See Also

Chart3dPieDiagram Overview


%%PageItemTitle%%

Chart3dPieDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

See Also

Chart3dPieDiagram Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

Chart3dPieSeriesStyle Object

Description

Chart3dPieSeriesStyle

For a list of all members defined in this module, see Chart3dPieSeriesStyle members.

Object Model

See Also

Chart3dPieSeriesStyle Members


%%PageItemTitle%% $$Members$$

Chart3dPieSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

Chart3dPieSeriesStyle Object Members

Public Methods

Public Method GetRotation
Public Method SetRotation

Public Properties

Public Property Border
Public Property Color
Public Property ColorEach
Public Property Depth
Public Property ExplodedDistancePercent
Public Property HolePercent
Public Property IsTorus
Public Property Label
Public Property Rotation

See Also

Chart3dPieSeriesStyle Overview


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

GetRotation Method

Syntax

Public Function GetRotation() As Chart3dRotation

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

pRotation
See Also Chart Pro ActiveX Control v19.3

SetRotation Method

Syntax

Public Sub SetRotation( _
   ByVal pRotation As Chart3dRotation _
)

Parameters

pRotation

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Depth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Depth() As Integer

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ExplodedDistancePercent Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExplodedDistancePercent() As Integer

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

HolePercent Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HolePercent() As Integer

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

IsTorus Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsTorus() As Boolean

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPieSeriesLabel

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Rotation Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Rotation() As Integer

See Also

Chart3dPieSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

Chart3dPyramidSeriesStyle Object

Description

Chart3dPyramidSeriesStyle

For a list of all members defined in this module, see Chart3dPyramidSeriesStyle members.

Object Model

See Also

Chart3dPyramidSeriesStyle Members


%%PageItemTitle%% $$Members$$

Chart3dPyramidSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

Chart3dPyramidSeriesStyle Object Members

Public Methods

Public Method GetRotation
Public Method SetRotation

Public Properties

Public Property BaseEdgeCount
Public Property Color
Public Property ColorEach
Public Property HeightToWidthRatio
Public Property Label
Public Property PointDistance
Public Property SmoothEdges

See Also

Chart3dPyramidSeriesStyle Overview


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

GetRotation Method

Syntax

Public Function GetRotation() As Chart3dRotation

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

pRotation
See Also Chart Pro ActiveX Control v19.3

SetRotation Method

Syntax

Public Sub SetRotation( _
   ByVal pRotation As Chart3dRotation _
)

Parameters

pRotation

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

BaseEdgeCount Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseEdgeCount() As Integer

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

HeightToWidthRatio Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeightToWidthRatio() As Double

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPyramidSeriesLabel

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

PointDistance Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PointDistance() As Integer

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

SmoothEdges Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SmoothEdges() As Boolean

See Also

Chart3dPyramidSeriesStyle Object


%%PageItemTitle%%

Chart3dRotation Members

See Also Chart Pro ActiveX Control v19.3

Chart3dRotation Object

Description

Chart3dRotation

For a list of all members defined in this module, see Chart3dRotation members.

See Also

Chart3dRotation Members


%%PageItemTitle%% $$Members$$

Chart3dRotation Overview

See Also Chart Pro ActiveX Control v19.3

Chart3dRotation Object Members

Public Properties

Public Property Pitch
Public Property Roll
Public Property Yaw

See Also

Chart3dRotation Overview


%%PageItemTitle%%

Chart3dRotation Object

See Also Chart Pro ActiveX Control v19.3

Pitch Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pitch() As Double

See Also

Chart3dRotation Object


%%PageItemTitle%%

Chart3dRotation Object

See Also Chart Pro ActiveX Control v19.3

Roll Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Roll() As Double

See Also

Chart3dRotation Object


%%PageItemTitle%%

Chart3dRotation Object

See Also Chart Pro ActiveX Control v19.3

Yaw Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Yaw() As Double

See Also

Chart3dRotation Object


%%PageItemTitle%%

ChartAppearance Members

See Also Chart Pro ActiveX Control v19.3

ChartAppearance Object

Description

Represents the appearance of a chart and it's elements.

For a list of all members defined in this module, see ChartAppearance members.

Object Model

Remarks

Chart Appearance contains methods to load pre-set palettes and appearances for the chart and chart series to use. Appearances effect only the colors of the chart itself, it does not effect the series. Palettes effect the colors of the series and legend, but doesnt effect the the actual chart.

Example

Dim AppearanceList
Dim AppearanceIndex As Long

Dim PaletteList
Dim PaletteIndex As Long

AppearanceList = Array("Nature", "Black", "Gray")
AppearanceIndex = 0

PaletteList = Array("Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", _
"Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", _
"Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue")

PaletteIndex = 9

ActiveChartControl.Content.Appearance.SetAppearance AppearanceList(AppearanceIndex)

ActiveChartControl.Content.Appearance.SetPalette PaletteList(PaletteIndex)

See Also

ChartAppearance Members


%%PageItemTitle%% $$Members$$

ChartAppearance Overview

See Also Chart Pro ActiveX Control v19.3

ChartAppearance Object Members

Public Methods

Public Method LoadAppearance | Call this function to load the appearance properties from a resource.
Public Method LoadPalette | Call this function to load the chart palette values from a resource.
Public Method SetAppearance | Sets the appearance of the chart.
Public Method SetPalette | Sets the palette of the chart series styles.

Public Properties

Public Property Palette Gets the palette used to color the series in the chart.

See Also

ChartAppearance Overview


%%PageItemTitle%%

ChartAppearance Object

pPX
See Also Chart Pro ActiveX Control v19.3

LoadAppearance Method

Description

Call this function to load the appearance properties from a resource.

Syntax

Public Sub LoadAppearance( _
   ByVal pPX As PropExchange _
)

Parameters

pPX

See Also

ChartAppearance Object


%%PageItemTitle%%

ChartAppearance Object

pPX
See Also Chart Pro ActiveX Control v19.3

LoadPalette Method

Description

Call this function to load the chart palette values from a resource.

Syntax

Public Sub LoadPalette( _
   ByVal pPX As PropExchange _
)

Parameters

pPX

See Also

ChartAppearance Object


%%PageItemTitle%%

ChartAppearance Object

Name

Name of the appearance to set.

These are the current pre-set appearances:

"Nature", "Black", "Gray"

See Also Chart Pro ActiveX Control v19.3

SetAppearance Method

Description

Sets the appearance of the chart.

Syntax

Public Sub SetAppearance( _
   ByVal Name As String _
)

Parameters

Name

Name of the appearance to set.

These are the current pre-set appearances:

"Nature", "Black", "Gray"

Remarks

This method will load pre-set appearances for the chart to use. Appearances effect only the colors of the chart itself, it does not effect the series.

These are the current pre-set appearances:

"Nature", "Black", "Gray"

Below is the same diagram using 2 different appearances ("Black" and "Gray" appearances used). Notice how only the chart is effects, the series and legend remain unchanged:

Example

Dim AppearanceList
Dim AppearanceIndex As Long

Dim PaletteList
Dim PaletteIndex As Long

AppearanceList = Array("Nature", "Black", "Gray")
AppearanceIndex = 0

PaletteList = Array("Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", _
"Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", _
"Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue")

PaletteIndex = 9

ActiveChartControl.Content.Appearance.SetAppearance AppearanceList(AppearanceIndex)

ActiveChartControl.Content.Appearance.SetPalette PaletteList(PaletteIndex)

See Also

ChartAppearance Object


%%PageItemTitle%%

ChartAppearance Object

Name

Name of the palettes to set.

These are the current pre-set palettes:

"Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", "Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", "Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue"

See Also Chart Pro ActiveX Control v19.3

SetPalette Method

Description

Sets the palette of the chart series styles.

Syntax

Public Sub SetPalette( _
   ByVal Name As String _
)

Parameters

Name

Name of the palettes to set.

These are the current pre-set palettes:

"Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", "Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", "Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue"

Remarks

This method will load pre-set palettes for the chart series to use. Palettes effect the colors of the series and legend, but doesnt effect the the actual chart.

These are the current pre-set palettes:

"Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", "Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", "Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue"

Below is the same diagram using 2 different palettes ("Postmodern" and "Photodesign" palettes used). Notice how only the series and legend are effected:

Example

Dim AppearanceList
Dim AppearanceIndex As Long

Dim PaletteList
Dim PaletteIndex As Long

AppearanceList = Array("Nature", "Black", "Gray")
AppearanceIndex = 0

PaletteList = Array("Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", _
"Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", _
"Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue")

PaletteIndex = 9

ActiveChartControl.Content.Appearance.SetAppearance AppearanceList(AppearanceIndex)

ActiveChartControl.Content.Appearance.SetPalette PaletteList(PaletteIndex)

See Also

ChartAppearance Object


%%PageItemTitle%%

ChartAppearance Object

See Also Chart Pro ActiveX Control v19.3

Palette Property

Description

Gets the palette used to color the series in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Palette() As ChartPalette

Return Type

The palette used to color a series.

See Also

ChartAppearance Object


%%PageItemTitle%%

ChartAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartAreaSeriesStyle Object

Description

Area chart style.

For a list of all members defined in this module, see ChartAreaSeriesStyle members.

Object Model

Remarks

An area chart is very similar to a line chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time. Area series displays graphically the quantitative data in a chart. It displays a series as a set of points connected by a line or spline with all the area filled in below the line.

Example

'Area series style chart

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

Series.Points.Add 1900, 7268
Series.Points.Add 1950, 14830
Series.Points.Add 1990, 17990
Series.Points.Add 2000, 18976
Series.Points.Add 2008, 20323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

ChartControl.Content.Titles.Add "Population by U.S. State"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartAreaSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

See Also

ChartAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartAreaSeriesStyle Overview


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartAreaSeriesStyle Object


%%PageItemTitle%%

ChartAxis Members

See Also Chart Pro ActiveX Control v19.3

ChartAxis Object

Description

Represents a chart axis (both x and y axis).

For a list of all members defined in this module, see ChartAxis members.

Object Model

See Also

ChartAxis Members


%%PageItemTitle%% $$Members$$

ChartAxis Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxis Object Members

Public Properties

Public Property Alignment | Gets\sets the alignment of the axis.
Public Property AllowZoom | Gets\sets wether to allow this axis to be zoomed.
Public Property Color | Gets\sets the color of the axis.
Public Property ConstantLines | Gets the associated object which deals with constant lines parallel to the axis.
Public Property CustomLabels |
Public Property DateTimeScaleUnit | Specifies the time scale units used on this axis for a series with an ArgumentScaleType set to xtpChartScaleDateTime.
Public Property GridLines | Gets the object which represents the axis gridlines.
Public Property GridSpacing | Gets\sets the spacing between grid lines.
Public Property GridSpacingAuto | Gets\sets whether to use auto grid line spacing.
Public Property Index |
Public Property Interlaced | Enable/disable interlaced strips.
Public Property InterlacedColor | Gets\sets the first interlaced color of the axis.
Public Property InterlacedColor2 | Gets\sets the second interlaced color of the axis.
Public Property InterlacedFillStyle | Gets\sets the second interlaced strip's background fill style.
Public Property Label | Gets the object which represents the label of the axis.
Public Property Logarithmic | Specifies whether to use a logarithmic scale for this axis with the base specified by LogarithmicBase.
Public Property LogarithmicBase | Specifies the base for the logarithmic scale.
Public Property MinorCount | Gets\sets the minor count of the axis grid lines.
Public Property Range | Get the object which represents the range of the axis.
Public Property Reversed | Gets\sets whether to reverse the order of the axis values.
Public Property Strips | Gets the associated object which deals with strips parallel to the axis.
Public Property Thickness | Gets\sets the thickness of the axis line.
Public Property TickMarks | Gets the associated object which abstracts the axis tick marks.
Public Property Title | Gets the associated object which deals the axis title.
Public Property Visible | Show/hide the axis.

See Also

ChartAxis Overview


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Alignment Property

Description

Gets\sets the alignment of the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As ChartAxisAlignment

Remarks

xtpChartAxisNear - for Y axis, near means left side of the chart
for X axis it is the bottom side of the chart.

xtpChartAxisFar - for Y axis, near means right side of the chart
for X axis it is the top side of the chart.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object | ZoomLimit Property

See Also Chart Pro ActiveX Control v19.3

AllowZoom Property

Description

Gets\sets wether to allow this axis to be zoomed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowZoom() As Boolean

Return Type

Returns if this axis can be zoomed.

Remarks

The ZoomLimit is used to specify the amount of zoom that can be applied to the axis. To zoom, simply make sure the chart has focus and then use the mouse wheel.

See Also

ChartAxis Object | ZoomLimit Property


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

ConstantLines Property

Description

Gets the associated object which deals with constant lines parallel to the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ConstantLines() As ChartAxisConstantLines

Return Type

Returns the pointer to the ChartAxisConstantLines object.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

CustomLabels Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomLabels() As ChartAxisCustomLabels

Return Type

Returns the pointer to the ChartAxisCustomLabels object.

Remarks

Custom labels allow you do display any text you wish for any axis value. You can have as many custom labels as you need.

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisX.CustomLabels.Add "2010-01-04", "2010-01-04"
Diagram.AxisX.CustomLabels.Add "2010-01-15", "2010-01-15"
Diagram.AxisX.CustomLabels.Add "2010-02-01", "2010-02-01"
Diagram.AxisX.CustomLabels.Add "2010-02-16", "2010-02-16"
Diagram.AxisX.CustomLabels.Add "2010-03-01", "2010-03-01"

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

DateTimeScaleUnit Property

Description

Specifies the time scale units used on this axis for a series with an ArgumentScaleType set to xtpChartScaleDateTime.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateTimeScaleUnit() As ChartAxisDateTimeScaleUnit

Return Type

A value from the ChartAxisDateTimeScaleUnit enumeration that represents the time scale units used on this axis.

Remarks

DateTimeScaleUnit is used to set the time scale units used to display the data in a series with an ArgumentScaleType set to xtpChartScaleDateTime. This allows the same data to easily be displayed in terms of minutes, hours, days, months, years, etc.

The labels of the axis can also be formatted in almost any fashion.

Example

ChartControl.Content.Legend.Visible = False
ChartControl.Content.Titles.Add ""

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Sales")

Dim Style As New ChartBarSeriesStyle
Set Series.Style = Style

Style.Label.Visible = False

Dim Diagram As ChartDiagram2D
Set Diagram = Series.Diagram

Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Thousands of Dollars"

Diagram.AxisY.Label.Format.Category = xtpChartNumber

Diagram.AxisX.Interlaced = False
Diagram.AxisY.GridLines.MinorVisible = True

ChartControl.Content.Titles(0).Text = "Sales Volume by Day"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series(0)

Dim dt As Date
dt = #1/1/2010#

Series.Points.DeleteAll

While (dt < #7/7/2010#)
Series.Points.Add dt, Rnd * 100

dt = dt + 1
Wend

Series.ArgumentScaleType = xtpChartScaleDateTime

Dim Diagram As ChartDiagram2D
Set Diagram = Series.Diagram

Diagram.AxisX.DateTimeScaleUnit = xtpChartScaleDay
Diagram.AxisX.Label.Angle = 315
Diagram.AxisX.Label.Antialiasing = True

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

GridLines Property

Description

Gets the object which represents the axis gridlines.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GridLines() As ChartAxisGridLines

Return Type

Returns the pointer to the axis gridlines object.

Remarks

Handles the axis gridlines and its appearance.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object | GridSpacingAuto Property

See Also Chart Pro ActiveX Control v19.3

GridSpacing Property

Description

Gets\sets the spacing between grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridSpacing() As Double

Return Type

Returns the spacing between grid lines.

Remarks

You can use this to manually specify the grid line spacing when GridSpacingAuto is False.

See Also

ChartAxis Object | GridSpacingAuto Property


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

GridSpacingAuto Property

Description

Gets\sets whether to use auto grid line spacing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridSpacingAuto() As Boolean

Return Type

Returns True is auto grid line spacing is used.

Remarks

This will let the chart calculate the spacing based on available space and the limits specified.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Index Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Interlaced Property

Description

Enable/disable interlaced strips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Interlaced() As Boolean

Return Type

TRUE if the interlaced strips are to be enabled, FALSE to remove the interlaced strips.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

InterlacedColor Property

Description

Gets\sets the first interlaced color of the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InterlacedColor() As ULong

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

InterlacedColor2 Property

Description

Gets\sets the second interlaced color of the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InterlacedColor2() As ULong

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

InterlacedFillStyle Property

Description

Gets\sets the second interlaced strip's background fill style.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InterlacedFillStyle() As ChartFillStyle

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Gets the object which represents the label of the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartAxisLabel

Return Type

Returns the pointer to the axis label object.

Remarks

Handles the chart label and its appearance.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Logarithmic Property

Description

Specifies whether to use a logarithmic scale for this axis with the base specified by LogarithmicBase.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Logarithmic() As Boolean

Return Type

True if this axis uses a logarithmic base, False if it uses a linear base.

Remarks

A logarithmic scale allows data across a very large range to be displayed in an easy to read chart. The base of the scale is specified by LogarithmicBase, with a default of base 10.

Example

'Logarithmic scale sample

Private Sub Form_Load()

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

Dim Diagram As ChartDiagram2D
Set Diagram = New ChartDiagram2D
ChartControl.Content.Diagrams.Add Diagram

Diagram.AxisY.Title = "Linear"
Diagram.AxisX.Title = "Linear"
Diagram.AxisX.Title.Visible = True

Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Label.Format.Category = xtpChartNumber
Diagram.AxisY.Label.Format.DecimalPlaces = 1
Diagram.AxisY.Label.Format.UseThousandSeparator = False

Diagram.AxisY.Range.AutoRange = False
Diagram.AxisY.Range.MinValue = -1
Diagram.AxisY.Range.MaxValue = 10

Diagram.AxisX.Range.AutoRange = False
Diagram.AxisX.Range.MinValue = -1
Diagram.AxisX.Range.MaxValue = 10

Dim Line As ChartAxisConstantLine

If (Diagram.AxisX.ConstantLines.Count = 0) Then
Set Line = Diagram.AxisX.ConstantLines.Add("")
Line.AxisValue = 0
Line.LegendVisible = False
End If

If (Diagram.AxisY.ConstantLines.Count = 0) Then
Set Line = Diagram.AxisY.ConstantLines.Add("")
Line.AxisValue = 0
Line.LegendVisible = False
End If

AddSeriesCombination Diagram, False

Set Diagram = New ChartDiagram2D
ChartControl.Content.Diagrams.Add Diagram

Diagram.AxisY.Title = "Log"
Diagram.AxisX.Title = "Linear"
Diagram.AxisX.Title.Visible = True

Diagram.AxisY.Logarithmic = True
Diagram.AxisY.LogarithmicBase = 10
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Label.Format.Category = xtpChartNumber
Diagram.AxisY.Label.Format.DecimalPlaces = 1
Diagram.AxisY.Label.Format.UseThousandSeparator = False

Diagram.AxisY.Range.AutoRange = False
Diagram.AxisY.Range.MinValue = 0.1
Diagram.AxisY.Range.MaxValue = 1000

Diagram.AxisX.Range.AutoRange = False
Diagram.AxisX.Range.MinValue = -1
Diagram.AxisX.Range.MaxValue = 10

If (Diagram.AxisX.ConstantLines.Count = 0) Then
Set Line = Diagram.AxisX.ConstantLines.Add("")
Line.AxisValue = 0
Line.LegendVisible = False
End If

AddSeriesCombination Diagram, True

End Sub

Sub AddSeriesCombination(Diagram As ChartDiagram, LogY As Boolean)

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("f(x)=10^x")
Series.ArgumentScaleType = xtpChartScaleNumerical
Set Series.Style = CreateSeriesStyle
Set Series.Diagram = Diagram
Series.Style.Color = vbRed
If (Not Diagram Is ChartControl.Content.Diagrams(0)) Then Series.LegendVisible = False

Dim x As Single, xStart As Single

For x = -2 To 10 Step 0.2
Series.Points.Add x, 10 ^ x
Next x

Set Series = ChartControl.Content.Series.Add("f(x)=x")
Series.ArgumentScaleType = xtpChartScaleNumerical
Set Series.Style = CreateSeriesStyle
Set Series.Diagram = Diagram
Series.Style.Color = vbGreen
If (Not Diagram Is ChartControl.Content.Diagrams(0)) Then Series.LegendVisible = False

xStart = IIf(LogY, 0.01, -1)

For x = xStart To 10 Step 0.2
Series.Points.Add x, x
Next x

Set Series = ChartControl.Content.Series.Add("f(x)=log(x)")
Series.ArgumentScaleType = xtpChartScaleNumerical
Set Series.Style = CreateSeriesStyle
Set Series.Diagram = Diagram
Series.Style.Color = vbBlue
If (Not Diagram Is ChartControl.Content.Diagrams(0)) Then Series.LegendVisible = False

xStart = IIf(LogY, 1.01, 0.2)

For x = xStart To 10 Step 0.2
Debug.Print "log " & x & " - " & Math.log(x)
Series.Points.Add x, Math.log(x)
Next x

End Sub

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

LogarithmicBase Property

Description

Specifies the base for the logarithmic scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LogarithmicBase() As Double

Return Type

Current base for the logarithmic scale.

Remarks

The default value is 10. LogarithmicBase is the base used when the axis uses a logarithmic scale. Set Logarithmic to True to use a logarithmic scale.

See Also

ChartAxis Object

Example

Logarithmic Scale Example


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

MinorCount Property

Description

Gets\sets the minor count of the axis grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinorCount() As Integer

Return Type

The number of minor grid lines.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Range Property

Description

Get the object which represents the range of the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Range() As ChartAxisRange

Return Type

Returns the pointer to the chart axis range object.

Remarks

Handles the range related things of an axis.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Reversed Property

Description

Gets\sets whether to reverse the order of the axis values.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Reversed() As Boolean

Return Type

TRUE for normal order, FALSE for reverse order.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Strips Property

Description

Gets the associated object which deals with strips parallel to the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Strips() As ChartAxisStrips

Return Type

Returns the pointer to the axis strips object.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Thickness Property

Description

Gets\sets the thickness of the axis line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Thickness() As Integer

Return Type

The thickness of the axis line.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

TickMarks Property

Description

Gets the associated object which abstracts the axis tick marks.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TickMarks() As ChartAxisTickMarks

Return Type

Returns the pointer to the axis tick marks object.

Remarks

Handles the axis tick marks and its appearance.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Title Property

Description

Gets the associated object which deals the axis title.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Title() As ChartAxisTitle

Return Type

Returns the pointer to the axis title object.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxis Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Show/hide the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE to make the axis visible, FALSE to hide the axis.

See Also

ChartAxis Object


%%PageItemTitle%%

ChartAxisConstantLine Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisConstantLine Object

Description

Represents a constant line parallel to an axis.

For a list of all members defined in this module, see ChartAxisConstantLine members.

Object Model

Remarks

Constant lines are just that, a constant line drawn in the chart at a specific value along the X or Y axis. You can have as many constant lines as you need.

Example

Dim Line As ChartAxisConstantLine
Set Line = Diagram.AxisY.ConstantLines.Add("Market Middian")
Line.AxisValue = 200

See Also

ChartAxisConstantLine Members


%%PageItemTitle%% $$Members$$

ChartAxisConstantLine Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisConstantLine Object Members

Public Properties

Public Property Alignment | Gets\sets the alignment of this chart element.
Public Property AxisValue | Gets\sets the value of the constant line in the axis.
Public Property Color | Gets\sets the color of the constant line.
Public Property Font | Font used to draw the text for this line.
Public Property LegendText | Gets\sets the text of the constant line that is displayed in the legend.
Public Property LegendVisible | Specifies whether the corresponding legend item for this constant line is visible or not.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property ShowBehind | Specifies whether the text for the constant line is drawn behind the line.
Public Property ShowTextBelow | Specifies whether the text for the constant line is drawn below the line.
Public Property Text | Gets\sets the text of the constant line (text displayed in the chart next to the line).
Public Property TextColor | Gets\sets the text color of the constant line legend item.
Public Property Visible | Gets\sets whether the axis constat line is visible or not.

See Also

ChartAxisConstantLine Overview


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

Alignment Property

Description

Gets\sets the alignment of this chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As ChartStringAlignment

Return Type

Returns the alignment of this chart element.

Remarks

The text for this element will use the specified ChartStringAlignment to draw within it's bounds.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

AxisValue Property

Description

Gets\sets the value of the constant line in the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisValue() As Variant

Return Type

A string or double denoting the axis value.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the constant line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

The color of the constant line.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Font used to draw the text for this line.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

LegendText Property

Description

Gets\sets the text of the constant line that is displayed in the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendText() As String

Return Type

The string value for the legend item text.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

LegendVisible Property

Description

Specifies whether the corresponding legend item for this constant line is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendVisible() As Boolean

Return Type

TRUE if the constant line is shown in the legend and FALSE if the legend item for the constant line is invisible.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

ShowBehind Property

Description

Specifies whether the text for the constant line is drawn behind the line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBehind() As Boolean

Return Type

TRUE if the text is behind the constant line, FALSE if not.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

ShowTextBelow Property

Description

Specifies whether the text for the constant line is drawn below the line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelow() As Boolean

Return Type

TRUE if the text is below, FALSE if not.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

Text Property

Description

Gets\sets the text of the constant line (text displayed in the chart next to the line).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

The string value for the item.

Remarks

This is the text displayed in the chart next to the line. By default this text will also be displayed in the legend unless LegendText is set.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the constant line legend item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

The color used to draw text for this item.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLine Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Gets\sets whether the axis constat line is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the line visible and FALSE if the line is invisible.

See Also

ChartAxisConstantLine Object


%%PageItemTitle%%

ChartAxisConstantLines Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisConstantLines Collection

Description

Represents a collection of ChartAxisConstantLine objects.

For a list of all members defined in this module, see ChartAxisConstantLines members.

Object Model

See Also

ChartAxisConstantLines Members


%%PageItemTitle%% $$Members$$

ChartAxisConstantLines Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisConstantLines Collection Members

Public Methods

Public Method Add | Adds a new constant line to the collection of lines.
Public Method DeleteAll | Removes all constant lines from the axis.

Public Properties

Public Property Count | Returns the total number of constant lines for the axis.
Public Property Item | Gets the constant line object at a particular index in the collection.

See Also

ChartAxisConstantLines Overview


%%PageItemTitle%%

ChartAxisConstantLines Collection

Name
Name\Text that will be displayed above the line.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new constant line to the collection of lines.

Syntax

Public Function Add( _
   ByVal Name As String _
) As ChartAxisConstantLine

Parameters

Name
Name\Text that will be displayed above the line.

Return Type

Reference to the ChartAxisConstantLine that was just added.

Remarks

Constant lines are just that, a constant line drawn in the chart at a specific value along the X or Y axis. You can have as many constant lines as you need.

Example

Dim Line As ChartAxisConstantLine
Set Line = Diagram.AxisY.ConstantLines.Add("Market Middian")
Line.AxisValue = 200

See Also

ChartAxisConstantLines Collection


%%PageItemTitle%%

ChartAxisConstantLines Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all constant lines from the axis.

Syntax

Public Sub DeleteAll()

Remarks

This will remove all the constant lines from the associated axis.

See Also

ChartAxisConstantLines Collection


%%PageItemTitle%%

ChartAxisConstantLines Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of constant lines for the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of constant lines for the axis.

Remarks

This will return the total number of constant lines for the associated axis.

See Also

ChartAxisConstantLines Collection


%%PageItemTitle%%

ChartAxisConstantLines Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the constant line object at a particular index in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartAxisConstantLine

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartAxisConstantLine object, at the index selected.

See Also

ChartAxisConstantLines Collection


%%PageItemTitle%%

ChartAxisCustomLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisCustomLabel Object

Description

Represents a custom label displayed for a value in an axis.

For a list of all members defined in this module, see ChartAxisCustomLabel members.

Remarks

Custom labels allow you do display any text you wish for any axis value. You can have as many custom labels as you need.

See Also

ChartAxisCustomLabel Members


%%PageItemTitle%% $$Members$$

ChartAxisCustomLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisCustomLabel Object Members

Public Properties

Public Property AxisValue | Gets\sets the axis value to display this custom label.
Public Property Text | Gets\sets the text of the custom label.

See Also

ChartAxisCustomLabel Overview


%%PageItemTitle%%

ChartAxisCustomLabel Object

See Also Chart Pro ActiveX Control v19.3

AxisValue Property

Description

Gets\sets the axis value to display this custom label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisValue() As Variant

Return Type

Returns the axis value to display this custom label.

See Also

ChartAxisCustomLabel Object


%%PageItemTitle%%

ChartAxisCustomLabel Object

See Also Chart Pro ActiveX Control v19.3

Text Property

Description

Gets\sets the text of the custom label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

The string value for the custom label.

See Also

ChartAxisCustomLabel Object


%%PageItemTitle%%

ChartAxisCustomLabels Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisCustomLabels Collection

Description

Represents a collection of ChartAxisCustomLabel objects.

For a list of all members defined in this module, see ChartAxisCustomLabels members.

Object Model

See Also

ChartAxisCustomLabels Members


%%PageItemTitle%% $$Members$$

ChartAxisCustomLabels Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisCustomLabels Collection Members

Public Methods

Public Method Add | Adds a new custom label to the collection of custom labels.
Public Method DeleteAll | Removes all custom labels from the axis.

Public Properties

Public Property Count | Returns the total number of custom labels for the axis.
Public Property Item | Gets the custom label object at a particular index in the collection.

See Also

ChartAxisCustomLabels Overview


%%PageItemTitle%%

ChartAxisCustomLabels Collection

Name
Name\Text that will be displayed for the custom label.
AxisValue
Axis value to display this custom label.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new custom label to the collection of custom labels.

Syntax

Public Function Add( _
   ByVal Name As String, _
   ByVal AxisValue As Variant _
) As ChartAxisCustomLabel

Parameters

Name
Name\Text that will be displayed for the custom label.
AxisValue
Axis value to display this custom label.

Return Type

Reference to the ChartAxisCustomLabel that was just added.

Remarks

Custom labels allow you do display any text you wish for any axis value. You can have as many custom labels as you need.

See Also

ChartAxisCustomLabels Collection


%%PageItemTitle%%

ChartAxisCustomLabels Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all custom labels from the axis.

Syntax

Public Sub DeleteAll()

Remarks

This will remove all the custom labels from the associated axis.

See Also

ChartAxisCustomLabels Collection


%%PageItemTitle%%

ChartAxisCustomLabels Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of custom labels for the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of custom labels for the axis.

Remarks

This will return the total number of custom labels for the associated axis.

See Also

ChartAxisCustomLabels Collection


%%PageItemTitle%%

ChartAxisCustomLabels Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the custom label object at a particular index in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartAxisCustomLabel

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartAxisCustomLabel object, at the index selected.

See Also

ChartAxisCustomLabels Collection


%%PageItemTitle%%

ChartAxisGridLines Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisGridLines Object

Description

Represents the grid lines parallel to an axis.

For a list of all members defined in this module, see ChartAxisGridLines members.

Object Model

See Also

ChartAxisGridLines Members


%%PageItemTitle%% $$Members$$

ChartAxisGridLines Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisGridLines Object Members

Public Properties

Public Property LineStyle | Returns the line style used to draw lines in this axis.
Public Property MinorLineStyle | Returns the line style used to draw lines for minor tick marks in this axis.
Public Property MinorVisible | Specifies whether the minor tick marks along this axis will have a line drawn, by default only the tick marks are drawn.
Public Property Visible | Specifies whether grid lines are visible for this axis.

See Also

ChartAxisGridLines Overview


%%PageItemTitle%%

ChartAxisGridLines Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this axis.

Remarks

This allows you to set the line thickness and the dash style of the lines drawn for this axis.

See Also

ChartAxisGridLines Object


%%PageItemTitle%%

ChartAxisGridLines Object

See Also Chart Pro ActiveX Control v19.3

MinorLineStyle Property

Description

Returns the line style used to draw lines for minor tick marks in this axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinorLineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for minor tick marks in this axis.

Remarks

This allows you to set the line thickness and the dash style of the lines drawn for minor tick marks in this axis.

See Also

ChartAxisGridLines Object


%%PageItemTitle%%

ChartAxisGridLines Object

See Also Chart Pro ActiveX Control v19.3

MinorVisible Property

Description

Specifies whether the minor tick marks along this axis will have a line drawn, by default only the tick marks are drawn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinorVisible() As Boolean

Return Type

True if a line is drawn in the chart for minor tick marks.

Remarks

In the diagram below you will see the minor ticks marks are visible, but MinorVisible is False so no lines are drawn in the grid, only for major tick marks.

See Also

ChartAxisGridLines Object


%%PageItemTitle%%

ChartAxisGridLines Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether grid lines are visible for this axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

True if grid lines are visible for this axis.

See Also

ChartAxisGridLines Object


%%PageItemTitle%%

ChartAxisLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisLabel Object

Description

Represents the text label on an axis.

For a list of all members defined in this module, see ChartAxisLabel members.

Object Model

See Also

ChartAxisLabel Members


%%PageItemTitle%% $$Members$$

ChartAxisLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisLabel Object Members

Public Properties

Public Property Angle | Gets\sets the angle the label is drawn in relation to the element it is displayed.
Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartAxisLabel Overview


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

Angle Property

Description

Gets\sets the angle the label is drawn in relation to the element it is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Angle() As Long

Return Type

Returns the angle the label is drawn in relation to the element it is displayed.

Remarks

Valid angles are from 0 to 360.

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartAxisLabel Object


%%PageItemTitle%%

ChartAxisRange Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisRange Object

Description

Represents the range of values and the properties of the range for the given axis.

For a list of all members defined in this module, see ChartAxisRange members.

Remarks

This is the value range of the axis.

See Also

ChartAxisRange Members


%%PageItemTitle%% $$Members$$

ChartAxisRange Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisRange Object Members

Public Properties

Public Property AutoRange | Specifies whether to manually set min and max value for range.
Public Property MaxValue | Gets\sets the maximum value of axis.
Public Property MinValue | Gets\sets the minimum value of axis.
Public Property ShowZeroLevel | Specifies whether the zero level is shown on the axis or not.
Public Property SideMargins | Specifies whether the side margins are present or not.
Public Property ViewAutoRange | Use this in combination with AutoRange to create a scrollable chart. This specifies whether to manually set min and max value range for the "view", which is the portion of the axis that is visible.
Public Property ViewMaxValue | Gets\sets the maximum value of axis currently in view.
Public Property ViewMinValue | Gets\sets the minimum value of axis currently in view.
Public Property ZoomLimit | Specifies the amount of zoom that can be applied to this axis.

See Also

ChartAxisRange Overview


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

AutoRange Property

Description

Specifies whether to manually set min and max value for range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoRange() As Boolean

Return Type

TRUE to allow manually set range - FALSE to calculate automatically.

Remarks

If True, the chart will automatically calculate the min and max values for this axis based on the series data that is added. If False, the chart will use the values that are manually set in the MaxValue and MinValue properties.

See Also

ChartAxisRange Object


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

MaxValue Property

Description

Gets\sets the maximum value of axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxValue() As Double

Return Type

A double value which denotes the maximum value.

See Also

ChartAxisRange Object


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

MinValue Property

Description

Gets\sets the minimum value of axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinValue() As Double

Return Type

A double value which denotes the minimum value.

See Also

ChartAxisRange Object


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

ShowZeroLevel Property

Description

Specifies whether the zero level is shown on the axis or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowZeroLevel() As Boolean

Return Type

TRUE to enable the zero level and FALSE disable the zero level.

Remarks

This is useful when there is no data in a series that is close to the value of zero.

When True, the chart will always show the zero level, even if no values in a series are close to zero. When False, the chart will only display relevant levels in the axis that pertain to data in a series. This will also have the side effect of showing the data series larger as it is showing a smaller section of the axis.

See Also

ChartAxisRange Object


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

SideMargins Property

Description

Specifies whether the side margins are present or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SideMargins() As Boolean

Return Type

TRUE if the side margins are present and FALSE if the side margins are absent.

See Also

ChartAxisRange Object


%%PageItemTitle%%

ChartAxisRange Object | MaxValue Property | MinValue Property | ViewMaxValue Property | ViewMinValue Property | AutoRange Property

See Also Chart Pro ActiveX Control v19.3

ViewAutoRange Property

Description

Use this in combination with AutoRange to create a scrollable chart. This specifies whether to manually set min and max value range for the "view", which is the portion of the axis that is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewAutoRange() As Boolean

Remarks

The "view" portion of an axis range is the values of the axis that are currently in view when the axis is scrollable. To make a chart axis scrollable you must set both ViewAutoRange and AutoRange to False. Then you set the axis's MaxValue and MinValue to the maximum and minimum values that the axis will contain (maximum values the axis can scroll to). Finally you set the "view" of the axis, which can be thought of as a subset of the range that was set with MaxValue and MinValue. To do this you set the ViewMaxValue and ViewMinValue values to a subset of values in the axis. This will create a scrollable axis between MaxValue and MinValue where the portion of the axis in view is between ViewMaxValue and ViewMinValue.

If you use the secondary axis you will need to do these steps for both axis. Then you can independently scroll the axis.

If you don't intend to have a scrollable axis then you do not need to set any of the "view" values, they will be automatically calculated by the axis.

The diagram below show a scrollable chart using the code below.

Example

'This code will create a scrollable axis along the Y axis where the total length of the axis is between 1000 and -1000

'and at any given time the maximum amount of the axis visible is 500, initially set to the values of 250 and -250.

Diagram.AxisY.Range.ViewAutoRange = False
Diagram.AxisY.Range.AutoRange = False

Diagram.AxisY.Range.MaxValue = 1000
Diagram.AxisY.Range.MinValue = -1000
Diagram.AxisY.Range.ViewMaxValue = 250
Diagram.AxisY.Range.ViewMinValue = -250

'If you have a secondary axis you can independently set it's view as well.

Diagram.SecondaryAxisY.Range.ViewAutoRange = False
Diagram.SecondaryAxisY.Range.AutoRange = False
Diagram.SecondaryAxisY.Range.MaxValue = 1000
Diagram.SecondaryAxisY.Range.MinValue = -1000
Diagram.SecondaryAxisY.Range.ViewMaxValue = 250
Diagram.SecondaryAxisY.Range.ViewMinValue = -250

See Also

ChartAxisRange Object | MaxValue Property | MinValue Property | ViewMaxValue Property | ViewMinValue Property | AutoRange Property


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

ViewMaxValue Property

Description

Gets\sets the maximum value of axis currently in view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewMaxValue() As Double

Return Type

A double value which denotes the maximum value currently in view.

See Also

ChartAxisRange Object

Example

Scrollable Chart Sample


%%PageItemTitle%%

ChartAxisRange Object

See Also Chart Pro ActiveX Control v19.3

ViewMinValue Property

Description

Gets\sets the minimum value of axis currently in view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewMinValue() As Double

Return Type

A double value which denotes the minimum value currently in view.

See Also

ChartAxisRange Object

Example

Scrollable Chart Sample


%%PageItemTitle%%

ChartAxisRange Object | AllowZoom Property

See Also Chart Pro ActiveX Control v19.3

ZoomLimit Property

Description

Specifies the amount of zoom that can be applied to this axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ZoomLimit() As Double

Return Type

Specifies the amount of zoom that can be applied to this axis.

Remarks

The ZoomLimit is used to specify the amount of zoom that can be applied to the axis. To zoom, simply make sure the chart has focus and then use the mouse wheel.

Valid range is 0 to 1, where 1 is 100, etc.

AllowZoom must be set to allow the axis to zoom.

See Also

ChartAxisRange Object | AllowZoom Property


%%PageItemTitle%%

ChartAxisStrip Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisStrip Object

Description

Represents a strip parallel to an axis.

For a list of all members defined in this module, see ChartAxisStrip members.

Object Model

Remarks

Strips allow you to highlight a specific set of values along an axis. The values specified in the strip will become shaded and an entry will be added to the legend for this strip so that you can describe the meaning of the strip. You can have as many strips as you need.

Example

Dim Strip As ChartAxisStrip
Set Strip = Diagram.AxisX.Strips.Add("Current Period")
Strip.FillStyle.FillMode = xtpChartFillGradient
Strip.FillStyle.GradientAngle = xtpChartGradientTopRightToBottomLeft
Strip.Color = RGB(170, 100, 50)
Strip.Color2 = RGB(220, 160, 100)
Strip.AxisMinValue = 1999
Strip.AxisMaxValue = 2000

See Also

ChartAxisStrip Members


%%PageItemTitle%% $$Members$$

ChartAxisStrip Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisStrip Object Members

Public Properties

Public Property AxisMaxValue | Gets\sets the maximum value of the strip in the axis.
Public Property AxisMinValue | Gets\sets the minimum value of the strip in the axis.
Public Property Color | Gets\sets the color of the strip.
Public Property Color2 | Gets\sets the second color of the strip when the strip is drawn as a gradient.
Public Property FillStyle | Gets the background fill style style for this chart element.
Public Property LegendText | Gets\sets the text of the strip that is displayed in the legend.
Public Property LegendVisible | Gets\sets whether the legend item for the strip is visible/invisible in the legend.
Public Property Name | Get\sets the name for the strip.
Public Property Visible | Gets\sets whether the strip is visible/invisible.

See Also

ChartAxisStrip Overview


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

AxisMaxValue Property

Description

Gets\sets the maximum value of the strip in the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisMaxValue() As Variant

Return Type

Returns a string or double describing the maximum value of the strip in the axis.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

AxisMinValue Property

Description

Gets\sets the minimum value of the strip in the axis.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisMinValue() As Variant

Return Type

Returns a string or double describing the minimum value of the strip in the axis.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the strip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

Color2 Property

Description

Gets\sets the second color of the strip when the strip is drawn as a gradient.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color2() As ULong

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style style for this chart element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied (background of legend, markers, series, etc).

Click here for full details and sample code.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

LegendText Property

Description

Gets\sets the text of the strip that is displayed in the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendText() As String

Return Type

The string value for the legend item text.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

LegendVisible Property

Description

Gets\sets whether the legend item for the strip is visible/invisible in the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendVisible() As Boolean

Return Type

TRUE if the axis strip is visible in the legend, FALSE if the legend item is invisible in the legend.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

Name Property

Description

Get\sets the name for the strip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

A string value denoting the name of the axis strip.

Remarks

This is the text that is displayed in the legend for the strip.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrip Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Gets\sets whether the strip is visible/invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the axis strip is visible, FALSE if the strip is invisible.

See Also

ChartAxisStrip Object


%%PageItemTitle%%

ChartAxisStrips Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisStrips Collection

Description

Represents a collection of ChartAxisStrip objects.

For a list of all members defined in this module, see ChartAxisStrips members.

Object Model

See Also

ChartAxisStrips Members


%%PageItemTitle%% $$Members$$

ChartAxisStrips Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisStrips Collection Members

Public Methods

Public Method Add | Adds a new strip to the axis's collection of strips.
Public Method DeleteAll | Removes all strips from the axis.

Public Properties

Public Property Count | Returns the total number of strips for the axis.
Public Property Item | Gets the strip object at a particular index in the collection.

See Also

ChartAxisStrips Overview


%%PageItemTitle%%

ChartAxisStrips Collection

Name
Name\Text that will be displayed in the legend for the strip.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new strip to the axis's collection of strips.

Syntax

Public Function Add( _
   ByVal Name As String _
) As ChartAxisStrip

Parameters

Name
Name\Text that will be displayed in the legend for the strip.

Return Type

Reference to the ChartAxisStrip that was just added.

Remarks

Strips allow you to highlight a specific set of values along an axis. The values specified in the strip will become shaded and an entry will be added to the legend for this strip so that you can describe the meaning of the strip. You can have as many strips as you need.

Example

Dim Strip As ChartAxisStrip
Set Strip = Diagram.AxisX.Strips.Add("Current Period")
Strip.FillStyle.FillMode = xtpChartFillGradient
Strip.FillStyle.GradientAngle = xtpChartGradientTopRightToBottomLeft
Strip.Color = RGB(170, 100, 50)
Strip.Color2 = RGB(220, 160, 100)
Strip.AxisMinValue = 1999
Strip.AxisMaxValue = 2000

See Also

ChartAxisStrips Collection


%%PageItemTitle%%

ChartAxisStrips Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all strips from the axis.

Syntax

Public Sub DeleteAll()

Remarks

This will remove all the strips from the associated axis.

See Also

ChartAxisStrips Collection


%%PageItemTitle%%

ChartAxisStrips Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of strips for the axis.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of strips for the axis.

Remarks

This will return the total number of strips for the associated axis.

See Also

ChartAxisStrips Collection


%%PageItemTitle%%

ChartAxisStrips Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the strip object at a particular index in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartAxisStrip

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartAxisStrip object, at the index selected.

See Also

ChartAxisStrips Collection


%%PageItemTitle%%

ChartAxisTickMarks Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisTickMarks Object

Description

Represents the tick marks in an axis.

For a list of all members defined in this module, see ChartAxisTickMarks members.

See Also

ChartAxisTickMarks Members


%%PageItemTitle%% $$Members$$

ChartAxisTickMarks Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisTickMarks Object Members

Public Properties

Public Property CrossAxis | Specifies whether the tick marks cross the axis line.
Public Property Length | Gets\sets the length of the major tick marks.
Public Property MinorLength | Gets\sets the length of the minor tick marks.
Public Property MinorThickness | Gets\sets the thickness of the minor tick marks.
Public Property MinorVisible | Specifies whether minor ticks marks are visible.
Public Property Thickness | Gets\sets the thickness of the major tick marks.
Public Property Visible | Specifies whether the axis tick marks are visible.

See Also

ChartAxisTickMarks Overview


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

CrossAxis Property

Description

Specifies whether the tick marks cross the axis line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CrossAxis() As Boolean

Return Type

TRUE if the tick marks are crossing the axis line, FALSE if the tick marks are not crossing the axis line.

Remarks

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

Length Property

Description

Gets\sets the length of the major tick marks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Length() As Long

Return Type

An integer value denoting the length of the tick marks.

Remarks

This is the length of the major tick marks.

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

MinorLength Property

Description

Gets\sets the length of the minor tick marks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinorLength() As Long

Return Type

An integer value denoting the length of the minor tick marks.

Remarks

This is the length of the minor tick marks. These are the "smaller" marks that appear between the major marks.

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

MinorThickness Property

Description

Gets\sets the thickness of the minor tick marks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinorThickness() As Long

Return Type

An integer value denoting the thickness of the minor tick marks.

Remarks

These are the "smaller" marks that appear between the major marks.

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

MinorVisible Property

Description

Specifies whether minor ticks marks are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinorVisible() As Boolean

Return Type

TRUE if the minor tick marks are visible and FALSE if the tick marks are invisible.

Remarks

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

Thickness Property

Description

Gets\sets the thickness of the major tick marks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Thickness() As Long

Return Type

An integer value denoting the thickness of the major tick marks.

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTickMarks Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the axis tick marks are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the tick marks are visible and FALSE if the tick marks are invisible.

Remarks

This will hide\show both major and minor tick marks.

See Also

ChartAxisTickMarks Object


%%PageItemTitle%%

ChartAxisTitle Members

See Also Chart Pro ActiveX Control v19.3

ChartAxisTitle Object

Description

Represents the axis title.

For a list of all members defined in this module, see ChartAxisTitle members.

Object Model

See Also

ChartAxisTitle Members


%%PageItemTitle%% $$Members$$

ChartAxisTitle Overview

See Also Chart Pro ActiveX Control v19.3

ChartAxisTitle Object Members

Public Properties

Public Property Alignment | Gets\sets the alignment of this chart element.
Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property Font | Returns the font of the text label.
Public Property Text | Gets\sets the text for this title.
Public Property Visible | Specifies whether the title is visible.

See Also

ChartAxisTitle Overview


%%PageItemTitle%%

ChartAxisTitle Object

See Also Chart Pro ActiveX Control v19.3

Alignment Property

Description

Gets\sets the alignment of this chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As ChartStringAlignment

Return Type

Returns the alignment of this chart element.

Remarks

The text for this element will use the specified ChartStringAlignment to draw within it's bounds.

See Also

ChartAxisTitle Object


%%PageItemTitle%%

ChartAxisTitle Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartAxisTitle Object


%%PageItemTitle%%

ChartAxisTitle Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartAxisTitle Object


%%PageItemTitle%%

ChartAxisTitle Object

See Also Chart Pro ActiveX Control v19.3

Text Property

Description

Gets\sets the text for this title.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

The text for this title.

See Also

ChartAxisTitle Object


%%PageItemTitle%%

ChartAxisTitle Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the title is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartAxisTitle Object


%%PageItemTitle%%

ChartBarSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartBarSeriesLabel Object

Description

Properties used by the labels of Bar Chart styles.

For a list of all members defined in this module, see ChartBarSeriesLabel members.

Object Model

See Also

ChartBarSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartBarSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartBarSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property Position | Gets\sets the position of the label in relation to the chart element it is displayed on.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartBarSeriesLabel Overview


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Position Property

Description

Gets\sets the position of the label in relation to the chart element it is displayed on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As ChartBarLabelPosition

Return Type

The position of the label in relation to the chart element it is displayed on.

Remarks

Typical label positions include top, center, left, right, inside, outside, etc, it depends on the the type of element the label is displayed on, not all positions as supported by every element so check the enumeration for available positions.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartBarSeriesLabel Object


%%PageItemTitle%%

ChartBarSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartBarSeriesStyle Object

Description

Bar chart style.

For a list of all members defined in this module, see ChartBarSeriesStyle members.

Object Model

Remarks

A bar chart displays data with rectangular "bars" with lengths relative to the data they symbolize. Generally a bar chart is used to display discontinuous data (data that has a discrete value), however it can also be used for continuous data. Examples of discontinuous data would be "car color" or "tire size", examples of continuous data would be "population" or "age".

Example

'Bar series sample

ChartControl.Content.Titles.Add "Total Hours Worked"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Quoted")

Series.Points.Add "Sam", 11
Series.Points.Add "Jesse", 12
Series.Points.Add "Dave", 4.5
Series.Points.Add "Max", 6
Series.Points.Add "Brian", 5

Set Series = ChartControl.Content.Series.Add("Hourly")
Series.Points.Add "Sam", 12
Series.Points.Add "Jesse", 9.5
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 12
Series.Points.Add "Brian", 11

Set Series = ChartControl.Content.Series.Add("Unbillable")
Series.Points.Add "Sam", 7
Series.Points.Add "Jesse", 2
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 1
Series.Points.Add "Brian", 4

Set ChartControl.Content.Series(0).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartBarSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

Diagram.AxisX.Label.Angle = 360

See Also

ChartBarSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartBarSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartBarSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property BarWidth | Gets\sets the width of bars in this series.
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property SideBySide | Gets\sets whether to display the bars in the series side-by-side.

See Also

ChartBarSeriesStyle Overview


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

BarWidth Property

Description

Gets\sets the width of bars in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarWidth() As Double

Return Type

Returns the width of bars in this series.

Remarks

BarWidth is a value between 0 and 1 and is a percentage of 100 the size of a normal sized bar.

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBarSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartBarSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartBarSeriesStyle Object | FillStyle Property

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartBarSeriesStyle Object | FillStyle Property


%%PageItemTitle%%

ChartBarSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartBarSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartBarSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

SideBySide Property

Description

Gets\sets whether to display the bars in the series side-by-side.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SideBySide() As Boolean

Return Type

Returns True if the bars in the series side-by-side. For Bar style this is True by default, for Range Bar style it is False by default.

Remarks

By default the Bar style displays side-by-side.

By default the Range Bar style displays on top of each other.

See Also

ChartBarSeriesStyle Object


%%PageItemTitle%%

ChartBorder Members

See Also Chart Pro ActiveX Control v19.3

ChartBorder Object

Description

Properties used to draw the chart elements's border.

For a list of all members defined in this module, see ChartBorder members.

See Also

ChartBorder Members


%%PageItemTitle%% $$Members$$

ChartBorder Overview

See Also Chart Pro ActiveX Control v19.3

ChartBorder Object Members

Public Properties

Public Property Color | Gets\sets the color of the border.
Public Property Thickness | Gets\sets the thickness of the chart border.
Public Property Visible | Gets\sets whether the chart border is visible or not.

See Also

ChartBorder Overview


%%PageItemTitle%%

ChartBorder Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the border.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

ChartBorder Object


%%PageItemTitle%%

ChartBorder Object

See Also Chart Pro ActiveX Control v19.3

Thickness Property

Description

Gets\sets the thickness of the chart border.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Thickness() As Integer

See Also

ChartBorder Object


%%PageItemTitle%%

ChartBorder Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Gets\sets whether the chart border is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

True if the border is visible and False if is is not.

See Also

ChartBorder Object


%%PageItemTitle%%

ChartBubbleSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartBubbleSeriesStyle Object

Description

Bubble chart style.

For a list of all members defined in this module, see ChartBubbleSeriesStyle members.

Object Model

Remarks

A bubble chart is just a variation of a point chart, only it displays bubbles of the data points. Data in displayed in a grid using Cartesian coordinates. Data is displayed along the x and y axis, where x and y can represent any type of data (as in the chart below, x - decades, y - population).

Example

'Bubble series sample

ChartControl.Content.Titles.Add "Top 10 States by Population"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Top 10 States by Population")

CreateBubblePoint Series.Points, "California", 8, 37, 11.95
CreateBubblePoint Series.Points, "Texas", 7, 25, 7.81
CreateBubblePoint Series.Points, "New York", 6, 20, 6.31
CreateBubblePoint Series.Points, "Florida", 5, 18, 5.97
CreateBubblePoint Series.Points, "Illinois", 9, 13, 4.2
CreateBubblePoint Series.Points, "Pennsylvania", 10, 12, 4.06
CreateBubblePoint Series.Points, "Ohio", 4, 11, 3.75
CreateBubblePoint Series.Points, "Michigan", 3, 10, 3.29
CreateBubblePoint Series.Points, "Georgia", 2, 9, 3.12
CreateBubblePoint Series.Points, "North Carolina", 1, 9, 3

Series.ArgumentScaleType = xtpChartScaleQualitative

Dim BubbleSeriesStyle As New ChartBubbleSeriesStyle
BubbleSeriesStyle.MinSize = 1.5
BubbleSeriesStyle.MaxSize = 3.5

Set ChartControl.Content.Series(0).Style = BubbleSeriesStyle
'BubbleSeriesStyle.Label.Format = "%g$"
BubbleSeriesStyle.Label.Format = "%g %%"

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title.Text = "Population in Millions"
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Range.AutoRange = False
Diagram.AxisY.Range.MaxValue = 50
Diagram.AxisY.Range.MinValue = 0
Diagram.AxisX.Title.Visible = False
Diagram.AxisX.Visible = True
Diagram.AxisX.Reversed = True
Diagram.AxisX.TickMarks.Visible = False
Diagram.AxisX.Label.Visible = False
'Diagram.AxisY.Range.ShowZeroLevel = False

txtMinBubbleSize.Text = BubbleSeriesStyle.MinSize
txtMaxBubbleSize.Text = BubbleSeriesStyle.MaxSize

Sub CreateBubblePoint(ByVal pPointCollection As ChartSeriesPointCollection, lpszLegendText As String, nYear As Integer, nValue As Integer, dWidth As Double)
Dim pPoint As ChartSeriesPoint
Set pPoint = pPointCollection.Add2(nYear, nValue, dWidth)
pPoint.LegendText = lpszLegendText
End Sub

See Also

ChartBubbleSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartBubbleSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartBubbleSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property MaxSize | Gets\sets the maximum size a bubble can be.
Public Property MinSize | Gets\sets the minimum size a bubble can be.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartBubbleSeriesStyle Overview


%%PageItemTitle%%

ChartBubbleSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartBubbleSeriesStyle Object


%%PageItemTitle%%

ChartBubbleSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartBubbleSeriesStyle Object


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartBubbleSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartBubbleSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartBubbleSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartBubbleSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MaxSize Property

Description

Gets\sets the maximum size a bubble can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxSize() As Double

Return Type

The maximum size a bubble can be.

Remarks

The largest "bubble" in the series will be the size of MaxSize. The smallest "bubble" will be the size of MinSize. All other "bubble" sizes will be relative to the sizes given for MaxSize and MinSize.

See Also

ChartBubbleSeriesStyle Object


%%PageItemTitle%%

ChartBubbleSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MinSize Property

Description

Gets\sets the minimum size a bubble can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinSize() As Double

Return Type

The minimum size a bubble can be.

Remarks

The largest "bubble" in the series will be the size of MaxSize. The smallest "bubble" will be the size of MinSize. All other "bubble" sizes will be relative to the sizes given for MaxSize and MinSize.

See Also

ChartBubbleSeriesStyle Object


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartBubbleSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartBubbleSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartBubbleSeriesStyle Object | Transparency Property

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartBubbleSeriesStyle Object | Transparency Property


%%PageItemTitle%%

ChartCandleStickSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartCandleStickSeriesStyle Object

Description

Candle Stick\Financial\Stock chart style.

For a list of all members defined in this module, see ChartCandleStickSeriesStyle members.

Remarks

A Candlestick Chart used to display trends for financial data, generally stock market prices. Candlestick charts are much easier to rear than a traditional bar chart to a stock market trader. The candle sticks make it fast and easy to compare the high and low, open and close of data. Each "candle stick" represents the high, low, open and close of data for a given value. The relationship between these candles is important in determining trends among stock prices. The "open" and "close" values are displayed as the "body" of the candle, and the "high" and "low" are displayed as simple lined above and below the body. Buying pressure is indicated with hollow candles, where the close is greater than the previous high. Selling pressure is indicated with a filled red candle, where it's close value is lower than the previous close value.

Example

'Candlestick series sample

ChartControl.Content.Titles.DeleteAll
ChartControl.Content.Titles.Add "Historical Stock Prices"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Stock Series")

Series.Points.Add4 "2009-12-28", 30.89, 31.18, 31, 31.17
Series.Points.Add4 "2009-12-29", 31.23, 31.5, 31.35, 31.39
Series.Points.Add4 "2009-12-30", 30.8, 31.29, 31.15, 30.96
Series.Points.Add4 "2009-12-31", 30.48, 30.99, 30.98, 30.48
Series.Points.Add4 "2010-01-04", 30.59, 31.1, 30.62, 30.95
Series.Points.Add4 "2010-01-05", 30.64, 31.1, 30.85, 30.96
Series.Points.Add4 "2010-01-06", 30.52, 31.08, 30.88, 30.77
Series.Points.Add4 "2010-01-07", 30.19, 30.7, 30.63, 30.45
Series.Points.Add4 "2010-01-08", 30.24, 30.88, 30.28, 30.66
Series.Points.Add4 "2010-01-11", 30.12, 30.76, 30.71, 30.27
Series.Points.Add4 "2010-01-12", 29.91, 30.4, 30.15, 30.07
Series.Points.Add4 "2010-01-13", 30.01, 30.52, 30.26, 30.35
Series.Points.Add4 "2010-01-14", 30.26, 31.1, 30.31, 30.96
Series.Points.Add4 "2010-01-15", 30.71, 31.24, 31.08, 30.86
Series.Points.Add4 "2010-01-19", 30.68, 31.24, 30.75, 31.1
Series.Points.Add4 "2010-01-20", 30.31, 30.94, 30.81, 30.59
Series.Points.Add4 "2010-01-21", 30, 30.72, 30.61, 30.01
Series.Points.Add4 "2010-01-22", 28.84, 30.2, 30, 28.96
Series.Points.Add4 "2010-01-25", 29.1, 29.66, 29.24, 29.32
Series.Points.Add4 "2010-01-26", 29.09, 29.85, 29.2, 29.5
Series.Points.Add4 "2010-01-27", 29.02, 29.82, 29.35, 29.67
Series.Points.Add4 "2010-01-28", 28.89, 29.87, 29.84, 29.16
Series.Points.Add4 "2010-01-29", 27.66, 29.92, 29.9, 28.18
Series.Points.Add4 "2010-02-01", 27.92, 28.48, 28.39, 28.41
Series.Points.Add4 "2010-02-02", 28.14, 28.5, 28.37, 28.46
Series.Points.Add4 "2010-02-03", 28.12, 28.79, 28.26, 28.63
Series.Points.Add4 "2010-02-04", 27.81, 28.5, 28.38, 27.84
Series.Points.Add4 "2010-02-05", 27.57, 28.28, 28, 28.02
Series.Points.Add4 "2010-02-08", 27.57, 28.08, 28.01, 27.72
Series.Points.Add4 "2010-02-09", 27.75, 28.34, 27.97, 28.01
Series.Points.Add4 "2010-02-10", 27.84, 28.24, 28.03, 27.99
Series.Points.Add4 "2010-02-11", 27.7, 28.4, 27.93, 28.12
Series.Points.Add4 "2010-02-12", 27.58, 28.06, 27.81, 27.93
Series.Points.Add4 "2010-02-16", 28.02, 28.37, 28.13, 28.35
Series.Points.Add4 "2010-02-17", 28.36, 28.65, 28.53, 28.59
Series.Points.Add4 "2010-02-18", 28.51, 29.03, 28.59, 28.97
Series.Points.Add4 "2010-02-19", 28.69, 28.92, 28.79, 28.77
Series.Points.Add4 "2010-02-22", 28.65, 28.94, 28.84, 28.73
Series.Points.Add4 "2010-02-23", 28.09, 28.83, 28.68, 28.33
Series.Points.Add4 "2010-02-24", 28.38, 28.79, 28.52, 28.63
Series.Points.Add4 "2010-02-25", 28.02, 28.65, 28.27, 28.6
Series.Points.Add4 "2010-02-26", 28.51, 28.85, 28.65, 28.67
Series.Points.Add4 "2010-03-01", 28.53, 29.05, 28.77, 29.02
Series.Points.Add4 "2010-03-02", 28.24, 29.3, 29.08, 28.46
Series.Points.Add4 "2010-03-03", 28.35, 28.61, 28.51, 28.46

Series.ArgumentScaleType = xtpChartScaleDateTime

Dim StyleHL As ChartCandleStickSeriesStyle
Set StyleHL = New ChartCandleStickSeriesStyle
Set ChartControl.Content.Series(0).Style = StyleHL
StyleHL.LineThickness = 2
ChartControl.Content.Series(0).ArgumentScaleType = xtpChartScaleQualitative

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisX.Label.Angle = 360 - 30
Diagram.AxisX.Label.Antialiasing = True
Diagram.AxisX.Label.Visible = False

Diagram.AxisY.Title = "US Dollars"
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Visible = True
Diagram.AxisY.Range.ShowZeroLevel = False
Diagram.AxisY.GridLines.MinorLineStyle.DashStyle = xtpChartDashStyleDashDot
Diagram.AxisY.GridLines.MinorVisible = True

See Also

ChartCandleStickSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartCandleStickSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartCandleStickSeriesStyle Object Members

Public Properties

Public Property LineThickness Gets\sets the line thickness of stock ticks.

See Also

ChartCandleStickSeriesStyle Overview


%%PageItemTitle%%

ChartCandleStickSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineThickness Property

Description

Gets\sets the line thickness of stock ticks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineThickness() As Integer

Return Type

An integer value for the thickness of the tick lines currently used.

Remarks

This is the line thickness that is applied to the "candles" in a candle stick series or the "high-low" bars in a high low series.

Example

Dim StyleHL As ChartCandleStickSeriesStyle
Set StyleHL = New ChartCandleStickSeriesStyle
Set ChartControl.Content.Series(0).Style = StyleHL
StyleHL.LineThickness = 3
ChartControl.Content.Series(0).ArgumentScaleType = xtpChartScaleQualitative

See Also

ChartCandleStickSeriesStyle Object


%%PageItemTitle%%

ChartContent Members

See Also Chart Pro ActiveX Control v19.3

ChartContent Object

Description

Represents the content of the chart. This object has a appearance collection, series collection, title collection and legend.

For a list of all members defined in this module, see ChartContent members.

Object Model

See Also

ChartContent Members


%%PageItemTitle%% $$Members$$

ChartContent Overview

See Also Chart Pro ActiveX Control v19.3

ChartContent Object Members

Public Methods

Public Method DoPropExchange Exchanges layout and state information to\from a PropExchange object.

Public Properties

Public Property Appearance | Gets the the appearance of the chart.
Public Property BackgroundColor | Gets\sets the background color for the entire chart control.
Public Property Border | Properties used to draw the chart content's border.
Public Property Diagrams | Gets the Diagrams collection object. This contains all the chart's diagrams.
Public Property EnableMarkup | Enables the use of Markup code snippets in chart labels.
Public Property Legend | Gets the legend that is displayed for this chart.
Public Property PanelDirection | Gets\sets the direction multiple diagrams are displayed in, horizontal or vertical.
Public Property PanelDistance | Gets\sets the distance between diagrams when multiple diagrams are displayed at the same time.
Public Property Series | Gets the collection of ChartSeries objects displayed in the chart. This is the various chart series displayed in the diagrams (bar, bubble, pie, etc).
Public Property Titles | Gets the collection of ChartTitle objects displayed in the chart.

See Also

ChartContent Overview


%%PageItemTitle%%

ChartContent Object

pPX
PropExchange object to exchange data with.
See Also Chart Pro ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the Chart Control to a single file or the system registry with support to write/load directly to/from a file or registry.

See LoadFromFile for a sample on how to load a chart builder file.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information.

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object | SetAppearance Method | SetPalette Method | LoadAppearance Method | LoadPalette Method

See Also Chart Pro ActiveX Control v19.3

Appearance Property

Description

Gets the the appearance of the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Appearance() As ChartAppearance

Remarks

Chart Appearance contains methods to load pre-set palettes and appearances for the chart and chart series to use. Appearances effect only the colors of the chart itself, it does not effect the series. Palettes effect the colors of the series and legend, but doesnt effect the the actual chart.

Use the SetAppearance and SetPalette methods to set the appearance and palette.

Example

Dim AppearanceList
Dim AppearanceIndex As Long

Dim PaletteList
Dim PaletteIndex As Long

AppearanceList = Array("Nature", "Black", "Gray")
AppearanceIndex = 0

PaletteList = Array("Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", _
"Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", _
"Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue")

PaletteIndex = 9

ActiveChartControl.Content.Appearance.SetAppearance AppearanceList(AppearanceIndex)

ActiveChartControl.Content.Appearance.SetPalette PaletteList(PaletteIndex)

See Also

ChartContent Object | SetAppearance Method | SetPalette Method | LoadAppearance Method | LoadPalette Method


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color for the entire chart control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Return Type

Returns the background color for the entire chart control.

Remarks

This will be the background color for the chart, each individual diagram will have it's own background color.

Example

ChartControl.Content.BackgroundColor = vbRed

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart content's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

Diagrams Property

Description

Gets the Diagrams collection object. This contains all the chart's diagrams.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Diagrams() As ChartDiagramCollection

Return Type

Gets the ChartDiagramCollection collection object. This contains all the chart's diagrams.

Remarks

The chart by default has one diagram that you don't have to add. This is the diagram that is worked with when adding a series. The chart can however contain multiple diagrams in the same view.

Multiple Diagram Charts are charts that have multiple regions which compare similar data sets side by side (in separate panels) rather than right on top of each other.

Example

'This sample show how to add 3 diagrams to the chart, this will create the diagram in the picture above

Dim pContent As ChartContent
Set pContent = ChartControl.Content

pContent.Legend.Visible = True
pContent.Legend.VerticalAlignment = xtpChartLegendFarOutside
pContent.Legend.HorizontalAlignment = xtpChartLegendCenter
pContent.Legend.Direction = xtpChartLegendLeftToRight

ChartControl.Content.Titles.Add "Total Hours Worked"

Dim pDiagram1 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram1

Dim pDiagram2 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram2

Dim pDiagram3 As New ChartPieDiagram
pContent.Diagrams.Add pDiagram3

Dim pSeries As ChartSeries
Set pSeries = pContent.Series.Add("Daily")
Set pSeries.Style = New ChartBarSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram1
pDiagram1.Rotated = True

Set pSeries = pContent.Series.Add("Summary")
Set pSeries.Style = New ChartLineSeriesStyle

Dim pLabel As ChartPointSeriesLabel
Set pLabel = pSeries.Style.Label

pLabel.LineLength = 20
pLabel.Angle = 70

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 8 + 7
pSeries.Points.Add "3 March", 8 + 7 + 6
pSeries.Points.Add "4 April", 8 + 7 + 6 + 7
pSeries.Points.Add "5 May", 8 + 7 + 6 + 7 + 7
Set pSeries.Diagram = pDiagram2
pDiagram2.Rotated = True

pDiagram1.AxisX.Title.Visible = True
pDiagram1.AxisX.Title.Text = "Date"

pDiagram1.AxisY.Title.Visible = True
pDiagram1.AxisY.Title.Text = "Hours"

pDiagram2.AxisY.Title.Visible = True
pDiagram2.AxisY.Title.Text = "Hours"
pDiagram2.AxisX.Title.Visible = False

Set pSeries = pContent.Series.Add("Overview")
Set pSeries.Style = New ChartPieSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram3

Dim pPieLabel As ChartPieSeriesLabel
Set pPieLabel = pSeries.Style.Label

On Error Resume Next:
pPieLabel.Position = xtpChartPieLabelRadial

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

EnableMarkup Property

Description

Enables the use of Markup code snippets in chart labels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

Legend Property

Description

Gets the legend that is displayed for this chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Legend() As ChartLegend

Return Type

Reference to the legend that is displayed for this chart.

Remarks

The legend has many customizable options including background color, direction, column count, marker size, border size and legend alignment. The legend also supports xml markup snippets for the text of legend items.

Example

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.Legend.ColumnCount = 3

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

PanelDirection Property

Description

Gets\sets the direction multiple diagrams are displayed in, horizontal or vertical.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PanelDirection() As ChartPanelDirection

Return Type

Returns the direction multiple diagrams are displayed in, horizontal or vertical. Value comes from ChartPanelDirection.

Remarks

The diagrams in the chart can be displayed horizontally or vertically. Each diagram can each individually be rotated as well.

Below you will see 3 diagrams in both orientations.

Example

ChartControl.Content.PanelDirection = xtpChartPanelHorizontal

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

PanelDistance Property

Description

Gets\sets the distance between diagrams when multiple diagrams are displayed at the same time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PanelDistance() As Integer

Return Type

Returns the current panel distance.

Remarks

Example

ChartControl.Content.PanelDistance = 1

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

Series Property

Description

Gets the collection of ChartSeries objects displayed in the chart. This is the various chart series displayed in the diagrams (bar, bubble, pie, etc).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Series() As ChartSeriesCollection

Return Type

Reference to the chart's ChartSeriesCollection.

Remarks

This is the collection of chart series that is displayed among all the diagrams in the chart. Use the diagram property to get\set which diagram a chart series belongs to.

This Style property controls the type\style of chart series that will be displayed a diagram. There are many different types of styles to choose from including (pictures and sample code for each type can be on the overview page for each type). Note there are some variations to some of the styles (i.e. 100 stacked, Rotated, etc), so if you want 100 stacked bars, then used the stacked bars style, etc:

ChartAreaSeriesStyle

ChartBarSeriesStyle

ChartBubbleSeriesStyle

ChartCandleStickSeriesStyle

ChartFastLineSeriesStyle

ChartFunnelSeriesStyle

ChartHighLowSeriesStyle

ChartLineSeriesStyle

ChartPie3DSeriesStyle

ChartPieSeriesStyle

ChartPointSeriesStyle

ChartPyramid3DSeriesStyle

ChartPyramidSeriesStyle

ChartRangeBarSeriesStyle

ChartScatterLineSeriesStyle

ChartSplineAreaSeriesStyle

ChartSplineSeriesStyle

ChartStackedAreaSeriesStyle

ChartStackedBarSeriesStyle

ChartStackedSplineAreaSeriesStyle

ChartStepLineSeriesStyle

ChartTorus3DSeriesStyle

It is important to note that all series are derived from ChartSeriesStyle, which is useful when casting objects.

See Also

ChartContent Object


%%PageItemTitle%%

ChartContent Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Description

Gets the collection of ChartTitle objects displayed in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

Return Type

Reference to the chart's ChartTitleCollection.

Remarks

The chart can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

Example

Dim pContent As ChartContent
Set pContent = ChartControl.Content
pContent.EnableMarkup = True

pContent.Legend.Visible = False

Dim pTitle As ChartTitle
Set pTitle = pContent.Titles.Add("<TextBlock><Bold>Chart Control</Bold> <Run>supports</Run> <Run Foreground='Green'>Titles</Run> </TextBlock>")

Set pTitle = pContent.Titles.Add("Left Title")
pTitle.Docking = xtpChartDockLeft

Set pTitle = pContent.Titles.Add("<TextBlock><Run Foreground='Blue'>Right</Run> <Run Foreground='Red'>Title</Run></TextBlock>")
pTitle.Docking = xtpChartDockRight

Set pTitle = pContent.Titles.Add("<TextBlock FontSize = '20px'>Click Title to set its properties</TextBlock>")
pTitle.Docking = xtpChartDockBottom

See Also

ChartContent Object


%%PageItemTitle%%

ChartControl Members

See Also Chart Pro ActiveX Control v19.3

ChartControl Control

Description

Chart Control.

For a list of all members defined in this module, see ChartControl members.

Object Model

Remarks

Chart Pro is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

For a complete overview of all chart types, see this overview.

Chart Pro has many different chart styles that include Line, Spline, Spline Area, Point\Scatter, Bubble, Bar, Area, Pie, 3D Pie, Doughnut, Stock\Bar, CandleStick, Torus, Pyramid, etc.

A combination chart can also be created. A combination chart uses two or more chart types to emphasis that the chart contains different types of data.

The code for this combination chart is displayed below.

Example

'Shows how to display a combination of styles in the same diagram

ChartControl.Content.Titles(0).Text = "Population by U.S. State"

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

Series.Points.Add 1900, 7268
Series.Points.Add 1950, 14830
Series.Points.Add 1990, 17990
Series.Points.Add 2000, 18976
Series.Points.Add 2008, 18323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

Set ChartControl.Content.Series(3).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartPointSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartSplineSeriesStyle

Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

See Also

ChartControl Members


%%PageItemTitle%% $$Members$$

ChartControl Overview

See Also Chart Pro ActiveX Control v19.3

ChartControl Control Members

Public Methods

Public Method AboutBox | Displays and about box for the chart control.
Public Method CreateElement | Creates and returns a ChartElement from the specified class name. (For use in VBScript, etc.)
Public Method CreatePrintView | Creates a print view and returns a reference to this print view object.
Public Method EnableToolTips | Specifies whether to enable tooltips for the chart control.
Public Method HitTest | Determines the chart element at the specified coordinates.
Public Method PrintChart | Prints the current chart view.
Public Method PrintPreview | Display a print preview window.
Public Method PrintToDC | Prints the contents of the chart to the specified Device Context.
Public Method SaveAsImage | Saves the contents of the chart to the specified image format.

Public Properties

Public Property Content | Gets\set the chart's main content.
Public Property hWnd | Gets the handle to the chart control.
Public Property ReCreateReparented |
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.

Events

Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the chart.
Public Event GetPointValue | Occurs for each point in a virtual series. (EnableVirtualMode must have been called for the series)
Public Event MouseDown | Occurs when the mouse is pressed over a ChartElement.
Public Event MouseMove | Occurs when the mouse is moved over a ChartElement.
Public Event MouseUp | Occurs when the mouse button is released over a ChartElement.
Public Event ReCreated |

See Also

ChartControl Overview


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

AboutBox Method

Description

Displays and about box for the chart control.

Syntax

Public Sub AboutBox()

Remarks

Displays OCX name and version number.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

ClassName
Name of the class to create.
See Also Chart Pro ActiveX Control v19.3

CreateElement Method

Description

Creates and returns a ChartElement from the specified class name. (For use in VBScript, etc.)

Syntax

Public Function CreateElement( _
   ByVal ClassName As String _
) As ChartElement

Parameters

ClassName
Name of the class to create.

Return Type

The ChartElement from the specified class name.

Remarks

This will create and return a chart element. This is used in languages like VBScript where creating an object from the chart isn't possible.

The class names are simply the object name preceded by a "CXTP". For example, to create a ChartPieSeriesStyle element you pass in CXTPChartPieSeriesStyle.

Example

[CreateElement VBScript Sample (Visual Basic)] This sample shows how to use CreateElement in VBScript to create objects.

<script LANGUAGE="VBScript">
<!--
Sub window_onLoad()
    ChartControl.Content.Titles.Add "Population of Texas"

    ChartControl.Content.Legend.Visible = True

    Set Series = ChartControl.Content.Series.Add("Texas")

    Series.Points.Add "1900", 3.048
    Series.Points.Add "1950", 7.711
    Series.Points.Add "1990", 16.986
    Series.Points.Add "2000", 20.851
    Series.Points.Add "2008", 24.326

    Set Style = ChartControl.CreateElement("CXTPChartPieSeriesStyle")
    Set Series.Style = Style
    Style.Label.Format = "%.3f M"

End sub

Sub PaletteChanged()
     'MsbBox Document.mainform.Palette.selectedIndex
     'MsgBox Document.mainform.Palette.Item(0).Text

    ChartControl.Content.Appearance.SetPalette Document.mainform.Palette.Item(Document.mainform.Palette.selectedIndex).Text

End Sub

Sub StyleChanged()
    if (Document.mainform.style3D.checked) then
        Set Style = ChartControl.CreateElement("CXTPChartPie3DSeriesStyle")
        ChartControl.Content.Series(0).Style = Style
        Style.Label.Format = "%.3f M"
    Else
        Set Style = ChartControl.CreateElement("CXTPChartPieSeriesStyle")
        ChartControl.Content.Series(0).Style = Style
        Style.Label.Format = "%.3f M"
    End if

End sub

-->
</script>

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

CreatePrintView Method

Description

Creates a print view and returns a reference to this print view object.

Syntax

Public Function CreatePrintView() As Unknown

Return Type

Returns a reference to a print view object.

Remarks

If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display and print the Chart.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

Enable
True to enable tooltips, False to disable tooltips.
See Also Chart Pro ActiveX Control v19.3

EnableToolTips Method

Description

Specifies whether to enable tooltips for the chart control.

Syntax

Public Sub EnableToolTips( _
   ByVal Enable As Boolean _
)

Parameters

Enable
True to enable tooltips, False to disable tooltips.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

x
X coordinate to test.
y
Y coordinate to test.
See Also Chart Pro ActiveX Control v19.3

HitTest Method

Description

Determines the chart element at the specified coordinates.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As ChartElement

Parameters

x
X coordinate to test.
y
Y coordinate to test.

Return Type

Element of chart at the specified coordinates.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

lHDC

A device context for a Printer object.

Use 0 to let the Chart Control auto-detect printer settings and display a dialog for printing.

See Also Chart Pro ActiveX Control v19.3

PrintChart Method

Description

Prints the current chart view.

Syntax

Public Sub PrintChart( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the Chart Control auto-detect printer settings and display a dialog for printing.

Remarks

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

This can be used to print with the commandbars print preview if available.

Example

[[New Example] (Visual Basic)] This sample illustrates how to print the current chart.

'Printing using the default printer dialog
    wndChartControl.PrintChart 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndChartControl.PrintChart .hDC
        End If
    End With

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Function PrintPreview() As Long

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

hDC
left
top
Width
Height
See Also Chart Pro ActiveX Control v19.3

PrintToDC Method

Description

Prints the contents of the chart to the specified Device Context.

Syntax

Public Sub PrintToDC( _
   ByVal hDC As Integer, _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal Width As Integer, _
   ByVal Height As Integer _
)

Parameters

hDC
left
top
Width
Height

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

FileName
Width
Height
See Also Chart Pro ActiveX Control v19.3

SaveAsImage Method

Description

Saves the contents of the chart to the specified image format.

Syntax

Public Sub SaveAsImage( _
   ByVal FileName As String, _
   ByVal Width As Integer, _
   ByVal Height As Integer _
)

Parameters

FileName
Width
Height

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

Content Property

Description

Gets\set the chart's main content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As ChartContent

Return Type

Reference to the chart's ChartContent.

Remarks

ChartContent contains all the elements of a chart. Use it to add\access the diagrams, series, legend, titles, appearance, etc of the chart.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

hWnd Property

Description

Gets the handle to the chart control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

Return Type

The handle to the chart control.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed forchart series points.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Chart Pro ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the chart.

Syntax

Public Event DblClick( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control | EnableVirtualMode Method

Series
Series that this point belongs to.
Argument
Argument of the point.
Value
Value of the point.
See Also Chart Pro ActiveX Control v19.3

GetPointValue Event

Description

Occurs for each point in a virtual series. (EnableVirtualMode must have been called for the series)

Syntax

Public Event GetPointValue( _
   ByVal Series As ChartSeries, _
   ByVal Argument As Double, _
   ByRef Value As Double _
)

Parameters

Series
Series that this point belongs to.
Argument
Argument of the point.
Value
Value of the point.

Remarks

Occurs for each point in a virtual series. This event is used to assign the value to a point in a virtual series. EnableVirtualMode must have been called for the series, see EnableVirtualMode for more information and sample usage.

See Also

ChartControl Control | EnableVirtualMode Method


%%PageItemTitle%%

ChartControl Control

Button
Shift
x
y
See Also Chart Pro ActiveX Control v19.3

MouseDown Event

Description

Occurs when the mouse is pressed over a ChartElement.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

Button
Shift
x
y
See Also Chart Pro ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse is moved over a ChartElement.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

Button
Shift
x
y
See Also Chart Pro ActiveX Control v19.3

MouseUp Event

Description

Occurs when the mouse button is released over a ChartElement.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ChartControl Control


%%PageItemTitle%%

ChartControl Control

See Also Chart Pro ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ChartControl Control


%%PageItemTitle%%

ChartControlGlobalSettings Members

See Also Chart Pro ActiveX Control v19.3

ChartControlGlobalSettings Object

Description

Chart Control Global Settings.

For a list of all members defined in this module, see ChartControlGlobalSettings members.

Object Model

See Also

ChartControlGlobalSettings Members


%%PageItemTitle%% $$Members$$

ChartControlGlobalSettings Overview

See Also Chart Pro ActiveX Control v19.3

ChartControlGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing the Chart Control's layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Chart Control OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Chart Control OCX is used.
Public Property Version | Returns the current Chart Control version as a string.

See Also

ChartControlGlobalSettings Overview


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing the Chart Control's layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

'This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
"PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
"PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
"PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
"PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
"PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Chart Control OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all pre-set strings such as 'There are no items to display'

This code should be placed in the Form_Initialize event of the main form.

Example

'This sample illustrates how to use a resource file to change the language used to display text in your application.

Private Sub Form_Initialize()
ChartControlGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Chart Control OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartControlGlobalSettings Object

See Also Chart Pro ActiveX Control v19.3

Version Property

Description

Returns the current Chart Control version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

ChartControlGlobalSettings Object


%%PageItemTitle%%

ChartDiagram Members

See Also Chart Pro ActiveX Control v19.3

ChartDiagram Object

Description

Represents a chart diagram. This object acts as a base class for 2D and 3D diagrams.

For a list of all members defined in this module, see ChartDiagram members.

Object Model

See Also

ChartDiagram Members


%%PageItemTitle%% $$Members$$

ChartDiagram Overview

See Also Chart Pro ActiveX Control v19.3

ChartDiagram Object Members

Public Properties

Public Property Titles Gets the collection of ChartTitle objects displayed for this diagram in the chart.

See Also

ChartDiagram Overview


%%PageItemTitle%%

ChartDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Description

Gets the collection of ChartTitle objects displayed for this diagram in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

Return Type

Reference to this diagram's ChartTitleCollection.

Remarks

Each chart diagram (as well as the entire chart) can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

See Also

ChartDiagram Object


%%PageItemTitle%%

ChartDiagram2D Members

See Also Chart Pro ActiveX Control v19.3

ChartDiagram2D Object

Description

Represents the diagram used to draw a 2D chart (point, area, bar, etc). Used for all charts except 3D views and 2D Pie.

For a list of all members defined in this module, see ChartDiagram2D members.

Object Model

See Also

ChartDiagram2D Members


%%PageItemTitle%% $$Members$$

ChartDiagram2D Overview

See Also Chart Pro ActiveX Control v19.3

ChartDiagram2D Object Members

Public Methods

Public Method AxisXByIndex
Public Method AxisYByIndex

Public Properties

Public Property AllowScroll | Specifies whether to allow the diagram's contents to be scrolled (if applicable).
Public Property AllowZoom | Specifies whether to allow the diagram's content to be zoomed.
Public Property AxisCountX |
Public Property AxisCountY |
Public Property AxisX | Gets the X axis associated with the 2D diagram.
Public Property AxisY | Gets the Y axis associated with the 2D diagram.
Public Property BackgroundColor | Gets\sets the background color of the diagram.
Public Property BackgroundColor2 | Gets\sets the second background color of the diagram.
Public Property BackgroundFillStyle | Gets\sets the background fill style.
Public Property BorderColor | Gets\sets the border color of the diagram.
Public Property Rotated | Specifies whether the contents of the diagram will be rotated.
Public Property SecondaryAxisX | Gets the secondary X axis associated with the 2D diagram.
Public Property SecondaryAxisY | Gets the secondary Y axis associated with the 2D diagram.
Public Property Titles | Gets the collection of ChartTitle objects displayed for this diagram in the chart.

See Also

ChartDiagram2D Overview


%%PageItemTitle%%

ChartDiagram2D Object

nAxisIndex
See Also Chart Pro ActiveX Control v19.3

AxisXByIndex Method

Syntax

Public Function AxisXByIndex( _
   ByVal nAxisIndex As Integer _
) As ChartAxis

Parameters

nAxisIndex

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

nAxisIndex
See Also Chart Pro ActiveX Control v19.3

AxisYByIndex Method

Syntax

Public Function AxisYByIndex( _
   ByVal nAxisIndex As Integer _
) As ChartAxis

Parameters

nAxisIndex

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object | ViewAutoRange Scrollable Sample

See Also Chart Pro ActiveX Control v19.3

AllowScroll Property

Description

Specifies whether to allow the diagram's contents to be scrolled (if applicable).

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowScroll() As Boolean

Return Type

True if the diagram's contents can be scrolled, False if the contents are locked to the initial view, even if some data is not in view.

Remarks

When AllowScroll is False it will not display a scrollbar to scroll the content, even if all the content is not visible. By default the chart will fit everything in the current view so this is only applicable if you modified the chart's axis so that all the view is not visible. This might be useful if you want to manually scroll the view without the scrollbars.

The ViewAutoRange Scrollable Sample shows how to make the chart's view scrollable.

See Also

ChartDiagram2D Object | ViewAutoRange Scrollable Sample


%%PageItemTitle%%

ChartDiagram2D Object | ZoomLimit Property

See Also Chart Pro ActiveX Control v19.3

AllowZoom Property

Description

Specifies whether to allow the diagram's content to be zoomed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowZoom() As Boolean

Return Type

True to allow zooming, False to disable zooming.

Remarks

The ZoomLimit is used to specify the amount of zoom that can be applied to the axis. To zoom, simply make sure the chart has focus and then use the mouse wheel.

See Also

ChartDiagram2D Object | ZoomLimit Property


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

AxisCountX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisCountX() As Integer

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

AxisCountY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisCountY() As Integer

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

AxisX Property

Description

Gets the X axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AxisX() As ChartAxis

Return Type

Returns a reference to the X ChartAxis of this 2D diagram.

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

AxisY Property

Description

Gets the Y axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AxisY() As ChartAxis

Return Type

Returns a reference to the Y ChartAxis of this 2D diagram.

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Return Type

Gets\sets the background color of the diagram.

Remarks

If the diagram is using a gradient fill style, the fill will consist of 2 colors, this is the color for the first color. If no gradient is used, then BackgroundColor is the only color used to color the background.

Note: Interlacing for the axis is on my default and it will color alternating columns so you must also change it's color or hide it if you want the entire diagram to use the same background color.

The diagram below shows a custom background color, sold fill style and interlacing turned off:

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillSolid
Diagram.AxisX.Interlaced = False

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor2 Property

Description

Gets\sets the second background color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor2() As ULong

Return Type

Returns second background color of the diagram.

Remarks

If the diagram is using a gradient fill style, the fill will consist of 2 colors, this is the color for the second color. If no gradient is used, then BackgroundColor is the only color used to color the background.

Note: Interlacing for the axis is on my default and it will color alternating columns so you must also change it's color or hide it if you want the entire diagram to use the same background color.

The diagram below shows a custom background color, gradient fill style and interlacing turned off:

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)
Diagram.BackgroundColor2 = RGB(0, 50, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillGradient
Diagram.BackgroundFillStyle.GradientAngle = xtpChartGradientBottomRightToTopLeft
Diagram.AxisX.Interlaced = False

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

BackgroundFillStyle Property

Description

Gets\sets the background fill style.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundFillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)
Diagram.BackgroundColor2 = RGB(0, 50, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillGradient
Diagram.BackgroundFillStyle.GradientAngle = xtpChartGradientBottomRightToTopLeft
Diagram.AxisX.Interlaced = False

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

BorderColor Property

Description

Gets\sets the border color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

Return Type

Gets the border color of the diagram.

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

Rotated Property

Description

Specifies whether the contents of the diagram will be rotated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Rotated() As Boolean

Return Type

True to display the contents rotated.

Remarks

This will rotate the X and Y axis and display the diagram's content in the new orientation.

Here is a bar chart with both rotated and non-rotated orientation:

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets the secondary X axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As ChartAxis

Return Type

Returns a reference to the secondary X ChartAxis of this 2D diagram.

Remarks

Secondary axis are useful when you need to display a series of data that values the greatly differ from each other or you might use a secondary axis when displaying two series of data with different data type (i.e. price and quantity). In both of these cases you can plot each of the series on a secondary axis so that they can both be seen in the same view. Displaying both the secondary x and y axis can be useful if making a scatter chart.

Example

'This sample shows how to display a secondary axis for a series in a 2D diagram

ChartControl.Content.Legend.Visible = True

Dim Series1 As ChartSeries, Series2 As ChartSeries
Set Series1 = ChartControl.Content.Series.Add("Series 1")

Series1.Points.Add "A", 1200
Series1.Points.Add "B", 700
Series1.Points.Add "C", 500
Series1.Points.Add "D", 400
Series1.Points.Add "E", 300
Series1.Points.Add "F", 200
Series1.Points.Add "G", 150

Dim Style As ChartLineSeriesStyle
Set Style = New ChartLineSeriesStyle
Series1.Style = Style
Style.Marker.Type = xtpChartMarkerTriangle
Style.Marker.Size = 16

Set Series2 = ChartControl.Content.Series.Add("Series 2")
Series2.Points.Add "A", 50
Series2.Points.Add "B", 40
Series2.Points.Add "C", 30
Series2.Points.Add "D", 20
Series2.Points.Add "E", 15

Set Style = New ChartLineSeriesStyle
Series2.Style = Style
Style.Marker.Type = xtpChartMarkerStar
Style.Marker.Size = 16

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisX.Title.Text = "Series 1 (Primary Axis X)"
Diagram.AxisX.Title.Visible = True
Diagram.SecondaryAxisX.Title.Text = "Series 2 (Secondary Axis X)"
Diagram.SecondaryAxisX.Title.Visible = True
Diagram.SecondaryAxisX.Visible = True
ChartControl.Content.Series(1).Style.SecondaryAxisX = True

Diagram.AxisY.Title.Text = "Series 1 (Primary Axis Y)"
Diagram.AxisY.Title.Visible = True
Diagram.SecondaryAxisY.Title.Text = "Series 2 (Secondary Axis Y)"
Diagram.SecondaryAxisY.Title.Visible = True
Diagram.SecondaryAxisY.Visible = True
ChartControl.Content.Series(1).Style.SecondaryAxisY = True

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets the secondary Y axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As ChartAxis

Return Type

Returns a reference to the secondary Y ChartAxis of this 2D diagram.

Remarks

Secondary axis are useful when you need to display a series of data that values the greatly differ from each other or you might use a secondary axis when displaying two series of data with different data type (i.e. price and quantity). In both of these cases you can plot each of the series on a secondary axis so that they can both be seen in the same view. Displaying both the secondary x and y axis can be useful if making a scatter chart.

Example

'This sample shows how to display a secondary axis for a series in a 2D diagram

ChartControl.Content.Legend.Visible = True

Dim Series1 As ChartSeries, Series2 As ChartSeries
Set Series1 = ChartControl.Content.Series.Add("Series 1")

Series1.Points.Add "A", 1200
Series1.Points.Add "B", 700
Series1.Points.Add "C", 500
Series1.Points.Add "D", 400
Series1.Points.Add "E", 300
Series1.Points.Add "F", 200
Series1.Points.Add "G", 150

Dim Style As ChartLineSeriesStyle
Set Style = New ChartLineSeriesStyle
Series1.Style = Style
Style.Marker.Type = xtpChartMarkerTriangle
Style.Marker.Size = 16

Set Series2 = ChartControl.Content.Series.Add("Series 2")
Series2.Points.Add "A", 50
Series2.Points.Add "B", 40
Series2.Points.Add "C", 30
Series2.Points.Add "D", 20
Series2.Points.Add "E", 15

Set Style = New ChartLineSeriesStyle
Series2.Style = Style
Style.Marker.Type = xtpChartMarkerStar
Style.Marker.Size = 16

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisX.Title.Text = "Series 1 (Primary Axis X)"
Diagram.AxisX.Title.Visible = True
Diagram.SecondaryAxisX.Title.Text = "Series 2 (Secondary Axis X)"
Diagram.SecondaryAxisX.Title.Visible = True
Diagram.SecondaryAxisX.Visible = True
ChartControl.Content.Series(1).Style.SecondaryAxisX = True

Diagram.AxisY.Title.Text = "Series 1 (Primary Axis Y)"
Diagram.AxisY.Title.Visible = True
Diagram.SecondaryAxisY.Title.Text = "Series 2 (Secondary Axis Y)"
Diagram.SecondaryAxisY.Title.Visible = True
Diagram.SecondaryAxisY.Visible = True
ChartControl.Content.Series(1).Style.SecondaryAxisY = True

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagram2D Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Description

Gets the collection of ChartTitle objects displayed for this diagram in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

Return Type

Reference to this diagram's ChartTitleCollection.

Remarks

Each chart diagram (as well as the entire chart) can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

See Also

ChartDiagram2D Object


%%PageItemTitle%%

ChartDiagramCollection Members

See Also Chart Pro ActiveX Control v19.3

ChartDiagramCollection Collection

Description

Represents a collection of ChartDiagram objects.

For a list of all members defined in this module, see ChartDiagramCollection members.

Object Model

See Also

ChartDiagramCollection Members


%%PageItemTitle%% $$Members$$

ChartDiagramCollection Overview

See Also Chart Pro ActiveX Control v19.3

ChartDiagramCollection Collection Members

Public Methods

Public Method Add | Adds a new ChartDiagram chart's collection of diagrams.
Public Method DeleteAll | Removes all diagrams from the chart.
Public Method DeleteAt | Remove the specified diagram from the chart control.

Public Properties

Public Property Count | Returns the total number of diagrams in the chart.
Public Property Item | Gets the ChartDiagram object at a particular index in the collection.

See Also

ChartDiagramCollection Overview


%%PageItemTitle%%

ChartDiagramCollection Collection

Diagram
Reference to the ChartDiagram to be added.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new ChartDiagram chart's collection of diagrams.

Syntax

Public Sub Add( _
   ByVal Diagram As ChartDiagram _
)

Parameters

Diagram
Reference to the ChartDiagram to be added.

Remarks

The chart can contain multiple diagrams in the same view.

Example

'This sample show how to add 3 diagrams to the chart, this will create the diagram in the picture above

Dim pContent As ChartContent
Set pContent = ChartControl.Content

pContent.Legend.Visible = True
pContent.Legend.VerticalAlignment = xtpChartLegendFarOutside
pContent.Legend.HorizontalAlignment = xtpChartLegendCenter
pContent.Legend.Direction = xtpChartLegendLeftToRight

ChartControl.Content.Titles.Add "Total Hours Worked"

Dim pDiagram1 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram1

Dim pDiagram2 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram2

Dim pDiagram3 As New ChartPieDiagram
pContent.Diagrams.Add pDiagram3

Dim pSeries As ChartSeries
Set pSeries = pContent.Series.Add("Daily")
Set pSeries.Style = New ChartBarSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram1
pDiagram1.Rotated = True

Set pSeries = pContent.Series.Add("Summary")
Set pSeries.Style = New ChartLineSeriesStyle

Dim pLabel As ChartPointSeriesLabel
Set pLabel = pSeries.Style.Label

pLabel.LineLength = 20
pLabel.Angle = 70

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 8 + 7
pSeries.Points.Add "3 March", 8 + 7 + 6
pSeries.Points.Add "4 April", 8 + 7 + 6 + 7
pSeries.Points.Add "5 May", 8 + 7 + 6 + 7 + 7
Set pSeries.Diagram = pDiagram2
pDiagram2.Rotated = True

pDiagram1.AxisX.Title.Visible = True
pDiagram1.AxisX.Title.Text = "Date"

pDiagram1.AxisY.Title.Visible = True
pDiagram1.AxisY.Title.Text = "Hours"

pDiagram2.AxisY.Title.Visible = True
pDiagram2.AxisY.Title.Text = "Hours"
pDiagram2.AxisX.Title.Visible = False

Set pSeries = pContent.Series.Add("Overview")
Set pSeries.Style = New ChartPieSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram3

Dim pPieLabel As ChartPieSeriesLabel
Set pPieLabel = pSeries.Style.Label

On Error Resume Next:
pPieLabel.Position = xtpChartPieLabelRadial

See Also

ChartDiagramCollection Collection


%%PageItemTitle%%

ChartDiagramCollection Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all diagrams from the chart.

Syntax

Public Sub DeleteAll()

Remarks

This will remove all diagrams from the chart.

See Also

ChartDiagramCollection Collection


%%PageItemTitle%%

ChartDiagramCollection Collection

Index
Index of the diagram to remove.
See Also Chart Pro ActiveX Control v19.3

DeleteAt Method

Description

Remove the specified diagram from the chart control.

Syntax

Public Sub DeleteAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the diagram to remove.

See Also

ChartDiagramCollection Collection


%%PageItemTitle%%

ChartDiagramCollection Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of diagrams in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of diagrams in the chart.

Remarks

This will return the total number of diagrams in the chart.

See Also

ChartDiagramCollection Collection


%%PageItemTitle%%

ChartDiagramCollection Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the ChartDiagram object at a particular index in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartDiagram

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartDiagram object, at the index selected.

Remarks

You will need to cast this base ChartDiagram object to the diagram of choice to access the properties of that particular type of diagram.

See Also

ChartDiagramCollection Collection


%%PageItemTitle%%

ChartElement Members

See Also Chart Pro ActiveX Control v19.3

ChartElement Object

Description

Represents an element of the chart (point, etc...)

For a list of all members defined in this module, see ChartElement members.

See Also

ChartElement Members


%%PageItemTitle%% $$Members$$

ChartElement Overview

See Also Chart Pro ActiveX Control v19.3

ChartElement Object Members

See Also

ChartElement Overview


%%PageItemTitle%%

ChartFastLineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartFastLineSeriesStyle Object

Description

Fast Line style (use when plotting thousands of points and drawing speed is important).

For a list of all members defined in this module, see ChartFastLineSeriesStyle members.

Object Model

Remarks

Fast line is a variation of the normal line style that considerably improves performance by reducing the time it takes to draw the line. The increased speed comes at the cost of not displaying the plot points in the line and you can't display labels (among other things done behind the scenes). With fast line you can also turn off antialiasing.

Common uses for a fast line might be a systems performance monitor that shows a chart in real time. Or possibly a chart that displays thousands of data points in a single view (might show a trend over 10,000 years in a single view).

In the diagram below there are 5 "fast lines" that have 1000 points drawn every 10 milliseconds. You can view the sample is full motion by running the included samples.

Example

'Complete VB6 sample showing the above picture. (The sample is included with the installation as well in the "Chart Browser" sample.)

Private Sub UserControl_Initialize()

cmblInterval.AddItem "100"
cmblInterval.AddItem "300"
cmblInterval.AddItem "500"
cmblInterval.AddItem "1000"
cmblInterval.ListIndex = 0

cmbSeriesCount.AddItem "1"
cmbSeriesCount.AddItem "2"
cmbSeriesCount.AddItem "3"
cmbSeriesCount.AddItem "4"
cmbSeriesCount.AddItem "5"
cmbSeriesCount.ListIndex = 0

ChartControl.Content.Legend.Visible = False

Dim Title As ChartTitle
Set Title = ChartControl.Content.Titles.Add("Use mouse wheel to zoom chart")
Title.Docking = xtpChartDockBottom
Title.Alignment = xtpChartAlignFar

Title.Font.StdFont.Size = 9
Title.TextColor = vbGrayText

CreateChart

End Sub

Private Sub CreateChart()

ChartControl.Content.Series.DeleteAll

Dim Series As ChartSeries

Dim SeriesCount As Long
SeriesCount = cmbSeriesCount.List(cmbSeriesCount.ListIndex)

Dim i As Long
For i = 1 To SeriesCount
Set Series = ChartControl.Content.Series.Add("Series")

Dim Style As New ChartFastLineSeriesStyle
Set Series.Style = Style

Series.ArgumentScaleType = xtpChartScaleNumerical

Next i

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AllowZoom = True
Diagram.AxisY.Range.MaxValue = 100.1
Diagram.AxisY.Range.AutoRange = False
Diagram.AxisY.AllowZoom = False

Diagram.AxisX.Range.MaxValue = 100.1
Diagram.AxisX.Range.AutoRange = False
Diagram.AxisX.Range.ZoomLimit = 10

Diagram.AxisX.Interlaced = False
Diagram.AxisY.Interlaced = chkInterlaced

chkAntialiased_Click
End Sub

Private Sub cmdAddPoints_Click()
Dim i As Long
For i = 1 To 1000
AddPoint
Next i

End Sub

Private Sub cmblInterval_Click()
Timer.Interval = cmblInterval.List(cmblInterval.ListIndex)
End Sub

Private Sub cmbSeriesCount_Click()
CreateChart
End Sub

Private Sub chkAntialiased_Click()
Dim Series As ChartSeries
For Each Series In ChartControl.Content.Series
Series.Style.Antialiasing = chkAntialiased
Next
End Sub

Private Sub chkInterlaced_Click()
Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)
Diagram.AxisY.Interlaced = chkInterlaced

End Sub

Private Sub AddPoint()
Dim Series As ChartSeries
Dim Value As Long, Count As Long

For Each Series In ChartControl.Content.Series
Value = 50

Count = Series.Points.Count
If (Count > 0) Then Value = Series.Points(Count - 1).Value(0)
Value = Value + (Rnd() * 20) - 10
If (Value < 0) Then Value = 0
If (Value > 100) Then Value = 100

Series.Points.Add Count, Value
Next

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

If (Count > 100) Then
Dim AutoScroll As Boolean
AutoScroll = IIf(Diagram.AxisX.Range.ViewMaxValue = Diagram.AxisX.Range.MaxValue, True, False)

Diagram.AxisX.Range.MaxValue = Count

If (AutoScroll) Then

Dim delta As Double
delta = Diagram.AxisX.Range.ViewMaxValue - Diagram.AxisX.Range.ViewMinValue

Diagram.AxisX.Range.ViewAutoRange = False
Diagram.AxisX.Range.ViewMaxValue = Count
Diagram.AxisX.Range.ViewMinValue = Count - delta
End If

End If

End Sub

Private Sub Timer_Timer()
AddPoint
End Sub

Private Sub UserControl_Resize()
On Error Resume Next

lblTitle.Width = ScaleWidth - 2 * gbOptions.Left
gbOptions.Width = ScaleWidth - 2 * gbOptions.Left
ChartControl.Move ChartControl.Left, ChartControl.Top, ScaleWidth - 2 * ChartControl.Left, ScaleHeight - ChartControl.Top - 8
End Sub

See Also

ChartFastLineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartFastLineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartFastLineSeriesStyle Object Members

Public Properties

Public Property Antialiasing | Gets\sets whether antialiasing is used when drawing the line in the series (only useful if speed takes priority or visual looks).
Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartFastLineSeriesStyle Overview


%%PageItemTitle%%

ChartFastLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Gets\sets whether antialiasing is used when drawing the line in the series (only useful if speed takes priority or visual looks).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

True if antialiasing is used (default is True).

Remarks

You can turn off antialiasing to increase drawing speed at the cost of looks, but is an option if you absolutely need a faster drawing line.

See Also

ChartFastLineSeriesStyle Object


%%PageItemTitle%%

ChartFastLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartFastLineSeriesStyle Object


%%PageItemTitle%%

ChartFastLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartFastLineSeriesStyle Object


%%PageItemTitle%%

ChartFastLineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartFastLineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartFastLineSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartFastLineSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartFastLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartFastLineSeriesStyle Object


%%PageItemTitle%%

ChartFastLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartFastLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartFastLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartFastLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartFillStyle Members | FillMode Property | GradientAngle Property | HatchStyle Property | ChartFillMode Enumeration | ChartGradientAngle Enumeration | ChartHatchStyle Enumeration | InterlacedFillStyle Property | InterlacedColor Property | InterlacedColor2 Property | Interlaced Property | Axis Strip FillStyle Property | BackgroundFillStyle Property | BackgroundColor Property | BackgroundColor2 Property

See Also Chart Pro ActiveX Control v19.3

ChartFillStyle Object

Description

Represents the styles used to fill\shade the background of various elements of the chart (strips, interlacing, background, markers, labels, legend, etc) .

For a list of all members defined in this module, see ChartFillStyle members.

Remarks

The Fill Style allows the Fill Mode, Gradient Angle and Hatch Style to be set. FillMode applies to the background (columns, interlacing, stripes, markers, labels, legend, etc) of many of the various elements in the chart.

Fill Mode must be set to xtpChartFillGradient to use a gradient or xtpChartFillHatch to use a hatch style. Note both gradient and hatch can't be used at the same time, you can use one or the other, but not both a the same time. Fill Mode can also be set to solid or empty and no gradient or hatch will be used.

The background fill of 2D charts can be set using the BackgroundFillStyle property. The gradients and hatch styles can be applied to any 2D axis background. The colors used for the background gradient can be set using the BackgroundColor and BackgroundColor2 properties.

Both the X and Y Axis have an InterlacedFillStyle property that allows the fill style to be set for interlaced "columns" along that axis, if Interlacing is turned on. The colors used for the interlaced gradient can be set using the InterlacedColor and InterlacedColor2 properties.

The Axis Strip FillStyle property allows the fill mode of axis "strips" to be set.

Below is an example of the various fill modes (appearance is set to black to make the fill easier to see).

Solid Fill Mode:

Gradient Fill Mode:

Hatch Fill Mode:

Example

'This sample will set the fill mode for all strips and interlacing for all axis

Dim FillModeIndex As ChartFillMode

FillModeIndex = xtpChartFillSolid

If ActiveChartControl.Content.Series.Count > 0 Then
Dim xSeries As ChartSeries
For Each xSeries In ActiveChartControl.Content.Series
Set Diagram = xSeries.Diagram
Dim xStrip

Diagram.AxisX.InterlacedFillStyle.FillMode = FillModeIndex
For Each xStrip In Diagram.AxisX.Strips
xStrip.FillStyle.FillMode = FillModeIndex
Next
Diagram.AxisY.InterlacedFillStyle.FillMode = FillModeIndex
For Each xStrip In Diagram.AxisY.Strips
xStrip.FillStyle.FillMode = FillModeIndex
Next
Diagram.AxisX.SecondaryAxisX.FillMode = FillModeIndex
For Each xStrip In Diagram.SecondaryAxisX.Strips
xStrip.FillStyle.FillMode = FillModeIndex
Next
Diagram.SecondaryAxisY.InterlacedFillStyle.FillMode = FillModeIndex
For Each xStrip In Diagram.SecondaryAxisY.Strips
xStrip.FillStyle.FillMode = FillModeIndex
Next
Next
End If

'This sample will set the gradient for all strips and interlacing for all axis

Dim GradientAngleIndex As ChartGradientAngle
GradientAngleIndex = xtpChartGradientLeftToRight

If ActiveChartControl.Content.Series.Count > 0 Then
Dim xSeries As ChartSeries
For Each xSeries In ActiveChartControl.Content.Series
Set Diagram = xSeries.Diagram
Dim xStrip
Diagram.AxisX.InterlacedFillStyle.GradientAngle = GradientAngleIndex
For Each xStrip In Diagram.AxisX.Strips
xStrip.FillStyle.GradientAngle = GradientAngleIndex
Next
Diagram.AxisY.InterlacedFillStyle.GradientAngle = GradientAngleIndex
For Each xStrip In Diagram.AxisY.Strips
xStrip.FillStyle.GradientAngle = GradientAngleIndex
Next
Diagram.SecondaryAxisX.InterlacedFillStyle.GradientAngle = GradientAngleIndex
For Each xStrip In Diagram.SecondaryAxisX.Strips
xStrip.FillStyle.GradientAngle = GradientAngleIndex
Next
Diagram.SecondaryAxisY.InterlacedFillStyle.GradientAngle = GradientAngleIndex
For Each xStrip In Diagram.SecondaryAxisY.Strips
xStrip.FillStyle.GradientAngle = GradientAngleIndex
Next
Next
End If

'This sample will set the hatch style for all strips and interlacing for all axis

Dim HatchIndex As ChartHatchStyle
HatchIndex = xtpChartHatchStyle25Percent

If ActiveChartControl.Content.Series.Count > 0 Then
Dim xSeries As ChartSeries
For Each xSeries In ActiveChartControl.Content.Series
Set Diagram = xSeries.Diagram
Dim xStrip
Diagram.AxisX.InterlacedFillStyle.HatchStyle = HatchIndex
For Each xStrip In Diagram.AxisX.Strips
xStrip.FillStyle.HatchStyle = HatchIndex
Next
Diagram.AxisY.InterlacedFillStyle.HatchStyle = HatchIndex
For Each xStrip In Diagram.AxisY.Strips
xStrip.FillStyle.HatchStyle = HatchIndex
Next
Diagram.SecondaryAxisX.InterlacedFillStyle.HatchStyle = HatchIndex
For Each xStrip In Diagram.SecondaryAxisX.Strips
xStrip.FillStyle.HatchStyle = HatchIndex
Next
Diagram.SecondaryAxisY.InterlacedFillStyle.HatchStyle = HatchIndex
For Each xStrip In Diagram.SecondaryAxisY.Strips
xStrip.FillStyle.HatchStyle = HatchIndex
Next
Next
End If

See Also

ChartFillStyle Members | FillMode Property | GradientAngle Property | HatchStyle Property | ChartFillMode Enumeration | ChartGradientAngle Enumeration | ChartHatchStyle Enumeration | InterlacedFillStyle Property | InterlacedColor Property | InterlacedColor2 Property | Interlaced Property | Axis Strip FillStyle Property | BackgroundFillStyle Property | BackgroundColor Property | BackgroundColor2 Property


%%PageItemTitle%% $$Members$$

ChartFillStyle Overview | FillMode Property | GradientAngle Property | HatchStyle Property | ChartFillMode Enumeration | ChartGradientAngle Enumeration | ChartHatchStyle Enumeration | InterlacedFillStyle Property | InterlacedColor Property | InterlacedColor2 Property | Interlaced Property | Axis Strip FillStyle Property | BackgroundFillStyle Property | BackgroundColor Property | BackgroundColor2 Property

See Also Chart Pro ActiveX Control v19.3

ChartFillStyle Object Members

Public Properties

Public Property FillMode | Gets\sets the fill mode for this element.
Public Property GradientAngle | Gets\set the direction for gradient filling for the element.
Public Property HatchStyle | Gets\sets the hatch style used for filling the background of a particular chart element.

See Also

ChartFillStyle Overview | FillMode Property | GradientAngle Property | HatchStyle Property | ChartFillMode Enumeration | ChartGradientAngle Enumeration | ChartHatchStyle Enumeration | InterlacedFillStyle Property | InterlacedColor Property | InterlacedColor2 Property | Interlaced Property | Axis Strip FillStyle Property | BackgroundFillStyle Property | BackgroundColor Property | BackgroundColor2 Property


%%PageItemTitle%%

ChartFillStyle Object

See Also Chart Pro ActiveX Control v19.3

FillMode Property

Description

Gets\sets the fill mode for this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FillMode() As ChartFillMode

Return Type

The enumerated value specifying the current fill mode from ChartFillMode.

Remarks

Click here for full details and sample code.

See Also

ChartFillStyle Object


%%PageItemTitle%%

ChartFillStyle Object

See Also Chart Pro ActiveX Control v19.3

GradientAngle Property

Description

Gets\set the direction for gradient filling for the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GradientAngle() As ChartGradientAngle

Return Type

An enumerated value specifying the current direction of gradient from ChartGradientAngle.

Remarks

Click here for full details and sample code.

See Also

ChartFillStyle Object


%%PageItemTitle%%

ChartFillStyle Object

See Also Chart Pro ActiveX Control v19.3

HatchStyle Property

Description

Gets\sets the hatch style used for filling the background of a particular chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HatchStyle() As ChartHatchStyle

Return Type

The enumerated value specifying the hatch style of choice from ChartHatchStyle.

Remarks

Click here for full details and sample code.

See Also

ChartFillStyle Object


%%PageItemTitle%%

ChartFont Members

See Also Chart Pro ActiveX Control v19.3

ChartFont Object

Description

Font used to display the element.

For a list of all members defined in this module, see ChartFont members.

See Also

ChartFont Members


%%PageItemTitle%% $$Members$$

ChartFont Overview

See Also Chart Pro ActiveX Control v19.3

ChartFont Object Members

Public Properties

Public Property StdFont Gets\sets the font used by the element.

See Also

ChartFont Overview


%%PageItemTitle%%

ChartFont Object

See Also Chart Pro ActiveX Control v19.3

StdFont Property

Description

Gets\sets the font used by the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StdFont() As Font

Return Type

Returns the font used by the element.

See Also

ChartFont Object


%%PageItemTitle%%

ChartFunnelDiagram Members

See Also Chart Pro ActiveX Control v19.3

ChartFunnelDiagram Object

Description

ChartFunnelDiagram

For a list of all members defined in this module, see ChartFunnelDiagram members.

Object Model

See Also

ChartFunnelDiagram Members


%%PageItemTitle%% $$Members$$

ChartFunnelDiagram Overview

See Also Chart Pro ActiveX Control v19.3

ChartFunnelDiagram Object Members

Public Properties

Public Property Titles

See Also

ChartFunnelDiagram Overview


%%PageItemTitle%%

ChartFunnelDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

See Also

ChartFunnelDiagram Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartFunnelSeriesLabel Object

Description

Properties used by the labels of Funnel Chart styles.

For a list of all members defined in this module, see ChartFunnelSeriesLabel members.

Object Model

See Also

ChartFunnelSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartFunnelSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartFunnelSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property Position | Gets\sets the position of the label in relation to the chart element it is displayed on.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartFunnelSeriesLabel Overview


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Position Property

Description

Gets\sets the position of the label in relation to the chart element it is displayed on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As ChartFunnelLabelPosition

Return Type

The position of the label in relation to the chart element it is displayed on.

Remarks

Typical label positions include top, center, left, right, inside, outside, etc, it depends on the the type of element the label is displayed on, not all positions as supported by every element so check the enumeration for available positions.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartFunnelSeriesLabel Object


%%PageItemTitle%%

ChartFunnelSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartFunnelSeriesStyle Object

Description

Funnel Chart style

For a list of all members defined in this module, see ChartFunnelSeriesStyle members.

Object Model

Remarks

The Funnel chart displays a series of data in a funnel shape. The top portion of the funnel will typically contain the largest percentage of the data, while the bottom will "funnel" down to the smallest percentage, however the funnel will allow data to be added in any combination to suit your needs. The size of the funnel sections are all relative to each other and the order does not matter.

Example

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.Legend.VerticalAlignment = xtpChartLegendFar

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Titles.Add "Corporate Activities"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Corporate Activities")

Series.Points.Add "Cash US", 216
Series.Points.Add "Stocks US", 150
Series.Points.Add "Bonds US", 100
Series.Points.Add "Funds US", 43

Series.PointLegendFormat = "{A} ${V}K"

Dim Style As New ChartFunnelSeriesStyle
Set ChartControl.Content.Series(0).Style = Style
Style.Label.Format = "{A} ${V}K"

cmbPointDistance.AddItem "0"
cmbPointDistance.AddItem "1"
cmbPointDistance.AddItem "2"
cmbPointDistance.AddItem "3"
cmbPointDistance.AddItem "4"

cmbHeightToWidth.AddItem "0"
cmbHeightToWidth.AddItem "0.4"
cmbHeightToWidth.AddItem "0.6"
cmbHeightToWidth.AddItem "1"
cmbHeightToWidth.AddItem "1.5"
cmbHeightToWidth.AddItem "2"

See Also

ChartFunnelSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartFunnelSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartFunnelSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property EqualHeight | Specifies whether all slices in the funnel will be the same height regardless of value.
Public Property HeightToWidthRatio | Specifies the height to width ratio of the slices in the funnel or pyramid.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property PointDistance | Gets\sets distance set between the "slices\stacks" in this series (applies to both funnels and pyramid styles).

See Also

ChartFunnelSeriesStyle Overview


%%PageItemTitle%%

ChartFunnelSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartFunnelSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartFunnelSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartFunnelSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartFunnelSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

EqualHeight Property

Description

Specifies whether all slices in the funnel will be the same height regardless of value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EqualHeight() As Boolean

Return Type

True if all slices in the funnel will be the same height regardless of value.

Remarks

In the diagram below all slices are the same height.

See Also

ChartFunnelSeriesStyle Object


%%PageItemTitle%%

ChartFunnelSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

HeightToWidthRatio Property

Description

Specifies the height to width ratio of the slices in the funnel or pyramid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeightToWidthRatio() As Double

Return Type

The height to width ratio of the slices in the funnel or pyramid.

Remarks

The ratio is a percentage from 0 to 1, for example .4 is 40% height to width ratio.

See Also

ChartFunnelSeriesStyle Object


%%PageItemTitle%%

ChartFunnelSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartFunnelSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartFunnelSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartFunnelSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

PointDistance Property

Description

Gets\sets distance set between the "slices\stacks" in this series (applies to both funnels and pyramid styles).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PointDistance() As Integer

Return Type

The distance set between the "slices\stacks" in this series.

Remarks

This is the distance set between the "slices\stacks" in this series.

See Also

ChartFunnelSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartGanttSeriesStyle Object

Description

Gantt series style.

For a list of all members defined in this module, see ChartGanttSeriesStyle members.

Object Model

Remarks

A Gantt chart is a type of range bar chart commonly used for task\schedule planning. Typically a Gantt chart is used for displaying the progression of a project and will display the length each individual task will take versus the progression of time.

Example

'Gantt series sample

Private Function GetDate(nMonth As Long, nDay As Long) As Double
GetDate = (nMonth - 1) * 31 + (nDay - 1)
End Function

ChartControl.Content.Titles.Add "Project Development Schedule"

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.Legend.Direction = xtpChartLegendLeftToRight

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Planned")

Series.Points.Add2 "Explore Market Need", GetDate(1, 1), GetDate(3, 4)
Series.Points.Add2 "Develop Concept for Product", GetDate(2, 1), GetDate(3, 10)
Series.Points.Add2 "Begin Development Cycle", GetDate(3, 10), GetDate(10, 20)
Series.Points.Add2 "Develop GUI", GetDate(5, 1), GetDate(8, 15)
Series.Points.Add2 "User Interface Test Evaluation", GetDate(7, 1), GetDate(8, 25)
Series.Points.Add2 "Alpha Version Release", GetDate(7, 13), GetDate(7, 24)
Series.Points.Add2 "Beta Version Release", GetDate(10, 13), GetDate(10, 24)
Series.Points.Add2 "Design Box and CD Labels", GetDate(10, 1), GetDate(11, 1)
Series.Points.Add2 "Final Quality Testing", GetDate(10, 1), GetDate(11, 25)
Series.Points.Add2 "FCS Release", GetDate(11, 12), GetDate(11, 23)
Series.Points.Add2 "Production and Packaging", GetDate(11, 12), GetDate(11, 25)

Set Series = ChartControl.Content.Series.Add("Completed")
Series.Points.Add2 "Explore Market Need", GetDate(1, 1), GetDate(3, 4)
Series.Points.Add2 "Develop Concept for Product", GetDate(2, 1), GetDate(3, 10)
Series.Points.Add2 "Begin Development Cycle", GetDate(3, 10), GetDate(7, 7)
Series.Points.Add2 "Develop GUI", GetDate(5, 1), GetDate(7, 7)
Series.Points.Add2 "User Interface Test Evaluation", GetDate(7, 1), GetDate(7, 7)

Set ChartControl.Content.Series(0).Style = New ChartGanttSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartGanttSeriesStyle

ChartControl.Content.Series(0).Style.Label.Visible = False
ChartControl.Content.Series(1).Style.Label.Visible = False

ChartControl.Content.Series(1).Style.BarWidth = 0.3

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Tasks"
Diagram.AxisX.Reversed = True

Diagram.AxisY.Title.Visible = False
Diagram.AxisY.Range.ShowZeroLevel = False
Diagram.AxisY.Range.SideMargins = False

Dim ConstantLine As ChartAxisConstantLine
Set ConstantLine = Diagram.AxisY.ConstantLines.Add("Progress Line")
ConstantLine.LegendVisible = False
ConstantLine.AxisValue = GetDate(7, 7)

Diagram.Rotated = True

See Also

ChartGanttSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartGanttSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartGanttSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property BarWidth | Gets\sets the width of bars in this series.
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Returns the line style used to draw lines in this series.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property MaxValueMarker | Gets the marker object that is displayed for the maximum value for bars displayed in the gantt series.
Public Property MinValueMarker | Gets the marker object that is displayed for the minimum value for bars displayed in the gantt series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property SideBySide | Gets\sets whether to display the bars in the series side-by-side.

See Also

ChartGanttSeriesStyle Overview


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

BarWidth Property

Description

Gets\sets the width of bars in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarWidth() As Double

Return Type

Returns the width of bars in this series.

Remarks

BarWidth is a value between 0 and 1 and is a percentage of 100 the size of a normal sized bar.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRangeBarSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MaxValueMarker Property

Description

Gets the marker object that is displayed for the maximum value for bars displayed in the gantt series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MaxValueMarker() As ChartMarker

Return Type

Reference to a ChartMarker object for the maximum value for bars displayed in the gantt series.

Remarks

The gantt chart below is displaying the markers for it's bars. Each series can use it's own marker type. By default, circles are used.

Example

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
Dim Style As ChartGanttSeriesStyle
Set Style = x.Style
Style.MinValueMarker.Visible = True
Style.MaxValueMarker.Visible = True
Next

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MinValueMarker Property

Description

Gets the marker object that is displayed for the minimum value for bars displayed in the gantt series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinValueMarker() As ChartMarker

Return Type

Reference to a ChartMarker object for the minimum value for bars displayed in the gantt series.

Remarks

The gantt chart below is displaying the markers for it's bars. Each series can use it's own marker type. By default, circles are used.

Example

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
Dim Style As ChartGanttSeriesStyle
Set Style = x.Style
Style.MinValueMarker.Visible = True
Style.MaxValueMarker.Visible = True
Next

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartGanttSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartGanttSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartGanttSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartGanttSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartGanttSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

SideBySide Property

Description

Gets\sets whether to display the bars in the series side-by-side.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SideBySide() As Boolean

Return Type

Returns True if the bars in the series side-by-side. For Bar style this is True by default, for Range Bar style it is False by default.

Remarks

By default the Bar style displays side-by-side.

By default the Range Bar style displays on top of each other.

See Also

ChartGanttSeriesStyle Object


%%PageItemTitle%%

ChartHighLowSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartHighLowSeriesStyle Object

Description

Financial\Stock chart style.

For a list of all members defined in this module, see ChartHighLowSeriesStyle members.

Remarks

A Stock (Bar) Chart used to display trends for financial data, generally stock market prices. A Stock\Bar chart is similar to a Candlestick chart, but is considered harder to read for stock market analyse. The stock\bar chart displays the high and low, open and close of data. Each "bar" represents the high, low, open and close of data for a given value. The relationship between these bars is important in determining trends among stock prices. The "open" and "close" values are displayed as "tick" marks on the side of the bar, the "high" is the tick mark on the right and the "low" is the tick mark on the left of the bar. Buying pressure is indicated with black bars, where the close is greater than the previous high. Selling pressure is indicated with red bars, where it's close value is lower than the previous close value.

Example

'HighLow series sample

ChartControl.Content.Titles.DeleteAll
ChartControl.Content.Titles.Add "Historical Stock Prices"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Stock Series")

Series.Points.Add4 "2009-12-28", 30.89, 31.18, 31, 31.17
Series.Points.Add4 "2009-12-29", 31.23, 31.5, 31.35, 31.39
Series.Points.Add4 "2009-12-30", 30.8, 31.29, 31.15, 30.96
Series.Points.Add4 "2009-12-31", 30.48, 30.99, 30.98, 30.48
Series.Points.Add4 "2010-01-04", 30.59, 31.1, 30.62, 30.95
Series.Points.Add4 "2010-01-05", 30.64, 31.1, 30.85, 30.96
Series.Points.Add4 "2010-01-06", 30.52, 31.08, 30.88, 30.77
Series.Points.Add4 "2010-01-07", 30.19, 30.7, 30.63, 30.45
Series.Points.Add4 "2010-01-08", 30.24, 30.88, 30.28, 30.66
Series.Points.Add4 "2010-01-11", 30.12, 30.76, 30.71, 30.27
Series.Points.Add4 "2010-01-12", 29.91, 30.4, 30.15, 30.07
Series.Points.Add4 "2010-01-13", 30.01, 30.52, 30.26, 30.35
Series.Points.Add4 "2010-01-14", 30.26, 31.1, 30.31, 30.96
Series.Points.Add4 "2010-01-15", 30.71, 31.24, 31.08, 30.86
Series.Points.Add4 "2010-01-19", 30.68, 31.24, 30.75, 31.1
Series.Points.Add4 "2010-01-20", 30.31, 30.94, 30.81, 30.59
Series.Points.Add4 "2010-01-21", 30, 30.72, 30.61, 30.01
Series.Points.Add4 "2010-01-22", 28.84, 30.2, 30, 28.96
Series.Points.Add4 "2010-01-25", 29.1, 29.66, 29.24, 29.32
Series.Points.Add4 "2010-01-26", 29.09, 29.85, 29.2, 29.5
Series.Points.Add4 "2010-01-27", 29.02, 29.82, 29.35, 29.67
Series.Points.Add4 "2010-01-28", 28.89, 29.87, 29.84, 29.16
Series.Points.Add4 "2010-01-29", 27.66, 29.92, 29.9, 28.18
Series.Points.Add4 "2010-02-01", 27.92, 28.48, 28.39, 28.41
Series.Points.Add4 "2010-02-02", 28.14, 28.5, 28.37, 28.46
Series.Points.Add4 "2010-02-03", 28.12, 28.79, 28.26, 28.63
Series.Points.Add4 "2010-02-04", 27.81, 28.5, 28.38, 27.84
Series.Points.Add4 "2010-02-05", 27.57, 28.28, 28, 28.02
Series.Points.Add4 "2010-02-08", 27.57, 28.08, 28.01, 27.72
Series.Points.Add4 "2010-02-09", 27.75, 28.34, 27.97, 28.01
Series.Points.Add4 "2010-02-10", 27.84, 28.24, 28.03, 27.99
Series.Points.Add4 "2010-02-11", 27.7, 28.4, 27.93, 28.12
Series.Points.Add4 "2010-02-12", 27.58, 28.06, 27.81, 27.93
Series.Points.Add4 "2010-02-16", 28.02, 28.37, 28.13, 28.35
Series.Points.Add4 "2010-02-17", 28.36, 28.65, 28.53, 28.59
Series.Points.Add4 "2010-02-18", 28.51, 29.03, 28.59, 28.97
Series.Points.Add4 "2010-02-19", 28.69, 28.92, 28.79, 28.77
Series.Points.Add4 "2010-02-22", 28.65, 28.94, 28.84, 28.73
Series.Points.Add4 "2010-02-23", 28.09, 28.83, 28.68, 28.33
Series.Points.Add4 "2010-02-24", 28.38, 28.79, 28.52, 28.63
Series.Points.Add4 "2010-02-25", 28.02, 28.65, 28.27, 28.6
Series.Points.Add4 "2010-02-26", 28.51, 28.85, 28.65, 28.67
Series.Points.Add4 "2010-03-01", 28.53, 29.05, 28.77, 29.02
Series.Points.Add4 "2010-03-02", 28.24, 29.3, 29.08, 28.46
Series.Points.Add4 "2010-03-03", 28.35, 28.61, 28.51, 28.46

Series.ArgumentScaleType = xtpChartScaleDateTime

Dim StyleHL As ChartHighLowSeriesStyle
Set StyleHL = New ChartHighLowSeriesStyle
Set ChartControl.Content.Series(0).Style = StyleHL
StyleHL.LineThickness = 2
ChartControl.Content.Series(0).ArgumentScaleType = xtpChartScaleQualitative

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisX.Label.Angle = 360 - 30
Diagram.AxisX.Label.Antialiasing = True
Diagram.AxisX.Label.Visible = False

Diagram.AxisY.Title = "US Dollars"
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Visible = True
Diagram.AxisY.Range.ShowZeroLevel = False
Diagram.AxisY.GridLines.MinorLineStyle.DashStyle = xtpChartDashStyleDashDot
Diagram.AxisY.GridLines.MinorVisible = True

See Also

ChartHighLowSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartHighLowSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartHighLowSeriesStyle Object Members

Public Properties

Public Property LineThickness Gets\sets the line thickness of stock ticks.

See Also

ChartHighLowSeriesStyle Overview


%%PageItemTitle%%

ChartHighLowSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineThickness Property

Description

Gets\sets the line thickness of stock ticks.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineThickness() As Integer

Return Type

An integer value for the thickness of the tick lines currently used.

Remarks

This is the line thickness that is applied to the "candles" in a candle stick series or the "high-low" bars in a high low series.

Example

Dim StyleHL As ChartCandleStickSeriesStyle
Set StyleHL = New ChartCandleStickSeriesStyle
Set ChartControl.Content.Series(0).Style = StyleHL
StyleHL.LineThickness = 3
ChartControl.Content.Series(0).ArgumentScaleType = xtpChartScaleQualitative

See Also

ChartHighLowSeriesStyle Object


%%PageItemTitle%%

ChartLegend Members

See Also Chart Pro ActiveX Control v19.3

ChartLegend Object

Description

Represents the chart's legend.

For a list of all members defined in this module, see ChartLegend members.

Object Model

See Also

ChartLegend Members


%%PageItemTitle%% $$Members$$

ChartLegend Overview

See Also Chart Pro ActiveX Control v19.3

ChartLegend Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackgroundColor | Gets\sets the background color of the legend.
Public Property Border | Properties used to draw the chart elements's border.
Public Property ColumnCount | Specifies the number of columns to display the legend items in the legend.
Public Property Direction | Gets\sets the the legend direction, top to bottom or left to right.
Public Property FillStyle | Gets the background fill style style for this chart element.
Public Property Font | Returns the font of the text used in the legend.
Public Property HorizontalAlignment | Gets\sets the horizontal alignment of the legend.
Public Property MarkerHeight | Gets\sets the legend marker height.
Public Property MarkerVisible | Specifies whether the marker visible/invisible.
Public Property MarkerWidth | Gets\sets the legend marker width.
Public Property OffsetX | Gets\sets the X offset of the Legend in relation to it's current location.
Public Property OffsetY | Gets\sets the Y offset of the Legend in relation to it's current location.
Public Property TextColor | Gets\sets the text color of the legend items.
Public Property VerticalAlignment | Gets\sets the vertical alignment of the legend.
Public Property Visible | Gets\sets whether the legend is visible/invisible.

See Also

ChartLegend Overview


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color of the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Return Type

Returns the background color of the legend.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

ColumnCount Property

Description

Specifies the number of columns to display the legend items in the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnCount() As Integer

Return Type

The number of columns to display the legend items in the legend.

Remarks

You can specify the number of columns that appear in the legend. This is useful when you need to display many items in the legend.

Example

ChartControl.Content.Legend.ColumnCount = 3

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

Direction Property

Description

Gets\sets the the legend direction, top to bottom or left to right.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Direction() As ChartLegendDirection

Return Type

Returns an enumerated value ChartLegendDirection, which represents the the direction of the legend.

Remarks

This refers to the direction that the legend items are drawn in the legend which is top to bottom or left to right.

Example

ChartControl.Content.Legend.Direction = xtpChartLegendLeftToRight

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style style for this chart element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied (background of legend, markers, series, etc).

Click here for full details and sample code.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text used in the legend.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets\sets the horizontal alignment of the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As ChartLegendAlignment

Return Type

Returns an enumerated value ChartLegendAlignment, which represents the kind of horizontal alignment chosen.

Remarks

The legend has many different locations within the chart that it can be placed, including inside or outside the chart's diagram.

Below are just 2 of the alignment options for the legend, you can see it can be displayed on the inside or outside of the chart.

Example

ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

MarkerHeight Property

Description

Gets\sets the legend marker height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkerHeight() As Integer

Return Type

Returns the current legend marker height.

Remarks

The legend will by default display a little "marker" icon next to the text of a legend item. You have the option to hide these icons, set their width and set their height.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

MarkerVisible Property

Description

Specifies whether the marker visible/invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkerVisible() As Boolean

Return Type

TRUE if the markers are visible, FALSE if the markers is invisible.

Remarks

The legend will by default display a little "marker" icon next to the text of a legend item. You have the option to hide these icons, set their width and set their height.

Example

ChartControl.Content.Legend.MarkerVisible = False

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

MarkerWidth Property

Description

Gets\sets the legend marker width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkerWidth() As Integer

Return Type

Returns the current legend marker width.

Remarks

The legend will by default display a little "marker" icon next to the text of a legend item. You have the option to hide these icons, set their width and set their height.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

OffsetX Property

Description

Gets\sets the X offset of the Legend in relation to it's current location.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetX() As Integer

Return Type

Gets the X offset of the Legend in relation to it's current location.

Remarks

Use this to manually position the legend in relation to the currently set position.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

OffsetY Property

Description

Gets\sets the Y offset of the Legend in relation to it's current location.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetY() As Integer

Return Type

Gets\sets the Y offset of the Legend in relation to it's current location.

Remarks

Use this to manually position the legend in relation to the currently set position.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the legend items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

VerticalAlignment Property

Description

Gets\sets the vertical alignment of the legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As ChartLegendAlignment

Return Type

Returns an enumerated value ChartLegendAlignment, which represents the kind of vertical alignment chosen.

Remarks

The legend has many different locations within the chart that it can be placed, including inside or outside the chart's diagram.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegend Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Gets\sets whether the legend is visible/invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the legend is visible, FALSE if the legend is invisible.

See Also

ChartLegend Object


%%PageItemTitle%%

ChartLegendItem Members

See Also Chart Pro ActiveX Control v19.3

ChartLegendItem Object

Description

Chart Legend Item object.

For a list of all members defined in this module, see ChartLegendItem members.

See Also

ChartLegendItem Members


%%PageItemTitle%% $$Members$$

ChartLegendItem Overview

See Also Chart Pro ActiveX Control v19.3

ChartLegendItem Object Members

Public Properties

Public Property DashStyle |
Public Property LineThickness | Gets/sets the line thickness used to draw legend items for line series.

See Also

ChartLegendItem Overview


%%PageItemTitle%%

ChartLegendItem Object

See Also Chart Pro ActiveX Control v19.3

DashStyle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DashStyle() As ChartDashStyle

See Also

ChartLegendItem Object


%%PageItemTitle%%

ChartLegendItem Object

See Also Chart Pro ActiveX Control v19.3

LineThickness Property

Description

Gets/sets the line thickness used to draw legend items for line series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineThickness() As Integer

Remarks

This only applies to legend items of line series.

See Also

ChartLegendItem Object


%%PageItemTitle%%

ChartLineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartLineSeriesStyle Object

Description

Line Chart Style.

For a list of all members defined in this module, see ChartLineSeriesStyle members.

Object Model

Remarks

A line chart is is used to show a series of data points connected by straight line segments. Charts of this type are generally used to illustrate trends in data over a period of time.

Example

'Line series style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

Series.Points.Add 1900, 7268
Series.Points.Add 1950, 14830
Series.Points.Add 1990, 17990
Series.Points.Add 2000, 18976
Series.Points.Add 2008, 20323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

ChartControl.Content.Titles.Add "Population by U.S. State"
ChartControl.Content.Legend.Visible = True

Dim xLineStyle As ChartLineSeriesStyle
Dim nThickness As Integer

'nThickness = 10

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
'xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(3).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
'xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(2).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
'xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(1).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
'xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(0).Style = xLineStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

See Also

ChartLineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartLineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartLineSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartLineSeriesStyle Overview


%%PageItemTitle%%

ChartLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartLineSeriesStyle Object


%%PageItemTitle%%

ChartLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartLineSeriesStyle Object


%%PageItemTitle%%

ChartLineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartLineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartLineSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartLineSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartLineSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartLineSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartLineSeriesStyle Object


%%PageItemTitle%%

ChartLineSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartLineSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartLineStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartLineStyle Object

Description

Represents a chart line style. This is the style applied to a data series when using a chart style that uses lines (line, area, spline, etc..)

For a list of all members defined in this module, see ChartLineStyle members.

Remarks

Any element that draws a line can use ChartDashStyle to draw a dashes style line.

Example

Dim xLineStyle As ChartLineSeriesStyle
Dim nThickness As Integer

nThickness = 10

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDash
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(3).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDotDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(2).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(1).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(0).Style = xLineStyle

See Also

ChartLineStyle Members


%%PageItemTitle%% $$Members$$

ChartLineStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartLineStyle Object Members

Public Methods

Public Method SetDashArray Specifies the dash line style to use.

Public Properties

Public Property DashStyle | Specifies whether the line will use a "dashed" style.
Public Property Thickness | Gets\sets the thickness of the line.

See Also

ChartLineStyle Overview


%%PageItemTitle%%

ChartLineStyle Object

DashArray
Array of dash styles.
See Also Chart Pro ActiveX Control v19.3

SetDashArray Method

Description

Specifies the dash line style to use.

Syntax

Public Sub SetDashArray( _
   ByVal DashArray As Variant _
)

Parameters

DashArray
Array of dash styles.

See Also

ChartLineStyle Object


%%PageItemTitle%%

ChartLineStyle Object

See Also Chart Pro ActiveX Control v19.3

DashStyle Property

Description

Specifies whether the line will use a "dashed" style.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DashStyle() As ChartDashStyle

Return Type

Returns the "dashed" style used, default is a solid line.

Remarks

Any element that draws a line can use ChartDashStyle to draw a dashes style line.

Example

Dim xLineStyle As ChartLineSeriesStyle
Dim nThickness As Integer

nThickness = 10

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDash
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(3).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDotDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(2).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(1).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(0).Style = xLineStyle

See Also

ChartLineStyle Object


%%PageItemTitle%%

ChartLineStyle Object

See Also Chart Pro ActiveX Control v19.3

Thickness Property

Description

Gets\sets the thickness of the line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Thickness() As Integer

Return Type

The thickness of the line.

Remarks

The thickness of the line can be changed to any reasonable value.

Example

Dim xLineStyle As ChartLineSeriesStyle
Dim nThickness As Integer

nThickness = 10

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDash
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(3).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDotDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(2).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleSolid
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(1).Style = xLineStyle

Set xLineStyle = New ChartLineSeriesStyle
xLineStyle.LineStyle.DashStyle = xtpChartDashStyleDashDot
xLineStyle.LineStyle.Thickness = nThickness
Set ChartControl.Content.Series(0).Style = xLineStyle

See Also

ChartLineStyle Object


%%PageItemTitle%%

ChartMarker Members

See Also Chart Pro ActiveX Control v19.3

ChartMarker Object

Description

Marker used to display a plot\point in the series.

For a list of all members defined in this module, see ChartMarker members.

Object Model

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartMarker Members


%%PageItemTitle%% $$Members$$

ChartMarker Overview

See Also Chart Pro ActiveX Control v19.3

ChartMarker Object Members

Public Properties

Public Property BorderVisible | Specifies whether the border is visible for the marker.
Public Property FillStyle | Gets the background fill style style for this chart element.
Public Property Size | Specifies the size of the marker.
Public Property Type | Specifies the type of marker drawn (circle, star, square, etc).
Public Property Visible | Specifies whether the marker is visible.

See Also

ChartMarker Overview


%%PageItemTitle%%

ChartMarker Object

See Also Chart Pro ActiveX Control v19.3

BorderVisible Property

Description

Specifies whether the border is visible for the marker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderVisible() As Boolean

Return Type

TRUE if the border is visible, FALSE if the border is invisible.

Remarks

You can specify whether the border for the marker is drawn, the border is not effected by transparency so if you set the transparent for a series the marker will use this transparency, but the border will not be drawn transparent.

See Also

ChartMarker Object


%%PageItemTitle%%

ChartMarker Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style style for this chart element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied (background of legend, markers, series, etc).

Click here for full details and sample code.

See Also

ChartMarker Object


%%PageItemTitle%%

ChartMarker Object

See Also Chart Pro ActiveX Control v19.3

Size Property

Description

Specifies the size of the marker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Size() As Integer

Return Type

Size of the marker.

Remarks

You can set the size of the marker to almost any reasonable size.

The diagram below shows a line chart with large pentagon sized markers:

Example

'set the size of all markers in all series

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Size = 15
Next

See Also

ChartMarker Object


%%PageItemTitle%%

ChartMarker Object

See Also Chart Pro ActiveX Control v19.3

Type Property

Description

Specifies the type of marker drawn (circle, star, square, etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As ChartMarkerType

Return Type

The current Marker type. A complete list of types can be found in the ChartMarkerType enumeration.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartMarker Object


%%PageItemTitle%%

ChartMarker Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the marker is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the marker is visible and FALSE if the marker is invisible.

Remarks

You can choose to hide the marker for specific points in a series.

See Also

ChartMarker Object


%%PageItemTitle%%

ChartNumberFormat Members

See Also Chart Pro ActiveX Control v19.3

ChartNumberFormat Object

Description

Holds properties used to help format numbers to strings. This is used to format labels throughout the chart.

For a list of all members defined in this module, see ChartNumberFormat members.

Remarks

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

See Also

ChartNumberFormat Members


%%PageItemTitle%% $$Members$$

ChartNumberFormat Overview

See Also Chart Pro ActiveX Control v19.3

ChartNumberFormat Object Members

Public Properties

Public Property Category | Used to specify how to format the value (Number, Currency, Percent, Scientific etc).
Public Property CurrencySymbol | Gets or sets a new currency symbol for the xtpChartCurrency category.
Public Property DateTimeCategory | Used to specify how to format the Date and Time values. This is used when the ArgumentScaleType is set to xtpChartScaleDateTime.
Public Property DateTimeFormat | Specifies the format string used for Date and Time values (only used when DateTimeCategory is set to xtpChartDateTimeCustom). This is used when the ArgumentScaleType is set to xtpChartScaleDateTime.
Public Property DecimalPlaces | Gets or sets the number of digits after a decimal point.
Public Property Locale | Gets or sets the locale that will be used to format numbers.
Public Property Pattern | Gets or sets the format pattern to use to display the string.
Public Property UseThousandSeparator | Specifies whether to use the thousand separator for xtpChartNumber category of numbers.

See Also

ChartNumberFormat Overview


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

Category Property

Description

Used to specify how to format the value (Number, Currency, Percent, Scientific etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As ChartNumberFormatCategory

Return Type

Returns a value from the ChartNumberFormatCategory enumeration that specifies how to format the value.

Remarks

Category is used to tell the chart how to handle the formatting of the value. The category must be specified so the correct formatting is applied to the value. The number value can be handled as a General (i.e. no special formatting, just like a string), Number, Currency, Percentage or Scientific.

Each category will treat the data value differently. General only uses decimal places, Number uses decimal places and thousands separators, Currency displays a currency symbol and uses thousands separator and decimal places, Percentage displays a percent symbol and decimal places, and Scientific displays data in scientific notation. You can also use Currency Symbol, DecimalPlaces and UseThousandsSeparator to further customize how these properties will be displayed.

An example can be seen here.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

CurrencySymbol Property

Description

Gets or sets a new currency symbol for the xtpChartCurrency category.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CurrencySymbol() As String

Return Type

Returns currently used currency symbol for the xtpChartCurrency category.

Remarks

CurrencySymbol is used to specify a new currency symbol. Set to an empty string to use active locale currency symbol.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

DateTimeCategory Property

Description

Used to specify how to format the Date and Time values. This is used when the ArgumentScaleType is set to xtpChartScaleDateTime.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateTimeCategory() As ChartDateTimeFormatCategory

Return Type

Returns a value from the ChartDateTimeFormatCategory enumeration that specifies how to format the DateTime value.

Remarks

DateTimeCategory is used to tell the chart how to handle the formatting of DateTime value. The category must be specified so the correct formatting is applied to the value. This is used when the ArgumentScaleType is set to xtpChartScaleDateTime. The formatting can be set to General, Short Date, Long Date, Short Time, Long Time, Month and Day, Month and Year or Custom. For custom, the format uses DateTimeFormat.

This example shows how to set a custom date format:

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)
Diagram.AxisX.Label.Format.DateTimeCategory = xtpChartDateTimeLongTime

The picture below uses Diagram.AxisX.Label.Format.DateTimeCategory = xtpChartDateTimeLongTime.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

DateTimeFormat Property

Description

Specifies the format string used for Date and Time values (only used when DateTimeCategory is set to xtpChartDateTimeCustom). This is used when the ArgumentScaleType is set to xtpChartScaleDateTime.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DateTimeFormat() As String

Return Type

Custom format string used for dates.

Remarks

You can specify your own custom format when DateTimeCategory is set to xtpChartDateTimeCustom.

Here are just a few examples of custom formats:

Days:

"d MMM", "d MMM, yyyy", "MMMM, dd" and "MM/dd/yyyy".

Months:

"MMM", "MMM, yyyy", "MMMM, yyyy", "MM/dd/yyyy", "MMMM, yyyy"

Years:

"yyyy", "yy"

Time:

"HH:mm", "ddd, HH:mm"

This example shows how to set a custom date format:

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)
Diagram.AxisX.Label.Format.DateTimeCategory = xtpChartDateTimeCustom
Diagram.AxisX.Label.Format.DateTimeFormat = "MM/dd/yyyy"

The picture below uses Diagram.AxisX.Label.Format.DateTimeFormat = "MMMM, yyyy" custom format.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

DecimalPlaces Property

Description

Gets or sets the number of digits after a decimal point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DecimalPlaces() As Long

Return Type

This property returns -1 if locale specified number should be used.

Remarks

Use a non-negative number to specify the number of digits after the decimal point, or -1 to use locale value.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

Locale Property

Description

Gets or sets the locale that will be used to format numbers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locale() As Long

Return Type

Returns active locale to be used to format numbers.

Remarks

This uses the locale id for specifying languages. For example, English - United States is 1033, German - Germany is 1031, etc... This value is used to specify how to treat decimal places and currency symbol.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

Pattern Property

Description

Gets or sets the format pattern to use to display the string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pattern() As String

Return Type

Returns the string representing the format pattern.

Remarks

You can specify a C++ kind of format pattern like: lf, g or {V} to use Active Locale.

An example can be seen here.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartNumberFormat Object

See Also Chart Pro ActiveX Control v19.3

UseThousandSeparator Property

Description

Specifies whether to use the thousand separator for xtpChartNumber category of numbers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseThousandSeparator() As Boolean

Return Type

Returns True if Thousand Separator (, or ' ') should be used.

Remarks

This property is only used when the xtpChartNumber category is set.

See Also

ChartNumberFormat Object


%%PageItemTitle%%

ChartPalette Members

See Also Chart Pro ActiveX Control v19.3

ChartPalette Object

Description

Represents a palette used to color a series.

For a list of all members defined in this module, see ChartPalette members.

Remarks

Palettes are used to color the elements of a chart series (points, slices, legend, etc.). Palettes effect the colors of the series and legend, but doesnt effect the the actual chart. This chart comes with many pre-set palettes for the chart series to use.

These are the current pre-set palettes:

"Victorian", "Vibrant Pastel", "Vibrant", "Tropical", "Summer", "Spring Time", "Rainbow", "Purple", "Primary Colors", "Postmodern", "Photodesign", "Pastel", "Office", "Orange Green", "Nature", "Natural", "Impresionism", "Illustration", "Harvest", "Green Brown", "Green Blue", "Green", "Gray", "Four Color", "Fire", "Earth Tone", "Danville", "Caribbean", "Cappuccino", "Blue Gray", "Blue"

A custom palette can also be created or colors in an existing palette can be modified and added.

Below is the same diagram using 2 different palettes ("Postmodern" and "Photodesign" palettes used). Notice how only the series and legend are effected:

See Also

ChartPalette Members


%%PageItemTitle%% $$Members$$

ChartPalette Overview

See Also Chart Pro ActiveX Control v19.3

ChartPalette Object Members

Public Methods

Public Method AddEntry | Adds a color to the palette.
Public Method DeleteAll | Removes all entries from this palette.

Public Properties

Public Property Color | Gets\sets the first color at a particular index in the palette.
Public Property Color2 | Gets\sets the second color at a particular index in the palette.
Public Property Count | Gets the number of entris in the palette.

See Also

ChartPalette Overview


%%PageItemTitle%%

ChartPalette Object

Color
First color for this entry in the palette.
Color2
Second color for this entry in the palette.
See Also Chart Pro ActiveX Control v19.3

AddEntry Method

Description

Adds a color to the palette.

Syntax

Public Sub AddEntry( _
   ByVal Color As ULong, _
   ByVal Color2 As ULong _
)

Parameters

Color
First color for this entry in the palette.
Color2
Second color for this entry in the palette.

Remarks

Each entry in the palette consists of 2 colors. These colors are used as a gradient to draw elements in the chart. By default the gradient appears from right to left where "Color" appears on the right and "Color2" appears on the left. Use AddEntry to add a new color to the palette.

See Also

ChartPalette Object


%%PageItemTitle%%

ChartPalette Object

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all entries from this palette.

Syntax

Public Sub DeleteAll()

See Also

ChartPalette Object


%%PageItemTitle%%

ChartPalette Object

Index
The zero based index of the required palette entry.
See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the first color at a particular index in the palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As Integer _
) As ULong

Parameters

Index
The zero based index of the required palette entry.

See Also

ChartPalette Object


%%PageItemTitle%%

ChartPalette Object

Index
The zero based index of the required palette entry.
See Also Chart Pro ActiveX Control v19.3

Color2 Property

Description

Gets\sets the second color at a particular index in the palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color2( _
   ByVal Index As Integer _
) As ULong

Parameters

Index
The zero based index of the required palette entry.

See Also

ChartPalette Object


%%PageItemTitle%%

ChartPalette Object

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Gets the number of entris in the palette.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

An integer value specifying the number of entries in the palette.

See Also

ChartPalette Object


%%PageItemTitle%%

ChartPieDiagram Members

See Also Chart Pro ActiveX Control v19.3

ChartPieDiagram Object

Description

Represents the diagram used to draw a 2D Pie chart.

For a list of all members defined in this module, see ChartPieDiagram members.

Object Model

See Also

ChartPieDiagram Members


%%PageItemTitle%% $$Members$$

ChartPieDiagram Overview

See Also Chart Pro ActiveX Control v19.3

ChartPieDiagram Object Members

Public Properties

Public Property Titles Gets the collection of ChartTitle objects displayed for this diagram in the chart.

See Also

ChartPieDiagram Overview


%%PageItemTitle%%

ChartPieDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Description

Gets the collection of ChartTitle objects displayed for this diagram in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

Return Type

Reference to this diagram's ChartTitleCollection.

Remarks

Each chart diagram (as well as the entire chart) can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

See Also

ChartPieDiagram Object


%%PageItemTitle%%

ChartPieSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartPieSeriesLabel Object

Description

Represents the label properties used to display labels for a pie chart.

For a list of all members defined in this module, see ChartPieSeriesLabel members.

Object Model

See Also

ChartPieSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartPieSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartPieSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property Position | Gets\sets the position of the label in relation to the chart element it is displayed on.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartPieSeriesLabel Overview


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Position Property

Description

Gets\sets the position of the label in relation to the chart element it is displayed on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As ChartPieLabelPosition

Return Type

The position of the label in relation to the chart element it is displayed on.

Remarks

Typical label positions include top, center, left, right, inside, outside, etc, it depends on the the type of element the label is displayed on, not all positions as supported by every element so check the enumeration for available positions.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartPieSeriesLabel Object


%%PageItemTitle%%

ChartPieSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartPieSeriesStyle Object

Description

2D Pie Chart or 2D Doughnut Chart style.

For a list of all members defined in this module, see ChartPieSeriesStyle members.

Object Model

Remarks

A pie chart displays a series of data as "slices" of a "pie". The data in the pie chart will be divided up into slices, each represents a percentage of the pie. The size of the slice will be proportional to the data it represents and each slice will be combined to represent some whole value.

A Doughnut chart functions exactly the same as a pie chart, only there is a blank hole in the middle of the pie.

Example

'Pie 2D series sample

ChartControl.Content.Titles.Add "Population of Texas"
ChartControl.Content.Legend.Visible = True

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Texas")

CreatePiePoint Series.Points, "1900", "3.048", 3048
CreatePiePoint Series.Points, "1950", "7.711", 7711
CreatePiePoint Series.Points, "1990", "16.986", 16986
CreatePiePoint Series.Points, "2000", "20.851", 20851
CreatePiePoint Series.Points, "2008", "24.326", 24326

Series.Points(3).Special = True

Dim Style As ChartPieSeriesStyle
Set Style = New ChartPieSeriesStyle
Set ChartControl.Content.Series(0).Style = Style
Style.Label.Format = "%.3f M"

'Style.HolePercent = 40
Style.Rotation = 30
Style.Label.Visible = True
'Style.Label.ShowLines = False
'Style.ExplodedDistancePercent = 30

cmbPieLabelPosition.ListIndex = Style.Label.Position
Style.Label.Antialiasing = False

Sub CreatePiePoint(ByVal pPointCollection As ChartSeriesPointCollection, lpszLegendText As String, vArg As Variant, nValue As Integer)
Dim pPoint As ChartSeriesPoint
Set pPoint = pPointCollection.Add(vArg, nValue)
pPoint.LegendText = lpszLegendText
End Sub

See Also

ChartPieSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartPieSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartPieSeriesStyle Object Members

Public Properties

Public Property Border | Properties used to draw the pie chart's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property ExplodedDistancePercent | Gets or sets the exploded distance percent of the pie chart.
Public Property HolePercent | Gets\sets the percent\size of the hole in the middle of a pie or torus chart (sometimes called doughnut).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Rotation | Gets\sets the rotation of the sectors of the pie or torus chart.

See Also

ChartPieSeriesStyle Overview


%%PageItemTitle%%

ChartPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the pie chart's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartPieSeriesStyle Object


%%PageItemTitle%%

ChartPieSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartPieSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartPieSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartPieSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartPieSeriesStyle Object | Special Property

See Also Chart Pro ActiveX Control v19.3

ExplodedDistancePercent Property

Description

Gets or sets the exploded distance percent of the pie chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExplodedDistancePercent() As Integer

Return Type

An integer value specifying the exploded distance percentage.

Remarks

A chart with one or more sectors separated from the rest of the disk is known as an exploded pie chart. ExplodedDistancePercent specifies the percentage that "special" slices are "exploded" from the main pie.

Any "slice" with a Special property set to True will be exploded from the main pie.

Example

ChartControl.Content.Series(0).Points(3).Special = True

See Also

ChartPieSeriesStyle Object | Special Property


%%PageItemTitle%%

ChartPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

HolePercent Property

Description

Gets\sets the percent\size of the hole in the middle of a pie or torus chart (sometimes called doughnut).

Property type

Read-write property

Syntax (Visual Basic)

Public Property HolePercent() As Integer

Return Type

An integer value specifying the hole percentage.

Remarks

In the picture below a pie chart has a hole percentage of 30 percent. Hole percentage also applies to the torus chart styles.

Example

Dim Style As ChartPieSeriesStyle
Set Style = New ChartPieSeriesStyle
Set ChartControl.Content.Series(0).Style = Style

Style.HolePercent = 40

See Also

ChartPieSeriesStyle Object


%%PageItemTitle%%

ChartPieSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPieSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartPieSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartPieSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Rotation Property

Description

Gets\sets the rotation of the sectors of the pie or torus chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Rotation() As Integer

Return Type

An integer value specifying the rotation angle in degree.

Remarks

This simply allows you to change the rotation of the pie or torus chart.

Example

Dim Style As ChartPieSeriesStyle
Set Style = New ChartPieSeriesStyle
Set ChartControl.Content.Series(0).Style = Style

Style.Rotation = 30

See Also

ChartPieSeriesStyle Object


%%PageItemTitle%%

ChartPointSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartPointSeriesLabel Object

Description

Properties used by the labels of Point Chart styles and those styles that are derived from the point series (area, bar, bubble, line, spline, stacked bar).

For a list of all members defined in this module, see ChartPointSeriesLabel members.

Object Model

See Also

ChartPointSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartPointSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartPointSeriesLabel Object Members

Public Properties

Public Property Angle | Gets\sets the angle the label is drawn in relation to the element it is displayed.
Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartPointSeriesLabel Overview


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Angle Property

Description

Gets\sets the angle the label is drawn in relation to the element it is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Angle() As Integer

Return Type

Returns the angle the label is drawn in relation to the element it is displayed.

Remarks

Valid angles are from 0 to 360.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartPointSeriesLabel Object


%%PageItemTitle%%

ChartPointSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartPointSeriesStyle Object

Description

Point Chart Style.

For a list of all members defined in this module, see ChartPointSeriesStyle members.

Object Model

Remarks

A point chart displays data in a grid using Cartesian coordinates. Data is displayed along the x and y axis, where x and y can represent any type of data (as in the chart below, x - decades, y - population). A point chart is also referred to as a plot or scatter chart.

Example

'Point series style

ChartControl.Content.Titles(0).Text = "Point Chart"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Series 1")

Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 1, 67
Series.Points.Add 14, 50
Series.Points.Add 9, 74
Series.Points.Add 38, 58
Series.Points.Add 2, 64
Series.Points.Add 25, 95
Series.Points.Add 1, 77
Series.Points.Add 1, 91
Series.Points.Add 35, 92
Series.Points.Add 27, 86
Series.Points.Add 31, 54
Series.Points.Add 22, 53
Series.Points.Add 12, 82
Series.Points.Add 21, 66
Series.Points.Add 38, 95
Series.Points.Add 7, 76
Series.Points.Add 11, 88
Series.Points.Add 29, 62
Series.Points.Add 27, 99
Series.Points.Add 35, 94

Set Series = ChartControl.Content.Series.Add("Series 2")
Series.Points.Add 63, 11
Series.Points.Add 42, 33
Series.Points.Add 73, 14
Series.Points.Add 61, 11
Series.Points.Add 53, 18
Series.Points.Add 67, 44
Series.Points.Add 62, 7
Series.Points.Add 77, 9
Series.Points.Add 43, 41
Series.Points.Add 49, 28
Series.Points.Add 76, 35
Series.Points.Add 70, 42
Series.Points.Add 48, 6
Series.Points.Add 40, 42
Series.Points.Add 64, 48
Series.Points.Add 46, 5
Series.Points.Add 50, 29
Series.Points.Add 50, 0
Series.Points.Add 46, 1
Series.Points.Add 73, 48

Set ChartControl.Content.Series(0).Style = New ChartPointSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartPointSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisY.Visible = True
Diagram.AxisY.Alignment = xtpChartAxisNear
Diagram.AxisY.Interlaced = True
Diagram.AxisY.MinorCount = 1
Diagram.AxisY.Thickness = 1
Diagram.AxisX.Thickness = 1

Diagram.AxisX.Label.Visible = True
'Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Axis Title"

Diagram.AxisY.Label.Angle = -45
Diagram.AxisY.Label.Antialiasing = True

Diagram.AxisX.TickMarks.CrossAxis = True
Diagram.AxisX.TickMarks.Length = 5
Diagram.AxisX.TickMarks.Thickness = 1
Diagram.AxisX.TickMarks.MinorLength = 1
Diagram.AxisX.TickMarks.MinorThickness = 1
Diagram.AxisX.TickMarks.MinorVisible = True
Diagram.AxisX.TickMarks.Visible = True

Diagram.AxisX.GridLines.Visible = True
Diagram.AxisX.GridLines.MinorVisible = True
Diagram.AxisX.Interlaced = False

Diagram.AxisY.GridLines.Visible = True
Diagram.AxisY.GridLines.MinorVisible = True

Diagram.AxisX.GridLines.LineStyle.DashStyle = xtpChartDashStyleSolid
Diagram.AxisX.GridLines.MinorLineStyle.DashStyle = xtpChartDashStyleSolid

See Also

ChartPointSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartPointSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartPointSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets or sets the color used to draw this chart element.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartPointSeriesStyle Overview


%%PageItemTitle%%

ChartPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartPointSeriesStyle Object


%%PageItemTitle%%

ChartPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartPointSeriesStyle Object


%%PageItemTitle%%

ChartPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets or sets the color used to draw this chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this chart element.

See Also

ChartPointSeriesStyle Object


%%PageItemTitle%%

ChartPointSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartPointSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartPointSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartPointSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartPointSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartPointSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartPointSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartPointSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartPointSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartPointSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartPyramidDiagram Members

See Also Chart Pro ActiveX Control v19.3

ChartPyramidDiagram Object

Description

ChartFunnelDiagram

For a list of all members defined in this module, see ChartPyramidDiagram members.

Object Model

See Also

ChartPyramidDiagram Members


%%PageItemTitle%% $$Members$$

ChartPyramidDiagram Overview

See Also Chart Pro ActiveX Control v19.3

ChartPyramidDiagram Object Members

Public Properties

Public Property Titles

See Also

ChartPyramidDiagram Overview


%%PageItemTitle%%

ChartPyramidDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

See Also

ChartPyramidDiagram Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartPyramidSeriesLabel Object

Description

Properties used by the labels of Pyramid Chart styles.

For a list of all members defined in this module, see ChartPyramidSeriesLabel members.

Object Model

See Also

ChartPyramidSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartPyramidSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartPyramidSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property Position | Gets\sets the position of the label in relation to the chart element it is displayed on.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartPyramidSeriesLabel Overview


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Position Property

Description

Gets\sets the position of the label in relation to the chart element it is displayed on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As ChartPyramidLabelPosition

Return Type

The position of the label in relation to the chart element it is displayed on.

Remarks

Typical label positions include top, center, left, right, inside, outside, etc, it depends on the the type of element the label is displayed on, not all positions as supported by every element so check the enumeration for available positions.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartPyramidSeriesLabel Object


%%PageItemTitle%%

ChartPyramidSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartPyramidSeriesStyle Object

Description

Pyramid 2D style.

For a list of all members defined in this module, see ChartPyramidSeriesStyle members.

Object Model

Remarks

The Pyramid chart displays a series of data in a pyramid shape. The size of the pyramid sections are all relative to each other and the order does not matter. You can have a "top heavy" pyramid where the largest section is the top section or any other combination.

Example

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.Legend.VerticalAlignment = xtpChartLegendNear

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Titles.Add "Corporate Activities"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Corporate Activities")

Series.Points.Add "Funds US", 43
Series.Points.Add "Bonds US", 100
Series.Points.Add "Stocks US", 150
Series.Points.Add "Cash US", 216

Series.PointLegendFormat = "{A} ${V}K"

Dim Style As New ChartPyramidSeriesStyle
Set ChartControl.Content.Series(0).Style = Style
Style.Label.Format = "{A} ${V}K"

cmbPointDistance.AddItem "0"
cmbPointDistance.AddItem "1"
cmbPointDistance.AddItem "2"
cmbPointDistance.AddItem "3"
cmbPointDistance.AddItem "4"

cmbHeightToWidth.AddItem "0"
cmbHeightToWidth.AddItem "0.4"
cmbHeightToWidth.AddItem "0.6"
cmbHeightToWidth.AddItem "1"
cmbHeightToWidth.AddItem "1.5"
cmbHeightToWidth.AddItem "2"

See Also

ChartPyramidSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartPyramidSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartPyramidSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property HeightToWidthRatio | Specifies the height to width ratio of the slices in the funnel or pyramid.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property PointDistance | Gets\sets distance set between the "slices\stacks" in this series (applies to both funnels and pyramid styles).

See Also

ChartPyramidSeriesStyle Overview


%%PageItemTitle%%

ChartPyramidSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartPyramidSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartPyramidSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartPyramidSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartPyramidSeriesStyle Object | HeightToWidthRatio Property

See Also Chart Pro ActiveX Control v19.3

HeightToWidthRatio Property

Description

Specifies the height to width ratio of the slices in the funnel or pyramid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeightToWidthRatio() As Double

Return Type

The height to width ratio of the slices in the funnel or pyramid.

Remarks

The ratio is a percentage from 0 to 1, for example .4 is 40% height to width ratio.

See Also

ChartPyramidSeriesStyle Object | HeightToWidthRatio Property


%%PageItemTitle%%

ChartPyramidSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPyramidSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartPyramidSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartPyramidSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

PointDistance Property

Description

Gets\sets distance set between the "slices\stacks" in this series (applies to both funnels and pyramid styles).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PointDistance() As Integer

Return Type

The distance set between the "slices\stacks" in this series.

Remarks

This is the distance set between the "slices\stacks" in this series.

See Also

ChartPyramidSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarAreaSeriesStyle Object

Description

Radar/Polar Area Style.

For a list of all members defined in this module, see ChartRadarAreaSeriesStyle members.

Object Model

Remarks

Radar/Polar charts can use several difference styles including Area, Spline Area, Line, Line Area and Point. Furthermore, they can be displayed as a circle diagram or "spider" diagram (straight lines).

Note: To make a "closed" loop the last data point must be the same as the first.

Radar Chart:

Radar charts are basically another form of a line chart, only it is represented as radar. Data is drawn as a line around the center of the radar. Radar charts use "poles" to display data. Each data point gets displayed on one of these poles radiating from the center. For each unique data point in the series a new pole will be added. The poles will be drawn in a 360 degree circle with each pole evenly spaced. The Y-Axis is used to plot data on the poles while the X-Axis is only used for labeling the poles. Data is plotted as (label, y), where "label" is the label for the pole and "y" is the distance from the center of the circle.

Radar charts are typically used to make a comparison of data for a set of categories. They make it easy to compare relative values for a single data point and find similar or dissimilar points. Radar charts are best suited for showing commonality and outliers (i.e. You can see certain car models tend to be more expensive with poor gas mileage). Typical uses for a radar chart would include categories of data occur in cycles (like nature, months of the year), when comparing differences between actual/measured and ideal/estimated data (estimated vs actual sales, sales by department, team performance, quality control), or when comparing strength and weaknesses (sports, department analysis).

Polar Chart:

Polar charts use polar coordinates to plot data. The X-Axis is a circle and the values are normally fixed in degrees (0-360) or radians typical polar charts, but the chart will allow you to set any range desired. Data is plotted in terms of values and angles, where "x" is the angle/rotation and "y" is distance from the center of the circle.

Polar charts are are their name implies, best suited when plotting polar data. Plotting mathematic functions is one common use for a polar chart. Any type of data that is represented by an angle and distance would be ideal. For some data it is useful to use the poles as a compass (North, South, East, West, etc..) and plot data relative to these directions (i.e. the location of houses can be plotted relative to the specified origin).

Area Style:

Line Style:

Spline and Spline Area Styles:

Point Style:

Example

'Radar/Polar Area Style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

ChartControl.Content.Titles.Add "Average Temperature in Boston, MA"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Day")

Series.Points.Add "January", 36
Series.Points.Add "February", 39
Series.Points.Add "March", 46
Series.Points.Add "April", 56
Series.Points.Add "May", 67
Series.Points.Add "June", 77
Series.Points.Add "July", 82
Series.Points.Add "August", 80
Series.Points.Add "September", 73
Series.Points.Add "October", 62
Series.Points.Add "November", 52
Series.Points.Add "December", 42

Dim Style As New ChartRadarSplineAreaSeriesStyle
Set Series.Style = Style

Set Series = ChartControl.Content.Series.Add("Night")

Series.Points.Add "January", 22
Series.Points.Add "February", 24
Series.Points.Add "March", 31
Series.Points.Add "April", 41
Series.Points.Add "May", 50
Series.Points.Add "June", 59
Series.Points.Add "July", 65
Series.Points.Add "August", 64
Series.Points.Add "September", 57
Series.Points.Add "October", 46
Series.Points.Add "November", 38
Series.Points.Add "December", 28

Set Series.Style = Style

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisX.TickMarks.MinorVisible = False
Diagram.AxisY.TickMarks.MinorVisible = False

Diagram.AxisX.Interlaced = False
Diagram.AxisY.Interlaced = True

See Also

ChartRadarAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRadarAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarAreaSeriesStyle Object Members

Public Properties

Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartRadarAreaSeriesStyle Overview


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRadarPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartRadarAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarDiagram Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarDiagram Object

Description

Represents the diagram used to draw a Radar/Polar chart.

For a list of all members defined in this module, see ChartRadarDiagram members.

Object Model

See Also

ChartRadarDiagram Members


%%PageItemTitle%% $$Members$$

ChartRadarDiagram Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarDiagram Object Members

Public Properties

Public Property AxisX | Gets the X axis associated with the 2D diagram.
Public Property AxisY | Gets the Y axis associated with the 2D diagram.
Public Property BackgroundColor | Gets\sets the background color of the diagram.
Public Property BackgroundColor2 | Gets\sets the second background color of the diagram.
Public Property BackgroundFillStyle | Gets\sets the background fill style.
Public Property BorderColor | Gets\sets the border color of the diagram.
Public Property StartAngle | Gets\sets the rotation\angle of the sectors of the radar\polar chart.
Public Property Style | Gets or sets the shape of the diagram (circle\spider).
Public Property Titles | Gets the collection of ChartTitle objects displayed for this diagram in the chart.

See Also

ChartRadarDiagram Overview


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

AxisX Property

Description

Gets the X axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AxisX() As ChartAxis

Return Type

Returns a reference to the X ChartAxis of this 2D diagram.

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

AxisY Property

Description

Gets the Y axis associated with the 2D diagram.

Property type

Read-only property

Syntax (Visual Basic)

Public Property AxisY() As ChartAxis

Return Type

Returns a reference to the Y ChartAxis of this 2D diagram.

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Return Type

Gets\sets the background color of the diagram.

Remarks

If the diagram is using a gradient fill style, the fill will consist of 2 colors, this is the color for the first color. If no gradient is used, then BackgroundColor is the only color used to color the background.

Note: Interlacing for the axis is on my default and it will color alternating columns so you must also change it's color or hide it if you want the entire diagram to use the same background color.

The diagram below shows a custom background color, sold fill style and interlacing turned off:

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillSolid
Diagram.AxisX.Interlaced = False

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

BackgroundColor2 Property

Description

Gets\sets the second background color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor2() As ULong

Return Type

Returns second background color of the diagram.

Remarks

If the diagram is using a gradient fill style, the fill will consist of 2 colors, this is the color for the second color. If no gradient is used, then BackgroundColor is the only color used to color the background.

Note: Interlacing for the axis is on my default and it will color alternating columns so you must also change it's color or hide it if you want the entire diagram to use the same background color.

The diagram below shows a custom background color, gradient fill style and interlacing turned off:

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)
Diagram.BackgroundColor2 = RGB(0, 50, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillGradient
Diagram.BackgroundFillStyle.GradientAngle = xtpChartGradientBottomRightToTopLeft
Diagram.AxisX.Interlaced = False

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

BackgroundFillStyle Property

Description

Gets\sets the background fill style.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackgroundFillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

Example

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.BackgroundColor = RGB(170, 125, 75)
Diagram.BackgroundColor2 = RGB(0, 50, 75)

Diagram.BackgroundFillStyle.FillMode = xtpChartFillGradient
Diagram.BackgroundFillStyle.GradientAngle = xtpChartGradientBottomRightToTopLeft
Diagram.AxisX.Interlaced = False

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

BorderColor Property

Description

Gets\sets the border color of the diagram.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

Return Type

Gets the border color of the diagram.

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

StartAngle Property

Description

Gets\sets the rotation\angle of the sectors of the radar\polar chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartAngle() As Long

Return Type

An integer value specifying the rotation angle in degree (0 - 360).

Remarks

This simply allows you to change the rotation of the radar\polar chart.

Example

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.StartAngle = 30

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

Style Property

Description

Gets or sets the shape of the diagram (circle\spider).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As ChartRadarDiagramStyle

Return Type

A value from the ChartRadarDiagramStyle enumeration that specifies the shape of the diagram.

Remarks

The Style of the diagram controls the shape. It can be a circular diagram or polygon\"spider" diagram. Typically a Radar chart is seen in both circular or spider styles, but a polar chart is usually only circular.

Polygon or "spider" style:

Circular Style:

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarDiagram Object

See Also Chart Pro ActiveX Control v19.3

Titles Property

Description

Gets the collection of ChartTitle objects displayed for this diagram in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Titles() As ChartTitleCollection

Return Type

Reference to this diagram's ChartTitleCollection.

Remarks

Each chart diagram (as well as the entire chart) can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

See Also

ChartRadarDiagram Object


%%PageItemTitle%%

ChartRadarLineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarLineSeriesStyle Object

Description

Radar/Polar Line Style.

For a list of all members defined in this module, see ChartRadarLineSeriesStyle members.

Object Model

Remarks

Radar/Polar charts can use several difference styles including Area, Spline Area, Line, Line Area and Point. Furthermore, they can be displayed as a circle diagram or "spider" diagram (straight lines).

Note: To make a "closed" loop the last data point must be the same as the first.

Radar Chart:

Radar charts are basically another form of a line chart, only it is represented as radar. Data is drawn as a line around the center of the radar. Radar charts use "poles" to display data. Each data point gets displayed on one of these poles radiating from the center. For each unique data point in the series a new pole will be added. The poles will be drawn in a 360 degree circle with each pole evenly spaced. The Y-Axis is used to plot data on the poles while the X-Axis is only used for labeling the poles. Data is plotted as (label, y), where "label" is the label for the pole and "y" is the distance from the center of the circle.

Radar charts are typically used to make a comparison of data for a set of categories. They make it easy to compare relative values for a single data point and find similar or dissimilar points. Radar charts are best suited for showing commonality and outliers (i.e. You can see certain car models tend to be more expensive with poor gas mileage). Typical uses for a radar chart would include categories of data occur in cycles (like nature, months of the year), when comparing differences between actual/measured and ideal/estimated data (estimated vs actual sales, sales by department, team performance, quality control), or when comparing strength and weaknesses (sports, department analysis).

Polar Chart:

Polar charts use polar coordinates to plot data. The X-Axis is a circle and the values are normally fixed in degrees (0-360) or radians typical polar charts, but the chart will allow you to set any range desired. Data is plotted in terms of values and angles, where "x" is the angle/rotation and "y" is distance from the center of the circle.

Polar charts are are their name implies, best suited when plotting polar data. Plotting mathematic functions is one common use for a polar chart. Any type of data that is represented by an angle and distance would be ideal. For some data it is useful to use the poles as a compass (North, South, East, West, etc..) and plot data relative to these directions (i.e. the location of houses can be plotted relative to the specified origin).

Area Style:

Line Style:

Spline and Spline Area Styles:

Point Style:

Example

'Radar/Polar Line Style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

ChartControl.Content.Titles.Add "Vehicle Sales by Color"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("North America")

Series.Points.Add "Silver", 0.18
Series.Points.Add "White", 0.17
Series.Points.Add "Gray", 0.15
Series.Points.Add "Blue", 0.12
Series.Points.Add "Black", 0.11
Series.Points.Add "Red", 0.11
Series.Points.Add "Silver", 0.18

Dim Style As ChartRadarLineSeriesStyle
Set Style = New ChartRadarLineSeriesStyle

Set Series.Style = Style
Style.Label.Visible = False
Style.Marker.Visible = False

Set Series = ChartControl.Content.Series.Add("Europe")

Series.Points.Add "Silver", 0.29
Series.Points.Add "White", 0.06
Series.Points.Add "Gray", 0.16
Series.Points.Add "Blue", 0.15
Series.Points.Add "Black", 0.21
Series.Points.Add "Red", 0.05
Series.Points.Add "Silver", 0.29

Set Series.Style = Style

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisY.Range.MaxValue = 0.35
Diagram.AxisY.Range.MinValue = 0
Diagram.AxisY.Range.AutoRange = False
Diagram.AxisY.Label.Format.Category = xtpChartPercentage
Diagram.AxisY.Label.Format.DecimalPlaces = 0

Diagram.AxisX.Interlaced = False
Diagram.AxisY.Interlaced = False

'Diagram.AxisY.GridLines.Visible = False
Diagram.AxisX.TickMarks.MinorVisible = False

Diagram.Style = xtpChartRadarDiagramPolygon

See Also

ChartRadarLineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRadarLineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarLineSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle |
Public Property Marker | Gets the marker object associated with this series.

See Also

ChartRadarLineSeriesStyle Overview


%%PageItemTitle%%

ChartRadarLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRadarLineSeriesStyle Object


%%PageItemTitle%%

ChartRadarLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRadarLineSeriesStyle Object


%%PageItemTitle%%

ChartRadarLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRadarPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRadarLineSeriesStyle Object


%%PageItemTitle%%

ChartRadarLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

See Also

ChartRadarLineSeriesStyle Object


%%PageItemTitle%%

ChartRadarLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRadarLineSeriesStyle Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarPointSeriesLabel Object

Description

Properties used by the labels of Radar/Polar Chart styles.

For a list of all members defined in this module, see ChartRadarPointSeriesLabel members.

Object Model

See Also

ChartRadarPointSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartRadarPointSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarPointSeriesLabel Object Members

Public Properties

Public Property Angle | Gets\sets the angle the label is drawn in relation to the element it is displayed.
Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartRadarPointSeriesLabel Overview


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Angle Property

Description

Gets\sets the angle the label is drawn in relation to the element it is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Angle() As Integer

Return Type

Returns the angle the label is drawn in relation to the element it is displayed.

Remarks

Valid angles are from 0 to 360.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartRadarPointSeriesLabel Object


%%PageItemTitle%%

ChartRadarPointSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarPointSeriesStyle Object

Description

Radar/Polar Point Style.

For a list of all members defined in this module, see ChartRadarPointSeriesStyle members.

Object Model

Remarks

Radar/Polar charts can use several difference styles including Area, Spline Area, Line, Line Area and Point. Furthermore, they can be displayed as a circle diagram or "spider" diagram (straight lines).

Note: To make a "closed" loop the last data point must be the same as the first.

Radar Chart:

Radar charts are basically another form of a line chart, only it is represented as radar. Data is drawn as a line around the center of the radar. Radar charts use "poles" to display data. Each data point gets displayed on one of these poles radiating from the center. For each unique data point in the series a new pole will be added. The poles will be drawn in a 360 degree circle with each pole evenly spaced. The Y-Axis is used to plot data on the poles while the X-Axis is only used for labeling the poles. Data is plotted as (label, y), where "label" is the label for the pole and "y" is the distance from the center of the circle.

Radar charts are typically used to make a comparison of data for a set of categories. They make it easy to compare relative values for a single data point and find similar or dissimilar points. Radar charts are best suited for showing commonality and outliers (i.e. You can see certain car models tend to be more expensive with poor gas mileage). Typical uses for a radar chart would include categories of data occur in cycles (like nature, months of the year), when comparing differences between actual/measured and ideal/estimated data (estimated vs actual sales, sales by department, team performance, quality control), or when comparing strength and weaknesses (sports, department analysis).

Polar Chart:

Polar charts use polar coordinates to plot data. The X-Axis is a circle and the values are normally fixed in degrees (0-360) or radians typical polar charts, but the chart will allow you to set any range desired. Data is plotted in terms of values and angles, where "x" is the angle/rotation and "y" is distance from the center of the circle.

Polar charts are are their name implies, best suited when plotting polar data. Plotting mathematic functions is one common use for a polar chart. Any type of data that is represented by an angle and distance would be ideal. For some data it is useful to use the poles as a compass (North, South, East, West, etc..) and plot data relative to these directions (i.e. the location of houses can be plotted relative to the specified origin).

Area Style:

Line Style:

Spline and Spline Area Styles:

Point Style:

Example

'Radar/Polar Point Style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

ChartControl.Content.Titles.Add "Radar Point Chart"

Dim Style As ChartRadarPointSeriesStyle

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Series 1")

Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 1, 67
Series.Points.Add 14, 50
Series.Points.Add 9, 74
Series.Points.Add 38, 58
Series.Points.Add 2, 64
Series.Points.Add 25, 95
Series.Points.Add 1, 77
Series.Points.Add 1, 91
Series.Points.Add 35, 92
Series.Points.Add 27, 86
Series.Points.Add 31, 54
Series.Points.Add 22, 53
Series.Points.Add 12, 82
Series.Points.Add 21, 66
Series.Points.Add 38, 95
Series.Points.Add 7, 76
Series.Points.Add 11, 88
Series.Points.Add 29, 62
Series.Points.Add 27, 99
Series.Points.Add 35, 94

Set Style = New ChartRadarPointSeriesStyle
Set Series.Style = Style

Set Series = ChartControl.Content.Series.Add("Series 2")
Series.Points.Add 63, 11
Series.Points.Add 42, 33
Series.Points.Add 73, 14
Series.Points.Add 61, 11
Series.Points.Add 53, 18
Series.Points.Add 67, 44
Series.Points.Add 62, 7
Series.Points.Add 77, 9
Series.Points.Add 43, 41
Series.Points.Add 49, 28
Series.Points.Add 76, 35
Series.Points.Add 70, 42
Series.Points.Add 48, 6
Series.Points.Add 40, 42
Series.Points.Add 64, 48
Series.Points.Add 46, 5
Series.Points.Add 50, 29
Series.Points.Add 50, 0
Series.Points.Add 46, 1
Series.Points.Add 73, 48

Set Style = New ChartRadarPointSeriesStyle
Set Series.Style = Style

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)
Diagram.AxisX.TickMarks.Visible = False

See Also

ChartRadarPointSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRadarPointSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarPointSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.

See Also

ChartRadarPointSeriesStyle Overview


%%PageItemTitle%%

ChartRadarPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRadarPointSeriesStyle Object


%%PageItemTitle%%

ChartRadarPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRadarPointSeriesStyle Object


%%PageItemTitle%%

ChartRadarPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRadarPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRadarPointSeriesStyle Object


%%PageItemTitle%%

ChartRadarPointSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRadarPointSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarSplineAreaSeriesStyle Object

Description

Radar/Polar Spline Area Style.

For a list of all members defined in this module, see ChartRadarSplineAreaSeriesStyle members.

Object Model

Remarks

Radar/Polar charts can use several difference styles including Area, Spline Area, Line, Line Area and Point. Furthermore, they can be displayed as a circle diagram or "spider" diagram (straight lines).

Note: To make a "closed" loop the last data point must be the same as the first.

Radar Chart:

Radar charts are basically another form of a line chart, only it is represented as radar. Data is drawn as a line around the center of the radar. Radar charts use "poles" to display data. Each data point gets displayed on one of these poles radiating from the center. For each unique data point in the series a new pole will be added. The poles will be drawn in a 360 degree circle with each pole evenly spaced. The Y-Axis is used to plot data on the poles while the X-Axis is only used for labeling the poles. Data is plotted as (label, y), where "label" is the label for the pole and "y" is the distance from the center of the circle.

Radar charts are typically used to make a comparison of data for a set of categories. They make it easy to compare relative values for a single data point and find similar or dissimilar points. Radar charts are best suited for showing commonality and outliers (i.e. You can see certain car models tend to be more expensive with poor gas mileage). Typical uses for a radar chart would include categories of data occur in cycles (like nature, months of the year), when comparing differences between actual/measured and ideal/estimated data (estimated vs actual sales, sales by department, team performance, quality control), or when comparing strength and weaknesses (sports, department analysis).

Polar Chart:

Polar charts use polar coordinates to plot data. The X-Axis is a circle and the values are normally fixed in degrees (0-360) or radians typical polar charts, but the chart will allow you to set any range desired. Data is plotted in terms of values and angles, where "x" is the angle/rotation and "y" is distance from the center of the circle.

Polar charts are are their name implies, best suited when plotting polar data. Plotting mathematic functions is one common use for a polar chart. Any type of data that is represented by an angle and distance would be ideal. For some data it is useful to use the poles as a compass (North, South, East, West, etc..) and plot data relative to these directions (i.e. the location of houses can be plotted relative to the specified origin).

Area Style:

Line Style:

Spline and Spline Area Styles:

Point Style:

Example

'Radar/Polar Spline Area and Spline Style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

ChartControl.Content.Titles.Add "Polar Chart"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Predicted")

Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 0, 5
Series.Points.Add 30, 1.5
Series.Points.Add 60, 5
Series.Points.Add 90, 4
Series.Points.Add 120, 2
Series.Points.Add 150, 10
Series.Points.Add 180, 9.2
Series.Points.Add 210, 2
Series.Points.Add 240, 3.7
Series.Points.Add 270, 8.5
Series.Points.Add 300, 5
Series.Points.Add 330, 6

Dim Style As New ChartRadarSplineAreaSeriesStyle
Set Series.Style = Style

Style.Marker.Visible = False

Set Series = ChartControl.Content.Series.Add("Measured")
Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 0, 8
Series.Points.Add 20, 3
Series.Points.Add 30, 5
Series.Points.Add 50, 4.8
Series.Points.Add 60, 6.5
Series.Points.Add 70, 8
Series.Points.Add 80, 8.6
Series.Points.Add 90, 9
Series.Points.Add 105, 7.5
Series.Points.Add 120, 9
Series.Points.Add 150, 5.5
Series.Points.Add 170, 7
Series.Points.Add 180, 3
Series.Points.Add 195, 9
Series.Points.Add 210, 7
Series.Points.Add 220, 9
Series.Points.Add 230, 9
Series.Points.Add 240, 8
Series.Points.Add 260, 2.3
Series.Points.Add 270, 5
Series.Points.Add 285, 4
Series.Points.Add 300, 1.5
Series.Points.Add 315, 8
Series.Points.Add 330, 8.2
Series.Points.Add 345, 9
Series.Points.Add 0, 8

Dim Style2 As New ChartRadarSplineSeriesStyle
Set Series.Style = Style2

Style2.Marker.Visible = False

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisX.Range.MinValue = 0
Diagram.AxisX.Range.MaxValue = 360 - 30
Diagram.AxisX.Range.AutoRange = False
Diagram.AxisX.GridSpacing = 30
Diagram.AxisX.GridSpacingAuto = False

Diagram.AxisX.TickMarks.Visible = False
Diagram.AxisX.Range.SideMargins = False

Diagram.AxisY.Range.MinValue = 0
Diagram.AxisY.Range.MaxValue = 10
Diagram.AxisY.TickMarks.Visible = False

See Also

ChartRadarSplineAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRadarSplineAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarSplineAreaSeriesStyle Object Members

Public Properties

Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartRadarSplineAreaSeriesStyle Overview


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRadarPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartRadarSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRadarSplineSeriesStyle Object

Description

Radar/Polar Spline Style.

For a list of all members defined in this module, see ChartRadarSplineSeriesStyle members.

Object Model

Remarks

Radar/Polar charts can use several difference styles including Area, Spline Area, Line, Line Area and Point. Furthermore, they can be displayed as a circle diagram or "spider" diagram (straight lines).

Note: To make a "closed" loop the last data point must be the same as the first.

Radar Chart:

Radar charts are basically another form of a line chart, only it is represented as radar. Data is drawn as a line around the center of the radar. Radar charts use "poles" to display data. Each data point gets displayed on one of these poles radiating from the center. For each unique data point in the series a new pole will be added. The poles will be drawn in a 360 degree circle with each pole evenly spaced. The Y-Axis is used to plot data on the poles while the X-Axis is only used for labeling the poles. Data is plotted as (label, y), where "label" is the label for the pole and "y" is the distance from the center of the circle.

Radar charts are typically used to make a comparison of data for a set of categories. They make it easy to compare relative values for a single data point and find similar or dissimilar points. Radar charts are best suited for showing commonality and outliers (i.e. You can see certain car models tend to be more expensive with poor gas mileage). Typical uses for a radar chart would include categories of data occur in cycles (like nature, months of the year), when comparing differences between actual/measured and ideal/estimated data (estimated vs actual sales, sales by department, team performance, quality control), or when comparing strength and weaknesses (sports, department analysis).

Polar Chart:

Polar charts use polar coordinates to plot data. The X-Axis is a circle and the values are normally fixed in degrees (0-360) or radians typical polar charts, but the chart will allow you to set any range desired. Data is plotted in terms of values and angles, where "x" is the angle/rotation and "y" is distance from the center of the circle.

Polar charts are are their name implies, best suited when plotting polar data. Plotting mathematic functions is one common use for a polar chart. Any type of data that is represented by an angle and distance would be ideal. For some data it is useful to use the poles as a compass (North, South, East, West, etc..) and plot data relative to these directions (i.e. the location of houses can be plotted relative to the specified origin).

Area Style:

Line Style:

Spline and Spline Area Styles:

Point Style:

Example

'Radar/Polar Spline Area and Spline Style

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

ChartControl.Content.Titles.Add "Polar Chart"

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Predicted")

Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 0, 5
Series.Points.Add 30, 1.5
Series.Points.Add 60, 5
Series.Points.Add 90, 4
Series.Points.Add 120, 2
Series.Points.Add 150, 10
Series.Points.Add 180, 9.2
Series.Points.Add 210, 2
Series.Points.Add 240, 3.7
Series.Points.Add 270, 8.5
Series.Points.Add 300, 5
Series.Points.Add 330, 6

Dim Style As New ChartRadarSplineAreaSeriesStyle
Set Series.Style = Style

Style.Marker.Visible = False

Set Series = ChartControl.Content.Series.Add("Measured")
Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 0, 8
Series.Points.Add 20, 3
Series.Points.Add 30, 5
Series.Points.Add 50, 4.8
Series.Points.Add 60, 6.5
Series.Points.Add 70, 8
Series.Points.Add 80, 8.6
Series.Points.Add 90, 9
Series.Points.Add 105, 7.5
Series.Points.Add 120, 9
Series.Points.Add 150, 5.5
Series.Points.Add 170, 7
Series.Points.Add 180, 3
Series.Points.Add 195, 9
Series.Points.Add 210, 7
Series.Points.Add 220, 9
Series.Points.Add 230, 9
Series.Points.Add 240, 8
Series.Points.Add 260, 2.3
Series.Points.Add 270, 5
Series.Points.Add 285, 4
Series.Points.Add 300, 1.5
Series.Points.Add 315, 8
Series.Points.Add 330, 8.2
Series.Points.Add 345, 9
Series.Points.Add 0, 8

Dim Style2 As New ChartRadarSplineSeriesStyle
Set Series.Style = Style2

Style2.Marker.Visible = False

Dim Diagram As ChartRadarDiagram
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisX.Range.MinValue = 0
Diagram.AxisX.Range.MaxValue = 360 - 30
Diagram.AxisX.Range.AutoRange = False
Diagram.AxisX.GridSpacing = 30
Diagram.AxisX.GridSpacingAuto = False

Diagram.AxisX.TickMarks.Visible = False
Diagram.AxisX.Range.SideMargins = False

Diagram.AxisY.Range.MinValue = 0
Diagram.AxisY.Range.MaxValue = 10
Diagram.AxisY.TickMarks.Visible = False

See Also

ChartRadarSplineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRadarSplineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRadarSplineSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle |
Public Property Marker | Gets the marker object associated with this series.

See Also

ChartRadarSplineSeriesStyle Overview


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRadarSplineSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRadarSplineSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRadarPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRadarSplineSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

See Also

ChartRadarSplineSeriesStyle Object


%%PageItemTitle%%

ChartRadarSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRadarSplineSeriesStyle Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartRangeBarSeriesLabel Object

Description

Properties used by the labels of Range Bar Chart styles.

For a list of all members defined in this module, see ChartRangeBarSeriesLabel members.

Object Model

See Also

ChartRangeBarSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartRangeBarSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartRangeBarSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property Position | Gets\sets the position of the label in relation to the chart element it is displayed on.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Type | Specifies which labels will be displayed in a range bar chart.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartRangeBarSeriesLabel Overview


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Position Property

Description

Gets\sets the position of the label in relation to the chart element it is displayed on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As ChartRangeBarLabelPosition

Return Type

The position of the label in relation to the chart element it is displayed on.

Remarks

Typical label positions include top, center, left, right, inside, outside, etc, it depends on the the type of element the label is displayed on, not all positions as supported by every element so check the enumeration for available positions.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Type Property

Description

Specifies which labels will be displayed in a range bar chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As ChartRangeBarLabelType

Return Type

Returns a value from ChartRangeBarLabelType which tells which type of label is displayed for the bars.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartRangeBarSeriesLabel Object


%%PageItemTitle%%

ChartRangeBarSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRangeBarSeriesStyle Object

Description

Range Bar Style.

For a list of all members defined in this module, see ChartRangeBarSeriesStyle members.

Object Model

Remarks

A Range Bar is used to display data\events that have a finite beginning and end value. The range bar can be displayed both overlapped or side-by-side so the different ranges of data can easily be compared to each other. A Range Bar chart is a chart with rectangular Range Bars with lengths proportional to the values that they represent. RangeBar charts are used for comparing two or more values that were taken over time or on different conditions, usually on small data sets.

Example

'RangeBar sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Titles.Add "Total Hours Worked"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Odd Days")

Series.Points.Add2 "Sam", 8, 14
Series.Points.Add2 "Jesse", 9, 16
Series.Points.Add2 "Dave", 7, 15
Series.Points.Add2 "Max", 6, 15
Series.Points.Add2 "Brian", 9, 17

Set Series = ChartControl.Content.Series.Add("Even Days")
Series.Points.Add2 "Sam", 12, 23
Series.Points.Add2 "Jesse", 14, 18
Series.Points.Add2 "Dave", 12, 20
Series.Points.Add2 "Max", 12, 23
Series.Points.Add2 "Brian", 19, 23

Set ChartControl.Content.Series(0).Style = New ChartRangeBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartRangeBarSeriesStyle

ChartControl.Content.Series(0).Style.Label.Visible = False
ChartControl.Content.Series(1).Style.Label.Visible = False

ChartControl.Content.Series(1).Style.BarWidth = 0.2

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

Diagram.AxisX.Label.Angle = 360

See Also

ChartRangeBarSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRangeBarSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRangeBarSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property BarWidth | Gets\sets the width of bars in this series.
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property MaxValueMarker | Gets the marker object that is displayed for the minimum value for bars displayed in thes Range Bar series.
Public Property MinValueMarker | Gets the marker object that is displayed for the minimum value for bars displayed in thes Range Bar series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property SideBySide | Gets\sets whether to display the bars in the series side-by-side.

See Also

ChartRangeBarSeriesStyle Overview


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartRangeBarSeriesStyle Object


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartRangeBarSeriesStyle Object


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | BarWidth Property

See Also Chart Pro ActiveX Control v19.3

BarWidth Property

Description

Gets\sets the width of bars in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarWidth() As Double

Return Type

Returns the width of bars in this series.

Remarks

BarWidth is a value between 0 and 1 and is a percentage of 100 the size of a normal sized bar.

See Also

ChartRangeBarSeriesStyle Object | BarWidth Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | Border Property

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRangeBarSeriesStyle Object | Border Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRangeBarSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRangeBarSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | FillStyle Property

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRangeBarSeriesStyle Object | FillStyle Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartRangeBarSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRangeBarSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MaxValueMarker Property

Description

Gets the marker object that is displayed for the minimum value for bars displayed in thes Range Bar series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MaxValueMarker() As ChartMarker

Return Type

Reference to a ChartMarker object for the maximum value for bars displayed in thes Range Bar series.

Remarks

The Range Bar chart below is displaying the markers for it's bars. Each series can use it's own marker type. By default, circles are used.

Example

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
Dim Style As ChartRangeBarSeriesStyle
Set Style = x.Style
Style.MinValueMarker.Visible = True
Style.MaxValueMarker.Visible = True
Next

See Also

ChartRangeBarSeriesStyle Object


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

MinValueMarker Property

Description

Gets the marker object that is displayed for the minimum value for bars displayed in thes Range Bar series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinValueMarker() As ChartMarker

Return Type

Reference to a ChartMarker object for the maximum value for bars displayed in thes Range Bar series.

Remarks

The Range Bar chart below is displaying the markers for it's bars. Each series can use it's own marker type. By default, circles are used.

Example

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
Dim Style As ChartRangeBarSeriesStyle
Set Style = x.Style
Style.MinValueMarker.Visible = True
Style.MaxValueMarker.Visible = True
Next

See Also

ChartRangeBarSeriesStyle Object


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartRangeBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartRangeBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartRangeBarSeriesStyle Object | SideBySide Property

See Also Chart Pro ActiveX Control v19.3

SideBySide Property

Description

Gets\sets whether to display the bars in the series side-by-side.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SideBySide() As Boolean

Return Type

Returns True if the bars in the series side-by-side. For Bar style this is True by default, for Range Bar style it is False by default.

Remarks

By default the Bar style displays side-by-side.

By default the Range Bar style displays on top of each other.

See Also

ChartRangeBarSeriesStyle Object | SideBySide Property


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartRangeSplineAreaSeriesStyle Object

Description

Range Area chart style

For a list of all members defined in this module, see ChartRangeSplineAreaSeriesStyle members.

Object Model

Remarks

The Range Area chart is similar to the other Area charts except you must provide a minimum and maximum value (two y values). This can also be thought of as the start and end of a given point. This chart is useful where a range of values needs to be shown for a given point, for example, showing range of temperature for the days of a month.

Note that the Range Area chart use the Add2 method to add points to the series.

Example

'Range area chart sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

ChartControl.Content.Titles.Add "Total Hours Worked"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Odd Days")

Series.Points.Add2 "Sam", 8, 14
Series.Points.Add2 "Jesse", 9, 16
Series.Points.Add2 "Dave", 7, 15
Series.Points.Add2 "Max", 6, 15
Series.Points.Add2 "Brian", 9, 17

Set Series = ChartControl.Content.Series.Add("Even Days")
Series.Points.Add2 "Sam", 16, 23
Series.Points.Add2 "Jesse", 19, 21
Series.Points.Add2 "Dave", 12, 20
Series.Points.Add2 "Max", 17, 23
Series.Points.Add2 "Brian", 19, 23
Set ChartControl.Content.Series(1).Style = New ChartRangeSplineAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartRangeSplineAreaSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

Diagram.AxisX.Label.Angle = 360

Diagram.AxisY.Range.SideMargins = False
Diagram.AxisX.Range.SideMargins = False

See Also

ChartRangeSplineAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartRangeSplineAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartRangeSplineAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartRangeSplineAreaSeriesStyle Overview


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartRangeSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartRangeSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartRangeSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartRangeSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartScatterLineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartScatterLineSeriesStyle Object

Description

Scatter chart style

For a list of all members defined in this module, see ChartScatterLineSeriesStyle members.

Object Model

Remarks

A Scatter chart is similar to a line chart, only the scatter chart will plot the data values in the exact order that they are entered and connect the plots with a line (unlike the line chart which will order the data based on the x and y axis). Scatter charts can be used for scientific data or can be used as a trend chart.

Example

'Scatterline Sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("Series")

Dim cnt As Long, i As Long
cnt = 60
Dim PI As Double
PI = 4 * Atn(1)

For i = 0 To cnt
Series.Points.Add Cos(2 * PI / cnt * i) * 10, Sin(2 * PI / cnt * i) * 10
Next i

Set Series.Style = New ChartScatterLineSeriesStyle
Series.ArgumentScaleType = xtpChartScaleNumerical

ChartControl.Content.Legend.Visible = False

See Also

ChartScatterLineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartScatterLineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartScatterLineSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartScatterLineSeriesStyle Overview


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartScatterLineSeriesStyle Object


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartScatterLineSeriesStyle Object


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartScatterLineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartScatterLineSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartScatterLineSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | LineStyle Property

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartScatterLineSeriesStyle Object | LineStyle Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartScatterLineSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartScatterLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartScatterLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartScatterLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartSeries Members

See Also Chart Pro ActiveX Control v19.3

ChartSeries Object

Description

Represents a series of data in the chart.

For a list of all members defined in this module, see ChartSeries members.

Object Model

Remarks

Use the Style property to set the type of chart series this series will be (i.e. bar, bubble, spline, pyramid, pie, etc).

See Also

ChartSeries Members


%%PageItemTitle%% $$Members$$

ChartSeries Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeries Object Members

Public Methods

Public Method EnableVirtualMode Enables virtual mode for this series.

Public Properties

Public Property ArgumentScaleType | Gets\sets the scale type used for the argument of a points in this series.
Public Property Diagram | Gets\sets the ChartDiagram object this series is displayed in.
Public Property LegendItem | Returns the legend Items of the series.
Public Property LegendText | Gets\sets the text that is displayed in the chart's legend for this series.
Public Property LegendVisible | Specifies wether the series will have a symbol and text displayed in the chart legend.
Public Property Name | Gets\sets the name of the chart series.
Public Property PointLegendFormat | Gets\sets the format string used to format text displayed in the chart's legend for this series.
Public Property Points | Gets the collection of ChartSeriesPoint objects for this series.
Public Property Style | Gets\sets the series style of the chart series.
Public Property ValueScaleType | Gets\sets the scale type used for the value of a points in this series.
Public Property Visible | Specifies whether the series is visible/invisible.

See Also

ChartSeries Overview


%%PageItemTitle%%

ChartSeries Object | AddPoints Method | GetPointValue Event

MinRange
Minimum value of the series.
MaxRange
Maximum value of the series.
Step
Steps between virtual points. Virtual points will be added for each step between the min and max range. I.e. If Min = 0, Max = 5.0 and Step = 1.0 then virtual points will be created with 1 step increments giving you points 0, 1, 2, 3, 4, 5.
See Also Chart Pro ActiveX Control v19.3

EnableVirtualMode Method

Description

Enables virtual mode for this series.

Syntax

Public Sub EnableVirtualMode( _
   ByVal MinRange As Double, _
   ByVal MaxRange As Double, _
   ByVal Step As Double _
)

Parameters

MinRange
Minimum value of the series.
MaxRange
Maximum value of the series.
Step
Steps between virtual points. Virtual points will be added for each step between the min and max range. I.e. If Min = 0, Max = 5.0 and Step = 1.0 then virtual points will be created with 1 step increments giving you points 0, 1, 2, 3, 4, 5.

Remarks

VirtualMode should be used when there will be a very large number of points in a series and speed is important. VirtualMode can be used with any number of points, but it is recommended that VirtualMode be used if adding more than 10,000 points. Adding more than 10,000 points in normal mode can become quite slow. Using VirtualMode will dramatically increase performance.

VirtualMode does not require you to manually create the points in the series, all you need to do is fill in the points data in the GetPointValue event when the series is being displayed. The GetPointValue event is used to assign values to points in a virtual series.

VirtualMode is designed to be used with series of type ChartFastLineSeriesStyle.

When using VirtualMode, the points that will be displayed should be stored internally in an Array or some other means that can easily be accessed by the Chart Control, if you have to waste time calculating the points data it defeats the purpose of virtual mode.

The following steps should be followed when working in VirtualMode:

1. Create your own array(dim) with the data that you want to show in the series. Each "point" in the array will represent a point in the series.

2. Call EnableVirtualMode, specifying the minimum, maximum and step values.

3. Use the GetPointValue event to manually assign the value for each point in the series.

Note: You might choose to use the AddPoints method to batch allocate memory instead of virtual mode.

Example

Private Sub Form_Load ()

Dim Series As ChartSeries

Dim SeriesCount As Long
SeriesCount = 1

Dim i As Long
For i = 1 To SeriesCount
Set Series = ChartControl.Content.Series.Add("Series")

Dim Style As New ChartFastLineSeriesStyle
Set Series.Style = Style

Series.ArgumentScaleType = xtpChartScaleNumerical

Next i

ChartControl.Content.Series(0).EnableVirtualMode -5, 5, 0.001

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisY.Range.MaxValue = 1
Diagram.AxisY.Range.MinValue = -1
Diagram.AxisY.Range.AutoRange = False

Diagram.AxisX.Range.MaxValue = 5
Diagram.AxisX.Range.MinValue = -5
Diagram.AxisX.Range.AutoRange = False

Diagram.AxisX.Interlaced = False

End Sub

Private Sub ChartControl_GetPointValue(ByVal Series As XtremeChartControl.ChartSeries, ByVal Argument As Double, Value As Double)
Value = Sin(Argument)
End Sub

See Also

ChartSeries Object | AddPoints Method | GetPointValue Event


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

ArgumentScaleType Property

Description

Gets\sets the scale type used for the argument of a points in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ArgumentScaleType() As ChartScaleType

Return Type

An enumerated value specifying the scale type used. The common scale types used are Qualitative, Numerical and DateTime.

Remarks

All charts can use the xtpChartScaleQualitative scale type. The scale type just changes how the data is processed and displayed in the chart. xtpChartScaleQualitative will display the data in the order in which it is added, regardless of the type of data. If your data is numerical and needs to be displayed in numerical order, then use the xtpChartScaleNumerical scale type. If your data is dates and you want those dates displayed in chronological order then use the xtpChartScaleDateTime scale.

Example

ChartControl.Content.Series(0).ArgumentScaleType = xtpChartScaleQualitative

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

Diagram Property

Description

Gets\sets the ChartDiagram object this series is displayed in.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Diagram() As ChartDiagram

Return Type

Reference to ChartDiagram object this series is displayed in, the type of the specific ChartDiagram objects depends on the diagram type used, i.e. 2D or 3D diagram.

Remarks

By default, any series is added to the first Diagram in the chart's collection of diagrams. Use Diagram to specify which diagram the series is displayed in when using multiple diagrams.

Below is a chart with multiple diagrams and the code below shows how to add a series to each of the diagrams:

Example

'Shows of to add a series to multiple diagrams

Dim pContent As ChartContent
Set pContent = ChartControl.Content

pContent.Legend.Visible = True
pContent.Legend.VerticalAlignment = xtpChartLegendFarOutside
pContent.Legend.HorizontalAlignment = xtpChartLegendCenter
pContent.Legend.Direction = xtpChartLegendLeftToRight

ChartControl.Content.Titles.Add "Total Hours Worked"

Dim pDiagram1 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram1

Dim pDiagram2 As New ChartDiagram2D
pContent.Diagrams.Add pDiagram2

Dim pDiagram3 As New ChartPieDiagram
pContent.Diagrams.Add pDiagram3

Dim pSeries As ChartSeries
Set pSeries = pContent.Series.Add("Daily")
Set pSeries.Style = New ChartBarSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram1
pDiagram1.Rotated = True

Set pSeries = pContent.Series.Add("Summary")
Set pSeries.Style = New ChartLineSeriesStyle

Dim pLabel As ChartPointSeriesLabel
Set pLabel = pSeries.Style.Label

pLabel.LineLength = 20
pLabel.Angle = 70

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 8 + 7
pSeries.Points.Add "3 March", 8 + 7 + 6
pSeries.Points.Add "4 April", 8 + 7 + 6 + 7
pSeries.Points.Add "5 May", 8 + 7 + 6 + 7 + 7
Set pSeries.Diagram = pDiagram2
pDiagram2.Rotated = True

pDiagram1.AxisX.Title.Visible = True
pDiagram1.AxisX.Title.Text = "Date"

pDiagram1.AxisY.Title.Visible = True
pDiagram1.AxisY.Title.Text = "Hours"

pDiagram2.AxisY.Title.Visible = True
pDiagram2.AxisY.Title.Text = "Hours"
pDiagram2.AxisX.Title.Visible = False

Set pSeries = pContent.Series.Add("Overview")
Set pSeries.Style = New ChartPieSeriesStyle

pSeries.Points.Add "1 January", 8
pSeries.Points.Add "2 February", 7
pSeries.Points.Add "3 March", 6
pSeries.Points.Add "4 April", 7
pSeries.Points.Add "5 May", 7
Set pSeries.Diagram = pDiagram3

Dim pPieLabel As ChartPieSeriesLabel
Set pPieLabel = pSeries.Style.Label

On Error Resume Next:
pPieLabel.Position = xtpChartPieLabelRadial

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

LegendItem Property

Description

Returns the legend Items of the series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LegendItem() As ChartLegendItem

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

LegendText Property

Description

Gets\sets the text that is displayed in the chart's legend for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendText() As String

Return Type

Gets the text that is displayed in the chart's legend for this series.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

LegendVisible Property

Description

Specifies wether the series will have a symbol and text displayed in the chart legend.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendVisible() As Boolean

Return Type

True if the series will have a symbol and text displayed in the chart legend. False if there will be nothing added to the legend for this series.

Remarks

Set LegendVisible to False to remove the legend item for this series.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

Name Property

Description

Gets\sets the name of the chart series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

Gets the name of the chart series.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

PointLegendFormat Property

Description

Gets\sets the format string used to format text displayed in the chart's legend for this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PointLegendFormat() As ChartNumberFormat

Return Type

The format string used to format text.

Remarks

Format strings can be used to format text displayed in the chart's legend for this series. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

Points Property

Description

Gets the collection of ChartSeriesPoint objects for this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Points() As ChartSeriesPointCollection

Return Type

Returns the collection of ChartSeriesPoint objects for this series.

Remarks

Use this to add points to the series. There are 3 methods to add points to the series, which is used depends on the type of series. Add is used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow). Examples can be seen on each of the methods pages listed above.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

Style Property

Description

Gets\sets the series style of the chart series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As ChartSeriesStyle

Return Type

Reference to a ChartSeriesStyle object, the type of the specific object depends on the style of series chosen, i.e. bar style, bubble style, pie style etc.

Remarks

This controls the type\style of chart series that will be displayed in the diagram. There are many different types of styles to choose from including (pictures and sample code for each type can be on the overview page for each type). Note there are some variations to some of the styles (i.e. 100 stacked, Rotated, etc), so if you want 100 stacked bars, then used the stacked bars style, etc:

ChartAreaSeriesStyle

ChartBarSeriesStyle

ChartBubbleSeriesStyle

ChartCandleStickSeriesStyle

ChartFastLineSeriesStyle

ChartFunnelSeriesStyle

ChartHighLowSeriesStyle

ChartLineSeriesStyle

ChartPie3DSeriesStyle

ChartPieSeriesStyle

ChartPointSeriesStyle

ChartPyramid3DSeriesStyle

ChartPyramidSeriesStyle

ChartRangeBarSeriesStyle

ChartScatterLineSeriesStyle

ChartSplineAreaSeriesStyle

ChartSplineSeriesStyle

ChartStackedAreaSeriesStyle

ChartStackedBarSeriesStyle

ChartStackedSplineAreaSeriesStyle

ChartStepLineSeriesStyle

ChartTorus3DSeriesStyle

It is important to note that all series are derived from ChartSeriesStyle, which is useful when casting objects.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

ValueScaleType Property

Description

Gets\sets the scale type used for the value of a points in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ValueScaleType() As ChartScaleType

Return Type

An enumerated value specifying the scale type used. The common scale types used are Qualitative, Numerical and DateTime.

Remarks

All charts can use the xtpChartScaleQualitative scale type. The scale type just changes how the data is processed and displayed in the chart. xtpChartScaleQualitative will display the data in the order in which it is added, regardless of the type of data. If your data is numerical and needs to be displayed in numerical order, then use the xtpChartScaleNumerical scale type. If your data is dates and you want those dates displayed in chronological order then use the xtpChartScaleDateTime scale.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeries Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the series is visible/invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE to make the series visible, and FALSE to make it invisible.

See Also

ChartSeries Object


%%PageItemTitle%%

ChartSeriesCollection Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesCollection Collection

Description

Represents a collection of ChartSeries objects.

For a list of all members defined in this module, see ChartSeriesCollection members.

Object Model

See Also

ChartSeriesCollection Members


%%PageItemTitle%% $$Members$$

ChartSeriesCollection Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesCollection Collection Members

Public Methods

Public Method Add | Adds a new ChartSeries to the chart's collection of series.
Public Method AddTrendline |
Public Method DeleteAll | Removes all series from the chart.
Public Method DeleteAt | Deletes the series specified index.

Public Properties

Public Property Count | Returns the total number of series in the chart.
Public Property Item | Gets the ChartSeries object at a particular index in the chart's collection of series.

See Also

ChartSeriesCollection Overview


%%PageItemTitle%%

ChartSeriesCollection Collection

Name
Text string of the name for this series. This will be the text displayed in the legend for this series.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new ChartSeries to the chart's collection of series.

Syntax

Public Function Add( _
   ByVal Name As String _
) As ChartSeries

Parameters

Name
Text string of the name for this series. This will be the text displayed in the legend for this series.

Return Type

Reference to the ChartSeries to be added.

Remarks

This will add a new series to the chart. Typically after you add a new series you take the ChartSeries returned and set it's style to the type of series you need (bar, pie, pie 3d, etc). The sample below shows a 3 series added and then set to be a bar series.

Example

'Sample uses Add to add series to the chart

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Quoted")

Series.Points.Add "Sam", 11
Series.Points.Add "Jesse", 12
Series.Points.Add "Dave", 4.5
Series.Points.Add "Max", 6
Series.Points.Add "Brian", 5

Set Series = ChartControl.Content.Series.Add("Hourly")
Series.Points.Add "Sam", 12
Series.Points.Add "Jesse", 9.5
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 12
Series.Points.Add "Brian", 11

Set Series = ChartControl.Content.Series.Add("Unbillable")
Series.Points.Add "Sam", 7
Series.Points.Add "Jesse", 2
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 1
Series.Points.Add "Brian", 4

Set ChartControl.Content.Series(0).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartBarSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesCollection Collection

Name
See Also Chart Pro ActiveX Control v19.3

AddTrendline Method

Syntax

Public Function AddTrendline( _
   ByVal Name As String _
) As ChartSeriesTrendline

Parameters

Name

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesCollection Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all series from the chart.

Syntax

Public Sub DeleteAll()

Remarks

This will delete all series from the chart.

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesCollection Collection

Index
See Also Chart Pro ActiveX Control v19.3

DeleteAt Method

Description

Deletes the series specified index.

Syntax

Public Sub DeleteAt( _
   ByVal Index As Long _
)

Parameters

Index

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesCollection Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of series in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of series in the chart.

Remarks

This will return the total number of series in the chart.

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesCollection Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the ChartSeries object at a particular index in the chart's collection of series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartSeries

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartSeries object, at the index selected.

See Also

ChartSeriesCollection Collection


%%PageItemTitle%%

ChartSeriesErrorBar Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesErrorBar Object

For a list of all members defined in this module, see ChartSeriesErrorBar members.

Object Model

See Also

ChartSeriesErrorBar Members


%%PageItemTitle%% $$Members$$

ChartSeriesErrorBar Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesErrorBar Object Members

Public Properties

Public Property Amount
Public Property Direction
Public Property EndStyle
Public Property LineColor
Public Property LineStyle
Public Property Type
Public Property ValueMinus
Public Property ValuePlus
Public Property Visible

See Also

ChartSeriesErrorBar Overview


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

Amount Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Amount() As Double

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

Direction Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Direction() As ChartErrorBarDirection

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

EndStyle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property EndStyle() As ChartErrorBarEndStyle

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

Type Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As ChartErrorBarType

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

ValueMinus Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ValueMinus() As Double

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

ValuePlus Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ValuePlus() As Double

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesErrorBar Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

ChartSeriesErrorBar Object


%%PageItemTitle%%

ChartSeriesLabel Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesLabel Object

Description

Represents the label properties used to display labels for data in a data series.

For a list of all members defined in this module, see ChartSeriesLabel members.

Object Model

Remarks

This object is used to customize the various parts of a chart elements label. Labels are part of many different types of series styles as well as labels on the axis of 2D charts. Below are the labels for a bar chart.

See Also

ChartSeriesLabel Members


%%PageItemTitle%% $$Members$$

ChartSeriesLabel Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesLabel Object Members

Public Properties

Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property BackColor | Gets\sets the background color of the label.
Public Property Border | Properties used to draw the chart elements's border.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Font | Returns the font of the text label.
Public Property Format | Gets\sets the format string used to format text in the label.
Public Property LineColor | Gets\sets the color of the line used to connect the label to a chart element.
Public Property LineLength | Get\set the label line length.
Public Property ShowLines | Get\set whether the label lines are visible.
Public Property TextColor | Gets\sets the text color of the label.
Public Property Transparency | Gets\sets the transparency of the label with respect to the background.
Public Property Visible | Specifies whether the label is visible or not.

See Also

ChartSeriesLabel Overview


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Returns the font of the text label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Return Type

A ChartFont object describing the font used.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Format Property

Description

Gets\sets the format string used to format text in the label.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Format() As ChartNumberFormat

Return Type

The format string used to format text in the label.

Remarks

Format strings can be used to format the text in the label. This uses properties from the ChartNumberFormat object to format the pattern, use a currency symbol, set decimal places, local, etc.

ChartNumberFormat is used to format strings for the various text labels in the chart. It is used to format the pattern, use a currency symbol, set decimal places, local, etc.

First you will see how to use only the Pattern to format a string. Then you will see how to use the other properties of ChartNumberFormat to make formatting easier and much more flexible. Some things like inserting a thousands separator can't be done with the pattern alone, you will need to use the UseThousandSeparator property.

In the sample below, the {A} mean the ChartSeriesPoint's ArgumentValue, and the {V} means the Value.

Style.Label.Format.Pattern = "{A} ${V}K"

Note: Pattern is the default value for this object so in some languages you can simply set the Format property to the pattern desired: Style.Label.Format = "{A} ${V}K"

Other formatting is availible for numbers such as .03f which means 3 decimal places for a floating point number.

Style3D.Label.Format.Pattern = "%.03f M"

Here "g" just is the placeholder for standard numbers

StylePie.Label.Format.Pattern = "%g M"

Using the ChartNumberFormat's properties makes formatting the string much easier and simplifies the pattern. For example you don't need to set the type of data in the pattern (i.e. %g), it can be handled using the Category property. If you desire a thousands separator you will need the UseThousandSeparator property. Decimal places are handles with the DecimalPlaces property. The Category is used to tell how to format the value (Number, Currency, Percent, Scientific etc). There is also properties to set the Date and Time if the value represents a Date and\or Time.

Here is a simple sample that format a number as currency:

Style.Label.Format.Pattern = "{A} {V}"
Style.Label.Format.UseThousandSeparator = True
Style.Label.Format.DecimalPlaces = 0
Style.Label.Format.Category = xtpChartCurrency

Below, the funnel's labels is using this formatting from the sample above.

Below, the funnel's labels is using only the Pattern property for formatting: Style.Label.Format.Pattern = "{A} ${V}K"

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineColor Property

Description

Gets\sets the color of the line used to connect the label to a chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

LineLength Property

Description

Get\set the label line length.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineLength() As Integer

Return Type

An integer value specifying the line length.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

ShowLines Property

Description

Get\set whether the label lines are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As Boolean

Return Type

TRUE if the lines are visible, FALSE if not.

Remarks

This is referring to the lines that are drawn from the label to the chart element.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color of the label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

A 32 bit color value specifying the color.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the label with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesLabel Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Specifies whether the label is visible or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

TRUE if the label is visible, FALSE if not.

See Also

ChartSeriesLabel Object


%%PageItemTitle%%

ChartSeriesPoint Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesPoint Object

Description

Represents a point of data is a series.

For a list of all members defined in this module, see ChartSeriesPoint members.

See Also

ChartSeriesPoint Members


%%PageItemTitle%% $$Members$$

ChartSeriesPoint Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesPoint Object Members

Public Properties

Public Property ArgumentValue | Gets\sets the double value of the argument of a point.
Public Property ArgumentValueString | Gets\sets the string value of the argument of a point.
Public Property Color | Gets\sets the color used to draw the point.
Public Property GetNextPoint | Returns the next ChartSeriesPoint in the series.
Public Property GetPreviousPoint | Returns the previous ChartSeriesPoint in the series.
Public Property InternalArgumentValue | Gets\sets the double value of the string argument of a point.
Public Property LabelText | Gets\sets the text that is displayed as a label for this point.
Public Property LegendText | Gets\sets the text that is displayed in the legend for this point.
Public Property Special | Specifies whether this point is special (Exploded pie slice).
Public Property TooltipText | Gets/Sets the tooltip text for the point.
Public Property Value | Gets\sets the value for this point at a particular index (can have up to 4 values for a single point).

See Also

ChartSeriesPoint Overview


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

ArgumentValue Property

Description

Gets\sets the double value of the argument of a point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ArgumentValue() As Double

Return Type

A double value argument of the point.

Remarks

This is the value of the first argument from Add, Add2 and Add4. Depending on the series this argument might be a double or a string. If the value entered was a double, then that value will be stored in ArgumentValue. If a string was entered as the argument then it is stored in ArgumentValueString.

Add is used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow).

Example

Debug.Print "Argument Value " & ChartControl.Content.Series(0).Points(1).ArgumentValue
Debug.Print "Internal Argument Value " & ChartControl.Content.Series(0).Points(1).InternalArgumentValue

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

ArgumentValueString Property

Description

Gets\sets the string value of the argument of a point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ArgumentValueString() As String

Return Type

A string value argument of the point.

Remarks

This is the value of the first argument from Add, Add2 and Add4. Depending on the series this argument might be a double or a string. If the value entered was a double, then that value will be stored in ArgumentValue Property. If a string was entered as the argument then it is stored in ArgumentValueString.

Add is used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow).

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw the point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

GetNextPoint Property

Description

Returns the next ChartSeriesPoint in the series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetNextPoint() As ChartSeriesPoint

Return Type

Returns the next ChartSeriesPoint in the series.

Remarks

This allows you to find the next point in the series.

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

GetPreviousPoint Property

Description

Returns the previous ChartSeriesPoint in the series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GetPreviousPoint() As ChartSeriesPoint

Return Type

Returns the previous ChartSeriesPoint in the series.

Remarks

This allows you to find the previous point in the series.

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

InternalArgumentValue Property

Description

Gets\sets the double value of the string argument of a point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InternalArgumentValue() As Double

Return Type

A double value corresponding to the string argument of the point.

Remarks

This is the double equivalent to the point's ArgumentValue.

Example

Debug.Print "Argument Value " & ChartControl.Content.Series(0).Points(1).ArgumentValue
Debug.Print "Internal Argument Value " & ChartControl.Content.Series(0).Points(1).InternalArgumentValue

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

LabelText Property

Description

Gets\sets the text that is displayed as a label for this point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LabelText() As String

Return Type

The text that is displayed as a label for this point.

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

LegendText Property

Description

Gets\sets the text that is displayed in the legend for this point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LegendText() As String

Return Type

Returns the text that is displayed in the legend for this point.

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

Special Property

Description

Specifies whether this point is special (Exploded pie slice).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Special() As Boolean

Return Type

True if this point is special.

Remarks

If a point is special in a Pie chart series then that slice will be an "exploded" sliced and drawn a distance from the main pie. At the moment this only has meaning to a Pie series.

Example

ChartControl.Content.Series(0).Points(3).Special = True

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

See Also Chart Pro ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPoint Object

Index
Zero based index to one of the four points that are kept internally in the point.
See Also Chart Pro ActiveX Control v19.3

Value Property

Description

Gets\sets the value for this point at a particular index (can have up to 4 values for a single point).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value( _
   ByVal Index As Long _
) As Double

Parameters

Index
Zero based index to one of the four points that are kept internally in the point.

Return Type

A double value at the index position.

Remarks

Depending on the type of data the point holds it can have up to 4 values indexed from 0 to 3. The value at these indexes is crucial for some series to display properly. Which almost all series only use Index 0, you can still store data in the other values if needed, they will just be ignored if the series does not use the value at that index.

Index 0 will contain the value for almost all types of series (i.e. Bar).

Index 1 will contain the second value for a Bubble or RangeBar.

Index 2 will contains the Opening value for the day for a CandleStick or HighLow series.

Index 3 will contains the Closing value for the day for a CandleStick or HighLow series.

It is important to place the data in the correct index based on the type of series.

This is the default property for the point and in some languages like VB6 is not needed to be directly referenced, but in C# you will need to use Value.

See Also

ChartSeriesPoint Object


%%PageItemTitle%%

ChartSeriesPointCollection Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesPointCollection Collection

Description

Represents a collection of ChartSeriesPoint for a given ChartSeries.

For a list of all members defined in this module, see ChartSeriesPointCollection members.

Object Model

See Also

ChartSeriesPointCollection Members


%%PageItemTitle%% $$Members$$

ChartSeriesPointCollection Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesPointCollection Collection Members

Public Methods

Public Method Add | Adds a new ChartSeriesPoint series's collection of points. Used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow).
Public Method Add2 | Adds a new ChartSeriesPoint series's collection of points. Used for series that requires an Argument and 2 values (Bubble, RangeBar)
Public Method Add4 | Adds a new ChartSeriesPoint series's collection of points. Typically used to add points to a CandleStick or HighLow chart series.
Public Method AddPoints | Adds a batch of points. (Use to allocate memory for a very large number of points)
Public Method DeleteAll | Removes all points from this series.
Public Method DeleteAt | Deletes the point at the specified index.

Public Properties

Public Property Count | Returns the total number of points in the series.
Public Property Item | Gets the ChartSeriesPoint object at a particular index in the series's collection points.

See Also

ChartSeriesPointCollection Overview


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Argument
String value denoting the argument.
Value
Value for the point.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new ChartSeriesPoint series's collection of points. Used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow).

Syntax

Public Function Add( _
   ByVal Argument As Variant, _
   ByVal Value As Variant _
) As ChartSeriesPoint

Parameters

Argument
String value denoting the argument.
Value
Value for the point.

Return Type

Reference to the ChartSeriesPoint to be added.

Remarks

Add is used by all series types except those that need Add2 (RangeBar, Bubble) or Add4 (CandleStick, HighLow).

Example

'Sample uses Add to add some points to a bar chart series

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Quoted")

Series.Points.Add "Sam", 11
Series.Points.Add "Jesse", 12
Series.Points.Add "Dave", 4.5
Series.Points.Add "Max", 6
Series.Points.Add "Brian", 5

Set Series = ChartControl.Content.Series.Add("Hourly")
Series.Points.Add "Sam", 12
Series.Points.Add "Jesse", 9.5
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 12
Series.Points.Add "Brian", 11

Set Series = ChartControl.Content.Series.Add("Unbillable")
Series.Points.Add "Sam", 7
Series.Points.Add "Jesse", 2
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 1
Series.Points.Add "Brian", 4

Set ChartControl.Content.Series(0).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartBarSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartBarSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Diagrams(0)

Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Argument
String value denoting the argument.
Value1
First value for the point.
Value2
Second value for the point.
See Also Chart Pro ActiveX Control v19.3

Add2 Method

Description

Adds a new ChartSeriesPoint series's collection of points. Used for series that requires an Argument and 2 values (Bubble, RangeBar)

Syntax

Public Function Add2( _
   ByVal Argument As Variant, _
   ByVal Value1 As Double, _
   ByVal Value2 As Double _
) As ChartSeriesPoint

Parameters

Argument
String value denoting the argument.
Value1
First value for the point.
Value2
Second value for the point.

Return Type

Reference to the ChartSeriesPoint to be added.

Remarks

Used for series that requires an Argument and 2 values, in this case the Bubble and RangeBar use Add2 to add points to their series.

Example

"Uses Add2 to adds points to a range bar

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Odd Days")

Series.Points.Add2 "Sam", 8, 14
Series.Points.Add2 "Jesse", 9, 16
Series.Points.Add2 "Dave", 7, 15
Series.Points.Add2 "Max", 6, 15
Series.Points.Add2 "Brian", 9, 17

Set Series = ChartControl.Content.Series.Add("Even Days")
Series.Points.Add2 "Sam", 12, 23
Series.Points.Add2 "Jesse", 14, 18
Series.Points.Add2 "Dave", 12, 20
Series.Points.Add2 "Max", 12, 23
Series.Points.Add2 "Brian", 19, 23

Set ChartControl.Content.Series(0).Style = New ChartRangeBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartRangeBarSeriesStyle

ChartControl.Content.Series(0).Style.Label.Visible = False
ChartControl.Content.Series(1).Style.Label.Visible = False

ChartControl.Content.Series(1).Style.BarWidth = 0.2

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

Diagram.AxisX.Label.Angle = 360

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Argument
String value denoting the argument. Typically a date (in string format) in a financial chart.
Value1
Low value for the day (in terms of a candlestick chart).
Value2
High value for the day (in terms of a candlestick chart).
Value3
Opening value for the day (in terms of a candlestick chart).
Value4

Closing value for the day (in terms of a candlestick chart).

See Also Chart Pro ActiveX Control v19.3

Add4 Method

Description

Adds a new ChartSeriesPoint series's collection of points. Typically used to add points to a CandleStick or HighLow chart series.

Syntax

Public Function Add4( _
   ByVal Argument As Variant, _
   ByVal Value1 As Double, _
   ByVal Value2 As Double, _
   ByVal Value3 As Double, _
   ByVal Value4 As Double _
) As ChartSeriesPoint

Parameters

Argument
String value denoting the argument. Typically a date (in string format) in a financial chart.
Value1
Low value for the day (in terms of a candlestick chart).
Value2
High value for the day (in terms of a candlestick chart).
Value3
Opening value for the day (in terms of a candlestick chart).
Value4

Closing value for the day (in terms of a candlestick chart).

Return Type

Reference to the ChartSeriesPoint to be added.

Remarks

Add4 is intended to be used to add points to a CandleStick or HighLow chart series. This allows you to add the date, high\low values for the day and the opening and closing values for the day.

For a financial chart you need to set the ArgumentScaleType = xtpChartScaleDateTime.

Example

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Stock Series")

Series.Points.Add4 "2009-12-28", 30.89, 31.18, 31, 31.17
Series.Points.Add4 "2009-12-29", 31.23, 31.5, 31.35, 31.39
Series.Points.Add4 "2009-12-30", 30.8, 31.29, 31.15, 30.96
Series.Points.Add4 "2009-12-31", 30.48, 30.99, 30.98, 30.48
Series.Points.Add4 "2010-01-04", 30.59, 31.1, 30.62, 30.95
Series.Points.Add4 "2010-01-05", 30.64, 31.1, 30.85, 30.96

Series.ArgumentScaleType = xtpChartScaleDateTime

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Count
Number of points to add.
See Also Chart Pro ActiveX Control v19.3

AddPoints Method

Description

Adds a batch of points. (Use to allocate memory for a very large number of points)

Syntax

Public Sub AddPoints( _
   ByVal Count As Long _
)

Parameters

Count
Number of points to add.

Remarks

AddPoints is a way to optimize adding a large number of points. Memory will be allocated once for the specified number of points. This will dramatically increase the speed at which the points are added when adding a large number of points. You can both AddPoints using Addpoints and any other "Add" method for the same series.

You will have to manually add values to the points after they have been added. Below you will find a few samples.

Example

'********************************************************

'Area chart with 1 series added using AddPoints.

'********************************************************

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

'Sample usage of Batch Allocation using AddPoints. This should be used when adding
'many points in a chart and performance starts to suffer.
Series.Points.AddPoints 5

Series.Points(0).ArgumentValueString = 1900
Series.Points(0).Value(0) = 7268
Series.Points(1).ArgumentValueString = 1950
Series.Points(1).Value(0) = 14830
Series.Points(2).ArgumentValueString = 1990
Series.Points(2).Value(0) = 17990
Series.Points(3).ArgumentValueString = 2000
Series.Points(3).Value(0) = 18976
Series.Points(4).ArgumentValueString = 2008
Series.Points(4).Value(0) = 20323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

ChartControl.Content.Titles.Add "Population by U.S. State"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartAreaSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

Diagram.AxisY.Range.SideMargins = False
Diagram.AxisX.Range.SideMargins = False

'********************************************************

'Point chart with 1 series added using AddPoints.

'********************************************************

ChartControl.Content.Titles(0).Text = "Point Chart"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Series 1")

Series.ArgumentScaleType = xtpChartScaleNumerical

Series.Points.Add 1, 67
Series.Points.Add 14, 50
Series.Points.Add 9, 74
Series.Points.Add 38, 58
Series.Points.Add 2, 64
Series.Points.Add 25, 95
Series.Points.Add 1, 77
Series.Points.Add 1, 91
Series.Points.Add 35, 92
Series.Points.Add 27, 86
Series.Points.Add 31, 54
Series.Points.Add 22, 53
Series.Points.Add 12, 82
Series.Points.Add 21, 66
Series.Points.Add 38, 95
Series.Points.Add 7, 76
Series.Points.Add 11, 88
Series.Points.Add 29, 62
Series.Points.Add 27, 99
Series.Points.Add 35, 94

Set Series = ChartControl.Content.Series.Add("Series 2")

'Sample usage of Batch Allocation using AddPoints. This should be used when adding
'many points in a chart and performance starts to suffer.
Series.Points.AddPoints 20

Series.Points(0).ArgumentValue = 63
Series.Points(0).Value(0) = 11
Series.Points(1).ArgumentValue = 42
Series.Points(1).Value(0) = 33
Series.Points(2).ArgumentValue = 73
Series.Points(2).Value(0) = 14
Series.Points(3).ArgumentValue = 61
Series.Points(3).Value(0) = 11
Series.Points(4).ArgumentValue = 53
Series.Points(4).Value(0) = 18
Series.Points(5).ArgumentValue = 67
Series.Points(5).Value(0) = 44
Series.Points(6).ArgumentValue = 62
Series.Points(6).Value(0) = 7
Series.Points(7).ArgumentValue = 77
Series.Points(7).Value(0) = 9
Series.Points(8).ArgumentValue = 43
Series.Points(8).Value(0) = 41
Series.Points(9).ArgumentValue = 49
Series.Points(9).Value(0) = 28
Series.Points(10).ArgumentValue = 76
Series.Points(10).Value(0) = 35
Series.Points(11).ArgumentValue = 70
Series.Points(11).Value(0) = 42
Series.Points(12).ArgumentValue = 48
Series.Points(12).Value(0) = 6
Series.Points(13).ArgumentValue = 40
Series.Points(13).Value(0) = 42
Series.Points(14).ArgumentValue = 64
Series.Points(14).Value(0) = 48
Series.Points(15).ArgumentValue = 46
Series.Points(15).Value(0) = 5
Series.Points(16).ArgumentValue = 50
Series.Points(16).Value(0) = 29
Series.Points(17).ArgumentValue = 50
Series.Points(17).Value(0) = 0
Series.Points(18).ArgumentValue = 46
Series.Points(18).Value(0) = 1
Series.Points(19).ArgumentValue = 73
Series.Points(19).Value(0) = 48

Set ChartControl.Content.Series(0).Style = New ChartPointSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartPointSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram

Diagram.AxisY.Visible = True
Diagram.AxisY.Alignment = xtpChartAxisNear
Diagram.AxisY.Interlaced = True
Diagram.AxisY.MinorCount = 1
Diagram.AxisY.Thickness = 1
Diagram.AxisX.Thickness = 1

Diagram.AxisX.Label.Visible = True
'Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Axis Title"

Diagram.AxisY.Label.Angle = -45
Diagram.AxisY.Label.Antialiasing = True

Diagram.AxisX.TickMarks.CrossAxis = True
Diagram.AxisX.TickMarks.Length = 5
Diagram.AxisX.TickMarks.Thickness = 1
Diagram.AxisX.TickMarks.MinorLength = 1
Diagram.AxisX.TickMarks.MinorThickness = 1
Diagram.AxisX.TickMarks.MinorVisible = True
Diagram.AxisX.TickMarks.Visible = True

Diagram.AxisX.GridLines.Visible = True
Diagram.AxisX.GridLines.MinorVisible = True
Diagram.AxisX.Interlaced = False

Diagram.AxisY.GridLines.Visible = True
Diagram.AxisY.GridLines.MinorVisible = True

Diagram.AxisX.GridLines.LineStyle.DashStyle = xtpChartDashStyleSolid
Diagram.AxisX.GridLines.MinorLineStyle.DashStyle = xtpChartDashStyleSolid

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all points from this series.

Syntax

Public Sub DeleteAll()

Remarks

This will delete all points from this series.

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Index
See Also Chart Pro ActiveX Control v19.3

DeleteAt Method

Description

Deletes the point at the specified index.

Syntax

Public Sub DeleteAt( _
   ByVal Index As Long _
)

Parameters

Index

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of points in the series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of points in the series.

Remarks

This will return the total number of points in the series.

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesPointCollection Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the ChartSeriesPoint object at a particular index in the series's collection points.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartSeriesPoint

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartSeriesPoint object, at the index selected.

See Also

ChartSeriesPointCollection Collection


%%PageItemTitle%%

ChartSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesStyle Object

Description

Represents the style applied for a given ChartSeries.

For a list of all members defined in this module, see ChartSeriesStyle members.

Object Model

See Also

ChartSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesStyle Object Members

Public Properties

Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property ErrorBar |
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.

See Also

ChartSeriesStyle Overview


%%PageItemTitle%%

ChartSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ErrorBar Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ErrorBar() As ChartSeriesErrorBar

See Also

ChartSeriesStyle Object


%%PageItemTitle%%

ChartSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartSeriesTrendline Members

See Also Chart Pro ActiveX Control v19.3

ChartSeriesTrendline Object

Description

ChartSeriesTrendline

For a list of all members defined in this module, see ChartSeriesTrendline members.

Object Model

Interfaces

Implemented Interface | Description
ChartSeries |

See Also

ChartSeriesTrendline Members


%%PageItemTitle%% $$Members$$

ChartSeriesTrendline Overview

See Also Chart Pro ActiveX Control v19.3

ChartSeriesTrendline Object Members

Public Properties

Public Property ChartSeries_ArgumentScaleType
Public Property ChartSeries_Diagram
Public Property ChartSeries_LegendText
Public Property ChartSeries_LegendVisible
Public Property ChartSeries_Name
Public Property ChartSeries_Style
Public Property ChartSeries_ValueScaleType
Public Property ChartSeries_Visible
Public Property Period
Public Property Series
Public Property Source
Public Property Type

See Also

ChartSeriesTrendline Overview


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_ArgumentScaleType Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_ArgumentScaleType() As ChartScaleType

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_Diagram Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_Diagram() As ChartDiagram

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_LegendText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_LegendText() As String

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_LegendVisible Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_LegendVisible() As Boolean

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_Name Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_Name() As String

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_Style() As ChartSeriesStyle

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_ValueScaleType Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_ValueScaleType() As ChartScaleType

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

ChartSeries_Visible Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChartSeries_Visible() As Boolean

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

Period Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Period() As Long

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

Series Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Series() As ChartSeries

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

Source Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Source() As ChartSeries

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object

See Also Chart Pro ActiveX Control v19.3

Type Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As ChartSeriesTrendlineType

See Also

ChartSeriesTrendline Object


%%PageItemTitle%%

ChartSeriesTrendline Object | ChartSeries Implemented Interface

MinRange
MaxRange
Step
See Also Chart Pro ActiveX Control v19.3

EnableVirtualMode Implemented Method

Syntax

Public Sub EnableVirtualMode( _
   ByVal MinRange As Double, _
   ByVal MaxRange As Double, _
   ByVal Step As Double _
)

Parameters

MinRange
MaxRange
Step

See Also

ChartSeriesTrendline Object | ChartSeries Implemented Interface


%%PageItemTitle%%

ChartSeriesTrendline Object | ChartSeries Implemented Interface

See Also Chart Pro ActiveX Control v19.3

LegendItem Implemented Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ChartSeries_LegendItem() As ChartLegendItem

See Also

ChartSeriesTrendline Object | ChartSeries Implemented Interface


%%PageItemTitle%%

ChartSeriesTrendline Object | ChartSeries Implemented Interface

See Also Chart Pro ActiveX Control v19.3

PointLegendFormat Implemented Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ChartSeries_PointLegendFormat() As ChartNumberFormat

See Also

ChartSeriesTrendline Object | ChartSeries Implemented Interface


%%PageItemTitle%%

ChartSeriesTrendline Object | ChartSeries Implemented Interface

See Also Chart Pro ActiveX Control v19.3

Points Implemented Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ChartSeries_Points() As ChartSeriesPointCollection

See Also

ChartSeriesTrendline Object | ChartSeries Implemented Interface


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartSplineAreaSeriesStyle Object

Description

Spline area chart style.

For a list of all members defined in this module, see ChartSplineAreaSeriesStyle members.

Object Model

Remarks

A Spline Area chart is very similar to a spline chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Example

'Spline Area Sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

Series.Points.Add 1900, 7268
Series.Points.Add 1950, 14830
Series.Points.Add 1990, 17990
Series.Points.Add 2000, 18976
Series.Points.Add 2008, 20323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

ChartControl.Content.Titles.Add "Population by U.S. State"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartSplineAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartSplineAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartSplineAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartSplineAreaSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

See Also

ChartSplineAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartSplineAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartSplineAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartSplineAreaSeriesStyle Overview


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartSplineAreaSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartSplineAreaSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartSplineAreaSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartSplineAreaSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartSplineAreaSeriesStyle Object | Transparency Property

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartSplineAreaSeriesStyle Object | Transparency Property


%%PageItemTitle%%

ChartSplineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartSplineSeriesStyle Object

Description

Spline Chart Style.

For a list of all members defined in this module, see ChartSplineSeriesStyle members.

Object Model

Remarks

A spline chart is used to show information as a series of data points connected by smooth flowing "spline" segments. The spline will draw a smooth flowing line through all data points in the data set. Charts of this type are generally used to illustrate trends in data over a period of time.

Example

'Spline Sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("New York")

Series.Points.Add 1900, 7268
Series.Points.Add 1950, 14830
Series.Points.Add 1990, 17990
Series.Points.Add 2000, 18976
Series.Points.Add 2008, 20323

Set Series = ChartControl.Content.Series.Add("California")

Series.Points.Add 1900, 1485
Series.Points.Add 1950, 10586
Series.Points.Add 1990, 29760
Series.Points.Add 2000, 33871
Series.Points.Add 2008, 36756

Set Series = ChartControl.Content.Series.Add("Florida")

Series.Points.Add 1900, 528
Series.Points.Add 1950, 2771
Series.Points.Add 1990, 12937
Series.Points.Add 2000, 15982
Series.Points.Add 2008, 18328

Set Series = ChartControl.Content.Series.Add("Texas")

Series.Points.Add 1900, 3048
Series.Points.Add 1950, 7711
Series.Points.Add 1990, 14986
Series.Points.Add 2000, 20851
Series.Points.Add 2008, 24326

ChartControl.Content.Titles.Add "Population by U.S. State"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartSplineSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartSplineSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartSplineSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartSplineSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Population Growth (Millions)"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Decade / Year"
Diagram.AxisX.Title.Visible = True

See Also

ChartSplineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartSplineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartSplineSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartSplineSeriesStyle Overview


%%PageItemTitle%%

ChartSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartSplineSeriesStyle Object


%%PageItemTitle%%

ChartSplineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartSplineSeriesStyle Object


%%PageItemTitle%%

ChartSplineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartSplineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartSplineSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartSplineSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | LineStyle Property

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartSplineSeriesStyle Object | LineStyle Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartSplineSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartSplineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartSplineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartSplineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartStackedAreaSeriesStyle Object

Description

Stacked Area\100% Stacked Area chart.

For a list of all members defined in this module, see ChartStackedAreaSeriesStyle members.

Object Model

Remarks

A 100 Stacked Area chart is very similar to a chart, only the data is stacked on top of each other and the data values for each item will total 100. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. Area charts are commonly used to display accumulated values over a period of time.

Example

'This sample shows how to add a 100% stacked area

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("North America")

Series.Points.Add "Silver", 18
Series.Points.Add "White", 17
Series.Points.Add "Gray", 15
Series.Points.Add "Blue", 12
Series.Points.Add "Black", 11
Series.Points.Add "Red", 11
Series.Points.Add "Brown", 9
Series.Points.Add "Other", 7

Set Series = ChartControl.Content.Series.Add("Europe")

Series.Points.Add "Silver", 29
Series.Points.Add "White", 6
Series.Points.Add "Gray", 16
Series.Points.Add "Blue", 15
Series.Points.Add "Black", 21
Series.Points.Add "Red", 5
Series.Points.Add "Brown", 3
Series.Points.Add "Other", 5

Set Series = ChartControl.Content.Series.Add("Asia")

Series.Points.Add "Silver", 30
Series.Points.Add "White", 24
Series.Points.Add "Gray", 12
Series.Points.Add "Blue", 9
Series.Points.Add "Black", 13
Series.Points.Add "Red", 4
Series.Points.Add "Brown", 1
Series.Points.Add "Other", 7

Set Series = ChartControl.Content.Series.Add("South America")

Series.Points.Add "Silver", 25
Series.Points.Add "White", 13
Series.Points.Add "Gray", 13
Series.Points.Add "Blue", 8
Series.Points.Add "Black", 21
Series.Points.Add "Red", 11
Series.Points.Add "Brown", 5
Series.Points.Add "Other", 4

ChartControl.Content.Titles.Add "Worlds Most Popular Vehicle Colors"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartStackedAreaSeriesStyle
ChartControl.Content.Series(3).Style.Label.Format = "%g !UNRECOGNISED ELEMENT TYPE '"
Set ChartControl.Content.Series(2).Style = New ChartStackedAreaSeriesStyle
ChartControl.Content.Series(2).Style.Label.Format = "%g '!"
Set ChartControl.Content.Series(1).Style = New ChartStackedAreaSeriesStyle
ChartControl.Content.Series(1).Style.Label.Format = "%g !UNRECOGNISED ELEMENT TYPE '"
Set ChartControl.Content.Series(0).Style = New ChartStackedAreaSeriesStyle
ChartControl.Content.Series(0).Style.Label.Format = "%g '!"

ChartControl.Content.Series(0).Style.StackHeight = 100
ChartControl.Content.Series(0).Style.Transparency = 100
ChartControl.Content.Series(1).Style.StackHeight = 100
ChartControl.Content.Series(2).Style.StackHeight = 100
ChartControl.Content.Series(3).Style.StackHeight = 100

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "% of Color Sold"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Vehicle Color"
Diagram.AxisX.Title.Visible = True

See Also

ChartStackedAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartStackedAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartStackedAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property StackHeight | Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartStackedAreaSeriesStyle Overview


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartStackedAreaSeriesStyle Object


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartStackedAreaSeriesStyle Object


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | Border Property

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartStackedAreaSeriesStyle Object | Border Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartStackedAreaSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartStackedAreaSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | FillStyle Property

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartStackedAreaSeriesStyle Object | FillStyle Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartStackedAreaSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartStackedAreaSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartStackedAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartStackedAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

StackHeight Property

Description

Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StackHeight() As Double

Return Type

Returns the stack height for the series.

Remarks

StackHeight is used to make a 100, but can be 80 for example. The chart will use the lowest value that a series has set and ignore all the larger values. Setting StackHeight for any series will make all the other series use this setting, so only use it if you want to have a "100%" stacked bar\area chart.

The diagrams below show a stacked area and stacked bar chart.

Example

'Sample to show how to use StackHeight to create a 100% Stacked Area chart

Set ChartControl.Content.Series(3).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartStackedAreaSeriesStyle

ChartControl.Content.Series(0).Style.StackHeight = 100
ChartControl.Content.Series(1).Style.StackHeight = 100
ChartControl.Content.Series(2).Style.StackHeight = 100
ChartControl.Content.Series(3).Style.StackHeight = 100

See Also

ChartStackedAreaSeriesStyle Object


%%PageItemTitle%%

ChartStackedAreaSeriesStyle Object | Transparency Property

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartStackedAreaSeriesStyle Object | Transparency Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartStackedBarSeriesStyle Object

Description

Stacked Bar\100% Stacked Bar chart.

For a list of all members defined in this module, see ChartStackedBarSeriesStyle members.

Object Model

Remarks

A stacked bar chart is similar to a standard bar chart except the bars for a given argument will be stacked on top of each other. You can stack the bars vertically or horizontally. This type of chart is used to compare the relationship of parts to the whole. Each bar is used to represent a total. For example, you could show the number of males\females that prefer each of the 4 major sports (football, basketball, hockey, baseball) in a stacked bar chart. There would be 4 stacked bars, each divided into 2 categories (male\female).

Example

'This sample shows how to add a 100% stacked bar

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Titles.Add "Total Hours Worked"
ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFarOutside

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Quoted")

Series.Points.Add "Sam", 11
Series.Points.Add "Jesse", 12
Series.Points.Add "Dave", 4.5
Series.Points.Add "Max", 6
Series.Points.Add "Brian", 5

Set Series = ChartControl.Content.Series.Add("Hourly")
Series.Points.Add "Sam", 12
Series.Points.Add "Jesse", 9.5
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 12
Series.Points.Add "Brian", 11

Set Series = ChartControl.Content.Series.Add("Unbillable")
Series.Points.Add "Sam", 7
Series.Points.Add "Jesse", 2
Series.Points.Add "Dave", 5
Series.Points.Add "Max", 1
Series.Points.Add "Brian", 4

Set ChartControl.Content.Series(0).Style = New ChartStackedBarSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartStackedBarSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartStackedBarSeriesStyle

ChartControl.Content.Series(0).Style.StackHeight = 100
ChartControl.Content.Series(1).Style.StackHeight = 100
ChartControl.Content.Series(2).Style.StackHeight = 100

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title.Visible = True
Diagram.AxisY.Title.Text = "Hours"
Diagram.AxisX.Title.Visible = True
Diagram.AxisX.Title.Text = "Employee"

Diagram.AxisX.Label.Angle = 360

See Also

ChartStackedBarSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartStackedBarSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartStackedBarSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property BarWidth | Gets\sets the width of bars in this series.
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property StackGroup | Gets\sets the index of the stack group this series belongs to\will be added to. This will create (and is needed) "Side-by-side" stacked bars.
Public Property StackHeight | Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.

See Also

ChartStackedBarSeriesStyle Overview


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartStackedBarSeriesStyle Object


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartStackedBarSeriesStyle Object


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

BarWidth Property

Description

Gets\sets the width of bars in this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarWidth() As Double

Return Type

Returns the width of bars in this series.

Remarks

BarWidth is a value between 0 and 1 and is a percentage of 100 the size of a normal sized bar.

See Also

ChartStackedBarSeriesStyle Object


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | Border Property

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartStackedBarSeriesStyle Object | Border Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartStackedBarSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartStackedBarSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | FillStyle Property

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartStackedBarSeriesStyle Object | FillStyle Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartBarSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartStackedBarSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartStackedBarSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartStackedBarSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

StackGroup Property

Description

Gets\sets the index of the stack group this series belongs to\will be added to. This will create (and is needed) "Side-by-side" stacked bars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StackGroup() As Long

Return Type

The index of the stack group this series belongs.

Remarks

To create side-by-side stacked bars you must use StackGroup. By assigning a value to StackGroup you will create "Side-by-side" stacked bars. For each series you would assign the appropriate StackGroup that the series should be displayed in.

Below is a side-by-side stacked bar chart, the code to create it is displayed below.

Example

Dim i As Long
For i = 1 To 4

Dim Series As ChartSeries
Set Series = ChartControl.Content.Series.Add("Q" & i & " Project 1")

Series.Points.Add "USA", 8 + Round(Rnd() * 20)
Series.Points.Add "Europe", 12 + Round(Rnd() * 20)
Series.Points.Add "Asia", 7 + Round(Rnd() * 20)

Dim Style As ChartStackedBarSeriesStyle
Set Style = New ChartStackedBarSeriesStyle
Set Series.Style = Style

Style.StackGroup = i

Set Series = ChartControl.Content.Series.Add("Q" & i & " Project 2")

Series.Points.Add "USA", 8 + Round(Rnd() * 20)
Series.Points.Add "Europe", 12 + Round(Rnd() * 20)
Series.Points.Add "Asia", 7 + Round(Rnd() * 20)

Set Style = New ChartStackedBarSeriesStyle
Set Series.Style = Style

Style.StackGroup = i
Next i

See Also

ChartStackedBarSeriesStyle Object


%%PageItemTitle%%

ChartStackedBarSeriesStyle Object | StackHeight Property

See Also Chart Pro ActiveX Control v19.3

StackHeight Property

Description

Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StackHeight() As Double

Return Type

Returns the stack height for the series.

Remarks

StackHeight is used to make a 100, but can be 80 for example. The chart will use the lowest value that a series has set and ignore all the larger values. Setting StackHeight for any series will make all the other series use this setting, so only use it if you want to have a "100%" stacked bar\area chart.

The diagrams below show a stacked area and stacked bar chart.

Example

'Sample to show how to use StackHeight to create a 100% Stacked Area chart

Set ChartControl.Content.Series(3).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartStackedAreaSeriesStyle

ChartControl.Content.Series(0).Style.StackHeight = 100
ChartControl.Content.Series(1).Style.StackHeight = 100
ChartControl.Content.Series(2).Style.StackHeight = 100
ChartControl.Content.Series(3).Style.StackHeight = 100

See Also

ChartStackedBarSeriesStyle Object | StackHeight Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartStackedSplineAreaSeriesStyle Object

Description

Stacked Spline Area Chart Style

For a list of all members defined in this module, see ChartStackedSplineAreaSeriesStyle members.

Object Model

Remarks

A Stacked Spline Area chart is very similar to a spline chart. Data is displayed using different colors in the "area" below the line. Each series of points is represented with a different color. The lines in the spline chart are much more smooth flowing than an area chart. Area charts are commonly used to display accumulated values over a period of time.

Example

'Stacked Spline Sample

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendNearOutside

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("North America")

Series.Points.Add "Silver", 18
Series.Points.Add "White", 17
Series.Points.Add "Gray", 15
Series.Points.Add "Blue", 12
Series.Points.Add "Black", 11
Series.Points.Add "Red", 11
Series.Points.Add "Brown", 9
Series.Points.Add "Other", 7

Set Series = ChartControl.Content.Series.Add("Europe")

Series.Points.Add "Silver", 29
Series.Points.Add "White", 6
Series.Points.Add "Gray", 16
Series.Points.Add "Blue", 15
Series.Points.Add "Black", 21
Series.Points.Add "Red", 5
Series.Points.Add "Brown", 3
Series.Points.Add "Other", 5

Set Series = ChartControl.Content.Series.Add("Asia")

Series.Points.Add "Silver", 30
Series.Points.Add "White", 24
Series.Points.Add "Gray", 12
Series.Points.Add "Blue", 9
Series.Points.Add "Black", 13
Series.Points.Add "Red", 4
Series.Points.Add "Brown", 1
Series.Points.Add "Other", 7

Set Series = ChartControl.Content.Series.Add("South America")

Series.Points.Add "Silver", 25
Series.Points.Add "White", 13
Series.Points.Add "Gray", 13
Series.Points.Add "Blue", 8
Series.Points.Add "Black", 21
Series.Points.Add "Red", 11
Series.Points.Add "Brown", 5
Series.Points.Add "Other", 4

ChartControl.Content.Titles.Add "Worlds Most Popular Vehicle Colors"
ChartControl.Content.Legend.Visible = True

Set ChartControl.Content.Series(3).Style = New ChartStackedSplineAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartStackedSplineAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartStackedSplineAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartStackedSplineAreaSeriesStyle

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "% of Color Sold"
Diagram.AxisY.Title.Visible = True
Diagram.AxisX.Title = "Vehicle Color"
Diagram.AxisX.Title.Visible = True

See Also

ChartStackedSplineAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartStackedSplineAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartStackedSplineAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property StackHeight | Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartStackedSplineAreaSeriesStyle Overview


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartStackedSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartStackedSplineAreaSeriesStyle Object


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | Border Property

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartStackedSplineAreaSeriesStyle Object | Border Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartStackedSplineAreaSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | ColorEach Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartStackedSplineAreaSeriesStyle Object | ColorEach Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | FillStyle Property

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartStackedSplineAreaSeriesStyle Object | FillStyle Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartStackedSplineAreaSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartStackedSplineAreaSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartStackedSplineAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartStackedSplineAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | StackHeight Property

See Also Chart Pro ActiveX Control v19.3

StackHeight Property

Description

Gets\sets the height of the "stacks" for this series. This is used to make a 100% stacked style chart.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StackHeight() As Double

Return Type

Returns the stack height for the series.

Remarks

StackHeight is used to make a 100, but can be 80 for example. The chart will use the lowest value that a series has set and ignore all the larger values. Setting StackHeight for any series will make all the other series use this setting, so only use it if you want to have a "100%" stacked bar\area chart.

The diagrams below show a stacked area and stacked bar chart.

Example

'Sample to show how to use StackHeight to create a 100% Stacked Area chart

Set ChartControl.Content.Series(3).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(2).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(1).Style = New ChartStackedAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = New ChartStackedAreaSeriesStyle

ChartControl.Content.Series(0).Style.StackHeight = 100
ChartControl.Content.Series(1).Style.StackHeight = 100
ChartControl.Content.Series(2).Style.StackHeight = 100
ChartControl.Content.Series(3).Style.StackHeight = 100

See Also

ChartStackedSplineAreaSeriesStyle Object | StackHeight Property


%%PageItemTitle%%

ChartStackedSplineAreaSeriesStyle Object | Transparency Property

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartStackedSplineAreaSeriesStyle Object | Transparency Property


%%PageItemTitle%%

ChartStepAreaSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartStepAreaSeriesStyle Object

Description

Step Area chart style

For a list of all members defined in this module, see ChartStepAreaSeriesStyle members.

Object Model

Remarks

The Step Area chart is another form of an area chart. Unlike the traditional area chart, Step area charts use vertical and horizontal lines to connect the data points forming what looks like steps.

Example

'Step Area Sample

ChartControl.Content.Legend.Visible = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Legend.Visible = True

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("U.S. Fuel Oil Prices")

Series.Points.Add "January, 2005", 138.7
Series.Points.Add "February, 2005", 141.4
Series.Points.Add "March, 2005", 159.5
Series.Points.Add "April, 2005", 160.7
Series.Points.Add "May, 2005", 148.8
Series.Points.Add "June, 2005", 166.6

ChartControl.Content.Titles.Add "U.S. Fuel Oil Prices"
ChartControl.Content.Legend.Visible = True

Dim Style As New ChartStepAreaSeriesStyle
Set ChartControl.Content.Series(0).Style = Style

Style.ColorEach = True
Style.Marker.Type = xtpChartMarkerSquare
Style.Marker.Size = 16
Style.Label.LineLength = 20

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Cents per Gallon"
Diagram.AxisY.Title.Visible = True

Diagram.AxisY.Interlaced = True
Diagram.AxisX.Interlaced = False
Diagram.AxisY.Range.ShowZeroLevel = False

Diagram.AxisX.Label.Angle = 360 - 30
Diagram.AxisX.Label.Antialiasing = True

See Also

ChartStepAreaSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartStepAreaSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartStepAreaSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Border | Properties used to draw the chart elements's border.
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property FillStyle | Gets the background fill style for this series (or chart element).
Public Property InvertedStep | Specifies the direction the step line will "step".
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.
Public Property Transparency | Gets\sets the transparency of the filled area with respect to the background.

See Also

ChartStepAreaSeriesStyle Overview


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Border Property

Description

Properties used to draw the chart elements's border.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Border() As ChartBorder

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

FillStyle Property

Description

Gets the background fill style for this series (or chart element).

Property type

Read-only property

Syntax (Visual Basic)

Public Property FillStyle() As ChartFillStyle

Remarks

Most of the chart elements have a fill style that can be applied.

Click here for full details and sample code.

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

InvertedStep Property

Description

Specifies the direction the step line will "step".

Property type

Read-write property

Syntax (Visual Basic)

Public Property InvertedStep() As Boolean

Return Type

True to invert the steps.

Remarks

By default the "steps" will move to the right, then up/down. If Inverted, the "steps" will first move up/down, then right.

This diagrams shows non-inverted steps:

This diagrams shows inverted steps:

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartStepAreaSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartStepAreaSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartStepAreaSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

Transparency Property

Description

Gets\sets the transparency of the filled area with respect to the background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

Return Type

Returns an integer whose values are from 0 to 255.

Remarks

A value of 0 means fully transparent and 255 fully opaque.

See Also

ChartStepAreaSeriesStyle Object


%%PageItemTitle%%

ChartStepLineSeriesStyle Members

See Also Chart Pro ActiveX Control v19.3

ChartStepLineSeriesStyle Object

Description

Step Line chart style

For a list of all members defined in this module, see ChartStepLineSeriesStyle members.

Object Model

Remarks

The Step Line chart is another form of a Line chart. Unlike the traditional line chart, Step line charts only use vertical and horizontal lines to connect the data points forming what looks like steps.

Example

'StepLine Sample

ChartControl.Content.Legend.Visible = True

If ChartControl.Content.Series.Count > 0 Then
ChartControl.Content.Series.DeleteAll
End If

ChartControl.Content.Legend.Visible = True

Dim Series As ChartSeries

Set Series = ChartControl.Content.Series.Add("U.S. Fuel Oil Prices")

Series.Points.Add "January, 2005", 138.7
Series.Points.Add "February, 2005", 141.4
Series.Points.Add "March, 2005", 159.5
Series.Points.Add "April, 2005", 160.7
Series.Points.Add "May, 2005", 148.8
Series.Points.Add "June, 2005", 166.6

ChartControl.Content.Titles.Add "U.S. Fuel Oil Prices"
ChartControl.Content.Legend.Visible = True

Dim Style As New ChartStepLineSeriesStyle
Set ChartControl.Content.Series(0).Style = Style

Style.ColorEach = True
Style.Marker.Type = xtpChartMarkerSquare
Style.Marker.Size = 16
Style.Label.LineLength = 20

Dim Diagram As ChartDiagram2D
Set Diagram = ChartControl.Content.Series(0).Diagram
Diagram.AxisY.Title = "Cents per Gallon"
Diagram.AxisY.Title.Visible = True

Diagram.AxisY.Interlaced = True
Diagram.AxisX.Interlaced = False
Diagram.AxisY.Range.ShowZeroLevel = False

Diagram.AxisX.Label.Angle = 360 - 30
Diagram.AxisX.Label.Antialiasing = True

See Also

ChartStepLineSeriesStyle Members


%%PageItemTitle%% $$Members$$

ChartStepLineSeriesStyle Overview

See Also Chart Pro ActiveX Control v19.3

ChartStepLineSeriesStyle Object Members

Public Properties

Public Property AxisIndexX |
Public Property AxisIndexY |
Public Property Color | Gets\sets the color used to draw this series.
Public Property ColorEach | Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.
Public Property InvertedStep | Specifies the direction the step line will "step".
Public Property Label | Properties used by the labels of this series. Returns a reference so that the labels can be customized.
Public Property LineStyle | Returns the line style used to draw lines in this series.
Public Property Marker | Gets the marker object associated with this series.
Public Property SecondaryAxisX | Gets\sets whether to display the secondary X axis for this series.
Public Property SecondaryAxisY | Gets\sets whether to display the secondary Y axis for this series.

See Also

ChartStepLineSeriesStyle Overview


%%PageItemTitle%%

ChartStepLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexX() As Integer

See Also

ChartStepLineSeriesStyle Object


%%PageItemTitle%%

ChartStepLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

AxisIndexY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AxisIndexY() As Integer

See Also

ChartStepLineSeriesStyle Object


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

Color Property

Description

Gets\sets the color used to draw this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color used to draw this series.

See Also

ChartStepLineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | Color Property

See Also Chart Pro ActiveX Control v19.3

ColorEach Property

Description

Gets\sets whether to automatically color each element in the series a different color based on the currently set palette.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorEach() As Boolean

Return Type

True to automatically color each element, False to only use one color for all elements in the series.

See Also

ChartStepLineSeriesStyle Object | Color Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object

See Also Chart Pro ActiveX Control v19.3

InvertedStep Property

Description

Specifies the direction the step line will "step".

Property type

Read-write property

Syntax (Visual Basic)

Public Property InvertedStep() As Boolean

Return Type

True to invert the steps.

Remarks

By default the "steps" will move to the right, then up/down. If Inverted, the "steps" will first move up/down, then right.

This diagrams shows non-inverted steps:

This diagrams shows inverted steps:

See Also

ChartStepLineSeriesStyle Object


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | Label Property

See Also Chart Pro ActiveX Control v19.3

Label Property

Description

Properties used by the labels of this series. Returns a reference so that the labels can be customized.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As ChartPointSeriesLabel

Return Type

Reference to a ChartPointSeriesLabel object that allows the properties of the series's labels to be modified.

Remarks

Many parts of the labels can be customized including angle, color, font, fill style, line length, text color, visibility, format, etc.

See Also

ChartStepLineSeriesStyle Object | Label Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | LineStyle Property

See Also Chart Pro ActiveX Control v19.3

LineStyle Property

Description

Returns the line style used to draw lines in this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LineStyle() As ChartLineStyle

Return Type

Reference to a ChartLineStyle object representing the line style used to draw lines for this series.

Remarks

This allows you to set the line thickness and the dash style of the line.

See Also

ChartStepLineSeriesStyle Object | LineStyle Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | Marker Property

See Also Chart Pro ActiveX Control v19.3

Marker Property

Description

Gets the marker object associated with this series.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker() As ChartMarker

Return Type

Reference to a ChartMarker object for this series.

Remarks

The point chart below uses star markers to plot it's points. Each series can use it's own marker type. By default, circles are used.

Example

'Code to change all series marker types

Dim x As ChartSeries
For Each x In ChartControl.Content.Series
x.Style.Marker.Type = xtpChartMarkerStar
Next

See Also

ChartStepLineSeriesStyle Object | Marker Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisX Property

Description

Gets\sets whether to display the secondary X axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisX() As Boolean

Return Type

True to display the secondary X axis for this series.

Remarks

The SecondaryAxisX property is used to modify the properties of this series secondary X axis.

See Also

ChartStepLineSeriesStyle Object | SecondaryAxisX Property | SecondaryAxisX Property | SecondaryAxisY Property


%%PageItemTitle%%

ChartStepLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property

See Also Chart Pro ActiveX Control v19.3

SecondaryAxisY Property

Description

Gets\sets whether to display the secondary Y axis for this series.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondaryAxisY() As Boolean

Return Type

True to display the secondary Y axis for this series.

Remarks

The SecondaryAxisY property is used to modify the properties of this series secondary axis.

See Also

ChartStepLineSeriesStyle Object | SecondaryAxisY Property | SecondaryAxisY Property | SecondaryAxisX Property


%%PageItemTitle%%

ChartTitle Members

See Also Chart Pro ActiveX Control v19.3

ChartTitle Object

Description

Represents a title displayed in the chart.

For a list of all members defined in this module, see ChartTitle members.

Object Model

Remarks

The chart can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

Example

Dim pContent As ChartContent
Set pContent = ChartControl.Content
pContent.EnableMarkup = True

pContent.Legend.Visible = False

Dim pTitle As ChartTitle
Set pTitle = pContent.Titles.Add("<TextBlock><Bold>Chart Control</Bold> <Run>supports</Run> <Run Foreground='Green'>Titles</Run> </TextBlock>")

Set pTitle = pContent.Titles.Add("Left Title")
pTitle.Docking = xtpChartDockLeft

Set pTitle = pContent.Titles.Add("<TextBlock><Run Foreground='Blue'>Right</Run> <Run Foreground='Red'>Title</Run></TextBlock>")
pTitle.Docking = xtpChartDockRight

Set pTitle = pContent.Titles.Add("<TextBlock FontSize = '20px'>Click Title to set its properties</TextBlock>")
pTitle.Docking = xtpChartDockBottom

See Also

ChartTitle Members


%%PageItemTitle%% $$Members$$

ChartTitle Overview

See Also Chart Pro ActiveX Control v19.3

ChartTitle Object Members

Public Properties

Public Property Alignment | Gets\sets the alignment of this chart element.
Public Property Antialiasing | Specifies whether antialiasing is enabled or not.
Public Property Docking | Gets\sets the docking location of the title.
Public Property Font | Gets\sets the font used to display the title.
Public Property Indent | Gets\sets the indent for the title.
Public Property Text | Gets\sets the text displayed for this title.
Public Property TextColor | Gets\sets the text color for this title.
Public Property Visible | Gets\sets whether the title is visible/invisible.

See Also

ChartTitle Overview


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Alignment Property

Description

Gets\sets the alignment of this chart element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As ChartStringAlignment

Return Type

Returns the alignment of this chart element.

Remarks

The text for this element will use the specified ChartStringAlignment to draw within it's bounds.

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Antialiasing Property

Description

Specifies whether antialiasing is enabled or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Antialiasing() As Boolean

Return Type

Returns boolean TRUE if the antialiasing is turned on FALSE if the antialiasing is turned off.

Remarks

Antialiasing is the smoothing of sharp edges of text and drawing.

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Docking Property

Description

Gets\sets the docking location of the title.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Docking() As ChartDocking

Return Type

Returns a value from ChartDocking representing the docking location of the title.

Remarks

The chart can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

The diagram below shows titles docked to all four sides of the chart.

Example

Dim pContent As ChartContent
Set pContent = ChartControl.Content
pContent.EnableMarkup = True

pContent.Legend.Visible = False

Dim pTitle As ChartTitle
Set pTitle = pContent.Titles.Add("<TextBlock><Bold>Chart Control</Bold> <Run>supports</Run> <Run Foreground='Green'>Titles</Run> </TextBlock>")

Set pTitle = pContent.Titles.Add("Left Title")
pTitle.Docking = xtpChartDockLeft

Set pTitle = pContent.Titles.Add("<TextBlock><Run Foreground='Blue'>Right</Run> <Run Foreground='Red'>Title</Run></TextBlock>")
pTitle.Docking = xtpChartDockRight

Set pTitle = pContent.Titles.Add("<TextBlock FontSize = '20px'>Click Title to set its properties</TextBlock>")
pTitle.Docking = xtpChartDockBottom

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display the title.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Font() As ChartFont

Example

Dim Title As ChartTitle
Set Title = ChartControl.Content.Titles.Add("Use mouse wheel to zoom chart")
Title.Docking = xtpChartDockBottom
Title.Alignment = xtpChartAlignFar

Title.Font.StdFont.Size = 9
Title.TextColor = vbGrayText

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Indent Property

Description

Gets\sets the indent for the title.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Indent() As Long

Return Type

Returns the indent for the title.

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Text Property

Description

Gets\sets the text displayed for this title.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

Gets the text displayed for this title.

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

TextColor Property

Description

Gets\sets the text color for this title.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Return Type

Gets the text color for this title.

Example

Dim Title As ChartTitle
Set Title = ChartControl.Content.Titles.Add("Use mouse wheel to zoom chart")
Title.Docking = xtpChartDockBottom
Title.Alignment = xtpChartAlignFar

Title.Font.StdFont.Size = 9
Title.TextColor = vbGrayText

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitle Object

See Also Chart Pro ActiveX Control v19.3

Visible Property

Description

Gets\sets whether the title is visible/invisible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Return Type

True if the title is visible, False if the title is invisible.

Remarks

Use this to hide or show a title without deleting it.

See Also

ChartTitle Object


%%PageItemTitle%%

ChartTitleCollection Members

See Also Chart Pro ActiveX Control v19.3

ChartTitleCollection Collection

Description

Represents a collection of ChartTitle objects displayed in the chart.

For a list of all members defined in this module, see ChartTitleCollection members.

Object Model

See Also

ChartTitleCollection Members


%%PageItemTitle%% $$Members$$

ChartTitleCollection Overview

See Also Chart Pro ActiveX Control v19.3

ChartTitleCollection Collection Members

Public Methods

Public Method Add | Adds a new ChartTitle to the chart's collection of titles.
Public Method DeleteAll | Removes all titles from the chart.

Public Properties

Public Property Count | Returns the total number of titles in the chart.
Public Property Item | Gets the ChartTitle object at a particular index in the collection.

See Also

ChartTitleCollection Overview


%%PageItemTitle%%

ChartTitleCollection Collection

Text
Text string to display in the title.
See Also Chart Pro ActiveX Control v19.3

Add Method

Description

Adds a new ChartTitle to the chart's collection of titles.

Syntax

Public Function Add( _
   ByVal Text As String _
) As ChartTitle

Parameters

Text
Text string to display in the title.

Return Type

Reference to the ChartTitle to be added.

Remarks

The chart can contain multiple sets of titles that can be docked to the top, bottom, left or right of the chart. You can also stack multiple titles to the same docking location. In addition to normal text, titles can contain xml Markup snippets to format the title's text.

Example

Dim pContent As ChartContent
Set pContent = ChartControl.Content
pContent.EnableMarkup = True

pContent.Legend.Visible = False

Dim pTitle As ChartTitle
Set pTitle = pContent.Titles.Add("<TextBlock><Bold>Chart Control</Bold> <Run>supports</Run> <Run Foreground='Green'>Titles</Run> </TextBlock>")

Set pTitle = pContent.Titles.Add("Left Title")
pTitle.Docking = xtpChartDockLeft

Set pTitle = pContent.Titles.Add("<TextBlock><Run Foreground='Blue'>Right</Run> <Run Foreground='Red'>Title</Run></TextBlock>")
pTitle.Docking = xtpChartDockRight

Set pTitle = pContent.Titles.Add("<TextBlock FontSize = '20px'>Click Title to set its properties</TextBlock>")
pTitle.Docking = xtpChartDockBottom

See Also

ChartTitleCollection Collection


%%PageItemTitle%%

ChartTitleCollection Collection

See Also Chart Pro ActiveX Control v19.3

DeleteAll Method

Description

Removes all titles from the chart.

Syntax

Public Sub DeleteAll()

Remarks

This will delete all titles from the chart.

See Also

ChartTitleCollection Collection


%%PageItemTitle%%

ChartTitleCollection Collection

See Also Chart Pro ActiveX Control v19.3

Count Property

Description

Returns the total number of titles in the chart.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of titles in the chart.

Remarks

This will return the total number of titles in the chart.

See Also

ChartTitleCollection Collection


%%PageItemTitle%%

ChartTitleCollection Collection

Index
The zero based index of the of item in the collection.
See Also Chart Pro ActiveX Control v19.3

Item Property

Description

Gets the ChartTitle object at a particular index in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ChartTitle

Parameters

Index
The zero based index of the of item in the collection.

Return Type

Reference to a ChartTitle object, at the index selected.

See Also

ChartTitleCollection Collection


%%PageItemTitle%%

PropExchange Members

See Also Chart Pro ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing Chart Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Chart Pro ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method EmptySection | Call this method to free section information before storing.
Public Method LoadFromFile | Loads a chart xml file (built using chart builder or saved using SaveToFile).

Public Properties

Public Property Loading Determines whether properties are being loaded to the class or stored from it.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object

See Also Chart Pro ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

Path
Path to xml chart file to load.
See Also Chart Pro ActiveX Control v19.3

LoadFromFile Method

Description

Loads a chart xml file (built using chart builder or saved using SaveToFile).

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to xml chart file to load.

Return Type

True is load is successful.

Remarks

Using the supplied "Chart Builder" tool you can build your charts, customize the colors, etc. and export them to an xml file that can then be loaded into the chart control.

Charts created in code can also be saved to an xml file (and later re-loaded) using SaveToFile.

Example

'This sample shows how to load an xml chart builder file

ChartControl.Content.Legend.Visible = True
ChartControl.Content.Legend.HorizontalAlignment = xtpChartLegendFar
ChartControl.Content.EnableMarkup = True

lblTitle.Caption = "Chart From Builder File"
ChartControl.Content.Titles.Add "Chart From Builder File"

Dim PropExchange As PropExchange
Set PropExchange = ChartControlGlobalSettings.CreatePropExchange
PropExchange.CreateAsXML True, "Content"
PropExchange.LoadFromFile (App.Path & "\ChartBuilderFile.xml")
ChartControl.Content.DoPropExchange PropExchange

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

See Also Chart Pro ActiveX Control v19.3

Loading Property

Description

Determines whether properties are being loaded to the class or stored from it.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Return Type

True if properties are being loaded; otherwise, it is False.

See Also

PropExchange Object


%%PageItemTitle%%

ToolTipContext Members

See Also Chart Pro ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members


%%PageItemTitle%% $$Members$$

ToolTipContext Overview

See Also Chart Pro ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Specifies whether to display images in the tooltip window.
Public Method ShowTitleAndDescription | Specifies whether to show the tip text and an icon in the tooltip.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Chart Pro ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Chart Pro ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a control id to specify a large image. Set to 0 to display only standard button icons associated with the control.
See Also Chart Pro ActiveX Control v19.3

ShowImage Method

Description

Specifies whether to display images in the tooltip window.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a control id to specify a large image. Set to 0 to display only standard button icons associated with the control.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowTitleAndDescription
True to show both the text and icon.
IconTitle
Icon to show.
See Also Chart Pro ActiveX Control v19.3

ShowTitleAndDescription Method

Description

Specifies whether to show the tip text and an icon in the tooltip.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription
True to show both the text and icon.
IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.
Icon to show.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTipText property will be displayed in the tool tip window.

See the XTPToolTipStyle enumeration for a picture and detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Chart Pro ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

Alignment Property

See Also Chart Pro ActiveX Control v19.3

ChartAxisAlignment Enumeration

Description

Axis alignment.

Members

Member | Description
xtpChartAxisNear | For Y axis, near means left side of the chart. For X axis it is the bottom side of the chart.
xtpChartAxisFar | For Y axis, far means right side of the chart. For X axis it is the top side of the chart.

See Also

Alignment Property


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartAxisDateTimeScaleUnit Enumeration

Description

Time scale units used on this axis for a series with an ArgumentScaleType set to xtpChartScaleDateTime.

Members

Member | Description
xtpChartScaleMinute | Minutes scale.
xtpChartScaleHour | Hour scale.
xtpChartScaleDay | Day scale.
xtpChartScaleMonth | Month scale.
xtpChartScaleYear | Year scale.

Remarks

ChartAxisDateTimeScaleUnit is used by the chart axis DateTimeScaleUnit to specify the DateTime scale used to display date and time data for a series with an ArgumentScaleType set to xtpChartScaleDateTime.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartBarLabelPosition Enumeration

Description

Defines the various positions available to the bar labels.

Members

Member | Description
xtpChartBarLabelTop | To the top of the bar.
xtpChartBarLabelCenter | Centered over the bar.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartDashStyle Enumeration

Description

Defines the various line styles for the charts.

Members

Member | Description
xtpChartDashStyleEmpty | Empty style, invisible.
xtpChartDashStyleSolid | Solid line style.
xtpChartDashStyleDash | Dash line style.
xtpChartDashStyleDot | Dot line style.
xtpChartDashStyleDashDot | Alternate dash and dot line style.
xtpChartDashStyleDashDotDot | Dash dot dot line style.
xtpChartDashStyleCustom | Use a custom Dash Style. Set using the SetDashArray Method.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartDateTimeFormatCategory Enumeration

Description

Defines the various DateTime formats available to format labels in the chart.

Members

Member | Description
xtpChartDateTimeGeneral | Standard formatting.
xtpChartDateTimeLongDate | Long date format, i.e. Friday, January 01, 2012
xtpChartDateTimeShortDate | Short date format, i.e. 1/1/2012
xtpChartDateTimeLongTime | Long time format, i.e. 12:00:00 AM
xtpChartDateTimeShortTime | Short time format, i.e. 12:00 AM
xtpChartDateTimeMonthAndDay | Month and Day format, i.e. January 26
xtpChartDateTimeMonthAndYear | Month and Year format, i.e. January 2012
xtpChartDateTimeCustom | Uses a custom format specified in DateTimeFormat.

Remarks

DateTimeCategory uses values from the ChartDateTimeFormatCategory enumeration to tell the chart how to handle the formatting of DateTime values in labels. The category must be specified so the correct formatting is applied to the value. This is used when the ArgumentScaleType is set to xtpChartScaleDateTime. The formatting can be set to General, Short Date, Long Date, Short Time, Long Time, Month and Day, Month and Year or Custom. For custom, the format uses DateTimeFormat.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartDocking Enumeration

Description

Defines the various docking positions of a chart title.

Members

Member | Description
xtpChartDockTop | Title is docked above of the chart.
xtpChartDockBottom | Title is docked below of the chart.
xtpChartDockLeft | Title is docked to the left of the chart.
xtpChartDockRight | Title is docked to the right of the chart.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartErrorBarDirection Enumeration

Description

Chart Error Bar Direction

Members

Member | Description
xtpChartErrorBarDirectionNone |
xtpChartErrorBarDirectionPlus |
xtpChartErrorBarDirectionMinus |
xtpChartErrorBarDirectionBoth |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartErrorBarEndStyle Enumeration

Description

Chart Error Bar End Style

Members

Member | Description
xtpChartErrorBarEndStyleNoCap |
xtpChartErrorBarEndStyleCap |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartErrorBarPosition Enumeration

Description

Chart Error Bar Type

Members

Member | Description
xtpChartErrorBarPositionNone |
xtpChartErrorBarPositionTop |
xtpChartErrorBarPositionCenter |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartErrorBarType Enumeration

Description

Chart Error Bar Type

Members

Member | Description
xtpChartErrorBarTypeNone |
xtpChartErrorBarTypeFixedValue |
xtpChartErrorBarTypePercentage |
xtpChartErrorBarTypeStandardDeviation |
xtpChartErrorBarTypeStandardError |
xtpChartErrorBarTypeCustom |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartFillMode Enumeration

Description

Defines the various background fill modes.

Members

Member | Description
xtpChartFillEmpty | No Fill
xtpChartFillSolid | Solid Fill
xtpChartFillGradient | Fill using the specified gradient
xtpChartFillHatch | Fill using the specified hatch

Remarks

FillMode applies to the background (columns, interlacing, stripes, markers, legend, labels, etc) of various elements in the chart.

Note both gradient and hatch can't be used at the same time, you can use one or the other, but not both.

Click here for full details and sample code.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartFunnelLabelPosition Enumeration

Description

Defines the various positions available to the funnel labels.

Members

Member | Description
xtpChartFunnelLabelLeft | To the left of the funnel.
xtpChartFunnelLabelRight | To the right of the funnel.
xtpChartFunnelLabelCenter | Centered over the funnel.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartGradientAngle Enumeration

Description

Defines the different Gradient Angles used for background filling.

Members

Member | Description
xtpChartGradientAngle0 | 0 degree gradient angle.
xtpChartGradientAngle45 | 45 degree gradient angle.
xtpChartGradientAngle90 | 90 degree gradient angle.
xtpChartGradientAngle135 | 135 degree gradient angle.
xtpChartGradientAngle180 | 180 degree gradient angle.
xtpChartGradientAngle225 | 225 degree gradient angle.
xtpChartGradientAngle270 | 270 degree gradient angle.
xtpChartGradientAngle315 | 315 degree gradient angle.

Remarks

Click here for full details and sample code.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartHatchStyle Enumeration

Description

Defines the various hatch styles used for background filling.

Members

Member | Description
xtpChartHatchStyleHorizontal | Horizontal
xtpChartHatchStyleVertical | Vertical
xtpChartHatchStyleForwardDiagonal | Forward Diagonal
xtpChartHatchStyleBackwardDiagonal | Backward Diagonal
xtpChartHatchStyleCross | Cross
xtpChartHatchStyleDiagonalCross | Diagonal Cross
xtpChartHatchStyle05Percent | 05 Percent
xtpChartHatchStyle10Percent | 10 Percent
xtpChartHatchStyle20Percent | 20 Percent
xtpChartHatchStyle25Percent | 25 Percent
xtpChartHatchStyle30Percent | 30 Percent
xtpChartHatchStyle40Percent | 40 Percent
xtpChartHatchStyle50Percent | 50 Percent
xtpChartHatchStyle60Percent | 60 Percent
xtpChartHatchStyle70Percent | 70 Percent
xtpChartHatchStyle75Percent | 75 Percent
xtpChartHatchStyle80Percent | 80 Percent
xtpChartHatchStyle90Percent | 90 Percent
xtpChartHatchStyleLightDownwardDiagonal | Light Downward Diagonal
xtpChartHatchStyleLightUpwardDiagonal | Light Upward Diagonal
xtpChartHatchStyleDarkDownwardDiagonal | Dark Downward Diagonal
xtpChartHatchStyleDarkUpwardDiagonal | Dark Upward Diagonal
xtpChartHatchStyleWideDownwardDiagonal | Wide Downward Diagonal
xtpChartHatchStyleWideUpwardDiagonal | Wide Upward Diagonal
xtpChartHatchStyleLightVertical | Light Vertical
xtpChartHatchStyleLightHorizontal | Light Horizontal
xtpChartHatchStyleNarrowVertical | Narrow Vertical
xtpChartHatchStyleNarrowHorizontal | Narrow Horizontal
xtpChartHatchStyleDarkVertical | Dark Vertical
xtpChartHatchStyleDarkHorizontal | Dark Horizontal
xtpChartHatchStyleDashedDownwardDiagonal | Dashed Downward Diagonal
xtpChartHatchStyleDashedUpwardDiagonal | Dashed Upward Diagonal
xtpChartHatchStyleDashedHorizontal | Dashed Horizontal
xtpChartHatchStyleDashedVertical | Dashed Vertical
xtpChartHatchStyleSmallConfetti | Small Confetti
xtpChartHatchStyleLargeConfetti | Large Confetti
xtpChartHatchStyleZigZag | ZigZag
xtpChartHatchStyleWave | Wave
xtpChartHatchStyleDiagonalBrick | Diagonal Brick
xtpChartHatchStyleHorizontalBrick | Horizontal Brick
xtpChartHatchStyleWeave | Weave
xtpChartHatchStylePlaid | Plaid
xtpChartHatchStyleDivot | Divot
xtpChartHatchStyleDottedGrid | Dotted Grid
xtpChartHatchStyleDottedDiamond | Dotted Diamond
xtpChartHatchStyleShingle | Shingle
xtpChartHatchStyleTrellis | Trellis
xtpChartHatchStyleSphere | Sphere
xtpChartHatchStyleSmallGrid | Small Grid
xtpChartHatchStyleSmallCheckerBoard | Small Checker Board
xtpChartHatchStyleLargeCheckerBoard | Large Checker Board
xtpChartHatchStyleOutlinedDiamond | Outlined Diamond
xtpChartHatchStyleSolidDiamond | Solid Diamond

Remarks

Click here for full details and sample code.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartLegendAlignment Enumeration

Description

Defines the various legend alignments.

Members

Member | Description
xtpChartLegendNearOutside | The legend is placed out side of the chart, near the primary Y axis.
xtpChartLegendNear | The legend is placed inside of the chart, near the primary Y axis.
xtpChartLegendCenter | The legend is placed at the center of the chart.
xtpChartLegendFar | The legend is placed inside of the chart, near the secondary Y axis.
xtpChartLegendFarOutside | The legend is placed outside of the chart, near the secondary Y axis.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartLegendDirection Enumeration

Description

Defines the various legend orientations.

Members

Member | Description
xtpChartLegendTopToBottom | The legend items are arranged from top to bottom.
xtpChartLegendLeftToRight | The legend items are arranged from left to right.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartLinearGradientMode Enumeration

Description

Chart Gradient Angle

Members

Member | Description
xtpChartLinearGradientModeHorizontal |
xtpChartLinearGradientModeVertical |
xtpChartLinearGradientModeForwardDiagonal |
xtpChartLinearGradientModeBackwardDiagonal |
xtpChartLinearGradientModeCenterHorizontal |
xtpChartLinearGradientModeCenterVertical |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartMarkerType Enumeration

Description

Defines the various markers available to the styles that display a dot\point (line, spline, etc...).

Members

Member | Description
xtpChartMarkerCircle | Circle
xtpChartMarkerSquare | Square
xtpChartMarkerDiamond | Diamond
xtpChartMarkerTriangle | Triangle
xtpChartMarkerPentagon | Pentagon
xtpChartMarkerHexagon | Hexagon
xtpChartMarkerStar | Star

Remarks

The marker specifies the type of "dot" that is drawn, instead of the standard circle it can be any shape in this enumeration.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartNearTextPosition Enumeration

Description

Chart Hatch Style

Members

Member | Description
xtpChartTextNearLeft |
xtpChartTextNearRight |
xtpChartTextNearTop |
xtpChartTextNearBottom |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartNumberFormatCategory Enumeration

Description

Defines the various number formats available to format labels in the chart.

Members

Member | Description
xtpChartGeneral | General (100000.123)
xtpChartNumber | Number (10,000,000.12)
xtpChartCurrency | Currency ($10,000,000.12)
xtpChartPercentage | Percent (99.12%)
xtpChartScientific | Scientific (12.12e+005)

Remarks

The Category uses values from the ChartNumberFormatCategory enumeration to tell the chart how to handle the formatting of the value. The category must be specified so the correct formatting is applied to the value. The number value can be handled as a General (i.e. no special formatting, just like a string), Number, Currency, Percentage or Scientific.

Each value from ChartNumberFormatCategory will treat the data value differently. General only uses decimal places, Number uses decimal places and thousands separators, Currency displays a currency symbol and uses thousands separator and decimal places, Percentage displays a percent symbol and decimal places, and Scientific displays data in scientific notation. You can also use Currency Symbol, DecimalPlaces and UseThousandsSeparator to include or remove those features for the different categories.

An example can be seen here.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartPanelDirection Enumeration

Description

Orientation of the chart's content.

Members

Member | Description
xtpChartPanelVertical | Display vertically.
xtpChartPanelHorizontal | Display horizontally.

Example

ChartControl.Content.PanelDirection = True


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartPieLabelPosition Enumeration

Description

Defines the various positions available to the pie labels.

Members

Member | Description
xtpChartPieLabelOutiside | Outside the pie.
xtpChartPieLabelInside | Inside the pie.
xtpChartPieLabelRadial | Around the Pie (Radial Pie).
xtpChartPieLabelTwoColumns | Labels placed within 2 columns around the pie.

Remarks

When using xtpChartPieLabelTwoColumns, the chart will attempt to draw labels in a more logical position to keep them from overlapping.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartPyramidLabelPosition Enumeration

Description

Defines the various positions available to the pyramid labels.

Members

Member | Description
xtpChartPyramidLabelLeft | To the left of the pyramid.
xtpChartPyramidLabelRight | To the right of the pyramid.
xtpChartPyramidLabelCenter | Centered over the pyramid.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartRadarDiagramStyle Enumeration

Description

Defines the various diagram styles a radar\polar chart can use (circle\spider).

Members

Member | Description
xtpChartRadarDiagramCircle | Circle diagram.
xtpChartRadarDiagramPolygon | Polygon diagram, sometimes called a "spider" diagram as the shape looks similar to a spider web.

Remarks

The Radar Style property uses these values to set the shape of the diagram.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartRangeBarLabelPosition Enumeration

Description

Defines the various positions available to the range bar labels.

Members

Member | Description
xtpChartRangeBarLabelOutside | Outside of the bar.
xtpChartRangeBarLabelInside | Inside the bar.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartRangeBarLabelType Enumeration

Description

Specifies which labels will be displayed in a range bar chart.

Members

Member | Description
xtpChartRangeBarOneLabel | Display both the high and low value in a single label, centered in the bar.
xtpChartRangeBarTwoLabels | Display a separate label for the high an dlow values, each will appear next to the high and low values.
xtpChartRangeBarMinValueLabel | Display a label only for the min value in the bar.
xtpChartRangeBarMaxValueLabel | Display a label only for the max value in the bar.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartScaleType Enumeration

Description

Defines the various scales type for a series.

Members

Member | Description
xtpChartScaleQualitative | Argument or value point data will be handled as qualitative values which will be displayed as text along the axis. Qualitative data is extremely varied and can include virtually any information. Data should be treated as qualitative when displaying any type of arbitrary data. For example, people's names, cities, populations, etc would typically be a qualitative data type. If numerical data needs to be processed in the order that it is added and not treated as numerical data, then a qualitative scale should be used (hours worked, population, etc). If DateTime data is used and needs to be processed in the order in which it is added then a qualitative scale should be used, if the Dates should be process in chronological order then the DateTime scale should be used.
xtpChartScaleNumerical | Argument or value point data will be handled as numerical values which will be displayed as numbers along the axis. Numerical data will be evaluated as real numbers and any data added will be displayed\evaluated in numerical order, regardless of the order the data is entered. (Typically used in standard point charts).
xtpChartScaleDateTime | Argument or value point data will be handled as Date values which will be displayed as their text representation along the axis. DateTime data will be evaluated\displayed as dates, regardless of the order the data is entered. (Typically used in standard financial charts).
xtpChartScaleTime |

Remarks

All charts can use the xtpChartScaleQualitative scale type. The scale type just changes how the data is processed and displayed in the chart. xtpChartScaleQualitative will display the data in the order in which it is added, regardless of the type of data. If your data is numerical and needs to be displayed in numerical order, then use the xtpChartScaleNumerical scale type. If your data is dates and you want those dates displayed in chronological order then use the xtpChartScaleDateTime scale.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartSeriesTrendlineType Enumeration

Description

Chart Series Trendline type

Members

Member | Description
xtpChartSeriesTrendlineTypeNone |
xtpChartSeriesTrendlineTypeLinear |
xtpChartSeriesTrendlineTypeMovingAverageSimple |


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

ChartStringAlignment Enumeration

Description

Defines the various alignments for the chart strings such as the title.

Members

Member | Description
xtpChartAlignNear | Left side of the chart.
xtpChartAlignCenter | Center of the chart.
xtpChartAlignFar | Right side of the chart.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.


%%PageItemTitle%%

Chart Pro ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTipText property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc. The picture below illustrates an RTF tool tip that includes bold text, colored text, underlined text, a new font, and bullets.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the specified resource to draw the window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTipText property of the chart series point will be displayed in the tool tip window.


Command Bars ActiveX Controls v19.3

Command Bars ActiveX Control v19.3
Command Bars ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
BackstageButton | Button used for Ribbon Backstage.
BackstageListBox | List box and Recent File List used for Ribbon Backstage.
BackstageSeparator | Represents the vertical and horizontal lines seen in the Ribbon Backstage.
CommandBars | Represents the command bar manager class.
CommandBarsFrame | CommandBars object that contains it's own frame. Designed for use in environments such as Access.
ImageManager | Represents a collection of icons.
PrintPreview | Used to display a print preview\print view dialog\form.
Classes
Class Module | Description
BackstageButtonPropPage | Backstage button property page
ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
CommandBar | Represents a CommandBar object. The command bar is used to display command bar controls such as toolbar buttons and popup menus
CommandBarAction | An object that contains a set of properties that can be shared among CommandBar Items.
CommandBarActions | Collection of CommandBars Action items that have been added to the CommandBars.
CommandBarButton | Represents a command bar button.
CommandBarCheckBox | Represents a command bar check box control.
CommandBarComboBox | Represents a command bar combobox.
CommandBarControl | Represents the base class of a command bar control.
CommandBarControlColorSelector | Represents a color selector control.
CommandBarControlCustom | Represents a CommandBarCustomControl object
CommandBarControls | Represents a collection of command bar controls.
CommandBarEdit | Represents a CommandBarEdit object
CommandBarGallery | Office 2007/2010 style gallery control for toolbar, menu bar, popup menu and Ribbon Bar controls.
CommandBarGalleryItem | A label, string or image item that is displayed in a CommandBarGallery.
CommandBarGalleryItems | Collection of CommandBarGalleryItem objects that are displayed in a CommandBarGallery.
CommandBarPopup | Constructs a CommandBarPopup object
CommandBarPopupColor | Represents a color picker control.
CommandBarProgress | Progress bar control for toolbars and menus.
CommandBarsContextMenus | Manages the collection of Context menus uses for this application.
CommandBarScrollBar | Scrollbar control for toolbars and menus.
CommandBarsGlobalSettings | Command Bars global settings, such as application name and resource file
CommandBarSlider | Slider control for toolbars and menus.
CommandBarsOptions | Represents an object containing various command bar options.
CustomizeOptions | Represents a customization object that allows you customize how the CommandBar customization dialog is displayed. You can choose which pages to display in the dialog, and you can add you own custom controls to the right-click context menu that is displayed during button customization when a control is right-clicked. You even have the ability to delete existing controls from the context menu.
DataObject | The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.
DataObjectFiles | A collection of strings which is the type of the Files property on the DataObject object.
DialogBar | A Dialog Bar is a toolbar that can contain any kind of control. The Dialog Bar because has the characteristics of a toolbar and dialog box (dialog box can be read as a VB Form or Picture Box). Dialog Bar's behave like toolbars and can have any control with a hWnd.
FrameShadow |
FrameShadowManager |
FrameShadows |
IFrameShadow |
IFrameShadowManager |
IFrameShadows |
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
ImageManagerPropPage | Image manager property page
IResourceImageList |
KeyBinding | Represents a key binding object.
KeyBindings | Represents a collection of key bindings ( accelerator keys ) associated with various commands in command bars.
MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.
MenuBar | MenuBar object.
MenuBarMDIMenu | MDI Menu Object.
MenuBarMDIMenus | Collection of menu bars to be used in a MDI environment.
MessageBar | Represents a Message Bar object.
MiniToolBar | Represents a MiniToolbar object.
PaintManager | Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.
PrintInfo | Printing information used by the IPrintView interface events.
PrintPageHeaderFooter |
PropExchange | Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
RecentFileList | Recent File List (MRU) object.
RecentFileListItem | Represents an item displayed in a Recent File List (MRU List) .
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
RibbonBackstageCommand |
RibbonBackstageMenuSeparator |
RibbonBackstageTab | Represents a Tab to use in the Backstage View's Tab Pane.
RibbonBackstageView | Represents the Ribbon's backstage view.
RibbonBar | Represents an Office 2007 style Ribbon Bar.
RibbonBarSystemButton | Object used to access the special properties of the Ribbon's system button.
RibbonGroup | Represents a single Ribbon Group object.
RibbonGroups | Represents a collection of RibbonGroup objects.
RibbonPaintManager | The RibbonPaintManager object is used to get and set the visual properties of the RibbonBar.
RibbonTab | Represents a tab in the Ribbon Bar.
StateOptions | The StateOptions object which is used to store the CommandBar's save settings. The save settings are a set of options that will be used to change how and what will be saved and loaded when loading and saving XML files.
StatusBar | Custom Statusbar
StatusBarPane | The StatusBarPane Object represents a single pane that can be added to the StatusBar.
StatusBarProgressPane | Represents a status bar Progress bar pane object.
StatusBarSliderPane | Represents a status bar slider pane object.
StatusBarSwitchPane | Represents a status bar switch pane object.
TabControlItem | A tab object.
TabManagerMargin | Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.
TabPaintManager | Represents the appearance of the tabs.
TabPaintManagerColorSet | The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab. The default tab colors for each theme can be changed using the ColorSet property.
TabToolBar | Represents a Tabbed ToolBar.
TabWorkspace | Represents a TabWorkspace
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
XtremePrinterInfo |
XtremePrintPreviewOptions |
Public Enumerations
Enumeration | Description
AlignmentStyle | BackstageButton text alignment styles.
OLEDragConstants | OLEDrag Constants.
OLEDropConstants | Specifies the method which the commandbars component handles OLE drag/drop operations.
PushButtonStyle | BackstageButton styles.
TextImageRelationStyle | Image and text relationship settings for a BackstageButton control.
XTPAnimationType | Specifies the type of animation
XTPBackImage |
XTPBackstageButtonControlAppearanceStyle | Backstage Button Appearance
XTPBackstageSeparatorControlAppearanceStyle | Backstage Separator Appearance
XTPBarPosition | Specifies the position of a command bar
XTPBarTextOrientation | Commandbar text orientation flags.
XTPBarType | Specifies the type of the command bar.
XTPButtonStyle | Specifies the style of a command bar button.
XTPColorManagerColor | Display element colors.
XTPComboStyle | Specifies combobox styles.
XTPCommandBarEditStyle | Specifies combo box and edit control styles.
XTPCommandBarsSpecialCommands | Special\Reserved constants used by the CommandBars for control Ids.
XTPCommandBarStyle | Specifies command bar styles
XTPControlCustomVerticalOptions | Specifies how a CommandBarControlCustom should look if the parent toolbar is docked vertically.
XTPControlFlags | Flags of the control
XTPControlHideFlags | Flags that specify why a control is hidden.
XTPControlNotify | Notification codes used by the ControlNotify event to notify the CommandBars of various actions.
XTPControlType | Specifies the type of a command bar control
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPFrameShadowManagerFlags |
XTPGalleryResizable | Gallery resize options.
XTPImageState | Specifies the state of an icon.
XTPKeyboardCuesShow | Specifies when to underline the character in menu items that indicates a shortcut key is available. These are the underlined characters used for keyboard navigation commonly called "Access Keys".
XTPKeyboardCuesUse | Specifies when to execute keyboard shortcuts for items that have underlined characters used for keyboard navigation commonly called "Access Keys".
XTPMarkupSmoothingMode | Possible rendering smoothing modes
XTPMenuBarFlags | Specifies the flags of the menu bar
XTPPrintOrientation | Specifies the page orientation for printing.
XTPRibbonBackstageStyle |
XTPRibbonTabContextColor | Ribbon tab colors used for contextual tabs.
XTPScaleMode | Changes the CommandBars measurements between twips and pixels
XTPScrollBarStyle | Scrollbar styles.
XTPShellAutoCompleteFlags | Flags to control the operation of the Combo Box and Edit Control ShellAutoComplete functionality.
XTPSliderCommand | Indicate where the status bar slider was clicked.
XTPStatusPaneStyle | The style of the status pane
XTPTabAppearanceStyle | The appearance of the tabs.
XTPTabClientFrame | The type of border that will be used around the client frame
XTPTabColorStyle | Sets the color style of the tabs for the currently set Appearance.
XTPTabDrawTextFormat | Specifies the text format used for displaying text in tab buttons.
XTPTabLayoutStyle | Specifies how the tabs will be sized within the tabbed workspace.
XTPTabPosition | The position of the tabs within the tabbed workspace.
XTPTabToolTipBehaviour | Specifies when tool tips should be displayed for tab buttons in the TabWorkspace.
XTPTextAlignment | Specifies the alignment of the text within a StatusBarPane.
XTPToolBarFlags | Specifies various command bar attributes that specify where the command bar can be docked and how the command bar wraps.
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
XTPTrackPopupFlags | Specifies various properties used when displaying a popup with the ShowPopup method.
XTPVisualTheme | Specifies the visual themes which are used to display command bars.
XTPWorkspaceButtons | Specifies which tab navigation buttons to display in the TabWorkspace.
XTPWorkspaceCommand | Specifies a TabWorkspace tab grouping command. You can use these commands to create tab groups and move tabs via code.
XTPWorkspaceNewTabPosition | The XTPWorkspaceNewTabPosition enumeration is used to specify where a new tab will appear in the tab workspace.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

BackstageButton Members

See Also Command Bars ActiveX Control v19.3

BackstageButton Control

Description

Button used for Ribbon Backstage.

For a list of all members defined in this module, see BackstageButton members.

Object Model

Remarks

The BackstageButton is used when a button is needed in the Ribbon Back Stage View's control panel or option control panel. The 3 most used properties of this button are FlatStyle, TabStyle and Style. FlatStyle enabled buttons are seen in the picture below. When Flatstyle is disabled you get buttons with a border. Tabstyle is used to get the "tab" on the side of the button. And Style can be used to create special dropdown buttons using a custom arrow (see xtpButtonDropDownNoGlyph).

See Also

BackstageButton Members


%%PageItemTitle%% $$Members$$

BackstageButton Overview

See Also Command Bars ActiveX Control v19.3

BackstageButton Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method VectorImageHeight |
Public Method VectorImageWidth |

Public Properties

Public Property Appearance | Get or sets the appearance of the button
Public Property BackColor | Gets\sets the background color of the button.
Public Property BorderGap | Gets\sets the gap between the outsided edge of the button and the contents of the button.
Public Property Caption | Gets\sets the caption of the button.
Public Property Checked | Specifies whether the button is "checked".
Public Property ControlToolTip | Specifies the tooltip text displayed when the mouse is hovered of the button.
Public Property Default | Specifies whether the button is the default button in the backstage view.
Public Property Enabled | Specifies whether the button is enabled or disabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property FlatStyle | Gets\sets the "flat" appearance of the button.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property Icon | Gets or sets a graphic to be displayed in a push button.
Public Property ImageAlignment | Gets or sets the alignment of the image on the button control.
Public Property ImageGap | Gets or sets the gap between the button's text and the image.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MultiLine | Gets or sets whether to allow the text Caption to appear on multiple lines.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property ShowShadow | Specifies whether a shadow is displayed under the button.
Public Property Style | Gets or sets the style of the button.
Public Property TabStyle | Specifies whether the button is used to display a "tab" that is used when a selected button shows contents in the backstage optional control pane. This is also referred to as "Second Tier Tabs".
Public Property TextAlignment | Gets or sets the alignment of the text on the control.
Public Property TextImageRelation | Gets or sets the text and image relation in the button.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips for the button.
Public Property Value | Returns or sets a value indicating whether the button is chosen.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event DropDown | Occurs when the button is clicked and the button Style is set to xtpButtonDropDown, xtpButtonDropDownRight or xtpButtonSplitDropDown.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

BackstageButton Overview


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Height
See Also Command Bars ActiveX Control v19.3

VectorImageHeight Method

Syntax

Public Sub VectorImageHeight( _
   ByVal Height As Long _
)

Parameters

Height

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Width
See Also Command Bars ActiveX Control v19.3

VectorImageWidth Method

Syntax

Public Sub VectorImageWidth( _
   ByVal Width As Long _
)

Parameters

Width

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Appearance Property

Description

Get or sets the appearance of the button

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPBackstageButtonControlAppearanceStyle

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

BackColor Property

Description

Gets\sets the background color of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Return Type

Returns the background color of the button.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

BorderGap Property

Description

Gets\sets the gap between the outsided edge of the button and the contents of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderGap() As Long

Return Type

Returns the gap between the outsided edge of the button and the contents of the button.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption of the button.

Remarks

This is the text that is displayed in the button. This text can be XML Markup to display formatted text.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Specifies whether the button is "checked".

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

Return Type

True if the button is checked, False otherwise.

Remarks

If True, the button is displayed in it's checked state.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ControlToolTip Property

Description

Specifies the tooltip text displayed when the mouse is hovered of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

Return Type

The tooltip text displayed when the mouse is hovered of the button.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Default Property

Description

Specifies whether the button is the default button in the backstage view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Default() As Boolean

Return Type

True if the button is the default button.

Remarks

The Backstage is not a "real" dialog, thus the Default property will not behave like it would on a typical dialog. This means you must manually process the ENTER press for the parent of this button.

Only one button on a form can be the default button. When the Default property is set to True for one button, it is automatically set to False for all other buttons on the form.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Specifies whether the button is enabled or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Return Type

True if enabled, False if disabled.

Remarks

When disabled the button will looked grayed out and won't respond to user input.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Return Type

True if Markup is enabled, False otherwise.

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

Example

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
BackStageButton.EnableMarkup = True
BackStageButton.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

FlatStyle Property

Description

Gets\sets the "flat" appearance of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Return Type

True if the button will use the flat style, False otherwise.

Remarks

The button control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional. When True, the button will not display a border and will not use shadow.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Icon Property

Description

Gets or sets a graphic to be displayed in a push button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As ImageManagerIcon

Remarks

The icon can be added at design time as well as dynamically.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ImageAlignment Property

Description

Gets or sets the alignment of the image on the button control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageAlignment() As AlignmentStyle

Remarks

You can change the image alignment by using a flag from the AlignmentStyle enumeration.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ImageGap Property

Description

Gets or sets the gap between the button's text and the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageGap() As Long

Remarks

This is the amount in pixels of the gap between the button text and the image.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

MultiLine Property

Description

Gets or sets whether to allow the text Caption to appear on multiple lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLine() As Boolean

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether a shadow is displayed under the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Return Type

True if a shadow is displayed under the button, False otherwise.

Remarks

Shadow is only used when the FlatStyle of the button is set to True. This setting is not used when FlatStyle is False.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets or sets the style of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As PushButtonStyle

Remarks

This will set the style of the button. Using xtpButtonNormal will create a normal button. The xtpButtonNormal and xtpButtonDropDownNoGlyph styles are the typical styles used to create the various types of buttons seen in the backstage view.

xtpButtonDropDownNoGlyph creates a Dropdown button with the appearance of a normal button. The DropDown event will fire when this button is clicked. This is used for Backstage buttons that look like a normal button but display a dropdown. This is also used when you want a dropdown button but want to display your own "arrow" in markup. There is a built-in resource for the 2010 style dropdown that can easily be displayed using Source='res://XTP_IDB_BUTTONDROPDOWNGLYPH'. For example, you could use this for the Caption of the BackstageButton:

"<TextBlock Margin='5, 0, 5, 0' TextWrapping='Wrap' TextAlignment='Center'>Protect Document <InlineUIContainer BaselineAlignment='Center'><Image Source='res://XTP_IDB_BUTTONDROPDOWNGLYPH'/></InlineUIContainer></TextBlock>"

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

TabStyle Property

Description

Specifies whether the button is used to display a "tab" that is used when a selected button shows contents in the backstage optional control pane. This is also referred to as "Second Tier Tabs".

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStyle() As Boolean

Return Type

True if a tab is displayed in the button, False if the button is displayed normally.

Remarks

TabStyle is used when a button will display additional information when clicked in the optional controls pane. When True a "tab" is displayed on the side of the button so that it appear to open up. This should be used in combination with the BackStageSeparator.

When True, the tab is then used as "Second Tier Tab" that is intended to show more controls in the optional control pane when clicked.

Important:

This property is only used when Checked is True.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets the alignment of the text on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As AlignmentStyle

Remarks

You can change the text alignment by using a flag from the AlignmentStyle enumeration.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

TextImageRelation Property

Description

Gets or sets the text and image relation in the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextImageRelation() As TextImageRelationStyle

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips for the button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for the button control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Value Property

Description

Returns or sets a value indicating whether the button is chosen.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Boolean

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused button.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

DropDown Event

Description

Occurs when the button is clicked and the button Style is set to xtpButtonDropDown, xtpButtonDropDownRight or xtpButtonSplitDropDown.

Syntax

Public Event DropDown()

Remarks

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Command Bars ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

KeyAscii
An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.
See Also Command Bars ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii
An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Command Bars ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
See Also Command Bars ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.
See Also Command Bars ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButton Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

BackstageButton Control


%%PageItemTitle%%

BackstageButtonPropPage Members

See Also Command Bars ActiveX Control v19.3

BackstageButtonPropPage Object

Description

Backstage button property page

For a list of all members defined in this module, see BackstageButtonPropPage members.

See Also

BackstageButtonPropPage Members


%%PageItemTitle%% $$Members$$

BackstageButtonPropPage Overview

See Also Command Bars ActiveX Control v19.3

BackstageButtonPropPage Object Members

See Also

BackstageButtonPropPage Overview


%%PageItemTitle%%

BackstageListBox Members

See Also Command Bars ActiveX Control v19.3

BackstageListBox Control

Description

List box and Recent File List used for Ribbon Backstage.

For a list of all members defined in this module, see BackstageListBox members.

Object Model

Remarks

The BackstageListBox is used to display a list box or recent file list in the ribbon backstage.

Office 2010 style recent file list:

Example

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList :

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

See Also

BackstageListBox Members


%%PageItemTitle%% $$Members$$

BackstageListBox Overview

See Also Command Bars ActiveX Control v19.3

BackstageListBox Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method CreateRecentFileListItems | Creates an Office 2010 style recent file list.
Public Method HitTest | Determines the CommandBarGalleryItem at the specified coordinates.

Public Properties

Public Property Gallery | Reference to the Office 2007/2010 style gallery used to display items in the list box.
Public Property Icons | Gets the icons used by the list box items.
Public Property Items | Collection of CommandBarGalleryItem objects that have been added to this gallery. These are the items that are displayed in the list box.
Public Property PaintManager | Contains settings that can be used to modify the way the list box displays text, popup menus, etc.
Public Property ReCreateReparented |
Public Property ShowScrollBarAlways | Specifies whether a scrollbar will always be displayed for the list, regardless of list count.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips for the items in the list box.
Public Property UseShellIcons | Set True to allow using standard icons from shell. By default False.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display list box.

Events

Public Event ItemClick | Occurs when an item is clicked in the list box.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |

See Also

BackstageListBox Overview


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

RecentFileList
Reference to the RecentFileList to populate the list box.
See Also Command Bars ActiveX Control v19.3

CreateRecentFileListItems Method

Description

Creates an Office 2010 style recent file list.

Syntax

Public Sub CreateRecentFileListItems( _
   ByVal RecentFileList As RecentFileList _
)

Parameters

RecentFileList
Reference to the RecentFileList to populate the list box.

Remarks

CreateRecentFileListItems will turn the backstage list box into an Office 2010 style recent file list. Each RecentFileListItem from the supplied RecentFileList will now have a corresponding CommandBarGalleryItem added to the backstage list box's Items collection.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

See RecentFileListItem for more information about items in the RecentFileList.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

x
X coordinate to test.
y
Y coordinate to test.
See Also Command Bars ActiveX Control v19.3

HitTest Method

Description

Determines the CommandBarGalleryItem at the specified coordinates.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As CommandBarGalleryItem

Parameters

x
X coordinate to test.
y
Y coordinate to test.

Return Type

CommandBarGalleryItem at the specified coordinates.

Remarks

HitTest is used to determine which CommandBarGalleryItem, if any, is at the specified coordinates. This can be used to determine which item was clicked or hovered over, however the ItemClick event will also get fired when an item is clicked.

Example

Private Sub RecentFileListBox_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)
If (Button = vbRightButton) Then
Dim Item As CommandBarGalleryItem
Set Item = RecentFileListBox.HitTest(x, y)

If Not Item Is Nothing Then
Debug.Print Item.Caption
End If
End If
End Sub

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

Gallery Property

Description

Reference to the Office 2007/2010 style gallery used to display items in the list box.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Gallery() As CommandBarGallery

Return Type

Reference to the Office 2007/2010 style gallery used to display items in the list box.

Remarks

The Backstage List Box uses a CommandBarGallery to display items in the list box.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Gets the icons used by the list box items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the list box items. You can add/retrieve icons from the collection to be used in the list box items. You can add the icons from an entire ImageManager control to the collection of icons.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

Items Property

Description

Collection of CommandBarGalleryItem objects that have been added to this gallery. These are the items that are displayed in the list box.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Items() As CommandBarGalleryItems

Remarks

Items contains the CommandBarGalleryItems that are displayed in the list box.

When using CreateRecentFileListItems to create a recent file list and item for each entry in the RecentFileList will be added to the CommandBarGalleryItems.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

PaintManager Property

Description

Contains settings that can be used to modify the way the list box displays text, popup menus, etc.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As PaintManager

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

ShowScrollBarAlways Property

Description

Specifies whether a scrollbar will always be displayed for the list, regardless of list count.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowScrollBarAlways() As Boolean

Return Type

True if the scrollbar is always visible, False if the scrollbar is only visible when the list has more items than can be displayed in the box.

Remarks

If true, a disabled scrollbar will get displayed when there isn't enough items to normally require a scrollbar.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips for the items in the list box.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for the items in the list box.

See the ToolTipContext object for a complete list of methods and properties.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

UseShellIcons Property

Description

Set True to allow using standard icons from shell. By default False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseShellIcons() As Boolean

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display list box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPVisualTheme

Return Type

Item from the XTPVisualTheme enumeration that specifies the theme used to display the list box.

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

Item
Reference to the CommandBarGalleryItem that was clicked.
See Also Command Bars ActiveX Control v19.3

ItemClick Event

Description

Occurs when an item is clicked in the list box.

Syntax

Public Event ItemClick( _
   ByVal Item As CommandBarGalleryItem _
)

Parameters

Item
Reference to the CommandBarGalleryItem that was clicked.

Remarks

The ItemClick event occurs when an item is clicked in the list box. Use it to get a reference to the CommandBarGalleryItem that was clicked.

Example

Private Sub RecentFileListBox_ItemClick(ByVal Item As XtremeCommandBars.ICommandBarGalleryItem)
Dim BackstageView As RibbonBackstageView

Set BackstageView = frmMain.RibbonBar.SystemButton.CommandBar
BackstageView.Close

frmMain.OpenDocument Item.Caption

End Sub

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

Example

Private Sub RecentFileListBox_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)
If (Button = vbRightButton) Then
Dim Item As CommandBarGalleryItem
Set Item = RecentFileListBox.HitTest(x, y)

If Not Item Is Nothing Then
Debug.Print Item.Caption
End If
End If
End Sub

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

Example

Private Sub RecentFileListBox_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)
If (Button = vbRightButton) Then
Dim Item As CommandBarGalleryItem
Set Item = RecentFileListBox.HitTest(x, y)

If Not Item Is Nothing Then
Debug.Print Item.Caption
End If
End If
End Sub

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageListBox Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

BackstageListBox Control


%%PageItemTitle%%

BackstageSeparator Members

See Also Command Bars ActiveX Control v19.3

BackstageSeparator Control

Description

Represents the vertical and horizontal lines seen in the Ribbon Backstage.

For a list of all members defined in this module, see BackstageSeparator members.

Remarks

This is the separator line seen in the Ribbon Backstage. It can be displayed vertically or horizontally. When Vertical the line is solid with a gradient, when horizontal it is displayed as a dashed line.

See Also

BackstageSeparator Members


%%PageItemTitle%% $$Members$$

BackstageSeparator Overview

See Also Command Bars ActiveX Control v19.3

BackstageSeparator Control Members

Public Methods

Public Method AboutBox Displays the About Box for the control.

Public Properties

Public Property Appearance | Get or sets the appearance of the separator
Public Property MarkupText |
Public Property ReCreateReparented |
Public Property Vertical | Specifies whether the separator is vertical or horizontal.

Events

Public Event ReCreated

See Also

BackstageSeparator Overview


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

BackstageSeparator Control


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

Appearance Property

Description

Get or sets the appearance of the separator

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPBackstageSeparatorControlAppearanceStyle

See Also

BackstageSeparator Control


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

MarkupText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupText() As String

See Also

BackstageSeparator Control


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

BackstageSeparator Control


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

Vertical Property

Description

Specifies whether the separator is vertical or horizontal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Vertical() As Boolean

Return Type

True if vertical, False if horizontal.

Remarks

The separator can be displayed vertically or horizontally. When Vertical the line is solid with a gradient, when horizontal it is displayed as a dashed line.

See Also

BackstageSeparator Control


%%PageItemTitle%%

BackstageSeparator Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

BackstageSeparator Control


%%PageItemTitle%%

ColorManager Members

See Also Command Bars ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Command Bars ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the CommandBars if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the CommandBars control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Command Bars ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

Example

[GetCurrentSystemTheme Sample (Visual Basic)] This sample illustrates how to use the GetCurrentSystemTheme function to determine the current Windows XP theme. If a Windows XP theme is not used, then applications using the xtpThemeOffice2003 can emulate the Windows XP Olive, Silver, and Gold themes using the SystemTheme property. Themes can be emulated on all Operating systems.

Private Sub MDIForm_Initialize()
    Dim cbColorManager As ColorManager

    Set cbColorManager = CommandBarsGlobalSettings.ColorManager

    'Get current system theme
    Select Case cbColorManager.GetCurrentSystemTheme
        'If OS is Windows XP and the theme is Olive, Silver, or Blue, then use OS settings for theme
        Case xtpSystemThemeBlue, _
             xtpSystemThemeSilver, _
             xtpSystemThemeOlive:
             'Running Windows XP and using a luna theme
             Debug.Print cbColorManager.GetCurrentSystemTheme
             CommandBars.VisualTheme = xtpThemeOffice2003

        'If OS is NOT Windows XP and\or theme is not Olive, Silver, or Blue, the set theme to Auto.
        Case xtpSystemThemeUnknown:
             cbColorManager.SystemTheme = xtpSystemThemeAuto
             CommandBars.VisualTheme = xtpThemeOfficeXP
    End Select

End Sub

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Command Bars ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

Remarks

Using SetColor for the CommandBars control will change the color of the selected element of the CommandBars to the new specified color. This will not effect the color for any other control.

SetColor applies colors globally, this means that all CommandBars controls will uses these colors.

SetSpecialColor can be used to set the colors for individual CommandBars controls without setting them globally.

NOTE: Each XTPVisualTheme that can be set for the CommandBars uses different display elements, this means that changing the color of a display element in one theme might not change the same display element in a different theme. It's also important to note that the color of the display element may vary drastically depending on whether luna colors is enabled or disabled.

Example

[Custom CommandBar colors using the SetColor function. (Visual Basic)] This sample illustrates how to use the SetColor function to create a custom CommandBar appearance.

    Dim CommandBars As CommandBars
    Set CommandBars = fMainForm.CommandBars
    CommandBars.VisualTheme = xtpThemeOffice2003
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_TOOLBAR_TEXT, vbBlack
    CommandBars.GlobalSettings.ColorManager.SetColor STDCOLOR_BTNFACE, RGB(214, 211, 206)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT_CHECKED, RGB(214, 215, 222)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT_PUSHED_BORDER, RGB(8, 36, 107)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT_CHECKED_BORDER, RGB(8, 36, 107)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT_PUSHED, RGB(181, 190, 214)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT, RGB(214, 215, 222)
    CommandBars.GlobalSettings.ColorManager.SetColor XPCOLOR_HIGHLIGHT_BORDER, RGB(8, 36, 107)
    CommandBars.GlobalSettings.ColorManager.SetColor COLOR_BTNSHADOW, RGB(214, 214, 214)
    CommandBars.Options.LunaColors = False
    CommandBars.RecalcLayout

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Command Bars ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

Example

[Retrieving CommandBar colors. (Visual Basic)] This sample illustrates how to use the Color property to retrieve the color of display elements in the CommandBars.

    Dim tbTextColor As OLE_COLOR
    tbTextColor = fMainForm.CommandBars.GlobalSettings.ColorManager.Color(XPCOLOR_TOOLBAR_TEXT)

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Command Bars ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the CommandBars if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Command Bars ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the CommandBars control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The CommandBars can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the ComandBars can use the Olive theme while the OS is running the Blue theme, this results in Olive themes CommandBars and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

CommandBar Members

See Also Command Bars ActiveX Control v19.3

CommandBar Object

Description

Represents a CommandBar object. The command bar is used to display command bar controls such as toolbar buttons and popup menus

For a list of all members defined in this module, see CommandBar members.

Object Model

See Also

CommandBar Members


%%PageItemTitle%% $$Members$$

CommandBar Overview

See Also Command Bars ActiveX Control v19.3

CommandBar Object Members

Public Methods

Public Method Delete | Deletes the command bar
Public Method EnableDocking | Enables docking of the command bar to different edges of the form or it can be "floating".
Public Method FindControl | Finds and returns the specified control within the command bar's collection of controls
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetWindowRect | Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies
Public Method ModifyStyle | Modifies the style of the command bar. This allows you to add/remove the "gripper".
Public Method RecalcLayout | Call this method to re-calculate the layout of the command bar after making a layout change.
Public Method RedrawBar | Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.
Public Method Reset | Resets the controls in the ToolBar to their original state.
Public Method SetFlags | Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar
Public Method SetIconSize | Sets the size of the actual bitmapped images to be added to the toolbar
Public Method SetPopupToolBar | Sets the specified toolbar to popup.
Public Method SetTearOffPopup | Allows a command bar associated with a popup menu to be made into a floating command bar by tearing it away from the popup menu.
Public Method ShowPopup | Displays the commandbar as a popup menu at the specified screen coordinates.

Public Properties

Public Property BarID | Gets the ID of the command bar
Public Property BuiltIn | Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.
Public Property Closeable | Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ContextMenuPresent | Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.
Public Property Controls | Gets the collection of controls on the command bar.
Public Property Customizable | Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.
Public Property CustomizeDialogPresent | Gets\sets whether the toolbar appears in the Customization Dialog.
Public Property DefaultButtonStyle | Specifies the default style that will be applied to controls added to the toolbar.
Public Property DoubleGripper | The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu.
Public Property EnableAnimation | Specifies whether to use animation effects with this command bar.
Public Property hWnd | Returns the handle of the command bar.
Public Property Parent | Gets the popup control representing the parent of the command bar.
Public Property Position | Gets/Sets the position of the command bar.
Public Property SelectedControl | Gets the currently selected control from a command bar.
Public Property ShowExpandButton | Shows or Hides the Expand Button for the Command Bar.
Public Property ShowGripper | Hides\Shows the toolbar gripper.
Public Property ShowTextBelowIcons | Shows the caption below the control's icon
Public Property TextOrientation | Gets or sets the text orientation inside the commandbar.
Public Property Title | Gets/Sets the title of the command bar.
Public Property Type | Gets the type of the command bar.
Public Property Visible | Gets/Sets a boolean value indicating whether the command bar is visible.
Public Property Width | Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

See Also

CommandBar Overview


%%PageItemTitle%%

CommandBar Object | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the command bar

Syntax

Public Sub Delete()

See Also

CommandBar Object | DeleteAll Method


%%PageItemTitle%%

CommandBar Object

dwFlags
Specifies the edges of the form to which the command bar can be docked.
See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

Enables docking of the command bar to different edges of the form or it can be "floating".

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout
Specifies the edges of the form to which the command bar can be docked.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

Type
Type of the control to find
Id
Control's identifier
Visible
Control is visible
Recursive
To find in the nested command bars
See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds and returns the specified control within the command bar's collection of controls

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type
Type of the control to find
Id
Control's identifier
Visible
Control is visible
Recursive
To find in the nested command bars

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight() As Integer

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth() As Integer

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

Left
The left point of the window rectangle
Top
The top point of the window rectangle
Right
The right point of the window rectangle
Bottom
The bottom point of the window rectangle
See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the window rectangle
Top
The top point of the window rectangle
Right
The right point of the window rectangle
Bottom
The bottom point of the window rectangle

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

Remove
Removes the style
Add
Adds a style
See Also Command Bars ActiveX Control v19.3

ModifyStyle Method

Description

Modifies the style of the command bar. This allows you to add/remove the "gripper".

Syntax

Public Sub ModifyStyle( _
   ByVal Remove As XTPCommandBarStyle, _
   ByVal Add As XTPCommandBarStyle _
)

Parameters

Remove
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.
Removes the style
Add
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.
Adds a style

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object | RedrawBar Method

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Call this method to re-calculate the layout of the command bar after making a layout change.

Syntax

Public Sub RecalcLayout()

Remarks

Call the RecalcLayout method to correctly size the command bar when the layout has changed. Layout refers to anything that changes the size of the command bar. For example, a layout change that require the RecalcLayout method to be called would be changing the caption of a Popup control (popups in the menu bar) when it is visible because the new caption could be smaller or wider, or the width of an edit control.

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

See Also

CommandBar Object | RedrawBar Method


%%PageItemTitle%%

CommandBar Object | RecalcLayout Method

See Also Command Bars ActiveX Control v19.3

RedrawBar Method

Description

Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.

Syntax

Public Sub RedrawBar()

Remarks

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

For layout changes, such as changing the caption of a visible menu item, the RecalcLayout method is used.

See Also

CommandBar Object | RecalcLayout Method


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the controls in the ToolBar to their original state.

Syntax

Public Sub Reset()

Remarks

This will reset the ToolBar to the state it was in when it was originally created. All user customizations will be lost.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

Add
Flags to be added
Remove
Flags to be removed
See Also Command Bars ActiveX Control v19.3

SetFlags Method

Description

Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar

Syntax

Public Sub SetFlags( _
   ByVal Add As XTPMenuBarFlags, _
   ByVal Remove As XTPMenuBarFlags _
)

Parameters

Add
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.
Flags to be added
Remove
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.
Flags to be removed

Example

[SetFlags Sample (Visual Basic)] This sample illustrates how to add\remove the MDI buttons displayed in the ActiveMenuBar.

    'This sample code illustrates how to add a MDI popup control on the menu bar.
    CommandBars(1).SetFlags xtpFlagAddMDISysPopup, 0

    'This sample code illustrates how to hide all MDI buttons on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMDIButtons, 0

    'This sample code illustrates how to hide the maximize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMaximizeBox, 0

    'This sample code illustrates how to hide the minimize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMinimizeBox, 0

    'This sample code illustrates how to hide the close MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideClose, 0

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

cx
Width in pixels of the toolbar's icons
cy
Height in pixels of the toolbar's icons
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the actual bitmapped images to be added to the toolbar

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width in pixels of the toolbar's icons
cy
Height in pixels of the toolbar's icons

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

ToolBarType
The type of toolbar to be popped up
See Also Command Bars ActiveX Control v19.3

SetPopupToolBar Method

Description

Sets the specified toolbar to popup.

Syntax

Public Sub SetPopupToolBar( _
   ByVal ToolBarType As Boolean _
)

Parameters

ToolBarType
The type of toolbar to be popped up

Return Type

If true, specifies that the controls in the command bar will be displayed as a popup toolbar when the command bar is displayed as a popup. If false, the controls are displayed as a normal menu

Example

[SetPopupToolBar Sample (Visual Basic)] This sample code illustrates how to create and add controls to a popup menu and display the controls in a popup toolbar.

    Dim Standard As CommandBar
    Dim BoardersPopup As CommandBarPopup

    Set Standard = CommandBars.Add("Standard", xtpBarTop)
    With Standard.Controls

        Set BoardersPopup = .Add(xtpControlSplitButtonPopup, ID_BDR_BUTTON, "Boarders")
        BoardersPopup.IconId = ID_BDR_NONE
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_OUTSIDE, "Outside"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_ALL, "All"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_TOP, "Top"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_LEFT, "Left"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE_HORZ, "Inside Horizontal"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE, "Inside"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_NONE, "None"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_BOTTOM, "Bottom"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_RIGHT, "Right"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE_VERT, "Inside Vertical"

    'This line of code specifies that the popup menu will be displayed as a toolbar popup
        BoardersPopup.CommandBar.SetPopupToolBar True
        BoardersPopup.CommandBar.Width = 120
    End With

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

Caption
The caption of the command bar when it is torn off.
Id
The id of the command bar when it is torn off.
Width
The width of the command bar when it is torn off.
See Also Command Bars ActiveX Control v19.3

SetTearOffPopup Method

Description

Allows a command bar associated with a popup menu to be made into a floating command bar by tearing it away from the popup menu.

Syntax

Public Sub SetTearOffPopup( _
   ByVal Caption As String, _
   ByVal Id As Long, _
   ByVal Width As Long _
)

Parameters

Caption
The caption of the command bar when it is torn off.
Id
The id of the command bar when it is torn off.
Width
The width of the command bar when it is torn off.

Remarks

When the popup menu is displayed, you will be able to "tear" the popup away and create a new toolbar.

Example

[SetTearOffPopup Sample (Visual Basic)] This sample code illustrates how to add your controls to a tear-off popup menu.

    Dim Standard As CommandBar
    Dim BoardersPopup As CommandBarPopup

    Set Standard = CommandBars.Add("Standard", xtpBarTop)
    With Standard.Controls

        Set BoardersPopup = .Add(xtpControlSplitButtonPopup, ID_BDR_BUTTON, "Boarders")
        BoardersPopup.IconId = ID_BDR_NONE
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_OUTSIDE, "Outside"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_ALL, "All"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_TOP, "Top"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_LEFT, "Left"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE_HORZ, "Inside Horizontal"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE, "Inside"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_NONE, "None"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_BOTTOM, "Bottom"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_RIGHT, "Right"
        BoardersPopup.CommandBar.Controls.Add xtpControlButton, ID_BDR_INSIDE_VERT, "Inside Vertical"

    'This line of code specifies that the popup menu can be "torn" off and float in a separate window.
    BoardersPopup.CommandBar.SetTearOffPopup "Boarders", IDR_BOARDERSBAR, 150

    'This line of code specifies that the popup menu will be displayed as a toolbar popup
        BoardersPopup.CommandBar.SetPopupToolBar True
        BoardersPopup.CommandBar.Width = 120
    End With

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object | ShowPopup Flags

Flags
The flags of the popup
x
The x-coordinate where the popup menu should be shown
y
The y-coordinate where the popup menu should be shown
See Also Command Bars ActiveX Control v19.3

ShowPopup Method

Description

Displays the commandbar as a popup menu at the specified screen coordinates.

Syntax

Public Function ShowPopup( _
   Optional ByVal Flags As Variant, _
   Optional ByVal x As Variant, _
   Optional ByVal y As Variant _
) As Long

Parameters

Flags
The flags of the popup
x
The x-coordinate where the popup menu should be shown
y
The y-coordinate where the popup menu should be shown

Remarks

Displays a popup menu at the specified coordinates that contains all of the controls in the command bar's collection of controls. If used with SetPopupToolBar, a popup toolbar is displayed at the desired location instead of the standard popup menu.

See Also

CommandBar Object | ShowPopup Flags


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

Gets the ID of the command bar

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

Remarks

This will not detect if the user add/deleted/modified control on the command bars, it only indicates if it is a user created command bar.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Closeable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closeable() As Boolean

Remarks

Command Bars to allows you to specify whether a specific command bar can be closed. If a command bar is not closeable, you will not be able to close or hide the command bar. You can use this to make sure that important controls are always displayed.

Note:

If Closeable is FALSE, then the Command Bar can not be un-checked in the toolbars page of the customization dialog.

Example

This sample code illustrates how to prevent the user from closing a specific command bar.

[Closeable Example (Visual Basic)]

CommandBars(2).Closeable = False

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

ContextMenuPresent Property

Description

Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextMenuPresent() As Boolean

Example

[ContextMenuPresent Sample (Visual Basic)] This sample code illustrates how to remove the first and third command bars from the popup context menu that allows you to hide the command bars.

    'This will remove the 1 and 3rd CommandBars from the ContextMenu
    CommandBars(1).ContextMenuPresent = False
    CommandBars(3).ContextMenuPresent = False

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls on the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Example

[Customizable Example 1 (Visual Basic)] This sample code illustrates how to enable command bar customization.

CommandBars.EnableCustomization (True)

[Customizable Example 2 (Visual Basic)] This sample code illustrates how to disable command bar customization for a specific command bar

CommandBars(2).Customizable = False

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

CustomizeDialogPresent Property

Description

Gets\sets whether the toolbar appears in the Customization Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomizeDialogPresent() As Boolean

Remarks

By default, CustomizeDialogPresent is True.

Set CustomizeDialogPresent to False to hide the toolbar's name inside the Customization Dialog so that the user can not hide\unhide it.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

DefaultButtonStyle Property

Description

Specifies the default style that will be applied to controls added to the toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButtonStyle() As XTPButtonStyle

Remarks

DefaultButtonStyle accepts a flag from the XTPButtonStyle enumeration that will specify the style that will be applied to all controls added to the toolbar.

After a control is added you can override this style by setting the style of the individual control.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

DoubleGripper Property

Description

The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DoubleGripper() As Boolean

Remarks

The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu. By default, if a menu item has an image and is "checked", then the image of the item will appear highlighted to indicate that it is checked. When using the Double Gripper, both a check mark and the image are displayed side-by-side.

Popup Menu using a double gripper. Notice when a menu item is checked, both a check mark and the image are drawn. | Normal Popup Menu. Notice when a menu item is checked, the image of the item becomes highlighted to indicate the item is checked.

Example

[DoubleGripper Sample (Visual Basic)] This sample illustrates how to use the DoubleGripper property to include both a check mark and an image in a popup menu.

    Dim Control As CommandBarControl
    Dim ControlEdit As CommandBarPopup

    Set ControlEdit = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&Edit", -1, False)

    ControlEdit.CommandBar.DoubleGripper = True

    With ControlEdit.CommandBar.Controls
        .Add xtpControlButton, ID_EDIT_UNDO, "&Undo", -1, False

        Set Control = .Add(xtpControlButton, ID_EDIT_CUT, "Cu&t", -1, False)
        Control.BeginGroup = True
        .Add xtpControlButton, ID_EDIT_COPY, "&Copy", -1, False
        .Add xtpControlButton, ID_EDIT_PASTE, "&Paste", -1, False

        Set Control = .Add(xtpControlButton, ID_FORMAT_ALIGNLEFT, "Align Left", -1, False)
        Control.BeginGroup = True
        .Add xtpControlButton, ID_FORMAT_CENTER, "Center", -1, False
        .Add xtpControlButton, ID_FORMAT_ALIGNRIGHT, "Align Right", -1, False
    End With

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object | Paintmanager EnableAnimation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects with this command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Command bar animation effects include checking and un-checking items, roll over effects of items, and displaying popup menus. EnableAnimation effects all of the before mentioned animation effects for this command bar only.

To disable animation in all command bars use the Paintmanager EnableAnimation property.

See Also

CommandBar Object | Paintmanager EnableAnimation Property


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the popup control representing the parent of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBarControl

Remarks

This property can be used to detect which popup control was clicked when the command bars InitCommandsPopup event is triggered.

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object | CommandBarKeyDown Event | ControlRButtonUp Event

See Also Command Bars ActiveX Control v19.3

SelectedControl Property

Description

Gets the currently selected control from a command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedControl() As CommandBarControl

Remarks

The SelectedControl property will only contain a control while a control is selected. A control is selected when it has focus. For example, then the mouse pointer is positioned over a control or the menu is navigated with the Arrow keys.

The SelectedControl property is intended to be used with the CommandBarKeyDown event. This property allows you to determine which control has focus when a key is pressed. See the CommandBarKeyDown description for an example.

See Also

CommandBar Object | CommandBarKeyDown Event | ControlRButtonUp Event


%%PageItemTitle%%

CommandBar Object | ShowExpandButtonAlways Property

See Also Command Bars ActiveX Control v19.3

ShowExpandButton Property

Description

Shows or Hides the Expand Button for the Command Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButton() As Boolean

Remarks

ShowExpandButton shows or hides the Expand Button for the individual Toolbars. To hide the Expand Button for all Command Bars, use the ShowExpandButtonAlways property.

See Also

CommandBar Object | ShowExpandButtonAlways Property


%%PageItemTitle%%

CommandBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method

See Also Command Bars ActiveX Control v19.3

ShowGripper Property

Description

Hides\Shows the toolbar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGripper() As Boolean

Remarks

By default, a toolbar will display a gripper that is used to indicate that the toolbar can be "gripped" and moved by the user. The gripper is cosmetic only, removing the gripper will not disable movement of the toolbar. ShowGripper can also be used to determine if the gripper is currently visible.

The ModifyStyle method can also be used to show\hide the gripper using the XTP_CBRS_GRIPPER flag.

Note:

To modify where the toolbar can be docked, you need to use the EnableDocking to specify where a toolbar can be docked.

See Also

CommandBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

ShowTextBelowIcons Property

Description

Shows the caption below the control's icon

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelowIcons() As Boolean

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

TextOrientation Property

Description

Gets or sets the text orientation inside the commandbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextOrientation() As XTPBarTextOrientation

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Gets/Sets the title of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the command bar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBar Object


%%PageItemTitle%%

CommandBar Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBar Object


%%PageItemTitle%%

CommandBarAction Members

See Also Command Bars ActiveX Control v19.3

CommandBarAction Object

Description

An object that contains a set of properties that can be shared among CommandBar Items.

For a list of all members defined in this module, see CommandBarAction members.

Remarks

The CommandBarActions Collection allows you to add and access CommandBarAction items to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

How it works:

Each CommandBar item has an Id. Items with the same Id can then share a common set of properties. A CommandBarAction object, represented as "Item Actions" in the diagram below, is a set of properties that all items of a specified Id can share. When you add an Action you will specify the Id, Caption, TooltipText, DescriptionText, and Category of the action. The Id is the Id you will assign to CommandBar items that you cant to use the properties of the action. Now any CommandBar item with the same Id as an Action will use the properties of the action. When updating any property of the action it will automatically update all occurences of the item, no matter how many a user might have added, if it is in a popup menu, or in a toolbar. You will no longer have to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars.

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBarAction that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

In the diagram below, the "Menu Item," "Toolbar Item" and "User Customized Item (user created toolbar)" all share the same "Item Action." When you modify the properties of the action it will update all occurences of the item.

See Also

CommandBarAction Members

Example

Using CommandBar Actions


%%PageItemTitle%% $$Members$$

CommandBarAction Overview

See Also Command Bars ActiveX Control v19.3

CommandBarAction Object Members

Public Properties

Public Property Caption | Gets\sets the text caption of the action.
Public Property Category | Gets\sets the category of the action.
Public Property Checked | Gets\set the checked state of the action.
Public Property CustomShortcutText |
Public Property DescriptionText | Gets\sets the text that will be displayed in the status bar on mouseover for action.
Public Property EditHint | Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.
Public Property Enabled | Gets\sets the enabled state of the action.
Public Property IconId | Gets/ Sets the icon's identifier of the action.
Public Property Id | Gets/Sets the numeric identifier of the action.
Public Property Key | "String" version of the Id given to a command in the CommandBars Designer. (For use with CommandBars designed in the CommandBars Designer Studio)
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property ShortcutText | Gets/Sets the shortcut text of the control.
Public Property Tag | Stores any extra data needed for your program.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.

See Also

CommandBarAction Overview


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets\sets the text caption of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

This is the text that is displayed if the item that uses it is a menu item or a toolbar item using the xtpButtonIconAndCaption button style.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets\sets the category of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

Remarks

The Category of an item is used to group items displayed in the commandbars customization dialog. The Category is used for items that are added to the DesignerControls collection during the Customization event.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets\set the checked state of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

Remarks

The Checked property is used to check\uncheck all items that use the related action.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Gets\sets the text that will be displayed in the status bar on mouseover for action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

EditHint Property

Description

Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditHint() As String

Remarks

The edit hint is displayed in the edit window until the drop-down button is pressed, or the the user clicks inside the edit control.

See Also

CommandBarAction Object

Example

EditHint Property

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets\sets the enabled state of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the icon's identifier of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the action.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Key Property

Description

"String" version of the Id given to a command in the CommandBars Designer. (For use with CommandBars designed in the CommandBars Designer Studio)

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

Remarks

The key property is the "string" version of the Id given to a command in the CommandBars Designer. "String" version refers to the fact that a named constant is created in the designer, for example ID_FILE_NEW, can also be referenced buy the actual string "ID_FILE_NEW" which is stored in the key property.

In the designer actions must be enabled as in the diagram below.

This can be useful for developers who have older applications that referenced controls by name rather than by an Id.

Steps needed to use the key property:

1. In the Designer add all actions you need to the ActionLibrary pane ( and Save them).

Note: The Actions Pane is a way to save and "Re-use" commands. Always add controls to this library first so they can be re-used in other xcb or xml files.
2. Now you need to drag the actions from the ActionLibrary pane to the Controls pane and then from the Controls pane to the Toolbars and Menus.
3. In your code use the Key property instead of the Id.

Example

[Visual Basic]

Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)
  If Not Control.Action Is Nothing Then
    Select Case Control.Action.Key
      Case "ID_FILE_NEW": MsgBox "New"
      Case "ID_FILE_OPEN": MsgBox "Open"
      Case "ID_FILE_SAVE": MsgBox "Save"
    End Select
  End If
End Sub

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarAction Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

You can use this property to assign an identification string to a CommandBarAction object without affecting any of its other property settings or causing side effects.

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarAction Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarAction Object


%%PageItemTitle%%

CommandBarActions Members

See Also Command Bars ActiveX Control v19.3

CommandBarActions Collection

Description

Collection of CommandBars Action items that have been added to the CommandBars.

For a list of all members defined in this module, see CommandBarActions members.

Object Model

Remarks

The CommandBarActions Collection allows you to add and access CommandBars Action items to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

How it works:

Each CommandBar item has an Id. Items with the same Id can then share a common set of properties. A CommandBars Action object, represented as "Item Actions" in the diagram below, is a set of properties that all items of a specified Id can share. When you add an Action you will specify the Id, Caption, TooltipText, DescriptionText, and Category of the action. The Id is the Id you will assign to CommandBar items that you cant to use the properties of the action. Now any CommandBar item with the same Id as an Action will use the properties of the action. When updating any property of the action it will automatically update all occurences of the item, no matter how many a user might have added, if it is in a popup menu, or in a toolbar. You will no longer have to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars.

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

In the diagram below, the "Menu Item," "Toolbar Item" and "User Customized Item (user created toolbar)" all share the same "Item Action." When you modify the properties of the action it will update all occurences of the item.

Example

[Using CommandBar Actions (Visual Basic)] This sample illustrates how to use CommandBar Actions to update the properties of items that appear in multiple places in your commandbars.

    'Enable the use of actions
    CommandBars.EnableActions

    'Create Actions to be used by CommandBar items. You can create the action before
    'or after the CommandBar Items are added, but if you create them before like this sample
    'be sure not to overwrite any of the 5 properties of the actions when the CommandBar
    'item is added.
    CommandBars.Actions.Add ID_FILE_NEW, "&New", "New", "Create a new document", "File"
    CommandBars.Actions.Add ID_FILE_OPEN, "&Open", "Open", "Open an existing document", "File"
    CommandBars.Actions.Add ID_FILE_SAVE, "&Save", "Save", "Save the active document", "File"
    CommandBars.Actions.Add ID_FILE_PRINT, "&Print", "Print", "Print the active document", "File"
    CommandBars.Actions.Add ID_FILE_PRINT_SETUP, "&Print Setup", "Print Setup", "Change the printing options", "File"
    CommandBars.Actions.Add ID_FILE_CLOSE, "&Close", "Close", "Close the active document", "File"

    Dim Control As CommandBarControl
    Dim ControlFile As CommandBarPopup

    'Add some CommandBar items.
    Set ControlFile = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&File")
    With ControlFile.CommandBar.Controls
        .Add xtpControlButton, ID_FILE_NEW, ""
        .Add xtpControlButton, ID_FILE_OPEN, ""
        .Add xtpControlButton, ID_FILE_SAVE, ""
        Set Control = .Add(xtpControlButton, ID_FILE_PRINT, "")
        Control.BeginGroup = True
        .Add xtpControlButton, ID_FILE_PRINT_SETUP, ""
        Set Control = .Add(xtpControlButton, ID_FILE_EXIT, "")
        Control.BeginGroup = True
    End With

    Dim ToolBar As CommandBar
    Set ToolBar = CommandBars.Add("Standard", xtpBarTop)
    With ToolBar.Controls
        .Add xtpControlButton, ID_FILE_NEW, ""
        .Add xtpControlButton, ID_FILE_OPEN, ""
        .Add xtpControlButton, ID_FILE_SAVE, ""
        Set Control = .Add(xtpControlButton, ID_FILE_PRINT, "")
        Control.BeginGroup = True
    End With

    'Disable ALL items with Id ID_FILE_SAVE
    CommandBars.Actions(ID_FILE_SAVE).Enabled = False

    'Change the DescriptionText of ALL items with Id ID_FILE_PRINT
    CommandBars.Actions(ID_FILE_PRINT).DescriptionText = "Print the current document to a file"

    'Change the ToolTipText of ALL items with Id ID_FILE_OPEN
    CommandBars.Actions(ID_FILE_OPEN).ToolTipText = "Open an existing document"

See Also

CommandBarActions Members


%%PageItemTitle%% $$Members$$

CommandBarActions Overview

See Also Command Bars ActiveX Control v19.3

CommandBarActions Collection Members

Public Methods

Public Method Add | Adds a CommandBarAction to the commandbars collection of actions.
Public Method Delete |
Public Method DeleteAll | Removes all CommandBarAction objects from the commandbars collection of actions.

Public Properties

Public Property Action | Collection of CommandBarAction objects that have been added to the commandbars collection of actions.
Public Property Count | Returns the total number of actions that have been added.

See Also

CommandBarActions Overview


%%PageItemTitle%%

CommandBarActions Collection

Id
Id of the CommandBar items that will use this action.
Caption
Text caption of the items that use this action.
TooltipText
Tooltip for items that use this action.
DescriptionText
Text displayed in the status bar when using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.
Category
Category of the items that use this action. The category is used for items that are added to the DesignerControls collection in the Customization event and determines how the items are categorized in the Customization dialog.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a CommandBarAction to the commandbars collection of actions.

Syntax

Public Function Add( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal TooltipText As String, _
   ByVal DescriptionText As String, _
   ByVal Category As String _
) As CommandBarAction

Parameters

Id
Id of the CommandBar items that will use this action.
Caption
Text caption of the items that use this action.
TooltipText
Tooltip for items that use this action.
DescriptionText
Text displayed in the status bar when using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.
Category
Category of the items that use this action. The category is used for items that are added to the DesignerControls collection in the Customization event and determines how the items are categorized in the Customization dialog.

Return Type

Returns a reference to the CommandBarAction that was just added.

Remarks

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

See Also

CommandBarActions Collection

Example

Adding CommandBar Actions Sample


%%PageItemTitle%%

CommandBarActions Collection

Id
See Also Command Bars ActiveX Control v19.3

Delete Method

Syntax

Public Sub Delete( _
   ByVal Id As Long _
)

Parameters

Id

See Also

CommandBarActions Collection


%%PageItemTitle%%

CommandBarActions Collection | Add Method | Count Property

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Removes all CommandBarAction objects from the commandbars collection of actions.

Syntax

Public Sub DeleteAll()

See Also

CommandBarActions Collection | Add Method | Count Property


%%PageItemTitle%%

CommandBarActions Collection | Add Method | CommandBarAction Object

Id
Id of the CommandBarAction to return.
See Also Command Bars ActiveX Control v19.3

Action Property

Description

Collection of CommandBarAction objects that have been added to the commandbars collection of actions.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Action( _
   ByVal Id As Long _
) As CommandBarAction

Parameters

Id
Id of the CommandBarAction to return.

Remarks

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

The Action Collection allows you to add and access CommandBars Action items for your CommandBars items.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

See Also

CommandBarActions Collection | Add Method | CommandBarAction Object

Example

Using CommandBars Actions Sample


%%PageItemTitle%%

CommandBarActions Collection | Add Method | Action Property

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Returns the total number of actions that have been added.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBarActions Collection | Add Method | Action Property


%%PageItemTitle%%

CommandBarButton Members

See Also Command Bars ActiveX Control v19.3

CommandBarButton Object

Description

Represents a command bar button.

For a list of all members defined in this module, see CommandBarButton members.

Object Model

See Also

CommandBarButton Members


%%PageItemTitle%% $$Members$$

CommandBarButton Overview

See Also Command Bars ActiveX Control v19.3

CommandBarButton Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the button from the command bar.
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize | Sets the size of the icon used for the control.

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control.
Public Property StyleEx |
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarButton Overview


%%PageItemTitle%%

CommandBarButton Object

Recursive
True to copy recursively. This means to copy the parent control and any children it might have.
See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive
True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the button from the command bar.

Syntax

Public Sub Delete()

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarButton Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

cx
Width in pixels.
cy
Height in pixels.
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the icon used for the control.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width in pixels.
cy
Height in pixels.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarButton Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

Remarks

If True, as soon as you click on a command in the popup menu, the menu will be closed. By default, CloseSubMenuOnClick is True.

If False, the menu will remain open after the command in the popup menu is clicked. This property must be set for each command. This can be useful if some items in the menu are Checked. This will allow you to make multiple selections from the popup menu without having to open up the menu for each selection, the menu will stay displayed the entire time.

NOTE: This will not work with a CustomControl. You can use the ClosePopups method to close a CustomControl popup menu when a user clicks on one of the controls added to the CustomControl.

Example

[CloseSubMenuOnClick Sample (Visual Basic)] This sample illustrates how to use the CloseSubMenuOnClick property. If False, the popup menu will not close when the control is clicked.

'Const ID_THEME_OFFICE = 130
'Const ID_THEME_DEFAULT = 131
'Const ID_THEME_OFFICE2003 = 132
'Const ID_THEME_NATIVEXP = 133

    Dim ControlThemes As CommandBarPopup

    'This will add a popup menu called "Themes" to the ActiveMenuBar, you can select from
    'four different themes.
    Set ControlThemes = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&Themes")
    With ControlThemes.CommandBar.Controls
        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE, "Office XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_DEFAULT, "Office 2000")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE2003, "Office 2003")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_NATIVEXP, "Windows XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False
    End With

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarButton Object | Execute Event


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarButton Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarButton Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarButton Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

StyleEx Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StyleEx() As XTPButtonStyle

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarButton Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarButton Object


%%PageItemTitle%%

CommandBarCheckBox Members

See Also Command Bars ActiveX Control v19.3

CommandBarCheckBox Object

Description

Represents a command bar check box control.

For a list of all members defined in this module, see CommandBarCheckBox members.

Object Model

See Also

CommandBarCheckBox Members


%%PageItemTitle%% $$Members$$

CommandBarCheckBox Overview

See Also Command Bars ActiveX Control v19.3

CommandBarCheckBox Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the button from the command bar.
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize | Sets the size of the icon used for the control.

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarCheckBox Overview


%%PageItemTitle%%

CommandBarCheckBox Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the button from the command bar.

Syntax

Public Sub Delete()

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarCheckBox Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

cx

Width in pixels.

cy

Height in pixels.

See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the icon used for the control.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

Width in pixels.

cy

Height in pixels.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarCheckBox Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

Remarks

If True, as soon as you click on a command in the popup menu, the menu will be closed. By default, CloseSubMenuOnClick is True.

If False, the menu will remain open after the command in the popup menu is clicked. This property must be set for each command. This can be useful if some items in the menu are Checked. This will allow you to make multiple selections from the popup menu without having to open up the menu for each selection, the menu will stay displayed the entire time.

NOTE: This will not work with a CustomControl. You can use the ClosePopups method to close a CustomControl popup menu when a user clicks on one of the controls added to the CustomControl.

Example

[CloseSubMenuOnClick Sample (Visual Basic)] This sample illustrates how to use the CloseSubMenuOnClick property. If False, the popup menu will not close when the control is clicked.

'Const ID_THEME_OFFICE = 130
'Const ID_THEME_DEFAULT = 131
'Const ID_THEME_OFFICE2003 = 132
'Const ID_THEME_NATIVEXP = 133

    Dim ControlThemes As CommandBarPopup

    'This will add a popup menu called "Themes" to the ActiveMenuBar, you can select from
    'four different themes.
    Set ControlThemes = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&Themes")
    With ControlThemes.CommandBar.Controls
        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE, "Office XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_DEFAULT, "Office 2000")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE2003, "Office 2003")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_NATIVEXP, "Windows XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False
    End With

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarCheckBox Object | Execute Event


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarCheckBox Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarCheckBox Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarCheckBox Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarCheckBox Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarCheckBox Object


%%PageItemTitle%%

CommandBarComboBox Members

See Also Command Bars ActiveX Control v19.3

CommandBarComboBox Object

Description

Represents a command bar combobox.

For a list of all members defined in this module, see CommandBarComboBox members.

Object Model

See Also

CommandBarComboBox Members


%%PageItemTitle%% $$Members$$

CommandBarComboBox Overview

See Also Command Bars ActiveX Control v19.3

CommandBarComboBox Object Members

Public Methods

Public Method AddItem | Adds a string to the control's combobox.
Public Method Clear | Remvoes all items from the control's combobox.
Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the combo box from the command bar.
Public Method Execute | Executes the control
Public Method FindItem | Finds an item in the control's combobox.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method RemoveItem | Removes an item from the control's comboxbox.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property AutoComplete | Enables or disabled Auto Completion.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property CommandBar | Commandbar used as a popup menu for the combo box.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property DropDownListStyle | Gets/Sets the drop-down style of the combobox.
Public Property DropDownWidth | Gets/Sets the dropdown width of the control's combo.
Public Property EditHandle | The EditHandle property stores a reference to the HANDLE (hWnd) of the combo box edit control.
Public Property EditHint | Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.
Public Property EditIconId | Id of the icon to be displayed in the edit control.
Public Property EditStyle | Specifies or retrieves the style of the combo box control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property HasFocus | The HasFocus property specifies whether the combo box control currently has focus.
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property ItemData | The ItemData property is used to set or retreive the Long value associated with a List item.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property List | The List property gets the combo box item at the specified index.
Public Property ListCount | Gets the number of items in the combobox.
Public Property ListIconId | Base id for icons that are displayed in the dropdown list.
Public Property ListIndex | Gets the index of the currently selected combobox item.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShellAutoComplete | Enables or disables the system's shell auto completion functionality.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control.
Public Property Text | Call this member to get the currently selected item's text.
Public Property TextLimit | Gets or sets the maximum number of charachters that can be entered.
Public Property ThemedItems | Gets or sets whether selected items in the combo box will use the currently set commandbars theme.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Sets/Gets the width of the control.

See Also

CommandBarComboBox Overview


%%PageItemTitle%%

CommandBarComboBox Object

Text
The string which is to be added.
Index
The index of the new item.
See Also Command Bars ActiveX Control v19.3

AddItem Method

Description

Adds a string to the control's combobox.

Syntax

Public Sub AddItem( _
   ByVal Text As String, _
   Optional ByVal Index As Variant _
)

Parameters

Text
The string which is to be added.
Index
The index of the new item.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Clear Method

Description

Remvoes all items from the control's combobox.

Syntax

Public Sub Clear()

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the combo box from the command bar.

Syntax

Public Sub Delete()

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

Text
The string by which to search for the item
See Also Command Bars ActiveX Control v19.3

FindItem Method

Description

Finds an item in the control's combobox.

Syntax

Public Function FindItem( _
   ByVal Text As String _
) As Long

Parameters

Text
The string by which to search for the item

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

nIndex
The index of the item to remove.
See Also Command Bars ActiveX Control v19.3

RemoveItem Method

Description

Removes an item from the control's comboxbox.

Syntax

Public Sub RemoveItem( _
   ByVal nIndex As Long _
)

Parameters

nIndex
The index of the item to remove.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarComboBox Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarComboBox Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarComboBox Object | ShellAutoComplete Property

See Also Command Bars ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

Using AutoComplete will cause the combo box to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the combo box's list of items. Using ShellAutoComplete will cause the combo box to make suggestion from the file system, recent web history, etc. Both AutoComplete and ShellAutoComplete can be used at the same time.

In the picture below, "Ari" was typed and the combo box was created using the code in the example below.

Example

[AutoComplete Sample (Visual Basic)] This sample illustrates how to use the combo box AutoComplete functionality. Using AutoComplete will cause the combo box to auto complete suggest an item as you type from the combo box's list of items.

Private Sub Form_Load()
    Dim Control As CommandBarComboBox
    Set Control = CommandBars1.ActiveMenuBar.Controls.Add(xtpControlComboBox, 100, "Font")
    Control.Width = 150
    Control.AutoComplete = True
    Control.DropDownListStyle = True
    Control.AddItem "Arial"
    Control.AddItem "Lucida Handwriting"
    Control.AddItem "Arial Black"
    Control.AddItem "Algerian"
    Control.AddItem "Verdana"
    Control.AddItem "Arabic Transparent"
    Control.AddItem "Times New Roman"
    Control.AddItem "Arial Unicode MS"
    Control.AddItem "Courier New"
    Control.AddItem "Tahoma"
    Control.AddItem "Microsoft San Serif"
    Control.AddItem "Arial Narrow"
    Control.EditHint = "Select Font"
End Sub

See Also

CommandBarComboBox Object | ShellAutoComplete Property


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Commandbar used as a popup menu for the combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

Remarks

You can use the CommandBar property to add normal commandbar items and display them as a popup when the combo box button is clicked. The popup can be treated like any other commandbar popup. To use the commandbar popup all that is needed to so add items to the CommandBar object.

If no items are added to the CommandBar then the standard list box will be used to display items. Any items added with the AddItem method will use the standard list box.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

DropDownListStyle Property

Description

Gets/Sets the drop-down style of the combobox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownListStyle() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

DropDownWidth Property

Description

Gets/Sets the dropdown width of the control's combo.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownWidth() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

EditHandle Property

Description

The EditHandle property stores a reference to the HANDLE (hWnd) of the combo box edit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditHandle() As Integer

Remarks

Through the use of Windows API, the EditHandle can be used to for functions such as applying styles to the edit control.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

EditHint Property

Description

Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditHint() As String

Remarks

The edit hint is displayed in the edit window until the drop-down button is pressed, or the the user clicks inside the edit control.

Example

[EditHint Sample (Visual Basic)] This sample illustrates how to use the EditHint property with the edit control.

Private Sub Form_Load()
    Dim Control1 As CommandBarEdit
    Set Control1 = CommandBars1.ActiveMenuBar.Controls.Add(xtpControlEdit, 100, "URL")
    Control1.Width = 300
    Control1.ShellAutoComplete = xtpShellAutoCompleteAll
    Control1.EditHint = "Enter You Text Here"
End Sub

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

EditIconId Property

Description

Id of the icon to be displayed in the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditIconId() As Long

Remarks

The EditIconId is the id of an image stored in the CommandBars.Icons collection that will be displayed in the edit control. This can be used to mimic web browser functionality to display the favorite icon for a website.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | XTPCommandBarEditStyle Enumeration

See Also Command Bars ActiveX Control v19.3

EditStyle Property

Description

Specifies or retrieves the style of the combo box control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As XTPCommandBarEditStyle

See Also

CommandBarComboBox Object | XTPCommandBarEditStyle Enumeration


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarComboBox Object | Execute Event


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

HasFocus Property

Description

The HasFocus property specifies whether the combo box control currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HasFocus() As Boolean

Remarks

The HasFocus property can be tested in the Update event to check whether the combo box control has received focus.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | List Property

Index
Contains a One-based index of the item data to set or retreive. The data stored at Index of ItemData corresponds to the item in List with the same Index. Note that ItemData can not be assigned to index 0.
See Also Command Bars ActiveX Control v19.3

ItemData Property

Description

The ItemData property is used to set or retreive the Long value associated with a List item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemData( _
   ByVal Index As Long _
) As Long

Parameters

Index
Contains a One-based index of the item data to set or retreive. The data stored at Index of ItemData corresponds to the item in List with the same Index. Note that ItemData can not be assigned to index 0.

Remarks

The ItemData property is used to stored additional information for each item in the combo box. ItemData can be associated with each item in the List collection. The combo box displays the items in the List collection in it's drop-down list.

Note: ItemData can not be assigned to the List item at index 0.

Example

[Combo List Items with Data (Visual Basic)] This sample illustrates how to associate data with the items in the combo box drop down list.

    'Id of Combo box control
    Dim ID_FONT_COMBO = 500

    Dim ToolBar As CommandBar

    'Adds a toolbar
    Set ToolBar = CommandBars.Add("Standard", xtpBarTop)
    With ToolBar.Controls

        Dim ControlComboFont As CommandBarComboBox

        'Adds a combo box control
        Set ControlComboFont = .Add(xtpControlComboBox, ID_FONT_COMBO, "Font: ")

        'Drop-down list width is 60 pixels
        ControlComboFont.Width = 60

        'Add an item to the combo list
        ControlComboFont.AddItem "Times New Roman", 1

        'Associate some data with the item and index 1 in the List collection
        ControlComboFont.ItemData(1) = 14
        ControlComboFont.AddItem "Arial", 2
        ControlComboFont.ItemData(2) = 10
        ControlComboFont.AddItem "Tahoma", 3
        ControlComboFont.ItemData(3) = 12
        ControlComboFont.DropDownListStyle = True

        'Displays the "empty" item in the combo box. No ItemData can be associated with this item.
        ControlComboFont.ListIndex = 0

    End With

    Dim ControlComboBox As CommandBarComboBox
    Set ControlComboBox = CommandBars.FindControl(, ID_FONT_COMBO)

    If Not ControlComboBox Is Nothing Then
        Dim iCount As Long
        For iCount = 1 To ControlComboBox.ListCount
            Debug.Print "Font: " & ControlComboBox.List(iCount) & ", Size: " & ControlComboBox.ItemData(iCount) & "."
        Next
    End If

See Also

CommandBarComboBox Object | List Property


%%PageItemTitle%%

CommandBarComboBox Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarComboBox Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | ItemData Property

Index
The index of the item to retrieve.
See Also Command Bars ActiveX Control v19.3

List Property

Description

The List property gets the combo box item at the specified index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property List( _
   ByVal Index As Long _
) As String

Parameters

Index
The index of the item to retrieve.

Remarks

The list item at index zero (0) is reserved for the empty string, if Index is 0, then nothing will be displayed in the combo box. ItemData can not be associated with the item with Index 0.

See Also

CommandBarComboBox Object | ItemData Property


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ListCount Property

Description

Gets the number of items in the combobox.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ListCount() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ListIconId Property

Description

Base id for icons that are displayed in the dropdown list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListIconId() As Long

Remarks

ListIconId is the id of the icon that will be displayed for the first item in the list. The icon id for the next item in the list will be ListIconId + 1, ListIconId + 2, ListIconId + 3, etc... This allows you to have and icon displayed next to each item in the dropdown list.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ListIndex Property

Description

Gets the index of the currently selected combobox item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListIndex() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarComboBox Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarComboBox Object | XTPShellAutoCompleteFlags Enumeration

See Also Command Bars ActiveX Control v19.3

ShellAutoComplete Property

Description

Enables or disables the system's shell auto completion functionality.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShellAutoComplete() As XTPShellAutoCompleteFlags

Remarks

Using ShellAutoComplete is similar to what is seen in Windows Explorer or Internet Explorer. As text is typed into the combo box, the shell will drop down a list of suggestions. For example, using the xtpShellAutoCompleteUrlHistory flag will cause the combo box to make suggestions from the Internet Explorer recent history.

Please see the XTPShellAutoCompleteFlags enumeration for a detailed description of the flags that control the operation of ShellAutoComplete.

Both the Combo Box and Edit Control can use the ShellAutoComplete feature.

To use ShellAutoComplete, Auto Complete must be enabled on the system. You can change the Auto Complete settings manually by launching the Internet Options property sheet from the ControlPanel and clicking the Content tab, then click on the "AutoComplete" button. Make sure "Use AutoComplete for Web Addressed" is checked.

ShellAutoComplete requires Internet Explorer 5.0 or greater to be installed.

The picture below shows an combo box control using the xtpShellAutoCompleteFileSysOnly flag. The code in the example below was used to create this sample.

Example

[Combo Box ShellAutoComplete Sample (Visual Basic)] This sample illustrates how to use the shell auto complete feature of the combo box.

Private Sub Form_Load()
    CommandBars1.Icons = ImageManager1.Icons

    Dim Control As CommandBarComboBox
    Set Control = CommandBars1.ActiveMenuBar.Controls.Add(xtpControlComboBox, 100, "Location")
    Control.Width = 200
    Control.ShellAutoComplete = xtpShellAutoCompleteFileSysOnly
    Control.DropDownListStyle = True
    Control.EditIconId = 101
End Sub

See Also

CommandBarComboBox Object | XTPShellAutoCompleteFlags Enumeration


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarComboBox Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Text Property

Description

Call this member to get the currently selected item's text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

TextLimit Property

Description

Gets or sets the maximum number of charachters that can be entered.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLimit() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ThemedItems Property

Description

Gets or sets whether selected items in the combo box will use the currently set commandbars theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedItems() As Boolean

Remarks

Themed items refers to items in the dropdown list when they become selected. This occurs when the mouse is moved over an item in the dropdown list.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Sets/Gets the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarComboBox Object


%%PageItemTitle%%

CommandBarControl Members

See Also Command Bars ActiveX Control v19.3

CommandBarControl Object

Description

Represents the base class of a command bar control.

For a list of all members defined in this module, see CommandBarControl members.

Object Model

See Also

CommandBarControl Members


%%PageItemTitle%% $$Members$$

CommandBarControl Overview

See Also Command Bars ActiveX Control v19.3

CommandBarControl Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property CommandBar | Call this member to set/get the child command bar.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets\sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarControl Overview


%%PageItemTitle%%

CommandBarControl Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarControl Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarControl Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Call this member to set/get the child command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarControl Object | Execute Event


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarControl Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarControl Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarControl Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControl Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarControl Object


%%PageItemTitle%%

CommandBarControlColorSelector Members | CreateCommandBarControl Method | CreateCommandBar Method

See Also Command Bars ActiveX Control v19.3

CommandBarControlColorSelector Object

Description

Represents a color selector control.

For a list of all members defined in this module, see CommandBarControlColorSelector members.

Object Model

Remarks

The CreateCommandBarControl method must be used to create a CommandBarControlColorSelector object.

Example

[CXTPControlColorSelector Sample (Visual Basic)] This sample illustrates how to create and use a CXTPControlColorSelector object.

    Dim ControlPopupColor As CommandBarPopupColor
    Set ControlPopupColor = CommandBars.CreateCommandBarControl("CXTPControlPopupColor")
    ControlPopupColor.Id = ID_TEXT_HIGHLIGHTCOLOR
    ControlPopupColor.ToolTipText = "Highlight Color"
    ControlPopupColor.Style = xtpButtonIcon

    GroupFont.AddControl ControlPopupColor

    Dim PopupColor As CommandBar
    Set PopupColor = CommandBars.Add("Color Popup", xtpBarPopup)
    PopupColor.SetPopupToolBar True
    Set ControlPopupColor.CommandBar = PopupColor

    Set Control = PopupColor.Controls.Add(xtpControlButton, 0, "Auto")
    Control.Width = 148

    Dim ControlColorSelector As CommandBarControlColorSelector
    Set ControlColorSelector = CommandBars.CreateCommandBarControl("CXTPControlColorSelector")
    ControlColorSelector.Id = ID_TEXT_HIGHLIGHTCOLOR

    PopupColor.Controls.AddControl ControlColorSelector

    Set Control = PopupColor.Controls.Add(xtpControlButton, 0, "More Colors...")
    Control.Width = 148

See Also

CommandBarControlColorSelector Members | CreateCommandBarControl Method | CreateCommandBar Method


%%PageItemTitle%% $$Members$$

CommandBarControlColorSelector Overview | CreateCommandBarControl Method | CreateCommandBar Method

See Also Command Bars ActiveX Control v19.3

CommandBarControlColorSelector Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Not Used
Public Property CloseSubMenuOnClick | Not Used
Public Property Color | Gets\sets the currently selected color for the color selector.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Not Used
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Not Used
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Not Used
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Not Used
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Not Used

See Also

CommandBarControlColorSelector Overview | CreateCommandBarControl Method | CreateCommandBar Method


%%PageItemTitle%%

CommandBarControlColorSelector Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarControlColorSelector Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarControlColorSelector Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Color Property

Description

Gets\sets the currently selected color for the color selector.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

In the picture below, the Color property would contain the color for the currently selected item, which is blue.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarControlColorSelector Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarControlColorSelector Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Not Used

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarControlCustom Members

See Also Command Bars ActiveX Control v19.3

CommandBarControlCustom Object

Description

Represents a CommandBarCustomControl object

For a list of all members defined in this module, see CommandBarControlCustom members.

Object Model

See Also

CommandBarControlCustom Members


%%PageItemTitle%% $$Members$$

CommandBarControlCustom Overview

See Also Command Bars ActiveX Control v19.3

CommandBarControlCustom Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |
Public Method SetSize | Set the size of a custom control.

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group
Public Property Caption | Gets/Sets the caption of the control
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls that are the siblings of this control
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Gets/Sets the description text of the control
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Handle | Gets the window handle that the control is bound to
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets\sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control
Public Property VerticalOptions | Specifies how a CommandBarControlCustom should look if the parent toolbar is docked vertically.
Public Property Visible | Gets/Sets a boolean value indication whether the control is visible
Public Property Width | Gets\set the width of the control.

See Also

CommandBarControlCustom Overview


%%PageItemTitle%%

CommandBarControlCustom Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarControlCustom Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetSize Method

Description

Set the size of a custom control.

Syntax

Public Sub SetSize( _
   ByVal cx As Integer, _
   ByVal cy As Integer _
)

Parameters

cx
cy

Return Type

Used to resize a custom control. Can be used after switching icon sizes so the custom control's size matched the new icon size.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarControlCustom Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls that are the siblings of this control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Gets/Sets the description text of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarControlCustom Object | Execute Event


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Description

Gets the window handle that the control is bound to

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Long

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarControlCustom Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarControlCustom Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarControlCustom Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object | XTPControlCustomVerticalOptions Enumeration

See Also Command Bars ActiveX Control v19.3

VerticalOptions Property

Description

Specifies how a CommandBarControlCustom should look if the parent toolbar is docked vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalOptions() As XTPControlCustomVerticalOptions

Remarks

When a CommandBarControlCustom is in toolbar docked vertically, how the CommandBarControlCustom will be displayed will depend on the XTPControlCustomVerticalOptions flag assigned to the VerticalOptions property.

If VerticalOptions is set to xtpVerticalButton, you can assign an icon to be used when the control is displayed as a button if the IconId is set.

See Also

CommandBarControlCustom Object | XTPControlCustomVerticalOptions Enumeration


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indication whether the control is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarControlCustom Object


%%PageItemTitle%%

CommandBarControls Members

See Also Command Bars ActiveX Control v19.3

CommandBarControls Collection

Description

Represents a collection of command bar controls.

For a list of all members defined in this module, see CommandBarControls members.

Object Model

See Also

CommandBarControls Members


%%PageItemTitle%% $$Members$$

CommandBarControls Overview

See Also Command Bars ActiveX Control v19.3

CommandBarControls Collection Members

Public Methods

Public Method Add | Adds a new command bar control to the collection.
Public Method AddControl | Adds an existing command bar control to the collection.
Public Method CreateOriginalControls | Creates a "restore point" for the controls in the command bar.
Public Method DeleteAll | Deletes all of the command bar controls from the collection
Public Method Find | Finds the specified control

Public Properties

Public Property Count | Gets the number of controls in the collection.
Public Property Item | Gets an item from the collection by its index.
Public Property OriginalControls | Returns a CommandBarControls collection that contains all of the controls that were added at the time of creation or from the last time CreateOriginalControls was called.
Public Property Parent | Gets the popup control representing the parent of the command bar

See Also

CommandBarControls Overview


%%PageItemTitle%%

CommandBarControls Collection

Type
The type of control to be added.
Id
Identifier of the control to be added.
Caption
The caption of the control to be added.
Before
The index of an existing control that the new control should will be added before.
Temporary
A boolean value indicating whether the control is temporary. Temporary controls will not be saved to the system registry when the application is closed (If SaveCommandBars is used), and they will not be restored when the application is opened (If LoadCommandBars is used).
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a new command bar control to the collection.

Syntax

Public Function Add( _
   ByVal Type As XTPControlType, _
   ByVal Id As Long, _
   ByVal Caption As String, _
   Optional ByVal Before As Variant, _
   Optional ByVal Temporary As Variant _
) As CommandBarControl

Parameters

Type
Value | Description
xtpControlError | Used with the Find method. Used to specify "any" control type.
xtpControlButton | Specifies the button control style. This is a normal command bar button that is used in the menu bar and toolbars.
xtpControlPopup | Specifies the popup control style. This will add a control that displays a caption with no image. When clicked, a popup menu will display any added controls.
xtpControlButtonPopup | Specifies the button popup control style. This will add a control that displays an image with no caption. When clicked, a popup menu will display any added controls. The caption can be shown by setting the control Style property using an XTPButtonStyle flag.
xtpControlSplitButtonPopup | Specifies the split button popup control style.
xtpControlComboBox | Specifies the combobox control style. This will add a combobox control to your command bar.
xtpControlEdit | Specifies the edit control style. This will add an edit box control to your command bar.
xtpControlCustom | Specifies the custom control style. This allows you to add any control you want to your command bar. For example, you can add a progress bar or slider control to your command bar.
xtpControlLabel | Specifies the Label control style. This will add a control that is used for informational purposes only. This command will not respond to the mouse and can not receive focus. The background will be displayed in a different color. You can use this to display helpful information about your popup menu.
xtpControlCheckBox Specifies the CheckBox control style. When using this style the control's checked property is used to determine whether the check box is checked or un-checked.

xtpControlGallery Specifies the Galley control style. Galleries can be placed in normal toolbars, popup menus, and ribbon groups.

xtpControlRadioButton | Specifies the Radio\Option button control style. This will add an Radio\Option button control to your command bar.
The type of control to be added.
Id
Identifier of the control to be added.
Caption
The caption of the control to be added.
Before
The index of an existing control that the new control should will be added before.
Temporary
A boolean value indicating whether the control is temporary. Temporary controls will not be saved to the system registry when the application is closed (If SaveCommandBars is used), and they will not be restored when the application is opened (If LoadCommandBars is used).

Return Type

The newly added CommandBarControl object.

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection

Control
A CommandBarControl to add to the collection. For example, a control created using a Clone method.
Before
The index of an existing control that the new control should will be added before.
See Also Command Bars ActiveX Control v19.3

AddControl Method

Description

Adds an existing command bar control to the collection.

Syntax

Public Sub AddControl( _
   ByVal Control As CommandBarControl, _
   Optional ByVal Before As Variant _
)

Parameters

Control
A CommandBarControl to add to the collection. For example, a control created using a Clone method.
Before
The index of an existing control that the new control should will be added before.

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection | OriginalControls Property | Reset Method

See Also Command Bars ActiveX Control v19.3

CreateOriginalControls Method

Description

Creates a "restore point" for the controls in the command bar.

Syntax

Public Sub CreateOriginalControls()

Remarks

When the Reset method is called for a commandbar, the commandbar will be reset to the time it was created, any user added controls or developer added controls will be removed. CreateOriginalControls is used to create a new set of OriginalControls from the state the commandbar is currently in, this is like creating a "restore point" for the commandbar.

See Also

CommandBarControls Collection | OriginalControls Property | Reset Method


%%PageItemTitle%%

CommandBarControls Collection

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Deletes all of the command bar controls from the collection

Syntax

Public Sub DeleteAll()

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection

Type
The type of the control to be found
Id
The identifier of the control to be found
Visible
TRUE if the control is visible
Recursive
TRUE to find in the nested command bars
See Also Command Bars ActiveX Control v19.3

Find Method

Description

Finds the specified control

Syntax

Public Function Find( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type
The type of the control to be found
Id
The identifier of the control to be found
Visible
TRUE if the control is visible
Recursive
TRUE to find in the nested command bars

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Gets the number of controls in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection

Index
The index of the item.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Gets an item from the collection by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBarControl

Parameters

Index
The index of the item.

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarControls Collection | CreateOriginalControls Method

See Also Command Bars ActiveX Control v19.3

OriginalControls Property

Description

Returns a CommandBarControls collection that contains all of the controls that were added at the time of creation or from the last time CreateOriginalControls was called.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OriginalControls() As CommandBarControls

See Also

CommandBarControls Collection | CreateOriginalControls Method


%%PageItemTitle%%

CommandBarControls Collection

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the popup control representing the parent of the command bar

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarControls Collection


%%PageItemTitle%%

CommandBarEdit Members

See Also Command Bars ActiveX Control v19.3

CommandBarEdit Object

Description

Represents a CommandBarEdit object

For a list of all members defined in this module, see CommandBarEdit members.

Object Model

See Also

CommandBarEdit Members


%%PageItemTitle%% $$Members$$

CommandBarEdit Overview

See Also Command Bars ActiveX Control v19.3

CommandBarEdit Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether a control is a separator and thus begins a new group
Public Property BuddyButtonId | Gets\sets the id of the button to use as a buddy for the edit control.
Public Property Caption | Gets/Sets the caption of the control
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls that are the siblings of this control
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Gets/Sets the description text of the control
Public Property EditHandle | The EditHandle property stores a reference to the HANDLE (hWnd) of the edit control.
Public Property EditHint | Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.
Public Property EditIconId | Id of the icon to be displayed in the edit control.
Public Property EditStyle | Specifies or retrieves the style of the edit box control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property HasFocus | The HasFocus property specifies whether the Edit control currently has focus.
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property NumericOnly |
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control
Public Property ReadOnly | The ReadOnly property specifies whether the Edit Control is ReadOnly.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShellAutoComplete | Enables or disables the system's shell auto completion functionality.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property ShowLabel | Gets/Sets whether the label of the edit control is to be shown
Public Property ShowSpinButtons | Specifies whether to use spin buttons instead of a drop-down button to display\change the value in the edit control.
Public Property Style | Gets\sets the style of the control.
Public Property Text | Gets the currently selected item's text
Public Property TextLimit | Specifies the number of chrachters that can be entered into the edit box.
Public Property TooltipText | Gets/Sets the tooltip text for the control
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible
Public Property Width | Gets/Sets the width of the control

See Also

CommandBarEdit Overview


%%PageItemTitle%%

CommandBarEdit Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The Right point of the control rectangle.
Bottom
The Bottom point of the control rectangle.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarEdit Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a control

Syntax

Public Sub SetFocus()

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarEdit Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether a control is a separator and thus begins a new group

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

BuddyButtonId Property

Description

Gets\sets the id of the button to use as a buddy for the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BuddyButtonId() As Long

Return Type

The id of the button to use as a buddy for the edit control.

Remarks

This allows you to add a button to the edit control.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls that are the siblings of this control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Gets/Sets the description text of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

EditHandle Property

Description

The EditHandle property stores a reference to the HANDLE (hWnd) of the edit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditHandle() As Integer

Remarks

Through the use of Windows API, the EditHandle can be used to for functions such as applying styles to the edit control.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

EditHint Property

Description

Gets\set the grayed-out text displayed in the edit control that displays a helpful description of what the control is used for.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditHint() As String

Remarks

The edit hint is displayed in the edit window until the drop-down button is pressed, or the the user clicks inside the edit control.

Example

[EditHint Sample (Visual Basic)] This sample illustrates how to use the EditHint property with the edit control.

Private Sub Form_Load()
    Dim Control As CommandBarEdit
    Set Control = CommandBars.ActiveMenuBar.Controls.Add(xtpControlEdit, 100, "URL")
    Control.Width = 300
    Control.ShellAutoComplete = xtpShellAutoCompleteAll
    Control.EditHint = "Enter You Text Here"
End Sub

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

EditIconId Property

Description

Id of the icon to be displayed in the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditIconId() As Long

Remarks

The EditIconId is the id of an image stored in the CommandBars.Icons collection that will be displayed in the edit control. This can be used to mimic web browser functionality to display the favorite icon for a website.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | XTPCommandBarEditStyle Enumeration

See Also Command Bars ActiveX Control v19.3

EditStyle Property

Description

Specifies or retrieves the style of the edit box control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As XTPCommandBarEditStyle

See Also

CommandBarEdit Object | XTPCommandBarEditStyle Enumeration


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarEdit Object | Execute Event


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

HasFocus Property

Description

The HasFocus property specifies whether the Edit control currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HasFocus() As Boolean

Remarks

The HasFocus property can be tested in the Update event to check whether the edit control has received focus.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarEdit Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

NumericOnly Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property NumericOnly() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

ReadOnly Property

Description

The ReadOnly property specifies whether the Edit Control is ReadOnly.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

Remarks

Set ReadOnly to TRUE to make the Edit Control ReadOnly. If the Edit Control is ReadOnly the text in the Edit Control can not be changed and text can not be added. However, the user can highlight the text to copy it.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarEdit Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarEdit Object | XTPShellAutoCompleteFlags Enumeration

See Also Command Bars ActiveX Control v19.3

ShellAutoComplete Property

Description

Enables or disables the system's shell auto completion functionality.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShellAutoComplete() As XTPShellAutoCompleteFlags

Remarks

Using ShellAutoComplete is similar to what is seen in Windows Explorer or Internet Explorer. As text is typed into the edit control, the shell will drop down a list of suggestions. For example, using the xtpShellAutoCompleteUrlHistory flag will cause the combo box to make suggestions from the Internet Explorer recent history.

Please see the XTPShellAutoCompleteFlags enumeration for a detailed description of the flags that control the operation of ShellAutoComplete.

Both the Combo Box and Edit Control can use the ShellAutoComplete feature.

To use ShellAutoComplete, Auto Complete must be enabled on the system. You can change the Auto Complete settings manually by launching the Internet Options property sheet from the ControlPanel and clicking the Content tab, then click on the "AutoComplete" button. Make sure "Use AutoComplete for Web Addressed" is checked.

ShellAutoComplete requires Internet Explorer 5.0 or greater to be installed.

The picture below shows an edit control using the xtpShellAutoCompleteUrlHistory flag. The code in the example below was used to create this sample.

Example

[Edit Control ShellAutoComplete Sample (Visual Basic)] This sample illustrates how to use the Shell Auto Complete functionality of the Edit Control.

Private Sub Form_Load()
    Dim Control As CommandBarEdit
    Set Control = CommandBars.ActiveMenuBar.Controls.Add(xtpControlEdit, 100, "URL")
    Control.Width = 200
    Control.ShellAutoComplete = xtpShellAutoCompleteUrlHistory
    Control.EditHint = "Type URL Here"
End Sub

See Also

CommandBarEdit Object | XTPShellAutoCompleteFlags Enumeration


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

ShowLabel Property

Description

Gets/Sets whether the label of the edit control is to be shown

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLabel() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

ShowSpinButtons Property

Description

Specifies whether to use spin buttons instead of a drop-down button to display\change the value in the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSpinButtons() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarEdit Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Text Property

Description

Gets the currently selected item's text

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

TextLimit Property

Description

Specifies the number of chrachters that can be entered into the edit box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLimit() As Long

Example

[[New Example] (Visual Basic)]

  Dim ControlEdit1 As CommandBarEdit
  Set ControlEdit1 = AddButton(ToolBar.Controls, xtpControlEdit, ID_FILE_NEW)
  ControlEdit1.TextLimit = 4

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarEdit Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets/Sets the width of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarEdit Object


%%PageItemTitle%%

CommandBarGallery Members | CommandBarGalleryItem Object | CommandBarGalleryItems Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | CommandBar Property | ShowLabels Property | ShowScrollBar Property | Width Property

See Also Command Bars ActiveX Control v19.3

CommandBarGallery Object

Description

Office 2007/2010 style gallery control for toolbar, menu bar, popup menu and Ribbon Bar controls.

For a list of all members defined in this module, see CommandBarGallery members.

Object Model

Remarks

The Office 2007/2010 style CommandBarGallery object is a control that displays a collection of CommandBarGalleryItem objects that can be scrolled and displayed in a popup menu. CommandBarGallery objects can be displayed in a standard toolbar, popup menu, and a Ribbon Bar group.

CreateGalleryItems must be used to create a CommandBarGalleryItems collection before adding CommandBarGalleryItem objects to a gallery. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control.

The CommandBar property is used to add a popup toolbar to the gallery. This will also add a popup button to the bottom of the scroll bar that the user can click to display the popup. When a CommandBarGalleryItem is added to the CommandBar a popup button will automatically appear at the bottom of the scroll bar of the gallery. When the user clicks on the button the popup toolbar is displayed. A popup toolbar is commonly used to contain another CommandBarGallery object that contains the same items displayed in the parent gallery, only allot more of the gallery is displayed.

The picture below shows the popup button that is added to the the gallery when an items is added to the gallerie's CommandBar.

Scroll bars are used to scroll through the items in a gallery if they are not all currently visible. By default a scroll bar will be displayed for all galleries, regardless of whether it needs one. ShowScrollBar can is used to remove the scroll bar for galleries that do not need them. The Width and Height properties are used to specify the width and height of the gallery. They can be used to ensure that all items will be visible so no scroll bars would be needed. When a gallery is displayed in a standard toolbar usually only the width is set, when displayed in a popup toolbar both width and height are commonly set. EnsureVisible will "ensure" that the item with the specified index is visible in the gallery. This will scroll the items in the gallery until the item is visible.

Label controls are added using the AddLabel method. Labels are used to organize\group the items in the gallery. ShowLabels will hide or show labels that have been added to the gallery.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add CommandBarGalleryItem objects to the Item collection and the DeleteAll and DeleteAt methods are used to delete items from the Item collection.

The illustration below shows a gallery control which contains both label and normal gallery items.

The Icons property allows you to use a separate ImageManagerIcons collection for each collection of gallery items, or you can use the same collection for all. These are the images used for CommandBarGalleryItem objects that display an image. The Id of the CommandBarGalleryItem object is used to uniquely identify the control. Label items will have and Id of 0 by default, you can change this if you like, but the AddLabel method does not allow you to set it at the time of creation. Label items can not display icons. So the ImageIndex property will not be used for a Label item.

The ItemHeight and ItemWidth properties specify the width and height of all the CommandBarGalleryItem objects in a Gallery Items Collection. Setting ItemWidth to 0 (zero) tells the gallery to auto size the width of items to best fit.

The CheckedItem property holds the index of an item in the gallery's collection of items that is displayed as "checked." There can only be one checked item in a gallery. The checked item will remain displayed as checked until another is marked as checked. To have no items checked, set CheckedItemto -1.

The illustration below show what an item looks like when checked and selected.

The DrawItem event is called before each CommandBarGalleryItem in a CommandBarGallery is drawn. The DrawItem event is used to override the standard drawing functionality of the CommandBarGalleryItem(s) in a CommandBarGallery. This can be very useful to draw custom gallery items.

The illustration below shows a galley control that is used as a color selector. The color squares in the gallery are all custom drawn in the DrawItem event.

ClipItems specifies whether drawing optimization is used when drawing the CommandBarGalleryItem objects in a gallery. Drawing optimization means that only the item that is checked, the selected item, and previously selected item are re-drawn.

See Also

CommandBarGallery Members | CommandBarGalleryItem Object | CommandBarGalleryItems Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | CommandBar Property | ShowLabels Property | ShowScrollBar Property | Width Property

Example

Adding a Gallery to a Combo Popup | Custom Drawing Gallery Items


%%PageItemTitle%% $$Members$$

CommandBarGallery Overview | CommandBarGalleryItem Object | CommandBarGalleryItems Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | CommandBar Property | ShowLabels Property | ShowScrollBar Property | Width Property

See Also Command Bars ActiveX Control v19.3

CommandBarGallery Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the gallery control to a specified menu bar\ribbon bar or toolbar in the indicated position.
Public Method Delete | Deletes the gallery control.
Public Method EnsureVisible | The ensures that an item in the gallery is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the Gallery control.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to the gallery control.
Public Method SetIconSize |
Public Method SetItemsMargin | Sets the margin\padding placed around the items in the gallery.

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Specifies whether to place a separator before the gallery control.
Public Property Caption | Gets\sets the caption of the gallery.
Public Property Category | Gets\sets the category of the gallery control.
Public Property CheckedItem | Specifies the index of an item in the gallery's collection of items that should be marked as "checked".
Public Property CloseSubMenuOnClick | Gets\set whether the gallery will close as soon as the user makes a mouse click on the the gallery or an item in the gallery when the gallery is displayed as a popup.
Public Property CommandBar | Used to add a popup toolbar to the gallery. This will also add a popup button to the bottom of the scroll bar that the user can click to display the popup.
Public Property Controls | Gets the collection of controls which are the siblings of this gallery control.
Public Property CustomShortcutText |
Public Property DescriptionText | Gets\sets the text that is displayed in the status bar when the mouse is positioned anywhere over a gallery.
Public Property Enabled | Gets\sets whether the gallery is enabled.
Public Property EnableTransparency |
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Height | Gets\sets the height of the gallery.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property Id | Gets\sets the Id of the control.
Public Property Index | Returns the Index of the gallery control within the parent commandbar\ribbon bar's collection of controls.
Public Property Items | Collection of CommandBarGalleryItem objects that have been added to this gallery.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the gallery control. This is the equivalent to the "Tag" property.
Public Property Parent | Returns a reference to the parent commandbar or ribbonbar control.
Public Property Resizable | Gets or sets whether the popup gallery can be resized by the user
Public Property RibbonGroup | Returns a reference to the ribbongroup control that this gallery has been added to.
Public Property ScrollPos | Gets\sets the scroll bar position of the gallery when all items are not currently visible.
Public Property SelectedItem | Gets\sets the currently selected CommandBarGalleryItem in the gallery.
Public Property ShowBorders | Specifies whether to display a border around the entire gallery.
Public Property ShowLabels | Specifies whether label controls will be displayed in the gallery.
Public Property ShowScrollBar | Specifies whether a scroll bar is displayed for a gallery.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Get\sets whether the gallery is visible.
Public Property Width | Gets\sets the width of the gallery.

See Also

CommandBarGallery Overview | CommandBarGalleryItem Object | CommandBarGalleryItems Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | CommandBar Property | ShowLabels Property | ShowScrollBar Property | Width Property


%%PageItemTitle%%

CommandBarGallery Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

Bar
The CommandBar that the CommandBarGallery control will be copied to.
Before
The index of the control within the CommandBar the CommandBarGallery is being copied to. The CommandBarGallery control will be added before the item with the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the gallery control to a specified menu bar\ribbon bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarGallery control will be copied to.
Before
The index of the control within the CommandBar the CommandBarGallery is being copied to. The CommandBarGallery control will be added before the item with the given index.

Return Type

A reference to the new CommandBarGallery control (copy of original)

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the gallery control.

Syntax

Public Sub Delete()

Remarks

Deletes the gallery control.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

Index
Index of a CommandBarGalleryItem within the gallerie's collection of items to ensue is visible.
See Also Command Bars ActiveX Control v19.3

EnsureVisible Method

Description

The ensures that an item in the gallery is visible.

Syntax

Public Sub EnsureVisible( _
   ByVal Index As Integer _
)

Parameters

Index
Index of a CommandBarGalleryItem within the gallerie's collection of items to ensue is visible.

Remarks

EnsureVisible will "ensure" that the item with the specified Index is visible in the gallery. This will scroll the items in the gallery until the item is visible.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

Left
[out] The left point of the gallery control rectangle.
Top
[out] The Top point of the gallery control rectangle.
Right
[out] The Right point of the gallery control rectangle.
Bottom
[out] The Bottom point of the gallery control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the Gallery control.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The left point of the gallery control rectangle.
Top
[out] The Top point of the gallery control rectangle.
Right
[out] The Right point of the gallery control rectangle.
Bottom
[out] The Bottom point of the gallery control rectangle.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | Caption Property

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

The CommandBarGallery control does not make use of the icon and style properties. So the only property rest is the Caption.

See Also

CommandBarGallery Object | Caption Property


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to the gallery control.

Syntax

Public Sub SetFocus()

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

Left
Left margin of the gallery.
Top
Top margin of the gallery.
Right
Right margin of the gallery.
Bottom
Bottom margin of the gallery.
See Also Command Bars ActiveX Control v19.3

SetItemsMargin Method

Description

Sets the margin\padding placed around the items in the gallery.

Syntax

Public Sub SetItemsMargin( _
   ByVal Left As Integer, _
   ByVal Top As Integer, _
   ByVal Right As Integer, _
   ByVal Bottom As Integer _
)

Parameters

Left
Left margin of the gallery.
Top
Top margin of the gallery.
Right
Right margin of the gallery.
Bottom
Bottom margin of the gallery.

Remarks

The SetItemsMargin method places "padding" around the entire gallery, not individual items.

The diagram below shows a gallery displayed with default margins, then the same gallery with a 10 pixel padding on all sides.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarGallery Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Specifies whether to place a separator before the gallery control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of the gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is only used to identify the gallery control in the commandbars customization dialog.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets\sets the category of the gallery control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

Remarks

The category of the gallery control is used to group the controls when they are displayed in the CommandBars customization dialog.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | CommandBarGalleryItems Object | SelectedItem Property

See Also Command Bars ActiveX Control v19.3

CheckedItem Property

Description

Specifies the index of an item in the gallery's collection of items that should be marked as "checked".

Property type

Read-write property

Syntax (Visual Basic)

Public Property CheckedItem() As Integer

Remarks

The CheckedItem property holds the index of an item in the gallery's collection of items that is displayed as "checked." There can only be one checked item in a gallery. The checked item will remain displayed as checked until another is marked as checked. To have no items checked, set CheckedItem to -1.

The illustration below show what an item looks like when checked and selected.

See Also

CommandBarGallery Object | CommandBarGalleryItems Object | SelectedItem Property


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the gallery will close as soon as the user makes a mouse click on the the gallery or an item in the gallery when the gallery is displayed as a popup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

Remarks

By default, if the gallery or any item in the gallery is clicked when the gallery is display in a popup commandbar the popup will be closed. Sometimes you would like the user to be able to click on the popup without closing as soon as an item is selected. The CloseSubMenuOnClick property can be used to keep the popup containing the gallery from closing when the gallery or items in the gallery are clicked.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Used to add a popup toolbar to the gallery. This will also add a popup button to the bottom of the scroll bar that the user can click to display the popup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

Remarks

Galleries can also have a popup toolbar to display additional items. When an item is added to the CommandBar a popup button will automatically appear at the bottom of the scroll bar of the gallery. When the user clicks on the button the popup toolbar is displayed. A popup toolbar is commonly used to contain another CommandBarGallery object that contains the same items displayed in the parent gallery, only allot more of the gallery is displayed.

Note if you have hidden the scroll bars the popup button will not be displayed. In this case the user can press the Alt key, then navigate to the gallery with the keyboard, once the gallery of items has been scrolled all the way to the bottom using the down arrow key the popup for the gallery will be displayed.

Note: The only valid type of commandbar that can be used with a gallery is of type xtpBarPopup.

The picture below shows the popup button that is added to the the gallery when an items is added to the gallerie's CommandBar.

The picture below show the popup commandbar after the gallery popup button was clicked. The popup commandbar in the picture below has a gallery and commandbarbutton control added. The gallery in the popup is using the same item set as the parent gallery.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this gallery control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

Remarks

The controls in the CommandBarControls object that contain the controls of the gallery control's parent.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Gets\sets the text that is displayed in the status bar when the mouse is positioned anywhere over a gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets\sets whether the gallery is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

When a gallery is disabled you can not select\click on any of the items in the gallery and if scroll bars and\or popup toolbars are added the buttons to scroll and popup up are disabled.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

EnableTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableTransparency() As Boolean

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarGallery Object | Execute Event


%%PageItemTitle%%

CommandBarGallery Object | Width Property

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\sets the height of the gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Remarks

The height of the gallery can be adjusted using the Height property. If there are more items than can be viewed in the gallery the scroll bar will be needed to access the items not visible. Or you can adjust the Width and Height of the gallery so that all items can be viewed.

See Also

CommandBarGallery Object | Width Property


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets\sets the Id of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id of the control is used in the Execute and Update events, as well as in the FindControl method and in CommandBars Actions.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Returns the Index of the gallery control within the parent commandbar\ribbon bar's collection of controls.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The Index of the gallery control is just the position in the parent control's collection of commandbar controls.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | AddItem Method | AddLabel Method | DeleteAll Method | DeleteAt Method | CreateGalleryItems Method

See Also Command Bars ActiveX Control v19.3

Items Property

Description

Collection of CommandBarGalleryItem objects that have been added to this gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Items() As CommandBarGalleryItems

Remarks

Before adding items to a gallery the CreateGalleryItems method must be used to create a CommandBarGalleryItems collection. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control. See the example below.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add items to a gallery.

The illustration below shows a gallery control which contains both label and normal gallery items.

Example

[Adding Items to a Gallery (Visual Basic)] This sample illustrates how to add items to a gallery.

    Dim ComboPopup As CommandBar, GalleryFont As CommandBarGallery, ItemsFont As CommandBarGalleryItems
    Dim GallerySize As CommandBarGallery, ItemsSize As CommandBarGalleryItems

    Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

    Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
    GalleryFont.Width = 290
    GalleryFont.Height = 508

    'First create a CommandBarGalleryItems collection using the
    'same Id as the gallery does
    Set ItemsFont = CommandBars.CreateGalleryItems(ID_FONT_FACE)
    ItemsFont.ItemWidth = 0
    ItemsFont.ItemHeight = 26

    ItemsFont.AddLabel "Recently Used Fonts"
    ItemsFont.AddItem 1, "Arial"
    ItemsFont.AddItem 2, "Tahoma"

    ItemsFont.AddLabel "All Fonts"
    For i = 1 To Screen.FontCount
        ItemsFont.AddItem i, Screen.Fonts(i)
    Next i

    'Now set the Gallery.Items collection to the ItemsFont collections
    'that contains the gallery items
    Set GalleryFont.Items = ItemsFont
    Set Combo.CommandBar = ComboPopup

See Also

CommandBarGallery Object | AddItem Method | AddLabel Method | DeleteAll Method | DeleteAt Method | CreateGalleryItems Method


%%PageItemTitle%%

CommandBarGallery Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarGallery Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the gallery control. This is the equivalent to the "Tag" property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

Remarks

The Parameter property can store any extra data needed for your program.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | RibbonGroup Property

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Returns a reference to the parent commandbar or ribbonbar control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

Remarks

If the gallery is used in a ribbon bar, then Parent will contain a reference to the ribbon bar. If the gallery is on commandbar, then Parent will contain a reference to the parent commandbar.

See Also

CommandBarGallery Object | RibbonGroup Property


%%PageItemTitle%%

CommandBarGallery Object | XTPGalleryResizable Enumeration

See Also Command Bars ActiveX Control v19.3

Resizable Property

Description

Gets or sets whether the popup gallery can be resized by the user

Property type

Read-write property

Syntax (Visual Basic)

Public Property Resizable() As XTPGalleryResizable

Remarks

The Resizable property uses flags from the XTPGalleryResizable enumeration to allow popup galleries to be resized.

See Also

CommandBarGallery Object | XTPGalleryResizable Enumeration


%%PageItemTitle%%

CommandBarGallery Object | Parent Property

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Returns a reference to the ribbongroup control that this gallery has been added to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

Remarks

If the gallery is used in a RibbonGroup, then RibbonGroup will contain a reference to the ribbongroup the gallery has been added to. If the gallery is on commandbar, then RibbonGroup will contain null.

See Also

CommandBarGallery Object | Parent Property


%%PageItemTitle%%

CommandBarGallery Object | ShowScrollBar Property

See Also Command Bars ActiveX Control v19.3

ScrollPos Property

Description

Gets\sets the scroll bar position of the gallery when all items are not currently visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollPos() As Integer

Remarks

Gets\sets the scroll bar position of the gallery when all items are not currently visible.

See Also

CommandBarGallery Object | ShowScrollBar Property


%%PageItemTitle%%

CommandBarGallery Object | CheckedItem Property

See Also Command Bars ActiveX Control v19.3

SelectedItem Property

Description

Gets\sets the currently selected CommandBarGalleryItem in the gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItem() As CommandBarGalleryItem

Remarks

SelectedItem returns a reference to the currently selected CommandBarGalleryItem, an item is selected when the mouse cursor is hovered over the item or when the keyboard is used to navigate items.

If you would like to "check" an item in the gallery, you should set the CheckedItem property to the id of the currently selected item.

The illustration below show what an item looks like when checked and selected.

See Also

CommandBarGallery Object | CheckedItem Property


%%PageItemTitle%%

CommandBarGallery Object | SetItemsMargin Method

See Also Command Bars ActiveX Control v19.3

ShowBorders Property

Description

Specifies whether to display a border around the entire gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorders() As Boolean

Remarks

By default a thin border is drawn around the entire gallery. ShowBorders is used to hide or display the border.

In the diagram below SetItemsMargin was used to expand the margin by 10 pixels to make it easier to see the thin border that is displayed around the entire gallery.

See Also

CommandBarGallery Object | SetItemsMargin Method


%%PageItemTitle%%

CommandBarGallery Object | AddLabel Method | ShowScrollBar Property | ShowBorders Property | CommandBarGalleryItems Object

See Also Command Bars ActiveX Control v19.3

ShowLabels Property

Description

Specifies whether label controls will be displayed in the gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLabels() As Boolean

Remarks

Label controls are added using the AddLabel method. Labels are used to organize\group the items in the gallery. ShowLabels will hide or show labels that have been added to the gallery.

It is common to use the same collection of CommandBarGalleryItems for multiple galleries. For example, you might display the same gallery in both the toolbar and as a popup so the entire gallery can be viewed. When a gallery is displayed in a toolbar labels are not normally displayed, but when displaying all the items in a gallery, as you might in a popup the labels should be shown.

The diagram below illustrates a gallery that has been added to a popup and is displaying label controls.

The diagram below shows a gallery added to a normal toolbar that is using the same collection of CommandBarGalleryItems as the diagram above, only the labels are hidden so you can see more items.

See Also

CommandBarGallery Object | AddLabel Method | ShowScrollBar Property | ShowBorders Property | CommandBarGalleryItems Object


%%PageItemTitle%%

CommandBarGallery Object | Height Property | Width Property | ScrollPos Property

See Also Command Bars ActiveX Control v19.3

ShowScrollBar Property

Description

Specifies whether a scroll bar is displayed for a gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowScrollBar() As Boolean

Remarks

Scroll bars are used to scroll through the items in a gallery if they are not all currently visible. By default a scroll bar will be displayed for all galleries, regardless of whether it needs one. ShowScrollBar can is used to remove the scroll bar for galleries that do not need them.

The Width and Height properties are used to specify the width and height of the gallery. They can be used to ensure that all items will be visible so no scroll bars would be needed. When a gallery is displayed in a standard toolbar usually only the width is set, when displayed in a popup toolbar both width and height are commonly set.

See Also

CommandBarGallery Object | Height Property | Width Property | ScrollPos Property


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

Remarks

Will always return xtpControlGallery since this is a gallery.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Get\sets whether the gallery is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

The gallery can be hidden if Visible is set to False.

The gallery can also be hidden because the size of the ribbon\toolbar is not large enough to display the gallery. For example, when the width of the application is too small to display all of the toolbars.

See Also

CommandBarGallery Object


%%PageItemTitle%%

CommandBarGallery Object | Height Property

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\sets the width of the gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The width of the gallery can be adjusted using the Width property. Items in the gallery will fill from left-to-right until they reach the width of the gallery, then they will wrap to the next line.

See Also

CommandBarGallery Object | Height Property


%%PageItemTitle%%

CommandBarGalleryItem Members | CommandBarGallery Object | Gallery Items Collection | AddItem Method | AddLabel Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CreateGalleryItems Method

See Also Command Bars ActiveX Control v19.3

CommandBarGalleryItem Object

Description

A label, string or image item that is displayed in a CommandBarGallery.

For a list of all members defined in this module, see CommandBarGalleryItem members.

Remarks

CommandBarGalleryItem objects can be a label item, text item or image item and are displayed in a CommandBarGallery.

CreateGalleryItems must be used to create a CommandBarGalleryItems collection before adding CommandBarGalleryItem objects to a gallery. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add CommandBarGalleryItem objects to the Item collection and the DeleteAll and DeleteAt methods are used to delete items from the Item collection.

The illustration below shows a gallery control which contains both label and normal gallery items.

The Icons property allows you to use a separate ImageManagerIcons collection for each collection of gallery items, or you can use the same collection for all. These are the images used for CommandBarGalleryItem objects that display an image. The Id of the CommandBarGalleryItem object is used to uniquely identify the control. Label items will have and Id of 0 by default, you can change this if you like, but the AddLabel method does not allow you to set it at the time of creation. Label items can not display icons. So the ImageIndex property will not be used for a Label item.

The ItemHeight and ItemWidth properties specify the width and height of all the CommandBarGalleryItem objects in a Gallery Items Collection. Setting ItemWidth to 0 (zero) tells the gallery to auto size the width of items to best fit.

Scroll bars are used to scroll through the items in a gallery if they are not all currently visible. By default a scroll bar will be displayed for all galleries, regardless of whether it needs one. ShowScrollBar can is used to remove the scroll bar for galleries that do not need them. The Width and Height properties are used to specify the width and height of the gallery. They can be used to ensure that all items will be visible so no scroll bars would be needed. When a gallery is displayed in a standard toolbar usually only the width is set, when displayed in a popup toolbar both width and height are commonly set.

The DrawItem event is called before each CommandBarGalleryItem in a CommandBarGallery is drawn. The DrawItem event is used to override the standard drawing functionality of the CommandBarGalleryItem(s) in a CommandBarGallery. This can be very useful to draw custom gallery items.

The illustration below shows a galley control that is used as a color selector. The color squares in the gallery are all custom drawn in the DrawItem event.

ClipItems specifies whether drawing optimization is used when drawing the CommandBarGalleryItem objects in a gallery. Drawing optimization means that only the item that is checked, the selected item, and previously selected item are re-drawn.

See Also

CommandBarGalleryItem Members | CommandBarGallery Object | Gallery Items Collection | AddItem Method | AddLabel Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CreateGalleryItems Method

Example

Adding a Gallery to a Combo Popup | Custom Drawing Gallery Items


%%PageItemTitle%% $$Members$$

CommandBarGalleryItem Overview | CommandBarGallery Object | Gallery Items Collection | AddItem Method | AddLabel Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CreateGalleryItems Method

See Also Command Bars ActiveX Control v19.3

CommandBarGalleryItem Object Members

Public Properties

Public Property Caption | Gets\sets the caption of the gallery item.
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets\sets whether the gallery item is enabled.
Public Property Id | Numeric identifier of the gallery item.
Public Property ImageIndex | Gets\sets the Id of the image in the Icons collection to display for this gallery item.
Public Property Index | Position of the item within the Items collection.
Public Property ItemHeight | Gets or sets the height of the individual item.
Public Property ItemWidth | Gets or sets the width of the individual item.
Public Property Label | Returns whether the item is a label item or a standard item.
Public Property Tag | Stores any extra data needed for your program.
Public Property ToolTip | Gets\sets the tool tip text displayed when the mouse cursor is positioned over the item.

See Also

CommandBarGalleryItem Overview | CommandBarGallery Object | Gallery Items Collection | AddItem Method | AddLabel Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CreateGalleryItems Method


%%PageItemTitle%%

CommandBarGalleryItem Object | ImageIndex Property | Id Property

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of the gallery item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The caption of the gallery item is only displayed if no image is associated with the gallery item. If the ImageIndex of the gallery item has the same value as an image in the Icons collection, then the icon will be displayed instead of the caption.

See Also

CommandBarGalleryItem Object | ImageIndex Property | Id Property


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets\sets whether the gallery item is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Numeric identifier of the gallery item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Integer

Remarks

The Id of the gallery item is used to uniquely identify the control. Label items will have and Id of 0 by default, you can change this if you like, but the AddLabel method does not allow you to set it at the time of creation.

The Id can be useful when determining which item is getting drawn in the DrawItem event.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

ImageIndex Property

Description

Gets\sets the Id of the image in the Icons collection to display for this gallery item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageIndex() As Integer

Remarks

Label items can not display icons. So the ImageIndex property will not be used for a Label item.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Position of the item within the Items collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

ItemHeight Property

Description

Gets or sets the height of the individual item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemHeight() As Integer

Remarks

Set to 0 to return to default settings.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

ItemWidth Property

Description

Gets or sets the width of the individual item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemWidth() As Integer

Remarks

Set to 0 to return to default settings.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object | AddLabel Method | AddItem Method

See Also Command Bars ActiveX Control v19.3

Label Property

Description

Returns whether the item is a label item or a standard item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Label() As Boolean

Remarks

The AddLabel is used to add a label item. The AddItem method is used to add a standard item.

Note: Label items can not display icons. So the ImageIndex property will not be used for a Label item.

See Also

CommandBarGalleryItem Object | AddLabel Method | AddItem Method


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

You can use this property to assign an identification string to a CommandBarGalleryItem without affecting any of its other property settings or causing side effects.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

Gets\sets the tool tip text displayed when the mouse cursor is positioned over the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

This is the text displayed when the mouse cursor is hovered over the gallery item.

See Also

CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItems Members | CommandBarGallery Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | DeleteAt Method | DeleteAll Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

CommandBarGalleryItems Collection

Description

Collection of CommandBarGalleryItem objects that are displayed in a CommandBarGallery.

For a list of all members defined in this module, see CommandBarGalleryItems members.

Object Model

Remarks

The CommandBarGalleryItems collection is used to hold CommandBarGalleryItem objects to be displayed in a CommandBarGallery. The CommandBarsGallery Items property is a CommandBarGalleryItems collection which contains the CommandBarGalleryItem objects for the gallery.

CreateGalleryItems must be used to create a CommandBarGalleryItems collection before adding CommandBarGalleryItem objects to a gallery. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control.

Label controls are added using the AddLabel method. Labels are used to organize\group the items in the gallery. ShowLabels will hide or show labels that have been added to the gallery.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add CommandBarGalleryItem objects to the Item collection and the DeleteAll and DeleteAt methods are used to delete items from the Item collection.

The illustration below shows a gallery control which contains both label and normal gallery items.

The Icons property allows you to use a separate ImageManagerIcons collection for each collection of gallery items, or you can use the same collection for all. These are the images used for CommandBarGalleryItem objects that display an image. The Id of the CommandBarGalleryItem object is used to uniquely identify the control. Label items will have and Id of 0 by default, you can change this if you like, but the AddLabel method does not allow you to set it at the time of creation. Label items can not display icons. So the ImageIndex property will not be used for a Label item.

The ItemHeight and ItemWidth properties specify the width and height of all the CommandBarGalleryItem objects in a Gallery Items Collection. Setting ItemWidth to 0 (zero) tells the gallery to auto size the width of items to best fit.

The DrawItem event is called before each CommandBarGalleryItem in a CommandBarGallery is drawn. The DrawItem event is used to override the standard drawing functionality of the CommandBarGalleryItem(s) in a CommandBarGallery. This can be very useful to draw custom gallery items.

The illustration below shows a galley control that is used as a color selector. The color squares in the gallery are all custom drawn in the DrawItem event.

The CommandBar property is used to add a popup toolbar to the gallery. This will also add a popup button to the bottom of the scroll bar that the user can click to display the popup. When a CommandBarGalleryItem is added to the CommandBar a popup button will automatically appear at the bottom of the scroll bar of the gallery. When the user clicks on the button the popup toolbar is displayed. A popup toolbar is commonly used to contain another CommandBarGallery object that contains the same items displayed in the parent gallery, only allot more of the gallery is displayed.

The picture below shows the popup button that is added to the the gallery when an items is added to the gallerie's CommandBar.

Scroll bars are used to scroll through the items in a gallery if they are not all currently visible. By default a scroll bar will be displayed for all galleries, regardless of whether it needs one. ShowScrollBar can is used to remove the scroll bar for galleries that do not need them. The Width and Height properties are used to specify the width and height of the gallery. They can be used to ensure that all items will be visible so no scroll bars would be needed. When a gallery is displayed in a standard toolbar usually only the width is set, when displayed in a popup toolbar both width and height are commonly set. EnsureVisible will "ensure" that the item with the specified index is visible in the gallery. This will scroll the items in the gallery until the item is visible.

ClipItems specifies whether drawing optimization is used when drawing the CommandBarGalleryItem objects in a gallery. Drawing optimization means that only the item that is checked, the selected item, and previously selected item are re-drawn.

See Also

CommandBarGalleryItems Members | CommandBarGallery Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | DeleteAt Method | DeleteAll Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CommandBarGalleryItem Object

Example

Adding a Gallery to a Combo Popup | Custom Drawing Gallery Items


%%PageItemTitle%% $$Members$$

CommandBarGalleryItems Overview | CommandBarGallery Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | DeleteAt Method | DeleteAll Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

CommandBarGalleryItems Collection Members

Public Methods

Public Method AddItem | Adds a gallery item to the Items collection.
Public Method AddLabel | Adds a label item to the Items collection.
Public Method AddSeparator | Adds a separator item to the Items collection.
Public Method DeleteAll | Deletes all the CommandBarGalleryItem objects in the Items collection.
Public Method DeleteAt | Deletes the specified CommandBarGalleryItem object in the Items collection.

Public Properties

Public Property ClipItems | Specifies whether drawing optimization is used when drawing the items in a gallery.
Public Property Count | Total number of CommandBarGalleryItem objects in the CommandBarGalleryItems collection.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Label of gallery items in this control.
Public Property Icons | Specifies the ImageManagerIcons collection the items in the CommandBarGalleryItems collection will use to hold images for the gallery items.
Public Property Item | Collection of CommandBarGalleryItem objects.
Public Property ItemHeight | Gets\set the height of the CommandBarGalleryItem objects in the CommandBarGalleryItems collection.
Public Property ItemWidth | Gets\set the width of the CommandBarGalleryItem objects in the CommandBarGalleryItems collection.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.

Events

Public Event DrawItem Occurs when a CommandBarGalleryItem is about to be drawn. This allows you to override the drawing of items in a gallery.

See Also

CommandBarGalleryItems Overview | CommandBarGallery Object | CreateGalleryItems Method | AddItem Method | AddLabel Method | DeleteAt Method | DeleteAll Method | DrawItem Event | ItemHeight Property | ItemWidth Property | CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItems Collection

Id
Numeric identifier of the gallery item.
Caption
Text string to display in the item. The caption will only be displayed if no icon has been added to the gallery item.
See Also Command Bars ActiveX Control v19.3

AddItem Method

Description

Adds a gallery item to the Items collection.

Syntax

Public Function AddItem( _
   ByVal Id As Integer, _
   ByVal Caption As String _
) As CommandBarGalleryItem

Parameters

Id
Numeric identifier of the gallery item.
Caption
Text string to display in the item. The caption will only be displayed if no icon has been added to the gallery item.

Return Type

Returns a reference to the CommandBarGalleryItem that was added to the Items collection.

Remarks

If an image is specified for a gallery item, then only the image will be displayed, if no image is added then the caption will be displayed.

See Also

CommandBarGalleryItems Collection


%%PageItemTitle%%

CommandBarGalleryItems Collection | ShowLabels Property

Caption
Text string to display in the label item.
See Also Command Bars ActiveX Control v19.3

AddLabel Method

Description

Adds a label item to the Items collection.

Syntax

Public Function AddLabel( _
   ByVal Caption As String _
) As CommandBarGalleryItem

Parameters

Caption
Text string to display in the label item.

Return Type

Returns a reference to the label CommandBarGalleryItem that was added to the Items collection.

Remarks

Label controls are added using the AddLabel method. Labels are used to organize\group the items in the gallery. The ShowLabels method will hide or show labels that have been added to the gallery.

Label items can not display icons. So the ImageIndex property will not be used for a Label item.

It is common to use the same collection of CommandBarGalleryItems for multiple galleries. For example, you might display the same gallery in both the toolbar and as a popup so the entire gallery can be viewed. When a gallery is displayed in a toolbar labels are not normally displayed, but when displaying all the items in a gallery, as you might in a popup the labels should be shown.

The diagram below illustrates a gallery that has been added to a popup and is displaying label controls.

The diagram below shows a gallery added to a normal toolbar that is using the same collection of CommandBarGalleryItems as the diagram above, only the labels are hidden so you can see more items.

See Also

CommandBarGalleryItems Collection | ShowLabels Property


%%PageItemTitle%%

CommandBarGalleryItems Collection

See Also Command Bars ActiveX Control v19.3

AddSeparator Method

Description

Adds a separator item to the Items collection.

Syntax

Public Function AddSeparator() As CommandBarGalleryItem

Return Type

Returns a reference to the separator CommandBarGalleryItem that was added to the Items collection.

See Also

CommandBarGalleryItems Collection


%%PageItemTitle%%

CommandBarGalleryItems Collection | CommandBarGalleryItem Object | DeleteAt Method | AddLabel Method | AddItem Method

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Deletes all the CommandBarGalleryItem objects in the Items collection.

Syntax

Public Sub DeleteAll()

See Also

CommandBarGalleryItems Collection | CommandBarGalleryItem Object | DeleteAt Method | AddLabel Method | AddItem Method


%%PageItemTitle%%

CommandBarGalleryItems Collection | DeleteAll Method | AddItem Method | AddLabel Method

Index
Index of the item CommandBarGalleryItem to delete in the Items collection.
See Also Command Bars ActiveX Control v19.3

DeleteAt Method

Description

Deletes the specified CommandBarGalleryItem object in the Items collection.

Syntax

Public Sub DeleteAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item CommandBarGalleryItem to delete in the Items collection.

See Also

CommandBarGalleryItems Collection | DeleteAll Method | AddItem Method | AddLabel Method


%%PageItemTitle%%

CommandBarGalleryItems Collection | SelectedItem Property | Checked Property | DrawItem Event

See Also Command Bars ActiveX Control v19.3

ClipItems Property

Description

Specifies whether drawing optimization is used when drawing the items in a gallery.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipItems() As Boolean

Remarks

ClipItems is True by default.

Drawing optimization means that only the item that is checked, the selected item, and previously selected item are re-drawn.

There might be some cases when manually drawing item that you would want to set ClipItems to false. For example, you might need to have all items in a gallery redrawn if you create a gallery similar to the table size selection gallery in MS Word. To manually draw items you must use the DrawItem event to override the default drawing.

See Also

CommandBarGalleryItems Collection | SelectedItem Property | Checked Property | DrawItem Event


%%PageItemTitle%%

CommandBarGalleryItems Collection | CommandBarGalleryItem Object

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of CommandBarGalleryItem objects in the CommandBarGalleryItems collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBarGalleryItems Collection | CommandBarGalleryItem Object


%%PageItemTitle%%

CommandBarGalleryItems Collection

See Also Command Bars ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Label of gallery items in this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Label of gallery items in this control, then the Label will be displayed as rendered XAML.

If set to False, then any text in the Label, even if valid XAML will get displayed in plain text.

Use MarkupContext to link events in XAML with Subroutines or Functions in your code.

See Also

CommandBarGalleryItems Collection


%%PageItemTitle%%

CommandBarGalleryItems Collection

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Specifies the ImageManagerIcons collection the items in the CommandBarGalleryItems collection will use to hold images for the gallery items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

The Icons property allows you to use a separate ImageManagerIcons collection for each collection of gallery items, or you can use the same collection for all.

Example

[Icons Sample (Visual Basic)] This sample illustrates how to load images for use with gallery items.

    'Loads images for the gallery items only.
    Gallery.Icons.LoadBitmap App.Path & "\res\GalleryShapes.bmp", shapesIconArray, xtpImageNormal

    'Loads images to the CommandBars image collection and
    'uses the CommandBars image collection.
    CommandBars.Icons.LoadBitmap App.Path & "\res\GalleryShapes.bmp", shapesIconArray, xtpImageNormal
    GalleryShapeItems.Icons = CommandBars.Icons

See Also

CommandBarGalleryItems Collection


%%PageItemTitle%%

CommandBarGalleryItems Collection | AddItem Method | AddLabel Method | DeleteAll Method | DeleteAt Method

Index
Index of a CommandBarGalleryItem object in the collection of items.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Collection of CommandBarGalleryItem objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBarGalleryItem

Parameters

Index
Index of a CommandBarGalleryItem object in the collection of items.

Remarks

The AddItem and AddLabel methods are used to add items to the Item collection and the DeleteAll and DeleteAt methods are used to delete items from the Item collection.

See Also

CommandBarGalleryItems Collection | AddItem Method | AddLabel Method | DeleteAll Method | DeleteAt Method


%%PageItemTitle%%

CommandBarGalleryItems Collection | ItemWidth Property

See Also Command Bars ActiveX Control v19.3

ItemHeight Property

Description

Gets\set the height of the CommandBarGalleryItem objects in the CommandBarGalleryItems collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemHeight() As Integer

See Also

CommandBarGalleryItems Collection | ItemWidth Property


%%PageItemTitle%%

CommandBarGalleryItems Collection | ItemHeight Property

See Also Command Bars ActiveX Control v19.3

ItemWidth Property

Description

Gets\set the width of the CommandBarGalleryItem objects in the CommandBarGalleryItems collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemWidth() As Integer

Remarks

All items in the CommandBarGalleryItems collection will be the same width and height.

Setting ItemWidth to 0 (zero) tells the gallery to auto size the width of items to best fit.

See Also

CommandBarGalleryItems Collection | ItemHeight Property


%%PageItemTitle%%

CommandBarGalleryItems Collection

See Also Command Bars ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that text will be translated to viewable text. Using SetMethod, an external method or event can be called from. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

Example

Public Sub Hyperlink_Click(Reserved1 As Object, Reserved2 As Object)
    MsgBox "Clicked"
End Sub

Private Sub Form_Load()
    Label1.EnableMarkup = True
    Label1.MarkupContext.SetMethod Me, "Hyperlink_Click"
    Label1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
End Sub

See Also

CommandBarGalleryItems Collection


%%PageItemTitle%%

CommandBarGalleryItems Collection | DrawRectangle Method | GetRectangleTextColor Method

hDC
Reference to the device context on which you will draw.
Gallery
Reference to the parent CommandBarGallery of the item.
Item
Reference to the CommandBarGalleryItem to be drawn.
x
Left coordinate of the item to be drawn. Combine with y to get the top left corner of the item to be drawn.
y
Top coordinate of the item to be drawn. Combine with x to get the top left corner of the item to be drawn.
cx
Right coordinate of the item to be drawn. Combine with cy to get the bottom right corner of the item to be drawn.
cy
Bottom coordinate of the item to be drawn. Combine with cx to get the bottom right corner of the item to be drawn.
Enabled
Will be True if the item about to be drawn is currently enabled.
Selected
Will be True if the item about to be drawn is currently selected.
Pressed
Will be True if the item about to be drawn is currently pressed.
Checked
Will be True if the item about to be drawn is currently checked.
Handled

Set to True to tell the commandbars that you manually "handled"\drew the item.

Set to False to allow the commandbars to draw the item.

See Also Command Bars ActiveX Control v19.3

DrawItem Event

Description

Occurs when a CommandBarGalleryItem is about to be drawn. This allows you to override the drawing of items in a gallery.

Syntax

Public Event DrawItem( _
   ByVal hDC As Integer, _
   ByVal Gallery As CommandBarGallery, _
   ByVal Item As CommandBarGalleryItem, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal Enabled As Boolean, _
   ByVal Selected As Boolean, _
   ByVal Pressed As Boolean, _
   ByVal Checked As Boolean, _
   ByRef Handled As Variant _
)

Parameters

hDC
Reference to the device context on which you will draw.
Gallery
Reference to the parent CommandBarGallery of the item.
Item
Reference to the CommandBarGalleryItem to be drawn.
x
Left coordinate of the item to be drawn. Combine with y to get the top left corner of the item to be drawn.
y
Top coordinate of the item to be drawn. Combine with x to get the top left corner of the item to be drawn.
cx
Right coordinate of the item to be drawn. Combine with cy to get the bottom right corner of the item to be drawn.
cy
Bottom coordinate of the item to be drawn. Combine with cx to get the bottom right corner of the item to be drawn.
Enabled
Will be True if the item about to be drawn is currently enabled.
Selected
Will be True if the item about to be drawn is currently selected.
Pressed
Will be True if the item about to be drawn is currently pressed.
Checked
Will be True if the item about to be drawn is currently checked.
Handled

Set to True to tell the commandbars that you manually "handled"\drew the item.

Set to False to allow the commandbars to draw the item.

Remarks

The DrawItem event is called before each CommandBarGalleryItem in a CommandBarGallery is drawn.

The DrawItem event is used to override the standard drawing functionality of the CommandBarGalleryItem(s) in a CommandBarGallery. This can be very useful to draw custom gallery items.

The DrawRectangle method allows you to manually draw a button. This can be useful when using the parameters of the DrawItem event. Typically you would first use DrawRectangle to draw the item so that you have the correct background color, then you would draw over this with your custom item.

The illustration below shows a galley control that is used as a color selector. The color squares in the gallery are all custom drawn in the DrawItem event. Also note the custom highlighting around the items, this is also custom drawn as the default highlighting will cover the entire item. See the sample below to see how to re-create this color selector gallery. The complete code to add the color selector gallery is included. Simply create a blank project, add a Commandbars control to the SDI form, then cut and paste the code below.

Example

[Drawing Custom Gallery Items. (Visual Basic)] This sample illustrates how to override the default drawing of gallery items. And how to manually draw custom gallery items. This code can be cut and paste into a new project and is ready to run.

'***************************************************
' Place this code in the general section
'***************************************************
Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type

Private Declare Function FillRect Lib "user32" (ByVal hdc As Long, lpRect As RECT, ByVal hBrush As Long) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Private Declare Function SetRect Lib "user32" (lpRect As RECT, ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long
Private Declare Function CreateSolidBrush Lib "gdi32" (ByVal crColor As Long) As Long

Dim hBrush As Long
Dim R As RECT

'Add some gallery items collections with events
'to allow the DrawItem event to be called when the items
'in the gallery are to be drawn
Dim WithEvents GalleryColorItems As CommandBarGalleryItems
Dim WithEvents GalleryLargeColorItems As CommandBarGalleryItems

Const ID_GALLERY_COLORS = 2010
Const ID_GALLERY_COLORS_POPUP = 2011
Const ID_GALLERY_LARGE_COLORS_POPUP = 2011

Const ID_GROUP_FONT = 2015
Const ID_TEXT_COLOR = 2016

'***************************************************
' Place this code where you create your commandbars\ribbon bar
' This code is using a ribbon bar
'***************************************************
Private Sub Form_Load()
    Dim RibbonBar As RibbonBar
    Set RibbonBar = CommandBars.AddRibbonBar("The Ribbon")
    RibbonBar.EnableDocking xtpFlagStretched

    Dim ControlFont As CommandBarPopup, Control As CommandBarControl
    Dim TabWrite As RibbonTab

    Set TabWrite = RibbonBar.InsertTab(0, "Writ&e")

    Set GroupFont = TabWrite.Groups.AddGroup("&Font", ID_GROUP_FONT)
    GroupFont.ControlsGrouping = True

    Set Control = GroupFont.Add(xtpControlPopup, ID_TEXT_COLOR, "Color")
    Control.BeginGroup = True
    Control.Style = xtpButtonIcon

        Dim GalleryColorsPopupBar As CommandBar
        Set GalleryColorsPopupBar = CommandBars.Add("Colors", xtpBarPopup)
        Set GalleryColorItems = CreateColorsGallery

        Control.CommandBar = GalleryColorsPopupBar

        Dim GalleryColors As CommandBarGallery
        Set GalleryColors = GalleryColorsPopupBar.Controls.Add(xtpControlGallery, ID_GALLERY_COLORS_POPUP, "Colors")
        GalleryColors.Width = 170
        GalleryColors.Height = 80
        GalleryColors.ShowScrollBar = False
        Set GalleryColors.Items = GalleryColorItems
        GalleryColors.Items.ItemHeight = 17
        GalleryColors.Items.ItemWidth = 17

        Set GalleryLargeColorItems = CreateLargeColorsGallery
        Dim GalleryLargeColors As CommandBarGallery
        Set GalleryLargeColors = GalleryColorsPopupBar.Controls.Add(xtpControlGallery, ID_GALLERY_LARGE_COLORS_POPUP, "Large Colors")
        GalleryLargeColors.Width = 170
        GalleryLargeColors.Height = 70
        GalleryLargeColors.ShowScrollBar = False
        Set GalleryLargeColors.Items = GalleryLargeColorItems
        GalleryLargeColors.Items.ItemHeight = 32
        GalleryLargeColors.Items.ItemWidth = 32

        GalleryColorsPopupBar.EnableAnimation = True
End Sub

'***************************************************
' Helper functions to create some "blank" callery items
' these items are used as place holders so we know where
' to draw the items in the DrawItem event.
'***************************************************

Private Function CreateColorsGallery() As CommandBarGalleryItems

    Dim Gallery As CommandBarGalleryItems
    Set Gallery = CommandBars.CreateGalleryItems(ID_GALLERY_COLORS)

    Dim GalleryItem As CommandBarGalleryItem
    Set GalleryItem = Gallery.AddLabel("Theme Colors")

    Set GalleryItem = Gallery.AddItem(6200, "")
    GalleryItem.Tag = vbWhite
    Set GalleryItem = Gallery.AddItem(6201, "")
    GalleryItem.Tag = vbBlack
    Set GalleryItem = Gallery.AddItem(6202, "")
    GalleryItem.Tag = RGB(31, 73, 125)
    Set GalleryItem = Gallery.AddItem(6203, "")
    GalleryItem.Tag = RGB(238, 236, 225)
    Set GalleryItem = Gallery.AddItem(6204, "")
    GalleryItem.Tag = RGB(79, 129, 189)
    Set GalleryItem = Gallery.AddItem(6205, "")
    GalleryItem.Tag = RGB(192, 80, 77)
    Set GalleryItem = Gallery.AddItem(6206, "")
    GalleryItem.Tag = RGB(155, 187, 89)
    Set GalleryItem = Gallery.AddItem(6207, "")
    GalleryItem.Tag = RGB(128, 100, 162)
    Set GalleryItem = Gallery.AddItem(6208, "")
    GalleryItem.Tag = RGB(75, 172, 198)
    Set GalleryItem = Gallery.AddItem(6209, "")
    GalleryItem.Tag = RGB(247, 150, 70)

    Set GalleryItem = Gallery.AddLabel("Standard Colors")

    Set GalleryItem = Gallery.AddItem(6400, "")
    GalleryItem.Tag = RGB(192, 0, 0)
    Set GalleryItem = Gallery.AddItem(6401, "")
    GalleryItem.Tag = vbRed
    Set GalleryItem = Gallery.AddItem(6402, "")
    GalleryItem.Tag = RGB(255, 192, 0)
    Set GalleryItem = Gallery.AddItem(6403, "")
    GalleryItem.Tag = vbYellow
    Set GalleryItem = Gallery.AddItem(6404, "")
    GalleryItem.Tag = RGB(146, 208, 80)
    Set GalleryItem = Gallery.AddItem(6405, "")
    GalleryItem.Tag = RGB(0, 176, 80)
    Set GalleryItem = Gallery.AddItem(6406, "")
    GalleryItem.Tag = RGB(0, 176, 240)
    Set GalleryItem = Gallery.AddItem(6407, "")
    GalleryItem.Tag = RGB(0, 112, 192)
    Set GalleryItem = Gallery.AddItem(6408, "")
    GalleryItem.Tag = RGB(0, 32, 96)
    Set GalleryItem = Gallery.AddItem(6409, "")
    GalleryItem.Tag = RGB(112, 48, 160)

    Set CreateColorsGallery = Gallery

End Function

Private Function CreateLargeColorsGallery() As CommandBarGalleryItems

    Dim Gallery As CommandBarGalleryItems
    Dim GalleryItem As CommandBarGalleryItem
    Set Gallery = CommandBars.CreateGalleryItems(ID_GALLERY_LARGE_COLORS_POPUP)

    Set GalleryItem = Gallery.AddItem(6423, "")
    GalleryItem.Tag = vbYellow
    Set GalleryItem = Gallery.AddItem(6420, "")
    GalleryItem.Tag = vbGreen
    Set GalleryItem = Gallery.AddItem(6421, "")
    GalleryItem.Tag = vbCyan
    Set GalleryItem = Gallery.AddItem(6422, "")
    GalleryItem.Tag = vbMagenta
    Set GalleryItem = Gallery.AddItem(6424, "")
    GalleryItem.Tag = vbBlue
    Set GalleryItem = Gallery.AddItem(6425, "")
    GalleryItem.Tag = vbRed
    Set GalleryItem = Gallery.AddItem(6426, "")
    GalleryItem.Tag = RGB(0, 0, 128)
    Set GalleryItem = Gallery.AddItem(6427, "")
    GalleryItem.Tag = RGB(0, 128, 128)
    Set GalleryItem = Gallery.AddItem(6428, "")
    GalleryItem.Tag = RGB(0, 128, 0)
    Set GalleryItem = Gallery.AddItem(6429, "")
    GalleryItem.Tag = RGB(128, 0, 128)

    Set CreateLargeColorsGallery = Gallery

End Function

'***************************************************
' Event handlers for the color galleries
'***************************************************

Private Sub GalleryColorItems_DrawItem(ByVal hdc As stdole.OLE_HANDLE, ByVal Gallery As XtremeCommandBars.ICommandBarGallery, ByVal Item As XtremeCommandBars.ICommandBarGalleryItem, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal Enabled As Boolean, ByVal Selected As Boolean, ByVal Pressed As Boolean, ByVal Checked As Boolean, Handled As Variant)
    'Do not cutom draw label items,
    'allow the commandbars to handle the drawing of labels
    If Item.Label Then Exit Sub

    'Helper function used to perform custom drawing of the color items
    DrawColorItems hdc, Item, x, y, cx, cy, Enabled, Selected, Pressed, Checked

    'Set Handled to True to tell the commandbars the
    'the item has been manually drawn
    '
    'Set to False to allow the commandbars to draw the item
    Handled = True
End Sub

Private Sub GalleryLargeColorItems_DrawItem(ByVal hdc As stdole.OLE_HANDLE, ByVal Gallery As XtremeCommandBars.ICommandBarGallery, ByVal Item As XtremeCommandBars.ICommandBarGalleryItem, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal Enabled As Boolean, ByVal Selected As Boolean, ByVal Pressed As Boolean, ByVal Checked As Boolean, Handled As Variant)
    'Do not cutom draw label items,
    'allow the commandbars to handle the drawing of labels
    If Item.Label Then Exit Sub

    'Helper function used to perform custom drawing of the color items
    DrawColorItems hdc, Item, x, y, cx, cy, Enabled, Selected, Pressed, Checked

    'Set Handled to True to tell the commandbars the
    'the item has been manually drawn
    '
    'Set to False to allow the commandbars to draw the item
    Handled = True
End Sub

'***************************************************
' Helper function to draw the color items
'***************************************************

Private Sub DrawColorItems(ByVal hdc As stdole.OLE_HANDLE, ByVal Item As XtremeCommandBars.ICommandBarGalleryItem, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal Enabled As Boolean, ByVal Selected As Boolean, ByVal Pressed As Boolean, ByVal Checked As Boolean)

    'Draw a rectangle, this will fill in the background with the
    'correct background color for the buttons
    CommandBars.PaintManager.DrawRectangle hdc, x, y, cx, cy, False, Pressed, Enabled, Checked, False, xtpBarTypeNormal, xtpBarComboBoxGalleryPopup

    'If the item is selected, then draw the focus rectangle
    'around the item
    If Selected Then
        hBrush = CreateSolidBrush(RGB(242, 148, 54))
        SetRect R, x + 2, y + 2, x + cx - 2, y + cy - 3
        FillRect hdc, R, hBrush
        DeleteObject hBrush

        hBrush = CreateSolidBrush(RGB(255, 226, 148))
        SetRect R, x + 3, y + 3, x + cx - 3, y + cy - 4
        FillRect hdc, R, hBrush
        DeleteObject hBrush
    Else
        hBrush = CreateSolidBrush(RGB(197, 197, 197))
        SetRect R, x + 2, y + 2, x + cx - 2, y + cy - 3
        FillRect hdc, R, hBrush
        DeleteObject hBrush
    End If

    'Draws the actual color of the color items
    hBrush = CreateSolidBrush(Item.Tag)
    If Selected Then
        SetRect R, x + 4, y + 4, x + cx - 4, y + cy - 5
    Else
        SetRect R, x + 3, y + 3, x + cx - 3, y + cy - 4
    End If
    FillRect hdc, R, hBrush
    DeleteObject hBrush

End Sub

See Also

CommandBarGalleryItems Collection | DrawRectangle Method | GetRectangleTextColor Method


%%PageItemTitle%%

CommandBarPopup Members

See Also Command Bars ActiveX Control v19.3

CommandBarPopup Object

Description

Constructs a CommandBarPopup object

For a list of all members defined in this module, see CommandBarPopup members.

Object Model

See Also

CommandBarPopup Members


%%PageItemTitle%% $$Members$$

CommandBarPopup Overview

See Also Command Bars ActiveX Control v19.3

CommandBarPopup Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the button
Public Method Delete | Deletes the popup
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property CommandBar | Call this member to set/get the child command bar.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags of the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible
Public Property Width | Gets\set the width of the control.

See Also

CommandBarPopup Overview


%%PageItemTitle%%

CommandBarPopup Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.
See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the button

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar
The CommandBar that the CommandBarButton control will be copied to.
Before
The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the popup

Syntax

Public Sub Delete()

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The right point of the control rectangle.
Bottom
The bottom point of the control rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the control rectangle.
Top
The Top point of the control rectangle.
Right
The right point of the control rectangle.
Bottom
The bottom point of the control rectangle.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarPopup Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarPopup Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Call this member to set/get the child command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarPopup Object | Execute Event


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarPopup Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarPopup Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarPopup Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopup Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarPopup Object


%%PageItemTitle%%

CommandBarPopupColor Members | CreateCommandBar Method | CreateCommandBarControl Method

See Also Command Bars ActiveX Control v19.3

CommandBarPopupColor Object

Description

Represents a color picker control.

For a list of all members defined in this module, see CommandBarPopupColor members.

Object Model

Remarks

The CreateCommandBarControl method must be used to create a CommandBarPopupColor object.

Example

[CXTPControlPopupColor Sample (Visual Basic)] This sample illustrates how to create and use a CXTPControlPopupColor object.

    Dim ControlPopupColor As CommandBarPopupColor
    Set ControlPopupColor = CommandBars.CreateCommandBarControl("CXTPControlPopupColor")
    ControlPopupColor.Id = ID_TEXT_HIGHLIGHTCOLOR
    ControlPopupColor.ToolTipText = "Highlight Color"
    ControlPopupColor.Style = xtpButtonIcon

    GroupFont.AddControl ControlPopupColor

    Dim PopupColor As CommandBar
    Set PopupColor = CommandBars.Add("Color Popup", xtpBarPopup)
    PopupColor.SetPopupToolBar True
    Set ControlPopupColor.CommandBar = PopupColor

    Set Control = PopupColor.Controls.Add(xtpControlButton, 0, "Auto")
    Control.Width = 148

    Dim ControlColorSelector As CommandBarControlColorSelector
    Set ControlColorSelector = CommandBars.CreateCommandBarControl("CXTPControlColorSelector")
    ControlColorSelector.Id = ID_TEXT_HIGHLIGHTCOLOR

    PopupColor.Controls.AddControl ControlColorSelector

    Set Control = PopupColor.Controls.Add(xtpControlButton, 0, "More Colors...")
    Control.Width = 148

See Also

CommandBarPopupColor Members | CreateCommandBar Method | CreateCommandBarControl Method


%%PageItemTitle%% $$Members$$

CommandBarPopupColor Overview | CreateCommandBar Method | CreateCommandBarControl Method

See Also Command Bars ActiveX Control v19.3

CommandBarPopupColor Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the button
Public Method Delete | Deletes the popup
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Color | Gets\sets the color of the color bar displayed in the color button.
Public Property CommandBar | Call this member to set/get the child command bar.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags of the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible
Public Property Width | Gets\set the width of the control.

See Also

CommandBarPopupColor Overview | CreateCommandBar Method | CreateCommandBarControl Method


%%PageItemTitle%%

CommandBarPopupColor Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the button

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the popup

Syntax

Public Sub Delete()

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The right point of the control rectangle.

Bottom

The bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The right point of the control rectangle.

Bottom

The bottom point of the control rectangle.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarPopupColor Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarPopupColor Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | CommandBarControlColorSelector Object

See Also Command Bars ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the color bar displayed in the color button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

In the picture below the Color property is black. The Color property represents the color little bar that is displayed under the "pen" icon.

If you set the Id of this PopupColor control to the same Id as a CommandBarControlColorSelector that has been added to this ColorPopup then the color of the ColorPopup will automatically update when a color in the CommandBarControlColorSelector is clicked.

See Also

CommandBarPopupColor Object | CommandBarControlColorSelector Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Call this member to set/get the child command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarPopupColor Object | Execute Event


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarPopupColor Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarPopupColor Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarPopupColor Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarPopupColor Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarPopupColor Object


%%PageItemTitle%%

CommandBarProgress Members

See Also Command Bars ActiveX Control v19.3

CommandBarProgress Object

Description

Progress bar control for toolbars and menus.

For a list of all members defined in this module, see CommandBarProgress members.

Object Model

Remarks

This is a Progress bar that is placed in a menu or toolbar. The properties unique to this control are the Max, Min and Pos properties.

See Also

CommandBarProgress Members


%%PageItemTitle%% $$Members$$

CommandBarProgress Overview

See Also Command Bars ActiveX Control v19.3

CommandBarProgress Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Max | Gets or sets the upper limit of the progress bar control's range.
Public Property Min | Gets or sets the lower limit of the progress bar control's range.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property Pos | Gets or sets the current position of the progress bar, whose return value is always between the values for the Max and Min properties, inclusive.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets\sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarProgress Overview


%%PageItemTitle%%

CommandBarProgress Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarProgress Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarProgress Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarProgress Object | Execute Event


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarProgress Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Max Property

Description

Gets or sets the upper limit of the progress bar control's range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

Gets or sets a progress bar position's maximum Value property setting when the scroll box is in its bottom or rightmost\topmost position.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Min Property

Description

Gets or sets the lower limit of the progress bar control's range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

Gets or sets a progress bar position's minimum Value property setting when the scroll box is in its top or leftmost\bottommost position.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Pos Property

Description

Gets or sets the current position of the progress bar, whose return value is always between the values for the Max and Min properties, inclusive.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pos() As Long

Remarks

The position must be between Max and Min inclusive.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarProgress Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarProgress Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBarProgress Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarProgress Object


%%PageItemTitle%%

CommandBars Members

See Also Command Bars ActiveX Control v19.3

CommandBars Control

Description

Represents the command bar manager class.

For a list of all members defined in this module, see CommandBars members.

Object Model

See Also

CommandBars Members


%%PageItemTitle%% $$Members$$

CommandBars Overview

See Also Command Bars ActiveX Control v19.3

CommandBars Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method Add | Adds a new command bar.
Public Method AddCustomBar | Allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.
Public Method AddDialogBar | The AddDialogBar method adds a Dialog Bar to the Command Bars collection of controls.
Public Method AddIconHandle | Adds an icon for use with command bar controls.
Public Method AddImageList | Adds icons from an imagelist which are used to display command bar items.
Public Method AddMenuBar | Adds an active menu bar.
Public Method AddMiniToolBar | Creates a MiniToolbar
Public Method AddRibbonBar | Adds a RibbonBar.
Public Method AddTabToolBar | Adds a Tabbed ToolBar.
Public Method AllowFrameTransparency |
Public Method AttachToWindow | Specifies the control that will contain the CommandBars.
Public Method ClosePopups | Closes all commandbar popups.
Public Method ContextHelp | Context help base id.
Public Method CreateCommandBar | Universal method for creating commandbar popup objects.
Public Method CreateCommandBarControl | Universal method for creating commandbar controls.
Public Method CreateGalleryItems | Creates a CommandBarGalleryItems collection for use in a CommandBarGallery control.
Public Method CreateStateOptions | The CreateStateOptions method will create a set of State Options that will be used to specify how and what will be saved and loaded when using the LoadStateFromXMLString and SaveStateFromXMLString methods.
Public Method DeleteAll | The DeleteAll method is used to delete all the commandbars in the collection of CommandBars.
Public Method DisableFrameThemeHandle |
Public Method DisableOffice2007FrameHandle | Removes the Office 2007 style frame to a specified window if applicable.
Public Method DockToolBar | Docks a toolbar to the specified command bar
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method EnableActions | Enables or disables the use of Actions in the commandbars.
Public Method EnableCustomization | Enables/Disables customization of the command bar
Public Method EnableDefaultResetCustomizedToolbarChoice |
Public Method EnableFrameTheme |
Public Method EnableFrameThemeHandle |
Public Method EnableOffice2007Frame | Specifies that the Office 2007 style frame will be used.
Public Method EnableOffice2007FrameHandle | Applies an Office 2007 style frame to a specified window.
Public Method EnableToolbarComposition | Enables the use of Windows 7/Vista style transparent toolbars.
Public Method FindControl | Finds the specified control
Public Method GetClientRect | Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any command bars.
Public Method GetDispatch | Used in .NET to retrieve self object.
Public Method GetSpecialColor | Gets a special color to use in the command bar
Public Method LoadCommandBars | Loads command bars from the registry.
Public Method LoadDesignerBars | Loads a command bar layout from a file.
Public Method LoadStateFromString | Loads the layout of the CommandBar from a string.
Public Method LoadStateFromXMLString | The LoadStateFromXMLString method loads a Command Bar state from a XML string.
Public Method MoveAlignedControl | Moves and resizes a control to a specified location within its container.
Public Method OLEDrag | Causes the commandbars to initiate an OLE drag/drop operation.
Public Method RecalcLayout | Recalculates the entire layout of the docking panes on the form.
Public Method SaveCommandBars | Saves command bars to the registry.
Public Method SaveStateToString | Saves the layout of the CommandBar to a string.
Public Method SaveStateToXMLString | The SaveStateToXMLString method saves the Command Bar state to a XML string.
Public Method SetAllCaps |
Public Method SetMDIClient | Used in .NET to set handle to MDI client window.
Public Method SetOfficeSetBackImage |
Public Method SetSpecialColor | Used to change the color of the various components that make up the commandbars.
Public Method ShowCustomizeDialog | Displays the commandbars "Customize" dialog box with the option to specify which tab is displayed when opened.
Public Method ShowTabWorkspace | Shows the TabWorkspace

Public Properties

Public Property Actions | Collection of CommandBars Action items that have been added to the CommandBars.
Public Property ActiveMenuBar | Gets the Active Menu Bar object. The active menu bar is the the first command bar and is used to display your menu.
Public Property ContextMenus | Collection of context menus using in the application.
Public Property Count | Gets the total number of command bars.
Public Property CustomizedControl | CustomizedControl returns a pointer to the currently selected control while in customization mode. This is the control that the user is currently customizing.
Public Property DesignerControls | Gets the designer controls collection for the command bar
Public Property FocusedCommandBar | Returns the command bar that currently has focus.
Public Property GlobalSettings | Command Bars global settings, such as application name and resource file.
Public Property Icons | Gets the icons for the command bar.
Public Property IsAllCaps |
Public Property IsAllowFrameTransparency |
Public Property Item | Gets a command bar by its index.
Public Property KeyBindings | Gets the collection of key bindings ( accelerator keys ) associated with the various commands used in command bars.
Public Property MessageBar | Represents the message bar.
Public Property Options | Gets the options that are used by command bars.
Public Property PaintManager | Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.
Public Property RecentFileList | Recent File List
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.
Public Property ScaleMode | Used to change the Command Bars measurement units/coordinate system
Public Property StatusBar | Gets the status bar for the command bar
Public Property TabWorkspace | Gets the tab workspace for the command bar.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TrackingMode | Indicates whether the command bars are currently "eating" key strokes. The command bars "eat" keystrokes when popup or toolbar currently has focus.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display command bars.

Events

Public Event CommandBarKeyDown | Occurs when a key is pressed and a popup menu is open, a popup menu has focus, or a menu item in a popup menu has focus.
Public Event ControlNotify | Occurs when a control sends a notification.
Public Event ControlRButtonUp | Occurs when a control is right-clicked.
Public Event ControlSelected | Occurs when a control is selected.
Public Event Customization | Occurs when the customize dialog is displayed.
Public Event CustomizationAddToolBar | Occurs when a new custom toolbar is added via the Customization Dialog.
Public Event CustomizationDeleteToolBar | Occurs when a new custom toolbar is deleted via the Customization Dialog.
Public Event CustomizationDone | Occurs after command bar customization is complete.
Public Event CustomizationResetAll | Occurs when the "reset all" button is pressed in the customization dialog.
Public Event CustomizationResetToolBar | Occurs when the "reset" button is used to reset a toolbar back to the default layout.
Public Event Execute | Occurs when a command bar control is clicked.
Public Event GetActiveDocumentID | Occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.
Public Event GetClientBordersWidth | Occurs when the area occupied by controls docked to the edges of the form has to be retrieved.
Public Event InitCommandsPopup | Occurs when a popup control is about to be expanded/shown.
Public Event MessageBarClosed |
Public Event OLECompleteDrag | Occurs when the commandbar's component is dropped onto a target component, informing the commandbar's component that a drag action was either performed or canceled.
Public Event OLEStartDrag | Occurs when the commandbar's OLEDrag method is performed, or when the commandbar component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic. This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.
Public Event ReCreated |
Public Event RepositionAlignedControls | Occurs when controls are to be repositioned on a MDI form.
Public Event Resize | Occurs when the command bar layout changes.
Public Event ResizeClient | Occurs when the command bar layout changes.
Public Event SpecialColorChanged | Occurs when a special color has been changed in the command bar
Public Event ToolBarContextMenu | Occurs when the CommandBars default context menu is displayed.
Public Event ToolBarVisibleChanged | Occurs when the visible status of a Toolbar changes.
Public Event TrackingModeChanged | Occurs when the command bars tracking mode has changed. Tracking mode is similar to get\lost focus for a command bar.
Public Event Update | Occurs when a command bar control has been updated.

See Also

CommandBars Overview


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Name
The title of the command bar.
Position
The initial position of the command bar.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a new command bar.

Syntax

Public Function Add( _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
) As CommandBar

Parameters

Name
The title of the command bar.
Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
The initial position of the command bar.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | CreateCommandBar Method

CommandBar
Reference to the commandbar to add.
Name
Text name of the commandbar, will also be used as the title for floating bars.
Position
Position to place commandbar.
See Also Command Bars ActiveX Control v19.3

AddCustomBar Method

Description

Allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.

Syntax

Public Sub AddCustomBar( _
   ByVal CommandBar As CommandBar, _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
)

Parameters

CommandBar
Reference to the commandbar to add.
Name
Text name of the commandbar, will also be used as the title for floating bars.
Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
Position to place commandbar.

Remarks

AddCustomBar allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.

In the code below CreateCommandBar uses the CXTPFloatingPopupBar class to create a floating popup toolbar that looks exactly like a expanded menu, i.e. the File menu when expanded.

Dim FileMenuBar As CommandBar
Set FileMenuBar = CommandBars.CreateCommandBar("CXTPFloatingPopupBar")
CommandBars.AddCustomBar FileMenuBar, "File Menu", xtpBarFloating

With FileMenuBar
AddButton .Controls, xtpControlButton, ID_FILE_NEW
AddButton .Controls, xtpControlButton, ID_FILE_OPEN
AddButton .Controls, xtpControlButton, ID_FILE_CLOSE
AddButton .Controls, xtpControlButton, ID_FILE_SAVE
AddButton .Controls, xtpControlButton, ID_FILE_PRINT, True
AddButton .Controls, xtpControlButton, ID_FILE_PRINT_SETUP
AddButton .Controls, xtpControlButton, ID_FILE_EXIT, True
End With

Below is a custom CXTPFloatingPopupBar toolbar.

See Also

CommandBars Control | CreateCommandBar Method


%%PageItemTitle%%

CommandBars Control | DialogBar Object

Name
Name of the Dialog Bar. This will be the Title given to the Dialog Bar.
Position
The initial position the Dialog Bar will be docked when the application is started.
See Also Command Bars ActiveX Control v19.3

AddDialogBar Method

Description

The AddDialogBar method adds a Dialog Bar to the Command Bars collection of controls.

Syntax

Public Function AddDialogBar( _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
) As DialogBar

Parameters

Name
Name of the Dialog Bar. This will be the Title given to the Dialog Bar.
Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
The initial position the Dialog Bar will be docked when the application is started.

Return Type

Pointer to the DialogBar.

Remarks

The Dialog Bar has both the characteristics of a toolbar and a dialog box. The Dialog Bar acts like a toolbar but can contain any object with an hWnd. When adding multiple controls, controls can be grouped by placing them in a Picture Box or Form, and then adding them to the Dialog Bar.

See Also

CommandBars Control | DialogBar Object


%%PageItemTitle%%

CommandBars Control

Icon
The handle to the icon
Command
The command id for which this icon will be used.
imageState
The state of the image
Alpha
Specifies whether the image is an alpha image.
See Also Command Bars ActiveX Control v19.3

AddIconHandle Method

Description

Adds an icon for use with command bar controls.

Syntax

Public Sub AddIconHandle( _
   ByVal Icon As Long, _
   ByVal Command As Long, _
   ByVal imageState As Long, _
   ByVal Alpha As Boolean _
)

Parameters

Icon
The handle to the icon
Command
The command id for which this icon will be used.
imageState
The state of the image
Alpha
Specifies whether the image is an alpha image.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

ImageList
The ImageList object from which icons are to be added.
See Also Command Bars ActiveX Control v19.3

AddImageList Method

Description

Adds icons from an imagelist which are used to display command bar items.

Syntax

Public Sub AddImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
The ImageList object from which icons are to be added.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | DeleteAll Method

Name
Title of the active menu bar.
See Also Command Bars ActiveX Control v19.3

AddMenuBar Method

Description

Adds an active menu bar.

Syntax

Public Function AddMenuBar( _
   ByVal Name As String _
) As CommandBar

Parameters

Name
Title of the active menu bar.

Return Type

Returns CommandBar object that represents the active menu bar.

Remarks

Only one active menu bar can exists at a time, if a active menu bar already exits AddMenuBar will do nothing.

AddMenuBar is the only way to add the active menu bar back after using DeleteAll.

See Also

CommandBars Control | DeleteAll Method


%%PageItemTitle%%

CommandBars Control | AddPopup Method | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method

Name
Name of the MiniToolbar.
See Also Command Bars ActiveX Control v19.3

AddMiniToolBar Method

Description

Creates a MiniToolbar

Syntax

Public Function AddMiniToolBar( _
   ByVal Name As String _
) As MiniToolBar

Parameters

Name
Name of the MiniToolbar.

Return Type

Reference to a new MiniToolBar object.

Remarks

AddMiniToolBar creates a new MiniToolBar object. After creation the MiniToolbar needs to be added to the commandbars collection of context menus using AddPopup.

Example

[Visual Basic]

Private Sub Form_Load()
    Dim MiniToolBar As MiniToolBar
    'Create a MiniToolbar object
    Set MiniToolBar = CommandBars.AddMiniToolBar("MiniBar")

    'Add the MiniToolbar to the commandbars collection of context menus
    CommandBars.ContextMenus.AddPopup MiniToolBar

    'Add controls to the Mini Toolbar
    With MiniToolBar.Controls
        Dim Combo As CommandBarComboBox, ComboPopup As CommandBar

        Set Combo = .Add(xtpControlComboBox, ID_FONT_FACE, "Font Face")
        Combo.DropDownListStyle = True
        Combo.Width = 64
        Combo.Text = "Tahoma"
        Combo.AutoComplete = True

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

        Dim GalleryFont As CommandBarGallery, GallerySize As CommandBarGallery
        Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
        GalleryFont.Width = 290
        GalleryFont.Height = 508
        GalleryFont.Resizable = xtpAllowResizeWidth Or xtpAllowResizeHeight

        Set Combo.CommandBar = ComboPopup

        Set Combo = .Add(xtpControlComboBox, ID_FONT_SIZE, "Font Size")
        Combo.DropDownListStyle = True
        Combo.Width = 50
        Combo.Text = "10"

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)
        Set GallerySize = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_SIZE, "")
        GallerySize.Width = 42
        GallerySize.Height = 16 * 17
        GallerySize.Resizable = xtpAllowResizeHeight
        Set Combo.CommandBar = ComboPopup

        .Add xtpControlButton, ID_FONT_GROW, ""
        .Add xtpControlButton, ID_FONT_SHRINK, ""
        .Add xtpControlButton, ID_TEXT_COLOR, ""
        .Add xtpControlButton, ID_CHAR_BOLD, ""
        .Add xtpControlButton, ID_CHAR_ITALIC, ""
        .Add xtpControlButton, ID_PARA_LEFT, ""
        .Add xtpControlButton, ID_PARA_CENTER, ""
        .Add xtpControlButton, ID_PARA_RIGHT, ""
        .Add xtpControlButton, ID_PARA_INCREASEINDENT, ""
        .Add xtpControlButton, ID_PARA_DECREASEINDENT, ""
        .Add xtpControlButton, ID_INSERT_BULLET, ""

        MiniToolBar.Width = 22 * 8 + 4

    End With
End Sub

Private Sub txtClient_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim MiniToolBar As MiniToolBar

    If (Button = 2) Then
        ZOrder

        Dim Popup As CommandBar
        Set Popup = CommandBars.ContextMenus(1)

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupContextMenu Popup
    End If

    If (Button = 1 And txtClient.SelLength > 0) Then

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupMiniToolBar
    End If
End Sub

See Also

CommandBars Control | AddPopup Method | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method


%%PageItemTitle%%

CommandBars Control | RibbonBar Object | AddGroup Method | InsertGroup Method | RibbonTab Object | Add Item Method

Name
Title of the Ribbon Bar.
See Also Command Bars ActiveX Control v19.3

AddRibbonBar Method

Description

Adds a RibbonBar.

Syntax

Public Function AddRibbonBar( _
   ByVal Name As String _
) As RibbonBar

Parameters

Name
Title of the Ribbon Bar.

Return Type

Reference to the RibbonBar that was just added.

Remarks

The AddRibbonBar method adds a Ribbon Bar to the command bars. The Ribbon Bar is just a different type of command bar and functions similar with some added functionality. Finding a control in the Ribbon Bar is done using the FindControl method. The controls in the Ribbon Bar respond exactly the same way they would in a normal toolbar. The Execute event is used when an item is clicked or executed and the status of items is updated using the Update event.

After adding a RibbonBar, the EnableDocking method should be used to disabled docking by using the xtpFlagStretched flag, or by using a zero (0). If docking is desired, the Ribbon Bar can only be docked to the top or bottom of the application.

Call the RecalcLayout method to correctly size the Ribbon Bar when the layout has changed. Layout refers to anything that changes the size of the Ribbon Bar. For example, a layout change that requires the RecalcLayout method to be called would be adding a group, adding an item to a group, changing the caption of a tab or adding\removing tab icons because the new caption could be smaller or wider.

For visible changes to the Ribbon Bar such as changing the tab color of a visible tab button, the RedrawBar method is used.

SetIconSize sets the size of the "normal" icons displayed in the Ribbon Bar. Icons will not be displayed smaller that the size specified with SetIconSize. If a larger icon has not been added with the specified size, then the closet match will be scaled to the specified size.

The TabCount property returns the total number of tabs that have been added to the tabs collection.

InsertTab adds a new RibbonTab to the tabs collection of the Ribbon Bar.

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups.

The TabCount property can be used to determine the total number of tabs that have been added.

Each RibbonTab can contain one or more RibbonGroup objects that are used to hold CommandBarControl objects. The Caption of a RibbonGroup is a title bar that visually "groups" the CommandBarControl objects that have been added to the RibbonGroup Items Collection.

Groups are added to the RibbonTab Groups Collection using the AddGroup and InsertGroup methods. Items are added to a group using the Add method.

Methods and Properties unique to the Ribbon Bar are:

InsertTab and TabPaintManager methods.

TabCount and Tab properties

See Also

CommandBars Control | RibbonBar Object | AddGroup Method | InsertGroup Method | RibbonTab Object | Add Item Method

Example

RibbonBar Sample


%%PageItemTitle%%

CommandBars Control | TabToolBar Object | InsertCategory Method

Name
Title of the tabbed toolbar.
See Also Command Bars ActiveX Control v19.3

AddTabToolBar Method

Description

Adds a Tabbed ToolBar.

Syntax

Public Function AddTabToolBar( _
   ByVal Name As String _
) As TabToolBar

Parameters

Name
Title of the tabbed toolbar.

Return Type

Reference to the TabToolBar that was just added.

Remarks

A Tabbed Toolbar consists of one or more categories, each category has it's own tab. Tabs are used to display the corresponding category. Categories can be thought of as separate toolbars. Buttons and other controls can then be added to each category. The InsertCategory method is used to insert a category into a tabbed toolbar. The InsertCategory method returns a TabControlItem, which is the tab used to access the category. In the picture above, "Advanced", "Standard", "Other", and "User Tools" are all categories that were added to a Tabbed ToolBar.

The UpdateTabs method must be called after adding buttons\controls to a category in the tabbed toolbar so the new control can be added to the appropriate Category. When adding buttons\controls, the Category property for the new button\control must be set to the name of a category in the tabbed toolbar. After UpdateTabs is called the buttons will be displayed in the appropriate category.

The appearance, color, and theme of the tabs used in the Tabbed Toolbar can be customized using the TabPaintManager property. Depending on which visual changes that are made, the RedrawBar and RecalcLayout method might be needed to update the tabbed toolbar.

The AllowReorder property is used to specify that the tabs in the tabbed toolbar can be reordered.

The MinimumWidth property specifies the minimum width the Tabbed Toolbar can be regardless of how few items might be in a category.

Methods and Properties unique to the Tabbed Toolbar are:

InsertCategory, UpdateTabs, and RemoveCategory methods

Category, MinimumWidth, TabPaintManager, AllowReorder, and CategoryCount properties.

See Also

CommandBars Control | TabToolBar Object | InsertCategory Method

Example

Adding a Tabbed ToolBar


%%PageItemTitle%%

CommandBars Control

SetAllowTransparency
See Also Command Bars ActiveX Control v19.3

AllowFrameTransparency Method

Syntax

Public Sub AllowFrameTransparency( _
   ByVal SetAllowTransparency As Boolean _
)

Parameters

SetAllowTransparency

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

hWnd
Handle to a control that will be the container for the CommandBars.
See Also Command Bars ActiveX Control v19.3

AttachToWindow Method

Description

Specifies the control that will contain the CommandBars.

Syntax

Public Sub AttachToWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to a control that will be the container for the CommandBars.

Remarks

Any control with a hWnd or Handle property can be used as a container for the Command Bars. The commandbars will treat the container control exactly like when it is added to a form. The commandbars will resize to the container control and can be docked to the edges of the container control.

The picture below shows a RTF TextBox control that contains the CommanrBars.

Example

[AttachToWindow Sample (Visual Basic)] This sample illustrates how to specify the parent container for a CommandBars control.

    CommandBars.AttachToWindow rtfText.hWnd

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ClosePopups Method

Description

Closes all commandbar popups.

Syntax

Public Sub ClosePopups()

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | GetActiveDocumentID Event

See Also Command Bars ActiveX Control v19.3

ContextHelp Method

Description

Context help base id.

Syntax

Public Function ContextHelp() As Long

Return Type

Context help base id.

Remarks

The ContextHelp property is the start of the help tracking Ids.

The base id for ContextHelp is 0x00010000. When an item that has a help context id is clicked then the value in ContextHelp will be the the chosen control's Id + 0x00010000.

To retrieve a help Id you would add the Id of the control to ContextHelp (0x00010000) if some button was pressed. If nothing was clicked then ContextHelp will be 0.

See Also

CommandBars Control | GetActiveDocumentID Event


%%PageItemTitle%%

CommandBars Control

ClassName

Name of the class of commandbar popup control to create. The list of available classes is below:

CXTPPopupBar

CXTPPopupToolBar

CXTPRibbonSystemPopupBar

CXTPRibbonSystemPopupBarPage

CXTPFloatingPopupBar - (Shows a floating popup that looks exactly like a expanded menu, i.e. the File menu when expanded)

See Also Command Bars ActiveX Control v19.3

CreateCommandBar Method

Description

Universal method for creating commandbar popup objects.

Syntax

Public Function CreateCommandBar( _
   ByVal ClassName As String _
) As CommandBar

Parameters

ClassName

Name of the class of commandbar popup control to create. The list of available classes is below:

CXTPPopupBar

CXTPPopupToolBar

CXTPRibbonSystemPopupBar

CXTPRibbonSystemPopupBarPage

CXTPFloatingPopupBar - (Shows a floating popup that looks exactly like a expanded menu, i.e. the File menu when expanded)

Return Type

Returns a commandbar popup control containing a commandbar popup control of the specified class.

Remarks

After the CreateCommandBar method is used to create a commandbar popup control it can then be assigned to the commandbar property of popup controls.

CreateCommandBar is needed to create and add some types of popup controls because not all classes have their own special type. For example, the CXTPRibbonSystemPopupBar and CXTPRibbonSystemPopupBarPage classes can't be created without the CreateCommandBar method because they have no special type. So you need to first create them using the CreateCommandBar method and then assign them to the popup control's commandbar property.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | Add Method

ClassName

Name of the class of control to create. The list of available classes is below:

CXTPControlButton

CXTPControlCheckBox

CXTPControlColorSelector

CXTPControlComboBox

CXTPControlEdit

CXTPControlFontComboBox

CXTPControlGallery

CXTPControlLabel

CXTPControlPopup

CXTPControlPopupColor

CXTPControlRadioButton

CXTPControlWindowList

CXTPControlWorkspaceActions

CXTPControlToolbars

CXTPRibbonControlSystemButton

CXTPRibbonControlSystemPopupBarButton

CXTPRibbonControlSystemPopupBarListCaption

CXTPRibbonControlSystemPopupBarListItem

CXTPRibbonControlSystemRecentFileList

CXTPControlRecentFileList

See Also Command Bars ActiveX Control v19.3

CreateCommandBarControl Method

Description

Universal method for creating commandbar controls.

Syntax

Public Function CreateCommandBarControl( _
   ByVal ClassName As String _
) As CommandBarControl

Parameters

ClassName

Name of the class of control to create. The list of available classes is below:

CXTPControlButton

CXTPControlCheckBox

CXTPControlColorSelector

CXTPControlComboBox

CXTPControlEdit

CXTPControlFontComboBox

CXTPControlGallery

CXTPControlLabel

CXTPControlPopup

CXTPControlPopupColor

CXTPControlRadioButton

CXTPControlWindowList

CXTPControlWorkspaceActions

CXTPControlToolbars

CXTPRibbonControlSystemButton

CXTPRibbonControlSystemPopupBarButton

CXTPRibbonControlSystemPopupBarListCaption

CXTPRibbonControlSystemPopupBarListItem

CXTPRibbonControlSystemRecentFileList

CXTPControlRecentFileList

Return Type

Returns a commandbar control containing a control of the specified class.

Remarks

After the CreateCommandBarControl method is used to create a control it must be added using the Add method.

CreateCommandBarControl is needed to create and add some types of controls because not all classes have their own special type. For example, the CommandBarControlSelector and CommandBarPopupControl classes can't be added to a controls collection using the Add method because they have no special type. So you need to first create them using the CreateCommandBarControl method and then use the Add method to add them to the controls collection.

See Also

CommandBars Control | Add Method


%%PageItemTitle%%

CommandBars Control

Id
Identifier of the gallery.
See Also Command Bars ActiveX Control v19.3

CreateGalleryItems Method

Description

Creates a CommandBarGalleryItems collection for use in a CommandBarGallery control.

Syntax

Public Function CreateGalleryItems( _
   ByVal Id As Integer _
) As CommandBarGalleryItems

Parameters

Id
Identifier of the gallery.

Return Type

Reference to the CommandBarGalleryItems collection object that was just created.

Remarks

Before adding items to a gallery CreateGalleryItems must be used to create a CommandBarGalleryItems collection. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add items to a gallery.

The illustration below shows a gallery control which contains both label and normal gallery items.

Example

[CreateGalleryItems Sample (Visual Basic)] This sample illustrates how to create a gallery and add items to a gallery.

    Dim ComboPopup As CommandBar, GalleryFont As CommandBarGallery, ItemsFont As CommandBarGalleryItems
    Dim GallerySize As CommandBarGallery, ItemsSize As CommandBarGalleryItems

    Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

    Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
    GalleryFont.Width = 290
    GalleryFont.Height = 508

    'First create a CommandBarGalleryItems collection using the
    'same Id as the gallery does
    Set ItemsFont = CommandBars.CreateGalleryItems(ID_FONT_FACE)
    ItemsFont.ItemWidth = 0
    ItemsFont.ItemHeight = 26

    ItemsFont.AddLabel "Recently Used Fonts"
    ItemsFont.AddItem 1, "Arial"
    ItemsFont.AddItem 2, "Tahoma"

    ItemsFont.AddLabel "All Fonts"
    For i = 1 To Screen.FontCount
        ItemsFont.AddItem i, Screen.Fonts(i)
    Next i

    'Now set the Gallery.Items collection to the ItemsFont collections
    'that contains the gallery items
    Set GalleryFont.Items = ItemsFont
    Set Combo.CommandBar = ComboPopup

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | LoadStateFromXMLString Method | SaveStateToXMLString Method | StateOptions Object | LoadSilent Property | SaveOnlyCustomized Property | SaveOriginalControls Property | SerializeControls Property | SerializeDesignerControls Property | SerializeImages Property | SerializeLayout Property | SerializeOptions Property

See Also Command Bars ActiveX Control v19.3

CreateStateOptions Method

Description

The CreateStateOptions method will create a set of State Options that will be used to specify how and what will be saved and loaded when using the LoadStateFromXMLString and SaveStateFromXMLString methods.

Syntax

Public Function CreateStateOptions() As StateOptions

Return Type

Returns the State Options object that holds the load and save options for the Command Bars.

Remarks

The State Options specify which parts of the CommandBars will be saved to the XML file when the SaveStateFromXMLString method is used.

Options include:

    • Saving only customized controls.
    • Saving original controls.
    • Serialize controls.
    • Serialize designer control.
    • Save Command Bar images.
    • Save Command Bar layout.
    • Save CommandBar Options.
    • Silent Update.

See Also

CommandBars Control | LoadStateFromXMLString Method | SaveStateToXMLString Method | StateOptions Object | LoadSilent Property | SaveOnlyCustomized Property | SaveOriginalControls Property | SerializeControls Property | SerializeDesignerControls Property | SerializeImages Property | SerializeLayout Property | SerializeOptions Property


%%PageItemTitle%%

CommandBars Control | Delete Method | AddMenuBar Method

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

The DeleteAll method is used to delete all the commandbars in the collection of CommandBars.

Syntax

Public Sub DeleteAll()

Remarks

The DeleteAll method should be called before loading a Command Bar layout from an XML or XCB file. This should be called when you want to load all toolbars, not just toolbars customized by the user. If DeleteAll is called before the update, the file being loaded must have had SaveOnlyCustomized = False And SerializeControls = True when created.

When a layout is loaded, the toolbars not present in the saved layout will not be deleted. The DeleteAll method allows you to delete all the toolbars before the layout is loaded.

Use AddMenuBar to re-add an active menu bar after using DeleteAll.

See Also

CommandBars Control | Delete Method | AddMenuBar Method


%%PageItemTitle%%

CommandBars Control

hWnd
See Also Command Bars ActiveX Control v19.3

DisableFrameThemeHandle Method

Syntax

Public Sub DisableFrameThemeHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | EnableOffice2007FrameHandle Method | EnableOffice2007Frame Method

hWnd
Handle to the window to remove the Office 2007 frame from.
See Also Command Bars ActiveX Control v19.3

DisableOffice2007FrameHandle Method

Description

Removes the Office 2007 style frame to a specified window if applicable.

Syntax

Public Sub DisableOffice2007FrameHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the window to remove the Office 2007 frame from.

Remarks

Use DisableOffice2007FrameHandle to remove the Office 2007 style frame from a window. Do this before switching to a theme other than Ribbon or Office 2007.

EnableOffice2007FrameHandle will apply an Office 2007 style frame to a window. This is particularly useful when creating a MDI application using the Ribbon bar or Office 2007 theme, which allows you to theme the child window frames to Office 2007 as well.

Note: You must be either using the RibbonBar or have the Commandbars set to Office 2007 or Ribbon theme to use EnableOffice2007FrameHandle.

See Also

CommandBars Control | EnableOffice2007FrameHandle Method | EnableOffice2007Frame Method


%%PageItemTitle%%

CommandBars Control

ToolBar
The toolbar to be docked
x
The x-coordinate where the toolbar should be docked
y
The y-coordinate where the toolbar should be docked
Position
The initial position of the toolbar
See Also Command Bars ActiveX Control v19.3

DockToolBar Method

Description

Docks a toolbar to the specified command bar

Syntax

Public Sub DockToolBar( _
   ByVal ToolBar As CommandBar, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal Position As XTPBarPosition _
)

Parameters

ToolBar
The toolbar to be docked
x
The x-coordinate where the toolbar should be docked
y
The y-coordinate where the toolbar should be docked
Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
The initial position of the toolbar

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

pPX
PropExhange object to exchange data with.
Options
Reference to a StateOptions object that specifies which parts of the CommandBars layout to save.
See Also Command Bars ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange, _
   Optional ByVal Options As StateOptions = 0 _
)

Parameters

pPX
PropExhange object to exchange data with.
Options
Reference to a StateOptions object that specifies which parts of the CommandBars layout to save.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

CommandBars Control

Example

DoPropExchange Sample


%%PageItemTitle%%

CommandBars Control | CommandBarAction Object | CommandBarActions Object | Actions Colleciton

See Also Command Bars ActiveX Control v19.3

EnableActions Method

Description

Enables or disables the use of Actions in the commandbars.

Syntax

Public Sub EnableActions()

Remarks

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

The CommandBarActions Collection allows you to add and access CommandBars Action items to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

See Also

CommandBars Control | CommandBarAction Object | CommandBarActions Object | Actions Colleciton

Example

Using CommandBar Actions


%%PageItemTitle%%

CommandBars Control

Enable
TRUE to enable customization
See Also Command Bars ActiveX Control v19.3

EnableCustomization Method

Description

Enables/Disables customization of the command bar

Syntax

Public Sub EnableCustomization( _
   ByVal Enable As Boolean _
)

Parameters

Enable
TRUE to enable customization

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Enable
DefaultYes
See Also Command Bars ActiveX Control v19.3

EnableDefaultResetCustomizedToolbarChoice Method

Syntax

Public Sub EnableDefaultResetCustomizedToolbarChoice( _
   ByVal Enable As Boolean, _
   ByVal DefaultYes As Boolean _
)

Parameters

Enable
DefaultYes

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Enable
See Also Command Bars ActiveX Control v19.3

EnableFrameTheme Method

Syntax

Public Sub EnableFrameTheme( _
   ByVal Enable As Boolean _
)

Parameters

Enable

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

hWnd
See Also Command Bars ActiveX Control v19.3

EnableFrameThemeHandle Method

Syntax

Public Sub EnableFrameThemeHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | VisualTheme Property | XTPVisualTheme Enumeration

Enable
See Also Command Bars ActiveX Control v19.3

EnableOffice2007Frame Method

Description

Specifies that the Office 2007 style frame will be used.

Syntax

Public Sub EnableOffice2007Frame( _
   ByVal Enable As Boolean _
)

Parameters

Enable

Remarks

EnableOffice2007Frame is useful when the Office 2007 visual theme is applied so the entire application is Office 2007 themed.

See Also

CommandBars Control | VisualTheme Property | XTPVisualTheme Enumeration


%%PageItemTitle%%

CommandBars Control | DisableOffice2007FrameHandle Method

hWnd
Handle to the window to apply an Office 2007 frame.
See Also Command Bars ActiveX Control v19.3

EnableOffice2007FrameHandle Method

Description

Applies an Office 2007 style frame to a specified window.

Syntax

Public Sub EnableOffice2007FrameHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the window to apply an Office 2007 frame.

Remarks

EnableOffice2007FrameHandle will apply an Office 2007 style frame to a window. This is particularly useful when creating a MDI application using the Ribbon bar or Office 2007 theme, which allows you to theme the child window frames to Office 2007 as well.

Use DisableOffice2007FrameHandle to remove the Office 2007 style frame from a window. Do this before switching to a theme other than Ribbon or Office 2007.

Note: You must be either using the RibbonBar or have the Commandbars set to Office 2007 or Ribbon theme to use EnableOffice2007FrameHandle.

See Also

CommandBars Control | DisableOffice2007FrameHandle Method


%%PageItemTitle%%

CommandBars Control

Enable
True to enable transparent toolbars, False to disable transparent toolbars
See Also Command Bars ActiveX Control v19.3

EnableToolbarComposition Method

Description

Enables the use of Windows 7/Vista style transparent toolbars.

Syntax

Public Sub EnableToolbarComposition( _
   ByVal Enable As Boolean _
)

Parameters

Enable
True to enable transparent toolbars, False to disable transparent toolbars

Remarks

EnableToolbarComposition is used to create Win7/Vista style transparent toolbars. This feature is only supported on Windows 7 and Windows Vista.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Type
Type of the control to find
Id
Control's identifier
Visible
Control is visible
Recursive
To find in the nested command bars
See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds the specified control

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type
Type of the control to find
Id
Control's identifier
Visible
Control is visible
Recursive
To find in the nested command bars

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.
See Also Command Bars ActiveX Control v19.3

GetClientRect Method

Description

Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any command bars.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

GetDispatch Method

Description

Used in .NET to retrieve self object.

Syntax

Public Function GetDispatch() As Object

Remarks

Used in .NET only. Must be used with the DockingPaneManager.SetCommandBars method when both CommandBars and DockingPanes are used on the same form.

Example

[GetDispatch Sample (Visual Basic)] This sample illustrates how to the CommandBars self object.

    DockingPaneManager.SetCommandBars(CommandBars.GetDispatch)

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Index
Index of the special color
See Also Command Bars ActiveX Control v19.3

GetSpecialColor Method

Description

Gets a special color to use in the command bar

Syntax

Public Function GetSpecialColor( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Index of the special color

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

RegistryKey
AppName
Section
See Also Command Bars ActiveX Control v19.3

LoadCommandBars Method

Description

Loads command bars from the registry.

Syntax

Public Sub LoadCommandBars( _
   Optional ByVal RegistryKey As Variant, _
   Optional ByVal AppName As Variant, _
   Optional ByVal Section As Variant _
)

Parameters

RegistryKey
AppName
Section

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

FileNameOrResource
Instance
See Also Command Bars ActiveX Control v19.3

LoadDesignerBars Method

Description

Loads a command bar layout from a file.

Syntax

Public Sub LoadDesignerBars( _
   Optional ByVal FileNameOrResource As Variant, _
   Optional ByVal Instance As Variant _
)

Parameters

FileNameOrResource
Instance

Remarks

The file is a file created using the CommandBars designer.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Profile
The CommandBar Layout in String format.
RestoreControls
If True, the layout of the controls will be restored. i.e. If the user moves some controls or adds some controls to the toolbar, they will be restored. If False, the position of the controls and any controls added by the user will not be restored.
RestoreOptions
If True, the setting on the Keyboard and Options pages of the Customize dialog will be restored. If False, all settings will be set to the default values.
Silent
If True, no message boxes will be displayed. i.e. The message box that asks for conformation before the CommandBar layout is reset.
See Also Command Bars ActiveX Control v19.3

LoadStateFromString Method

Description

Loads the layout of the CommandBar from a string.

Syntax

Public Sub LoadStateFromString( _
   ByVal Profile As String, _
   ByVal RestoreControls As Boolean, _
   Optional ByVal RestoreOptions As Boolean = False, _
   Optional ByVal Silent As Boolean = False _
)

Parameters

Profile
The CommandBar Layout in String format.
RestoreControls
If True, the layout of the controls will be restored. i.e. If the user moves some controls or adds some controls to the toolbar, they will be restored. If False, the position of the controls and any controls added by the user will not be restored.
RestoreOptions
If True, the setting on the Keyboard and Options pages of the Customize dialog will be restored. If False, all settings will be set to the default values.
Silent
If True, no message boxes will be displayed. i.e. The message box that asks for conformation before the CommandBar layout is reset.

Example

[Load CommandBars Layout from a File (Visual Basic)] Load the Layout of a CommandBar from a file. The file contains the CommandBars layout saved in String format.

Dim FreeF As Integer, sFile As String, sLayout As String

On Error Resume Next:

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    sLayout = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , sLayout
    Close #FreeF
    On Error GoTo 0
    CommandBars.LoadStateFromString sLayout, True

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | CreateStateOptions Method | SaveStateToXMLString Method | LoadStateFromString Method | SaveStateToString Method | StateOptions Object

Profile

Name of the layout to load from the XML string. If the XML string was created in the Designer Studio, the default profile name is "DesignerFile".

IMPORTANT: When saving an XML string, the Profile name MUST be "DesignerFile" if you want to edit the XML file in the Designer Studio.

state
XML string to that contains a CommandBar layout to load.
Options
Pointer to a StateOptions object that contains information that specifies how to update the CommandBars. by default, this is zero.
See Also Command Bars ActiveX Control v19.3

LoadStateFromXMLString Method

Description

The LoadStateFromXMLString method loads a Command Bar state from a XML string.

Syntax

Public Sub LoadStateFromXMLString( _
   ByVal Profile As String, _
   ByVal state As String, _
   Optional ByVal Options As StateOptions = 0 _
)

Parameters

Profile

Name of the layout to load from the XML string. If the XML string was created in the Designer Studio, the default profile name is "DesignerFile".

IMPORTANT: When saving an XML string, the Profile name MUST be "DesignerFile" if you want to edit the XML file in the Designer Studio.

state
XML string to that contains a CommandBar layout to load.
Options
Pointer to a StateOptions object that contains information that specifies how to update the CommandBars. by default, this is zero.

Remarks

The XML file can be created in the Designer Studio or with the SaveStateToString method. StateOptions can be used to specify how the CommandBars are updated.

See Also

CommandBars Control | CreateStateOptions Method | SaveStateToXMLString Method | LoadStateFromString Method | SaveStateToString Method | StateOptions Object

Example

StateOptions Object


%%PageItemTitle%%

CommandBars Control

Control
Name of the control to be moved.
Left
The space between the left side of the control and the left side of the container of the control.
Top
The space between the top of the control and the top of the container of the control.
Right
The space between the right side of the control and the right side of the container of the control.
Bottom
The space between the bottom of the control and the bottom of the container of the control.
See Also Command Bars ActiveX Control v19.3

MoveAlignedControl Method

Description

Moves and resizes a control to a specified location within its container.

Syntax

Public Sub MoveAlignedControl( _
   ByVal Control As Object, _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Control
Name of the control to be moved.
Left
The space between the left side of the control and the left side of the container of the control.
Top
The space between the top of the control and the top of the container of the control.
Right
The space between the right side of the control and the right side of the container of the control.
Bottom
The space between the bottom of the control and the bottom of the container of the control.

Remarks

This method is used to move a control, such as a picturebox on a MDIForm.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | OLECompleteDrag Event | OLEStartDrag Event

See Also Command Bars ActiveX Control v19.3

OLEDrag Method

Description

Causes the commandbars to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the commandbar's OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

CommandBars Control | OLECompleteDrag Event | OLEStartDrag Event


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Recalculates the entire layout of the docking panes on the form.

Syntax

Public Sub RecalcLayout()

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

RegistryKey
AppName
Section
See Also Command Bars ActiveX Control v19.3

SaveCommandBars Method

Description

Saves command bars to the registry.

Syntax

Public Sub SaveCommandBars( _
   Optional ByVal RegistryKey As Variant, _
   Optional ByVal AppName As Variant, _
   Optional ByVal Section As Variant _
)

Parameters

RegistryKey
AppName
Section

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

SaveControls
If True, the customized layout of the CommandBar will be saved. If False, then only the normal layout of the toolbar is saved with no customization information.
SaveOnlyCustomized
If True, only the layout of toolbars whos layout has changed will be saved. This will reduce the file size.
SaveOptions
If True, the settings on the Keyboard and Options pages of the Customize dialog will be saved. If False, all settings will not be saved.
See Also Command Bars ActiveX Control v19.3

SaveStateToString Method

Description

Saves the layout of the CommandBar to a string.

Syntax

Public Function SaveStateToString( _
   ByVal SaveControls As Boolean, _
   ByVal SaveOnlyCustomized As Boolean, _
   Optional ByVal SaveOptions As Boolean = False _
) As String

Parameters

SaveControls
If True, the customized layout of the CommandBar will be saved. If False, then only the normal layout of the toolbar is saved with no customization information.
SaveOnlyCustomized
If True, only the layout of toolbars whos layout has changed will be saved. This will reduce the file size.
SaveOptions
If True, the settings on the Keyboard and Options pages of the Customize dialog will be saved. If False, all settings will not be saved.

Remarks

Some applications have multi user access. It can be userfull to store a layout for each user in a personal file instead of the registry.

Example

[Save CommandBar Layout to String and File (Visual Basic)] Saves the CommandBar layout to a Sting. The String is placed in a file so it can be access when the application

Dim FreeF As Integer, sFile As String, sLayout As String

sFile = "c:\Layout.000"
FreeF = FreeFile
Kill sFile
Open sFile For Binary As #FreeF
Put #FreeF, , CommandBars.SaveStateToString(True, True, True)
Close #FreeF

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | LoadStateFromXMLString Method | LoadStateFromString Method | CreateStateOptions Method | SaveStateToString Method | StateOptions Object

Profile

Id of the XML string. This specifies which XML string should be loaded.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

Options
Pointer to a StateOptions object that contains information that specifies how the CommandBars state will be saved to the XML string and what parts of the CommandBars state will be saved.
See Also Command Bars ActiveX Control v19.3

SaveStateToXMLString Method

Description

The SaveStateToXMLString method saves the Command Bar state to a XML string.

Syntax

Public Function SaveStateToXMLString( _
   ByVal Profile As String, _
   Optional ByVal Options As StateOptions = 0 _
) As String

Parameters

Profile

Id of the XML string. This specifies which XML string should be loaded.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

Options
Pointer to a StateOptions object that contains information that specifies how the CommandBars state will be saved to the XML string and what parts of the CommandBars state will be saved.

Return Type

A String containing the state of the Command Bars in XML format.

Remarks

Creates a string containing the CommandBars layout, state, and settings. The state options object specifies which settings should be saved to the XML string. Since multiple strings can be saved to the same file, the Profile given to identify the XML string.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

See Also

CommandBars Control | LoadStateFromXMLString Method | LoadStateFromString Method | CreateStateOptions Method | SaveStateToString Method | StateOptions Object

Example

StateOptions Object


%%PageItemTitle%%

CommandBars Control

SetAllCaps
See Also Command Bars ActiveX Control v19.3

SetAllCaps Method

Syntax

Public Sub SetAllCaps( _
   ByVal SetAllCaps As Boolean _
)

Parameters

SetAllCaps

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

hWnd
Handle to MDI client window
See Also Command Bars ActiveX Control v19.3

SetMDIClient Method

Description

Used in .NET to set handle to MDI client window.

Syntax

Public Sub SetMDIClient( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to MDI client window

Remarks

Only used in .NET. This is only required when using the CommandBars in an MDI Application where the form that contains the CommandBars has the IsMDIContainter property set to True.

Example

[SetMDIClient Sample (Visual Basic)] This sample illustrates how to set the handle to the MDI client window in .NET.

        Dim ctrl As Control
        For Each ctrl In Controls
            If (ctrl.GetType Is GetType(System.Windows.Forms.MdiClient)) Then
                CommandBars.SetMDIClient(ctrl.Handle.ToInt32)
            End If
        Next

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

BackImage
See Also Command Bars ActiveX Control v19.3

SetOfficeSetBackImage Method

Syntax

Public Function SetOfficeSetBackImage( _
   ByVal BackImage As XTPBackImage _
) As Boolean

Parameters

BackImage
Value Description
XTPNone
XTPCalligraphy
XTPCirclesAndStripes
XTPCircuit
XTPClouds
XTPDoodleCircles
XTPDoodleDiamonds
XTPGeometry
XTPLunchBox
XTPSchoolSupplies
XTPSpring
XTPStars
XTPStraws
XTPTreeRings
XTPUnderWater

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Index
Color
New color for component.
See Also Command Bars ActiveX Control v19.3

SetSpecialColor Method

Description

Used to change the color of the various components that make up the commandbars.

Syntax

Public Sub SetSpecialColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Color
New color for component.

Remarks

LunaColors may need to be disabled to see the effects. Can be used to create custom themes.

Example

[SetSpecialColor Sample (Visual Basic)] This sample illustrates how to create a custom theme for your commandbars.

    CommandBars.VisualTheme = xtpThemeOffice2003
    CommandBars.SetSpecialColor XPCOLOR_TOOLBAR_FACE, CommandBars.GetSpecialColor(2)
    CommandBars.SetSpecialColor 15, CommandBars.GetSpecialColor(2)
    CommandBars.SetSpecialColor 5, CommandBars.GetSpecialColor(27)
    CommandBars.SetSpecialColor 5, vbYellow
    CommandBars.SetSpecialColor XPCOLOR_HIGHLIGHT, CommandBars.GetSpecialColor(27)
    CommandBars.Options.LunaColors = False

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | ShowKeyboardPage Property | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property | XTPCommandBarsSpecialCommands Enumeration

ActiveTab
Index of the tab in the commandbars "Customize" dialog that should be active when the dialog is opened.
See Also Command Bars ActiveX Control v19.3

ShowCustomizeDialog Method

Description

Displays the commandbars "Customize" dialog box with the option to specify which tab is displayed when opened.

Syntax

Public Sub ShowCustomizeDialog( _
   ByVal ActiveTab As Integer _
)

Parameters

ActiveTab
Index of the tab in the commandbars "Customize" dialog that should be active when the dialog is opened.

Remarks

ShowCustomizeDialog is used to display the commandbars "Customize" dialog. This has the same effect as adding a command with Id 35001 which can also be found in the XTPCommandBarsSpecialCommands enumeration.

The ShowKeyboardPage, ShowOptionsPage, and ShowRibbonQuickAccessPage properties can be used to to hide or show the Keyboard, Options, and RibbonQuickAccess pages in the commandbars "Customize" dialog.

See Also

CommandBars Control | ShowKeyboardPage Property | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property | XTPCommandBarsSpecialCommands Enumeration


%%PageItemTitle%%

CommandBars Control

Show
See Also Command Bars ActiveX Control v19.3

ShowTabWorkspace Method

Description

Shows the TabWorkspace

Syntax

Public Function ShowTabWorkspace( _
   ByVal Show As Boolean _
) As TabWorkspace

Parameters

Show

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

Actions Property

Description

Collection of CommandBars Action items that have been added to the CommandBars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Actions() As CommandBarActions

Remarks

The Actions allows you to add and access the CommandBars Action items that have been added to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

How it works:

Each CommandBar item has an Id. Items with the same Id can then share a common set of properties. A CommandBars Action object, represented as "Item Actions" in the diagram below, is a set of properties that all items of a specified Id can share. When you add an Action you will specify the Id, Caption, TooltipText, DescriptionText, and Category of the action. The Id is the Id you will assign to CommandBar items that you cant to use the properties of the action. Now any CommandBar item with the same Id as an Action will use the properties of the action. When updating any property of the action it will automatically update all occurences of the item, no matter how many a user might have added, if it is in a popup menu, or in a toolbar. You will no longer have to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars.

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

In the diagram below, the "Menu Item," "Toolbar Item" and "User Customized Item (user created toolbar)" all share the same "Item Action." When you modify the properties of the action it will update all occurences of the item.

See Also

CommandBars Control

Example

Using CommandBar Actions


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ActiveMenuBar Property

Description

Gets the Active Menu Bar object. The active menu bar is the the first command bar and is used to display your menu.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActiveMenuBar() As MenuBar

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ContextMenus Property

Description

Collection of context menus using in the application.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ContextMenus() As CommandBarsContextMenus

Remarks

Context menus are used for things such as right-clicking on a workspace, tab button, button, etc.

Context menus are displayed in the "Menu" customization dialog. This is where you will see the Caption and Id used for the menus. Users can also customize these menus.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Gets the total number of command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | Right-Click ContextMenu During Customization | CustomIcons Property

See Also Command Bars ActiveX Control v19.3

CustomizedControl Property

Description

CustomizedControl returns a pointer to the currently selected control while in customization mode. This is the control that the user is currently customizing.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomizedControl() As CommandBarControl

Remarks

To make changes to the control using custom controls added to the context menu, you use the CustomizedControl. While in customization mode, when the user clicks on a button, a black rectangle appears around the control. CustomizedControl will always point to the control that has the black rectangle around it during customization. Any changes made to CustomizedControl will also be made to the "original" control that it points to.

The picture below shows the control currently being customized during toolbar customization mode. Notice the Save button has a black focus rectangle around it. When a control is clicked during toolbar customization a black focus rectangle is placed around the control. The control that has the black focus rectangle is copied into the CustomizedControl property. Any changes made to the CustomizedControl will also be made to the original control.

Example

[Adding Custom Controls to the Context Menu (Visual Basic)] This sample illustrates how to add controls to the Context menu that is displayed when a user right-clicks on a control during CommandBar customization.

'==========================================================================================================
' Customization Event
'==========================================================================================================

'Custom commands are added to the context menu in the Customization event. This event is
'fired each time the Customization dialog is displayed.
Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Add custom controls to the context menu that is displayed when a control is
   ' right-clicked during customization
   '==========================================================================================================
   'Add an edit control to the context menu that is displayed when the user right-clicks a
   'control during customization. Passing a 4 in as the "Before" parameter will insert this
   'edit control as the fourth control in the context menu. The control will have a caption
   'label of "Parameter." When this control is clicked, the execute event is fired and
   'the control will have an Id of ID_EDIT_PARAM. See description of CustomizeOptions.ContextMenu
   'and CommandBars.CustomizedControl for more information on adding control to the context menu.
   Options.ContextMenu.Controls.Add xtpControlEdit, ID_EDIT_PARAM, "Parameter", 4

End Sub

'==========================================================================================================
' Execute Event
'==========================================================================================================

'The Execute event is triggered when the user clicks on a controls added to the context menu
'by the developer. The CommandBars.CustomizedControl property points to the control that the
'user is currently customizing. This is the control that has the black frame placed around it
'during customization. The CommandBars.CustomizedControl property is how you know which control
'the user is customizing. When you make changes to the CommandBars.CustomizedControl, all changes
'will automatically be applied to the "original" control the user is customizing.
Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)

    On Error Resume Next

    Select Case Control.Id

        'Id of the custom control added to the context menu, this was added
        'in during the Customization event. When the user hits the Enter key
        'after typing text into the edit control added, the execute event it
        'triggered and the control property contains a reference to the
        'edit control.
        Case ID_EDIT_PARAM:
            Dim ControlEdit As CommandBarEdit

            'Control is currently pointing to the custom control added
            'to the context menu.
            Set ControlEdit = Control

            'Update the "Paramater" property of the control to hold the text
            'stored in the edit box. The CustomizedControl property is a pointer
            'to the control that the user is customizing. So any changes made
            'to the CustomizedControl will be applied to the control the user is
            'currently customizing.
            CommandBars.CustomizedControl.Parameter = ControlEdit.Text

    End Select
End Sub

See Also

CommandBars Control | Right-Click ContextMenu During Customization | CustomIcons Property


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

DesignerControls Property

Description

Gets the designer controls collection for the command bar

Property type

Read-only property

Syntax (Visual Basic)

Public Property DesignerControls() As CommandBarControls

Remarks

Gets the designer controls for the command bar. If you loaded your command bar from a .xcb file, all of your controls are in the collection of designer controls. When creating the command bar via code, this is where you store the controls that will be displayed in the customize dialog.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | TrackingModeChanged Event | TrackingMode Property

See Also Command Bars ActiveX Control v19.3

FocusedCommandBar Property

Description

Returns the command bar that currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FocusedCommandBar() As CommandBar

Remarks

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused FocusedCommandBar and TrackingMode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with TrackingMode returning False.

When TrackingMode is True the command bar will "eat" all key strokes

See Also

CommandBars Control | TrackingModeChanged Event | TrackingMode Property


%%PageItemTitle%%

CommandBars Control | CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

GlobalSettings Property

Description

Command Bars global settings, such as application name and resource file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GlobalSettings() As CommandBarsGlobalSettings

See Also

CommandBars Control | CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Gets the icons for the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the command bars. You can add/retrieve icons from the collection to be used in the command bar. You can add the icons from an entire ImageManager control to the collection of icons.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

IsAllCaps Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAllCaps() As Boolean

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

IsAllowFrameTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAllowFrameTransparency() As Boolean

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Index
The index of the command bar which is to be retrieved.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Gets a command bar by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBar

Parameters

Index
The index of the command bar which is to be retrieved.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | Add Method | AddShortcut Method

See Also Command Bars ActiveX Control v19.3

KeyBindings Property

Description

Gets the collection of key bindings ( accelerator keys ) associated with the various commands used in command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property KeyBindings() As KeyBindings

Remarks

You can create a shortcut from any combination of keys on the keyboard. Command Bars will automatically place the key combination of the shortcut in the menu next to the caption of the control.

Example

[KeyBindings Sample (Visual Basic)] This sample code illustrates how to add shortcuts to the controls in your Command Bar.

    'These constants are in the General code section
    Const FSHIFT = 4
    Const FCONTROL = 8
    Const FALT = 16
    Const VK_F5 = &H74

    'Add Keybindings after the Command Bar is created
    'Adds Ctrl+N KeyBinding
    CommandBars.KeyBindings.Add FCONTROL, Asc("N"), ID_FILE_NEW
    'Adds Ctrl+SHIFT+O KeyBinding
    CommandBars.KeyBindings.Add FCONTROL + FSHIFT, Asc("O"), ID_FILE_OPEN
    'Adds F5 KeyBinding
    CommandBars.KeyBindings.Add 0, VK_F5, ID_FILE_CLOSE
    'Adds Ctrl+S KeyBinding
    CommandBars.KeyBindings.Add FCONTROL, Asc("S"), ID_FILE_SAVE
    'Adds ALT+P KeyBinding
    CommandBars.KeyBindings.Add FALT, Asc("P"), ID_FILE_PRINT
    'Adds ALT+SHIFT+Ctrl+P KeyBinding
    CommandBars.KeyBindings.Add FALT + FSHIFT + FCONTROL, Asc("P"), ID_FILE_PRINT_SETUP
    'Adds ALT+Ctrl+X KeyBinding
    CommandBars.KeyBindings.Add FCONTROL + FALT, Asc("X"), ID_FILE_EXIT

See Also

CommandBars Control | Add Method | AddShortcut Method


%%PageItemTitle%%

CommandBars Control | MessageBar Object | Message Property | AddButton Method | AddCloseButton Method | Visible Property

See Also Command Bars ActiveX Control v19.3

MessageBar Property

Description

Represents the message bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MessageBar() As MessageBar

Remarks

The message bar is an Office 2007 style message bar similar to that displayed when opening a document with a "unsafe" macro or other "unsafe" content in MS Word 2007.

See the MessageBar object for more on how to create a message bar and add items to it.

See Also

CommandBars Control | MessageBar Object | Message Property | AddButton Method | AddCloseButton Method | Visible Property


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

Options Property

Description

Gets the options that are used by command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As CommandBarsOptions

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

PaintManager Property

Description

Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As PaintManager

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | CreateCommandBarControl Method | RecentFileList Object | XTPCommandBarsSpecialCommands Enumeration

See Also Command Bars ActiveX Control v19.3

RecentFileList Property

Description

Recent File List

Property type

Read-only property

Syntax (Visual Basic)

Public Property RecentFileList() As RecentFileList

Return Type

Reference to the RecentFileList displayed for the commandbars.

Remarks

A Recent File List or MRU is used to display a recent list of opened files in the menu.

Basic Steps to create a MRU (Office 2007 and older styles):

1. To manage the recent file list you need to use the CommandBars.RecentFileList methods

2. To add a control to your Menu that will show the MRU recent file list you must create a CXTPControlRecentFileList control with the CreateCommandBarControl method and set it's ID to XTP_ID_FILE_MRU.

3. To create a pinnable Recent File list for the Ribbon ribbon create CXTPRibbonControlSystemRecentFileList using the CreateCommandBarControl method and set it's ID to XTP_ID_FILE_MRU.

4. Recent File List will be Saved/Loaded when you call LoadCommandBars/SaveCommandBars.

5. To catch an event when the user selects a Recent File list in the menu you need to add in the Execute even a handler for the XTP_ID_FILE_MRU id (or any Id that the user assigned for this control) and use the path name property to get path to file.

6. When adding items to the MRU you must specify the complete path to the file, however, only the filename will get displayed. A tooltip will display the full path to the file. You can get the full path from the path name property when in the Execute event.

The following lists information about the RecentFileListItem object that is used to represent items in the RecentFileList and also lists sample code to create both Office 2007 and Office 2010 style lists.

RecentFileListItem represents an item entry that is displayed in a RecentFileList and contains the caption, icon, file path name and pinned status for the item.

When the RecentFileListItem is added to a standard Recent File List the caption is what is displayed for the item in the list. This is also true for the Office 2007 style list. When using the Office 2010 style list the caption is not displayed in the list.

The icon Id is only used to display an icon in Office 2007 and older recent file lists. Using the Office 2010 style list this Id is not used and instead the icon used by the system for that file type will be used.

The path name is used to store the entire path including filename. For Office 2007 and older styles recent file list the path name is displayed as a tooltip for the RecentFileListItem, the caption is only displayed for this item. For Office 2010 style list the path name is fully displayed in the item as 2 lines, the first line contains the file name and the second contains the entire path to the file name.

The pinned state of the item will display a pin icon to the right of the item if Pinable is True for the RecentFileList. When the item is "pinned" it will be displayed at the top of the list, regardless of the order it was added for Office 2010 style lists. By default items are listed in the order in which they were added. When "pinned", the pin icon will also change showing the item is in fact pinned. For Office 2007 style and older lists "pinned" items will remain in the order they were added.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

Office 2007 style list:

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Set ControlFile = RibbonBar.AddSystemButton

Dim PopupBar As CommandBar
Set PopupBar = CommandBars.CreateCommandBar("CXTPRibbonSystemPopupBar")

Set ControlFile.CommandBar = PopupBar

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"

With PopupBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

End With

Office 2010 style:

Office 2007 style:

Example

Dim ControlFile As CommandBarPopup
Dim Control As CommandBarControl
Dim PopupBar As CommandBar

Set ControlFile = RibbonBar.AddSystemButton()
ControlFile.IconId = ID_SYSTEM_ICON
ControlFile.Caption = "&File"
With ControlFile.CommandBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

CommandBars.RecentFileList.Add "C:\Untitled.txt"
CommandBars.RecentFileList.Add "C:\Program Files\Untitled2.txt"
CommandBars.RecentFileList.Add "Untitled3.txt"

ControlFile.CommandBar.SetIconSize 32, 32
End With

Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)
On Error Resume Next

Select Case Control.Id
Case XTPCommandBarsSpecialCommands.XTP_ID_FILE_MRU:
Debug.Print Control.Caption & " clicked."
End Select
End Sub

See Also

CommandBars Control | CreateCommandBarControl Method | RecentFileList Object | XTPCommandBarsSpecialCommands Enumeration


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | RightToLeft Property

See Also Command Bars ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the CommandBars (Button Order, Menu Order, Menu Alignment, ToolBar Alignment, etc) are displayed from right to left.

IMPORTANT: If you using the TabWorkspace and enable tab grouping, TabWorkspace.RightToLeft must be set after EnableGroups is called.

Example

[RTL CommandBars Mode (Visual Basic)] This sample illustrates how to enable RTL mode for the CommandBars and TabWorkspace. Notice that RTL mode for the TabWorkspace must be enabled after enabling groups. Note you do not have to enable tab grouping.

    'Set the CommandBars to RTL mode
    CommandBars.RightToLeft = True

    'Show TabWorkspace
    CommandBars.ShowTabWorkspace(True)
    'Enable Tab Grouping
    CommandBars.TabWorkspace.EnableGroups
    'Set RTL mode for the TabWorkspace
    CommandBars.TabWorkspace.RightToLeft = True

See Also

CommandBars Control | RightToLeft Property


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ScaleMode Property

Description

Used to change the Command Bars measurement units/coordinate system

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleMode() As XTPScaleMode

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

StatusBar Property

Description

Gets the status bar for the command bar

Property type

Read-only property

Syntax (Visual Basic)

Public Property StatusBar() As StatusBar

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | TabWorkspace Object | ShowTabWorkspace Method

See Also Command Bars ActiveX Control v19.3

TabWorkspace Property

Description

Gets the tab workspace for the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabWorkspace() As TabWorkspace

See Also

CommandBars Control | TabWorkspace Object | ShowTabWorkspace Method


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for CommandBar controls. This includes both menu items and toolbar items.

See the ToolTipContext object for a complete list of methods and properties.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | FocusedCommandBar Property | TrackingModeChanged Event

See Also Command Bars ActiveX Control v19.3

TrackingMode Property

Description

Indicates whether the command bars are currently "eating" key strokes. The command bars "eat" keystrokes when popup or toolbar currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TrackingMode() As Boolean

Remarks

When TrackingMode is True the command bar will "eat" all key strokes.

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused FocusedCommandBar and TrackingMode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with TrackingMode returning False.

See Also

CommandBars Control | FocusedCommandBar Property | TrackingModeChanged Event


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display command bars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPVisualTheme

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

CommandBar
CommandBar that had focus when a key was pressed.
KeyCode
ASCII code for the key that was pressed.
Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also Command Bars ActiveX Control v19.3

CommandBarKeyDown Event

Description

Occurs when a key is pressed and a popup menu is open, a popup menu has focus, or a menu item in a popup menu has focus.

Syntax

Public Event CommandBarKeyDown( _
   ByVal CommandBar As CommandBar, _
   ByRef KeyCode As Long, _
   ByVal Shift As Integer _
)

Parameters

CommandBar
CommandBar that had focus when a key was pressed.
KeyCode
ASCII code for the key that was pressed.
Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

Remarks

The CommandBarKeyDown will only occur when a popup menu has focus, or an item in the popup menu has focus. The CommandBar parameter holds all of the menu items of the focused menu.

The CommandBar.SelectedControl property stores the menu item that had focus when a key was pressed.

Example

[CommandBarKeyDown Sample (Visual Basic)] This sample illustrates how to use the CommandBarKeyDown event to filter key presses when a menu item has focus.

Private Sub CommandBars_CommandBarKeyDown(CommandBar As XtremeCommandBars.ICommandBar, KeyCode As Long, Shift As Integer)

    'If the SpaceBar was pressed while a menu item has focus, then execute the item
    If KeyCode = 32 Then
        CommandBar.SelectedControl.Execute
    End If

End Sub

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | XTPControlNotify Enumeration

Control
Control that sent the notification.
Code
Code to determine which notification was sent. This will be a flag from the XTPControlNotify enumeration.
NotifyData
Additional information that this notification can have. Added for future and is not used now.
Handled
True to handle the notification yourself, False to let the framework handle the notification.
See Also Command Bars ActiveX Control v19.3

ControlNotify Event

Description

Occurs when a control sends a notification.

Syntax

Public Event ControlNotify( _
   ByVal Control As CommandBarControl, _
   ByVal Code As Long, _
   ByVal NotifyData As Variant, _
   ByRef Handled As Variant _
)

Parameters

Control
Control that sent the notification.
Code
Code to determine which notification was sent. This will be a flag from the XTPControlNotify enumeration.
NotifyData
Additional information that this notification can have. Added for future and is not used now.
Handled
True to handle the notification yourself, False to let the framework handle the notification.

Remarks

Some controls can send additional notifications like when the combo box receives/loses focus/Edit text changing.

See Also

CommandBars Control | XTPControlNotify Enumeration


%%PageItemTitle%%

CommandBars Control

Control
Reference to the control the was tight-clicked.
See Also Command Bars ActiveX Control v19.3

ControlRButtonUp Event

Description

Occurs when a control is right-clicked.

Syntax

Public Event ControlRButtonUp( _
   ByVal Control As CommandBarControl _
)

Parameters

Control
Reference to the control the was tight-clicked.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Control
The control which has been selected.
See Also Command Bars ActiveX Control v19.3

ControlSelected Event

Description

Occurs when a control is selected.

Syntax

Public Event ControlSelected( _
   ByVal Control As CommandBarControl _
)

Parameters

Control
The control which has been selected.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Options
Specifies which tabs should be included in the customize dialog.
See Also Command Bars ActiveX Control v19.3

Customization Event

Description

Occurs when the customize dialog is displayed.

Syntax

Public Event Customization( _
   ByVal Options As CustomizeOptions _
)

Parameters

Options
Specifies which tabs should be included in the customize dialog.

Remarks

The customize dialog allows you to customize the command bars. This is where you add controls that are displayed in the "Commands" tab of the customize dialog.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

ToolBar
Reference to the new toolbar added.
See Also Command Bars ActiveX Control v19.3

CustomizationAddToolBar Event

Description

Occurs when a new custom toolbar is added via the Customization Dialog.

Syntax

Public Event CustomizationAddToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar
Reference to the new toolbar added.

Remarks

Occurs after the "New" button has been pressed and then the "OK" button to add the new toolbar.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

ToolBar
Reference to the toolbar that was deleted.
See Also Command Bars ActiveX Control v19.3

CustomizationDeleteToolBar Event

Description

Occurs when a new custom toolbar is deleted via the Customization Dialog.

Syntax

Public Event CustomizationDeleteToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar
Reference to the toolbar that was deleted.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | CustomizedControl Property

See Also Command Bars ActiveX Control v19.3

CustomizationDone Event

Description

Occurs after command bar customization is complete.

Syntax

Public Event CustomizationDone()

Remarks

This event is fired after the command bars customization dialog is closed. The customization dialog can be displayed manually by adding a command bar control with an ID of 35001.

See Also

CommandBars Control | CustomizedControl Property


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

CustomizationResetAll Event

Description

Occurs when the "reset all" button is pressed in the customization dialog.

Syntax

Public Event CustomizationResetAll()

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

ToolBar
Reference to the toolbar that was reset to the default layout.
See Also Command Bars ActiveX Control v19.3

CustomizationResetToolBar Event

Description

Occurs when the "reset" button is used to reset a toolbar back to the default layout.

Syntax

Public Event CustomizationResetToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar
Reference to the toolbar that was reset to the default layout.

Remarks

The toolbar can be reset through the customization dialog or by using the reset option from the "Add or Remove Buttons" menu at the end of the toolbar.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Control
The command bar control which was clicked.
See Also Command Bars ActiveX Control v19.3

Execute Event

Description

Occurs when a command bar control is clicked.

Syntax

Public Event Execute( _
   ByVal Control As CommandBarControl _
)

Parameters

Control
The command bar control which was clicked.

Remarks

Occurs when a command bar control is clicked or executed via code.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Id
Id of the MenuBarMDIMenu to display for the given active document. So this must be a valid MenuBarMDIMenu.Id.
See Also Command Bars ActiveX Control v19.3

GetActiveDocumentID Event

Description

Occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.

Syntax

Public Event GetActiveDocumentID( _
   ByRef Id As Long _
)

Parameters

Id
Id of the MenuBarMDIMenu to display for the given active document. So this must be a valid MenuBarMDIMenu.Id.

Remarks

GetActiveDocumentID occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.

GetActiveDocumentID is used to specify which MDI menu needs to be shown. For example, you can have many different types of documents - like image editor, text editor, etc. You can then assigning an Id for each document template and retrieve this Id in the GetActiveDocumentID event. This way you can display a different set of MDI menus for each type of document.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Left
The area occupied by controls docked to the left edge of the form.
Top
The area occupied by controls docked to the top edge of the form.
Right
The area occupied by controls docked to the right edge of the form.
Bottom
The area occupied by controls docked to the bottom edge of the form.
See Also Command Bars ActiveX Control v19.3

GetClientBordersWidth Event

Description

Occurs when the area occupied by controls docked to the edges of the form has to be retrieved.

Syntax

Public Event GetClientBordersWidth( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The area occupied by controls docked to the left edge of the form.
Top
The area occupied by controls docked to the top edge of the form.
Right
The area occupied by controls docked to the right edge of the form.
Bottom
The area occupied by controls docked to the bottom edge of the form.

Remarks

For example, this event is triggered when a control or command bar is added/removed, when the status bar is hidden/unhidden, when the window is resized, when a document is opened/closed, when a new tab is clicked, etc...

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

CommandBar
The command bar containing the child controls for the popup control.
See Also Command Bars ActiveX Control v19.3

InitCommandsPopup Event

Description

Occurs when a popup control is about to be expanded/shown.

Syntax

Public Event InitCommandsPopup( _
   ByVal CommandBar As CommandBar _
)

Parameters

CommandBar
The command bar containing the child controls for the popup control.

Remarks

This event executes before the popup menu is displayed on the screen.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

MessageBar
See Also Command Bars ActiveX Control v19.3

MessageBarClosed Event

Syntax

Public Event MessageBarClosed( _
   ByVal MessageBar As MessageBar _
)

Parameters

MessageBar

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | OLEDrag Method | OLEStartDrag Event | DataObject Object | DataObjectFiles Object

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved (such as the source deleting data if it is moved from one component to another). The possible values are listed in Settings.

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Command Bars ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when the commandbar's component is dropped onto a target component, informing the commandbar's component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved (such as the source deleting data if it is moved from one component to another). The possible values are listed in Settings.

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vbDropEffectMove), the source needs to delete the object from itself after the move.

See Also

CommandBars Control | OLEDrag Method | OLEStartDrag Event | DataObject Object | DataObjectFiles Object


%%PageItemTitle%%

CommandBars Control | OLECompleteDrag Event | OLEDrag Method | DataObject Object | DataObjectFiles Object

Data
A DataObject object containing formats that the source will provide and, optionally, the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The programmer should provide the values for this parameter in this event. The SetData and Clear methods cannot be used here.
AllowedEffects
See Also Command Bars ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when the commandbar's OLEDrag method is performed, or when the commandbar component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, optionally, the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The programmer should provide the values for this parameter in this event. The SetData and Clear methods cannot be used here.
AllowedEffects

Remarks

The source component should use the logical Or operator against the supported values and place the result in the Effects parameter. The target component can use this value to determine the appropriate action (and what the appropriate user feedback should be).

See Also

CommandBars Control | OLECompleteDrag Event | OLEDrag Method | DataObject Object | DataObjectFiles Object


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Left
Align to the left
Top
Align to the top
Right
Align to the right
Bottom

Align to the bottom

See Also Command Bars ActiveX Control v19.3

RepositionAlignedControls Event

Description

Occurs when controls are to be repositioned on a MDI form.

Syntax

Public Event RepositionAlignedControls( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
Align to the left
Top
Align to the top
Right
Align to the right
Bottom

Align to the bottom

Remarks

This event is just like the GetClientBordersWidth event, only it is intended to reposition aligned controls such as a picture box or TaskPanel on a MDI Form.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

Resize Event

Description

Occurs when the command bar layout changes.

Syntax

Public Event Resize()

Remarks

Occurs any time the layout of any command bars component changes. For example, when the windows is resized, a tab is closed in the tab workspace, or the status bar is hidden.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

Left
Specifies the x-coordinate of the upper-left corner of the client rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the client rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the client rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the client rectangle.
See Also Command Bars ActiveX Control v19.3

ResizeClient Event

Description

Occurs when the command bar layout changes.

Syntax

Public Event ResizeClient( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Specifies the x-coordinate of the upper-left corner of the client rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the client rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the client rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the client rectangle.

Remarks

Occurs any time the layout of any command bars component changes. For example, when the windows is resized, a tab is closed in the tab workspace, or the status bar is hidden.

The ResizeClient event is included for compatibility with Visual FoxPro. If you are not using Visual FoxPro, use the Resize event.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control

See Also Command Bars ActiveX Control v19.3

SpecialColorChanged Event

Description

Occurs when a special color has been changed in the command bar

Syntax

Public Event SpecialColorChanged()

Remarks

This event is only triggered if you change the system's Windows theme while your application is running. If the special color changes, you might need to update the background color of your forms, option buttons, check boxes, etc. Your command bars will automatically be updated with the new colors. Special colors are the colors of the different components that make up a window.

See Also

CommandBars Control


%%PageItemTitle%%

CommandBars Control | ContextMenuPresent Property

ToolBar
Reference to the Toolbar that was right-clicked to display the default context menu.
ContextMenu
Reference to the popup menu that will be displayed. With this reference, you can remove all the controls and add your own.
See Also Command Bars ActiveX Control v19.3

ToolBarContextMenu Event

Description

Occurs when the CommandBars default context menu is displayed.

Syntax

Public Event ToolBarContextMenu( _
   ByVal ToolBar As CommandBar, _
   ByVal ContextMenu As CommandBar _
)

Parameters

ToolBar
Reference to the Toolbar that was right-clicked to display the default context menu.
ContextMenu
Reference to the popup menu that will be displayed. With this reference, you can remove all the controls and add your own.

Remarks

The default context menu is the menu that is displayed when any toolbar or open space on the command bar is right-clicked. The ToolBarContextMenu event allows you to override the default context menu with your own.

See Also

CommandBars Control | ContextMenuPresent Property


%%PageItemTitle%%

CommandBars Control | Visible Property

ToolBar
Reference to the ToolBar that became hidden or visible.
See Also Command Bars ActiveX Control v19.3

ToolBarVisibleChanged Event

Description

Occurs when the visible status of a Toolbar changes.

Syntax

Public Event ToolBarVisibleChanged( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar
Reference to the ToolBar that became hidden or visible.

Remarks

The ToolBarVisibleChanged event occurs when the close button is used to close a Toolbar when it is floating, or when the visible property of the Toolbar changes. This event will also occur when a DialogBar becomes visible or hidden.

See Also

CommandBars Control | Visible Property


%%PageItemTitle%%

CommandBars Control | FocusedCommandBar Property | TrackingMode Property

CommandBar
Command Bar that currently has focus.
Mode

Returns True if the CommandBar has received focus.

Returns False if the CommandBar has has lost focus.

See Also Command Bars ActiveX Control v19.3

TrackingModeChanged Event

Description

Occurs when the command bars tracking mode has changed. Tracking mode is similar to get\lost focus for a command bar.

Syntax

Public Event TrackingModeChanged( _
   ByVal CommandBar As CommandBar, _
   ByVal Mode As Boolean _
)

Parameters

CommandBar
Command Bar that currently has focus.
Mode

Returns True if the CommandBar has received focus.

Returns False if the CommandBar has has lost focus.

Remarks

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused CommandBar and Mode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with Mode returning False.

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

When Mode is True the command bar will "eat" all key strokes

See Also

CommandBars Control | FocusedCommandBar Property | TrackingMode Property


%%PageItemTitle%%

CommandBars Control | UpdatePeriod Property

Control
The command bar control which has been updated.
See Also Command Bars ActiveX Control v19.3

Update Event

Description

Occurs when a command bar control has been updated.

Syntax

Public Event Update( _
   ByVal Control As CommandBarControl _
)

Parameters

Control
The command bar control which has been updated.

Remarks

This event is triggered at a fixed time interval and is used to update your command bar controls. You can set the update period. By default, the Update event is triggered every 100ms.

See Also

CommandBars Control | UpdatePeriod Property


%%PageItemTitle%%

CommandBarsContextMenus Members

See Also Command Bars ActiveX Control v19.3

CommandBarsContextMenus Collection

Description

Manages the collection of Context menus uses for this application.

For a list of all members defined in this module, see CommandBarsContextMenus members.

Object Model

Remarks

Context menus are used for things such as right-clicking on a workspace, tab button, button, etc.

Context menus are displayed in the "Menu" customization dialog. This is where you will see the Caption and Id used for the menus. Users can also customize these menus.

See Also

CommandBarsContextMenus Members


%%PageItemTitle%% $$Members$$

CommandBarsContextMenus Overview

See Also Command Bars ActiveX Control v19.3

CommandBarsContextMenus Collection Members

Public Methods

Public Method Add | Adds a CommandBar to the context menus collection.
Public Method AddPopup | Adds a popup MiniToolBar to be displayed as a context menu to the context menus collection.
Public Method DeleteAll | Deletes all context menus.
Public Method Find | Finds and returns the specified context menu.

Public Properties

Public Property Count | Total number of context menus in the collection.
Public Property Item | Collection of context menus.

See Also

CommandBarsContextMenus Overview


%%PageItemTitle%%

CommandBarsContextMenus Collection

Id
Id of the context menu.
Caption
Caption of the context menu.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a CommandBar to the context menus collection.

Syntax

Public Function Add( _
   ByVal Id As Long, _
   ByVal Caption As String _
) As CommandBar

Parameters

Id
Id of the context menu.
Caption
Caption of the context menu.

Return Type

Pointer to the CommandBar used for the context menu.

Remarks

Context menus are used for things such as right-clicking on a workspace, tab button, button, etc.

Context menus are displayed in the "Menu" customization dialog. This is where you will see the Caption and Id used for the menus. Users can also customize these menus.

See Also

CommandBarsContextMenus Collection


%%PageItemTitle%%

CommandBarsContextMenus Collection | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method | AddMiniToolBar Method

PopupBar
Reference to a MiniToolBar to be displayed as a context menu.
See Also Command Bars ActiveX Control v19.3

AddPopup Method

Description

Adds a popup MiniToolBar to be displayed as a context menu to the context menus collection.

Syntax

Public Sub AddPopup( _
   ByVal PopupBar As Object _
)

Parameters

PopupBar
Reference to a MiniToolBar to be displayed as a context menu.

Remarks

Adds a popup MiniToolBar to be displayed as a context menu to the context menus collection.

Use AddMiniToolBar to create a new MiniToolBar object. After creation the MiniToolbar needs to be added to the commandbars collection of context menus using AddPopup.

PopupMiniToolBar and PopupContextMenu are used to display the MiniToolBar.

Example

[Visual Basic]

    Dim MiniToolBar As MiniToolBar
    Set MiniToolBar = CommandBars.AddMiniToolBar("MiniBar")

    CommandBars.ContextMenus.AddPopup MiniToolBar

    With MiniToolBar.Controls
        Dim Combo As CommandBarComboBox, ComboPopup As CommandBar

        Set Combo = .Add(xtpControlComboBox, ID_FONT_FACE, "Font Face")
        Combo.DropDownListStyle = True
        Combo.Width = 64
        Combo.Text = "Tahoma"
        Combo.AutoComplete = True

        ...

    End With

See Also

CommandBarsContextMenus Collection | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method | AddMiniToolBar Method


%%PageItemTitle%%

CommandBarsContextMenus Collection

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Deletes all context menus.

Syntax

Public Sub DeleteAll()

See Also

CommandBarsContextMenus Collection


%%PageItemTitle%%

CommandBarsContextMenus Collection

Id
Id of the context menu to retrieve.
See Also Command Bars ActiveX Control v19.3

Find Method

Description

Finds and returns the specified context menu.

Syntax

Public Function Find( _
   ByVal Id As Long _
) As CommandBar

Parameters

Id
Id of the context menu to retrieve.

See Also

CommandBarsContextMenus Collection


%%PageItemTitle%%

CommandBarsContextMenus Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of context menus in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBarsContextMenus Collection


%%PageItemTitle%%

CommandBarsContextMenus Collection

Index
Index of the context menu to retrieve.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Collection of context menus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBar

Parameters

Index
Index of the context menu to retrieve.

See Also

CommandBarsContextMenus Collection


%%PageItemTitle%%

CommandBarScrollBar Members | Max Property | Pos Property | Min Property

See Also Command Bars ActiveX Control v19.3

CommandBarScrollBar Object

Description

Scrollbar control for toolbars and menus.

For a list of all members defined in this module, see CommandBarScrollBar members.

Object Model

Remarks

This is a scrollbar that is placed in a menu or toolbar. The properties unique to this control are the Max, Min and Pos properties.

See Also

CommandBarScrollBar Members | Max Property | Pos Property | Min Property


%%PageItemTitle%% $$Members$$

CommandBarScrollBar Overview | Max Property | Pos Property | Min Property

See Also Command Bars ActiveX Control v19.3

CommandBarScrollBar Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Max | Gets or sets the upper limit of the scrollbar control's range.
Public Property Min | Gets or sets the lower limit of the scrollbar control's range.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property Pos | Gets or sets the current position of the scroll bar, whose return value is always between the values for the Max and Min properties, inclusive.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ScrollBarStyle | Gets or sets the style of the scrollbar.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets\sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarScrollBar Overview | Max Property | Pos Property | Min Property


%%PageItemTitle%%

CommandBarScrollBar Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarScrollBar Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarScrollBar Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarScrollBar Object | Execute Event


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarScrollBar Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | Min Property | Pos Property

See Also Command Bars ActiveX Control v19.3

Max Property

Description

Gets or sets the upper limit of the scrollbar control's range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

Gets or sets a scroll bar position's maximum Value property setting when the scroll box is in its bottom or rightmost\topmost position.

See Also

CommandBarScrollBar Object | Min Property | Pos Property


%%PageItemTitle%%

CommandBarScrollBar Object | Pos Property | Max Property

See Also Command Bars ActiveX Control v19.3

Min Property

Description

Gets or sets the lower limit of the scrollbar control's range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

Gets or sets a scroll bar position's minimum Value property setting when the scroll box is in its top or leftmost\bottommost position.

See Also

CommandBarScrollBar Object | Pos Property | Max Property


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | Max Property | Min Property

See Also Command Bars ActiveX Control v19.3

Pos Property

Description

Gets or sets the current position of the scroll bar, whose return value is always between the values for the Max and Min properties, inclusive.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pos() As Long

Remarks

The position must be between Max and Min inclusive.

See Also

CommandBarScrollBar Object | Max Property | Min Property


%%PageItemTitle%%

CommandBarScrollBar Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarScrollBar Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

ScrollBarStyle Property

Description

Gets or sets the style of the scrollbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarStyle() As XTPScrollBarStyle

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarScrollBar Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarScrollBar Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarScrollBar Object


%%PageItemTitle%%

CommandBarsFrame Members

See Also Command Bars ActiveX Control v19.3

CommandBarsFrame Control

Description

CommandBars object that contains it's own frame. Designed for use in environments such as Access.

For a list of all members defined in this module, see CommandBarsFrame members.

Object Model

Remarks

The CommandBarsFrame object contains exactly the same functionality as the CommandBars object. The difference between the CommandBarsFrame and CommandBars objects is that the CommandBarsFrame object can be used in environments such as MS Access 2003 and the CommandBars object can not because it contains it's own frame.

An additional feature that the CommandBarsFrame object contains is the ability to display a command bar at design time. This is only possible if the command bar was created using the designer studio (*.xcb\*.xml file). Command bars can still be created by code using the CommandBarsFrame object, but the command bar will appear empty during design time. To add an xcb file, simply right-click on the CommandBarsFrame object and select "LoadCommandBars (*.xcb)" from the menu and select the xcb file.

See Also

CommandBarsFrame Members


%%PageItemTitle%% $$Members$$

CommandBarsFrame Overview

See Also Command Bars ActiveX Control v19.3

CommandBarsFrame Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method Add | Adds a new command bar.
Public Method AddCustomBar | Allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.
Public Method AddDialogBar | The AddDialogBar method adds a Dialog Bar to the Command Bars collection of controls.
Public Method AddIconHandle | Adds an icon for use with command bar controls.
Public Method AddImageList | Adds icons from an imagelist which are used to display command bar items.
Public Method AddMenuBar | Adds an active menu bar.
Public Method AddMiniToolBar | Creates a MiniToolbar
Public Method AddRibbonBar | Adds a RibbonBar.
Public Method AddTabToolBar | Adds a Tabbed ToolBar.
Public Method AllowFrameTransparency |
Public Method AttachToWindow | Specifies the control that will contain the CommandBars.
Public Method ClosePopups | Closes all commandbar popups.
Public Method ContextHelp | Context help base id.
Public Method CreateCommandBar | Universal method for creating commandbar popup objects.
Public Method CreateCommandBarControl | Universal method for creating commandbar controls.
Public Method CreateGalleryItems | Creates a CommandBarGalleryItems collection for use in a CommandBarGallery control.
Public Method CreateStateOptions | The CreateStateOptions method will create a set of State Options that will be used to specify how and what will be saved and loaded when using the LoadStateFromXMLString and SaveStateFromXMLString methods.
Public Method DeleteAll | The DeleteAll method is used to delete all the commandbars in the collection of CommandBars.
Public Method DisableFrameThemeHandle |
Public Method DisableOffice2007FrameHandle | Removes the Office 2007 style frame to a specified window if applicable.
Public Method DockToolBar | Docks a toolbar to the specified command bar
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method EnableActions | Enables or disables the use of Actions in the commandbars.
Public Method EnableCustomization | Enables/Disables customization of the command bar
Public Method EnableDefaultResetCustomizedToolbarChoice |
Public Method EnableFrameTheme |
Public Method EnableFrameThemeHandle |
Public Method EnableOffice2007Frame | Specifies that the Office 2007 style frame will be used.
Public Method EnableOffice2007FrameHandle | Applies an Office 2007 style frame to a specified window.
Public Method EnableToolbarComposition |
Public Method FindControl | Finds the specified control
Public Method GetClientRect | Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any command bars.
Public Method GetDispatch | Used in .NET to retrieve self object.
Public Method GetSpecialColor | Gets a special color to use in the command bar
Public Method LoadCommandBars | Loads command bars from the registry.
Public Method LoadDesignerBars | Loads a command bar layout from a file.
Public Method LoadStateFromString | Loads the layout of the CommandBar from a string.
Public Method LoadStateFromXMLString | The LoadStateFromXMLString method loads a Command Bar state from a XML string.
Public Method MoveAlignedControl | Moves and resizes a control to a specified location within its container.
Public Method OLEDrag | Causes the commandbars to initiate an OLE drag/drop operation.
Public Method RecalcLayout | Recalculates the entire layout of the docking panes on the form.
Public Method SaveCommandBars | Saves command bars to the registry.
Public Method SaveStateToString | Saves the layout of the CommandBar to a string.
Public Method SaveStateToXMLString | The SaveStateToXMLString method saves the Command Bar state to a XML string.
Public Method SetAllCaps |
Public Method SetMDIClient | Used in .NET to set handle to MDI client window.
Public Method SetOfficeSetBackImage |
Public Method SetSpecialColor | Used to change the color of the various components that make up the commandbars.
Public Method ShowCustomizeDialog | Displays the commandbars "Customize" dialog box with the option to specify which tab is displayed when opened.
Public Method ShowTabWorkspace | Shows the TabWorkspace

Public Properties

Public Property Actions | Collection of CommandBars Action items that have been added to the CommandBars.
Public Property ActiveMenuBar | Gets the Active Menu Bar object. The active menu bar is the the first command bar and is used to display your menu.
Public Property ContextMenus | Collection of context menus using in the application.
Public Property Count | Gets the total number of command bars.
Public Property CustomizedControl | CustomizedControl returns a pointer to the currently selected control while in customization mode. This is the control that the user is currently customizing.
Public Property DesignerControls | Gets the designer controls collection for the command bar
Public Property FocusedCommandBar | Returns the command bar that currently has focus.
Public Property GlobalSettings | Command Bars global settings, such as application name and resource file.
Public Property Icons | Gets the icons for the command bar.
Public Property IsAllCaps |
Public Property IsAllowFrameTransparency |
Public Property Item | Gets a command bar by its index.
Public Property KeyBindings | Gets the collection of key bindings ( accelerator keys ) associated with the various commands used in command bars.
Public Property MessageBar | Represents the message bar.
Public Property Options | Gets the options that are used by command bars.
Public Property PaintManager | Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.
Public Property RecentFileList | Recent File List
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.
Public Property ScaleMode | Used to change the Command Bars measurement units/coordinate system
Public Property StatusBar | Gets the status bar for the command bar
Public Property TabWorkspace | Gets the tab workspace for the command bar.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TrackingMode | Indicates whether the command bars are currently "eating" key strokes. The command bars "eat" keystrokes when popup or toolbar currently has focus.
Public Property VisualTheme | Gets/Sets the visual theme which is used to display command bars.

Events

Public Event CommandBarKeyDown | Occurs when a key is pressed and a popup menu is open, a popup menu has focus, or a menu item in a popup menu has focus.
Public Event ControlNotify | Occurs when a control sends a notification.
Public Event ControlRButtonUp | Occurs when a control is right-clicked.
Public Event ControlSelected | Occurs when a control is selected.
Public Event Customization | Occurs when the customize dialog is displayed.
Public Event CustomizationAddToolBar | Occurs when a new custom toolbar is added via the Customization Dialog.
Public Event CustomizationDeleteToolBar | Occurs when a new custom toolbar is deleted via the Customization Dialog.
Public Event CustomizationDone | Occurs after command bar customization is complete.
Public Event CustomizationResetAll |
Public Event CustomizationResetToolBar | Occurs when the "reset" button is used to reset a toolbar back to the default layout.
Public Event Execute | Occurs when a command bar control is clicked.
Public Event GetActiveDocumentID | Occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.
Public Event GetClientBordersWidth | Occurs when the area occupied by controls docked to the edges of the form has to be retrieved.
Public Event InitCommandsPopup | Occurs when a popup control is about to be expanded/shown.
Public Event MessageBarClosed |
Public Event OLECompleteDrag | Occurs when the commandbar's component is dropped onto a target component, informing the commandbar's component that a drag action was either performed or canceled.
Public Event OLEStartDrag | Occurs when the commandbar's OLEDrag method is performed, or when the commandbar component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic. This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.
Public Event ReCreated |
Public Event RepositionAlignedControls | Occurs when controls are to be repositioned on a MDI form.
Public Event Resize | Occurs when the command bar layout changes.
Public Event ResizeClient | Occurs when the command bar layout changes.
Public Event SpecialColorChanged | Occurs when a special color has been changed in the command bar
Public Event ToolBarContextMenu | Occurs when the CommandBars default context menu is displayed.
Public Event ToolBarVisibleChanged | Occurs when the visible status of a Toolbar changes.
Public Event TrackingModeChanged | Occurs when the command bars tracking mode has changed. Tracking mode is similar to get\lost focus for a command bar.
Public Event Update | Occurs when a command bar control has been updated.

See Also

CommandBarsFrame Overview


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Name

The title of the command bar.

Position

The initial position of the command bar.

See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a new command bar.

Syntax

Public Function Add( _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
) As CommandBar

Parameters

Name

The title of the command bar.

Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.

The initial position of the command bar.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | CreateCommandBar Method

CommandBar

Reference to the commandbar to add.

Name

Text name of the commandbar, will also be used as the title for floating bars.

Position

Position to place commandbar.

See Also Command Bars ActiveX Control v19.3

AddCustomBar Method

Description

Allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.

Syntax

Public Sub AddCustomBar( _
   ByVal CommandBar As CommandBar, _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
)

Parameters

CommandBar

Reference to the commandbar to add.

Name

Text name of the commandbar, will also be used as the title for floating bars.

Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.

Position to place commandbar.

Remarks

AddCustomBar allows custom commandbars created with the CreateCommandBar method to be added to the commandbars.

In the code below CreateCommandBar uses the CXTPFloatingPopupBar class to create a floating popup toolbar that looks exactly like a expanded menu, i.e. the File menu when expanded.

Dim FileMenuBar As CommandBar
Set FileMenuBar = CommandBars.CreateCommandBar("CXTPFloatingPopupBar")
CommandBars.AddCustomBar FileMenuBar, "File Menu", xtpBarFloating

With FileMenuBar
AddButton .Controls, xtpControlButton, ID_FILE_NEW
AddButton .Controls, xtpControlButton, ID_FILE_OPEN
AddButton .Controls, xtpControlButton, ID_FILE_CLOSE
AddButton .Controls, xtpControlButton, ID_FILE_SAVE
AddButton .Controls, xtpControlButton, ID_FILE_PRINT, True
AddButton .Controls, xtpControlButton, ID_FILE_PRINT_SETUP
AddButton .Controls, xtpControlButton, ID_FILE_EXIT, True
End With

Below is a custom CXTPFloatingPopupBar toolbar.

See Also

CommandBarsFrame Control | CreateCommandBar Method


%%PageItemTitle%%

CommandBarsFrame Control | DialogBar Object

Name

Name of the Dialog Bar. This will be the Title given to the Dialog Bar.

Position

The initial position the Dialog Bar will be docked when the application is started.

See Also Command Bars ActiveX Control v19.3

AddDialogBar Method

Description

The AddDialogBar method adds a Dialog Bar to the Command Bars collection of controls.

Syntax

Public Function AddDialogBar( _
   ByVal Name As String, _
   ByVal Position As XTPBarPosition _
) As DialogBar

Parameters

Name

Name of the Dialog Bar. This will be the Title given to the Dialog Bar.

Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.

The initial position the Dialog Bar will be docked when the application is started.

Return Type

Pointer to the DialogBar.

Remarks

The Dialog Bar has both the characteristics of a toolbar and a dialog box. The Dialog Bar acts like a toolbar but can contain any object with an hWnd. When adding multiple controls, controls can be grouped by placing them in a Picture Box or Form, and then adding them to the Dialog Bar.

See Also

CommandBarsFrame Control | DialogBar Object


%%PageItemTitle%%

CommandBarsFrame Control

Icon

The handle to the icon

Command

The command id for which this icon will be used.

imageState

The state of the image

Alpha

Specifies whether the image is an alpha image.

See Also Command Bars ActiveX Control v19.3

AddIconHandle Method

Description

Adds an icon for use with command bar controls.

Syntax

Public Sub AddIconHandle( _
   ByVal Icon As Long, _
   ByVal Command As Long, _
   ByVal imageState As Long, _
   ByVal Alpha As Boolean _
)

Parameters

Icon

The handle to the icon

Command

The command id for which this icon will be used.

imageState

The state of the image

Alpha

Specifies whether the image is an alpha image.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

ImageList

The ImageList object from which icons are to be added.

See Also Command Bars ActiveX Control v19.3

AddImageList Method

Description

Adds icons from an imagelist which are used to display command bar items.

Syntax

Public Sub AddImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList

The ImageList object from which icons are to be added.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | DeleteAll Method

Name

Title of the active menu bar.

See Also Command Bars ActiveX Control v19.3

AddMenuBar Method

Description

Adds an active menu bar.

Syntax

Public Function AddMenuBar( _
   ByVal Name As String _
) As CommandBar

Parameters

Name

Title of the active menu bar.

Return Type

Returns CommandBar object that represents the active menu bar.

Remarks

Only one active menu bar can exists at a time, if a active menu bar already exits AddMenuBar will do nothing.

AddMenuBar is the only way to add the active menu bar back after using DeleteAll.

See Also

CommandBarsFrame Control | DeleteAll Method


%%PageItemTitle%%

CommandBarsFrame Control | AddPopup Method | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method

Name

Name of the MiniToolbar.

See Also Command Bars ActiveX Control v19.3

AddMiniToolBar Method

Description

Creates a MiniToolbar

Syntax

Public Function AddMiniToolBar( _
   ByVal Name As String _
) As MiniToolBar

Parameters

Name

Name of the MiniToolbar.

Return Type

Reference to a new MiniToolBar object.

Remarks

AddMiniToolBar creates a new MiniToolBar object. After creation the MiniToolbar needs to be added to the commandbars collection of context menus using AddPopup.

Example

[Visual Basic]

Private Sub Form_Load()
    Dim MiniToolBar As MiniToolBar
    'Create a MiniToolbar object
    Set MiniToolBar = CommandBars.AddMiniToolBar("MiniBar")

    'Add the MiniToolbar to the commandbars collection of context menus
    CommandBars.ContextMenus.AddPopup MiniToolBar

    'Add controls to the Mini Toolbar
    With MiniToolBar.Controls
        Dim Combo As CommandBarComboBox, ComboPopup As CommandBar

        Set Combo = .Add(xtpControlComboBox, ID_FONT_FACE, "Font Face")
        Combo.DropDownListStyle = True
        Combo.Width = 64
        Combo.Text = "Tahoma"
        Combo.AutoComplete = True

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

        Dim GalleryFont As CommandBarGallery, GallerySize As CommandBarGallery
        Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
        GalleryFont.Width = 290
        GalleryFont.Height = 508
        GalleryFont.Resizable = xtpAllowResizeWidth Or xtpAllowResizeHeight

        Set Combo.CommandBar = ComboPopup

        Set Combo = .Add(xtpControlComboBox, ID_FONT_SIZE, "Font Size")
        Combo.DropDownListStyle = True
        Combo.Width = 50
        Combo.Text = "10"

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)
        Set GallerySize = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_SIZE, "")
        GallerySize.Width = 42
        GallerySize.Height = 16 * 17
        GallerySize.Resizable = xtpAllowResizeHeight
        Set Combo.CommandBar = ComboPopup

        .Add xtpControlButton, ID_FONT_GROW, ""
        .Add xtpControlButton, ID_FONT_SHRINK, ""
        .Add xtpControlButton, ID_TEXT_COLOR, ""
        .Add xtpControlButton, ID_CHAR_BOLD, ""
        .Add xtpControlButton, ID_CHAR_ITALIC, ""
        .Add xtpControlButton, ID_PARA_LEFT, ""
        .Add xtpControlButton, ID_PARA_CENTER, ""
        .Add xtpControlButton, ID_PARA_RIGHT, ""
        .Add xtpControlButton, ID_PARA_INCREASEINDENT, ""
        .Add xtpControlButton, ID_PARA_DECREASEINDENT, ""
        .Add xtpControlButton, ID_INSERT_BULLET, ""

        MiniToolBar.Width = 22 * 8 + 4

    End With
End Sub

Private Sub txtClient_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim MiniToolBar As MiniToolBar

    If (Button = 2) Then
        ZOrder

        Dim Popup As CommandBar
        Set Popup = CommandBars.ContextMenus(1)

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupContextMenu Popup
    End If

    If (Button = 1 And txtClient.SelLength > 0) Then

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupMiniToolBar
    End If
End Sub

See Also

CommandBarsFrame Control | AddPopup Method | MiniToolBar Object | PopupContextMenu Method | PopupMiniToolBar Method


%%PageItemTitle%%

CommandBarsFrame Control | RibbonBar Object | AddGroup Method | InsertGroup Method | RibbonTab Object | Add Item Method

Name

Title of the Ribbon Bar.

See Also Command Bars ActiveX Control v19.3

AddRibbonBar Method

Description

Adds a RibbonBar.

Syntax

Public Function AddRibbonBar( _
   ByVal Name As String _
) As RibbonBar

Parameters

Name

Title of the Ribbon Bar.

Return Type

Reference to the RibbonBar that was just added.

Remarks

The AddRibbonBar method adds a Ribbon Bar to the command bars. The Ribbon Bar is just a different type of command bar and functions similar with some added functionality. Finding a control in the Ribbon Bar is done using the FindControl method. The controls in the Ribbon Bar respond exactly the same way they would in a normal toolbar. The Execute event is used when an item is clicked or executed and the status of items is updated using the Update event.

After adding a RibbonBar, the EnableDocking method should be used to disabled docking by using the xtpFlagStretched flag, or by using a zero (0). If docking is desired, the Ribbon Bar can only be docked to the top or bottom of the application.

Call the RecalcLayout method to correctly size the Ribbon Bar when the layout has changed. Layout refers to anything that changes the size of the Ribbon Bar. For example, a layout change that requires the RecalcLayout method to be called would be adding a group, adding an item to a group, changing the caption of a tab or adding\removing tab icons because the new caption could be smaller or wider.

For visible changes to the Ribbon Bar such as changing the tab color of a visible tab button, the RedrawBar method is used.

SetIconSize sets the size of the "normal" icons displayed in the Ribbon Bar. Icons will not be displayed smaller that the size specified with SetIconSize. If a larger icon has not been added with the specified size, then the closet match will be scaled to the specified size.

The TabCount property returns the total number of tabs that have been added to the tabs collection.

InsertTab adds a new RibbonTab to the tabs collection of the Ribbon Bar.

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups.

The TabCount property can be used to determine the total number of tabs that have been added.

Each RibbonTab can contain one or more RibbonGroup objects that are used to hold CommandBarControl objects. The Caption of a RibbonGroup is a title bar that visually "groups" the CommandBarControl objects that have been added to the RibbonGroup Items Collection.

Groups are added to the RibbonTab Groups Collection using the AddGroup and InsertGroup methods. Items are added to a group using the Add method.

Methods and Properties unique to the Ribbon Bar are:

InsertTab and TabPaintManager methods.

TabCount and Tab properties

See Also

CommandBarsFrame Control | RibbonBar Object | AddGroup Method | InsertGroup Method | RibbonTab Object | Add Item Method

Example

RibbonBar Sample


%%PageItemTitle%%

CommandBarsFrame Control | TabToolBar Object | InsertCategory Method

Name

Title of the tabbed toolbar.

See Also Command Bars ActiveX Control v19.3

AddTabToolBar Method

Description

Adds a Tabbed ToolBar.

Syntax

Public Function AddTabToolBar( _
   ByVal Name As String _
) As TabToolBar

Parameters

Name

Title of the tabbed toolbar.

Return Type

Reference to the TabToolBar that was just added.

Remarks

A Tabbed Toolbar consists of one or more categories, each category has it's own tab. Tabs are used to display the corresponding category. Categories can be thought of as separate toolbars. Buttons and other controls can then be added to each category. The InsertCategory method is used to insert a category into a tabbed toolbar. The InsertCategory method returns a TabControlItem, which is the tab used to access the category. In the picture above, "Advanced", "Standard", "Other", and "User Tools" are all categories that were added to a Tabbed ToolBar.

The UpdateTabs method must be called after adding buttons\controls to a category in the tabbed toolbar so the new control can be added to the appropriate Category. When adding buttons\controls, the Category property for the new button\control must be set to the name of a category in the tabbed toolbar. After UpdateTabs is called the buttons will be displayed in the appropriate category.

The appearance, color, and theme of the tabs used in the Tabbed Toolbar can be customized using the TabPaintManager property. Depending on which visual changes that are made, the RedrawBar and RecalcLayout method might be needed to update the tabbed toolbar.

The AllowReorder property is used to specify that the tabs in the tabbed toolbar can be reordered.

The MinimumWidth property specifies the minimum width the Tabbed Toolbar can be regardless of how few items might be in a category.

Methods and Properties unique to the Tabbed Toolbar are:

InsertCategory, UpdateTabs, and RemoveCategory methods

Category, MinimumWidth, TabPaintManager, AllowReorder, and CategoryCount properties.

See Also

CommandBarsFrame Control | TabToolBar Object | InsertCategory Method

Example

Adding a Tabbed ToolBar


%%PageItemTitle%%

CommandBarsFrame Control

SetAllowTransparency
See Also Command Bars ActiveX Control v19.3

AllowFrameTransparency Method

Syntax

Public Sub AllowFrameTransparency( _
   ByVal SetAllowTransparency As Boolean _
)

Parameters

SetAllowTransparency

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

hWnd

Handle to a control that will be the container for the CommandBars.

See Also Command Bars ActiveX Control v19.3

AttachToWindow Method

Description

Specifies the control that will contain the CommandBars.

Syntax

Public Sub AttachToWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to a control that will be the container for the CommandBars.

Remarks

Any control with a hWnd or Handle property can be used as a container for the Command Bars. The commandbars will treat the container control exactly like when it is added to a form. The commandbars will resize to the container control and can be docked to the edges of the container control.

The picture below shows a RTF TextBox control that contains the CommanrBars.

Example

[AttachToWindow Sample (Visual Basic)] This sample illustrates how to specify the parent container for a CommandBars control.

    CommandBars.AttachToWindow rtfText.hWnd

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ClosePopups Method

Description

Closes all commandbar popups.

Syntax

Public Sub ClosePopups()

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | GetActiveDocumentID Event

See Also Command Bars ActiveX Control v19.3

ContextHelp Method

Description

Context help base id.

Syntax

Public Function ContextHelp() As Long

Return Type

Context help base id.

Remarks

The ContextHelp property is the start of the help tracking Ids.

The base id for ContextHelp is 0x00010000. When an item that has a help context id is clicked then the value in ContextHelp will be the the chosen control's Id + 0x00010000.

To retrieve a help Id you would add the Id of the control to ContextHelp (0x00010000) if some button was pressed. If nothing was clicked then ContextHelp will be 0.

See Also

CommandBarsFrame Control | GetActiveDocumentID Event


%%PageItemTitle%%

CommandBarsFrame Control

ClassName

Name of the class of commandbar popup control to create. The list of available classes is below:

CXTPPopupBar

CXTPPopupToolBar

CXTPRibbonSystemPopupBar

CXTPRibbonSystemPopupBarPage

CXTPFloatingPopupBar - (Shows a floating popup that looks exactly like a expanded menu, i.e. the File menu when expanded)

See Also Command Bars ActiveX Control v19.3

CreateCommandBar Method

Description

Universal method for creating commandbar popup objects.

Syntax

Public Function CreateCommandBar( _
   ByVal ClassName As String _
) As CommandBar

Parameters

ClassName

Name of the class of commandbar popup control to create. The list of available classes is below:

CXTPPopupBar

CXTPPopupToolBar

CXTPRibbonSystemPopupBar

CXTPRibbonSystemPopupBarPage

CXTPFloatingPopupBar - (Shows a floating popup that looks exactly like a expanded menu, i.e. the File menu when expanded)

Return Type

Returns a commandbar popup control containing a commandbar popup control of the specified class.

Remarks

After the CreateCommandBar method is used to create a commandbar popup control it can then be assigned to the commandbar property of popup controls.

CreateCommandBar is needed to create and add some types of popup controls because not all classes have their own special type. For example, the CXTPRibbonSystemPopupBar and CXTPRibbonSystemPopupBarPage classes can't be created without the CreateCommandBar method because they have no special type. So you need to first create them using the CreateCommandBar method and then assign them to the popup control's commandbar property.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | Add Method

ClassName

Name of the class of control to create. The list of available classes is below:

CXTPControlButton

CXTPControlCheckBox

CXTPControlColorSelector

CXTPControlComboBox

CXTPControlEdit

CXTPControlFontComboBox

CXTPControlGallery

CXTPControlLabel

CXTPControlPopup

CXTPControlPopupColor

CXTPControlRadioButton

CXTPControlWindowList

CXTPControlWorkspaceActions

CXTPControlToolbars

CXTPRibbonControlSystemButton

CXTPRibbonControlSystemPopupBarButton

CXTPRibbonControlSystemPopupBarListCaption

CXTPRibbonControlSystemPopupBarListItem

CXTPRibbonControlSystemRecentFileList

CXTPControlRecentFileList

See Also Command Bars ActiveX Control v19.3

CreateCommandBarControl Method

Description

Universal method for creating commandbar controls.

Syntax

Public Function CreateCommandBarControl( _
   ByVal ClassName As String _
) As CommandBarControl

Parameters

ClassName

Name of the class of control to create. The list of available classes is below:

CXTPControlButton

CXTPControlCheckBox

CXTPControlColorSelector

CXTPControlComboBox

CXTPControlEdit

CXTPControlFontComboBox

CXTPControlGallery

CXTPControlLabel

CXTPControlPopup

CXTPControlPopupColor

CXTPControlRadioButton

CXTPControlWindowList

CXTPControlWorkspaceActions

CXTPControlToolbars

CXTPRibbonControlSystemButton

CXTPRibbonControlSystemPopupBarButton

CXTPRibbonControlSystemPopupBarListCaption

CXTPRibbonControlSystemPopupBarListItem

CXTPRibbonControlSystemRecentFileList

CXTPControlRecentFileList

Return Type

Returns a commandbar control containing a control of the specified class.

Remarks

After the CreateCommandBarControl method is used to create a control it must be added using the Add method.

CreateCommandBarControl is needed to create and add some types of controls because not all classes have their own special type. For example, the CommandBarControlSelector and CommandBarPopupControl classes can't be added to a controls collection using the Add method because they have no special type. So you need to first create them using the CreateCommandBarControl method and then use the Add method to add them to the controls collection.

See Also

CommandBarsFrame Control | Add Method


%%PageItemTitle%%

CommandBarsFrame Control

Id

Identifier of the gallery.

See Also Command Bars ActiveX Control v19.3

CreateGalleryItems Method

Description

Creates a CommandBarGalleryItems collection for use in a CommandBarGallery control.

Syntax

Public Function CreateGalleryItems( _
   ByVal Id As Integer _
) As CommandBarGalleryItems

Parameters

Id

Identifier of the gallery.

Return Type

Reference to the CommandBarGalleryItems collection object that was just created.

Remarks

Before adding items to a gallery CreateGalleryItems must be used to create a CommandBarGalleryItems collection. Note that the Id of the CommandBarGalleryItems collection must use the same Id as the gallery control.

The Items collection allows you to access, add, modify, and delete the items in a gallery. The AddItem and AddLabel methods are used to add items to a gallery.

The illustration below shows a gallery control which contains both label and normal gallery items.

Example

[CreateGalleryItems Sample (Visual Basic)] This sample illustrates how to create a gallery and add items to a gallery.

    Dim ComboPopup As CommandBar, GalleryFont As CommandBarGallery, ItemsFont As CommandBarGalleryItems
    Dim GallerySize As CommandBarGallery, ItemsSize As CommandBarGalleryItems

    Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

    Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
    GalleryFont.Width = 290
    GalleryFont.Height = 508

    'First create a CommandBarGalleryItems collection using the
    'same Id as the gallery does
    Set ItemsFont = CommandBars.CreateGalleryItems(ID_FONT_FACE)
    ItemsFont.ItemWidth = 0
    ItemsFont.ItemHeight = 26

    ItemsFont.AddLabel "Recently Used Fonts"
    ItemsFont.AddItem 1, "Arial"
    ItemsFont.AddItem 2, "Tahoma"

    ItemsFont.AddLabel "All Fonts"
    For i = 1 To Screen.FontCount
        ItemsFont.AddItem i, Screen.Fonts(i)
    Next i

    'Now set the Gallery.Items collection to the ItemsFont collections
    'that contains the gallery items
    Set GalleryFont.Items = ItemsFont
    Set Combo.CommandBar = ComboPopup

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | LoadStateFromXMLString Method | SaveStateToXMLString Method | StateOptions Object | LoadSilent Property | SaveOnlyCustomized Property | SaveOriginalControls Property | SerializeControls Property | SerializeDesignerControls Property | SerializeImages Property | SerializeLayout Property | SerializeOptions Property

See Also Command Bars ActiveX Control v19.3

CreateStateOptions Method

Description

The CreateStateOptions method will create a set of State Options that will be used to specify how and what will be saved and loaded when using the LoadStateFromXMLString and SaveStateFromXMLString methods.

Syntax

Public Function CreateStateOptions() As StateOptions

Return Type

Returns the State Options object that holds the load and save options for the Command Bars.

Remarks

The State Options specify which parts of the CommandBars will be saved to the XML file when the SaveStateFromXMLString method is used.

Options include:

    • Saving only customized controls.
    • Saving original controls.
    • Serialize controls.
    • Serialize designer control.
    • Save Command Bar images.
    • Save Command Bar layout.
    • Save CommandBar Options.
    • Silent Update.

See Also

CommandBarsFrame Control | LoadStateFromXMLString Method | SaveStateToXMLString Method | StateOptions Object | LoadSilent Property | SaveOnlyCustomized Property | SaveOriginalControls Property | SerializeControls Property | SerializeDesignerControls Property | SerializeImages Property | SerializeLayout Property | SerializeOptions Property


%%PageItemTitle%%

CommandBarsFrame Control | Delete Method | AddMenuBar Method

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

The DeleteAll method is used to delete all the commandbars in the collection of CommandBars.

Syntax

Public Sub DeleteAll()

Remarks

The DeleteAll method should be called before loading a Command Bar layout from an XML or XCB file. This should be called when you want to load all toolbars, not just toolbars customized by the user. If DeleteAll is called before the update, the file being loaded must have had SaveOnlyCustomized = False And SerializeControls = True when created.

When a layout is loaded, the toolbars not present in the saved layout will not be deleted. The DeleteAll method allows you to delete all the toolbars before the layout is loaded.

Use AddMenuBar to re-add an active menu bar after using DeleteAll.

See Also

CommandBarsFrame Control | Delete Method | AddMenuBar Method


%%PageItemTitle%%

CommandBarsFrame Control

hWnd
See Also Command Bars ActiveX Control v19.3

DisableFrameThemeHandle Method

Syntax

Public Sub DisableFrameThemeHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | EnableOffice2007FrameHandle Method | EnableOffice2007Frame Method

hWnd

Handle to the window to remove the Office 2007 frame from.

See Also Command Bars ActiveX Control v19.3

DisableOffice2007FrameHandle Method

Description

Removes the Office 2007 style frame to a specified window if applicable.

Syntax

Public Sub DisableOffice2007FrameHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to the window to remove the Office 2007 frame from.

Remarks

Use DisableOffice2007FrameHandle to remove the Office 2007 style frame from a window. Do this before switching to a theme other than Ribbon or Office 2007.

EnableOffice2007FrameHandle will apply an Office 2007 style frame to a window. This is particularly useful when creating a MDI application using the Ribbon bar or Office 2007 theme, which allows you to theme the child window frames to Office 2007 as well.

Note: You must be either using the RibbonBar or have the Commandbars set to Office 2007 or Ribbon theme to use EnableOffice2007FrameHandle.

See Also

CommandBarsFrame Control | EnableOffice2007FrameHandle Method | EnableOffice2007Frame Method


%%PageItemTitle%%

CommandBarsFrame Control

ToolBar

The toolbar to be docked

x

The x-coordinate where the toolbar should be docked

y

The y-coordinate where the toolbar should be docked

Position

The initial position of the toolbar

See Also Command Bars ActiveX Control v19.3

DockToolBar Method

Description

Docks a toolbar to the specified command bar

Syntax

Public Sub DockToolBar( _
   ByVal ToolBar As CommandBar, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal Position As XTPBarPosition _
)

Parameters

ToolBar

The toolbar to be docked

x

The x-coordinate where the toolbar should be docked

y

The y-coordinate where the toolbar should be docked

Position
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.

The initial position of the toolbar

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

pPX

PropExhange object to exchange data with.

Options

Reference to a StateOptions object that specifies which parts of the CommandBars layout to save.

See Also Command Bars ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange, _
   Optional ByVal Options As StateOptions = 0 _
)

Parameters

pPX

PropExhange object to exchange data with.

Options

Reference to a StateOptions object that specifies which parts of the CommandBars layout to save.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

CommandBarsFrame Control

Example

DoPropExchange Sample


%%PageItemTitle%%

CommandBarsFrame Control | CommandBarAction Object | CommandBarActions Object | Actions Colleciton

See Also Command Bars ActiveX Control v19.3

EnableActions Method

Description

Enables or disables the use of Actions in the commandbars.

Syntax

Public Sub EnableActions()

Remarks

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

The CommandBarActions Collection allows you to add and access CommandBars Action items to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

See Also

CommandBarsFrame Control | CommandBarAction Object | CommandBarActions Object | Actions Colleciton

Example

Using CommandBar Actions


%%PageItemTitle%%

CommandBarsFrame Control

Enable

TRUE to enable customization

See Also Command Bars ActiveX Control v19.3

EnableCustomization Method

Description

Enables/Disables customization of the command bar

Syntax

Public Sub EnableCustomization( _
   ByVal Enable As Boolean _
)

Parameters

Enable

TRUE to enable customization

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Enable
DefaultYes
See Also Command Bars ActiveX Control v19.3

EnableDefaultResetCustomizedToolbarChoice Method

Syntax

Public Sub EnableDefaultResetCustomizedToolbarChoice( _
   ByVal Enable As Boolean, _
   ByVal DefaultYes As Boolean _
)

Parameters

Enable
DefaultYes

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Enable
See Also Command Bars ActiveX Control v19.3

EnableFrameTheme Method

Syntax

Public Sub EnableFrameTheme( _
   ByVal Enable As Boolean _
)

Parameters

Enable

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

hWnd
See Also Command Bars ActiveX Control v19.3

EnableFrameThemeHandle Method

Syntax

Public Sub EnableFrameThemeHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | VisualTheme Property | XTPVisualTheme Enumeration

Enable
See Also Command Bars ActiveX Control v19.3

EnableOffice2007Frame Method

Description

Specifies that the Office 2007 style frame will be used.

Syntax

Public Sub EnableOffice2007Frame( _
   ByVal Enable As Boolean _
)

Parameters

Enable

Remarks

EnableOffice2007Frame is useful when the Office 2007 visual theme is applied so the entire application is Office 2007 themed.

See Also

CommandBarsFrame Control | VisualTheme Property | XTPVisualTheme Enumeration


%%PageItemTitle%%

CommandBarsFrame Control | DisableOffice2007FrameHandle Method

hWnd

Handle to the window to apply an Office 2007 frame.

See Also Command Bars ActiveX Control v19.3

EnableOffice2007FrameHandle Method

Description

Applies an Office 2007 style frame to a specified window.

Syntax

Public Sub EnableOffice2007FrameHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to the window to apply an Office 2007 frame.

Remarks

EnableOffice2007FrameHandle will apply an Office 2007 style frame to a window. This is particularly useful when creating a MDI application using the Ribbon bar or Office 2007 theme, which allows you to theme the child window frames to Office 2007 as well.

Use DisableOffice2007FrameHandle to remove the Office 2007 style frame from a window. Do this before switching to a theme other than Ribbon or Office 2007.

Note: You must be either using the RibbonBar or have the Commandbars set to Office 2007 or Ribbon theme to use EnableOffice2007FrameHandle.

See Also

CommandBarsFrame Control | DisableOffice2007FrameHandle Method


%%PageItemTitle%%

CommandBarsFrame Control

Enable
See Also Command Bars ActiveX Control v19.3

EnableToolbarComposition Method

Syntax

Public Sub EnableToolbarComposition( _
   ByVal Enable As Boolean _
)

Parameters

Enable

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds the specified control

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Left

The left point of the client rectangle.

Top

The top point of the client rectangle.

Right

The right point of the client rectangle.

Bottom

The bottom point of the client rectangle.

See Also Command Bars ActiveX Control v19.3

GetClientRect Method

Description

Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any command bars.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the client rectangle.

Top

The top point of the client rectangle.

Right

The right point of the client rectangle.

Bottom

The bottom point of the client rectangle.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

GetDispatch Method

Description

Used in .NET to retrieve self object.

Syntax

Public Function GetDispatch() As Object

Remarks

Used in .NET only. Must be used with the DockingPaneManager.SetCommandBars method when both CommandBars and DockingPanes are used on the same form.

Example

[GetDispatch Sample (Visual Basic)] This sample illustrates how to the CommandBars self object.

    DockingPaneManager.SetCommandBars(CommandBars.GetDispatch)

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Index

Index of the special color

See Also Command Bars ActiveX Control v19.3

GetSpecialColor Method

Description

Gets a special color to use in the command bar

Syntax

Public Function GetSpecialColor( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Index of the special color

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

RegistryKey
AppName
Section
See Also Command Bars ActiveX Control v19.3

LoadCommandBars Method

Description

Loads command bars from the registry.

Syntax

Public Sub LoadCommandBars( _
   Optional ByVal RegistryKey As Variant, _
   Optional ByVal AppName As Variant, _
   Optional ByVal Section As Variant _
)

Parameters

RegistryKey
AppName
Section

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

FileNameOrResource
Instance
See Also Command Bars ActiveX Control v19.3

LoadDesignerBars Method

Description

Loads a command bar layout from a file.

Syntax

Public Sub LoadDesignerBars( _
   Optional ByVal FileNameOrResource As Variant, _
   Optional ByVal Instance As Variant _
)

Parameters

FileNameOrResource
Instance

Remarks

The file is a file created using the CommandBars designer.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Profile

The CommandBar Layout in String format.

RestoreControls

If True, the layout of the controls will be restored. i.e. If the user moves some controls or adds some controls to the toolbar, they will be restored. If False, the position of the controls and any controls added by the user will not be restored.

RestoreOptions

If True, the setting on the Keyboard and Options pages of the Customize dialog will be restored. If False, all settings will be set to the default values.

Silent

If True, no message boxes will be displayed. i.e. The message box that asks for conformation before the CommandBar layout is reset.

See Also Command Bars ActiveX Control v19.3

LoadStateFromString Method

Description

Loads the layout of the CommandBar from a string.

Syntax

Public Sub LoadStateFromString( _
   ByVal Profile As String, _
   ByVal RestoreControls As Boolean, _
   Optional ByVal RestoreOptions As Boolean = False, _
   Optional ByVal Silent As Boolean = False _
)

Parameters

Profile

The CommandBar Layout in String format.

RestoreControls

If True, the layout of the controls will be restored. i.e. If the user moves some controls or adds some controls to the toolbar, they will be restored. If False, the position of the controls and any controls added by the user will not be restored.

RestoreOptions

If True, the setting on the Keyboard and Options pages of the Customize dialog will be restored. If False, all settings will be set to the default values.

Silent

If True, no message boxes will be displayed. i.e. The message box that asks for conformation before the CommandBar layout is reset.

Example

[Load CommandBars Layout from a File (Visual Basic)] Load the Layout of a CommandBar from a file. The file contains the CommandBars layout saved in String format.

Dim FreeF As Integer, sFile As String, sLayout As String

On Error Resume Next:

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    sLayout = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , sLayout
    Close #FreeF
    On Error GoTo 0
    CommandBars.LoadStateFromString sLayout, True

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | CreateStateOptions Method | SaveStateToXMLString Method | LoadStateFromString Method | SaveStateToString Method | StateOptions Object

Profile

Name of the layout to load from the XML string. If the XML string was created in the Designer Studio, the default profile name is "DesignerFile".

IMPORTANT: When saving an XML string, the Profile name MUST be "DesignerFile" if you want to edit the XML file in the Designer Studio.

state

XML string to that contains a CommandBar layout to load.

Options

Pointer to a StateOptions object that contains information that specifies how to update the CommandBars. by default, this is zero.

See Also Command Bars ActiveX Control v19.3

LoadStateFromXMLString Method

Description

The LoadStateFromXMLString method loads a Command Bar state from a XML string.

Syntax

Public Sub LoadStateFromXMLString( _
   ByVal Profile As String, _
   ByVal state As String, _
   Optional ByVal Options As StateOptions = 0 _
)

Parameters

Profile

Name of the layout to load from the XML string. If the XML string was created in the Designer Studio, the default profile name is "DesignerFile".

IMPORTANT: When saving an XML string, the Profile name MUST be "DesignerFile" if you want to edit the XML file in the Designer Studio.

state

XML string to that contains a CommandBar layout to load.

Options

Pointer to a StateOptions object that contains information that specifies how to update the CommandBars. by default, this is zero.

Remarks

The XML file can be created in the Designer Studio or with the SaveStateToString method. StateOptions can be used to specify how the CommandBars are updated.

See Also

CommandBarsFrame Control | CreateStateOptions Method | SaveStateToXMLString Method | LoadStateFromString Method | SaveStateToString Method | StateOptions Object

Example

StateOptions Object


%%PageItemTitle%%

CommandBarsFrame Control

Control

Name of the control to be moved.

Left

The space between the left side of the control and the left side of the container of the control.

Top

The space between the top of the control and the top of the container of the control.

Right

The space between the right side of the control and the right side of the container of the control.

Bottom

The space between the bottom of the control and the bottom of the container of the control.

See Also Command Bars ActiveX Control v19.3

MoveAlignedControl Method

Description

Moves and resizes a control to a specified location within its container.

Syntax

Public Sub MoveAlignedControl( _
   ByVal Control As Object, _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Control

Name of the control to be moved.

Left

The space between the left side of the control and the left side of the container of the control.

Top

The space between the top of the control and the top of the container of the control.

Right

The space between the right side of the control and the right side of the container of the control.

Bottom

The space between the bottom of the control and the bottom of the container of the control.

Remarks

This method is used to move a control, such as a picturebox on a MDIForm.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | OLECompleteDrag Event | OLEStartDrag Event

See Also Command Bars ActiveX Control v19.3

OLEDrag Method

Description

Causes the commandbars to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the commandbar's OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

CommandBarsFrame Control | OLECompleteDrag Event | OLEStartDrag Event


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Recalculates the entire layout of the docking panes on the form.

Syntax

Public Sub RecalcLayout()

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

RegistryKey
AppName
Section
See Also Command Bars ActiveX Control v19.3

SaveCommandBars Method

Description

Saves command bars to the registry.

Syntax

Public Sub SaveCommandBars( _
   Optional ByVal RegistryKey As Variant, _
   Optional ByVal AppName As Variant, _
   Optional ByVal Section As Variant _
)

Parameters

RegistryKey
AppName
Section

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

SaveControls

If True, the customized layout of the CommandBar will be saved. If False, then only the normal layout of the toolbar is saved with no customization information.

SaveOnlyCustomized

If True, only the layout of toolbars whos layout has changed will be saved. This will reduce the file size.

SaveOptions

If True, the settings on the Keyboard and Options pages of the Customize dialog will be saved. If False, all settings will not be saved.

See Also Command Bars ActiveX Control v19.3

SaveStateToString Method

Description

Saves the layout of the CommandBar to a string.

Syntax

Public Function SaveStateToString( _
   ByVal SaveControls As Boolean, _
   ByVal SaveOnlyCustomized As Boolean, _
   Optional ByVal SaveOptions As Boolean = False _
) As String

Parameters

SaveControls

If True, the customized layout of the CommandBar will be saved. If False, then only the normal layout of the toolbar is saved with no customization information.

SaveOnlyCustomized

If True, only the layout of toolbars whos layout has changed will be saved. This will reduce the file size.

SaveOptions

If True, the settings on the Keyboard and Options pages of the Customize dialog will be saved. If False, all settings will not be saved.

Remarks

Some applications have multi user access. It can be userfull to store a layout for each user in a personal file instead of the registry.

Example

[Save CommandBar Layout to String and File (Visual Basic)] Saves the CommandBar layout to a Sting. The String is placed in a file so it can be access when the application

Dim FreeF As Integer, sFile As String, sLayout As String

sFile = "c:\Layout.000"
FreeF = FreeFile
Kill sFile
Open sFile For Binary As #FreeF
Put #FreeF, , CommandBars.SaveStateToString(True, True, True)
Close #FreeF

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | LoadStateFromXMLString Method | LoadStateFromString Method | CreateStateOptions Method | SaveStateToString Method | StateOptions Object

Profile

Id of the XML string. This specifies which XML string should be loaded.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

Options

Pointer to a StateOptions object that contains information that specifies how the CommandBars state will be saved to the XML string and what parts of the CommandBars state will be saved.

See Also Command Bars ActiveX Control v19.3

SaveStateToXMLString Method

Description

The SaveStateToXMLString method saves the Command Bar state to a XML string.

Syntax

Public Function SaveStateToXMLString( _
   ByVal Profile As String, _
   Optional ByVal Options As StateOptions = 0 _
) As String

Parameters

Profile

Id of the XML string. This specifies which XML string should be loaded.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

Options

Pointer to a StateOptions object that contains information that specifies how the CommandBars state will be saved to the XML string and what parts of the CommandBars state will be saved.

Return Type

A String containing the state of the Command Bars in XML format.

Remarks

Creates a string containing the CommandBars layout, state, and settings. The state options object specifies which settings should be saved to the XML string. Since multiple strings can be saved to the same file, the Profile given to identify the XML string.

IMPORTANT: When saving an XML string, the Profile name MUST be named "DesignerFile" if you want to edit the XML file in the Designer Studio.

See Also

CommandBarsFrame Control | LoadStateFromXMLString Method | LoadStateFromString Method | CreateStateOptions Method | SaveStateToString Method | StateOptions Object

Example

StateOptions Object


%%PageItemTitle%%

CommandBarsFrame Control

SetAllCaps
See Also Command Bars ActiveX Control v19.3

SetAllCaps Method

Syntax

Public Sub SetAllCaps( _
   ByVal SetAllCaps As Boolean _
)

Parameters

SetAllCaps

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

hWnd

Handle to MDI client window

See Also Command Bars ActiveX Control v19.3

SetMDIClient Method

Description

Used in .NET to set handle to MDI client window.

Syntax

Public Sub SetMDIClient( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to MDI client window

Remarks

Only used in .NET. This is only required when using the CommandBars in an MDI Application where the form that contains the CommandBars has the IsMDIContainter property set to True.

Example

[SetMDIClient Sample (Visual Basic)] This sample illustrates how to set the handle to the MDI client window in .NET.

        Dim ctrl As Control
        For Each ctrl In Controls
            If (ctrl.GetType Is GetType(System.Windows.Forms.MdiClient)) Then
                CommandBars.SetMDIClient(ctrl.Handle.ToInt32)
            End If
        Next

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

BackImage
See Also Command Bars ActiveX Control v19.3

SetOfficeSetBackImage Method

Syntax

Public Function SetOfficeSetBackImage( _
   ByVal BackImage As XTPBackImage _
) As Boolean

Parameters

BackImage
Value Description
XTPNone
XTPCalligraphy
XTPCirclesAndStripes
XTPCircuit
XTPClouds
XTPDoodleCircles
XTPDoodleDiamonds
XTPGeometry
XTPLunchBox
XTPSchoolSupplies
XTPSpring
XTPStars
XTPStraws
XTPTreeRings
XTPUnderWater

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Index
Color

New color for component.

See Also Command Bars ActiveX Control v19.3

SetSpecialColor Method

Description

Used to change the color of the various components that make up the commandbars.

Syntax

Public Sub SetSpecialColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Color

New color for component.

Remarks

LunaColors may need to be disabled to see the effects. Can be used to create custom themes.

Example

[SetSpecialColor Sample (Visual Basic)] This sample illustrates how to create a custom theme for your commandbars.

    CommandBars.VisualTheme = xtpThemeOffice2003
    CommandBars.SetSpecialColor XPCOLOR_TOOLBAR_FACE, CommandBars.GetSpecialColor(2)
    CommandBars.SetSpecialColor 15, CommandBars.GetSpecialColor(2)
    CommandBars.SetSpecialColor 5, CommandBars.GetSpecialColor(27)
    CommandBars.SetSpecialColor 5, vbYellow
    CommandBars.SetSpecialColor XPCOLOR_HIGHLIGHT, CommandBars.GetSpecialColor(27)
    CommandBars.Options.LunaColors = False

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | ShowKeyboardPage Property | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property | XTPCommandBarsSpecialCommands Enumeration

ActiveTab

Index of the tab in the commandbars "Customize" dialog that should be active when the dialog is opened.

See Also Command Bars ActiveX Control v19.3

ShowCustomizeDialog Method

Description

Displays the commandbars "Customize" dialog box with the option to specify which tab is displayed when opened.

Syntax

Public Sub ShowCustomizeDialog( _
   ByVal ActiveTab As Integer _
)

Parameters

ActiveTab

Index of the tab in the commandbars "Customize" dialog that should be active when the dialog is opened.

Remarks

ShowCustomizeDialog is used to display the commandbars "Customize" dialog. This has the same effect as adding a command with Id 35001 which can also be found in the XTPCommandBarsSpecialCommands enumeration.

The ShowKeyboardPage, ShowOptionsPage, and ShowRibbonQuickAccessPage properties can be used to to hide or show the Keyboard, Options, and RibbonQuickAccess pages in the commandbars "Customize" dialog.

See Also

CommandBarsFrame Control | ShowKeyboardPage Property | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property | XTPCommandBarsSpecialCommands Enumeration


%%PageItemTitle%%

CommandBarsFrame Control

Show
See Also Command Bars ActiveX Control v19.3

ShowTabWorkspace Method

Description

Shows the TabWorkspace

Syntax

Public Function ShowTabWorkspace( _
   ByVal Show As Boolean _
) As TabWorkspace

Parameters

Show

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

Actions Property

Description

Collection of CommandBars Action items that have been added to the CommandBars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Actions() As CommandBarActions

Remarks

The Actions allows you to add and access the CommandBars Action items that have been added to your CommandBars.

CommandBar Actions eliminate the need to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars. For example, you might have a menu item that also appears in a toolbar, then a user might have created the same button and placed it in a user created toolbar. With Actions you can simply modify the action for the item and it will update all occurences of the item, no matter how many a user might have added.

Actions also work good for localization as you can have a set of actions for each local that can easily be used to update all occurences of items ensuring that all items get updated.

How it works:

Each CommandBar item has an Id. Items with the same Id can then share a common set of properties. A CommandBars Action object, represented as "Item Actions" in the diagram below, is a set of properties that all items of a specified Id can share. When you add an Action you will specify the Id, Caption, TooltipText, DescriptionText, and Category of the action. The Id is the Id you will assign to CommandBar items that you cant to use the properties of the action. Now any CommandBar item with the same Id as an Action will use the properties of the action. When updating any property of the action it will automatically update all occurences of the item, no matter how many a user might have added, if it is in a popup menu, or in a toolbar. You will no longer have to use the Update event to update\change the state and properties of an item that appears multiple places in your menus and toolbars.

EnableActions must be called to enable actions to be used. Each CommandBar Item has an Action property which is just a reference to the CommandBars Action item that is associated with it. If no action is added for an item or actions have not been enable the default properties of the item will be used.

In the diagram below, the "Menu Item," "Toolbar Item" and "User Customized Item (user created toolbar)" all share the same "Item Action." When you modify the properties of the action it will update all occurences of the item.

See Also

CommandBarsFrame Control

Example

Using CommandBar Actions


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ActiveMenuBar Property

Description

Gets the Active Menu Bar object. The active menu bar is the the first command bar and is used to display your menu.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActiveMenuBar() As MenuBar

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ContextMenus Property

Description

Collection of context menus using in the application.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ContextMenus() As CommandBarsContextMenus

Remarks

Context menus are used for things such as right-clicking on a workspace, tab button, button, etc.

Context menus are displayed in the "Menu" customization dialog. This is where you will see the Caption and Id used for the menus. Users can also customize these menus.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Gets the total number of command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | Right-Click ContextMenu During Customization | CustomIcons Property

See Also Command Bars ActiveX Control v19.3

CustomizedControl Property

Description

CustomizedControl returns a pointer to the currently selected control while in customization mode. This is the control that the user is currently customizing.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomizedControl() As CommandBarControl

Remarks

To make changes to the control using custom controls added to the context menu, you use the CustomizedControl. While in customization mode, when the user clicks on a button, a black rectangle appears around the control. CustomizedControl will always point to the control that has the black rectangle around it during customization. Any changes made to CustomizedControl will also be made to the "original" control that it points to.

The picture below shows the control currently being customized during toolbar customization mode. Notice the Save button has a black focus rectangle around it. When a control is clicked during toolbar customization a black focus rectangle is placed around the control. The control that has the black focus rectangle is copied into the CustomizedControl property. Any changes made to the CustomizedControl will also be made to the original control.

Example

[Adding Custom Controls to the Context Menu (Visual Basic)] This sample illustrates how to add controls to the Context menu that is displayed when a user right-clicks on a control during CommandBar customization.

'==========================================================================================================
' Customization Event
'==========================================================================================================

'Custom commands are added to the context menu in the Customization event. This event is
'fired each time the Customization dialog is displayed.
Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Add custom controls to the context menu that is displayed when a control is
   ' right-clicked during customization
   '==========================================================================================================
   'Add an edit control to the context menu that is displayed when the user right-clicks a
   'control during customization. Passing a 4 in as the "Before" parameter will insert this
   'edit control as the fourth control in the context menu. The control will have a caption
   'label of "Parameter." When this control is clicked, the execute event is fired and
   'the control will have an Id of ID_EDIT_PARAM. See description of CustomizeOptions.ContextMenu
   'and CommandBars.CustomizedControl for more information on adding control to the context menu.
   Options.ContextMenu.Controls.Add xtpControlEdit, ID_EDIT_PARAM, "Parameter", 4

End Sub

'==========================================================================================================
' Execute Event
'==========================================================================================================

'The Execute event is triggered when the user clicks on a controls added to the context menu
'by the developer. The CommandBars.CustomizedControl property points to the control that the
'user is currently customizing. This is the control that has the black frame placed around it
'during customization. The CommandBars.CustomizedControl property is how you know which control
'the user is customizing. When you make changes to the CommandBars.CustomizedControl, all changes
'will automatically be applied to the "original" control the user is customizing.
Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)

    On Error Resume Next

    Select Case Control.Id

        'Id of the custom control added to the context menu, this was added
        'in during the Customization event. When the user hits the Enter key
        'after typing text into the edit control added, the execute event it
        'triggered and the control property contains a reference to the
        'edit control.
        Case ID_EDIT_PARAM:
            Dim ControlEdit As CommandBarEdit

            'Control is currently pointing to the custom control added
            'to the context menu.
            Set ControlEdit = Control

            'Update the "Paramater" property of the control to hold the text
            'stored in the edit box. The CustomizedControl property is a pointer
            'to the control that the user is customizing. So any changes made
            'to the CustomizedControl will be applied to the control the user is
            'currently customizing.
            CommandBars.CustomizedControl.Parameter = ControlEdit.Text

    End Select
End Sub

See Also

CommandBarsFrame Control | Right-Click ContextMenu During Customization | CustomIcons Property


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

DesignerControls Property

Description

Gets the designer controls collection for the command bar

Property type

Read-only property

Syntax (Visual Basic)

Public Property DesignerControls() As CommandBarControls

Remarks

Gets the designer controls for the command bar. If you loaded your command bar from a .xcb file, all of your controls are in the collection of designer controls. When creating the command bar via code, this is where you store the controls that will be displayed in the customize dialog.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | TrackingModeChanged Event | TrackingMode Property

See Also Command Bars ActiveX Control v19.3

FocusedCommandBar Property

Description

Returns the command bar that currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FocusedCommandBar() As CommandBar

Remarks

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused FocusedCommandBar and TrackingMode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with TrackingMode returning False.

When TrackingMode is True the command bar will "eat" all key strokes

See Also

CommandBarsFrame Control | TrackingModeChanged Event | TrackingMode Property


%%PageItemTitle%%

CommandBarsFrame Control | CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

GlobalSettings Property

Description

Command Bars global settings, such as application name and resource file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GlobalSettings() As CommandBarsGlobalSettings

See Also

CommandBarsFrame Control | CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Gets the icons for the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the command bars. You can add/retrieve icons from the collection to be used in the command bar. You can add the icons from an entire ImageManager control to the collection of icons.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

IsAllCaps Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAllCaps() As Boolean

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

IsAllowFrameTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAllowFrameTransparency() As Boolean

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Index

The index of the command bar which is to be retrieved.

See Also Command Bars ActiveX Control v19.3

Item Property

Description

Gets a command bar by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBar

Parameters

Index

The index of the command bar which is to be retrieved.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | Add Method | AddShortcut Method

See Also Command Bars ActiveX Control v19.3

KeyBindings Property

Description

Gets the collection of key bindings ( accelerator keys ) associated with the various commands used in command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property KeyBindings() As KeyBindings

Remarks

You can create a shortcut from any combination of keys on the keyboard. Command Bars will automatically place the key combination of the shortcut in the menu next to the caption of the control.

Example

[KeyBindings Sample (Visual Basic)] This sample code illustrates how to add shortcuts to the controls in your Command Bar.

    'These constants are in the General code section
    Const FSHIFT = 4
    Const FCONTROL = 8
    Const FALT = 16
    Const VK_F5 = &H74

    'Add Keybindings after the Command Bar is created
    'Adds Ctrl+N KeyBinding
    CommandBars.KeyBindings.Add FCONTROL, Asc("N"), ID_FILE_NEW
    'Adds Ctrl+SHIFT+O KeyBinding
    CommandBars.KeyBindings.Add FCONTROL + FSHIFT, Asc("O"), ID_FILE_OPEN
    'Adds F5 KeyBinding
    CommandBars.KeyBindings.Add 0, VK_F5, ID_FILE_CLOSE
    'Adds Ctrl+S KeyBinding
    CommandBars.KeyBindings.Add FCONTROL, Asc("S"), ID_FILE_SAVE
    'Adds ALT+P KeyBinding
    CommandBars.KeyBindings.Add FALT, Asc("P"), ID_FILE_PRINT
    'Adds ALT+SHIFT+Ctrl+P KeyBinding
    CommandBars.KeyBindings.Add FALT + FSHIFT + FCONTROL, Asc("P"), ID_FILE_PRINT_SETUP
    'Adds ALT+Ctrl+X KeyBinding
    CommandBars.KeyBindings.Add FCONTROL + FALT, Asc("X"), ID_FILE_EXIT

See Also

CommandBarsFrame Control | Add Method | AddShortcut Method


%%PageItemTitle%%

CommandBarsFrame Control | MessageBar Object | Message Property | AddButton Method | AddCloseButton Method | Visible Property

See Also Command Bars ActiveX Control v19.3

MessageBar Property

Description

Represents the message bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MessageBar() As MessageBar

Remarks

The message bar is an Office 2007 style message bar similar to that displayed when opening a document with a "unsafe" macro or other "unsafe" content in MS Word 2007.

See the MessageBar object for more on how to create a message bar and add items to it.

See Also

CommandBarsFrame Control | MessageBar Object | Message Property | AddButton Method | AddCloseButton Method | Visible Property


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

Options Property

Description

Gets the options that are used by command bars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As CommandBarsOptions

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

PaintManager Property

Description

Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As PaintManager

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | CreateCommandBarControl Method | RecentFileList Object | XTPCommandBarsSpecialCommands Enumeration

See Also Command Bars ActiveX Control v19.3

RecentFileList Property

Description

Recent File List

Property type

Read-only property

Syntax (Visual Basic)

Public Property RecentFileList() As RecentFileList

Return Type

Reference to the RecentFileList displayed for the commandbars.

Remarks

A Recent File List or MRU is used to display a recent list of opened files in the menu.

Basic Steps to create a MRU (Office 2007 and older styles):

1. To manage the recent file list you need to use the CommandBars.RecentFileList methods

2. To add a control to your Menu that will show the MRU recent file list you must create a CXTPControlRecentFileList control with the CreateCommandBarControl method and set it's ID to XTP_ID_FILE_MRU.

3. To create a pinnable Recent File list for the Ribbon ribbon create CXTPRibbonControlSystemRecentFileList using the CreateCommandBarControl method and set it's ID to XTP_ID_FILE_MRU.

4. Recent File List will be Saved/Loaded when you call LoadCommandBars/SaveCommandBars.

5. To catch an event when the user selects a Recent File list in the menu you need to add in the Execute even a handler for the XTP_ID_FILE_MRU id (or any Id that the user assigned for this control) and use the path name property to get path to file.

6. When adding items to the MRU you must specify the complete path to the file, however, only the filename will get displayed. A tooltip will display the full path to the file. You can get the full path from the path name property when in the Execute event.

The following lists information about the RecentFileListItem object that is used to represent items in the RecentFileList and also lists sample code to create both Office 2007 and Office 2010 style lists.

RecentFileListItem represents an item entry that is displayed in a RecentFileList and contains the caption, icon, file path name and pinned status for the item.

When the RecentFileListItem is added to a standard Recent File List the caption is what is displayed for the item in the list. This is also true for the Office 2007 style list. When using the Office 2010 style list the caption is not displayed in the list.

The icon Id is only used to display an icon in Office 2007 and older recent file lists. Using the Office 2010 style list this Id is not used and instead the icon used by the system for that file type will be used.

The path name is used to store the entire path including filename. For Office 2007 and older styles recent file list the path name is displayed as a tooltip for the RecentFileListItem, the caption is only displayed for this item. For Office 2010 style list the path name is fully displayed in the item as 2 lines, the first line contains the file name and the second contains the entire path to the file name.

The pinned state of the item will display a pin icon to the right of the item if Pinable is True for the RecentFileList. When the item is "pinned" it will be displayed at the top of the list, regardless of the order it was added for Office 2010 style lists. By default items are listed in the order in which they were added. When "pinned", the pin icon will also change showing the item is in fact pinned. For Office 2007 style and older lists "pinned" items will remain in the order they were added.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

Office 2007 style list:

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Set ControlFile = RibbonBar.AddSystemButton

Dim PopupBar As CommandBar
Set PopupBar = CommandBars.CreateCommandBar("CXTPRibbonSystemPopupBar")

Set ControlFile.CommandBar = PopupBar

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"

With PopupBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

End With

Office 2010 style:

Office 2007 style:

Example

Dim ControlFile As CommandBarPopup
Dim Control As CommandBarControl
Dim PopupBar As CommandBar

Set ControlFile = RibbonBar.AddSystemButton()
ControlFile.IconId = ID_SYSTEM_ICON
ControlFile.Caption = "&File"
With ControlFile.CommandBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

CommandBars.RecentFileList.Add "C:\Untitled.txt"
CommandBars.RecentFileList.Add "C:\Program Files\Untitled2.txt"
CommandBars.RecentFileList.Add "Untitled3.txt"

ControlFile.CommandBar.SetIconSize 32, 32
End With

Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)
On Error Resume Next

Select Case Control.Id
Case XTPCommandBarsSpecialCommands.XTP_ID_FILE_MRU:
Debug.Print Control.Caption & " clicked."
End Select
End Sub

See Also

CommandBarsFrame Control | CreateCommandBarControl Method | RecentFileList Object | XTPCommandBarsSpecialCommands Enumeration


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | RightToLeft Property

See Also Command Bars ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the CommandBars (Button Order, Menu Order, Menu Alignment, ToolBar Alignment, etc) are displayed from right to left.

IMPORTANT: If you using the TabWorkspace and enable tab grouping, TabWorkspace.RightToLeft must be set after EnableGroups is called.

Example

[RTL CommandBars Mode (Visual Basic)] This sample illustrates how to enable RTL mode for the CommandBars and TabWorkspace. Notice that RTL mode for the TabWorkspace must be enabled after enabling groups. Note you do not have to enable tab grouping.

    'Set the CommandBars to RTL mode
    CommandBars.RightToLeft = True

    'Show TabWorkspace
    CommandBars.ShowTabWorkspace(True)
    'Enable Tab Grouping
    CommandBars.TabWorkspace.EnableGroups
    'Set RTL mode for the TabWorkspace
    CommandBars.TabWorkspace.RightToLeft = True

See Also

CommandBarsFrame Control | RightToLeft Property


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ScaleMode Property

Description

Used to change the Command Bars measurement units/coordinate system

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleMode() As XTPScaleMode

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

StatusBar Property

Description

Gets the status bar for the command bar

Property type

Read-only property

Syntax (Visual Basic)

Public Property StatusBar() As StatusBar

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | TabWorkspace Object | ShowTabWorkspace Method

See Also Command Bars ActiveX Control v19.3

TabWorkspace Property

Description

Gets the tab workspace for the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabWorkspace() As TabWorkspace

See Also

CommandBarsFrame Control | TabWorkspace Object | ShowTabWorkspace Method


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for CommandBar controls. This includes both menu items and toolbar items.

See the ToolTipContext object for a complete list of methods and properties.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | FocusedCommandBar Property | TrackingModeChanged Event

See Also Command Bars ActiveX Control v19.3

TrackingMode Property

Description

Indicates whether the command bars are currently "eating" key strokes. The command bars "eat" keystrokes when popup or toolbar currently has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TrackingMode() As Boolean

Remarks

When TrackingMode is True the command bar will "eat" all key strokes.

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused FocusedCommandBar and TrackingMode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with TrackingMode returning False.

See Also

CommandBarsFrame Control | FocusedCommandBar Property | TrackingModeChanged Event


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used to display command bars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPVisualTheme

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

CommandBar

CommandBar that had focus when a key was pressed.

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also Command Bars ActiveX Control v19.3

CommandBarKeyDown Event

Description

Occurs when a key is pressed and a popup menu is open, a popup menu has focus, or a menu item in a popup menu has focus.

Syntax

Public Event CommandBarKeyDown( _
   ByVal CommandBar As CommandBar, _
   ByRef KeyCode As Long, _
   ByVal Shift As Integer _
)

Parameters

CommandBar

CommandBar that had focus when a key was pressed.

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

Remarks

The CommandBarKeyDown will only occur when a popup menu has focus, or an item in the popup menu has focus. The CommandBar parameter holds all of the menu items of the focused menu.

The CommandBar.SelectedControl property stores the menu item that had focus when a key was pressed.

Example

[CommandBarKeyDown Sample (Visual Basic)] This sample illustrates how to use the CommandBarKeyDown event to filter key presses when a menu item has focus.

Private Sub CommandBars_CommandBarKeyDown(CommandBar As XtremeCommandBars.ICommandBar, KeyCode As Long, Shift As Integer)

    'If the SpaceBar was pressed while a menu item has focus, then execute the item
    If KeyCode = 32 Then
        CommandBar.SelectedControl.Execute
    End If

End Sub

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | XTPControlNotify Enumeration

Control

Control that sent the notification.

Code

Code to determine which notification was sent. This will be a flag from the XTPControlNotify enumeration.

NotifyData

Additional information that this notification can have. Added for future and is not used now.

Handled

True to handle the notification yourself, False to let the framework handle the notification.

See Also Command Bars ActiveX Control v19.3

ControlNotify Event

Description

Occurs when a control sends a notification.

Syntax

Public Event ControlNotify( _
   ByVal Control As CommandBarControl, _
   ByVal Code As Long, _
   ByVal NotifyData As Variant, _
   ByRef Handled As Variant _
)

Parameters

Control

Control that sent the notification.

Code

Code to determine which notification was sent. This will be a flag from the XTPControlNotify enumeration.

NotifyData

Additional information that this notification can have. Added for future and is not used now.

Handled

True to handle the notification yourself, False to let the framework handle the notification.

Remarks

Some controls can send additional notifications like when the combo box receives/loses focus/Edit text changing.

See Also

CommandBarsFrame Control | XTPControlNotify Enumeration


%%PageItemTitle%%

CommandBarsFrame Control

Control

Reference to the control the was tight-clicked.

See Also Command Bars ActiveX Control v19.3

ControlRButtonUp Event

Description

Occurs when a control is right-clicked.

Syntax

Public Event ControlRButtonUp( _
   ByVal Control As CommandBarControl _
)

Parameters

Control

Reference to the control the was tight-clicked.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Control

The control which has been selected.

See Also Command Bars ActiveX Control v19.3

ControlSelected Event

Description

Occurs when a control is selected.

Syntax

Public Event ControlSelected( _
   ByVal Control As CommandBarControl _
)

Parameters

Control

The control which has been selected.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Options

Specifies which tabs should be included in the customize dialog.

See Also Command Bars ActiveX Control v19.3

Customization Event

Description

Occurs when the customize dialog is displayed.

Syntax

Public Event Customization( _
   ByVal Options As CustomizeOptions _
)

Parameters

Options

Specifies which tabs should be included in the customize dialog.

Remarks

The customize dialog allows you to customize the command bars. This is where you add controls that are displayed in the "Commands" tab of the customize dialog.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

ToolBar

Reference to the new toolbar added.

See Also Command Bars ActiveX Control v19.3

CustomizationAddToolBar Event

Description

Occurs when a new custom toolbar is added via the Customization Dialog.

Syntax

Public Event CustomizationAddToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar

Reference to the new toolbar added.

Remarks

Occurs after the "New" button has been pressed and then the "OK" button to add the new toolbar.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

ToolBar

Reference to the toolbar that was deleted.

See Also Command Bars ActiveX Control v19.3

CustomizationDeleteToolBar Event

Description

Occurs when a new custom toolbar is deleted via the Customization Dialog.

Syntax

Public Event CustomizationDeleteToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar

Reference to the toolbar that was deleted.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | CustomizedControl Property

See Also Command Bars ActiveX Control v19.3

CustomizationDone Event

Description

Occurs after command bar customization is complete.

Syntax

Public Event CustomizationDone()

Remarks

This event is fired after the command bars customization dialog is closed. The customization dialog can be displayed manually by adding a command bar control with an ID of 35001.

See Also

CommandBarsFrame Control | CustomizedControl Property


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

CustomizationResetAll Event

Syntax

Public Event CustomizationResetAll()

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

ToolBar

Reference to the toolbar that was reset to the default layout.

See Also Command Bars ActiveX Control v19.3

CustomizationResetToolBar Event

Description

Occurs when the "reset" button is used to reset a toolbar back to the default layout.

Syntax

Public Event CustomizationResetToolBar( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar

Reference to the toolbar that was reset to the default layout.

Remarks

The toolbar can be reset through the customization dialog or by using the reset option from the "Add or Remove Buttons" menu at the end of the toolbar.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Control

The command bar control which was clicked.

See Also Command Bars ActiveX Control v19.3

Execute Event

Description

Occurs when a command bar control is clicked.

Syntax

Public Event Execute( _
   ByVal Control As CommandBarControl _
)

Parameters

Control

The command bar control which was clicked.

Remarks

Occurs when a command bar control is clicked or executed via code.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Id

Id of the MenuBarMDIMenu to display for the given active document. So this must be a valid MenuBarMDIMenu.Id.

See Also Command Bars ActiveX Control v19.3

GetActiveDocumentID Event

Description

Occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.

Syntax

Public Event GetActiveDocumentID( _
   ByRef Id As Long _
)

Parameters

Id

Id of the MenuBarMDIMenu to display for the given active document. So this must be a valid MenuBarMDIMenu.Id.

Remarks

GetActiveDocumentID occurs when a MDI document becomes active, or all documents are closed. It used to decide which MDI menus to display based on the type of document that is active.

GetActiveDocumentID is used to specify which MDI menu needs to be shown. For example, you can have many different types of documents - like image editor, text editor, etc. You can then assigning an Id for each document template and retrieve this Id in the GetActiveDocumentID event. This way you can display a different set of MDI menus for each type of document.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Left

The area occupied by controls docked to the left edge of the form.

Top

The area occupied by controls docked to the top edge of the form.

Right

The area occupied by controls docked to the right edge of the form.

Bottom

The area occupied by controls docked to the bottom edge of the form.

See Also Command Bars ActiveX Control v19.3

GetClientBordersWidth Event

Description

Occurs when the area occupied by controls docked to the edges of the form has to be retrieved.

Syntax

Public Event GetClientBordersWidth( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The area occupied by controls docked to the left edge of the form.

Top

The area occupied by controls docked to the top edge of the form.

Right

The area occupied by controls docked to the right edge of the form.

Bottom

The area occupied by controls docked to the bottom edge of the form.

Remarks

For example, this event is triggered when a control or command bar is added/removed, when the status bar is hidden/unhidden, when the window is resized, when a document is opened/closed, when a new tab is clicked, etc...

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

CommandBar

The command bar containing the child controls for the popup control.

See Also Command Bars ActiveX Control v19.3

InitCommandsPopup Event

Description

Occurs when a popup control is about to be expanded/shown.

Syntax

Public Event InitCommandsPopup( _
   ByVal CommandBar As CommandBar _
)

Parameters

CommandBar

The command bar containing the child controls for the popup control.

Remarks

This event executes before the popup menu is displayed on the screen.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

MessageBar
See Also Command Bars ActiveX Control v19.3

MessageBarClosed Event

Syntax

Public Event MessageBarClosed( _
   ByVal MessageBar As MessageBar _
)

Parameters

MessageBar

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | OLEDrag Method | OLEStartDrag Event | DataObject Object | DataObjectFiles Object

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved (such as the source deleting data if it is moved from one component to another). The possible values are listed in Settings.

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Command Bars ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when the commandbar's component is dropped onto a target component, informing the commandbar's component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved (such as the source deleting data if it is moved from one component to another). The possible values are listed in Settings.

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vbDropEffectMove), the source needs to delete the object from itself after the move.

See Also

CommandBarsFrame Control | OLEDrag Method | OLEStartDrag Event | DataObject Object | DataObjectFiles Object


%%PageItemTitle%%

CommandBarsFrame Control | OLECompleteDrag Event | OLEDrag Method | DataObject Object | DataObjectFiles Object

Data

A DataObject object containing formats that the source will provide and, optionally, the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The programmer should provide the values for this parameter in this event. The SetData and Clear methods cannot be used here.

AllowedEffects
See Also Command Bars ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when the commandbar's OLEDrag method is performed, or when the commandbar component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, optionally, the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The programmer should provide the values for this parameter in this event. The SetData and Clear methods cannot be used here.

AllowedEffects

Remarks

The source component should use the logical Or operator against the supported values and place the result in the Effects parameter. The target component can use this value to determine the appropriate action (and what the appropriate user feedback should be).

See Also

CommandBarsFrame Control | OLECompleteDrag Event | OLEDrag Method | DataObject Object | DataObjectFiles Object


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Left

Align to the left

Top

Align to the top

Right

Align to the right

Bottom

Align to the bottom

See Also Command Bars ActiveX Control v19.3

RepositionAlignedControls Event

Description

Occurs when controls are to be repositioned on a MDI form.

Syntax

Public Event RepositionAlignedControls( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

Align to the left

Top

Align to the top

Right

Align to the right

Bottom

Align to the bottom

Remarks

This event is just like the GetClientBordersWidth event, only it is intended to reposition aligned controls such as a picture box or TaskPanel on a MDI Form.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

Resize Event

Description

Occurs when the command bar layout changes.

Syntax

Public Event Resize()

Remarks

Occurs any time the layout of any command bars component changes. For example, when the windows is resized, a tab is closed in the tab workspace, or the status bar is hidden.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

Left

Specifies the x-coordinate of the upper-left corner of the client rectangle.

Top

Specifies the y-coordinate of the upper-left corner of the client rectangle.

Right

Specifies the x-coordinate of the lower-right corner of the client rectangle.

Bottom

Specifies the y-coordinate of the lower-right corner of the client rectangle.

See Also Command Bars ActiveX Control v19.3

ResizeClient Event

Description

Occurs when the command bar layout changes.

Syntax

Public Event ResizeClient( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left

Specifies the x-coordinate of the upper-left corner of the client rectangle.

Top

Specifies the y-coordinate of the upper-left corner of the client rectangle.

Right

Specifies the x-coordinate of the lower-right corner of the client rectangle.

Bottom

Specifies the y-coordinate of the lower-right corner of the client rectangle.

Remarks

Occurs any time the layout of any command bars component changes. For example, when the windows is resized, a tab is closed in the tab workspace, or the status bar is hidden.

The ResizeClient event is included for compatibility with Visual FoxPro. If you are not using Visual FoxPro, use the Resize event.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control

See Also Command Bars ActiveX Control v19.3

SpecialColorChanged Event

Description

Occurs when a special color has been changed in the command bar

Syntax

Public Event SpecialColorChanged()

Remarks

This event is only triggered if you change the system's Windows theme while your application is running. If the special color changes, you might need to update the background color of your forms, option buttons, check boxes, etc. Your command bars will automatically be updated with the new colors. Special colors are the colors of the different components that make up a window.

See Also

CommandBarsFrame Control


%%PageItemTitle%%

CommandBarsFrame Control | ContextMenuPresent Property

ToolBar

Reference to the Toolbar that was right-clicked to display the default context menu.

ContextMenu

Reference to the popup menu that will be displayed. With this reference, you can remove all the controls and add your own.

See Also Command Bars ActiveX Control v19.3

ToolBarContextMenu Event

Description

Occurs when the CommandBars default context menu is displayed.

Syntax

Public Event ToolBarContextMenu( _
   ByVal ToolBar As CommandBar, _
   ByVal ContextMenu As CommandBar _
)

Parameters

ToolBar

Reference to the Toolbar that was right-clicked to display the default context menu.

ContextMenu

Reference to the popup menu that will be displayed. With this reference, you can remove all the controls and add your own.

Remarks

The default context menu is the menu that is displayed when any toolbar or open space on the command bar is right-clicked. The ToolBarContextMenu event allows you to override the default context menu with your own.

See Also

CommandBarsFrame Control | ContextMenuPresent Property


%%PageItemTitle%%

CommandBarsFrame Control | Visible Property

ToolBar

Reference to the ToolBar that became hidden or visible.

See Also Command Bars ActiveX Control v19.3

ToolBarVisibleChanged Event

Description

Occurs when the visible status of a Toolbar changes.

Syntax

Public Event ToolBarVisibleChanged( _
   ByVal ToolBar As CommandBar _
)

Parameters

ToolBar

Reference to the ToolBar that became hidden or visible.

Remarks

The ToolBarVisibleChanged event occurs when the close button is used to close a Toolbar when it is floating, or when the visible property of the Toolbar changes. This event will also occur when a DialogBar becomes visible or hidden.

See Also

CommandBarsFrame Control | Visible Property


%%PageItemTitle%%

CommandBarsFrame Control | FocusedCommandBar Property | TrackingMode Property

CommandBar

Command Bar that currently has focus.

Mode

Returns True if the CommandBar has received focus.

Returns False if the CommandBar has has lost focus.

See Also Command Bars ActiveX Control v19.3

TrackingModeChanged Event

Description

Occurs when the command bars tracking mode has changed. Tracking mode is similar to get\lost focus for a command bar.

Syntax

Public Event TrackingModeChanged( _
   ByVal CommandBar As CommandBar, _
   ByVal Mode As Boolean _
)

Parameters

CommandBar

Command Bar that currently has focus.

Mode

Returns True if the CommandBar has received focus.

Returns False if the CommandBar has has lost focus.

Remarks

Command Bars TrackingMode is similar to get\lost focus. When a commandbar receives focus, the TrackingModeChanged event is fired with a pointer to the currently focused CommandBar and Mode will be True. When the command bar loses focus, then the TrackingModeChanged is fired with Mode returning False.

A command bar in the menu bar receives focus either the mouse is used to click on a menu item, or when the "Alt" key is pressed. When the command bar has focus, the left\right keys can be used to navigate the menu. The TrackingModeChanged event will occur for each time a popup menu is displayed.

A tool bar can receive focus by first clicking the "Expand" button, then using the left\right keys to navigate the tool bar buttons.

When Mode is True the command bar will "eat" all key strokes

See Also

CommandBarsFrame Control | FocusedCommandBar Property | TrackingMode Property


%%PageItemTitle%%

CommandBarsFrame Control | UpdatePeriod Property

Control

The command bar control which has been updated.

See Also Command Bars ActiveX Control v19.3

Update Event

Description

Occurs when a command bar control has been updated.

Syntax

Public Event Update( _
   ByVal Control As CommandBarControl _
)

Parameters

Control

The command bar control which has been updated.

Remarks

This event is triggered at a fixed time interval and is used to update your command bar controls. You can set the update period. By default, the Update event is triggered every 100ms.

See Also

CommandBarsFrame Control | UpdatePeriod Property


%%PageItemTitle%%

CommandBarsGlobalSettings Members

See Also Command Bars ActiveX Control v19.3

CommandBarsGlobalSettings Object

Description

Command Bars global settings, such as application name and resource file

For a list of all members defined in this module, see CommandBarsGlobalSettings members.

Object Model

See Also

CommandBarsGlobalSettings Members


%%PageItemTitle%% $$Members$$

CommandBarsGlobalSettings Overview

See Also Command Bars ActiveX Control v19.3

CommandBarsGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property App | You should always set this property to the "App" object of your application. This information is used internally by Command Bars. It is used to determine information about your application's title, version information, the path and name of its executable file and Help files, and whether or not a previous instance of the application is running
Public Property ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property CompanyName | Get/Set your company name.
Public Property FrameShadowManager |
Public Property Icons | Shared icons used for all commandbars.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed CommandBars.OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the CommandBars.OCX is used.
Public Property Version | Returns the current Command Bars version as a string.

See Also

CommandBarsGlobalSettings Overview


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

App Property

Description

You should always set this property to the "App" object of your application. This information is used internally by Command Bars. It is used to determine information about your application's title, version information, the path and name of its executable file and Help files, and whether or not a previous instance of the application is running

Property type

Read-write property

Syntax (Visual Basic)

Public Property App() As Object

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object | SetColor Method | Color Property

See Also Command Bars ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

CommandBarsGlobalSettings Object | SetColor Method | Color Property


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

CompanyName Property

Description

Get/Set your company name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CompanyName() As String

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

FrameShadowManager Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadowManager() As FrameShadowManager

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object | UseSharedImageList Property

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Shared icons used for all commandbars.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the command bars. You can add/retrieve icons from the collection to be used in the command bar. You can add the icons from an entire ImageManager control to the collection of icons.

CommandBarsGlobalSettings.Icons contains shared icons used for all commandbars. It doesn't give any additional advantages over CommandBars.Icon, it was added mainly for architecture.

One advantage of using CommandBarsGlobalSettings.Icons is you can set all icons before the first commandbars are created.

By default all CommandBars use the same ImageManager. If you want CommandBars to use separate ImageManagers you can switch it to using the UseSharedImageList property. CommandBarsGlobalSettings.Icons is just another way to access the common icons.

See Also

CommandBarsGlobalSettings Object | UseSharedImageList Property


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed CommandBars.OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

This code should be placed in the Form_Initialize event of the main form.

Example

[ResourceFile Sample (Visual Basic)] This sample illustrates how to use a rescource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpThemeResource or xtpThemeRibbon AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the CommandBars.OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarsGlobalSettings Object

See Also Command Bars ActiveX Control v19.3

Version Property

Description

Returns the current Command Bars version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

CommandBarsGlobalSettings Object


%%PageItemTitle%%

CommandBarSlider Members | Max Property | Min Property | Pos Property

See Also Command Bars ActiveX Control v19.3

CommandBarSlider Object

Description

Slider control for toolbars and menus.

For a list of all members defined in this module, see CommandBarSlider members.

Object Model

Remarks

This is a slider that is placed in a menu or toolbar. The properties unique to this control are the Max, Min and Pos properties.

See Also

CommandBarSlider Members | Max Property | Min Property | Pos Property


%%PageItemTitle%% $$Members$$

CommandBarSlider Overview | Max Property | Min Property | Pos Property

See Also Command Bars ActiveX Control v19.3

CommandBarSlider Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the control
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset | Resets the icon, caption, and style of the control.
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize |

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this control.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/ Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Max | Gets or sets the upper limit of the range this Slider is working with.
Public Property Min | Gets or sets the lower limit of the range this Slider is working with.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property Pos | Gets or sets a numeric value that represents the current position of the scroll box on the slider.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets\sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

CommandBarSlider Overview | Max Property | Min Property | Pos Property


%%PageItemTitle%%

CommandBarSlider Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the control

Syntax

Public Sub Delete()

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the icon, caption, and style of the control.

Syntax

Public Sub Reset()

Remarks

Resets the icon, caption, and style of the control th settings at the time the control was created. This is useful to reset the changes a user might have made during commandbar customization. The icon, caption, and style of the control can be changed during commandbar customization when a control is right-clicked.

See Also

CommandBarSlider Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | CommandBarAction Object | CommandBarActions Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this control.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

CommandBarSlider Object | CommandBarAction Object | CommandBarActions Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

CommandBarSlider Object | Execute Event


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/ Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId allows you to change the icon associated with a control without change in Id of the control. Images stored in the ImageManage are given an IconId. You can assign any IconId of an image in the ImageManager to the IconId of a control.

Both the IconId and the Id of a CommandBar control are assigned the Index value when the control is added to the CommandBar. The IconId will have to be changed if the control will be associated with an image that has an IconId that is different from the Id. (Note: In all of the sample projects the default is used so the IconId and Id are both assigned the Index value. The IconId will be used in the ImageManager control.)

NOTE: If the IconId is zero, then the control will use the Id of the control as the IconId.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarSlider Object | ShowKeyboardTips Property


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | Pos Property | Min Property

See Also Command Bars ActiveX Control v19.3

Max Property

Description

Gets or sets the upper limit of the range this Slider is working with.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

See Also

CommandBarSlider Object | Pos Property | Min Property


%%PageItemTitle%%

CommandBarSlider Object | Max Property | Pos Property

See Also Command Bars ActiveX Control v19.3

Min Property

Description

Gets or sets the lower limit of the range this Slider is working with.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

See Also

CommandBarSlider Object | Max Property | Pos Property


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | Max Property | Min Property

See Also Command Bars ActiveX Control v19.3

Pos Property

Description

Gets or sets a numeric value that represents the current position of the scroll box on the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pos() As Long

Remarks

The Pos property contains the number that represents the current position of the scroll box on the slider.

See Also

CommandBarSlider Object | Max Property | Min Property


%%PageItemTitle%%

CommandBarSlider Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

CommandBarSlider Object | RibbonGroup Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

CommandBarSlider Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarSlider Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

CommandBarSlider Object


%%PageItemTitle%%

CommandBarsOptions Members

See Also Command Bars ActiveX Control v19.3

CommandBarsOptions Object

Description

Represents an object containing various command bar options.

For a list of all members defined in this module, see CommandBarsOptions members.

See Also

CommandBarsOptions Members


%%PageItemTitle%% $$Members$$

CommandBarsOptions Overview

See Also Command Bars ActiveX Control v19.3

CommandBarsOptions Object Members

Public Methods

Public Method AddHiddenCommand | Adds the specified command as a hidden command, i.e. an infrequently used command.
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetPopupIconHeight |
Public Method GetPopupIconWidth |
Public Method IsDPIScallingEnabled |
Public Method RemoveHiddenCommands | Removes all commands marked as hidden, i.e. an infrequently used command.
Public Method SetDPIScallingOptions |
Public Method SetIconSize | Sets the icon size. SetIconSize can be used to set the normal icon size and the icon size when large icons are used.
Public Method SetPopupIconSize | Sets the size of icons displayed in popup menus.

Public Properties

Public Property AltDragCustomization | Gets\Sets whether the commandbar can be customized during runtime while the Alt key is pressed and Customization is enabled.
Public Property AlwaysShowFullMenus | Gets/Sets whether full menus are shown irrespective of any hidden commands that might be present.
Public Property Animation | Gets/Sets animation for the command bar
Public Property AutoHideUnusedPopups | The AutoHideUnusedPopups property specifies whether unused popups will be hidden (I.e. An infrequently used menu).
Public Property ComboBoxFont | Gets\Sets the font used to display text in the CommandBarsComboBox control.
Public Property ExpandDelay | Specifies the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu.
Public Property ExpandHoverDelay | Specifies the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu and the mouse cursor is "hovering" over the expand button chevron at the bottom of the menu.
Public Property FloatingBarCaptionFont | Gets\sets the font that is used to display the caption of a floating tool bar.
Public Property FloatToolbarsByDoubleClick | The FloatToolbarsByDoubleClick property specifies whether toolbars can float by double-clicking on them.
Public Property Font | Gets\Sets the font used to display text in the CommandBars.
Public Property IconsWithShadow | Gets/Sets whether icon shadows should be used.
Public Property KeyboardCuesShow | The ShowKeyboardCues property is used to specify when to underline the character in menu items that indicates a shortcut key is available. These are the underlined characters used for keyboard navigation commonly called "Access Keys".
Public Property KeyboardCuesUse | The KeyboardCuesUse property specifies how to execute keyboard shortcuts for items that have underlined characters used for keyboard navigation commonly called "Access Keys".
Public Property LargeIcons | Gets/Sets whether large icons are to be used.
Public Property LunaColors | Gets/Sets whether luna colors are being used
Public Property MaxPopupWidth | The MaxPopupWidth property specifies the the maximum width of popup menus.
Public Property OfficeStyleDisabledIcons | Enables\disabled Office 2003 style disabled icons.
Public Property ShowContextMenuAccelerators | Specifies whether to display accelerators\shortcut keys in context menus.
Public Property ShowExpandButtonAlways | Gets/Sets whether the toolbar expand/customize chevron button is to be shown at the end of the toolbar(s).
Public Property ShowFullAfterDelay | Gets/Sets whether full menus are shown after a small delay.
Public Property ShowKeyboardTips | Specifies whether to display keyboard tips when the Alt key is pressed.
Public Property ShowMiniToolbarTips |
Public Property ShowPopupBarToolTips | The ShowPopupBarToolTips property is used to indicate whether tool tips will be displayed for controls that appear in a popup menu\control.
Public Property ShowTextBelowIcons | Shows the caption below the control's icon
Public Property SyncActiveFloatingFrames | The SyncActiveFloatingFrames property specifies whether floating panes will appear active.
Public Property SyncFloatingToolbars | The SyncFloatingToolbars property specifies whether floating toolbars will be hidden when the application does not have focus.
Public Property ToolBarAccelTips | Gets/Sets whether accelerator tool tips are shown for controls.
Public Property ToolBarScreenTips | Gets/Sets whether tooltips are shown for controls
Public Property UpdatePeriod | Specifies the amount of time in milliseconds that the command bars Update event is executed. By default, the update period is set to 100ms
Public Property UseAltNumPadKeys | Specifies whether the number keys from the number pad on the keyboard can be used to active hot keys in top-level menu items.
Public Property UseDisabledIcons | Gets/Sets whether disabled icons are to be used
Public Property UseFadedIcons | Gets/Sets whether faded icons are to be used.
Public Property UseSharedImageList | Gets/Sets whether shard image lists are to be used
Public Property UseSystemSaveBitsStyle | Determines whether to use the CS_SAVEBITS class style for displaying popups and shadows.
Public Property VSStateColor | Color value for VisualStudio 2015 (and above) state color, usually applied to frame border and status bar
Public Property WrapLargePopups | Specifies whether to automatically wrap large popup menu if the height of the popup will exceed the height of the screen.

See Also

CommandBarsOptions Overview


%%PageItemTitle%%

CommandBarsOptions Object | AutoHideUnusedPopups Property | AlwaysShowFullMenus Property | RemoveHiddenCommands Method

Command
The ID of the command that will be hidden.
See Also Command Bars ActiveX Control v19.3

AddHiddenCommand Method

Description

Adds the specified command as a hidden command, i.e. an infrequently used command.

Syntax

Public Sub AddHiddenCommand( _
   ByVal Command As Long _
)

Parameters

Command
The ID of the command that will be hidden.

Remarks

The command will not be displayed in popup menus until the user clicks on the "expand menu" button or after a short delay when ShowFullAfterDelay is true. Note: AlwaysShowFullMenus must set to False to hide the hidden commands

Example

[AddHiddenCommand Sample (Visual Basic)] This sample code illustrates how to add hidden commands.

    'This will allow commands to be shown as hidden in the popup menus
    CommandBars.Options.AlwaysShowFullMenus = False

    'This will add 3 hidden commands, they will become visible when the
    'expand button is pressed or after a short delay
    CommandBars.Options.AddHiddenCommand (ID_FILE_SAVE)
    CommandBars.Options.AddHiddenCommand (ID_FILE_CLOSE)
    CommandBars.Options.AddHiddenCommand (ID_FILE_SAVE_AS)

See Also

CommandBarsOptions Object | AutoHideUnusedPopups Property | AlwaysShowFullMenus Property | RemoveHiddenCommands Method


%%PageItemTitle%%

CommandBarsOptions Object

LargeIcons
See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight( _
   ByVal LargeIcons As Boolean _
) As Integer

Parameters

LargeIcons

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

LargeIcons
See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth( _
   ByVal LargeIcons As Boolean _
) As Integer

Parameters

LargeIcons

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

GetPopupIconHeight Method

Syntax

Public Function GetPopupIconHeight() As Integer

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

GetPopupIconWidth Method

Syntax

Public Function GetPopupIconWidth() As Integer

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

IsDPIScallingEnabled Method

Syntax

Public Function IsDPIScallingEnabled() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | AddHiddenCommand Method

See Also Command Bars ActiveX Control v19.3

RemoveHiddenCommands Method

Description

Removes all commands marked as hidden, i.e. an infrequently used command.

Syntax

Public Sub RemoveHiddenCommands()

Remarks

Removes all hidden commands that were added using AddHiddenCommand.

See Also

CommandBarsOptions Object | AddHiddenCommand Method


%%PageItemTitle%%

CommandBarsOptions Object

bScaleGalleryItems
bScaleToolbarIcons
See Also Command Bars ActiveX Control v19.3

SetDPIScallingOptions Method

Syntax

Public Sub SetDPIScallingOptions( _
   ByVal bScaleGalleryItems As Boolean, _
   ByVal bScaleToolbarIcons As Boolean _
)

Parameters

bScaleGalleryItems
bScaleToolbarIcons

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

LargeIcons
Specifies whether large icons are to be used.
cx
The width of each large icon.
cy
The height of each large icon.
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the icon size. SetIconSize can be used to set the normal icon size and the icon size when large icons are used.

Syntax

Public Sub SetIconSize( _
   ByVal LargeIcons As Boolean, _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

LargeIcons
Specifies whether large icons are to be used.
cx
The width of each large icon.
cy
The height of each large icon.

Example

[SetIconSize Sample (Visual Basic)] This sample illustrates how to change the size of large icons when large icon support is enabled.

'This sample code illustrates how to toggle the use of large icons.
CommandBars.Options.LargeIcons = True

'This sample code illustrates how to change the small icon size.
CommandBars.Options.SetIconSize False, 24, 24

'This sample code illustrates how to change the large icon size.
CommandBars.Options.SetIconSize True, 32, 32

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

cx
Width of the icon
cy
Height of the Icon
See Also Command Bars ActiveX Control v19.3

SetPopupIconSize Method

Description

Sets the size of icons displayed in popup menus.

Syntax

Public Sub SetPopupIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width of the icon
cy
Height of the Icon

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | EnableCustomization Method | Enable\Disable individual toolbar customization | Show\Hide the Customizable button at the end of the toolbars | Customization Event

See Also Command Bars ActiveX Control v19.3

AltDragCustomization Property

Description

Gets\Sets whether the commandbar can be customized during runtime while the Alt key is pressed and Customization is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AltDragCustomization() As Boolean

Remarks

Customization must be enabled and you will only be able to customize commandbars with the Customizable property set to True. By default, you Alt key customization is enabled when commandbar customization is enabled. When enabled, you can press and hold the Alt key while you click and drag toolbar buttons.

Example

[Disable Alt Key Customization. (Visual Basic)] This sample illustrates how to disable Alt key customization.

    'This will disable Alt key customization
    CommandBars.Options.AltDragCustomization = False

    'This will enable Alt key customization when CommandBars.EnableCustomization(True)
    CommandBars.Options.AltDragCustomization = True

See Also

CommandBarsOptions Object | EnableCustomization Method | Enable\Disable individual toolbar customization | Show\Hide the Customizable button at the end of the toolbars | Customization Event


%%PageItemTitle%%

CommandBarsOptions Object | AutoHideUnusedPopups Property | ShowFullAfterDelay Property

See Also Command Bars ActiveX Control v19.3

AlwaysShowFullMenus Property

Description

Gets/Sets whether full menus are shown irrespective of any hidden commands that might be present.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlwaysShowFullMenus() As Boolean

Remarks

Set to false to hide the hidden controls. This is set to true by default.

See Also

CommandBarsOptions Object | AutoHideUnusedPopups Property | ShowFullAfterDelay Property


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

Animation Property

Description

Gets/Sets animation for the command bar

Property type

Read-write property

Syntax (Visual Basic)

Public Property Animation() As XTPAnimationType

Example

[Animation Sample (Visual Basic)] This sample code illustrates how to add the unfold style animation to your menus.

    'This sample code illustrates how to add the unfold style animation to your menus.
    CommandBars.Options.Animation = xtpAnimateUnfold

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | AlwaysShowFullMenus Property | ShowFullAfterDelay Property | AddHiddenCommand Method

See Also Command Bars ActiveX Control v19.3

AutoHideUnusedPopups Property

Description

The AutoHideUnusedPopups property specifies whether unused popups will be hidden (I.e. An infrequently used menu).

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoHideUnusedPopups() As Boolean

Remarks

When AutoHideUnusedPopups is TRUE, the popup menus behave similar to the Windows Start menu. If all controls in a popup control are hidden, then the entire popup control will be hidden as well.

When AutoHideUnusedPopups is FALSE, the popup control will always be displayed, even if all controls in the popup menu are hidden.

Note: AlwaysShowFullMenus must be FALSE for hidden commands to be hidden.

The picture below illustrates when the popup menu initially looks like before the "Show More Buttons" button is clicked and what the popup menu look like after the "Show More Buttons" button is clicked. The "New", "Open", "Add Project", and "Source Control" popups contain only hidden controls so the entire popup menu was initially hidden. The example code below demonstrates how to create the menu in the picture.

Example

This code demonstrates how to recreate the popup menu in the picture above.

[Adding Hidden Controls (Visual Basic)] This sample illustrates how to add hidden controls to the popup menus. This also demonstrates how to hide popup menus that only contain hidden commands.

    Dim Control As CommandBarControl, ControlFile As CommandBarPopup
    Dim ControlNew As CommandBarPopup, ControlOpen As CommandBarPopup
    Dim ControlAddNew As CommandBarPopup, ControlSourceControl As CommandBarPopup

    'Adds the "File" popup menu to the menu bar
    Set ControlFile = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&File")
    With ControlFile.CommandBar.Controls

        Set ControlNew = .Add(xtpControlPopup, 0, "New")
        With ControlNew.CommandBar.Controls
            .Add xtpControlButton, ID_FILE_NEW_PROJECT, "New Project..."
            .Add xtpControlButton, ID_FILE_NEW_FILE, "New File..."
            .Add xtpControlButton, ID_FILE_NEW_BLANK, "Blank Solution"
        End With

        Set ControlOpen = .Add(xtpControlPopup, 0, "Open")
        With ControlOpen.CommandBar.Controls
            .Add xtpControlButton, ID_FILE_OPEN_PROJECT, "Open Project"
            Set Control = ControlOpen.CommandBar.Controls.Add(xtpControlButton, ID_FILE_OPEN_FILE, "Open File...")
        End With

        .Add xtpControlButton, ID_FILE_CLOSE, "&Close"

        Set ControlAddNew = .Add(xtpControlPopup, 0, "A&dd Project")
        ControlAddNew.BeginGroup = True
        With ControlAddNew.CommandBar.Controls
            .Add xtpControlButton, ID_FILE_NEW_PROJECT, "&New Project..."
            .Add xtpControlButton, ID_FILE_EXISTING_PROJECT, "&Existing Project..."
            .Add xtpControlButton, ID_FILE_EXISTING_WEB_PROJECT, "Existing Project &From Web..."
        End With

        Set Control = .Add(xtpControlButton, ID_FILE_OPEN_SOLUTION, "Op&en Solution...")
        Control.BeginGroup = True
        Set Control = .Add(xtpControlButton, ID_FILE_CLOSE_SOLUTION, "Close Solu&tion...")
        Control.Enabled = False

        Set Control = .Add(xtpControlButton, ID_FILE_SAVE, "&Save Selected Items")
        Control.BeginGroup = True
        Control.Enabled = False
        .Add xtpControlButton, ID_FILE_SAVE_AS, "Save Selected Items &As..."
        .Add xtpControlButton, ID_FILE_SAVE_ALL, "Save A&ll"

        Set ControlSourceControl = .Add(xtpControlPopup, 0, "Sou&rce Control")
        ControlSourceControl.BeginGroup = True
        With ControlSourceControl.CommandBar.Controls
            .Add xtpControlButton, ID_FILE_GET_LATEST_VERSION, "Get Latest Version"
            .Add xtpControlButton, ID_FILE_GET, "Get..."
            .Add xtpControlButton, ID_FILE_CHECK_OUT, "Check Out..."
            .Add xtpControlButton, ID_FILE_CHECK_IN, "Check In..."
            .Add xtpControlButton, ID_FILE_HISTORY, "&History..."
        End With

        Set Control = .Add(xtpControlButton, ID_FILE_PRINT_SETUP, "Print Set&up...")
        Control.Enabled = False
        Control.BeginGroup = True
        Set Control = .Add(xtpControlButton, ID_FILE_PRINT, "Print...")

        Set Control = .Add(xtpControlButton, ID_FILE_EXIT, "&Exit")
        Control.BeginGroup = True
    End With

    'Specifies that these controls will be hidden
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW_PROJECT
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW_FILE
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW_BLANK
    CommandBars.Options.AddHiddenCommand ID_FILE_OPEN_PROJECT
    CommandBars.Options.AddHiddenCommand ID_FILE_OPEN_FILE
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW_PROJECT
    CommandBars.Options.AddHiddenCommand ID_FILE_EXISTING_PROJECT
    CommandBars.Options.AddHiddenCommand ID_FILE_EXISTING_WEB_PROJECT
    CommandBars.Options.AddHiddenCommand ID_FILE_GET_LATEST_VERSION
    CommandBars.Options.AddHiddenCommand ID_FILE_GET
    CommandBars.Options.AddHiddenCommand ID_FILE_CHECK_OUT
    CommandBars.Options.AddHiddenCommand ID_FILE_CHECK_IN
    CommandBars.Options.AddHiddenCommand ID_FILE_HISTORY
    CommandBars.Options.AddHiddenCommand ID_FILE_PRINT_SETUP

    'Indicates that hidden commands will not initially be displayed in popup menus
    CommandBars.Options.AlwaysShowFullMenus = False

    'Indicated that popup menus that contain only hidden commands will be hidden as well
    CommandBars.Options.AutoHideUnusedPopups = True

See Also

CommandBarsOptions Object | AlwaysShowFullMenus Property | ShowFullAfterDelay Property | AddHiddenCommand Method


%%PageItemTitle%%

CommandBarsOptions Object | CommandBarComboBox Object

See Also Command Bars ActiveX Control v19.3

ComboBoxFont Property

Description

Gets\Sets the font used to display text in the CommandBarsComboBox control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ComboBoxFont() As Font

See Also

CommandBarsOptions Object | CommandBarComboBox Object


%%PageItemTitle%%

CommandBarsOptions Object | AddHiddenCommand Method | ExpandHoverDelay Property

See Also Command Bars ActiveX Control v19.3

ExpandDelay Property

Description

Specifies the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandDelay() As Long

Remarks

Default value is 5000 milliseconds\5 seconds.

ExpandDelay is the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu. There will be a small chevron at the bottom of the menu that indicates that there are more items not visible. If the menu is displayed for the amount of seconds specified in ExpandDelay without clicking on the chevron, then the popup menu will fully expand.

Example

[[New Example] (Visual Basic)]

    CommandBars.Options.AlwaysShowFullMenus = False
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW
    CommandBars.Options.AddHiddenCommand ID_FILE_OPEN
    CommandBars.Options.AddHiddenCommand ID_HELP_ABOUT
    CommandBars.Options.AddHiddenCommand ID_EDIT_CUT
    CommandBars.Options.AddHiddenCommand ID_FILE_PRINT
    CommandBars.Options.ExpandDelay = 1000
    CommandBars.Options.ExpandHoverDelay = 500

See Also

CommandBarsOptions Object | AddHiddenCommand Method | ExpandHoverDelay Property


%%PageItemTitle%%

CommandBarsOptions Object | ExpandDelay Property | AddHiddenCommand Method

See Also Command Bars ActiveX Control v19.3

ExpandHoverDelay Property

Description

Specifies the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu and the mouse cursor is "hovering" over the expand button chevron at the bottom of the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandHoverDelay() As Long

Remarks

Default value is 900 milliseconds\Just under 1 second.

ExpandHoverDelay is the amount of time it takes for a Popup Menu to fully expand when there are Hidden Items in the menu and the mouse cursor is "hovering" over the expand button chevron at the bottom of the menu. There will be a small chevron at the bottom of the menu that indicates that there are more items not visible. If the mouse cursor is hovering over the chevron and it has not been clicked, then the menu will display in the amount of time specified in ExpandHoverDelay, then the popup menu will fully expand.

Example

[[New Example] (Visual Basic)]

    CommandBars.Options.AlwaysShowFullMenus = False
    CommandBars.Options.AddHiddenCommand ID_FILE_NEW
    CommandBars.Options.AddHiddenCommand ID_FILE_OPEN
    CommandBars.Options.AddHiddenCommand ID_HELP_ABOUT
    CommandBars.Options.AddHiddenCommand ID_EDIT_CUT
    CommandBars.Options.AddHiddenCommand ID_FILE_PRINT
    CommandBars.Options.ExpandDelay = 1000
    CommandBars.Options.ExpandHoverDelay = 500

See Also

CommandBarsOptions Object | ExpandDelay Property | AddHiddenCommand Method


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

FloatingBarCaptionFont Property

Description

Gets\sets the font that is used to display the caption of a floating tool bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FloatingBarCaptionFont() As Font

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

FloatToolbarsByDoubleClick Property

Description

The FloatToolbarsByDoubleClick property specifies whether toolbars can float by double-clicking on them.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FloatToolbarsByDoubleClick() As Boolean

Remarks

If set to TRUE, when a toolbar is double-clicked the toolbar will float. While the toolbar is floating, the title bar of the floating toolbar can be double-clicked to return the toolbar to its original "docked" position.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

Font Property

Description

Gets\Sets the font used to display text in the CommandBars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Example

[CommandBar Font Sample (Visual Basic)] This sample illustrates how to change the font used to display text in the CommandBars.

    'The following illustrate how to change the font used in the CommandBars
    Dim TextFont As StdFont
    Set TextFont = Me.Font
    TextFont.Size = 15
    TextFont.Bold = True

    Set CommandBars.Options.Font = TextFont

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

IconsWithShadow Property

Description

Gets/Sets whether icon shadows should be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconsWithShadow() As Boolean

Remarks

When the mouse pointer is moved over a command bar control, the icons will appear to "jump" away from the screen casting a shadow.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | XTPKeyboardCues Enumeration

See Also Command Bars ActiveX Control v19.3

KeyboardCuesShow Property

Description

The ShowKeyboardCues property is used to specify when to underline the character in menu items that indicates a shortcut key is available. These are the underlined characters used for keyboard navigation commonly called "Access Keys".

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardCuesShow() As XTPKeyboardCuesShow

Remarks

These settings are cosmetic only, they do not effect the execution of the keyboard shortcuts. The XTPKeyboardCuesUse enumeration specifies whether the shortcut keys actually execute.

Example

[ShowKeyboardCues Sample (Visual Basic)] This sample illustrates how to remove the underline from the character in menu items with an ampersand &.

    CommandBars.Options.ShowKeyboardCues xtpKeyboardCuesNever

See Also

CommandBarsOptions Object | XTPKeyboardCues Enumeration


%%PageItemTitle%%

CommandBarsOptions Object | KeyboardCuesShow Property | XTPKeyboardCuesUse Enumeration

See Also Command Bars ActiveX Control v19.3

KeyboardCuesUse Property

Description

The KeyboardCuesUse property specifies how to execute keyboard shortcuts for items that have underlined characters used for keyboard navigation commonly called "Access Keys".

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardCuesUse() As XTPKeyboardCuesUse

Remarks

This will not disable keybindings, only "Access Key". To remove keybindings as well, use the DeleteAll method.

See Also

CommandBarsOptions Object | KeyboardCuesShow Property | XTPKeyboardCuesUse Enumeration

Example

XTPKeyboardCuesUse Enumeration


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

LargeIcons Property

Description

Gets/Sets whether large icons are to be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LargeIcons() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

LunaColors Property

Description

Gets/Sets whether luna colors are being used

Property type

Read-write property

Syntax (Visual Basic)

Public Property LunaColors() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

MaxPopupWidth Property

Description

The MaxPopupWidth property specifies the the maximum width of popup menus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPopupWidth() As Double

Remarks

The MaxPopupWidth property specifies the maximum width that a popup menu can occupy. It does not specify the popup width.

MaxPopupWidth represents the percentage of the total screen width that a popup can occupy. Valid range is 0.0 - 1.0, with 0.0 meaning 0 percent of total screen width and 1.0 meaning 100 percent of total screen width.

By default, MaxPopupWidth = 0.3.

Example

[MaxPopupWidth Sample (Visual Basic)] This sample illustrates how to specify the maximum width of the screen that a popup menu can occupy.

    'Popup menu can occupy up to 30% of total screen width
    CommandBars.Options.MaxPopupWidth = 0.3

    'Popup menu can occupy up to 50% of total screen width
    CommandBars.Options.MaxPopupWidth = 0.5

    'Popup menu can occupy up to 100% of total screen width
    CommandBars.Options.MaxPopupWidth = 1.0

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | UseDisabledIcons Property

See Also Command Bars ActiveX Control v19.3

OfficeStyleDisabledIcons Property

Description

Enables\disabled Office 2003 style disabled icons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OfficeStyleDisabledIcons() As Boolean

Remarks

UseDisabledIcons must be True to use OfficeStyleDisabledIcons.

OfficeStyleDisabledIcons is used mostly for drawing Alpha or 24-bit icons. When True, OfficeStyleDisabledIcons will draw disabled icons exactly like Office 2003.

See Also

CommandBarsOptions Object | UseDisabledIcons Property


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

ShowContextMenuAccelerators Property

Description

Specifies whether to display accelerators\shortcut keys in context menus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowContextMenuAccelerators() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

ShowExpandButtonAlways Property

Description

Gets/Sets whether the toolbar expand/customize chevron button is to be shown at the end of the toolbar(s).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButtonAlways() As Boolean

Example

[Removing the Customize Toolbar Button (Visual Basic)] This sample illustrates how to remove the custommize toolbar button from the end of the toolbars.

    'This will hide the customize toolbar button
    CommandBars.Options.ShowExpandButtonAlways = False

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | AlwaysShowFullMenus Property | AutoHideUnusedPopups Property

See Also Command Bars ActiveX Control v19.3

ShowFullAfterDelay Property

Description

Gets/Sets whether full menus are shown after a small delay.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFullAfterDelay() As Boolean

See Also

CommandBarsOptions Object | AlwaysShowFullMenus Property | AutoHideUnusedPopups Property


%%PageItemTitle%%

CommandBarsOptions Object | KeyboardTip Property

See Also Command Bars ActiveX Control v19.3

ShowKeyboardTips Property

Description

Specifies whether to display keyboard tips when the Alt key is pressed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowKeyboardTips() As Boolean

Remarks

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

CommandBarsOptions Object | KeyboardTip Property


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

ShowMiniToolbarTips Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMiniToolbarTips() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | ToolBarAccelTips Property | ToolBarScreenTips Property | ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

ShowPopupBarToolTips Property

Description

The ShowPopupBarToolTips property is used to indicate whether tool tips will be displayed for controls that appear in a popup menu\control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowPopupBarToolTips() As Boolean

Remarks

By default, ShowPopupBarToolTips is false. When true, tool tips will be displayed when the mouse cursor is positioned over controls that are in a popup menu.

The ToolBarAccelTips property can be used to enable or disable the use of tool tips for the entire CommandBar control. The ToolTipContext object can be used to modify the style of the tool tips for both the CommandBar controls and the TabWorkspace tabs.

Example

[Displaying Tool Tips for Controls that appear in a popup menu (Visual Basic)] This sample illustrates how to display tool tips for items that appear in a popup menu.

    CommandBars.Options.ShowPopupBarToolTips = True

See Also

CommandBarsOptions Object | ToolBarAccelTips Property | ToolBarScreenTips Property | ToolTipContext Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

ShowTextBelowIcons Property

Description

Shows the caption below the control's icon

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelowIcons() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

SyncActiveFloatingFrames Property

Description

The SyncActiveFloatingFrames property specifies whether floating panes will appear active.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SyncActiveFloatingFrames() As Boolean

Remarks

Synchronizes the activation of the mini-frame windows to the activation of its parent window. When SyncActiveFloatingFrames is False, floating panes\windows activate and de-activate similar to Visual Studio .NET. When False, only one window can appear active. This setting is visual only, it does not control whether panes\windows can become active.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

SyncFloatingToolbars Property

Description

The SyncFloatingToolbars property specifies whether floating toolbars will be hidden when the application does not have focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SyncFloatingToolbars() As Boolean

Remarks

If set to TRUE, floating toolbars will be hidden when the application loses focus. The application could lose focus if another application is opened.

If set to FALSE, floating toolbars are hidden when the application loses focus.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | CommandBars ToolTipContext Property | ToolBarScreenTips Property

See Also Command Bars ActiveX Control v19.3

ToolBarAccelTips Property

Description

Gets/Sets whether accelerator tool tips are shown for controls.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolBarAccelTips() As Boolean

Remarks

The ToolTipContext property can be used to customize the style, color, width, etc... of the tool tip window.

See Also

CommandBarsOptions Object | CommandBars ToolTipContext Property | ToolBarScreenTips Property


%%PageItemTitle%%

CommandBarsOptions Object | ToolBarAccelTips Property | CommandBars ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolBarScreenTips Property

Description

Gets/Sets whether tooltips are shown for controls

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolBarScreenTips() As Boolean

Remarks

The ToolTipContext property can be used to customize the style, color, width, etc... of the tool tip window.

See Also

CommandBarsOptions Object | ToolBarAccelTips Property | CommandBars ToolTipContext Property


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UpdatePeriod Property

Description

Specifies the amount of time in milliseconds that the command bars Update event is executed. By default, the update period is set to 100ms

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdatePeriod() As Long

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UseAltNumPadKeys Property

Description

Specifies whether the number keys from the number pad on the keyboard can be used to active hot keys in top-level menu items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseAltNumPadKeys() As Boolean

Remarks

By default, UseAltNumPadKeys is set to False.

Set UseAltNumPadKeys to True to allow the number keys from the number pad on the keyboard to be used to active hot keys in top-level menu items in the ActiveMenuBar.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UseDisabledIcons Property

Description

Gets/Sets whether disabled icons are to be used

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseDisabledIcons() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UseFadedIcons Property

Description

Gets/Sets whether faded icons are to be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseFadedIcons() As Boolean

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UseSharedImageList Property

Description

Gets/Sets whether shard image lists are to be used

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSharedImageList() As Boolean

Remarks

You need to set this property to false if you will have a command bar on a separate form or child window that needs to use a different image list for the same set of controls.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

UseSystemSaveBitsStyle Property

Description

Determines whether to use the CS_SAVEBITS class style for displaying popups and shadows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSystemSaveBitsStyle() As Boolean

Remarks

If UseSystemSaveBitsStyle is True, a bitmap copy of the screen image that the window will obscure is saved in memory when the window is displayed.

The bitmap is re-displayed at its original location and no paint messages are sent to the obscured windows is no other screen actions have not invalidated the image that has been stored.

As a general rule, UseSystemSaveBitsStyle should not be set to True if the window will cover more than half the screen; a lot of memory is required to store color bitmaps. The window will take longer to be displayed because memory needs to be allocated. The bitmap also needs to be copied over each time the window is shown.

Use should be restricted to small windows that come up and are then removed before much other screen activity takes place. Any memory calls that will discard all discardable memory, and any actions that take place "under" the window, will invalidate the bitmap.

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object

See Also Command Bars ActiveX Control v19.3

VSStateColor Property

Description

Color value for VisualStudio 2015 (and above) state color, usually applied to frame border and status bar

Property type

Read-write property

Syntax (Visual Basic)

Public Property VSStateColor() As ULong

See Also

CommandBarsOptions Object


%%PageItemTitle%%

CommandBarsOptions Object | xtpFlagWrapRow

See Also Command Bars ActiveX Control v19.3

WrapLargePopups Property

Description

Specifies whether to automatically wrap large popup menu if the height of the popup will exceed the height of the screen.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WrapLargePopups() As Boolean

Remarks

WrapLargePopups specifies whether to automatically wrap large popup menu if the height of the popup will exceed the height of the screen. This will wrap the large popup to another column and will not display the typical scroll buttons.

To manually specify where the column will wrap you must use the xtpFlagWrapRow flags for the popup menu.

See Also

CommandBarsOptions Object | xtpFlagWrapRow


%%PageItemTitle%%

CustomizeOptions Members | Customization Event | CustomizedControl Property (Points to selected control during customization) | ContextMenu Property | CustomIcons Property | ShowKeyboardPage Property | ShowOptionsPage Property

See Also Command Bars ActiveX Control v19.3

CustomizeOptions Object

Description

Represents a customization object that allows you customize how the CommandBar customization dialog is displayed. You can choose which pages to display in the dialog, and you can add you own custom controls to the right-click context menu that is displayed during button customization when a control is right-clicked. You even have the ability to delete existing controls from the context menu.

For a list of all members defined in this module, see CustomizeOptions members.

Object Model

Remarks

CustomizeOptions can only be used within the Customization event.

The Customize dialog will allow the user to customize the toolbar and menu bar. The CommandBars.EnableCustomization(True) method must be called to enable Customization.

Example

[Customizing the CommandBar Customization Dialog and Context Menu (Visual Basic)] This sample illulstrates how to customize the CommandBars Customization dialog and the context menu that is displayed when a user right-clicks on a control during customization. You will also see how to add your own custom images to the Change Buttom Icon popup in the context menu.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Choose which pages to display in the customization dialog
   '==========================================================================================================
   'Do not show the KeyBoard page in the customization dialog
   Options.ShowKeyboardPage = False

   'Do not show the Options page in the customization dialog
   Options.ShowOptionsPage = False

   '==========================================================================================================
   ' Add custom controls to the context menu that is displayed when a control is
   ' right-clicked during customization
   '==========================================================================================================
   'Add an edit control to the context menu that is displayed when the user right-clicks a
   'control during customization. Passing a 4 in as the "Before" parameter will insert this
   'edit control as the fourth control in the context menu. The control will have a caption
   'label of "Parameter." When this control is clicked, the execute event is fired and
   'the control will have an Id of ID_EDIT_PARAM. See description of CustomizeOptions.ContextMenu
   'and CommandBars.CustomizedControl for more information on adding control to the context menu.
   Options.ContextMenu.Controls.Add xtpControlEdit, ID_EDIT_PARAM, "Parameter", 4

   '==========================================================================================================
   ' Adding Images to the "Change Button Icon" popup in the contect menu
   '==========================================================================================================
   'This will illustrate how to add your own custom images to the "Change Button Image" popup
   'that allows users to change the image of a control.

   'Array of commands used to load images from a bitmap, this will be the value assigned to the
   'controls IconId property. The images will be displayed in the "Change Button Image" popup of the customization context menu
   Dim ChangeButtonImageIconArray(0 To 7) As Long

   'There are 8 icons in the Bitmap file, the bitmap file is 128x16,
   'which contains 8 16x16 icons. You need to make sure that there is
   'an element in the array for each icon in the Bitmap.
   'Width of icons = Width of Bitmap / number of elements in array
   'I.e. Width of icons = 128/8 = 16
   'These values represent the IconId that will be assigned to the control, this
   'allows you to determine which icon is being used for your controls.
   'IconId can not be Zero (0), so do not assign 0 to any of the array elements
   'IMPORTANT: The IconId must start with 1. So IconId = 1,2,3,4,5,....N
   ChangeButtonImageIconArray(0) = 1
   ChangeButtonImageIconArray(1) = 2
   ChangeButtonImageIconArray(2) = 3
   ChangeButtonImageIconArray(3) = 4
   ChangeButtonImageIconArray(4) = 5
   ChangeButtonImageIconArray(5) = 6
   ChangeButtonImageIconArray(6) = 7
   ChangeButtonImageIconArray(7) = 8

    'Remove the "built in" images provided with the suite
   Options.CustomIcons.RemoveAll

   'Passing the ChangeButtonImageIconArray for the "Commands" parameter will add an icon to the collection
   'of icons for each item in the array. So Number of icons added = Number of elements in array.
   'Icon width = Total width of Bitmap/Number of elements in array.
   Options.CustomIcons.LoadBitmap App.Path & "\Icons\ChangeButtonIcons.bmp", ChangeButtonImageIconArray, xtpImageNormal

End Sub

See Also

CustomizeOptions Members | Customization Event | CustomizedControl Property (Points to selected control during customization) | ContextMenu Property | CustomIcons Property | ShowKeyboardPage Property | ShowOptionsPage Property


%%PageItemTitle%% $$Members$$

CustomizeOptions Overview | Customization Event | CustomizedControl Property (Points to selected control during customization) | ContextMenu Property | CustomIcons Property | ShowKeyboardPage Property | ShowOptionsPage Property

See Also Command Bars ActiveX Control v19.3

CustomizeOptions Object Members

Public Methods

Public Method AddPage

Public Properties

Public Property AllowNewToolbars | Enables or disables the "New..." toolbar button on the Toolbars tab.
Public Property ContextMenu | This is the context menu that is displayed when a user right-clicks on a control during CommandBar customization.
Public Property CustomIcons | Allows you to add custom icons to the "Change Button Icon" popup that is displayed in the context menu when a user right-clicks on a control during CommandBar customization. This allows the user to change the icon of the control using your own icons.
Public Property ResizableSheet | Specifies whether the customization dialog is resizable.
Public Property ShowCommandsPage | Hides/Un-Hides the Commands page of the Customization dialog.
Public Property ShowKeyboardPage | Hides/Un-Hides the Keyboard page of the Customization dialog.
Public Property ShowListNavigation |
Public Property ShowMenusPage | Hides/Un-Hides the Menus page of the Customization dialog.
Public Property ShowOptionsPage | Hides/Un-Hides the Options page of the Customization dialog.
Public Property ShowRibbonCustomizePage |
Public Property ShowRibbonQuickAccessPage | Hides/Un-Hides the Ribbon Quick Access page of the Customization dialog.
Public Property ShowToolbarsPage | Hides/Un-Hides the Toolbars page of the Customization dialog.

See Also

CustomizeOptions Overview | Customization Event | CustomizedControl Property (Points to selected control during customization) | ContextMenu Property | CustomIcons Property | ShowKeyboardPage Property | ShowOptionsPage Property


%%PageItemTitle%%

CustomizeOptions Object

nIndex
hWnd
Caption
See Also Command Bars ActiveX Control v19.3

AddPage Method

Syntax

Public Sub AddPage( _
   ByVal nIndex As Integer, _
   ByVal hWnd As Integer, _
   ByVal Caption As String _
)

Parameters

nIndex
hWnd
Caption

See Also

CustomizeOptions Object


%%PageItemTitle%%

CustomizeOptions Object | ShowToolbarsPage Property

See Also Command Bars ActiveX Control v19.3

AllowNewToolbars Property

Description

Enables or disables the "New..." toolbar button on the Toolbars tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowNewToolbars() As Boolean

Remarks

The "New" toolbar button is located on the "Toolbars" page in the Customization dialog.

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar.

Example

This sample illustrates how to hide\show the Toolbars tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

'==========================================================================================================
' Choose which pages to display in the customization dialog
'==========================================================================================================

'Do not allow new toolbars to be created

Options.AllowNewToolbars = False

'Do not show the Toolbars page in the customization dialog
Options.ShowToolbarsPage = False

'Do not show the Options page in the customization dialog
Options.ShowOptionsPage = False

End Sub

See Also

CustomizeOptions Object | ShowToolbarsPage Property


%%PageItemTitle%%

CustomizeOptions Object | CustomizedControl Property | CustomIcons Property

See Also Command Bars ActiveX Control v19.3

ContextMenu Property

Description

This is the context menu that is displayed when a user right-clicks on a control during CommandBar customization.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ContextMenu() As CommandBar

Remarks

Only controls that you have added to the context menu will trigger the Execute event. Built-In controls that are displayed in the context menu will not trigger the Execute event.

The CustomizedControl property points to the control that the user is currently customizing.

The CustomizedControl property always points to the control that the user is customizing and is updated each time the user clicks on a control. This is the control that has a black frame around it during CommandBar customization. You must use the CustomizedControl to make changes to the "original" control the user is modifying. Any changes made to the CustomizedControl will be applied to the original control. This is not necessary when using the "built-in" controls of the context menu.

The picture below displays the ContextMenu displayed when the user right-clicks on a control during customization. These are the typical commands that are included with the ContextMenu's collection of controls. You can add your own custom controls and removed any of the "built-in" commands. Notice the Save button has a black focus rectangle around it. The control that has the black focus rectangle is copied into the CustomizedControl property.

Example

[Adding Custom Controls to the Context Menu (Visual Basic)] This sample illustrates how to add controls to the Context menu that is displayed when a user right-clicks on a control during CommandBar customization.

'==========================================================================================================
' Customization Event
'==========================================================================================================

'Custom commands are added to the context menu in the Customization event. This event is
'fired each time the Customization dialog is displayed.
Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Add custom controls to the context menu that is displayed when a control is
   ' right-clicked during customization
   '==========================================================================================================
   'Add an edit control to the context menu that is displayed when the user right-clicks a
   'control during customization. Passing a 4 in as the "Before" parameter will insert this
   'edit control as the fourth control in the context menu. The control will have a caption
   'label of "Parameter." When this control is clicked, the execute event is fired and
   'the control will have an Id of ID_EDIT_PARAM. See description of CustomizeOptions.ContextMenu
   'and CommandBars.CustomizedControl for more information on adding control to the context menu.
   Options.ContextMenu.Controls.Add xtpControlEdit, ID_EDIT_PARAM, "Parameter", 4

End Sub

'==========================================================================================================
' Execute Event
'==========================================================================================================

'The Execute event is triggered when the user clicks on a controls added to the context menu
'by the developer. The CommandBars.CustomizedControl property points to the control that the
'user is currently customizing. This is the control that has the black frame placed around it
'during customization. The CommandBars.CustomizedControl property is how you know which control
'the user is customizing. When you make changes to the CommandBars.CustomizedControl, all changes
'will automatically be applied to the "original" control the user is customizing.
Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)

    On Error Resume Next

    Select Case Control.Id

        'Id of the custom control added to the context menu, this was added
        'in during the Customization event. When the user hits the Enter key
        'after typing text into the edit control added, the execute event it
        'triggered and the control property contains a reference to the
        'edit control.
        Case ID_EDIT_PARAM:
            Dim ControlEdit As CommandBarEdit

            'Control is currently pointing to the custom control added
            'to the context menu.
            Set ControlEdit = Control

            'Update the "Paramater" property of the control to hold the text
            'stored in the edit box. The CustomizedControl property is a pointer
            'to the control that the user is customizing. So any changes made
            'to the CustomizedControl will be applied to the control the user is
            'currently customizing.
            CommandBars.CustomizedControl.Parameter = ControlEdit.Text

    End Select
End Sub

See Also

CustomizeOptions Object | CustomizedControl Property | CustomIcons Property


%%PageItemTitle%%

CustomizeOptions Object | ContextMenu Property | CustomizedControl Property

See Also Command Bars ActiveX Control v19.3

CustomIcons Property

Description

Allows you to add custom icons to the "Change Button Icon" popup that is displayed in the context menu when a user right-clicks on a control during CommandBar customization. This allows the user to change the icon of the control using your own icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CustomIcons() As ImageManagerIcons

Remarks

When adding icons, the IconId must start with 1 and increment by 1 for each icon added. So the IconId will be numbered 1,2,3,4,...N.

The suite provide 42 "built-in" icons that you can choose from and they are automatically displayed in the "Change Button Icon" popup menu if you do not remove them. If you do not remove the "built-in" icons that are provided with the toolkit then you should start your numbering at 43. If you start at 1 and you did not remove the "built-in" icons, then you will overwrite some of the "built-in" icons. So you would number your icons 43,44,45,...N. So you could even keep some of the "built-in" icons and overwrite the ones you don't need with your own custom icons.

The picture below show the "Change Button Image" popup menu displaying some custom icons. You are no longer limited to the "Built-In" icons that come with the CommandBars.

Example

[Adding custom icons to the Change Button Icon popup that is displayed when a control is right-clicked during CommandBar customization. (Visual Basic)] This sample illustrates how to add custom icons to the Change Button Icon popup that is displayed when a control is right-clicked during CommandBar customization.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Adding Images to the "Change Button Icon" popup in the contect menu
   '==========================================================================================================
   'This will illustrate how to add your own custom images to the "Change Button Image" popup
   'that allows users to change the image of a control.

   'Array of commands used to load images from a bitmap, this will be the value assigned to the
   'controls IconId property. The images will be displayed in the "Change Button Image" popup of the customization context menu
   Dim ChangeButtonImageIconArray(0 To 7) As Long

   'There are 8 icons in the Bitmap file, the bitmap file is 128x16,
   'which contains 8 16x16 icons. You need to make sure that there is
   'an element in the array for each icon in the Bitmap.
   'Width of icons = Width of Bitmap / number of elements in array
   'I.e. Width of icons = 128/8 = 16
   'These values represent the IconId that will be assigned to the control, this
   'allows you to determine which icon is being used for your controls.
   'IconId can not be Zero (0), so do not assign 0 to any of the array elements
   'IMPORTANT: The IconId must start with 1. So IconId = 1,2,3,4,5,....N
   ChangeButtonImageIconArray(0) = 1
   ChangeButtonImageIconArray(1) = 2
   ChangeButtonImageIconArray(2) = 3
   ChangeButtonImageIconArray(3) = 4
   ChangeButtonImageIconArray(4) = 5
   ChangeButtonImageIconArray(5) = 6
   ChangeButtonImageIconArray(6) = 7
   ChangeButtonImageIconArray(7) = 8

    'Remove the "built in" images provided with the suite
   Options.CustomIcons.RemoveAll

   'Passing the ChangeButtonImageIconArray for the "Commands" parameter will add an icon to the collection
   'of icons for each item in the array. So Number of icons added = Number of elements in array.
   'Icon width = Total width of Bitmap/Number of elements in array.
   Options.CustomIcons.LoadBitmap App.Path & "\Icons\ChangeButtonIcons.bmp", ChangeButtonImageIconArray, xtpImageNormal

End Sub

See Also

CustomizeOptions Object | ContextMenu Property | CustomizedControl Property


%%PageItemTitle%%

CustomizeOptions Object

See Also Command Bars ActiveX Control v19.3

ResizableSheet Property

Description

Specifies whether the customization dialog is resizable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResizableSheet() As Boolean

Return Type

True if the customization dialog is resizable, False otherwise.

Remarks

Use this to allow the dialog to be resizable.

See Also

CustomizeOptions Object


%%PageItemTitle%%

CustomizeOptions Object | ShowToolbarsPage Property | ShowOptionsPage Property | ShowMenusPage Property | ShowKeyboardPage Property | ShowCommandsPage Property | Customization Event

See Also Command Bars ActiveX Control v19.3

ShowCommandsPage Property

Description

Hides/Un-Hides the Commands page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCommandsPage() As Boolean

Remarks

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The Commands page allows users to add commands to the toolbars by dragging any of the listed commands to the deired toolbar.

Example

This sample illustrates how to hide\show the Commands tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

'==========================================================================================================
' Choose which pages to display in the customization dialog
'==========================================================================================================
'Do not show the Commands page in the customization dialog
Options.ShowCommandsPage = False

'Do not show the Options page in the customization dialog
Options.ShowOptionsPage = False

End Sub

See Also

CustomizeOptions Object | ShowToolbarsPage Property | ShowOptionsPage Property | ShowMenusPage Property | ShowKeyboardPage Property | ShowCommandsPage Property | Customization Event


%%PageItemTitle%%

CustomizeOptions Object | Customization Event | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property

See Also Command Bars ActiveX Control v19.3

ShowKeyboardPage Property

Description

Hides/Un-Hides the Keyboard page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowKeyboardPage() As Boolean

Remarks

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The keyboard page allows users to add their own custom shortcuts.

Example

[How to Hide\Show the Keyboard tab in the Customization Dialog. (Visual Basic)] This sample illustrates how to hide\show the keyboard tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Choose which pages to display in the customization dialog
   '==========================================================================================================
   'Do not show the KeyBoard page in the customization dialog
   Options.ShowKeyboardPage = False

   'Do not show the Options page in the customization dialog
   Options.ShowOptionsPage = False

End Sub

See Also

CustomizeOptions Object | Customization Event | ShowOptionsPage Property | ShowRibbonQuickAccessPage Property


%%PageItemTitle%%

CustomizeOptions Object

See Also Command Bars ActiveX Control v19.3

ShowListNavigation Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowListNavigation() As Boolean

See Also

CustomizeOptions Object


%%PageItemTitle%%

CustomizeOptions Object | MenuBar Object | MenuBarMDIMenu Object | MenuBarMDIMenus Object

See Also Command Bars ActiveX Control v19.3

ShowMenusPage Property

Description

Hides/Un-Hides the Menus page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMenusPage() As Boolean

Remarks

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The Menus page allows users to access and customize MDI Menus and Context Menus.

See Also

CustomizeOptions Object | MenuBar Object | MenuBarMDIMenu Object | MenuBarMDIMenus Object


%%PageItemTitle%%

CustomizeOptions Object | Customization Event | ShowKeyboardPage Property | ShowRibbonQuickAccessPage Property

See Also Command Bars ActiveX Control v19.3

ShowOptionsPage Property

Description

Hides/Un-Hides the Options page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOptionsPage() As Boolean

Remarks

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The options pages allows users to change settings such as menu animation and large icons.

Example

[How to Hide\Show the Options tab in the Customization Dialog. (Visual Basic)] This sample illustrates how to hide\show the Options tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Choose which pages to display in the customization dialog
   '==========================================================================================================
   'Do not show the KeyBoard page in the customization dialog
   Options.ShowKeyboardPage = False

   'Do not show the Options page in the customization dialog
   Options.ShowOptionsPage = False

End Sub

See Also

CustomizeOptions Object | Customization Event | ShowKeyboardPage Property | ShowRibbonQuickAccessPage Property


%%PageItemTitle%%

CustomizeOptions Object

See Also Command Bars ActiveX Control v19.3

ShowRibbonCustomizePage Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowRibbonCustomizePage() As Boolean

See Also

CustomizeOptions Object


%%PageItemTitle%%

CustomizeOptions Object | ShowKeyboardPage Property | ShowOptionsPage Property | Customization Event | ShowCustomizeDialog Method

See Also Command Bars ActiveX Control v19.3

ShowRibbonQuickAccessPage Property

Description

Hides/Un-Hides the Ribbon Quick Access page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowRibbonQuickAccessPage() As Boolean

Remarks

The Ribbon Quick Access page allows items to be added or removed from the Ribbon's quick access bar. The quick access bar can also be displayed at the top or bottom of the Ribbon using this page.

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The options pages allows users to change settings such as menu animation and large icons.

The "Customize" dialog can also be displayed using the ShowCustomizeDialog method.

Example

[ShowRibbonQuickAccessPage Sample (Visual Basic)] This sample illustrates how to hide\show the Ribbon Quick Access tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

   '==========================================================================================================
   ' Choose which pages to display in the customization dialog
   '==========================================================================================================
   'Do not show the KeyBoard page in the customization dialog
   Options.ShowKeyboardPage = False

   'Do not show the Options page in the customization dialog
   Options.ShowOptionsPage = False

   'Display the Ribbon Quick Access page in the customization dialog
   Options.ShowRibbonQuickAccessPage = True

End Sub

See Also

CustomizeOptions Object | ShowKeyboardPage Property | ShowOptionsPage Property | Customization Event | ShowCustomizeDialog Method


%%PageItemTitle%%

CustomizeOptions Object | Customization Event | AllowNewToolbars Property

See Also Command Bars ActiveX Control v19.3

ShowToolbarsPage Property

Description

Hides/Un-Hides the Toolbars page of the Customization dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowToolbarsPage() As Boolean

Remarks

The Customization dialog is accessible by the user when they right-click on the toolbar and select "Customize..." or select "Customize..." from the drop down at the end of the toolbar. The Toolbars page allows users to add, rename, delete and reset toolbars.

Use AllowNewToolbars to enable\disable the "New..." toolbar button.

Example

This sample illustrates how to hide\show the Toolbars tab in the customization dialog box.

Private Sub CommandBars_Customization(ByVal Options As XtremeCommandBars.ICustomizeOptions)

'==========================================================================================================
' Choose which pages to display in the customization dialog
'==========================================================================================================
'Do not show the Toolbars page in the customization dialog
Options.ShowToolbarsPage = False

'Do not show the Options page in the customization dialog
Options.ShowOptionsPage = False

End Sub

See Also

CustomizeOptions Object | Customization Event | AllowNewToolbars Property


%%PageItemTitle%%

DataObject Members

See Also Command Bars ActiveX Control v19.3

DataObject Object

Description

The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.

For a list of all members defined in this module, see DataObject members.

Object Model

Remarks

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

See Also

DataObject Members


%%PageItemTitle%% $$Members$$

DataObject Overview

See Also Command Bars ActiveX Control v19.3

DataObject Object Members

Public Methods

Public Method Clear | Clears the content of the DataObject object.
Public Method GetData | Returns data from a DataObject object in the form of a variant.
Public Method GetFormat | Returns an boolean value indicating whether an item in the DataObject object matches a specified format.
Public Method SetData | Inserts data into a DataObject object using the specified data format.

Public Properties

Public Property Files Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Overview


%%PageItemTitle%%

DataObject Object

See Also Command Bars ActiveX Control v19.3

Clear Method

Description

Clears the content of the DataObject object.

Syntax

Public Sub Clear()

Remarks

This method is available only for component drag sources. If Clear is called from a component drop target, an error is generated.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Command Bars ActiveX Control v19.3

GetData Method

Description

Returns data from a DataObject object in the form of a variant.

Syntax

Public Function GetData( _
   ByVal Format As Long _
) As Variant

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)
See Also Command Bars ActiveX Control v19.3

GetFormat Method

Description

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

Public Function GetFormat( _
   ByVal Format As Long _
) As Boolean

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

Return Type

The GetFormat method returns True if an item in the DataObject object matches the specified format. Otherwise, it returns False.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Command Bars ActiveX Control v19.3

SetData Method

Description

Inserts data into a DataObject object using the specified data format.

Syntax

Public Sub SetData( _
   Optional ByVal vValue As Variant, _
   Optional ByVal Format As Variant _
)

Parameters

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

See Also Command Bars ActiveX Control v19.3

Files Property

Description

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Files() As DataObjectFiles

Remarks

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Object


%%PageItemTitle%%

DataObjectFiles Members

See Also Command Bars ActiveX Control v19.3

DataObjectFiles Collection

Description

A collection of strings which is the type of the Files property on the DataObject object.

For a list of all members defined in this module, see DataObjectFiles members.

Remarks

The DataObjectFiles collection is a collection of strings which represent a set of files which have been selected either through the GetData method, or through selection in an application such as the Windows Explorer.

See Also

DataObjectFiles Members


%%PageItemTitle%% $$Members$$

DataObjectFiles Overview

See Also Command Bars ActiveX Control v19.3

DataObjectFiles Collection Members

Public Properties

Public Property Count | Returns the number of objects in a collection.
Public Property Item | A collection whose elements represent a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObjectFiles Overview


%%PageItemTitle%%

DataObjectFiles Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Returns the number of objects in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DataObjectFiles Collection

Index
An integer with a range from 0 to DataObjectFiles.Count - 1.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

A collection whose elements represent a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As String

Parameters

Index
An integer with a range from 0 to DataObjectFiles.Count - 1.

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DialogBar Members | AddDialogBar Method

See Also Command Bars ActiveX Control v19.3

DialogBar Object

Description

A Dialog Bar is a toolbar that can contain any kind of control. The Dialog Bar because has the characteristics of a toolbar and dialog box (dialog box can be read as a VB Form or Picture Box). Dialog Bar's behave like toolbars and can have any control with a hWnd.

For a list of all members defined in this module, see DialogBar members.

Object Model

Remarks

The AddDialogBar method is used to add a dialog bar to your application.

See Also

DialogBar Members | AddDialogBar Method


%%PageItemTitle%% $$Members$$

DialogBar Overview | AddDialogBar Method

See Also Command Bars ActiveX Control v19.3

DialogBar Object Members

Public Methods

Public Method Delete | The Delete method deletes the dialog bar.
Public Method EnableDocking | The EnableDocking method enable docking of the dialog bar to different edges of the form or it can be "floating".
Public Method GetWindowRect | The GetWindowRect method retrieves the dimensions of the bounding rectangle of the dialog bar.
Public Method SetSize | The SetSize method sets the width and height of the dialog bar child window.

Public Properties

Public Property BarID | The BarID property is used to get or set the ID of the dialog bar.
Public Property BuiltIn | The BuiltIn property determines if the dialog bar is a built-in dialog bar.
Public Property Caption | The Caption property is used to get or set the text that will be displayed in the dialog bar's CaptionPopupBar.
Public Property CaptionPopup |
Public Property CaptionPopupBar | The CaptionPopupBar is a collection of controls that are displayed in the Dialog Bar's drop-down button.
Public Property ChildHandle | The ChildHandle property is used to hold the HANDLE to the object that is displayed in the Dialog Bar's client area.
Public Property Closeable | The Closeable property specifies whether the Dialog Bar can be closed.
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ContextMenuPresent | The ContextMenuPresent property will specify whether a command to hide/show the dialog bar is added to the context menu that is displayed when you right click on any command bar or dialog bar.
Public Property EnableAnimation | Specifies whether to use animation effects with this dialog bar.
Public Property hWnd | Returns the handle of the dialog bar.
Public Property Position | The Position property will get or set the position of the dialog bar.
Public Property Resizable | The Resizable property specifies whether the dialog bar will be re-sizable.
Public Property ShowCaption | Gets or sets whether the Dialog Bar caption is visible.
Public Property ShowGripper | Hides\Shows the popup bar gripper.
Public Property Title | The Title property gets or sets the title of the Dialog Bar.
Public Property Type | The Type property returns the XTPBarType of the Dialog Bar.
Public Property Visible | The Visible property specifies whether the Dialog Bar is visible or hidden.
Public Property Width | Not used in Dialog Bar.

See Also

DialogBar Overview | AddDialogBar Method


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

The Delete method deletes the dialog bar.

Syntax

Public Sub Delete()

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object | XTPToolBarFlags Enumeration | Position Property

dwFlags
Specifies the edges of the form to which the dialog bar can be docked.
See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

The EnableDocking method enable docking of the dialog bar to different edges of the form or it can be "floating".

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout
Specifies the edges of the form to which the dialog bar can be docked.

Remarks

The Position property holds the current position of the Dialog Bar.

See Also

DialogBar Object | XTPToolBarFlags Enumeration | Position Property


%%PageItemTitle%%

DialogBar Object

Left
Specifies the x-coordinate of the upper-left corner of the rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.
See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

The GetWindowRect method retrieves the dimensions of the bounding rectangle of the dialog bar.

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
Specifies the x-coordinate of the upper-left corner of the rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.

Return Type

Returns the X and Y coordinates of the upper-left and lower-right corners of the bounding rectangle of the dialog bar.

Remarks

The GetWindowRect method is used to find the bounding rectangle of the entire dialog bar including the dialog bar's client area. The ChildHandle property is used to attach a control to the dialog bar's client area.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object | ChildHandle Property

cx
Width of the dialog bar's child window.
cy
Height of the dialog bar's child window.
See Also Command Bars ActiveX Control v19.3

SetSize Method

Description

The SetSize method sets the width and height of the dialog bar child window.

Syntax

Public Sub SetSize( _
   ByVal cx As Integer, _
   ByVal cy As Integer _
)

Parameters

cx
Width of the dialog bar's child window.
cy
Height of the dialog bar's child window.

Remarks

The size is only used to size the child window when the dialog bar is floating, then both the specified width and height are used. If the bar is dock on the left or right, only the width is used, the height will depend on how much of the client area the dialog bar can occupy. If the bar is docked on the top or bottom, then only the height is used to size the child window.

See Also

DialogBar Object | ChildHandle Property


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

The BarID property is used to get or set the ID of the dialog bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

The BuiltIn property determines if the dialog bar is a built-in dialog bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

The Caption property is used to get or set the text that will be displayed in the dialog bar's CaptionPopupBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

This is the text that is currently displayed in the dialog bar's CaptionPopupBar. The CaptionPopupBar can be used to indicate what is being displayed in the child window.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

CaptionPopup Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionPopup() As Boolean

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

CaptionPopupBar Property

Description

The CaptionPopupBar is a collection of controls that are displayed in the Dialog Bar's drop-down button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionPopupBar() As CommandBar

Remarks

The CaptionPopupBar is used to store all of the controls that are displayed in the Dialog Bar's drop-down button. These commands are used to indicate which object should be displayed in the Dialog Bar's child window.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

ChildHandle Property

Description

The ChildHandle property is used to hold the HANDLE to the object that is displayed in the Dialog Bar's client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChildHandle() As Integer

Remarks

The ChildHandle property is used to point to an object to display in the Dialog Bar's client area. Any object with an hWnd can be shown in the child client area. For example, a Form or Picture Box can be used to contain other objects to display in the child client area. The picture below shows a picture box that contains 3 controls. The picture box is then attached to the Dialog Bar using the ChildHandle property.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Closeable Property

Description

The Closeable property specifies whether the Dialog Bar can be closed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closeable() As Boolean

Remarks

If FALSE, the dialog bar's entry in the context menu will be removed.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

ContextMenuPresent Property

Description

The ContextMenuPresent property will specify whether a command to hide/show the dialog bar is added to the context menu that is displayed when you right click on any command bar or dialog bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextMenuPresent() As Boolean

Remarks

By default, all command bars and dialog bars are added to the context menu. The commands in the context menu allow the user to hide and show the commandbars and dialog bar.

NOTE: If Closeable is FALSE, then the dialog bar will not appear in the context menu.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object | Paintmanager EnableAnimation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects with this dialog bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Dialog bar animation effects include checking and un-checking items, roll over effects of items, and displaying popup menus. EnableAnimation effects all of the before mentioned animation effects for this dialog bar only.

To disable animation in all command bars use the Paintmanager EnableAnimation property.

See Also

DialogBar Object | Paintmanager EnableAnimation Property


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the dialog bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object | EnableDocking Method

See Also Command Bars ActiveX Control v19.3

Position Property

Description

The Position property will get or set the position of the dialog bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

Remarks

The EnableDocking method can also be used to set the dialog bar's position.

See Also

DialogBar Object | EnableDocking Method


%%PageItemTitle%%

DialogBar Object | SetSize Method

See Also Command Bars ActiveX Control v19.3

Resizable Property

Description

The Resizable property specifies whether the dialog bar will be re-sizable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Resizable() As Boolean

Remarks

By default, Resizable is TRUE. If FALSE, no splitter is displayed when the mouse pointer is positioned over the dialog bar borders. You can use the SetSize method to change the size of the dialog bar programmatically.

See Also

DialogBar Object | SetSize Method


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

ShowCaption Property

Description

Gets or sets whether the Dialog Bar caption is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaption() As Boolean

Remarks

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

ShowGripper Property

Description

Hides\Shows the popup bar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGripper() As Boolean

Remarks

By default, a popup bar will display a gripper that is used to indicate that the popup bar can be "gripped" and moved by the user. The gripper is cosmetic only, removing the gripper will not disable movement of the toolbar. ShowGripper can also be used to determine if the gripper is currently visible.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Title Property

Description

The Title property gets or sets the title of the Dialog Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

Remarks

The title of the Dialog Bar is displayed in the Context Menu when the user right-clicks on the Dialog Bar or toolbars. In the picture below, the title of the Dialog Bar was set to "Task Panel."

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

The Type property returns the XTPBarType of the Dialog Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

Remarks

The Dialog Bar is of type xtpBarTypeNormal.

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

The Visible property specifies whether the Dialog Bar is visible or hidden.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

DialogBar Object


%%PageItemTitle%%

DialogBar Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Not used in Dialog Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

DialogBar Object


%%PageItemTitle%%

FrameShadow Members

See Also Command Bars ActiveX Control v19.3

FrameShadow Object

For a list of all members defined in this module, see FrameShadow members.

See Also

FrameShadow Members


%%PageItemTitle%% $$Members$$

FrameShadow Overview

See Also Command Bars ActiveX Control v19.3

FrameShadow Object Members

Public Methods

Public Method FreezeUpdates
Public Method Hide
Public Method SetBlendingOptions
Public Method Show
Public Method UpdatePosition

Public Properties

Public Property BlendingFactors
Public Property BlendingPositions
Public Property ClipOwner
Public Property Color
Public Property InnerSize
Public Property OffsetX
Public Property OffsetY
Public Property OuterSize
Public Property Owner
Public Property Transparency

See Also

FrameShadow Overview


%%PageItemTitle%%

FrameShadow Object

freeze
See Also Command Bars ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

Hide Method

Syntax

Public Sub Hide()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetBlendingOptions Method

Syntax

Public Sub SetBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

Show Method

Syntax

Public Sub Show()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

UpdatePosition Method

Syntax

Public Sub UpdatePosition()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

BlendingFactors Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingFactors() As Variant

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

BlendingPositions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingPositions() As Variant

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

ClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipOwner() As Boolean

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

InnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property InnerSize() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

OffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetX() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

OffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetY() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

OuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OuterSize() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

Owner Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Owner() As Integer

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Command Bars ActiveX Control v19.3

Transparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadowManager Members

See Also Command Bars ActiveX Control v19.3

FrameShadowManager Object

For a list of all members defined in this module, see FrameShadowManager members.

Object Model

See Also

FrameShadowManager Members


%%PageItemTitle%% $$Members$$

FrameShadowManager Overview

See Also Command Bars ActiveX Control v19.3

FrameShadowManager Object Members

Public Methods

Public Method DisableShadow
Public Method EnableShadow
Public Method FreezeUpdates
Public Method GetShadow
Public Method IsShadowEnabled
Public Method SetDefaultBlendingOptions
Public Method SetGlobalBlendingOptions
Public Method SetGlobalClipOwner
Public Method SetGlobalColor
Public Method SetGlobalInnerSize
Public Method SetGlobalOffset
Public Method SetGlobalOuterSize
Public Method SetGlobalTransparency

Public Properties

Public Property DefaultBlendingFactors
Public Property DefaultBlendingPositions
Public Property DefaultClipOwner
Public Property DefaultColor
Public Property DefaultInnerSize
Public Property DefaultOffsetX
Public Property DefaultOffsetY
Public Property DefaultOuterSize
Public Property DefaultTransparency
Public Property Flags
Public Property FrameShadows
Public Property IsShadowSupported

See Also

FrameShadowManager Overview


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

DisableShadow Method

Syntax

Public Sub DisableShadow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency
See Also Command Bars ActiveX Control v19.3

EnableShadow Method

Syntax

Public Function EnableShadow( _
   ByVal hWnd As Integer, _
   ByVal Color As ULong, _
   ByVal OuterSize As Long, _
   ByVal InnerSize As Long, _
   Optional ByVal xOffset As Long = 0, _
   Optional ByVal yOffset As Long = 0, _
   Optional ByVal Transparency As Integer = 0 _
) As FrameShadow

Parameters

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

freeze
See Also Command Bars ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

GetShadow Method

Syntax

Public Function GetShadow( _
   ByVal hWnd As Integer _
) As FrameShadow

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

IsShadowEnabled Method

Syntax

Public Function IsShadowEnabled( _
   ByVal hWnd As Integer _
) As Boolean

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetDefaultBlendingOptions Method

Syntax

Public Sub SetDefaultBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetGlobalBlendingOptions Method

Syntax

Public Sub SetGlobalBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

clip
See Also Command Bars ActiveX Control v19.3

SetGlobalClipOwner Method

Syntax

Public Sub SetGlobalClipOwner( _
   ByVal clip As Boolean _
)

Parameters

clip

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

Color
See Also Command Bars ActiveX Control v19.3

SetGlobalColor Method

Syntax

Public Sub SetGlobalColor( _
   ByVal Color As ULong _
)

Parameters

Color

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

size
See Also Command Bars ActiveX Control v19.3

SetGlobalInnerSize Method

Syntax

Public Sub SetGlobalInnerSize( _
   ByVal size As Long _
)

Parameters

size

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

OffsetX
OffsetY
See Also Command Bars ActiveX Control v19.3

SetGlobalOffset Method

Syntax

Public Sub SetGlobalOffset( _
   ByVal OffsetX As Long, _
   ByVal OffsetY As Long _
)

Parameters

OffsetX
OffsetY

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

size
See Also Command Bars ActiveX Control v19.3

SetGlobalOuterSize Method

Syntax

Public Sub SetGlobalOuterSize( _
   ByVal size As Long _
)

Parameters

size

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

Transparency
See Also Command Bars ActiveX Control v19.3

SetGlobalTransparency Method

Syntax

Public Sub SetGlobalTransparency( _
   ByVal Transparency As Integer _
)

Parameters

Transparency

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultBlendingFactors Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingFactors() As Variant

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultBlendingPositions Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingPositions() As Variant

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultClipOwner() As Boolean

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultColor() As ULong

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultInnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultInnerSize() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetX() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetY() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOuterSize() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTransparency() As Integer

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

FrameShadows Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadows() As FrameShadows

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

IsShadowSupported Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsShadowSupported() As Boolean

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadows Members

See Also Command Bars ActiveX Control v19.3

FrameShadows Collection

For a list of all members defined in this module, see FrameShadows members.

See Also

FrameShadows Members


%%PageItemTitle%% $$Members$$

FrameShadows Overview

See Also Command Bars ActiveX Control v19.3

FrameShadows Collection Members

See Also

FrameShadows Overview


%%PageItemTitle%%

IFrameShadow Members

See Also Command Bars ActiveX Control v19.3

IFrameShadow Object

For a list of all members defined in this module, see IFrameShadow members.

See Also

IFrameShadow Members


%%PageItemTitle%% $$Members$$

IFrameShadow Overview

See Also Command Bars ActiveX Control v19.3

IFrameShadow Object Members

Public Methods

Public Method FreezeUpdates
Public Method Hide
Public Method SetBlendingOptions
Public Method Show
Public Method UpdatePosition

Public Properties

Public Property BlendingFactors
Public Property BlendingPositions
Public Property ClipOwner
Public Property Color
Public Property InnerSize
Public Property OffsetX
Public Property OffsetY
Public Property OuterSize
Public Property Owner
Public Property Transparency

See Also

IFrameShadow Overview


%%PageItemTitle%%

IFrameShadow Object

freeze
See Also Command Bars ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

Hide Method

Syntax

Public Sub Hide()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetBlendingOptions Method

Syntax

Public Sub SetBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

Show Method

Syntax

Public Sub Show()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

UpdatePosition Method

Syntax

Public Sub UpdatePosition()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

BlendingFactors Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingFactors() As Variant

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

BlendingPositions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingPositions() As Variant

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

ClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipOwner() As Boolean

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

InnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property InnerSize() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

OffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetX() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

OffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetY() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

OuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OuterSize() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

Owner Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Owner() As Integer

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Command Bars ActiveX Control v19.3

Transparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadowManager Members

See Also Command Bars ActiveX Control v19.3

IFrameShadowManager Object

For a list of all members defined in this module, see IFrameShadowManager members.

Object Model

See Also

IFrameShadowManager Members


%%PageItemTitle%% $$Members$$

IFrameShadowManager Overview

See Also Command Bars ActiveX Control v19.3

IFrameShadowManager Object Members

Public Methods

Public Method DisableShadow
Public Method EnableShadow
Public Method FreezeUpdates
Public Method GetShadow
Public Method IsShadowEnabled
Public Method SetDefaultBlendingOptions
Public Method SetGlobalBlendingOptions
Public Method SetGlobalClipOwner
Public Method SetGlobalColor
Public Method SetGlobalInnerSize
Public Method SetGlobalOffset
Public Method SetGlobalOuterSize
Public Method SetGlobalTransparency

Public Properties

Public Property DefaultBlendingFactors
Public Property DefaultBlendingPositions
Public Property DefaultClipOwner
Public Property DefaultColor
Public Property DefaultInnerSize
Public Property DefaultOffsetX
Public Property DefaultOffsetY
Public Property DefaultOuterSize
Public Property DefaultTransparency
Public Property Flags
Public Property FrameShadows
Public Property IsShadowSupported

See Also

IFrameShadowManager Overview


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

DisableShadow Method

Syntax

Public Sub DisableShadow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency
See Also Command Bars ActiveX Control v19.3

EnableShadow Method

Syntax

Public Function EnableShadow( _
   ByVal hWnd As Integer, _
   ByVal Color As ULong, _
   ByVal OuterSize As Long, _
   ByVal InnerSize As Long, _
   Optional ByVal xOffset As Long = 0, _
   Optional ByVal yOffset As Long = 0, _
   Optional ByVal Transparency As Integer = 0 _
) As FrameShadow

Parameters

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

freeze
See Also Command Bars ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

GetShadow Method

Syntax

Public Function GetShadow( _
   ByVal hWnd As Integer _
) As FrameShadow

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Command Bars ActiveX Control v19.3

IsShadowEnabled Method

Syntax

Public Function IsShadowEnabled( _
   ByVal hWnd As Integer _
) As Boolean

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetDefaultBlendingOptions Method

Syntax

Public Sub SetDefaultBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

factors
positions
See Also Command Bars ActiveX Control v19.3

SetGlobalBlendingOptions Method

Syntax

Public Sub SetGlobalBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

clip
See Also Command Bars ActiveX Control v19.3

SetGlobalClipOwner Method

Syntax

Public Sub SetGlobalClipOwner( _
   ByVal clip As Boolean _
)

Parameters

clip

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

Color
See Also Command Bars ActiveX Control v19.3

SetGlobalColor Method

Syntax

Public Sub SetGlobalColor( _
   ByVal Color As ULong _
)

Parameters

Color

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

size
See Also Command Bars ActiveX Control v19.3

SetGlobalInnerSize Method

Syntax

Public Sub SetGlobalInnerSize( _
   ByVal size As Long _
)

Parameters

size

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

OffsetX
OffsetY
See Also Command Bars ActiveX Control v19.3

SetGlobalOffset Method

Syntax

Public Sub SetGlobalOffset( _
   ByVal OffsetX As Long, _
   ByVal OffsetY As Long _
)

Parameters

OffsetX
OffsetY

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

size
See Also Command Bars ActiveX Control v19.3

SetGlobalOuterSize Method

Syntax

Public Sub SetGlobalOuterSize( _
   ByVal size As Long _
)

Parameters

size

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

Transparency
See Also Command Bars ActiveX Control v19.3

SetGlobalTransparency Method

Syntax

Public Sub SetGlobalTransparency( _
   ByVal Transparency As Integer _
)

Parameters

Transparency

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultBlendingFactors Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingFactors() As Variant

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultBlendingPositions Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingPositions() As Variant

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultClipOwner() As Boolean

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultColor() As ULong

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultInnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultInnerSize() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetX() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetY() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultOuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOuterSize() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

DefaultTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTransparency() As Integer

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

FrameShadows Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadows() As FrameShadows

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Command Bars ActiveX Control v19.3

IsShadowSupported Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsShadowSupported() As Boolean

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadows Members

See Also Command Bars ActiveX Control v19.3

IFrameShadows Collection

For a list of all members defined in this module, see IFrameShadows members.

See Also

IFrameShadows Members


%%PageItemTitle%% $$Members$$

IFrameShadows Overview

See Also Command Bars ActiveX Control v19.3

IFrameShadows Collection Members

See Also

IFrameShadows Overview


%%PageItemTitle%%

ImageManager Members

See Also Command Bars ActiveX Control v19.3

ImageManager Control

Description

Represents a collection of icons.

For a list of all members defined in this module, see ImageManager members.

Object Model

Remarks

The ImageManager control supports 32-bits Alpha Icons. Through the ImageManager control, you can edit the images. Each images consists of a normal, hot, and disabled icon. When a control is disabled, the disabled icons is used, when the user moves the mouse over a control, the hot icon is used, and the normal icon is used for all other situations. The ImageManager control supports multiple image sizes for each control. The images are added and edited through an editor at design time by right-clicking on the control and selecting properties.

See Also

ImageManager Members


%%PageItemTitle%% $$Members$$

ImageManager Overview

See Also Command Bars ActiveX Control v19.3

ImageManager Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control.
Public Method IsAlphaIconsSupported | Checks to see if Alpha Icons are supported

Public Properties

Public Property Icons The collection of icons within the IconManager.

See Also

ImageManager Overview


%%PageItemTitle%%

ImageManager Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control.

Syntax

Public Sub AboutBox()

See Also

ImageManager Control


%%PageItemTitle%%

ImageManager Control

See Also Command Bars ActiveX Control v19.3

IsAlphaIconsSupported Method

Description

Checks to see if Alpha Icons are supported

Syntax

Public Function IsAlphaIconsSupported() As Boolean

See Also

ImageManager Control


%%PageItemTitle%%

ImageManager Control

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

The collection of icons within the IconManager.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

ImageManager Control


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Command Bars ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Command Bars ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Command Bars ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Command Bars ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Command Bars ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Command Bars ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Command Bars ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Command Bars ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the CommandBars.

If the AddImageList method is used, the icons will be added to the collection of icons. These icons will be added in the order they appear in the ImageList control.

The collection of icons can be accessed and used from the CommandBars, CommandBarControl, and CommandBar objects. When referencing the icons in the collection of icons, only the index of the icon is needed.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Command Bars ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the image collection.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Command Bars ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Command Bars ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Command Bars ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Command Bars ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Command Bars ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Command Bars ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Command Bars ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Command Bars ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Command Bars ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Command Bars ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Command Bars ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Command Bars ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

The number of icons in the image collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Command Bars ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Command Bars ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Command Bars ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Command Bars ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerPropPage Members

See Also Command Bars ActiveX Control v19.3

ImageManagerPropPage Object

Description

Image manager property page

For a list of all members defined in this module, see ImageManagerPropPage members.

See Also

ImageManagerPropPage Members


%%PageItemTitle%% $$Members$$

ImageManagerPropPage Overview

See Also Command Bars ActiveX Control v19.3

ImageManagerPropPage Object Members

See Also

ImageManagerPropPage Overview


%%PageItemTitle%%

IResourceImageList Members

See Also Command Bars ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Command Bars ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Command Bars ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Command Bars ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Command Bars ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Command Bars ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

KeyBinding Members

See Also Command Bars ActiveX Control v19.3

KeyBinding Object

Description

Represents a key binding object.

For a list of all members defined in this module, see KeyBinding members.

Example

[Find Shortcut From CommandBar ID and iterate though all shortcuts sample. (Visual Basic)] Shows how to find a shortcut by CommandBar Control ID and how to iterate through all shortcuts.

    Dim KeyBindings As KeyBindings

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    Dim keyShortcut As KeyBinding

    'Finds a shortcut by commandbar ID
    keyShortcut = KeyBindings.FindShortcut (ID_FILE_NEW)

    If Not keyShortcut Is Nothing Then
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    End If

    For Each keyShortcut In KeyBindings
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    Next

See Also

KeyBinding Members


%%PageItemTitle%% $$Members$$

KeyBinding Overview

See Also Command Bars ActiveX Control v19.3

KeyBinding Object Members

Public Properties

Public Property Command | The command ID which will be invoked when the accelerator is used.
Public Property ShortcutText | String containing shortcut key(s) for the specified command.

See Also

KeyBinding Overview


%%PageItemTitle%%

KeyBinding Object

See Also Command Bars ActiveX Control v19.3

Command Property

Description

The command ID which will be invoked when the accelerator is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Command() As Long

See Also

KeyBinding Object


%%PageItemTitle%%

KeyBinding Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

String containing shortcut key(s) for the specified command.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

Here is a list of all the "String" names for various key mappings (Use the name between quotes and see the samples below):

VK_LBUTTON = "Left Button"
VK_RBUTTON = "Right Button"
VK_CANCEL = "Ctrl+Break"
VK_MBUTTON = "Middle Button"
VK_BACK = "Backspace"
VK_TAB = "Tab"
VK_CLEAR = "Clear"
VK_RETURN = "Enter"
VK_SHIFT = "Shift"
VK_CONTROL = "Ctrl"
VK_MENU = "Alt"
VK_PAUSE = "Pause"
VK_CAPITAL = "Caps Lock"
VK_ESCAPE = "Esc"
VK_SPACE = "Space"
VK_PRIOR = "Page Up"
VK_NEXT = "Page Down"
VK_END = "End"
VK_HOME = "Home"
VK_LEFT = "Left Arrow"
VK_UP = "Up Arrow"
VK_RIGHT = "Right Arrow"
VK_DOWN = "Down Arrow"
VK_SELECT = "Select"
VK_PRINT = "Print"
VK_EXECUTE = "Execute"
VK_SNAPSHOT = "Snapshot"
VK_INSERT = "Ins"
VK_DELETE = "Del"
VK_HELP = "Help"
VK_LWIN = "Win"
VK_RWIN = "Win"
VK_APPS = "Application"
VK_MULTIPLY = "Num *"
VK_ADD = "Num +"
VK_SEPARATOR = "Separator"
VK_SUBTRACT = "Num -"
VK_DECIMAL = "Num ."
VK_DIVIDE = "Num /"
VK_F1 = "F1"
VK_F2 = "F2"
VK_F3 = "F3"
VK_F4 = "F4"
VK_F5 = "F5"
VK_F6 = "F6"
VK_F7 = "F7"
VK_F8 = "F8"
VK_F9 = "F9"
VK_F10 = "F10"
VK_F11 = "F11"
VK_F12 = "F12"
VK_NUMPAD0 = "Num 0"
VK_NUMPAD1 = "Num 1"
VK_NUMPAD2 = "Num 2"
VK_NUMPAD3 = "Num 3"
VK_NUMPAD4 = "Num 4"
VK_NUMPAD5 = "Num 5"
VK_NUMPAD6 = "Num 6"
VK_NUMPAD7 = "Num 7"
VK_NUMPAD8 = "Num 8"
VK_NUMPAD9 = "Num 9"
VK_NUMLOCK = "Num Lock"
VK_SCROLL = "Scrl Lock"
VK_ATTN = "Attn"
VK_CRSEL = "Crsel"
VK_EXSEL = "Exsel"
VK_EREOF = "Ereof"
VK_PLAY = "Play"
VK_ZOOM = "Zoom"
VK_NONAME = "No Name"
VK_PA1 = "Pa1"
VK_OEM_CLEAR = "Oem Clear"

See Also

KeyBinding Object


%%PageItemTitle%%

KeyBindings Members

See Also Command Bars ActiveX Control v19.3

KeyBindings Collection

Description

Represents a collection of key bindings ( accelerator keys ) associated with various commands in command bars.

For a list of all members defined in this module, see KeyBindings members.

Object Model

Example

[Keybindings Sample (Visual Basic)] Shows how to find a shortcut by CommandBar Control ID and how to iterate through all shortcuts.

    Dim KeyBindings As KeyBindings

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    Dim keyShortcut As IKeyBinding

    'Finds a shortcut by commandbar ID
    keyShortcut = KeyBindings.FindShortcut (ID_FILE_NEW)

    If Not keyShortcut Is Nothing Then
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    End If

    For Each keyShortcut In KeyBindings
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    Next

See Also

KeyBindings Members


%%PageItemTitle%% $$Members$$

KeyBindings Overview

See Also Command Bars ActiveX Control v19.3

KeyBindings Collection Members

Public Methods

Public Method Add | Adds a key binding ( accelerator key ) for a command.
Public Method AddShortcut | Adds a key binding ( accelerator key ) for a command. Allows keys in String format.
Public Method Delete | Deletes a key binding ( accelerator key ) for a command.
Public Method DeleteAll | The DeleteAll method removes all keybindings that have been added with the Add method.
Public Method FindShortcut | Returns a shortcut for the specified command.
Public Method SetKeyNameText | Set a custom string description to localize a shortcut key text description.

Public Properties

Public Property AllowDoubleKeyShortcuts | Enables or disables the use of double key shortcuts. (i.e. Ctrl+O, Ctrl+P)
Public Property Count | Total number of keybindings.
Public Property DisableOnCapture | Specifies whether the commandbars will process keybindings while another control is capturing input.
Public Property EnableCustomShortcutText |
Public Property Enabled | Enables/disables shortcut usage.
Public Property Shortcut | Collection of shortcut items.
Public Property UseSystemKeyNameText | Gets\sets whether system localized shortcut text will be used for shortcuts.

Events

Public Event BeforeAdd | Occurs when a shortcut key binding is added to a command using the commandbars customization dialog.
Public Event BeforeRemove | Occurs when a shortcut key binding is removed from a command using the commandbars customization dialog.
Public Event BeforeTranslate | Occurs when a shortcut key binding\accelerator is used.

See Also

KeyBindings Overview


%%PageItemTitle%%

KeyBindings Collection | KeyBindings Property | BeforeAdd Event | BeforeRemove Event | BeforeTranslate Event | AllowDoubleKeyShortcuts Property | AddShortcut Method

fVirt

Specifies whether the Control, Shift and Alt keys are to be used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a key binding ( accelerator key ) for a command.

Syntax

Public Sub Add( _
   ByVal fVirt As Long, _
   ByVal Key As Long, _
   ByVal Command As Long _
)

Parameters

fVirt

Specifies whether the Control, Shift and Alt keys are to be used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.

Example

[Shortcut Key Constants (Visual Basic)] Shortcut Key Constants

Public Const FSHIFT = 4
Public Const FCONTROL = 8
Public Const FALT = 16

Public Const VK_BACK = &H8
Public Const VK_TAB = &H9
Public Const VK_ESCAPE = &H1B
Public Const VK_SPACE = &H20
Public Const VK_PRIOR = &H21
Public Const VK_NEXT = &H22
Public Const VK_END = &H23
Public Const VK_HOME = &H24
Public Const VK_LEFT = &H25
Public Const VK_UP = &H26
Public Const VK_RIGHT = &H27
Public Const VK_DOWN = &H28
Public Const VK_INSERT = &H2D
Public Const VK_DELETE = &H2E
Public Const VK_MULTIPLY = &H6A
Public Const VK_ADD = &H6B
Public Const VK_SEPARATOR = &H6C
Public Const VK_SUBTRACT = &H6D
Public Const VK_DECIMAL = &H6E
Public Const VK_DIVIDE = &H6F
Public Const VK_F1 = &H70
Public Const VK_F2 = &H71
Public Const VK_F3 = &H72
Public Const VK_F4 = &H73
Public Const VK_F5 = &H74
Public Const VK_F6 = &H75
Public Const VK_F7 = &H76
Public Const VK_F8 = &H77
Public Const VK_F9 = &H78

    CommandBars.KeyBindings.Add FCONTROL, Asc("N"), ID_FILE_NEW
    CommandBars.KeyBindings.Add FCONTROL, Asc("O"), ID_FILE_OPEN
    CommandBars.KeyBindings.Add FCONTROL, Asc("S"), ID_FILE_SAVE
    CommandBars.KeyBindings.Add FCONTROL, Asc("X"), ID_EDIT_CUT
    CommandBars.KeyBindings.Add FCONTROL, Asc("C"), ID_EDIT_COPY
    CommandBars.KeyBindings.Add FCONTROL, Asc("V"), ID_EDIT_PASTE

See Also

KeyBindings Collection | KeyBindings Property | BeforeAdd Event | BeforeRemove Event | BeforeTranslate Event | AllowDoubleKeyShortcuts Property | AddShortcut Method

Example

KeyBindings Sample


%%PageItemTitle%%

KeyBindings Collection | Add Method | AllowDoubleKeyShortcuts Property

Command
The command ID which will be invoked when the accelerator is used.
Shortcut
String containing shortcut key(s) for the specified command.
See Also Command Bars ActiveX Control v19.3

AddShortcut Method

Description

Adds a key binding ( accelerator key ) for a command. Allows keys in String format.

Syntax

Public Sub AddShortcut( _
   ByVal Command As Long, _
   ByVal Shortcut As String _
)

Parameters

Command
The command ID which will be invoked when the accelerator is used.
Shortcut
String containing shortcut key(s) for the specified command.

Remarks

AddShortcut provides an easier method to add shortcuts (key bindings) for commands by allowing them to be entered in String format rather than needing ASCII codes as with the Add method.

The format for the Shortcut string must not include any spaces if used in combination with a key like "Ctrl". If allowing DoubleKeyShortcuts a comma "," must be placed between shortcuts. Reference the code sample below for the correct formatting.

Here is a list of all the "String" names for various key mappings (Use the name between quotes and see the samples below):

VK_LBUTTON = "Left Button"
VK_RBUTTON = "Right Button"
VK_CANCEL = "Ctrl+Break"
VK_MBUTTON = "Middle Button"
VK_BACK = "Backspace"
VK_TAB = "Tab"
VK_CLEAR = "Clear"
VK_RETURN = "Enter"
VK_SHIFT = "Shift"
VK_CONTROL = "Ctrl"
VK_MENU = "Alt"
VK_PAUSE = "Pause"
VK_CAPITAL = "Caps Lock"
VK_ESCAPE = "Esc"
VK_SPACE = "Space"
VK_PRIOR = "Page Up"
VK_NEXT = "Page Down"
VK_END = "End"
VK_HOME = "Home"
VK_LEFT = "Left Arrow"
VK_UP = "Up Arrow"
VK_RIGHT = "Right Arrow"
VK_DOWN = "Down Arrow"
VK_SELECT = "Select"
VK_PRINT = "Print"
VK_EXECUTE = "Execute"
VK_SNAPSHOT = "Snapshot"
VK_INSERT = "Ins"
VK_DELETE = "Del"
VK_HELP = "Help"
VK_LWIN = "Win"
VK_RWIN = "Win"
VK_APPS = "Application"
VK_MULTIPLY = "Num *"
VK_ADD = "Num +"
VK_SEPARATOR = "Separator"
VK_SUBTRACT = "Num -"
VK_DECIMAL = "Num ."
VK_DIVIDE = "Num /"
VK_F1 = "F1"
VK_F2 = "F2"
VK_F3 = "F3"
VK_F4 = "F4"
VK_F5 = "F5"
VK_F6 = "F6"
VK_F7 = "F7"
VK_F8 = "F8"
VK_F9 = "F9"
VK_F10 = "F10"
VK_F11 = "F11"
VK_F12 = "F12"
VK_NUMPAD0 = "Num 0"
VK_NUMPAD1 = "Num 1"
VK_NUMPAD2 = "Num 2"
VK_NUMPAD3 = "Num 3"
VK_NUMPAD4 = "Num 4"
VK_NUMPAD5 = "Num 5"
VK_NUMPAD6 = "Num 6"
VK_NUMPAD7 = "Num 7"
VK_NUMPAD8 = "Num 8"
VK_NUMPAD9 = "Num 9"
VK_NUMLOCK = "Num Lock"
VK_SCROLL = "Scrl Lock"
VK_ATTN = "Attn"
VK_CRSEL = "Crsel"
VK_EXSEL = "Exsel"
VK_EREOF = "Ereof"
VK_PLAY = "Play"
VK_ZOOM = "Zoom"
VK_NONAME = "No Name"
VK_PA1 = "Pa1"
VK_OEM_CLEAR = "Oem Clear"

Example

[Visual Basic]

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    KeyBindings.AllowDoubleKeyShortcuts = True
    'Example of a double shortcut key
    KeyBindings.AddShortcut ID_EDIT_PASTE, "Ctrl+V, Ctrl+P"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+K, Ctrl+Page Up"

See Also

KeyBindings Collection | Add Method | AllowDoubleKeyShortcuts Property


%%PageItemTitle%%

KeyBindings Collection

Command
The command ID which will be has the the accelerator to delete.
See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes a key binding ( accelerator key ) for a command.

Syntax

Public Sub Delete( _
   ByVal Command As Long _
)

Parameters

Command
The command ID which will be has the the accelerator to delete.

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

The DeleteAll method removes all keybindings that have been added with the Add method.

Syntax

Public Sub DeleteAll()

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

Command
The command ID (ID of the commandbar control the shortcut is assigned to) of the shortcut which will be invoked when the accelerator is used.
See Also Command Bars ActiveX Control v19.3

FindShortcut Method

Description

Returns a shortcut for the specified command.

Syntax

Public Function FindShortcut( _
   ByVal Command As Long _
) As KeyBinding

Parameters

Command
The command ID (ID of the commandbar control the shortcut is assigned to) of the shortcut which will be invoked when the accelerator is used.

Return Type

If found, returns a KeyBinding object for the specified command bar control's shortcut.

Example

[Find Shortcut From CommandBar ID sample. (Visual Basic)] Shows how to find a shortcut by CommandBar Control ID and how to iterate through all shortcuts.

    Dim KeyBindings As KeyBindings

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    Dim keyShortcut As KeyBinding

    'Finds a shortcut by commandbar ID
    keyShortcut = KeyBindings.FindShortcut (ID_FILE_NEW)

    If Not keyShortcut Is Nothing Then
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    End If

    For Each keyShortcut In KeyBindings
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    Next

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection | UseSystemKeyNameText Property

Key

Virtual-key of accelerator. Below is a list of virtual keys and codes. You must define these contants in your code, or use the Hex number:

VK_BACK = &H8
VK_TAB = &H9
VK_ESCAPE = &H1B
VK_SPACE = &H20
VK_PRIOR = &H21
VK_NEXT = &H22
VK_END = &H23
VK_HOME = &H24
VK_LEFT = &H25
VK_UP = &H26
VK_RIGHT = &H27
VK_DOWN = &H28
VK_INSERT = &H2D
VK_DELETE = &H2E
VK_MULTIPLY = &H6A
VK_ADD = &H6B
VK_SEPARATOR = &H6C
VK_SUBTRACT = &H6D
VK_DECIMAL = &H6E
VK_DIVIDE = &H6F
VK_F1 = &H70
VK_F2 = &H71
VK_F3 = &H72
VK_F4 = &H73
VK_F5 = &H74
VK_F6 = &H75
VK_F7 = &H76
VK_F8 = &H77
VK_F9 = &H78
VK_F10 = &H79
VK_F11 = &H7A
VK_F12 = &H7B

In addition to the list above, you can change the text for any Numeric or Alphabetic key:

Asc("x")

Replace the x with the character of your choice.

KeyName
New text that will be associated with virtual-key specified in the key parameter.
See Also Command Bars ActiveX Control v19.3

SetKeyNameText Method

Description

Set a custom string description to localize a shortcut key text description.

Syntax

Public Sub SetKeyNameText( _
   ByVal Key As Long, _
   ByVal KeyName As String _
)

Parameters

Key

Virtual-key of accelerator. Below is a list of virtual keys and codes. You must define these contants in your code, or use the Hex number:

VK_BACK = &H8
VK_TAB = &H9
VK_ESCAPE = &H1B
VK_SPACE = &H20
VK_PRIOR = &H21
VK_NEXT = &H22
VK_END = &H23
VK_HOME = &H24
VK_LEFT = &H25
VK_UP = &H26
VK_RIGHT = &H27
VK_DOWN = &H28
VK_INSERT = &H2D
VK_DELETE = &H2E
VK_MULTIPLY = &H6A
VK_ADD = &H6B
VK_SEPARATOR = &H6C
VK_SUBTRACT = &H6D
VK_DECIMAL = &H6E
VK_DIVIDE = &H6F
VK_F1 = &H70
VK_F2 = &H71
VK_F3 = &H72
VK_F4 = &H73
VK_F5 = &H74
VK_F6 = &H75
VK_F7 = &H76
VK_F8 = &H77
VK_F9 = &H78
VK_F10 = &H79
VK_F11 = &H7A
VK_F12 = &H7B

In addition to the list above, you can change the text for any Numeric or Alphabetic key:

Asc("x")

Replace the x with the character of your choice.

KeyName
New text that will be associated with virtual-key specified in the key parameter.

Remarks

UseSystemKeyNameText must be False to display the shortcut key descriptions set with SetKeyNameText.

Example

[Custom Shortcut Key Description (Visual Basic)] This sample illustrates how to set a custom Shortcut Key description.

'Place these constants in a Module .bas file
Public Const FSHIFT = 4
Public Const FCONTROL = 8
Public Const FALT = 16

Public Const VK_BACK = &H8
Public Const VK_LEFT = &H25
Public Const VK_UP = &H26
Public Const VK_RIGHT = &H27
Public Const VK_DOWN = &H28
Public Const VK_INSERT = &H2D

CommandBars.KeyBindings.Add FCONTROL, VK_HOME, 501
CommandBars.KeyBindings.Add FCONTROL, Asc("C"), 502

CommandBars.KeyBindings.UseSystemKeyNameText = True
CommandBars.KeyBindings.SetKeyNameText VK_HOME, "Press Home Key"
CommandBars.KeyBindings.SetKeyNameText Asc("C"), "Press C Key"

See Also

KeyBindings Collection | UseSystemKeyNameText Property


%%PageItemTitle%%

KeyBindings Collection | AddShortcut Method

See Also Command Bars ActiveX Control v19.3

AllowDoubleKeyShortcuts Property

Description

Enables or disables the use of double key shortcuts. (i.e. Ctrl+O, Ctrl+P)

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDoubleKeyShortcuts() As Boolean

Remarks

The format for the Shortcut string must not include any spaces if used in combination with a key like "Ctrl". A comma "," must be placed between shortcuts. Reference the code sample below for the correct formatting.

Example

[Visual Basic]

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    KeyBindings.AllowDoubleKeyShortcuts = True
    'Example of a double shortcut key
    KeyBindings.AddShortcut ID_EDIT_PASTE, "Ctrl+V, Ctrl+P"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+K, Ctrl+Page Up"

See Also

KeyBindings Collection | AddShortcut Method


%%PageItemTitle%%

KeyBindings Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of keybindings.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

See Also Command Bars ActiveX Control v19.3

DisableOnCapture Property

Description

Specifies whether the commandbars will process keybindings while another control is capturing input.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableOnCapture() As Boolean

Remarks

When False, the commandbars will process key bindings while the actions (mouse movement, clicks, etc.) is captured by another control (Picturebox, etc.)

When True the commandbars will only process keybindings when no other controls are capturing input.

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

See Also Command Bars ActiveX Control v19.3

EnableCustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableCustomShortcutText() As Boolean

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Enables/disables shortcut usage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection

Index
Index of the specified shortcut.
See Also Command Bars ActiveX Control v19.3

Shortcut Property

Description

Collection of shortcut items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Shortcut( _
   ByVal Index As Long _
) As KeyBinding

Parameters

Index
Index of the specified shortcut.

Remarks

This collection is useful for iterating through all keybinding that have been added to commandbar controls.

Example

[KeyBinding Sample (Visual Basic)] Shows how to find a shortcut by CommandBar Control ID and how to iterate through all shortcuts.

    Dim KeyBindings As KeyBindings

    Set KeyBindings = CommandBars.KeyBindings
    KeyBindings.AddShortcut ID_FILE_NEW, "Ctrl+N"
    KeyBindings.AddShortcut ID_FILE_OPEN, "Ctrl+O"
    KeyBindings.AddShortcut ID_FILE_SAVE, "Ctrl+S"
    KeyBindings.AddShortcut ID_EDIT_CUT, "Ctrl+X"
    KeyBindings.AddShortcut ID_EDIT_COPY, "Ctrl+C"

    Dim keyShortcut As KeyBinding

    'Finds a shortcut by commandbar ID
    keyShortcut = KeyBindings.FindShortcut (ID_FILE_NEW)

    If Not keyShortcut Is Nothing Then
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    End If

    For Each keyShortcut In KeyBindings
        Debug.Print "The commandbar control that uses this shortcut has an ID of " & keyShortcut.Command
        Debug.Print "The shortcut text for commandbar control with ID of " & keyShortcut.Command & " is " & keyShortcut.ShortcutText
    Next

See Also

KeyBindings Collection


%%PageItemTitle%%

KeyBindings Collection | SetKeyNameText Method

See Also Command Bars ActiveX Control v19.3

UseSystemKeyNameText Property

Description

Gets\sets whether system localized shortcut text will be used for shortcuts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSystemKeyNameText() As Boolean

Remarks

UseSystemKeyNameText is used for localization of shortcut key descriptions. When True, the text description that is displayed will be localized.

Setting this to True allows the system to localize shortcuts instead of using the predefined shortcuts table.

Custom text descriptions can be entered for most keys using the SetKeyNameText method. This allows you to localize the text for the shortcuts.

Example

[Custom ShortcutKey Descriptions (Visual Basic)] This sample illustrates how to set a custom Shortcut Key description.

'Place these constants in a Module .bas file
Public Const FSHIFT = 4
Public Const FCONTROL = 8
Public Const FALT = 16

Public Const VK_BACK = &H8
Public Const VK_LEFT = &H25
Public Const VK_UP = &H26
Public Const VK_RIGHT = &H27
Public Const VK_DOWN = &H28
Public Const VK_INSERT = &H2D

CommandBars.KeyBindings.Add FCONTROL, VK_HOME, 501

CommandBars.KeyBindings.UseSystemKeyNameText = True
CommandBars.KeyBindings.SetKeyNameText VK_HOME, "Press Home Key"

See Also

KeyBindings Collection | SetKeyNameText Method


%%PageItemTitle%%

KeyBindings Collection | Add Method | DeleteAll Method | BeforeRemove Event | BeforeTranslate Event | ShowKeyboardPage Property

fVirt

Specifies whether the Control, Shift and Alt keys are used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.
Cancel
[out] Set to True to cancel the shortcut from being added.
See Also Command Bars ActiveX Control v19.3

BeforeAdd Event

Description

Occurs when a shortcut key binding is added to a command using the commandbars customization dialog.

Syntax

Public Event BeforeAdd( _
   ByVal fVirt As Long, _
   ByVal Key As Long, _
   ByVal Command As Long, _
   ByRef Cancel As Variant _
)

Parameters

fVirt

Specifies whether the Control, Shift and Alt keys are used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.
Cancel
[out] Set to True to cancel the shortcut from being added.

Remarks

The BeforeAdd event occurs when a user adds a key binding\shortcut to a command using the KeyboardPage of the commandbars customization dialog. BeforeAdd occurs after the user adds the key binding but before it is actually assigned to the command, this gives you the opportunity to modify or cancel the operation.

Example

[Shortcut Key Constants (Visual Basic)] Shortcut Key Constants

Public Const FSHIFT = 4
Public Const FCONTROL = 8
Public Const FALT = 16

Public Const VK_BACK = &H8
Public Const VK_TAB = &H9
Public Const VK_ESCAPE = &H1B
Public Const VK_SPACE = &H20
Public Const VK_PRIOR = &H21
Public Const VK_NEXT = &H22
Public Const VK_END = &H23
Public Const VK_HOME = &H24
Public Const VK_LEFT = &H25
Public Const VK_UP = &H26
Public Const VK_RIGHT = &H27
Public Const VK_DOWN = &H28
Public Const VK_INSERT = &H2D
Public Const VK_DELETE = &H2E
Public Const VK_MULTIPLY = &H6A
Public Const VK_ADD = &H6B
Public Const VK_SEPARATOR = &H6C
Public Const VK_SUBTRACT = &H6D
Public Const VK_DECIMAL = &H6E
Public Const VK_DIVIDE = &H6F
Public Const VK_F1 = &H70
Public Const VK_F2 = &H71
Public Const VK_F3 = &H72
Public Const VK_F4 = &H73
Public Const VK_F5 = &H74
Public Const VK_F6 = &H75
Public Const VK_F7 = &H76
Public Const VK_F8 = &H77
Public Const VK_F9 = &H78

'Sample usage
Private Sub KeyBindings_BeforeAdd(ByVal fVirt As Long, ByVal key As Long, ByVal Command As Long, Cancel As Variant)
    Dim Action As CommandBarAction
    Set Action = CommandBars.Actions(Command)
    If Not Action Is Nothing Then
        Debug.Print "KeyBinding: " & Action.Caption
    End If
End Sub

See Also

KeyBindings Collection | Add Method | DeleteAll Method | BeforeRemove Event | BeforeTranslate Event | ShowKeyboardPage Property


%%PageItemTitle%%

KeyBindings Collection | Add Method | DeleteAll Method | BeforeAdd Event | BeforeTranslate Event | ShowKeyboardPage Property

fVirt

Specifies whether the Control, Shift and Alt keys are used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.
Cancel
[out] Set to True to cancel the shortcut from being removed.
See Also Command Bars ActiveX Control v19.3

BeforeRemove Event

Description

Occurs when a shortcut key binding is removed from a command using the commandbars customization dialog.

Syntax

Public Event BeforeRemove( _
   ByVal fVirt As Long, _
   ByVal Key As Long, _
   ByVal Command As Long, _
   ByRef Cancel As Variant _
)

Parameters

fVirt

Specifies whether the Control, Shift and Alt keys are used for the key binding.

Key

The ASCII key for the key binding.

Command
The command ID which will be invoked when the accelerator is used.
Cancel
[out] Set to True to cancel the shortcut from being removed.

Remarks

The BeforeRemove event occurs when a user removes a key binding\shortcut from a command using the KeyboardPage of the commandbars customization dialog. BeforeRemove occurs after the user removes the key binding but before it is actually removed from the command, this gives you the opportunity to modify or cancel the operation.

See Also

KeyBindings Collection | Add Method | DeleteAll Method | BeforeAdd Event | BeforeTranslate Event | ShowKeyboardPage Property


%%PageItemTitle%%

KeyBindings Collection | Add Method | DeleteAll Method | BeforeAdd Event | BeforeRemove Event

Command
The command ID associated with the accelerator that was just used.
Cancel
[out] Set to True to cancel the shortcut from being executed.
See Also Command Bars ActiveX Control v19.3

BeforeTranslate Event

Description

Occurs when a shortcut key binding\accelerator is used.

Syntax

Public Event BeforeTranslate( _
   ByVal Command As Long, _
   ByRef Cancel As Variant _
)

Parameters

Command
The command ID associated with the accelerator that was just used.
Cancel
[out] Set to True to cancel the shortcut from being executed.

Remarks

The BeforeTranslate event occurs when a user executes a key binding\shortcut that was added to a commandbars item using the Add method or added from the KeyboardPage of the commandbars customization dialog. BeforeTranslate occurs after the user presses the key binding on the keyboard but before it is actually executed, this gives you the opportunity to modify or cancel the operation.

Example

[Shortcut Key Constants (Visual Basic)] Shortcut Key Constants

Public Const FSHIFT = 4
Public Const FCONTROL = 8
Public Const FALT = 16

Public Const VK_BACK = &H8
Public Const VK_TAB = &H9
Public Const VK_ESCAPE = &H1B
Public Const VK_SPACE = &H20
Public Const VK_PRIOR = &H21
Public Const VK_NEXT = &H22
Public Const VK_END = &H23
Public Const VK_HOME = &H24
Public Const VK_LEFT = &H25
Public Const VK_UP = &H26
Public Const VK_RIGHT = &H27
Public Const VK_DOWN = &H28
Public Const VK_INSERT = &H2D
Public Const VK_DELETE = &H2E
Public Const VK_MULTIPLY = &H6A
Public Const VK_ADD = &H6B
Public Const VK_SEPARATOR = &H6C
Public Const VK_SUBTRACT = &H6D
Public Const VK_DECIMAL = &H6E
Public Const VK_DIVIDE = &H6F
Public Const VK_F1 = &H70
Public Const VK_F2 = &H71
Public Const VK_F3 = &H72
Public Const VK_F4 = &H73
Public Const VK_F5 = &H74
Public Const VK_F6 = &H75
Public Const VK_F7 = &H76
Public Const VK_F8 = &H77
Public Const VK_F9 = &H78

'Sampe usage
Private Sub KeyBindings_BeforeTranslate(ByVal Command As Long, Cancel As Variant)
    Dim Action As CommandBarAction
    Set Action = CommandBars.Actions(Command)
    If Not Action Is Nothing Then
        Debug.Print "KeyBinding: " & Action.Caption
    End If
End Sub

See Also

KeyBindings Collection | Add Method | DeleteAll Method | BeforeAdd Event | BeforeRemove Event


%%PageItemTitle%%

MarkupContext Members

See Also Command Bars ActiveX Control v19.3

MarkupContext Object

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.

For a list of all members defined in this module, see MarkupContext members.

Object Model

Remarks

MarkupContext is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the BackstageButton control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the BackStageButton control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful as in the example below.

Example

[Visual Basic]

Public Sub Hyperlink_Click(Reserved1 As Object, Reserved2 As Object)
    MsgBox "Clicked"
End Sub

Private Sub Form_Load()
    BackStageButton1.EnableMarkup = True
    BackStageButton1.MarkupContext.SetMethod Me, "Hyperlink_Click"
    BackStageButton1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
End Sub

See Also

MarkupContext Members


%%PageItemTitle%% $$Members$$

MarkupContext Overview

See Also Command Bars ActiveX Control v19.3

MarkupContext Object Members

Public Methods

Public Method FreezeUpdates |
Public Method SetHandler | Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.
Public Method SetMethod | Links a XAML event with a Subroutine or Function in code.
Public Method UnfreezeUpdates |
Public Method ValidateXML |

Public Properties

Public Property DefaultSmoothingMode |
Public Property DefaultTextSmoothingEnabled |
Public Property DpiAware |
Public Property EnableGdiPlus | Enables/disables GDI+ usage for Markup drawing.
Public Property Icons | Collection of icons to use with markup.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.

See Also

MarkupContext Overview


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
See Also Command Bars ActiveX Control v19.3

SetHandler Method

Description

Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.

Syntax

Public Sub SetHandler( _
   ByVal Handler As Object _
)

Parameters

Handler
Reference to the parent object.

Remarks

SetHandler enables event handling for a XAML object. This will link XAML events with a Subroutine or Function in code (VB, C#, etc).

Any XML Markup that is in the control's Caption property will be translated to viewable text. To enable event handling for a XML object call SetHandler. With SetHandler you only need to specify the Handler of the control and all functions names will be calculated from Markup.

In the sample below the "HyperClick" and "Hyperlink_MouseRightButtonUpEvent" subroutines are used to handle the Click and MouseRightButtonUp events of the hyperlink in the XML.

Connecting XML events to your code can be very useful if you need to react to the events of element of markup.

Example

[Catching the Click and RightMouseUp event in Markup for a Hyperlink (Visual Basic)] Shows how to catching the Click and RightMouseUp event in Markup for a Hyperlink. In this case the text is in the Caption of a BackStageButton control.

    Public Sub HyperClick(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " was clicked"
    End Sub

    Public Sub Hyperlink_MouseRightButtonUpEvent(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " has been right clicked"
    End Sub

    BackstageButton2.MarkupContext.SetHandler Me
    BackstageButton2.Caption = "<TextBlock>Text with <Hyperlink Tag='Link1' Click='HyperClick' MouseRightButtonUp='Hyperlink_MouseRightButtonUpEvent'>Hyperlink</Hyperlink></TextBlock>"

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.
See Also Command Bars ActiveX Control v19.3

SetMethod Method

Description

Links a XAML event with a Subroutine or Function in code.

Syntax

Public Sub SetMethod( _
   ByVal Handler As Object, _
   ByVal Method As String _
)

Parameters

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the BackstageButton control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the BackStageButton control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful as in the example below.

Example

[Visual Basic]

Public Sub Hyperlink_Click(Reserved1 As Object, Reserved2 As Object)
    MsgBox "Clicked"
End Sub

Private Sub Form_Load()
    BackStageButton1.EnableMarkup = True
    BackStageButton1.MarkupContext.SetMethod Me, "Hyperlink_Click"
    BackStageButton1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
End Sub

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

UnfreezeUpdates Method

Syntax

Public Sub UnfreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
See Also Command Bars ActiveX Control v19.3

ValidateXML Method

Syntax

Public Function ValidateXML( _
   ByVal Text As String _
) As String

Parameters

Text

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

DefaultSmoothingMode Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultSmoothingMode() As XTPMarkupSmoothingMode

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

DefaultTextSmoothingEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTextSmoothingEnabled() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

DpiAware Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DpiAware() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

EnableGdiPlus Property

Description

Enables/disables GDI+ usage for Markup drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableGdiPlus() As Boolean

Return Type

True to enable; False to disable GDI+.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

Icons Property

Description

Collection of icons to use with markup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for markup.

See the ToolTipContext object for a complete list of methods and properties.

See Also

MarkupContext Object


%%PageItemTitle%%

MenuBar Members

See Also Command Bars ActiveX Control v19.3

MenuBar Object

Description

MenuBar object.

For a list of all members defined in this module, see MenuBar members.

Object Model

See Also

MenuBar Members


%%PageItemTitle%% $$Members$$

MenuBar Overview

See Also Command Bars ActiveX Control v19.3

MenuBar Object Members

Public Methods

Public Method Delete | Deletes the command bar
Public Method EnableDocking | Enables docking of the command bar to different edges of the form or it can be "floating".
Public Method FindControl | Finds and returns the specified control within the command bar's collection of controls
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetWindowRect | Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies
Public Method ModifyStyle | Modifies the style of the command bar. This allows you to add/remove the "gripper".
Public Method RecalcLayout | Call this method to re-calculate the layout of the command bar after making a layout change.
Public Method RedrawBar | Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.
Public Method Reset | Resets the controls in the ToolBar to their original state.
Public Method SetFlags | Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar
Public Method SetIconSize | Sets the size of the actual bitmapped images to be added to the toolbar
Public Method SwitchMDIMenu | Switches MDI Menus at run time. Can also be used with SDI application menus.

Public Properties

Public Property BarID | Gets the ID of the command bar
Public Property BuiltIn | Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.
Public Property Closeable | Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ContextMenuPresent | Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.
Public Property Controls | Gets the collection of controls on the command bar.
Public Property Customizable | Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.
Public Property CustomizeDialogPresent | Gets\sets whether the toolbar appears in the Customization Dialog.
Public Property DefaultButtonStyle | Specifies the default style that will be applied to controls added to the toolbar.
Public Property EnableAnimation | Specifies whether to use animation effects with this command bar.
Public Property hWnd | Returns the handle of the command bar.
Public Property MDIMenus | Collection of MDI Menus in the MenuBar.
Public Property Parent | Gets the popup control representing the parent of the command bar.
Public Property Position | Gets/Sets the position of the command bar.
Public Property SelectedControl | Gets the currently selected control from a command bar.
Public Property ShowExpandButton | Shows or Hides the Expand Button for the Command Bar.
Public Property ShowGripper | Hides\Shows the toolbar gripper.
Public Property ShowTextBelowIcons | Shows the caption below the control's icon
Public Property Title | Gets/Sets the title of the command bar.
Public Property Type | Gets the type of the command bar.
Public Property Visible | Gets/Sets a boolean value indicating whether the command bar is visible.
Public Property Width | Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

See Also

MenuBar Overview


%%PageItemTitle%%

MenuBar Object | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the command bar

Syntax

Public Sub Delete()

See Also

MenuBar Object | DeleteAll Method


%%PageItemTitle%%

MenuBar Object

dwFlags

Specifies the edges of the form to which the command bar can be docked.

See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

Enables docking of the command bar to different edges of the form or it can be "floating".

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout

Specifies the edges of the form to which the command bar can be docked.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds and returns the specified control within the command bar's collection of controls

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight() As Integer

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth() As Integer

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

Left

The left point of the window rectangle

Top

The top point of the window rectangle

Right

The right point of the window rectangle

Bottom

The bottom point of the window rectangle

See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the window rectangle

Top

The top point of the window rectangle

Right

The right point of the window rectangle

Bottom

The bottom point of the window rectangle

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

Remove

Removes the style

Add

Adds a style

See Also Command Bars ActiveX Control v19.3

ModifyStyle Method

Description

Modifies the style of the command bar. This allows you to add/remove the "gripper".

Syntax

Public Sub ModifyStyle( _
   ByVal Remove As XTPCommandBarStyle, _
   ByVal Add As XTPCommandBarStyle _
)

Parameters

Remove
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.

Removes the style

Add
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.

Adds a style

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object | RedrawBar Method

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Call this method to re-calculate the layout of the command bar after making a layout change.

Syntax

Public Sub RecalcLayout()

Remarks

Call the RecalcLayout method to correctly size the command bar when the layout has changed. Layout refers to anything that changes the size of the command bar. For example, a layout change that require the RecalcLayout method to be called would be changing the caption of a Popup control (popups in the menu bar) when it is visible because the new caption could be smaller or wider, or the width of an edit control.

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

See Also

MenuBar Object | RedrawBar Method


%%PageItemTitle%%

MenuBar Object | RecalcLayout Method

See Also Command Bars ActiveX Control v19.3

RedrawBar Method

Description

Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.

Syntax

Public Sub RedrawBar()

Remarks

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

For layout changes, such as changing the caption of a visible menu item, the RecalcLayout method is used.

See Also

MenuBar Object | RecalcLayout Method


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the controls in the ToolBar to their original state.

Syntax

Public Sub Reset()

Remarks

This will reset the ToolBar to the state it was in when it was originally created. All user customizations will be lost.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

Add

Flags to be added

Remove

Flags to be removed

See Also Command Bars ActiveX Control v19.3

SetFlags Method

Description

Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar

Syntax

Public Sub SetFlags( _
   ByVal Add As XTPMenuBarFlags, _
   ByVal Remove As XTPMenuBarFlags _
)

Parameters

Add
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.

Flags to be added

Remove
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.

Flags to be removed

Example

[SetFlags Sample (Visual Basic)] This sample illustrates how to add\remove the MDI buttons displayed in the ActiveMenuBar.

    'This sample code illustrates how to add a MDI popup control on the menu bar.
    CommandBars(1).SetFlags xtpFlagAddMDISysPopup, 0

    'This sample code illustrates how to hide all MDI buttons on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMDIButtons, 0

    'This sample code illustrates how to hide the maximize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMaximizeBox, 0

    'This sample code illustrates how to hide the minimize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMinimizeBox, 0

    'This sample code illustrates how to hide the close MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideClose, 0

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

cx

Width in pixels of the toolbar's icons

cy

Height in pixels of the toolbar's icons

See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the actual bitmapped images to be added to the toolbar

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

Width in pixels of the toolbar's icons

cy

Height in pixels of the toolbar's icons

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object | MenuBarMDIMenu Object | MenuBarMDIMenus Object

Id
Id of the MDI menu to switch to.
See Also Command Bars ActiveX Control v19.3

SwitchMDIMenu Method

Description

Switches MDI Menus at run time. Can also be used with SDI application menus.

Syntax

Public Sub SwitchMDIMenu( _
   ByVal Id As Long _
)

Parameters

Id
Id of the MDI menu to switch to.

Remarks

MDI menus are used when there are many different types of documents and menus in an application. For example, you can have many different types of documents - like an image editor, text editor, etc. MDI menus allow you to easily display a different set of MDI menus for each type of document.

SwitchMDIMenu is used to manually switch between MDI menus, this is particularly useful for SDI applications. Many MDI menus can be added and switched depending on the situation. Simply pass in the Id of the MDI menu to switch too.

See Also

MenuBar Object | MenuBarMDIMenu Object | MenuBarMDIMenus Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

Gets the ID of the command bar

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

Remarks

This will not detect if the user add/deleted/modified control on the command bars, it only indicates if it is a user created command bar.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Closeable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closeable() As Boolean

Remarks

Command Bars to allows you to specify whether a specific command bar can be closed. If a command bar is not closeable, you will not be able to close or hide the command bar. You can use this to make sure that important controls are always displayed.

Note:

If Closeable is FALSE, then the Command Bar can not be un-checked in the toolbars page of the customization dialog.

Example

This sample code illustrates how to prevent the user from closing a specific command bar.

[Closeable Example (Visual Basic)]

CommandBars(2).Closeable = False

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

ContextMenuPresent Property

Description

Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextMenuPresent() As Boolean

Example

[ContextMenuPresent Sample (Visual Basic)] This sample code illustrates how to remove the first and third command bars from the popup context menu that allows you to hide the command bars.

    'This will remove the 1 and 3rd CommandBars from the ContextMenu
    CommandBars(1).ContextMenuPresent = False
    CommandBars(3).ContextMenuPresent = False

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls on the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Example

[Customizable Example 1 (Visual Basic)] This sample code illustrates how to enable command bar customization.

CommandBars.EnableCustomization (True)

[Customizable Example 2 (Visual Basic)] This sample code illustrates how to disable command bar customization for a specific command bar

CommandBars(2).Customizable = False

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

CustomizeDialogPresent Property

Description

Gets\sets whether the toolbar appears in the Customization Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomizeDialogPresent() As Boolean

Remarks

By default, CustomizeDialogPresent is True.

Set CustomizeDialogPresent to False to hide the toolbar's name inside the Customization Dialog so that the user can not hide\unhide it.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

DefaultButtonStyle Property

Description

Specifies the default style that will be applied to controls added to the toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButtonStyle() As XTPButtonStyle

Remarks

DefaultButtonStyle accepts a flag from the XTPButtonStyle enumeration that will specify the style that will be applied to all controls added to the toolbar.

After a control is added you can override this style by setting the style of the individual control.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object | Paintmanager EnableAnimation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects with this command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Command bar animation effects include checking and un-checking items, roll over effects of items, and displaying popup menus. EnableAnimation effects all of the before mentioned animation effects for this command bar only.

To disable animation in all command bars use the Paintmanager EnableAnimation property.

See Also

MenuBar Object | Paintmanager EnableAnimation Property


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

MDIMenus Property

Description

Collection of MDI Menus in the MenuBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MDIMenus() As MenuBarMDIMenus

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the popup control representing the parent of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBarControl

Remarks

This property can be used to detect which popup control was clicked when the command bars InitCommandsPopup event is triggered.

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object | CommandBarKeyDown Event | ControlRButtonUp Event

See Also Command Bars ActiveX Control v19.3

SelectedControl Property

Description

Gets the currently selected control from a command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedControl() As CommandBarControl

Remarks

The SelectedControl property will only contain a control while a control is selected. A control is selected when it has focus. For example, then the mouse pointer is positioned over a control or the menu is navigated with the Arrow keys.

The SelectedControl property is intended to be used with the CommandBarKeyDown event. This property allows you to determine which control has focus when a key is pressed. See the CommandBarKeyDown description for an example.

See Also

MenuBar Object | CommandBarKeyDown Event | ControlRButtonUp Event


%%PageItemTitle%%

MenuBar Object | ShowExpandButtonAlways Property

See Also Command Bars ActiveX Control v19.3

ShowExpandButton Property

Description

Shows or Hides the Expand Button for the Command Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButton() As Boolean

Remarks

ShowExpandButton shows or hides the Expand Button for the individual Toolbars. To hide the Expand Button for all Command Bars, use the ShowExpandButtonAlways property.

See Also

MenuBar Object | ShowExpandButtonAlways Property


%%PageItemTitle%%

MenuBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method

See Also Command Bars ActiveX Control v19.3

ShowGripper Property

Description

Hides\Shows the toolbar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGripper() As Boolean

Remarks

By default, a toolbar will display a gripper that is used to indicate that the toolbar can be "gripped" and moved by the user. The gripper is cosmetic only, removing the gripper will not disable movement of the toolbar. ShowGripper can also be used to determine if the gripper is currently visible.

The ModifyStyle method can also be used to show\hide the gripper using the XTP_CBRS_GRIPPER flag.

Note:

To modify where the toolbar can be docked, you need to use the EnableDocking to specify where a toolbar can be docked.

See Also

MenuBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

ShowTextBelowIcons Property

Description

Shows the caption below the control's icon

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelowIcons() As Boolean

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Gets/Sets the title of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the command bar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

MenuBar Object


%%PageItemTitle%%

MenuBar Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

MenuBar Object


%%PageItemTitle%%

MenuBarMDIMenu Members

See Also Command Bars ActiveX Control v19.3

MenuBarMDIMenu Object

Description

MDI Menu Object.

For a list of all members defined in this module, see MenuBarMDIMenu members.

Object Model

Remarks

This is displayed in the "Menu" customization dialog.

See Also

MenuBarMDIMenu Members


%%PageItemTitle%% $$Members$$

MenuBarMDIMenu Overview

See Also Command Bars ActiveX Control v19.3

MenuBarMDIMenu Object Members

Public Properties

Public Property Caption | Caption of the MDI menu.
Public Property Controls | Collection of controls for this menu.
Public Property Description | Description of the menu.
Public Property Id | Id of the menu.

See Also

MenuBarMDIMenu Overview


%%PageItemTitle%%

MenuBarMDIMenu Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Caption of the MDI menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

This is displayed in the "Menu" customization dialog.

See Also

MenuBarMDIMenu Object


%%PageItemTitle%%

MenuBarMDIMenu Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Collection of controls for this menu.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

MenuBarMDIMenu Object


%%PageItemTitle%%

MenuBarMDIMenu Object

See Also Command Bars ActiveX Control v19.3

Description Property

Description

Description of the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is displayed in the "Menu" customization dialog.

See Also

MenuBarMDIMenu Object


%%PageItemTitle%%

MenuBarMDIMenu Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Id of the menu.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

MenuBarMDIMenu Object


%%PageItemTitle%%

MenuBarMDIMenus Members

See Also Command Bars ActiveX Control v19.3

MenuBarMDIMenus Collection

Description

Collection of menu bars to be used in a MDI environment.

For a list of all members defined in this module, see MenuBarMDIMenus members.

Object Model

Remarks

MDI menus are used when there are many different types of documents and menus in an application. For example, you can have many different types of documents - like an image editor, text editor, etc. MDI menus allow you to easily display a different set of MDI menus for each type of document.

MDI menus are displayed in the "Menu" customization dialog. Users can also customize these menus.

See Also

MenuBarMDIMenus Members


%%PageItemTitle%% $$Members$$

MenuBarMDIMenus Overview

See Also Command Bars ActiveX Control v19.3

MenuBarMDIMenus Collection Members

Public Methods

Public Method Add | Adds a MenuBarMDIMenu to the menu bars collection.
Public Method DeleteAll | Deletes all menus from the collection.

Public Properties

Public Property Count | Total number of menus in the collection.
Public Property Item | Collection of MenuBarMDIMenu items.

See Also

MenuBarMDIMenus Overview


%%PageItemTitle%%

MenuBarMDIMenus Collection

Id
Id of the MenuBarMDIMenu.
Caption
Caption of the MenuBarMDIMenu.
Description
Description of the MenuBarMDIMenu.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a MenuBarMDIMenu to the menu bars collection.

Syntax

Public Function Add( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal Description As String _
) As MenuBarMDIMenu

Parameters

Id
Id of the MenuBarMDIMenu.
Caption
Caption of the MenuBarMDIMenu.
Description
Description of the MenuBarMDIMenu.

Remarks

MDI menus are used when there are many different types of documents and menus in an application. For example, you can have many different types of documents - like an image editor, text editor, etc. MDI menus allow you to easily display a different set of MDI menus for each type of document.

MDI menus are displayed in the "Menu" customization dialog. This is where you will see the Caption and Descriptions used. Users can also customize these menus.

See Also

MenuBarMDIMenus Collection


%%PageItemTitle%%

MenuBarMDIMenus Collection

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Deletes all menus from the collection.

Syntax

Public Sub DeleteAll()

See Also

MenuBarMDIMenus Collection


%%PageItemTitle%%

MenuBarMDIMenus Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of menus in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

MenuBarMDIMenus Collection


%%PageItemTitle%%

MenuBarMDIMenus Collection

Id
Id of the MenuBarMDIMenu to retrieve.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Collection of MenuBarMDIMenu items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Id As Long _
) As MenuBarMDIMenu

Parameters

Id
Id of the MenuBarMDIMenu to retrieve.

See Also

MenuBarMDIMenus Collection


%%PageItemTitle%%

MessageBar Members | MessageBar Property | AddButton Method | AddCloseButton Method | Message Property | Visible Property

See Also Command Bars ActiveX Control v19.3

MessageBar Object

Description

Represents a Message Bar object.

For a list of all members defined in this module, see MessageBar members.

Remarks

The message bar is an Office 2007 style message bar similar to that displayed when opening a document with a "unsafe" macro or other "unsafe" content in MS Word 2007.

The MessageBar property of the commandbars is used to refence the message bar.

Example

[Visual Basic]

    Dim MessageBar As MessageBar
    Set MessageBar = CommandBars.MessageBar
    MessageBar.Visible = True

    MessageBar.AddCloseButton "Close Message Bar"
    MessageBar.AddButton ID_EDIT_COPY, "Options...", "Show more options"
    MessageBar.Message = _
        "<StackPanel Orientation='Horizontal'>" & _
        " <Image Source='32988'/>" & _
        " <TextBlock Padding='3, 0, 0, 0' VerticalAlignment='Center'><Bold>Security Warning</Bold></TextBlock>" & _
        " <TextBlock Padding='10, 0, 0, 0' VerticalAlignment='Center'>Certain content has been disabled.</TextBlock>" & _
        "</StackPanel>"

See Also

MessageBar Members | MessageBar Property | AddButton Method | AddCloseButton Method | Message Property | Visible Property


%%PageItemTitle%% $$Members$$

MessageBar Overview | MessageBar Property | AddButton Method | AddCloseButton Method | Message Property | Visible Property

See Also Command Bars ActiveX Control v19.3

MessageBar Object Members

Public Methods

Public Method AddButton | Adds a button to the message bar.
Public Method AddCloseButton | Adds a close button to the message bar.
Public Method RemoveButtons | Removes all buttons from the message bar.

Public Properties

Public Property Height |
Public Property Message | Gets or sets the message displayed in the message bar.
Public Property Visible | Gets or sets whether the Message Bar is currently visible.

See Also

MessageBar Overview | MessageBar Property | AddButton Method | AddCloseButton Method | Message Property | Visible Property


%%PageItemTitle%%

MessageBar Object | Execute Event | RemoveButtons Method

Id
Id of the button.
Caption
Text displayed inside the button.
ToolTip
Text displayed as a tooltip when the mouse is placed over the button.
See Also Command Bars ActiveX Control v19.3

AddButton Method

Description

Adds a button to the message bar.

Syntax

Public Sub AddButton( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal ToolTip As String _
)

Parameters

Id
Id of the button.
Caption
Text displayed inside the button.
ToolTip
Text displayed as a tooltip when the mouse is placed over the button.

Remarks

AddButton adds a button to the message bar. The Id of the button is sent to the Execute event when the button is clicked and any additional action can be carried out. It is possible to add many buttons.

Example

[Visual Basic]

    Dim MessageBar As MessageBar
    Set MessageBar = CommandBars.MessageBar
    MessageBar.Visible = True

    MessageBar.AddCloseButton "Close Message Bar"
    MessageBar.AddButton ID_EDIT_COPY, "Options...", "Show more options"
    MessageBar.Message = _
        "<StackPanel Orientation='Horizontal'>" & _
        " <Image Source='32988'/>" & _
        " <TextBlock Padding='3, 0, 0, 0' VerticalAlignment='Center'><Bold>Security Warning</Bold></TextBlock>" & _
        " <TextBlock Padding='10, 0, 0, 0' VerticalAlignment='Center'>Certain content has been disabled.</TextBlock>" & _
        "</StackPanel>"

See Also

MessageBar Object | Execute Event | RemoveButtons Method


%%PageItemTitle%%

MessageBar Object | Visible Property

ToolTip
Text displayed as a tooltip when the mouse is placed over the close button.
See Also Command Bars ActiveX Control v19.3

AddCloseButton Method

Description

Adds a close button to the message bar.

Syntax

Public Sub AddCloseButton( _
   ByVal ToolTip As String _
)

Parameters

ToolTip
Text displayed as a tooltip when the mouse is placed over the close button.

Remarks

Clicking on the close button will set Visible equal to False. Set Visible to True to display the Message Bar again.

Example

[Visual Basic]

    Dim MessageBar As MessageBar
    Set MessageBar = CommandBars.MessageBar
    MessageBar.Visible = True

    MessageBar.AddCloseButton "Close Message Bar"
    MessageBar.AddButton ID_EDIT_COPY, "Options...", "Show more options"
    MessageBar.Message = _
        "<StackPanel Orientation='Horizontal'>" & _
        " <Image Source='32988'/>" & _
        " <TextBlock Padding='3, 0, 0, 0' VerticalAlignment='Center'><Bold>Security Warning</Bold></TextBlock>" & _
        " <TextBlock Padding='10, 0, 0, 0' VerticalAlignment='Center'>Certain content has been disabled.</TextBlock>" & _
        "</StackPanel>"

See Also

MessageBar Object | Visible Property


%%PageItemTitle%%

MessageBar Object | AddButton Method

See Also Command Bars ActiveX Control v19.3

RemoveButtons Method

Description

Removes all buttons from the message bar.

Syntax

Public Sub RemoveButtons()

Remarks

Removes all buttons from the message bar.

See Also

MessageBar Object | AddButton Method


%%PageItemTitle%%

MessageBar Object

See Also Command Bars ActiveX Control v19.3

Height Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

MessageBar Object


%%PageItemTitle%%

MessageBar Object

See Also Command Bars ActiveX Control v19.3

Message Property

Description

Gets or sets the message displayed in the message bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Message() As String

Remarks

The message displayed can contain simple text or it can contain a XML string as in the sample below. Use XML strings to add items such as images and formatted text.

Example

[Visual Basic]

    Dim MessageBar As MessageBar
    Set MessageBar = CommandBars.MessageBar
    MessageBar.Visible = True

    MessageBar.AddCloseButton "Close Message Bar"
    MessageBar.AddButton ID_EDIT_COPY, "Options...", "Show more options"
    MessageBar.Message = _
        "<StackPanel Orientation='Horizontal'>" & _
        " <Image Source='32988'/>" & _
        " <TextBlock Padding='3, 0, 0, 0' VerticalAlignment='Center'><Bold>Security Warning</Bold></TextBlock>" & _
        " <TextBlock Padding='10, 0, 0, 0' VerticalAlignment='Center'>Certain content has been disabled.</TextBlock>" & _
        "</StackPanel>"

See Also

MessageBar Object


%%PageItemTitle%%

MessageBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets or sets whether the Message Bar is currently visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

MessageBar Object


%%PageItemTitle%%

MiniToolBar Members | AddMiniToolBar Method | AddPopup Method | PopupContextMenu Method | PopupMiniToolBar Method

See Also Command Bars ActiveX Control v19.3

MiniToolBar Object

Description

Represents a MiniToolbar object.

For a list of all members defined in this module, see MiniToolBar members.

Object Model

Remarks

MiniToolBar is a Office 2007 style context toolbar. It has many uses, for example, you might want to display a MiniToolbar presenting some of the more commonly used commands that a user would probably want to use in a given situation like selecting text. For example, this can save the user allot of time by making font related tasks available without fumbling through tabs or menus. So to effectively use a MiniToolbar you would place all commands the user would most probably want to use when performing a given action.

A MiniToolbar can be displayed by itself using PopupMiniToolBar or it can be displayed with a context menu displayed underneath it using PopupContextMenu.

Use AddMiniToolBar to create a new MiniToolBar object. After creation the MiniToolbar needs to be added to the commandbars collection of context menus using AddPopup.

Example

[Visual Basic]

Private Sub Form_Load()
    Dim MiniToolBar As MiniToolBar
    'Create a MiniToolbar object
    Set MiniToolBar = CommandBars.AddMiniToolBar("MiniBar")

    'Add the MiniToolbar to the commandbars collection of context menus
    CommandBars.ContextMenus.AddPopup MiniToolBar

    'Add controls to the Mini Toolbar
    With MiniToolBar.Controls
        Dim Combo As CommandBarComboBox, ComboPopup As CommandBar

        Set Combo = .Add(xtpControlComboBox, ID_FONT_FACE, "Font Face")
        Combo.DropDownListStyle = True
        Combo.Width = 64
        Combo.Text = "Tahoma"
        Combo.AutoComplete = True

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)

        Dim GalleryFont As CommandBarGallery, GallerySize As CommandBarGallery
        Set GalleryFont = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_FACE, "")
        GalleryFont.Width = 290
        GalleryFont.Height = 508
        GalleryFont.Resizable = xtpAllowResizeWidth Or xtpAllowResizeHeight

        Set Combo.CommandBar = ComboPopup

        Set Combo = .Add(xtpControlComboBox, ID_FONT_SIZE, "Font Size")
        Combo.DropDownListStyle = True
        Combo.Width = 50
        Combo.Text = "10"

        Set ComboPopup = CommandBars.Add("Combo Popup", xtpBarComboBoxGalleryPopup)
        Set GallerySize = ComboPopup.Controls.Add(xtpControlGallery, ID_FONT_SIZE, "")
        GallerySize.Width = 42
        GallerySize.Height = 16 * 17
        GallerySize.Resizable = xtpAllowResizeHeight
        Set Combo.CommandBar = ComboPopup

        .Add xtpControlButton, ID_FONT_GROW, ""
        .Add xtpControlButton, ID_FONT_SHRINK, ""
        .Add xtpControlButton, ID_TEXT_COLOR, ""
        .Add xtpControlButton, ID_CHAR_BOLD, ""
        .Add xtpControlButton, ID_CHAR_ITALIC, ""
        .Add xtpControlButton, ID_PARA_LEFT, ""
        .Add xtpControlButton, ID_PARA_CENTER, ""
        .Add xtpControlButton, ID_PARA_RIGHT, ""
        .Add xtpControlButton, ID_PARA_INCREASEINDENT, ""
        .Add xtpControlButton, ID_PARA_DECREASEINDENT, ""
        .Add xtpControlButton, ID_INSERT_BULLET, ""

        MiniToolBar.Width = 22 * 8 + 4

    End With
End Sub

Private Sub txtClient_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim MiniToolBar As MiniToolBar

    If (Button = 2) Then
        ZOrder

        Dim Popup As CommandBar
        Set Popup = CommandBars.ContextMenus(1)

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupContextMenu Popup
    End If

    If (Button = 1 And txtClient.SelLength > 0) Then

        Set MiniToolBar = CommandBars.ContextMenus(2)

        'Popup.ShowPopup
        MiniToolBar.PopupMiniToolBar
    End If
End Sub

See Also

MiniToolBar Members | AddMiniToolBar Method | AddPopup Method | PopupContextMenu Method | PopupMiniToolBar Method


%%PageItemTitle%% $$Members$$

MiniToolBar Overview | AddMiniToolBar Method | AddPopup Method | PopupContextMenu Method | PopupMiniToolBar Method

See Also Command Bars ActiveX Control v19.3

MiniToolBar Object Members

Public Methods

Public Method Delete | Deletes the command bar
Public Method EnableDocking | Enables docking of the command bar to different edges of the form or it can be "floating".
Public Method FindControl | Finds and returns the specified control within the command bar's collection of controls
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetWindowRect | Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies
Public Method PopupContextMenu | Displays the MiniToolbar without a context menu below.
Public Method PopupMiniToolBar | Displays the MiniToolbar without a context menu below.
Public Method RecalcLayout | Call this method to re-calculate the layout of the command bar after making a layout change.
Public Method RedrawBar | Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.
Public Method Reset | Resets the controls in the ToolBar to their original state.
Public Method SetFlags | Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar
Public Method SetIconSize | Sets the size of the actual bitmapped images to be added to the toolbar

Public Properties

Public Property BarID | Gets the ID of the command bar
Public Property BuiltIn | Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.
Public Property Closeable | Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ContextMenuPresent | Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.
Public Property Controls | Gets the collection of controls on the command bar.
Public Property CustomControlKeyboardInteraction |
Public Property Customizable | Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.
Public Property DefaultButtonStyle | Specifies the default style that will be applied to controls added to the toolbar.
Public Property EnableAnimation | Specifies whether to use animation effects with this command bar.
Public Property hWnd | Returns the handle of the command bar.
Public Property Position | Gets/Sets the position of the command bar.
Public Property SelectedControl | Gets the currently selected control from a command bar.
Public Property ShowGripper | Hides\Shows the toolbar gripper.
Public Property ShowTextBelowIcons | Shows the caption below the control's icon
Public Property Title | Gets/Sets the title of the command bar.
Public Property Type | Gets the type of the command bar.
Public Property Visible | Gets/Sets a boolean value indicating whether the command bar is visible.
Public Property Width | Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

See Also

MiniToolBar Overview | AddMiniToolBar Method | AddPopup Method | PopupContextMenu Method | PopupMiniToolBar Method


%%PageItemTitle%%

MiniToolBar Object | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the command bar

Syntax

Public Sub Delete()

See Also

MiniToolBar Object | DeleteAll Method


%%PageItemTitle%%

MiniToolBar Object

dwFlags

Specifies the edges of the form to which the command bar can be docked.

See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

Enables docking of the command bar to different edges of the form or it can be "floating".

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout

Specifies the edges of the form to which the command bar can be docked.

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds and returns the specified control within the command bar's collection of controls

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type

Type of the control to find

Id

Control's identifier

Visible

Control is visible

Recursive

To find in the nested command bars

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight() As Integer

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth() As Integer

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

Left

The left point of the window rectangle

Top

The top point of the window rectangle

Right

The right point of the window rectangle

Bottom

The bottom point of the window rectangle

See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

Gets the bounding rectangle of the command bar. This is the area of the window that the command bar occupies

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the window rectangle

Top

The top point of the window rectangle

Right

The right point of the window rectangle

Bottom

The bottom point of the window rectangle

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object | AddPopup Method | AddMiniToolBar Method | PopupMiniToolBar Method | ContextMenus Property

PopupBar
Reference to a CommandBar to be displayed under the MiniToolbar.
Flags
(Optional) The TrackPopupFlags of the MiniToolbar.
x
(Optional) The x-coordinate where the MiniToolbar should be shown.
y
(Optional) The y-coordinate where the MiniToolbar should be shown.
See Also Command Bars ActiveX Control v19.3

PopupContextMenu Method

Description

Displays the MiniToolbar without a context menu below.

Syntax

Public Function PopupContextMenu( _
   ByVal PopupBar As CommandBar, _
   Optional ByVal Flags As Variant, _
   Optional ByVal x As Variant, _
   Optional ByVal y As Variant _
) As Long

Parameters

PopupBar
Reference to a CommandBar to be displayed under the MiniToolbar.
Flags
(Optional) The TrackPopupFlags of the MiniToolbar.
x
(Optional) The x-coordinate where the MiniToolbar should be shown.
y
(Optional) The y-coordinate where the MiniToolbar should be shown.

Remarks

A MiniToolbar can be displayed by itself using PopupMiniToolBar or it can be displayed with a context menu displayed underneath it using PopupContextMenu.

When using PopupContextMenu a CommandBar object is displayed under the MiniToolbar. Generally the CommandBar object is one that is stored in the ContextMenus collection. See the supplied sample on how to accomplish this.

See Also

MiniToolBar Object | AddPopup Method | AddMiniToolBar Method | PopupMiniToolBar Method | ContextMenus Property

Example

MiniToolBar Sample


%%PageItemTitle%%

MiniToolBar Object | PopupContextMenu Method | AddMiniToolBar Method | AddPopup Method

Flags
(Optional) The TrackPopupFlags of the MiniToolbar.
x
(Optional) The x-coordinate where the MiniToolbar should be shown.
y
(Optional) The y-coordinate where the MiniToolbar should be shown.
See Also Command Bars ActiveX Control v19.3

PopupMiniToolBar Method

Description

Displays the MiniToolbar without a context menu below.

Syntax

Public Function PopupMiniToolBar( _
   Optional ByVal Flags As Variant, _
   Optional ByVal x As Variant, _
   Optional ByVal y As Variant _
) As Long

Parameters

Flags
(Optional) The TrackPopupFlags of the MiniToolbar.
x
(Optional) The x-coordinate where the MiniToolbar should be shown.
y
(Optional) The y-coordinate where the MiniToolbar should be shown.

Remarks

A MiniToolbar can be displayed by itself using PopupMiniToolBar or it can be displayed with a context menu displayed underneath it using PopupContextMenu.

See Also

MiniToolBar Object | PopupContextMenu Method | AddMiniToolBar Method | AddPopup Method

Example

MiniToolBar Sample


%%PageItemTitle%%

MiniToolBar Object | RedrawBar Method

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Call this method to re-calculate the layout of the command bar after making a layout change.

Syntax

Public Sub RecalcLayout()

Remarks

Call the RecalcLayout method to correctly size the command bar when the layout has changed. Layout refers to anything that changes the size of the command bar. For example, a layout change that require the RecalcLayout method to be called would be changing the caption of a Popup control (popups in the menu bar) when it is visible because the new caption could be smaller or wider, or the width of an edit control.

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

See Also

MiniToolBar Object | RedrawBar Method


%%PageItemTitle%%

MiniToolBar Object | RecalcLayout Method

See Also Command Bars ActiveX Control v19.3

RedrawBar Method

Description

Call this method to redraw the command bar after making a change that requires the command bar to be re-painted.

Syntax

Public Sub RedrawBar()

Remarks

For visible changes to the command bar such as changing the icon of a visible button, the RedrawBar method is used.

For layout changes, such as changing the caption of a visible menu item, the RecalcLayout method is used.

See Also

MiniToolBar Object | RecalcLayout Method


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the controls in the ToolBar to their original state.

Syntax

Public Sub Reset()

Remarks

This will reset the ToolBar to the state it was in when it was originally created. All user customizations will be lost.

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

Add

Flags to be added

Remove

Flags to be removed

See Also Command Bars ActiveX Control v19.3

SetFlags Method

Description

Sets the flags of the command bar. This allows you to add/remove the MDI buttons that are displayed in the command bar

Syntax

Public Sub SetFlags( _
   ByVal Add As XTPMenuBarFlags, _
   ByVal Remove As XTPMenuBarFlags _
)

Parameters

Add
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.

Flags to be added

Remove
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.

Flags to be removed

Example

[SetFlags Sample (Visual Basic)] This sample illustrates how to add\remove the MDI buttons displayed in the ActiveMenuBar.

    'This sample code illustrates how to add a MDI popup control on the menu bar.
    CommandBars(1).SetFlags xtpFlagAddMDISysPopup, 0

    'This sample code illustrates how to hide all MDI buttons on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMDIButtons, 0

    'This sample code illustrates how to hide the maximize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMaximizeBox, 0

    'This sample code illustrates how to hide the minimize MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideMinimizeBox, 0

    'This sample code illustrates how to hide the close MDI button on the menu bar.
    CommandBars(1).SetFlags xtpFlagHideClose, 0

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

cx

Width in pixels of the toolbar's icons

cy

Height in pixels of the toolbar's icons

See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the actual bitmapped images to be added to the toolbar

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

Width in pixels of the toolbar's icons

cy

Height in pixels of the toolbar's icons

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

Gets the ID of the command bar

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

Gets whether the command bar is a built-in command bar or a command bar added by the user using the customize dialog.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

Remarks

This will not detect if the user add/deleted/modified control on the command bars, it only indicates if it is a user created command bar.

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Closeable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is closeable. If false, the command bar can not be closed or hidden

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closeable() As Boolean

Remarks

Command Bars to allows you to specify whether a specific command bar can be closed. If a command bar is not closeable, you will not be able to close or hide the command bar. You can use this to make sure that important controls are always displayed.

Note:

If Closeable is FALSE, then the Command Bar can not be un-checked in the toolbars page of the customization dialog.

Example

This sample code illustrates how to prevent the user from closing a specific command bar.

[Closeable Example (Visual Basic)]

CommandBars(2).Closeable = False

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

ContextMenuPresent Property

Description

Gets / Sets whether a command to hide/show the command bar is added to the context menu that is displayed when you right click on any command bar. By default, all command bars are added to the context menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextMenuPresent() As Boolean

Example

[ContextMenuPresent Sample (Visual Basic)] This sample code illustrates how to remove the first and third command bars from the popup context menu that allows you to hide the command bars.

    'This will remove the 1 and 3rd CommandBars from the ContextMenu
    CommandBars(1).ContextMenuPresent = False
    CommandBars(3).ContextMenuPresent = False

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls on the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

CustomControlKeyboardInteraction Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomControlKeyboardInteraction() As Boolean

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Gets/Sets a Boolean value indicating whether the command bar is customizable. If false, this command bar cannot be customized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Example

[Customizable Example 1 (Visual Basic)] This sample code illustrates how to enable command bar customization.

CommandBars.EnableCustomization (True)

[Customizable Example 2 (Visual Basic)] This sample code illustrates how to disable command bar customization for a specific command bar

CommandBars(2).Customizable = False

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

DefaultButtonStyle Property

Description

Specifies the default style that will be applied to controls added to the toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButtonStyle() As XTPButtonStyle

Remarks

DefaultButtonStyle accepts a flag from the XTPButtonStyle enumeration that will specify the style that will be applied to all controls added to the toolbar.

After a control is added you can override this style by setting the style of the individual control.

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object | Paintmanager EnableAnimation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects with this command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Command bar animation effects include checking and un-checking items, roll over effects of items, and displaying popup menus. EnableAnimation effects all of the before mentioned animation effects for this command bar only.

To disable animation in all command bars use the Paintmanager EnableAnimation property.

See Also

MiniToolBar Object | Paintmanager EnableAnimation Property


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object | CommandBarKeyDown Event | ControlRButtonUp Event

See Also Command Bars ActiveX Control v19.3

SelectedControl Property

Description

Gets the currently selected control from a command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedControl() As CommandBarControl

Remarks

The SelectedControl property will only contain a control while a control is selected. A control is selected when it has focus. For example, then the mouse pointer is positioned over a control or the menu is navigated with the Arrow keys.

The SelectedControl property is intended to be used with the CommandBarKeyDown event. This property allows you to determine which control has focus when a key is pressed. See the CommandBarKeyDown description for an example.

See Also

MiniToolBar Object | CommandBarKeyDown Event | ControlRButtonUp Event


%%PageItemTitle%%

MiniToolBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method

See Also Command Bars ActiveX Control v19.3

ShowGripper Property

Description

Hides\Shows the toolbar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGripper() As Boolean

Remarks

By default, a toolbar will display a gripper that is used to indicate that the toolbar can be "gripped" and moved by the user. The gripper is cosmetic only, removing the gripper will not disable movement of the toolbar. ShowGripper can also be used to determine if the gripper is currently visible.

The ModifyStyle method can also be used to show\hide the gripper using the XTP_CBRS_GRIPPER flag.

Note:

To modify where the toolbar can be docked, you need to use the EnableDocking to specify where a toolbar can be docked.

See Also

MiniToolBar Object | ModifyStyle Method | XTPCommandBarStyle Enumeration | EnableDocking Method


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

ShowTextBelowIcons Property

Description

Shows the caption below the control's icon

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelowIcons() As Boolean

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Gets/Sets the title of the command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the command bar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

MiniToolBar Object


%%PageItemTitle%%

MiniToolBar Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets / Sets the width of the toolbar when it is floating, displayed as a popup, or a mini toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

MiniToolBar Object


%%PageItemTitle%%

PaintManager Members | PaintManager Property

See Also Command Bars ActiveX Control v19.3

PaintManager Object

Description

Contains settings that can be used to modify the way the commandbars displays text, popup menus, and the workspace.

For a list of all members defined in this module, see PaintManager members.

Remarks

The commandbars PaintManager property uses the PaintManager object to control the way the commandbars displays text, popup menus, and the workspace.

See Also

PaintManager Members | PaintManager Property


%%PageItemTitle%% $$Members$$

PaintManager Overview | PaintManager Property

See Also Command Bars ActiveX Control v19.3

PaintManager Object Members

Public Methods

Public Method DrawRectangle | Used to draw an empty button\rectangle with the current theme and colors.
Public Method FillWorkspace | Draws the workspace background color when using the Ribbon bar.
Public Method GetRectangleTextColor | Returns the color of a button\rectangle given the selected, pressed, enabled, checked, popuped, bartype, and barposition.
Public Method LoadFrameIcon |
Public Method RefreshMetrics | Call this method to refresh the visual metrics of the commandbars paintmanager.

Public Properties

Public Property AutoResizeIcons | Specifies whether to auto-resize icons to be proportionate to the current font height.
Public Property ClearTypeTextQuality | Enables or disables the use of ClearType text in the commandbars.
Public Property EnableAnimation | Enables or disables the use of animation when displaying a popup menu, moving the mouse over items, and checking\un checking items.
Public Property FlatMenuBar | Enables or disables the use of gradients to produce a "rounded" menubar for themes that support a round menubar.
Public Property FlatToolBar | Enables or disables the use of gradients to produce a "rounded" toolbar for themes that support round toolbars.
Public Property SelectImageInPopupBar | Specifies whether to select the image when an item is selected in a popup menu.
Public Property ShowShadow | Enables or disables the use of shadows under popup menus.
Public Property ThemedCheckBox | Specifies whether to use the native Windows XP check box controls.
Public Property ThemedStatusBar | Specifies whether to use the native Windows XP statusbar.
Public Property ThickCheckMark | Specifies whether to draw thick check marks for "checked" items.

See Also

PaintManager Overview | PaintManager Property


%%PageItemTitle%%

PaintManager Object | GetRectangleTextColor Method | DrawItem Event

hDC
Pointer to a valid device context.
x
Left coordinate of the item to draw. Combine with y to get the top left corner of the item to draw.
y
Top coordinate of the item to draw. Combine with x to get the top left corner of the item to draw.
cx
Right coordinate of the item to draw. Combine with cy to get the bottom right corner of the item to draw.
cy
Bottom coordinate of the item to draw. Combine with cx to get the bottom right corner of the item to draw.
Selected
Set to True if the button\rectangle should be drawn in a selected state.
Pressed
Set to True if the button\rectangle should be drawn in a pressed state.
Enabled
Set to True if the button\rectangle should be drawn in a enabled state.
Checked
Set to True if the button\rectangle should be drawn in a checked state.
Popuped
Set to True if the button\rectangle should be drawn in a "popuped" state. This is the state of a button when it is pressed and it is displaying a popup menu.
barType
Type of parent bar.
barPosition
Parent's bar position.
See Also Command Bars ActiveX Control v19.3

DrawRectangle Method

Description

Used to draw an empty button\rectangle with the current theme and colors.

Syntax

Public Sub DrawRectangle( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal Selected As Boolean, _
   ByVal Pressed As Boolean, _
   ByVal Enabled As Boolean, _
   ByVal Checked As Boolean, _
   ByVal Popuped As Boolean, _
   ByVal barType As XTPBarType, _
   ByVal barPosition As XTPBarPosition _
)

Parameters

hDC
Pointer to a valid device context.
x
Left coordinate of the item to draw. Combine with y to get the top left corner of the item to draw.
y
Top coordinate of the item to draw. Combine with x to get the top left corner of the item to draw.
cx
Right coordinate of the item to draw. Combine with cy to get the bottom right corner of the item to draw.
cy
Bottom coordinate of the item to draw. Combine with cx to get the bottom right corner of the item to draw.
Selected
Set to True if the button\rectangle should be drawn in a selected state.
Pressed
Set to True if the button\rectangle should be drawn in a pressed state.
Enabled
Set to True if the button\rectangle should be drawn in a enabled state.
Checked
Set to True if the button\rectangle should be drawn in a checked state.
Popuped
Set to True if the button\rectangle should be drawn in a "popuped" state. This is the state of a button when it is pressed and it is displaying a popup menu.
barType
Value | Description
xtpBarTypeMenuBar | The command bar is a menu bar.
xtpBarTypeNormal | The command bar is a normal command bar.
xtpBarTypePopup | The command bar is a popup command bar.
xtpBarTypeRibbon | The command bar is a Ribbon bar. When using the Ribbon bar, ActiveMenubar will return a reference to the Ribbon bar.
Type of parent bar.
barPosition
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
Parent's bar position.

Remarks

The DrawRectangle method allows you to manually draw a button. This can be useful when using the parameters of the DrawItem event to draw custom galley items. Typically you would first use DrawRectangle to draw the item so that you have the correct background color, then you would draw over this with your custom item.

See Also

PaintManager Object | GetRectangleTextColor Method | DrawItem Event

Example

Using DrawRectangle in the DrawItem Event to Draw Custom Gallery items


%%PageItemTitle%%

PaintManager Object

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of workspace to fill.
cy
Height of workspace to fill.
See Also Command Bars ActiveX Control v19.3

FillWorkspace Method

Description

Draws the workspace background color when using the Ribbon bar.

Syntax

Public Sub FillWorkspace( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of workspace to fill.
cy
Height of workspace to fill.

Remarks

If the Ribbon is not used, then the workspace will be filled with the default system color.

Example

[FillWorkspace Sample (Visual Basic)] This sample illustrates how to use the FillWorkspace method to fill in the Commandbars workspace. This is mainly used to draw the themed background color of the different Ribbon themes (blue, aqua, black). All other themes will draw the system default.

Private Sub Form_Paint()

    On Error Resume Next

    Dim Left As Long
    Dim Top As Long
    Dim Right As Long
    Dim Bottom As Long
    CommandBars.GetClientRect Left, Top, Right, Bottom

    CommandBars.PaintManager.FillWorkspace Me.hDC, Left, Top, Right - Left, Bottom - Top
End Sub

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object | DrawRectangle Method

Selected
Set to True if the button\rectangle should be in a selected state.
Pressed
Set to True if the button\rectangle should be in a pressed state.
Enabled
Set to True if the button\rectangle should be in a enabled state.
Checked
Set to True if the button\rectangle should be in a checked state.
Popuped
Set to True if the button\rectangle should be in a "popuped" state. This is the state of a button when it is pressed and it is displaying a popup menu.
barType
Type of parent bar.
barPosition
Parent's bar position.
See Also Command Bars ActiveX Control v19.3

GetRectangleTextColor Method

Description

Returns the color of a button\rectangle given the selected, pressed, enabled, checked, popuped, bartype, and barposition.

Syntax

Public Function GetRectangleTextColor( _
   ByVal Selected As Boolean, _
   ByVal Pressed As Boolean, _
   ByVal Enabled As Boolean, _
   ByVal Checked As Boolean, _
   ByVal Popuped As Boolean, _
   ByVal barType As XTPBarType, _
   ByVal barPosition As XTPBarPosition _
) As ULong

Parameters

Selected
Set to True if the button\rectangle should be in a selected state.
Pressed
Set to True if the button\rectangle should be in a pressed state.
Enabled
Set to True if the button\rectangle should be in a enabled state.
Checked
Set to True if the button\rectangle should be in a checked state.
Popuped
Set to True if the button\rectangle should be in a "popuped" state. This is the state of a button when it is pressed and it is displaying a popup menu.
barType
Value | Description
xtpBarTypeMenuBar | The command bar is a menu bar.
xtpBarTypeNormal | The command bar is a normal command bar.
xtpBarTypePopup | The command bar is a popup command bar.
xtpBarTypeRibbon | The command bar is a Ribbon bar. When using the Ribbon bar, ActiveMenubar will return a reference to the Ribbon bar.
Type of parent bar.
barPosition
Value | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.
Parent's bar position.

See Also

PaintManager Object | DrawRectangle Method


%%PageItemTitle%%

PaintManager Object

Module
Path
Width
Height
See Also Command Bars ActiveX Control v19.3

LoadFrameIcon Method

Syntax

Public Sub LoadFrameIcon( _
   ByVal Module As Integer, _
   ByVal Path As String, _
   ByVal Width As Long, _
   ByVal Height As Long _
)

Parameters

Module
Path
Width
Height

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object | FillWorkspace Method | ClearTypeTextQuality Property | EnableAnimation Property | FlatMenuBar Property | FlatToolBar Property | ShowShadow Property

See Also Command Bars ActiveX Control v19.3

RefreshMetrics Method

Description

Call this method to refresh the visual metrics of the commandbars paintmanager.

Syntax

Public Sub RefreshMetrics()

Remarks

Call this method to refresh the visual metrics of the commandbars paintmanager such as changes made with the FillWorkspace method, EnableAnimation, ClearTypeTextQuality, FlatMenuBar, FlatToolBar, and ShowShadow properties.

See Also

PaintManager Object | FillWorkspace Method | ClearTypeTextQuality Property | EnableAnimation Property | FlatMenuBar Property | FlatToolBar Property | ShowShadow Property


%%PageItemTitle%%

PaintManager Object | FontHeight Property

See Also Command Bars ActiveX Control v19.3

AutoResizeIcons Property

Description

Specifies whether to auto-resize icons to be proportionate to the current font height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoResizeIcons() As Boolean

Remarks

When the FontHeight is changes you can use AutoResizeIcons to auto-resize icons to be proportionate to the current font height. If you choose False, then the icons will remain the original size.

See Also

PaintManager Object | FontHeight Property


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

ClearTypeTextQuality Property

Description

Enables or disables the use of ClearType text in the commandbars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearTypeTextQuality() As Boolean

Remarks

ClearTypeTextQuality is only supported in Windows XP and higher. ClearType text delivers improved font display quality over traditional forms of font smoothing or anti-aliasing. ClearType text improves readability on LCD displays and flat panel displays. Readability on CRT screens is also minimally improved.

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object | Animation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Enables or disables the use of animation when displaying a popup menu, moving the mouse over items, and checking\un checking items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Enables or disables the use of animation when displaying a popup menu, moving the mouse over items, and checking\un checking items. This effects the animation of all toolbars and menus. You can also individually change the animation settings of popup menus and toolbars by setting the EnableAnimation property for the individal item.

The animation property specifies which type of animation will be used when the popup menu is displayed.

See Also

PaintManager Object | Animation Property


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

FlatMenuBar Property

Description

Enables or disables the use of gradients to produce a "rounded" menubar for themes that support a round menubar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatMenuBar() As Boolean

Remarks

Enables or disables the use of gradients to produce a "rounded" menubar for themes that support a round menubar such as Office 2003, Whidbey, Office 2007, and Ribbon.

By default this will be True for the themes mentioned above.

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

FlatToolBar Property

Description

Enables or disables the use of gradients to produce a "rounded" toolbar for themes that support round toolbars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatToolBar() As Boolean

Remarks

Enables or disables the use of gradients to produce a "rounded" toolbar for themes that support round toolbars such as Office 2003, Whidbey, Office 2007, and Ribbon.

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

SelectImageInPopupBar Property

Description

Specifies whether to select the image when an item is selected in a popup menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectImageInPopupBar() As Boolean

Remarks

Used on in the xtpThemeNativeWinXP theme.

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

ShowShadow Property

Description

Enables or disables the use of shadows under popup menus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

Enables or disables the use of shadows under popup menus.

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

ThemedCheckBox Property

Description

Specifies whether to use the native Windows XP check box controls.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedCheckBox() As Boolean

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

ThemedStatusBar Property

Description

Specifies whether to use the native Windows XP statusbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedStatusBar() As Boolean

See Also

PaintManager Object


%%PageItemTitle%%

PaintManager Object

See Also Command Bars ActiveX Control v19.3

ThickCheckMark Property

Description

Specifies whether to draw thick check marks for "checked" items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThickCheckMark() As Boolean

See Also

PaintManager Object


%%PageItemTitle%%

PrintInfo Members | IPrintView Object

See Also Command Bars ActiveX Control v19.3

PrintInfo Object

Description

Printing information used by the IPrintView interface events.

For a list of all members defined in this module, see PrintInfo members.

See Also

PrintInfo Members | IPrintView Object


%%PageItemTitle%% $$Members$$

PrintInfo Overview | IPrintView Object

See Also Command Bars ActiveX Control v19.3

PrintInfo Object Members

Public Properties

Public Property ContinuePrinting | Specifies whether to continue printing.
Public Property CurrentPage | Gets or sets the current page to print.
Public Property MaxPage | Gets or sets the maximum number of pages to display in the preview.
Public Property PreviewMode | Specifies whether the print view is in preview mode.
Public Property PrintRectBottom | Bottom coordinate of the print view.
Public Property PrintRectLeft | Left coordinate of the print view.
Public Property PrintRectRight | Right coordinate of the print view.
Public Property PrintRectTop | Top coordinate of the print view.

See Also

PrintInfo Overview | IPrintView Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

ContinuePrinting Property

Description

Specifies whether to continue printing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContinuePrinting() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

CurrentPage Property

Description

Gets or sets the current page to print.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrentPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

MaxPage Property

Description

Gets or sets the maximum number of pages to display in the preview.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

PreviewMode Property

Description

Specifies whether the print view is in preview mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

PrintRectBottom Property

Description

Bottom coordinate of the print view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectBottom() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

PrintRectLeft Property

Description

Left coordinate of the print view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectLeft() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

PrintRectRight Property

Description

Right coordinate of the print view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectRight() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Command Bars ActiveX Control v19.3

PrintRectTop Property

Description

Top coordinate of the print view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectTop() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintPageHeaderFooter Members

See Also Command Bars ActiveX Control v19.3

PrintPageHeaderFooter Object

For a list of all members defined in this module, see PrintPageHeaderFooter members.

See Also

PrintPageHeaderFooter Members


%%PageItemTitle%% $$Members$$

PrintPageHeaderFooter Overview

See Also Command Bars ActiveX Control v19.3

PrintPageHeaderFooter Object Members

Public Methods

Public Method Clear

Public Properties

Public Property Font
Public Property FormatString
Public Property TextCenter
Public Property TextLeft
Public Property TextRight

See Also

PrintPageHeaderFooter Overview


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

Clear Method

Syntax

Public Sub Clear()

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

Font Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

FormatString Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormatString() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

TextCenter Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextCenter() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

TextLeft Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLeft() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Command Bars ActiveX Control v19.3

TextRight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextRight() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPreview Members

See Also Command Bars ActiveX Control v19.3

PrintPreview Control

Description

Used to display a print preview\print view dialog\form.

For a list of all members defined in this module, see PrintPreview members.

Object Model

Example

[Displays a RTF document in a print preview dialog (Visual Basic)]

Private Sub mnuPreviewRTFPage_Click()
    Dim frmPreview As New frmPreview

    Dim FreeF As Integer, sFile As String, sLayout As String
    Dim Text As String

    On Error Resume Next:

    'XML string will be loaded from the file.
    sFile = App.Path & "\PrintPreview.rtf"
    FreeF = FreeFile
    Text = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , Text
    Close #FreeF
    On Error GoTo 0

    frmPreview.PrintPreview.PrintView = frmPreview.PrintPreview.CreateRichEditPrintView(Text)
    frmPreview.Show vbModal

End Sub

See Also

PrintPreview Members


%%PageItemTitle%% $$Members$$

PrintPreview Overview

See Also Command Bars ActiveX Control v19.3

PrintPreview Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method CreateMarkupPrintView | Creates an IPrintView object from the supplied XAML Markup string.
Public Method CreateRichEditPrintView | Creates an IPrintView object from the supplied RTF string.
Public Method PrintDirect | Print directly to a specified device context.
Public Method ShowPrintDialog | Displays the standard print dialog.

Public Properties

Public Property BackColor | Gets/sets the background color of the preview window.
Public Property Orientation | Specifies the page orientation (Portrait\Landscape)
Public Property PrintView | Contains the view that will be shown in the print preview control.
Public Property ReCreateReparented |
Public Property ShowBorder | Specifies whether to show a border around the preview window.
Public Property Title | Text displayed in the title bar of the print preview window.
Public Property ToolBar | Reference to the toolbar displayed in the preview window.
Public Property ToolBarVisible | Gets or sets whether the toolbar will be visible in the preview window.
Public Property VisualTheme | Gets or sets the visual theme of the preview window.
Public Property ZoomState | Gets or sets a value indicating how large the pages will appear.

Events

Public Event CloseClick | Occurs when the close button of the print preview dialog has been clicked.
Public Event PrintClick | Occurs when the print button of the print preview dialog has been clicked.
Public Event ReCreated |

See Also

PrintPreview Overview


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control | PrintView Property

MarkupText
XAML Markup string.
See Also Command Bars ActiveX Control v19.3

CreateMarkupPrintView Method

Description

Creates an IPrintView object from the supplied XAML Markup string.

Syntax

Public Function CreateMarkupPrintView( _
   ByVal MarkupText As String _
) As IPrintView

Parameters

MarkupText
XAML Markup string.

Return Type

IPrintView object created from the supplied XAML Markup string.

Remarks

The created IPrintView object needs to be assigned to PrintView before it can be viewed. then you can show the form the PrintPreview control is on and it will display the created print view.

See Also

PrintPreview Control | PrintView Property


%%PageItemTitle%%

PrintPreview Control

Text
RTF string.
See Also Command Bars ActiveX Control v19.3

CreateRichEditPrintView Method

Description

Creates an IPrintView object from the supplied RTF string.

Syntax

Public Function CreateRichEditPrintView( _
   ByVal Text As String _
) As IPrintView

Parameters

Text
RTF string.

Return Type

IPrintView object created from the supplied string.

Remarks

The created IPrintView object needs to be assigned to PrintView before it can be viewed. then you can show the form the PrintPreview control is on and it will display the created print view.

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

hDC
See Also Command Bars ActiveX Control v19.3

PrintDirect Method

Description

Print directly to a specified device context.

Syntax

Public Sub PrintDirect( _
   ByVal hDC As Integer _
)

Parameters

hDC

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control | PrintClick Event

See Also Command Bars ActiveX Control v19.3

ShowPrintDialog Method

Description

Displays the standard print dialog.

Syntax

Public Sub ShowPrintDialog()

Remarks

This would typically be called in the PrintClick event.

See Also

PrintPreview Control | PrintClick Event


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

BackColor Property

Description

Gets/sets the background color of the preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

Gets/sets the background color of the preview window.

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

Orientation Property

Description

Specifies the page orientation (Portrait\Landscape)

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As XTPPrintOrientation

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

PrintView Property

Description

Contains the view that will be shown in the print preview control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintView() As IPrintView

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to show a border around the preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

Return Type

True to show a border, False to hide the border.

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Text displayed in the title bar of the print preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ToolBar Property

Description

Reference to the toolbar displayed in the preview window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolBar() As CommandBar

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ToolBarVisible Property

Description

Gets or sets whether the toolbar will be visible in the preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolBarVisible() As Boolean

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

VisualTheme Property

Description

Gets or sets the visual theme of the preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPVisualTheme

Remarks

The theme for the preview window can be different than the theme used for the commandbars or ribbon.

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ZoomState Property

Description

Gets or sets a value indicating how large the pages will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ZoomState() As Long

Remarks

50 = 50, 100 = 100, 1000 = 1000%, etc...

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

CloseClick Event

Description

Occurs when the close button of the print preview dialog has been clicked.

Syntax

Public Event CloseClick()

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

PrintClick Event

Description

Occurs when the print button of the print preview dialog has been clicked.

Syntax

Public Event PrintClick()

See Also

PrintPreview Control


%%PageItemTitle%%

PrintPreview Control

See Also Command Bars ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

PrintPreview Control


%%PageItemTitle%%

PropExchange Members

See Also Command Bars ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[Loading and Saving to\from a file (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        Dim Options As StateOptions
        Set Options = CommandBars.CreateStateOptions
        Options.SerializeControls = True
        Options.SaveOnlyCustomized = True
        Options.SaveOriginalControls = False
        Options.SerializeOptions = True
        Options.SerializeLayout = True

        'Creates a section called "CommandBars" if saving or
        'retieves data from the "CommandBars" node of loading.
        Set pxSection = px.GetSection("CommandBars")

        'Loads or Saves the settings of the StateOptions object
        'Note: The StateOptions specify what to save or load of
        'the commandbars layout\state.
        CommandBars.DoPropExchange pxSection, Options

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Command Bars ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Command Bars ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Command Bars ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Command Bars ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Command Bars ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Command Bars ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Command Bars ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Command Bars ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Command Bars ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Command Bars ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Command Bars ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Command Bars ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Command Bars ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Command Bars ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

RecentFileList Members | RecentFileList Property | CreateCommandBarControl Method | RecentFileList Property

See Also Command Bars ActiveX Control v19.3

RecentFileList Collection

Description

Recent File List (MRU) object.

For a list of all members defined in this module, see RecentFileList members.

Object Model

Remarks

See RecentFileList for more details.

RecentFileListItem represents an item entry that is displayed in a RecentFileList and contains the caption, icon, file path name and pinned status for the item.

When the RecentFileListItem is added to a standard Recent File List the caption is what is displayed for the item in the list. This is also true for the Office 2007 style list. When using the Office 2010 style list the caption is not displayed in the list.

The icon Id is only used to display an icon in Office 2007 and older recent file lists. Using the Office 2010 style list this Id is not used and instead the icon used by the system for that file type will be used.

The path name is used to store the entire path including filename. For Office 2007 and older styles recent file list the path name is displayed as a tooltip for the RecentFileListItem, the caption is only displayed for this item. For Office 2010 style list the path name is fully displayed in the item as 2 lines, the first line contains the file name and the second contains the entire path to the file name.

The pinned state of the item will display a pin icon to the right of the item if Pinable is True for the RecentFileList. When the item is "pinned" it will be displayed at the top of the list, regardless of the order it was added. By default items are listed in the order in which they were added. When "pinned", the pin icon will also change showing the item is in fact pinned.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

Office 2007 style list:

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Set ControlFile = RibbonBar.AddSystemButton

Dim PopupBar As CommandBar
Set PopupBar = CommandBars.CreateCommandBar("CXTPRibbonSystemPopupBar")

Set ControlFile.CommandBar = PopupBar

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"

With PopupBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

End With

Office 2010 style:

Office 2007 style:

See Also

RecentFileList Members | RecentFileList Property | CreateCommandBarControl Method | RecentFileList Property

Example

RecentFileList Property


%%PageItemTitle%% $$Members$$

RecentFileList Overview | RecentFileList Property | CreateCommandBarControl Method | RecentFileList Property

See Also Command Bars ActiveX Control v19.3

RecentFileList Collection Members

Public Methods

Public Method Add | Adds an item to the MRU.
Public Method Remove | Removes an item from the MRU.

Public Properties

Public Property Count | Total number of items in the MRU.
Public Property Item | Collections of items in the MRU.
Public Property MaxSize | Gets\sets the maximum number of items that can be added to the MRU.
Public Property Pinable | True if the MRU is a pinnable MRU (for ribbon).

See Also

RecentFileList Overview | RecentFileList Property | CreateCommandBarControl Method | RecentFileList Property


%%PageItemTitle%%

RecentFileList Collection

PathName
Path to the file to display in the MRU. This path must also include the filename.
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds an item to the MRU.

Syntax

Public Function Add( _
   ByVal PathName As String _
) As RecentFileListItem

Parameters

PathName
Path to the file to display in the MRU. This path must also include the filename.

Remarks

Only the filename will get displayed. A tooltip will display the full path to the file. You can get the full path from the Parameter property when in the Execute event.

See Also

RecentFileList Collection

Example

RecentFileList Property


%%PageItemTitle%%

RecentFileList Collection

Index
Index of the item to remove.
See Also Command Bars ActiveX Control v19.3

Remove Method

Description

Removes an item from the MRU.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to remove.

See Also

RecentFileList Collection


%%PageItemTitle%%

RecentFileList Collection

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of items in the MRU.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

RecentFileList Collection


%%PageItemTitle%%

RecentFileList Collection

Index
Index of an item in the MRU.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Collections of items in the MRU.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Integer _
) As RecentFileListItem

Parameters

Index
Index of an item in the MRU.

See Also

RecentFileList Collection


%%PageItemTitle%%

RecentFileList Collection

See Also Command Bars ActiveX Control v19.3

MaxSize Property

Description

Gets\sets the maximum number of items that can be added to the MRU.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxSize() As Long

See Also

RecentFileList Collection


%%PageItemTitle%%

RecentFileList Collection

See Also Command Bars ActiveX Control v19.3

Pinable Property

Description

True if the MRU is a pinnable MRU (for ribbon).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pinable() As Boolean

See Also

RecentFileList Collection


%%PageItemTitle%%

RecentFileListItem Members

See Also Command Bars ActiveX Control v19.3

RecentFileListItem Object

Description

Represents an item displayed in a Recent File List (MRU List) .

For a list of all members defined in this module, see RecentFileListItem members.

Remarks

RecentFileListItem represents an item entry that is displayed in a RecentFileList and contains the caption, icon, file path name and pinned status for the item.

When the RecentFileListItem is added to a standard Recent File List the caption is what is displayed for the item in the list. This is also true for the Office 2007 style list. When using the Office 2010 style list the caption is not displayed in the list.

The icon Id is only used to display an icon in Office 2007 and older recent file lists. Using the Office 2010 style list this Id is not used and instead the icon used by the system for that file type will be used.

The path name is used to store the entire path including filename. For Office 2007 and older styles recent file list the path name is displayed as a tooltip for the RecentFileListItem, the caption is only displayed for this item. For Office 2010 style list the path name is fully displayed in the item as 2 lines, the first line contains the file name and the second contains the entire path to the file name.

The pinned state of the item will display a pin icon to the right of the item if Pinable is True for the RecentFileList. When the item is "pinned" it will be displayed at the top of the list, regardless of the order it was added. By default items are listed in the order in which they were added. When "pinned", the pin icon will also change showing the item is in fact pinned.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

Office 2007 style list:

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Set ControlFile = RibbonBar.AddSystemButton

Dim PopupBar As CommandBar
Set PopupBar = CommandBars.CreateCommandBar("CXTPRibbonSystemPopupBar")

Set ControlFile.CommandBar = PopupBar

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"

With PopupBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

End With

See Also

RecentFileListItem Members


%%PageItemTitle%% $$Members$$

RecentFileListItem Overview

See Also Command Bars ActiveX Control v19.3

RecentFileListItem Object Members

Public Properties

Public Property Caption | Gets or sets the caption displayed for the item in the recent file list.
Public Property IconId | Gets or sets the ID of the icon displayed for the item in the recent file list.
Public Property PathName | Gets or sets the path name used to store the entire path including filename file the item.
Public Property Pinned | Gets or sets the pinned state for the item.
Public Property Tag | Stores any extra string data needed for the item.

See Also

RecentFileListItem Overview


%%PageItemTitle%%

RecentFileListItem Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets or sets the caption displayed for the item in the recent file list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

The caption displayed for the item in the recent file list.

Remarks

By default the caption contains a blank string.

When the RecentFileListItem is added to a standard Recent File List the caption is what is displayed for the item in the list. This is also true for the Office 2007 style list. When using the Office 2010 style list the caption is not displayed in the list.

Office 2010 style list using the Office2010 style BackstageListBox to display the RecentFileList:

Dim RecentFileList As RecentFileList

RecentFileListBox.ToolTipContext.Style = xtpToolTipResource

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"
RecentFileListBox.CreateRecentFileListItems RecentFileList

Office 2007 style list:

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Set ControlFile = RibbonBar.AddSystemButton

Dim PopupBar As CommandBar
Set PopupBar = CommandBars.CreateCommandBar("CXTPRibbonSystemPopupBar")

Set ControlFile.CommandBar = PopupBar

CommandBars.RecentFileList.Add "C:\Program Files\Test1.xml"

CommandBars.RecentFileList.Add "C:\Program Files\Test2.xml"

With PopupBar.Controls

Set Control = CommandBars.CreateCommandBarControl("CXTPRibbonControlSystemRecentFileList")
Control.Caption = "Recent Documents"
Control.BeginGroup = True
Control.Id = XTP_ID_FILE_MRU
.AddControl Control

End With

See Also

RecentFileListItem Object


%%PageItemTitle%%

RecentFileListItem Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets or sets the ID of the icon displayed for the item in the recent file list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Integer

Return Type

Id of the icon displayed for the item in the recent file list.

Remarks

The icon Id is only used to display an icon in Office 2007 and older recent file lists. Using the Office 2010 style list this Id is not used and instead the icon used by the system for that file type will be used.

See Also

RecentFileListItem Object


%%PageItemTitle%%

RecentFileListItem Object

See Also Command Bars ActiveX Control v19.3

PathName Property

Description

Gets or sets the path name used to store the entire path including filename file the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PathName() As String

Remarks

The path name is used to store the entire path including filename. For Office 2007 and older styles recent file list the path name is displayed as a tooltip for the RecentFileListItem. For Office 2010 style list the path name is fully displayed in the item as 2 lines, the first line contains the file name and the second contains the entire path to the file name.

See Also

RecentFileListItem Object


%%PageItemTitle%%

RecentFileListItem Object

See Also Command Bars ActiveX Control v19.3

Pinned Property

Description

Gets or sets the pinned state for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pinned() As Boolean

Return Type

The pinned state for the item.

Remarks

The pinned state of the item will display a pin icon to the right of the item if Pinable is True for the RecentFileList. When the item is "pinned" it will be displayed at the top of the list, regardless of the order it was added. By default items are listed in the order in which they were added. When "pinned", the pin icon will also change showing the item is in fact pinned.

See Also

RecentFileListItem Object


%%PageItemTitle%%

RecentFileListItem Object

See Also Command Bars ActiveX Control v19.3

Tag Property

Description

Stores any extra string data needed for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As String

Return Type

String containing any extra data added for the item.

See Also

RecentFileListItem Object


%%PageItemTitle%%

ResourceImages Members

See Also Command Bars ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpThemeResource or xtpThemeRibbon AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Command Bars ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor | Retrieves the current color of the specified resource theme display element.
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
Section the the element is in. I.e. Ribbon, Window, Toolbar, etc.
KeyName
Name of the element in the section whos color you want to return. I.e. RibbonFace, RibbonText, RecentFileListBackground, etc.
See Also Command Bars ActiveX Control v19.3

GetColor Method

Description

Retrieves the current color of the specified resource theme display element.

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
Section the the element is in. I.e. Ribbon, Window, Toolbar, etc.
KeyName
Name of the element in the section whos color you want to return. I.e. RibbonFace, RibbonText, RecentFileListBackground, etc.

Return Type

Integer representation of the color used for the specified element.

Remarks

Sample usage:

ResourceImages.GetColor(“Window”, “ButtonFace”)

ResourceImages.GetColor(“Ribbon”, “RibbonText ”)

You can open any of the style DLLs as a resource to view the various INI files that are contained in them. Inside the items contained in brackets are the Sections and the items below the section are the KeyNames. Below is the Ribbon section and key names from the black 2010 theme. View the INI files for a complete list of sections and key names.

[Ribbon]

RibbonFace = 115 115 115
RibbonInactiveFace = 158 158 158

RibbonText = 226 226 226

GroupSpacing = 0

TabSelectedText = 0 0 0
TabNormalText = 226 226 226
TabHighlightText = 255 255 255

GroupCaptionText = 36 36 36
GroupClientText = 0 0 0

ControlEditNormal = 198 198 198
ControlEditSelected = 204 204 204

MenuPopupText = 59 59 59
MenuPopupSeparator = 199 200 201
MenuPopupGripperShadow = 226 228 231

ControlHighlightText = 30 57 91

RecentFileListBackground = 233 234 238
RecentFileListEdgeHighLight = 245 245 245
RecentFileListEdgeShadow = 216 216 216

MinimizedFrameEdgeHighLight = 78 78 78
MinimizedFrameEdgeShadow = 78 78 78

MenuPopupGripper = 255 255 255
MenuPopupExpandedGripperLight = 255 255 255
MenuPopupExpandedGripperDark =255 255 255

FileButtonText = 255 255 255
FileButtonImageCount = 7

BackstageMenuTextColor = 255 255 255

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Command Bars ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpThemeResource or xtpThemeRibbon AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Command Bars ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Command Bars ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

RibbonBackstageCommand Members

See Also Command Bars ActiveX Control v19.3

RibbonBackstageCommand Object

For a list of all members defined in this module, see RibbonBackstageCommand members.

Object Model

See Also

RibbonBackstageCommand Members


%%PageItemTitle%% $$Members$$

RibbonBackstageCommand Overview

See Also Command Bars ActiveX Control v19.3

RibbonBackstageCommand Object Members

Public Methods

Public Method Delete

Public Properties

Public Property Action
Public Property Caption
Public Property Controls
Public Property DescriptionText
Public Property Enabled
Public Property IconId
Public Property Id
Public Property Index
Public Property Parameter
Public Property Parent
Public Property Visible

See Also

RibbonBackstageCommand Overview


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Syntax

Public Sub Delete()

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Action Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Id Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Index Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As RibbonBackstageView

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageCommand Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

RibbonBackstageCommand Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Members

See Also Command Bars ActiveX Control v19.3

RibbonBackstageMenuSeparator Object

For a list of all members defined in this module, see RibbonBackstageMenuSeparator members.

Object Model

See Also

RibbonBackstageMenuSeparator Members


%%PageItemTitle%% $$Members$$

RibbonBackstageMenuSeparator Overview

See Also Command Bars ActiveX Control v19.3

RibbonBackstageMenuSeparator Object Members

Public Methods

Public Method Delete

Public Properties

Public Property Controls
Public Property DefaultItem
Public Property Id
Public Property Index
Public Property Parent
Public Property Visible

See Also

RibbonBackstageMenuSeparator Overview


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Syntax

Public Sub Delete()

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Id Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Index Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As RibbonBackstageView

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageMenuSeparator Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

RibbonBackstageMenuSeparator Object


%%PageItemTitle%%

RibbonBackstageTab Members

See Also Command Bars ActiveX Control v19.3

RibbonBackstageTab Object

Description

Represents a Tab to use in the Backstage View's Tab Pane.

For a list of all members defined in this module, see RibbonBackstageTab members.

Object Model

Remarks

Tabs are used to display more commands related to the tab in the Control Pane. Additionally, more related commands can be displayed in the optional control pane. AddTab will add a Tab to the Backstage View's Tab Pane. Tabs are used to display controls (such as forms containing BackstageButton controls) in the Control Pane when the tab is clicked.

The ControlNotify event is called when a tab in the Backstage has changed.

Private Sub CommandBars_ControlNotify(ByVal Control As XtremeCommandBars.ICommandBarControl, ByVal Code As Long, ByVal NotifyData As Variant, Handled As Variant)
If (Code = XTP_BS_TABCHANGED) Then
Debug.Print Control.Caption
End If
End Sub

Note:

The handle attached to the Tab is used to display some object that is used to represent the control pane. This should be a form or some container object that will contain the contents of the Control Pane and Optional Control Pane.

For example, you would create a form that contains Backstage Buttons and Backstage Separators to design the control pane and optional control pane. This form is then attached to the Tab when it is added and when the Tab is clicked it will display the contents of the attached form.

(At the time of 15.0 release, this might change in the future)It is important to note that attached forms in .NET will not have their Form_Load or Form_Activate events called, therefore you should use the form's constructor to perform those tasks.

Important:

If you choose to use the backstage Microsoft requires that AT LEAST 1 tab is added to the Tab Pane (Commands are optional) and the FIRST tab MUST ALWAYS be selected when the backstage is displayed, regardless of any previous selections or settings.

See Also

RibbonBackstageTab Members


%%PageItemTitle%% $$Members$$

RibbonBackstageTab Overview

See Also Command Bars ActiveX Control v19.3

RibbonBackstageTab Object Members

Public Methods

Public Method Delete Deletes the Tab from the Backstage Views Tab Pane.

Public Properties

Public Property Action | Gets the CommandBarAction object associated with this Tab.
Public Property Caption | Gets/Sets the caption of the Tab.
Public Property Controls | Gets the collection of Commands and Tabs which are the siblings of this Tab.
Public Property DefaultItem | Retrieves whether or not the Tab is the default Tab in the Tab Pane.
Public Property DescriptionText | Sets/Gets the description text of the Tab.
Public Property Enabled | Gets/Sets a boolean value indicating whether the tab is enabled.
Public Property IconId | IconId of the Tab (Should not be used)
Public Property Id | Gets/Sets the numeric identifier of the Tab.
Public Property Index | Gets the index of the Tab within the BackStage's collection of Tabs and Commands.
Public Property Parameter | Gets/Sets the parameter of the Tab. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets a reference to the parent RibbonBackstageView of the Tab
Public Property Visible | Gets/Sets a boolean value indicating whether the tab is visible.

See Also

RibbonBackstageTab Overview


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the Tab from the Backstage Views Tab Pane.

Syntax

Public Sub Delete()

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Action Property

Description

Gets the CommandBarAction object associated with this Tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

Remarks

The Action property allows you to access the properties of the CommandBarAction object associated with this Tab.

See the CommandBarAction description for more details and examples on how to use commandbars actions.

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the Tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of Commands and Tabs which are the siblings of this Tab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the Tab is the default Tab in the Tab Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

Return Type

True if this Tab is the default Tab, False otherwise.

Remarks

The DefaultItem specifies the tab that will be displayed when the backstage view is opened. This should be only set for the FIRST tab.

Important:

When implementing a Ribbon Backstage MS requires that at LEAST 1 tab be added to the Tab Pane and the first Tab MUST be selected when the Backstage is displayed. Therefore the first Tab MUST have DefaultItem set to True.

Example

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Dim BackstageView As RibbonBackstageView
Set BackstageView = CommandBars.CreateCommandBar("CXTPRibbonBackstageView")

Set RibbonBar.AddSystemButton.CommandBar = BackstageView

BackstageView.AddCommand ID_FILE_SAVE, "Save"
BackstageView.AddCommand ID_FILE_SAVE_AS, "Save As"
BackstageView.AddCommand ID_FILE_OPEN, "Open"
BackstageView.AddCommand ID_FILE_CLOSE, "Close"

If (pageBackstageInfo Is Nothing) Then Set pageBackstageInfo = New pageBackstageInfo
If (pageBackstageSend Is Nothing) Then Set pageBackstageSend = New pageBackstageSend
If (pageBackstageHelp Is Nothing) Then Set pageBackstageHelp = New pageBackstageHelp

Dim ControlInfo As RibbonBackstageTab
Set ControlInfo = BackstageView.AddTab(1000, "Info", pageBackstageInfo.hwnd)

BackstageView.AddTab 1002, "Save && Send", pageBackstageSend.hwnd
BackstageView.AddTab 1001, "Help", pageBackstageHelp.hwnd

BackstageView.AddCommand ID_FILE_OPTIONS, "Options"
BackstageView.AddCommand ID_APP_EXIT, "Exit"

ControlInfo.DefaultItem = True

CommandBars.Icons.LoadBitmap App.Path & "\res\BackstageIcons.png", _
Array(ID_FILE_SAVE, ID_FILE_SAVE_AS, ID_FILE_OPEN, ID_FILE_CLOSE, ID_FILE_OPTIONS, ID_APP_EXIT), xtpImageNormal

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the Tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

Not used by tabs and commands so you can use it to store any extra string information needed.

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the tab is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

IconId of the Tab (Should not be used)

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

Important:

When implementing a Ribbon Backstage MS requires that ALL Commands in the Tab Pane MUST display an icon.

MS also requires that Tabs MUST NOT include icons.

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the Tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the Tab within the BackStage's collection of Tabs and Commands.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the Tab. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets a reference to the parent RibbonBackstageView of the Tab

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As RibbonBackstageView

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageTab Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the tab is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

RibbonBackstageTab Object


%%PageItemTitle%%

RibbonBackstageView Members

See Also Command Bars ActiveX Control v19.3

RibbonBackstageView Object

Description

Represents the Ribbon's backstage view.

For a list of all members defined in this module, see RibbonBackstageView members.

Object Model

Remarks

The backstage view is is displayed by the ribbon when the system tab is pressed. This is the new MS Office 2010 style menu and is used for displaying tasks that the user can perform on the document (i.e. printing and saving). The backstage view consists of 3 main sections, the "Tabs Pane" which contains commands and tabs, the "Control Pane" which contains controls related to the tabs in the Tabs Pane, and the "Optional Control Pane" which contains controls related to controls in the Controls Pane.

When the Backstage View is opened the InitCommandsPopup even will occur.

Private Sub CommandBars_InitCommandsPopup(ByVal CommandBar As XtremeCommandBars.ICommandBar)
If TypeOf CommandBar Is RibbonBackstageView Then
Debug.Print "RibbonBackstageView"
End If
End Sub

Important:

If you choose to use the backstage Microsoft requires that AT LEAST 1 tab is added to the Tab Pane (Commands are optional) and the FIRST tab MUST ALWAYS be selected when the backstage is displayed, regardless of any previous selections or settings.

If you choose to use the backstage Microsoft requires that you can NOT use the 2007 style "circle" application button. You are also required to include commands that perform tasks on the entire document such as printing and saving. Copy and paste is an example of commands that would not be appropriate for the backstage view.

Example

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Dim BackstageView As RibbonBackstageView
Set BackstageView = CommandBars.CreateCommandBar("CXTPRibbonBackstageView")

Set RibbonBar.AddSystemButton.CommandBar = BackstageView

BackstageView.AddCommand ID_FILE_SAVE, "Save"
BackstageView.AddCommand ID_FILE_SAVE_AS, "Save As"
BackstageView.AddCommand ID_FILE_OPEN, "Open"
BackstageView.AddCommand ID_FILE_CLOSE, "Close"

If (pageBackstageInfo Is Nothing) Then Set pageBackstageInfo = New pageBackstageInfo
If (pageBackstageSend Is Nothing) Then Set pageBackstageSend = New pageBackstageSend
If (pageBackstageHelp Is Nothing) Then Set pageBackstageHelp = New pageBackstageHelp

Dim ControlInfo As RibbonBackstageTab
Set ControlInfo = BackstageView.AddTab(1000, "Info", pageBackstageInfo.hwnd)

BackstageView.AddTab 1002, "Save && Send", pageBackstageSend.hwnd
BackstageView.AddTab 1001, "Help", pageBackstageHelp.hwnd

BackstageView.AddCommand ID_FILE_OPTIONS, "Options"
BackstageView.AddCommand ID_APP_EXIT, "Exit"

ControlInfo.DefaultItem = True

CommandBars.Icons.LoadBitmap App.Path & "\res\BackstageIcons.png", _
Array(ID_FILE_SAVE, ID_FILE_SAVE_AS, ID_FILE_OPEN, ID_FILE_CLOSE, ID_FILE_OPTIONS, ID_APP_EXIT), xtpImageNormal

See Also

RibbonBackstageView Members


%%PageItemTitle%% $$Members$$

RibbonBackstageView Overview

See Also Command Bars ActiveX Control v19.3

RibbonBackstageView Object Members

Public Methods

Public Method AddCommand | Adds a command to the Backstage View's Tab Pane.
Public Method AddMenuSeparator |
Public Method AddTab | Adds a Tab to the Backstage View's Tab Pane.
Public Method Close | Closes the backstage view.
Public Method GetBackColor |
Public Method GetForeColor |
Public Method SetTheme |

Public Properties

Public Property Controls | Collection of all Tabs and Commands in the backstage view's Tab Pane.
Public Property Style |

See Also

RibbonBackstageView Overview


%%PageItemTitle%%

RibbonBackstageView Object

Id
Id of the command.
Caption
Caption of the command.
See Also Command Bars ActiveX Control v19.3

AddCommand Method

Description

Adds a command to the Backstage View's Tab Pane.

Syntax

Public Function AddCommand( _
   ByVal Id As Long, _
   ByVal Caption As String _
) As RibbonBackstageCommand

Parameters

Id
Id of the command.
Caption
Caption of the command.

Return Type

Reference to the RibbonBackstageCommad that was added.

Remarks

AddCommand will add a command to the Backstage View's Tab Pane. Commands act just like normal command bar buttons. Use them to perform some action related to the document. Commands are simple buttons, they can not and should not display any type of popup menu.

Example

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Dim BackstageView As RibbonBackstageView
Set BackstageView = CommandBars.CreateCommandBar("CXTPRibbonBackstageView")

Set RibbonBar.AddSystemButton.CommandBar = BackstageView

BackstageView.AddCommand ID_FILE_SAVE, "Save"
BackstageView.AddCommand ID_FILE_SAVE_AS, "Save As"
BackstageView.AddCommand ID_FILE_OPEN, "Open"
BackstageView.AddCommand ID_FILE_CLOSE, "Close"

If (pageBackstageInfo Is Nothing) Then Set pageBackstageInfo = New pageBackstageInfo
If (pageBackstageSend Is Nothing) Then Set pageBackstageSend = New pageBackstageSend
If (pageBackstageHelp Is Nothing) Then Set pageBackstageHelp = New pageBackstageHelp

Dim ControlInfo As RibbonBackstageTab
Set ControlInfo = BackstageView.AddTab(1000, "Info", pageBackstageInfo.hwnd)

BackstageView.AddTab 1002, "Save && Send", pageBackstageSend.hwnd
BackstageView.AddTab 1001, "Help", pageBackstageHelp.hwnd

BackstageView.AddCommand ID_FILE_OPTIONS, "Options"
BackstageView.AddCommand ID_APP_EXIT, "Exit"

ControlInfo.DefaultItem = True

CommandBars.Icons.LoadBitmap App.Path & "\res\BackstageIcons.png", _
Array(ID_FILE_SAVE, ID_FILE_SAVE_AS, ID_FILE_OPEN, ID_FILE_CLOSE, ID_FILE_OPTIONS, ID_APP_EXIT), xtpImageNormal

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

AddMenuSeparator Method

Syntax

Public Function AddMenuSeparator() As RibbonBackstageMenuSeparator

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

Id
Id of the Tab.
Caption
Caption of the Tab.
ControlPaneHwnd
Handle to the object to display in the Control Pane when the tab is clicked.
See Also Command Bars ActiveX Control v19.3

AddTab Method

Description

Adds a Tab to the Backstage View's Tab Pane.

Syntax

Public Function AddTab( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal ControlPaneHwnd As Integer _
) As RibbonBackstageTab

Parameters

Id
Id of the Tab.
Caption
Caption of the Tab.
ControlPaneHwnd
Handle to the object to display in the Control Pane when the tab is clicked.

Return Type

Reference to the RibbonBackstageTab that was added.

Remarks

AddTab will add a Tab to the Backstage View's Tab Pane. Tabs are used to display controls (such as forms containing BackstageButton controls) in the Control Pane when the tab is clicked.

Note:

The handle attached to the Tab should be a form or some container object that will contain the contents of the Control Pane and Optional Control Pane.

Important:

If you choose to use the backstage Microsoft requires that AT LEAST 1 tab is added to the Tab Pane (Commands are optional) and the FIRST tab MUST ALWAYS be selected when the backstage is displayed, regardless of any previous selections or settings.

Example

Dim RibbonBar As RibbonBar
Set RibbonBar = CommandBars.ActiveMenuBar

Dim BackstageView As RibbonBackstageView
Set BackstageView = CommandBars.CreateCommandBar("CXTPRibbonBackstageView")

Set RibbonBar.AddSystemButton.CommandBar = BackstageView

BackstageView.AddCommand ID_FILE_SAVE, "Save"
BackstageView.AddCommand ID_FILE_SAVE_AS, "Save As"
BackstageView.AddCommand ID_FILE_OPEN, "Open"
BackstageView.AddCommand ID_FILE_CLOSE, "Close"

If (pageBackstageInfo Is Nothing) Then Set pageBackstageInfo = New pageBackstageInfo
If (pageBackstageSend Is Nothing) Then Set pageBackstageSend = New pageBackstageSend
If (pageBackstageHelp Is Nothing) Then Set pageBackstageHelp = New pageBackstageHelp

Dim ControlInfo As RibbonBackstageTab
Set ControlInfo = BackstageView.AddTab(1000, "Info", pageBackstageInfo.hwnd)

BackstageView.AddTab 1002, "Save && Send", pageBackstageSend.hwnd
BackstageView.AddTab 1001, "Help", pageBackstageHelp.hwnd

BackstageView.AddCommand ID_FILE_OPTIONS, "Options"
BackstageView.AddCommand ID_APP_EXIT, "Exit"

ControlInfo.DefaultItem = True

CommandBars.Icons.LoadBitmap App.Path & "\res\BackstageIcons.png", _
Array(ID_FILE_SAVE, ID_FILE_SAVE_AS, ID_FILE_OPEN, ID_FILE_CLOSE, ID_FILE_OPTIONS, ID_APP_EXIT), xtpImageNormal

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

Close Method

Description

Closes the backstage view.

Syntax

Public Sub Close()

Remarks

Call this method to close the backstage view.

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

GetBackColor Method

Syntax

Public Function GetBackColor() As ULong

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

GetForeColor Method

Syntax

Public Function GetForeColor() As ULong

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

Theme
See Also Command Bars ActiveX Control v19.3

SetTheme Method

Syntax

Public Sub SetTheme( _
   ByVal Theme As XTPVisualTheme _
)

Parameters

Theme
Value | Description
xtpThemeOffice2000 | Specifies the Office2000 visual theme.
xtpThemeOfficeXP | Specifies the OfficeXP visual theme.
xtpThemeOffice2003 | Specifies the Office2003 visual theme.
xtpThemeNativeWinXP | Specifies the WindowsXP visual style.
xtpThemeWhidbey | Specifies the Visual Studio 2005 "Whidbey" visual style.
xtpThemeResource This setting is used when loading a theme from a resource. To make the CommandBars will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

See the Loading a Resource Theme Sample for code snippets.

xtpThemeRibbon Specifies the Ribbon visual theme. Note that this is very similar to the xtpThemeResource theme with only small differences that can bee seen when a button is highlighted and the menu text color is different. There is just more graphics with this theme to give a "glass" look on mouse over.

This setting is also used when loading a theme from a resource. To make the Ribbon will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

See the Loading a Resource Theme Sample for code snippets.

xtpThemeVisualStudio2008 | Specifies the Visual Studio 2008 visual style.
xtpThemeVisualStudio6 | Specifies the Visual Studio 6 visual style.
xtpThemeVisualStudio2010 | Specifies the Visual Studio 2010 visual style.
xtpThemeOffice2007System | Office 2007 System theme.
xtpThemeOffice2013 | Specifies the Office 2013 visual style.
xtpThemeOffice2016 | Office 2016 theme.
xtpThemeVisualStudio2012 | Specifies the Visual Studio 2012 visual style. To be used with a resource file only. Its recommended to use xtpThemeVisualStudio2012Light or xtpThemeVisualStudio2012Dark.
xtpThemeVisualStudio2012Light | Specifies the Visual Studio 2012 Light visual style.
xtpThemeVisualStudio2012Dark | Specifies the Visual Studio 2012 Dark visual style.
xtpThemeVisualStudio2015 | VisualStudio2015 theme.

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Collection of all Tabs and Commands in the backstage view's Tab Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

Return Type

Reference to of all Tabs and Commands in the backstage view's Tab Pane.

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBackstageView Object

See Also Command Bars ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPRibbonBackstageStyle

See Also

RibbonBackstageView Object


%%PageItemTitle%%

RibbonBar Members | AddRibbonBar Method | FindControl Method | Execute Event | Update Event | EnableDocking Method | RecalcLayout Method | RedrawBar Method | SetIconSize Method | TabCount Property | InsertTab Method | RibbonGroup Object | XTPControlFlags Enumeration

See Also Command Bars ActiveX Control v19.3

RibbonBar Collection

Description

Represents an Office 2007 style Ribbon Bar.

For a list of all members defined in this module, see RibbonBar members.

Object Model

Remarks

No longer will your users need to fumble through confusing and boring menus. The Office 2007 style Ribbon control introduces a completely new way to design your user interface. Tabbed toolbars almost completely eliminate the need for a menu bar. All your old menu items can be elegantly displayed in a toolbar. Numerous toolbars cluttered all around is a thing of the past, all that is needed now is to click on an informative tab. Your users can navigate the tabs exactly like the old style menu system so they will never miss a beat. In addition to the tabbed toolbars, the ribbon provides smart layout features that allow you to do new things not possible with normal toolbars. Grouped items now contain a caption bar so it is easy for your users to see what the items will do. Smart layout allows each item to have multiple image sizes. The smart layout will display the largest images when enough room is available and automatically display the smaller icons when space is tight. Not only are images swapped when the application is resized, but the items will be re-arranged so that they are always visible in the toolbar. When toolbar space is abundant, large images with item captions are displayed, if space is limited, then only small icons with no captions are displayed.

The AddRibbonBar method adds a Ribbon Bar to the command bars. The Ribbon Bar is just a different type of command bar and functions similar with some added functionality. Buttons, Popups, and tabs can all be added to the same "bar". Finding a control in the Ribbon Bar is done using the FindControl method. The controls in the Ribbon Bar respond exactly the same way they would in a normal toolbar. The Execute event is used when an item is clicked or executed and the status of items is updated using the Update event.

After adding a RibbonBar, the EnableDocking method should be used to disabled docking by using the xtpFlagStretched flag, or by using a zero (0). If docking is desired, the Ribbon Bar can only be docked to the top or bottom of the application.

Call the RecalcLayout method to correctly size the Ribbon Bar when the layout has changed. Layout refers to anything that changes the size of the Ribbon Bar. For example, a layout change that requires the RecalcLayout method to be called would be adding a group, adding an item to a group, changing the caption of a tab or adding\removing tab icons because the new caption could be smaller or wider.

For visible changes to the Ribbon Bar such as changing the tab color of a visible tab button, the RedrawBar method is used.

SetIconSize sets the size of the "normal" icons displayed in the Ribbon Bar. Icons will not be displayed smaller that the size specified with SetIconSize. If a larger icon has not been added with the specified size, then the closet match will be scaled to the specified size.

The TabCount property returns the total number of tabs that have been added to the tabs collection.

InsertTab adds a new RibbonTab to the tabs collection of the Ribbon Bar.

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups.

The TabCount property can be used to determine the total number of tabs that have been added.

Each RibbonTab can contain one or more RibbonGroup objects that are used to hold CommandBarControl objects. The Caption of a RibbonGroup is a title bar that visually "groups" the CommandBarControl objects that have been added to the RibbonGroup Items Collection.

Groups are added to the RibbonTab Groups Collection using the AddGroup and InsertGroup methods. Items are added to a group using the Add method.

Methods and Properties unique to the Ribbon Bar are:

InsertTab and TabPaintManager methods.

TabCount and Tab properties

Example

[Ribbon Bar Sample (Visual Basic)] This sample illustrates how to add a Ribbon Bar, how to add tabs to the Ribbon Bar, how to add groups to the tabs, and how to add items to the groups.

    Dim TabWrite As RibbonTab, GroupFont As RibbonGroup, Control As CommandBarControl
    Dim GroupClipborad As RibbonGroup, ControlPopup As CommandBarPopup

    'Declare a Ribbon Bar object
    Dim RibbonBar As RibbonBar

    'Add a Ribbon Bar to the command bars
    Set RibbonBar = CommandBars.AddRibbonBar("Ribbon Bar")

    'Specify the Ribbon Bar is to use the stretched docking style. The Ribbon Bar
    'can only be docked to the top or bottom of an application
    RibbonBar.EnableDocking xtpFlagStretched

    Dim ControlFile As CommandBarPopup

    'Add a normal popup to the Ribbon Bar.
    Set ControlFile = RibbonBar.Controls.Add(xtpControlPopup, -1, "&File", 1)
    'Add commands to the popup
    With ControlFile.CommandBar.Controls
        .Add xtpControlButton, ID_FILE_NEW, "&New"
        .Add xtpControlButton, ID_FILE_OPEN, "&Open..."
        Set Control = .Add(xtpControlButton, ID_APP_EXIT, "E&xit")
        Control.BeginGroup = True
    End With

    'Add a tab titled "Write" to the Ribbon Bar
    Set TabWrite = RibbonBar.InsertTab(0, "Writ&e")

    'Add a group titled "Clipboard" to the "Write" tab.
    Set GroupClipborad = TabWrite.Groups.AddGroup("&Clipboard")

        'Add buttons to the "Clipboard" group
        Set ControlPaste = GroupClipborad.Add(xtpControlSplitButtonPopup, ID_EDIT_PASTE, "&Paste")
            ControlPaste.CommandBar.Controls.Add xtpControlButton, ID_EDIT_PASTE, "&Paste"
            ControlPaste.CommandBar.Controls.Add xtpControlButton, ID_EDIT_PASTE_SPECIAL, "&Paste Special"
        GroupClipborad.Add xtpControlButton, ID_EDIT_CUT, "&Cut"
        GroupClipborad.Add xtpControlButton, ID_EDIT_COPY, "&Copy"
        Set Control = GroupClipborad.Add(xtpControlButton, ID_FORMAT_PAINTER, "Format Painter")
        Control.Enabled = False

    'Add a group titled "Font" to the "Write" tab.
    Set GroupFont = TabWrite.Groups.AddGroup("&Font")

        'Add buttons to the "Font" group
        GroupFont.Add xtpControlButton, ID_TEXT_COLOR, "Color"
        Set Control = GroupFont.Add(xtpControlButton, ID_CHAR_BOLD, "&Bold")
        Control.BeginGroup = True
        GroupFont.Add xtpControlButton, ID_CHAR_ITALIC, "&Italic"
        GroupFont.Add xtpControlButton, ID_CHAR_UNDERLINE, "&Underline"
        Set Control = GroupFont.Add(xtpControlButton, ID_CHAR_STRIKETHROUGH, "Strikethrough")
        Control.Enabled = False
        Set Control = GroupFont.Add(xtpControlButton, ID_TEXT_SUBSCRIPT, "Subscript")
        Control.Enabled = False
        Set Control = GroupFont.Add(xtpControlButton, ID_TEXT_SUPERSCRIPT, "Superscript")
        Control.Enabled = False

    'Add a tab titled "Insert" to the Ribbon Bar
    Set TabInsert = RibbonBar.InsertTab(1, "&Insert")

        'Add a group titled "Pages" to the "Insert" tab.
        Set GroupPages = TabInsert.Groups.AddGroup("&Pages")

            'Add buttons to the "Pages" group
            Set ControlNew = GroupPages.Add(xtpControlSplitButtonPopup, ID_PAGES_NEW, "&New Page")
                ControlNew.CommandBar.Controls.Add xtpControlButton, ID_NEWPAGE_BLANKPAGE, "&Blank Page"
                ControlNew.CommandBar.Controls.Add xtpControlButton, ID_NEWPAGE_SELECTION, "&Save Selection as New Page"
            Set ControlCover = GroupPages.Add(xtpControlSplitButtonPopup, ID_PAGES_COVER, "Cover Page")
                ControlCover.DescriptionText = "Insert a fully-formatted cover page. You fill in the title, author, date, and other information."
                ControlCover.CommandBar.Controls.Add xtpControlButton, ID_COVERPAGE_REMOVECURRENTCOVERPAGE, "&Remove Current Cover Page"
                ControlCover.CommandBar.Controls.Add xtpControlButton, ID_COVERPAGE_SAVESELECTIONASNEWCOVERPAGE, "&Save Selectio as New Cover Page"
            GroupPages.Add xtpControlButton, ID_PAGES_BREAK, "Page Break"

        'Add a group titled "Table" to the "Insert" tab.
        Set GroupTable = TabInsert.Groups.AddGroup("&Table")

            'Add buttons to the "Table" group
            Set ControlTable = GroupTable.Add(xtpControlButtonPopup, ID_TABLE_NEW, "&Table")
                ControlTable.CommandBar.Controls.Add xtpControlButton, ID_TABLE_INSERTTABLE, "&Inset Table.."
                ControlTable.CommandBar.Controls.Add xtpControlButton, ID_TABLE_DRAWTABLE, "Dra&w Table"
                ControlTable.CommandBar.Controls.Add xtpControlButton, ID_TABLE_CONVERTTEXTTOTABLE, "Con&vert Text to Table..."

    'Select the "Insert" tab on start up.
    TabInsert.Selected = True

See Also

RibbonBar Members | AddRibbonBar Method | FindControl Method | Execute Event | Update Event | EnableDocking Method | RecalcLayout Method | RedrawBar Method | SetIconSize Method | TabCount Property | InsertTab Method | RibbonGroup Object | XTPControlFlags Enumeration


%%PageItemTitle%% $$Members$$

RibbonBar Overview | AddRibbonBar Method | FindControl Method | Execute Event | Update Event | EnableDocking Method | RecalcLayout Method | RedrawBar Method | SetIconSize Method | TabCount Property | InsertTab Method | RibbonGroup Object | XTPControlFlags Enumeration

See Also Command Bars ActiveX Control v19.3

RibbonBar Collection Members

Public Methods

Public Method AddSystemButton | Adds the Office 2007 style ribbon system popup menu.
Public Method Delete | Deletes the Ribbon Bar.
Public Method EnableDocking | Enables docking of the Ribbon Bar to different edges of the form.
Public Method EnableFrameTheme | Enables\disables the Ribbon Office 2007 style themed window frame.
Public Method FindControl | Finds and returns the specified control within the Ribbon Bar's collection of controls.
Public Method FindGroup | Finds and returns a RibbonGroup by the Ribbon Group Id.
Public Method FindTab | Finds and returns a RibbonTab by the Ribbon Tab Id.
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetWindowRect | Gets the bounding rectangle of the Ribbon Bar. This is the area of the window that the Ribbon Bar occupies.
Public Method InsertTab | Inserts a tab into the Ribbon Bar.
Public Method RecalcLayout | Call this method to re-calculate the layout of the Ribbon Bar after making a layout change.
Public Method RedrawBar | Call this method to redraw the Ribbon Bar after making a change that requires the Ribbon Bar to be re-painted.
Public Method RemoveAllTabs | Removes all tabs from the ribbon bar.
Public Method RemoveTab | Removes the specified tab from the Ribbon bar.
Public Method Reset | Resets the controls in the Ribbon Bar to their original state.
Public Method SetIconSize | Sets the size of the icons displayed in the Ribbon Bar.

Public Properties

Public Property AllowMinimize | Specify whether the ribbon bar is allowed to be minimized.
Public Property AllowQuickAccessCustomization | Specifies whether to allow the Quick Access bar to be customized.
Public Property AllowQuickAccessDuplicates | Specifies whether to allow duplicate items to be added to the quick access bar.
Public Property BarID | Gets the ID of the Ribbon Bar.
Public Property BuiltIn | Gets whether the Ribbon Bar is a built-in command bar or a command bar added by the user using the customize dialog.
Public Property ClientHeight | Gets or sets the client area height (area that does not contain the actual ribbon bar) when using a ribbon bar.
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ControlQuickAccess | Quick Access menu control.
Public Property Controls | Gets the collection of controls in the the Ribbon Bar.
Public Property ControlSystemButton | System button control.
Public Property DefaultButtonStyle | Specifies the default style that will be applied to controls added to the Ribbon.
Public Property EnableAnimation | Specifies whether to use animation effects in the Ribbon Bar.
Public Property FontHeight | Gets\set the font height used for drawing text in the Ribbon Bar.
Public Property GroupsHeight | Gets or sets the height for ribbon groups.
Public Property GroupsVisible | Gets\sets whether the groups in the ribbon bar are visible.
Public Property hWnd | Returns the handle of the Ribbon Bar.
Public Property Minimized | Gets\sets whether the ribbon bar is minimized.
Public Property MinimumVisibleWidth | Minimum allowable width of the ribbon bar.
Public Property Position | Gets/Sets the position of the Ribbon Bar.
Public Property QuickAccessControls | Collection of controls that are displayed in the Ribbon's Quick Access bar.
Public Property QuickAccessEmptyIconId | Gets\sets the Id of the icon displayed in the Quick Access Toolbar for items that do not have an icon, such as a gallery control.
Public Property RibbonPaintManager | Get the RibbonPaintManager object is used to get and set the visual properties of the RibbonBar.
Public Property SelectedControl | Gets the currently selected control from the Ribbon Bar.
Public Property SelectedTab | Gets the currently selected TabControlItem in the ribbon bar.
Public Property ShowCaptionAlways | Specifies whether to always show the ribbon caption when EnableFrameTheme is False.
Public Property ShowQuickAccess | Specifies whether the quick access bar is displayed with the ribbon bar.
Public Property ShowQuickAccessBelowRibbon | Gets\sets whether the Quick Access bar is displayed above or below the Ribbon.
Public Property SystemButton | Reference to the RibbonBarSystemButton used by the ribbon.
Public Property Tab | Collection of tabs that have been added to the Ribbon Bar.
Public Property TabCount | Returns the total number of tabs that have been added to the Ribbon Bar.
Public Property TabPaintManager | Gets the paint manager properties used to draw the tabs in the Ribbon Bar.
Public Property TabsVisible | Get\set whether the tabs in the ribbon bar are visible.
Public Property Title | Gets/Sets the title of the Ribbon Bar.
Public Property Type | Gets the type of the command bar.
Public Property Visible | Gets/Sets a boolean value indicating whether the Ribbon Bar is visible.

See Also

RibbonBar Overview | AddRibbonBar Method | FindControl Method | Execute Event | Update Event | EnableDocking Method | RecalcLayout Method | RedrawBar Method | SetIconSize Method | TabCount Property | InsertTab Method | RibbonGroup Object | XTPControlFlags Enumeration


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

AddSystemButton Method

Description

Adds the Office 2007 style ribbon system popup menu.

Syntax

Public Function AddSystemButton() As CommandBarPopup

Return Type

Returns a CommandBarPopup object that CommandBarControl items can be added to.

Remarks

AddSystemButton adds the Office 2007 style ribbon system popup menu. For best results, you should use a 32x32 sized icon to display in the system menu button.

The ribbon system menu is a CommandBarPopup object that CommandBarControl items can be added to.

Example

[AddSystemButton Sample (Visual Basic)] This sample illustrartes how to add the ribbon system menu and how to add items to the menu.

    CommandBars.Icons.LoadBitmap App.Path & "\res\shiny-gear.bmp", ID_SYSTEM_ICON, xtpImageNormal

    Dim RibbonBar As RibbonBar
    Set RibbonBar = CommandBars.AddRibbonBar("The Ribbon")
    RibbonBar.EnableDocking xtpFlagStretched

    Dim ControlFile As CommandBarPopup
    Dim Control As CommandBarControl

    Set ControlFile = RibbonBar.AddSystemButton()
    ControlFile.IconId = ID_SYSTEM_ICON
    With ControlFile.CommandBar.Controls
        .Add xtpControlButton, ID_FILE_NEW, "&New"
        .Add xtpControlButton, ID_FILE_OPEN, "&Open..."
        .Add xtpControlButton, ID_FILE_SAVE, "&Save"
        .Add xtpControlButton, ID_FILE_SAVE_AS, "Save &As..."
        Set Control = .Add(xtpControlButton, ID_FILE_PRINT, "&Print")
        Control.BeginGroup = True
        .Add xtpControlButton, ID_FILE_PRINT_PREVIEW, "Print Pre&view"
        .Add xtpControlButton, ID_FILE_PRINT_SETUP, "Pr&int Setup..."
        Set Control = .Add(xtpControlButton, ID_FILE_MRU_FILE1, "Recent File")
        Control.BeginGroup = True
        Control.Enabled = False
        Set Control = .Add(xtpControlButton, ID_APP_EXIT, "E&xit")
        Control.BeginGroup = True
    End With

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the Ribbon Bar.

Syntax

Public Sub Delete()

See Also

RibbonBar Collection | DeleteAll Method


%%PageItemTitle%%

RibbonBar Collection | RibbonBar Object

dwFlags
Specifies the edges of the form to which the Ribbon Bar can be docked.
See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

Enables docking of the Ribbon Bar to different edges of the form.

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout
Specifies the edges of the form to which the Ribbon Bar can be docked.

Remarks

After adding a RibbonBar, the EnableDocking method should be used to disabled docking by using the xtpFlagStretched flag, or by using a zero (0). If docking is desired, the Ribbon Bar can only be docked to the top or bottom of the application.

See Also

RibbonBar Collection | RibbonBar Object


%%PageItemTitle%%

RibbonBar Collection | AddSystemButton Method | ShowQuickAccessBelowRibbon Property

See Also Command Bars ActiveX Control v19.3

EnableFrameTheme Method

Description

Enables\disables the Ribbon Office 2007 style themed window frame.

Syntax

Public Sub EnableFrameTheme()

Remarks

By default, the themed window frame is disabled until EnableFrameTheme is called to enable the theme. It is recommended that you call EnableFrameTheme when using the Ribbon. You have the option to keep the window frame un-themed, but you must use the ShowQuickAccessBelowRibbon property to move the Quick Access bar to the bottom of the Ribbon and you can not use the Ribbon SystemButton.

The picture below illustrates how the Ribbon looks using a themed window frame and using the system default window frame.

Note: In the picture above right an alternative way to display the system menu is used, it simply adds a xtpControlPopup button to the ActiveMenuBar.

Example

[EnableFrameTheme Sample (Visual Basic)] This sample illustrates how to enable the Ribbon Office 2007 style themed window frame in your application.

RibbonBar.EnableFrameTheme

See Also

RibbonBar Collection | AddSystemButton Method | ShowQuickAccessBelowRibbon Property


%%PageItemTitle%%

RibbonBar Collection | Controls Property | XTPControlType Enumeration

Type
Type of control to find (button, popup button, split button, etc). Can be any of the XTPControlType flags.
Id
Id of the control to find.
Visible
True to look for a control that is visible, or False to look for a control that is hidden. Leave blank to search both.
Recursive
True to search recursively through all popup controls. If False, only top level controls will be searched, no controls contained in popups will be searched through.
See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds and returns the specified control within the Ribbon Bar's collection of controls.

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type
Type of control to find (button, popup button, split button, etc). Can be any of the XTPControlType flags.
Id
Id of the control to find.
Visible
True to look for a control that is visible, or False to look for a control that is hidden. Leave blank to search both.
Recursive
True to search recursively through all popup controls. If False, only top level controls will be searched, no controls contained in popups will be searched through.

See Also

RibbonBar Collection | Controls Property | XTPControlType Enumeration


%%PageItemTitle%%

RibbonBar Collection | Ribbon Group Id Property | FindTab Method

Id
Id of the group to be found.
See Also Command Bars ActiveX Control v19.3

FindGroup Method

Description

Finds and returns a RibbonGroup by the Ribbon Group Id.

Syntax

Public Function FindGroup( _
   ByVal Id As Long _
) As RibbonGroup

Parameters

Id
Id of the group to be found.

Return Type

Reference to a RibbonGroup object that contains the RibbonGroup with the specified Id.

See Also

RibbonBar Collection | Ribbon Group Id Property | FindTab Method


%%PageItemTitle%%

RibbonBar Collection | Ribbon Tab Id Property | FindGroup Method

Id
Id of the tab to be found.
See Also Command Bars ActiveX Control v19.3

FindTab Method

Description

Finds and returns a RibbonTab by the Ribbon Tab Id.

Syntax

Public Function FindTab( _
   ByVal Id As Long _
) As RibbonTab

Parameters

Id
Id of the tab to be found.

Return Type

Reference to a RibbonTab object that contains the tab with the specified Id.

See Also

RibbonBar Collection | Ribbon Tab Id Property | FindGroup Method


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight() As Integer

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth() As Integer

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

Left
The left point of the window rectangle
Top
The top point of the window rectangle
Right
The right point of the window rectangle
Bottom
The bottom point of the window rectangle
See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

Gets the bounding rectangle of the Ribbon Bar. This is the area of the window that the Ribbon Bar occupies.

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the window rectangle
Top
The top point of the window rectangle
Right
The right point of the window rectangle
Bottom
The bottom point of the window rectangle

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | RibbonTab Caption Property | TabCount Property | AddGroup Method | InsertGroup Method | RibbonGroup Object

Index
Position within the tabs collection in which to insert the new tab.
Caption
String to display in the tab button. This will set the caption of the new RibbonTab object.
See Also Command Bars ActiveX Control v19.3

InsertTab Method

Description

Inserts a tab into the Ribbon Bar.

Syntax

Public Function InsertTab( _
   ByVal Index As Long, _
   ByVal Caption As String _
) As RibbonTab

Parameters

Index
Position within the tabs collection in which to insert the new tab.
Caption
String to display in the tab button. This will set the caption of the new RibbonTab object.

Return Type

RibbonTab object containing the new tab that was added to the Ribbon Bar.

Remarks

InsertTab adds a new RibbonTab to the tabs collection of the Ribbon Bar.

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups.

The TabCount property can be used to determine the total number of tabs that have been added.

See Also

RibbonBar Collection | RibbonTab Caption Property | TabCount Property | AddGroup Method | InsertGroup Method | RibbonGroup Object


%%PageItemTitle%%

RibbonBar Collection | RedrawBar Method | AddGroup Method | Add Method

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Call this method to re-calculate the layout of the Ribbon Bar after making a layout change.

Syntax

Public Sub RecalcLayout()

Remarks

Call the RecalcLayout method to correctly size the Ribbon Bar when the layout has changed. Layout refers to anything that changes the size of the Ribbon Bar. For example, a layout change that requires the RecalcLayout method to be called would be adding a group, adding an item to a group, changing the caption of a tab or adding\removing tab icons because the new caption could be smaller or wider.

For visible changes to the Ribbon Bar such as changing the tab color of a visible tab button, the RedrawBar method is used.

See Also

RibbonBar Collection | RedrawBar Method | AddGroup Method | Add Method


%%PageItemTitle%%

RibbonBar Collection | RecalcLayout Method

See Also Command Bars ActiveX Control v19.3

RedrawBar Method

Description

Call this method to redraw the Ribbon Bar after making a change that requires the Ribbon Bar to be re-painted.

Syntax

Public Sub RedrawBar()

Remarks

For visible changes to the Ribbon Bar such as changing the icon of a visible tab button, the RedrawBar method is used.

For layout changes, such as changing the caption of a visible tab button, the RecalcLayout method is used.

See Also

RibbonBar Collection | RecalcLayout Method


%%PageItemTitle%%

RibbonBar Collection | RemoveTab Method

See Also Command Bars ActiveX Control v19.3

RemoveAllTabs Method

Description

Removes all tabs from the ribbon bar.

Syntax

Public Sub RemoveAllTabs()

Remarks

RemoveAllTabs will remove all tabs and the groups contained in the tabs from the ribbon bar. The RemoveTab method will allow you to remove a specific tab.

See Also

RibbonBar Collection | RemoveTab Method


%%PageItemTitle%%

RibbonBar Collection | RemoveAllTabs Method

Index
Index of the tab to remove from the ribbon bar.
See Also Command Bars ActiveX Control v19.3

RemoveTab Method

Description

Removes the specified tab from the Ribbon bar.

Syntax

Public Sub RemoveTab( _
   ByVal Index As Long _
)

Parameters

Index
Index of the tab to remove from the ribbon bar.

Remarks

RemoveTab removes the tab at the specified index. To remove all tabs use the RemoveAllTabs method.

See Also

RibbonBar Collection | RemoveAllTabs Method


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the controls in the Ribbon Bar to their original state.

Syntax

Public Sub Reset()

Remarks

This will reset the Ribbon Bar to the state it was in when it was originally created.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

cx
Width in pixels of the icons displayed in the toolbar.
cy
Height in pixels of the icons displayed in the toolbar.
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the icons displayed in the Ribbon Bar.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width in pixels of the icons displayed in the toolbar.
cy
Height in pixels of the icons displayed in the toolbar.

Remarks

SetIconSize sets the size of the "normal" icons displayed in the Ribbon Bar. Icons will not be displayed smaller that the size specified with SetIconSize. If a larger icon has not been added with the specified size, then the closet match will be scaled to the specified size.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | Minimized Property

See Also Command Bars ActiveX Control v19.3

AllowMinimize Property

Description

Specify whether the ribbon bar is allowed to be minimized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMinimize() As Boolean

Remarks

By default, when the ribbon is right-clicked a context menu is displayed with the option to minimize the ribbon bar. When minimized only the tab buttons will be visible.

See Also

RibbonBar Collection | Minimized Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

AllowQuickAccessCustomization Property

Description

Specifies whether to allow the Quick Access bar to be customized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowQuickAccessCustomization() As Boolean

Remarks

Setting AllowQuickAccessCustomization to False will also remove the drop down customization button from the end of the quick access bar.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

AllowQuickAccessDuplicates Property

Description

Specifies whether to allow duplicate items to be added to the quick access bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowQuickAccessDuplicates() As Boolean

Remarks

By default, AllowQuickAccessDuplicates is False. When True, the same item can be added to the quick access bar many times. When False, once an item has been added to the quick access bar the option to add it again will be disabled.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

Gets the ID of the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

Gets whether the Ribbon Bar is a built-in command bar or a command bar added by the user using the customize dialog.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

Remarks

Always returns True for Ribbon Bar.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

ClientHeight Property

Description

Gets or sets the client area height (area that does not contain the actual ribbon bar) when using a ribbon bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientHeight() As Long

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

ControlQuickAccess Property

Description

Quick Access menu control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlQuickAccess() As CommandBarControl

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | Group Items Property

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls in the the Ribbon Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

Remarks

The Controls collection contains all the controls that have been added to the Groups in the Ribbon Bar and normal controls that are added to the Ribbon Bar.

See Also

RibbonBar Collection | Group Items Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

ControlSystemButton Property

Description

System button control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlSystemButton() As CommandBarControl

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

DefaultButtonStyle Property

Description

Specifies the default style that will be applied to controls added to the Ribbon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButtonStyle() As XTPButtonStyle

Remarks

DefaultButtonStyle accepts a flag from the XTPButtonStyle enumeration that will specify the style that will be applied to all controls added to the Ribbon.

After a control is added you can override this style by setting the style of the individual control.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects in the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Ribbon animation effects include checking and un-checking items, roll over effects of items, transitions between ribbon groups, roll over effects of tabs, displaying popup menus, and roll over of the system icon. EnableAnimation effects all of the before mentioned animation effects.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

FontHeight Property

Description

Gets\set the font height used for drawing text in the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontHeight() As Long

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

GroupsHeight Property

Description

Gets or sets the height for ribbon groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupsHeight() As Long

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | MinimumVisibleWidth Property

See Also Command Bars ActiveX Control v19.3

GroupsVisible Property

Description

Gets\sets whether the groups in the ribbon bar are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupsVisible() As Boolean

Remarks

GroupsVisible is used to hide or show the ribbon bar and to determine if the groups are visible.

Group visibility is toggled when any of the tabs are double-clicked. The entire ribbon bar will automatically be hidden if the application is resized to a width smaller than MinimumVisibleWidth.

See Also

RibbonBar Collection | MinimumVisibleWidth Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the Ribbon Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | AllowMinimize Property

See Also Command Bars ActiveX Control v19.3

Minimized Property

Description

Gets\sets whether the ribbon bar is minimized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Minimized() As Boolean

Remarks

By default, when the ribbon is right-clicked a context menu is displayed with the option to minimize the ribbon bar. When minimized only the tab buttons will be visible.

AllowMinimize must be true to minimize the ribbon.

See Also

RibbonBar Collection | AllowMinimize Property


%%PageItemTitle%%

RibbonBar Collection | GroupsVisible Property

See Also Command Bars ActiveX Control v19.3

MinimumVisibleWidth Property

Description

Minimum allowable width of the ribbon bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumVisibleWidth() As Long

Remarks

The ribbon bar will automatically be hidden if the application's width is resized to a size smaller than MinimumVisibleWidth. The ribbon bar will re-appear when the application's width is resized to a size greater than or equal to MinimumVisibleWidth.

See Also

RibbonBar Collection | GroupsVisible Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

Remarks

The flags of the XTPBarPosition indicate which side the Ribbon Bar is currently docked.

The Ribbon Bar can only be docked to the top or bottom of an application.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | ShowCustomizeDialog Method | ShowRibbonQuickAccessPage Property | AllowQuickAccessDuplicates Property

See Also Command Bars ActiveX Control v19.3

QuickAccessControls Property

Description

Collection of controls that are displayed in the Ribbon's Quick Access bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property QuickAccessControls() As CommandBarControls

Remarks

The QuickAccessPage in the commandbars customize dialog can be used to add\remove items to the quick access bar. You can also right-click on controls in the ribbon and choose to add them to the quick access bar.

The picture below show the quick access bar displayed on both the top and bottom of the ribbon.

See Also

RibbonBar Collection | ShowCustomizeDialog Method | ShowRibbonQuickAccessPage Property | AllowQuickAccessDuplicates Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

QuickAccessEmptyIconId Property

Description

Gets\sets the Id of the icon displayed in the Quick Access Toolbar for items that do not have an icon, such as a gallery control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property QuickAccessEmptyIconId() As Long

Remarks

This is the Id of the icon displayed in the Quick Access Toolbar for items that do not have an icon, such as a gallery control. For example, if you add the font gallery to the QAT then the icon with id of QuickAccessEmptyIconId will be displayed in the QAT for that gallery.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | RibbonPaintManager Object | CaptionFont Property | HotTrackingGroups Property

See Also Command Bars ActiveX Control v19.3

RibbonPaintManager Property

Description

Get the RibbonPaintManager object is used to get and set the visual properties of the RibbonBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonPaintManager() As RibbonPaintManager

Remarks

The RibbonPaintManager object can be used to modify the visual properties of the RibbonBar such as the RibbonGroup CaptionFont and whether groups use HotTracking.

See Also

RibbonBar Collection | RibbonPaintManager Object | CaptionFont Property | HotTrackingGroups Property


%%PageItemTitle%%

RibbonBar Collection | CommandBarKeyDown Event | ControlRButtonUp Event

See Also Command Bars ActiveX Control v19.3

SelectedControl Property

Description

Gets the currently selected control from the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedControl() As CommandBarControl

Remarks

The SelectedControl property will only contain a reference to a control while a control is selected. A control is selected when it has focus. For example, then the mouse pointer is positioned over a control or the menu is navigated with the Arrow keys.

The SelectedControl property is intended to be used with the CommandBarKeyDown event. This property allows you to determine which control has focus when a key is pressed. See the CommandBarKeyDown description for an example.

See Also

RibbonBar Collection | CommandBarKeyDown Event | ControlRButtonUp Event


%%PageItemTitle%%

RibbonBar Collection | Tab Collection | TabCount Property | RibbonTab Object

See Also Command Bars ActiveX Control v19.3

SelectedTab Property

Description

Gets the currently selected TabControlItem in the ribbon bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedTab() As TabControlItem

See Also

RibbonBar Collection | Tab Collection | TabCount Property | RibbonTab Object


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

ShowCaptionAlways Property

Description

Specifies whether to always show the ribbon caption when EnableFrameTheme is False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionAlways() As Boolean

Remarks

If EnableFrameTheme is False then the Ribbon caption will still be displayed under the normal window caption. Set ShowCaptionAlways to False to hide the ribbon caption when EnableFrameTheme is False.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | ShowQuickAccessBelowRibbon Property | QuickAccessControls Property | AllowQuickAccessDuplicates Property

See Also Command Bars ActiveX Control v19.3

ShowQuickAccess Property

Description

Specifies whether the quick access bar is displayed with the ribbon bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowQuickAccess() As Boolean

Remarks

By default ShowQuickAccess is True.

See Also

RibbonBar Collection | ShowQuickAccessBelowRibbon Property | QuickAccessControls Property | AllowQuickAccessDuplicates Property


%%PageItemTitle%%

RibbonBar Collection | XTPCommandBarsSpecialCommands Enumeration | ShowRibbonQuickAccessPage Property | ShowCustomizeDialog Method | QuickAccessControls Property | ShowQuickAccess Property

See Also Command Bars ActiveX Control v19.3

ShowQuickAccessBelowRibbon Property

Description

Gets\sets whether the Quick Access bar is displayed above or below the Ribbon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowQuickAccessBelowRibbon() As Boolean

Remarks

ShowQuickAccessBelowRibbon can be used to show or hide the Quick Access bar or to determine where it is at. The Quick Access bar can also be moved using the QuickAccessPage in the customization dialog or by selecting it from the right-click popup menu when the Ribbon is right-clicked.

See Also

RibbonBar Collection | XTPCommandBarsSpecialCommands Enumeration | ShowRibbonQuickAccessPage Property | ShowCustomizeDialog Method | QuickAccessControls Property | ShowQuickAccess Property


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

SystemButton Property

Description

Reference to the RibbonBarSystemButton used by the ribbon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemButton() As RibbonBarSystemButton

Remarks

Use this to access and change the properties of the ribbon's system button. This will appear as the bug roud application button for 2007 styles and as a tab for 2010 styles.

The Style property controls how the system button will be displayed, 2007 or 2010 style.

Set the Style to xtpButtonCaption for Office 2010 style file "tab" button.

Set the Style to xtpButtonAutomatic for Office 200t style system button (big round button).

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection | InsertTab Method | TabCount Property | AddGroup Method | InsertGroup Method | RibbonTab Object | RibbonGroups Object

Index
Position of a tab within the tabs collection in which to return.
See Also Command Bars ActiveX Control v19.3

Tab Property

Description

Collection of tabs that have been added to the Ribbon Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Tab( _
   ByVal Index As Long _
) As RibbonTab

Parameters

Index
Position of a tab within the tabs collection in which to return.

Remarks

The tabs of a Ribbon Bar contain RibbonGroups. Groups are used to hold buttons, popups, edit controls, etc.

See Also

RibbonBar Collection | InsertTab Method | TabCount Property | AddGroup Method | InsertGroup Method | RibbonTab Object | RibbonGroups Object


%%PageItemTitle%%

RibbonBar Collection | Tab Property | InsertTab Method | RibbonTab Object | AddGroup Method | InsertGroup Method

See Also Command Bars ActiveX Control v19.3

TabCount Property

Description

Returns the total number of tabs that have been added to the Ribbon Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabCount() As Long

Remarks

The TabCount property returns the total number of tabs that have been added to the tabs collection. Tabs are added using the InsertTab method.

See Also

RibbonBar Collection | Tab Property | InsertTab Method | RibbonTab Object | AddGroup Method | InsertGroup Method


%%PageItemTitle%%

RibbonBar Collection | TabControlItem Object | TabPaintManagerColorSet Object | TabManagerMargin Object | TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

TabPaintManager Property

Description

Gets the paint manager properties used to draw the tabs in the Ribbon Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabPaintManager() As TabPaintManager

Remarks

The TabPaintManager method allows the visual properties of the tabs in the Ribbon Bar to be changed.

See Also

RibbonBar Collection | TabControlItem Object | TabPaintManagerColorSet Object | TabManagerMargin Object | TabPaintManager Object


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

TabsVisible Property

Description

Get\set whether the tabs in the ribbon bar are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabsVisible() As Boolean

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Gets/Sets the title of the Ribbon Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

Remarks

The tile of a toolbar is used to identify the toolbar in the customization dialog and context menu. Customization is not currently possible for the Ribbon Bar.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBar Collection

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the Ribbon Bar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

If False, the Ribbon Bar and all included groups and tabs will be hidden.

See Also

RibbonBar Collection


%%PageItemTitle%%

RibbonBarSystemButton Members | CloseOnDblClick Property | Style Property

See Also Command Bars ActiveX Control v19.3

RibbonBarSystemButton Object

Description

Object used to access the special properties of the Ribbon's system button.

For a list of all members defined in this module, see RibbonBarSystemButton members.

Object Model

Remarks

The most important difference between this button and a normal button popup is the CloseOnDblClick property which specifies whether to close the application when the Ribbon's system button is double-clicked.

The Style property controls how the system button will be displayed, 2007 or 2010 style.

Set the Style to xtpButtonCaption for Office 2010 style file "tab" button.

Set the Style to xtpButtonAutomatic for Office 200t style system button (big round button).

Example

This code will disable the double-click close feature:

Dim ControlFile As RibbonBarSystemButton
Set ControlFile = RibbonBar.AddSystemButton()
ControlFile.Id = ID_SYSTEM_ICON
ControlFile.CloseOnDblClick = False

See Also

RibbonBarSystemButton Members | CloseOnDblClick Property | Style Property


%%PageItemTitle%% $$Members$$

RibbonBarSystemButton Overview | CloseOnDblClick Property | Style Property

See Also Command Bars ActiveX Control v19.3

RibbonBarSystemButton Object Members

Public Methods

Public Method Clone | Creates a clone of the control and returns it as a new CommandBarControl object.
Public Method Copy | Copies the control to a specified menu bar or toolbar in the indicated position.
Public Method Delete | Deletes the button from the command bar.
Public Method Execute | Executes the control
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the button.
Public Method Reset |
Public Method SetFocus | Sets the focus to a given control
Public Method SetIconSize | Sets the size of the icon used for the control.

Public Properties

Public Property Action |
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.
Public Property Caption | Gets/Sets the caption of the control.
Public Property Category | Gets / Sets the category of the control
Public Property Checked | Gets/Sets a boolean value indicating whether the control is checked.
Public Property CloseOnDblClick | Specifies whether to close the application when the Ribbon's system button is double-clicked.
Public Property CloseSubMenuOnClick | Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.
Public Property CommandBar | Call this member to set/get the child command bar.
Public Property Controls | Gets the collection of controls which are the siblings of this control.
Public Property CustomShortcutText |
Public Property DefaultItem | Retrieves whether or not the control is the default menu item
Public Property DescriptionText | Sets/Gets the description text of the control.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled
Public Property ExecuteOnPressInterval | Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.
Public Property Flags | Retrieves the special flags for the control
Public Property Height | Gets\set the height of the control.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconId | Gets/Sets the control icon's identifier
Public Property Id | Gets/Sets the numeric identifier of the control
Public Property Index | Gets the index of the control.
Public Property KeyboardTip |
Public Property Left | Returns the distance between the left edge of the control and the left edge of its container.
Public Property Parameter | Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.
Public Property Parent | Gets the parent CommandBar of the control.
Public Property RibbonGroup | Reference to the RibbonGroup object the control belongs to.
Public Property ShortcutText | Gets/Sets the shortcut text of the control. (Obsolete)
Public Property Style | Gets/Sets the style of the control.
Public Property TooltipText | Gets/Sets the tooltip text for the control.
Public Property Top | Returns the distance between the top edge of the control and the top edge of its container.
Public Property Type | Gets the type of the control.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible.
Public Property Width | Gets\set the width of the control.

See Also

RibbonBarSystemButton Overview | CloseOnDblClick Property | Style Property


%%PageItemTitle%%

RibbonBarSystemButton Object

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

See Also Command Bars ActiveX Control v19.3

Clone Method

Description

Creates a clone of the control and returns it as a new CommandBarControl object.

Syntax

Public Function Clone( _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Recursive

True to copy recursively. This means to copy the parent control and any children it might have.

Return Type

CommandBarControl object that is a clone of the original.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also Command Bars ActiveX Control v19.3

Copy Method

Description

Copies the control to a specified menu bar or toolbar in the indicated position.

Syntax

Public Function Copy( _
   ByVal Bar As CommandBar, _
   Optional ByVal Before As Variant _
) As CommandBarControl

Parameters

Bar

The CommandBar that the CommandBarButton control will be copied to.

Before

The index of the control within the CommandBar. The control will be added Before the given index.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the button from the command bar.

Syntax

Public Sub Delete()

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Execute Method

Description

Executes the control

Syntax

Public Sub Execute()

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the control rectangle.

Top

The Top point of the control rectangle.

Right

The Right point of the control rectangle.

Bottom

The Bottom point of the control rectangle.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Reset Method

Syntax

Public Sub Reset()

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

SetFocus Method

Description

Sets the focus to a given control

Syntax

Public Sub SetFocus()

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

cx

Width in pixels.

cy

Height in pixels.

See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the icon used for the control.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

Width in pixels.

cy

Height in pixels.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Action Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Action() As CommandBarAction

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the control is a separator and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Category Property

Description

Gets / Sets the category of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Category() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the control is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

CloseOnDblClick Property

Description

Specifies whether to close the application when the Ribbon's system button is double-clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseOnDblClick() As Boolean

Return Type

True to close app when the Ribbon's system button is double-clicked. False to ignore the double-click.

Remarks

By default the Ribbon's system button will close the application when double-clicked. Set to False to disable this functionality.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

CloseSubMenuOnClick Property

Description

Gets\set whether the popup menu will close as soon as the user makes a mouse click on the menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseSubMenuOnClick() As Boolean

Remarks

If True, as soon as you click on a command in the popup menu, the menu will be closed. By default, CloseSubMenuOnClick is True.

If False, the menu will remain open after the command in the popup menu is clicked. This property must be set for each command. This can be useful if some items in the menu are Checked. This will allow you to make multiple selections from the popup menu without having to open up the menu for each selection, the menu will stay displayed the entire time.

NOTE: This will not work with a CustomControl. You can use the ClosePopups method to close a CustomControl popup menu when a user clicks on one of the controls added to the CustomControl.

Example

[CloseSubMenuOnClick Sample (Visual Basic)] This sample illustrates how to use the CloseSubMenuOnClick property. If False, the popup menu will not close when the control is clicked.

'Const ID_THEME_OFFICE = 130
'Const ID_THEME_DEFAULT = 131
'Const ID_THEME_OFFICE2003 = 132
'Const ID_THEME_NATIVEXP = 133

    Dim ControlThemes As CommandBarPopup

    'This will add a popup menu called "Themes" to the ActiveMenuBar, you can select from
    'four different themes.
    Set ControlThemes = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&Themes")
    With ControlThemes.CommandBar.Controls
        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE, "Office XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_DEFAULT, "Office 2000")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_OFFICE2003, "Office 2003")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False

        'Adds a control button
        Set Control = .Add(xtpControlButton, ID_THEME_NATIVEXP, "Windows XP")
        'The popup menu will not close when this button is clicked
        Control.CloseSubMenuOnClick = False
    End With

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

CommandBar Property

Description

Call this member to set/get the child command bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommandBar() As CommandBar

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls which are the siblings of this control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

CustomShortcutText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomShortcutText() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

DefaultItem Property

Description

Retrieves whether or not the control is the default menu item

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultItem() As Boolean

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Remarks

When using a custom status bar, this text will automatically be displayed in the status bar pane with Id=0 on mouse over.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object | Execute Event

See Also Command Bars ActiveX Control v19.3

ExecuteOnPressInterval Property

Description

Specifies the number of milliseconds between calls to the Execute event while the mouse is pressed on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExecuteOnPressInterval() As Long

Remarks

By default, when a commandbar control is clicked the Execute event is only fired once, even if the mouse button is held down. ExecuteOnPressInterval is set to 0 by default, which indicates the control will only fire the Execute event once when clicked, if you set this to any positive number (represents milliseconds), then the Execute event will continue to file while the mouse is pressed down on the control.

To disable this feature, simply set it to 0 milliseconds.

See Also

RibbonBarSystemButton Object | Execute Event


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Retrieves the special flags for the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPControlFlags

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Height Property

Description

Gets\set the height of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Gets/Sets the control icon's identifier

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Gets the index of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Returns the distance between the left edge of the control and the left edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Remarks

Used to find where the control is located.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Parameter Property

Description

Gets/Sets the parameter of the control. This is the equivalent to the "Tag" property. You can store any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parameter() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Parent Property

Description

Gets the parent CommandBar of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As CommandBar

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonGroup Property

Description

Reference to the RibbonGroup object the control belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonGroup() As RibbonGroup

See Also

RibbonBarSystemButton Object | RibbonGroup Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

ShortcutText Property

Description

Gets/Sets the shortcut text of the control. (Obsolete)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShortcutText() As String

Remarks

This property is obsolete and is not used anymore. Use a combination of TooltipText and ToolbarAccelTips instead.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object | XTPButtonStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets/Sets the style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPButtonStyle

Remarks

Set the style to xtpButtonCaption for Office 2010 style file "tab" button.

Set the style to xtpButtonAutomatic for Office 200t style system button (big round button).

This allows you to specify how the control is displayed. You can choose from only displaying the control's icon, both icon and caption, or only the caption.

See Also

RibbonBarSystemButton Object | XTPButtonStyle Enumeration


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

TooltipText Property

Description

Gets/Sets the tooltip text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TooltipText() As String

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Returns the distance between the top edge of the control and the top edge of its container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

Used to find where the control is located.

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPControlType

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonBarSystemButton Object

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\set the width of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

RibbonBarSystemButton Object


%%PageItemTitle%%

RibbonGroup Members | FindControl Method | AddGroup Method | InsertGroup Method | RibbonGroups Object | RibbonTab Groups Collection | RibbonTab Object | CommandBarControl Object | RibbonGroup Caption Property | RibbonGroup Items Collection | Add Method

See Also Command Bars ActiveX Control v19.3

RibbonGroup Collection

Description

Represents a single Ribbon Group object.

For a list of all members defined in this module, see RibbonGroup members.

Object Model

Remarks

The picture below illustrates the relationship between a RibbonGroup and the Items stored in the RibbonGroup.

Each RibbonTab can contain one or more RibbonGroup objects that are used to hold CommandBarControl objects. The Caption of a RibbonGroup is a title bar that visually "groups" the CommandBarControl objects that have been added to the RibbonGroup Items Collection.

Groups are added to the RibbonTab Groups Collection using the AddGroup and InsertGroup methods. Items are added to a group using the Add method.

See Also

RibbonGroup Members | FindControl Method | AddGroup Method | InsertGroup Method | RibbonGroups Object | RibbonTab Groups Collection | RibbonTab Object | CommandBarControl Object | RibbonGroup Caption Property | RibbonGroup Items Collection | Add Method

Example

RibbonBar Sample


%%PageItemTitle%% $$Members$$

RibbonGroup Overview | FindControl Method | AddGroup Method | InsertGroup Method | RibbonGroups Object | RibbonTab Groups Collection | RibbonTab Object | CommandBarControl Object | RibbonGroup Caption Property | RibbonGroup Items Collection | Add Method

See Also Command Bars ActiveX Control v19.3

RibbonGroup Collection Members

Public Methods

Public Method Add | Adds a CommandBarControl to the ribbon group.
Public Method AddControl | Adds a CommandBarControl to the ribbon group.
Public Method DeleteAll | Removes all of the items from the group.
Public Method DeleteAt | Removes the item at the specified position in the group's collection of items.
Public Method GetRect | Gets the bounding rectangle for the group.

Public Properties

Public Property AllowReduce | Specifies whether ribbon group is allowed to become a button when there is not enough space to display the entire group.
Public Property AutoArrangeEditCaption | Specifies whether the group will automatically align caption / edit parts.
Public Property Caption | Text to display in the group title bar.
Public Property ControlGroupOption | CommandBarControl that represents the group's OptionButton (used to set tool tip and status bar text).
Public Property ControlGroupPopup | CommandBarPopup that contains all of the CommandBarControl items for a group button when there is not enough room to display the items in the group.
Public Property ControlsCentering | Specifies whether to automatically center controls in this ribbon group.
Public Property ControlsGrouping | Enables\disables control grouping within the Ribbon Group.
Public Property Count | Total number of CommandBarControl objects that have been added to a RibbonGroup.
Public Property Groups | Gets the collection of sibling RibbonGroups.
Public Property IconId | Id of the image to use for the group button that is displayed when there is not enough room to display the items in the group.
Public Property Id | Group Identifier.
Public Property Index | Returns the Index of this group within the parent Groups Collection.
Public Property Item | Gets the collection of CommandBarControl objects that have been added to the RibbonGroup.
Public Property RibbonBar | The RibbonBar object the RibbonGroup belongs to.
Public Property ShowOptionButton | Specifies whether to display an option button in the group caption.
Public Property Visible | Hides or show a Ribbon Group or returns whether a Ribbon Group is currently visible.

See Also

RibbonGroup Overview | FindControl Method | AddGroup Method | InsertGroup Method | RibbonGroups Object | RibbonTab Groups Collection | RibbonTab Object | CommandBarControl Object | RibbonGroup Caption Property | RibbonGroup Items Collection | Add Method


%%PageItemTitle%%

RibbonGroup Collection | CommandBarControls Add Method | Count Property | DeleteAll Method | DeleteAt Method | Ribbon Group Items Collection | FindControl Method

Type
Type of control to add to the ribbon group.
Id
Identifier of the CommandBarControl to be added.
Caption
The caption of the CommandBarControl to be added.
Before
The index of an existing control that the new control should will be inserted before.
Temporary
A boolean value indicating whether the control is temporary. Temporary controls will not be saved to the system registry when the application is closed (If SaveCommandBars is used), and they will not be restored when the application is opened (If LoadCommandBars is used).
See Also Command Bars ActiveX Control v19.3

Add Method

Description

Adds a CommandBarControl to the ribbon group.

Syntax

Public Function Add( _
   ByVal Type As XTPControlType, _
   ByVal Id As Long, _
   ByVal Caption As String, _
   Optional ByVal Before As Variant, _
   Optional ByVal Temporary As Variant _
) As CommandBarControl

Parameters

Type
Value | Description
xtpControlError | Used with the Find method. Used to specify "any" control type.
xtpControlButton | Specifies the button control style. This is a normal command bar button that is used in the menu bar and toolbars.
xtpControlPopup | Specifies the popup control style. This will add a control that displays a caption with no image. When clicked, a popup menu will display any added controls.
xtpControlButtonPopup | Specifies the button popup control style. This will add a control that displays an image with no caption. When clicked, a popup menu will display any added controls. The caption can be shown by setting the control Style property using an XTPButtonStyle flag.
xtpControlSplitButtonPopup | Specifies the split button popup control style.
xtpControlComboBox | Specifies the combobox control style. This will add a combobox control to your command bar.
xtpControlEdit | Specifies the edit control style. This will add an edit box control to your command bar.
xtpControlCustom | Specifies the custom control style. This allows you to add any control you want to your command bar. For example, you can add a progress bar or slider control to your command bar.
xtpControlLabel | Specifies the Label control style. This will add a control that is used for informational purposes only. This command will not respond to the mouse and can not receive focus. The background will be displayed in a different color. You can use this to display helpful information about your popup menu.
xtpControlCheckBox Specifies the CheckBox control style. When using this style the control's checked property is used to determine whether the check box is checked or un-checked.

xtpControlGallery Specifies the Galley control style. Galleries can be placed in normal toolbars, popup menus, and ribbon groups.

xtpControlRadioButton | Specifies the Radio\Option button control style. This will add an Radio\Option button control to your command bar.
Type of control to add to the ribbon group.
Id
Identifier of the CommandBarControl to be added.
Caption
The caption of the CommandBarControl to be added.
Before
The index of an existing control that the new control should will be inserted before.
Temporary
A boolean value indicating whether the control is temporary. Temporary controls will not be saved to the system registry when the application is closed (If SaveCommandBars is used), and they will not be restored when the application is opened (If LoadCommandBars is used).

Return Type

Reference to the CommandBarControl object that was added to the ribbon group.

Remarks

The Add method allows CommandBarControl objects to be added to the ribbon group.

The FindControl method can be used to search for a CommandBarControl within the Ribbon Bar.

See Also

RibbonGroup Collection | CommandBarControls Add Method | Count Property | DeleteAll Method | DeleteAt Method | Ribbon Group Items Collection | FindControl Method

Example

RibbonBar Object


%%PageItemTitle%%

RibbonGroup Collection

Control
A CommandBarControl to add to the ribbon group. For example, a control created with a Clone method.
Before
The index of an existing control that the new control should will be inserted before.
See Also Command Bars ActiveX Control v19.3

AddControl Method

Description

Adds a CommandBarControl to the ribbon group.

Syntax

Public Sub AddControl( _
   ByVal Control As CommandBarControl, _
   Optional ByVal Before As Variant _
)

Parameters

Control
A CommandBarControl to add to the ribbon group. For example, a control created with a Clone method.
Before
The index of an existing control that the new control should will be inserted before.

Remarks

The AddControl method allows entire CommandBarControl objects created with a Clone method to be added to the ribbon group.

The FindControl method can be used to search for a CommandBarControl within the Ribbon Bar.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection | DeleteAt Method | Add Method

See Also Command Bars ActiveX Control v19.3

DeleteAll Method

Description

Removes all of the items from the group.

Syntax

Public Sub DeleteAll()

Remarks

DeleteAll deletes all of the items from the group. The DeleteAt method is used to delete a single item.

See Also

RibbonGroup Collection | DeleteAt Method | Add Method


%%PageItemTitle%%

RibbonGroup Collection | DeleteAll Method | Add Method | Collection of Items Property

Index
Index of the item to remove from the group's collection of items.
See Also Command Bars ActiveX Control v19.3

DeleteAt Method

Description

Removes the item at the specified position in the group's collection of items.

Syntax

Public Sub DeleteAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to remove from the group's collection of items.

Remarks

Removes an item by it's index from the group's collection of items.

The DeleteAll method is used to delete all items at the same time.

See Also

RibbonGroup Collection | DeleteAll Method | Add Method | Collection of Items Property


%%PageItemTitle%%

RibbonGroup Collection

Left
[out] The Left point of the ribbon group rectangle.
Top
[out] The Top point of the ribbon group rectangle.
Right
[out] The Right point of the ribbon group rectangle.
Bottom
[out] The Bottom point of the ribbon group rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Gets the bounding rectangle for the group.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The Left point of the ribbon group rectangle.
Top
[out] The Top point of the ribbon group rectangle.
Right
[out] The Right point of the ribbon group rectangle.
Bottom
[out] The Bottom point of the ribbon group rectangle.

Remarks

The rectangle is the size of the entire group, including the group caption and group popup if present.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection

See Also Command Bars ActiveX Control v19.3

AllowReduce Property

Description

Specifies whether ribbon group is allowed to become a button when there is not enough space to display the entire group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowReduce() As Long

Remarks

Specifies whether ribbon group is allowed to become a button when there is not enough space to display the entire group.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection

See Also Command Bars ActiveX Control v19.3

AutoArrangeEditCaption Property

Description

Specifies whether the group will automatically align caption / edit parts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoArrangeEditCaption() As Boolean

Remarks

In case multiple Edit or ComboBoxes are in a single column of a Ribbon Group, The Group will automatically align caption / edit parts.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection | AddGroup Method | InsertGroup Method

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Text to display in the group title bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text string that is displayed in the group's title bar. The Caption of the group is initially set when it is added or inserted.

See Also

RibbonGroup Collection | AddGroup Method | InsertGroup Method


%%PageItemTitle%%

RibbonGroup Collection | ShowOptionButton Property | DescriptionText Property | TooltipText Property

See Also Command Bars ActiveX Control v19.3

ControlGroupOption Property

Description

CommandBarControl that represents the group's OptionButton (used to set tool tip and status bar text).

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlGroupOption() As CommandBarControl

Remarks

ControlGroupOption is only used to set the TooltipText and DescriptionText for the OptionButton. No other properties\methods of the CommandBarControl are used.

See Also

RibbonGroup Collection | ShowOptionButton Property | DescriptionText Property | TooltipText Property


%%PageItemTitle%%

RibbonGroup Collection | IconId Property

See Also Command Bars ActiveX Control v19.3

ControlGroupPopup Property

Description

CommandBarPopup that contains all of the CommandBarControl items for a group button when there is not enough room to display the items in the group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlGroupPopup() As CommandBarPopup

Remarks

A single group button will be displayed if there is not enough room to display the items in the group. A group popup is displayed when the button is clicked. The popup contains all the items in the group. When a group button is clicked, a ControlGroupPopup is displayed that contains the items of the group.

The IconId specifies the Id of the image to use for the group button that is displayed when there is not enough room to display the items in the group. The picture below shows several group buttons with images. No image will be displayed for the group button if IconId is not set.

See Also

RibbonGroup Collection | IconId Property


%%PageItemTitle%%

RibbonGroup Collection

See Also Command Bars ActiveX Control v19.3

ControlsCentering Property

Description

Specifies whether to automatically center controls in this ribbon group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlsCentering() As Boolean

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection

See Also Command Bars ActiveX Control v19.3

ControlsGrouping Property

Description

Enables\disables control grouping within the Ribbon Group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlsGrouping() As Boolean

Remarks

Control grouping will group controls together inside a Ribbon Group. The BeginGroup property of a control is used to start a new group, all controls added after will belong to the same group until BeginGroup is used again. The Ribbon will always try to display the groups with the least amount of space possible, to the with of the Ribbon Group will depend on the width of the longest control grouping.

Using control grouping

Same group as above, but without using control grouping.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroup Collection | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

Count Property

Description

Total number of CommandBarControl objects that have been added to a RibbonGroup.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

A RibbonGroup is used to hold one ore more CommandBarControl objects. The total number of items can be found using Count.

See Also

RibbonGroup Collection | RibbonGroup Object


%%PageItemTitle%%

RibbonGroup Collection | RibbonTab Groups Collection | RibbonBar Property

See Also Command Bars ActiveX Control v19.3

Groups Property

Description

Gets the collection of sibling RibbonGroups.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Groups() As RibbonGroups

Remarks

The Groups property returns a reference to the RibbonTab Groups Collection in which the RibbonGroup currently belongs. This allows the sibling RibbonGroup objets to be accessed.

The RibbonBar property return which Ribbon Bar the RibbonGroup currently belongs.

See Also

RibbonGroup Collection | RibbonTab Groups Collection | RibbonBar Property


%%PageItemTitle%%

RibbonGroup Collection | ControlGroupPopup Property

See Also Command Bars ActiveX Control v19.3

IconId Property

Description

Id of the image to use for the group button that is displayed when there is not enough room to display the items in the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

The IconId specifies the Id of the image to use for the group button that is displayed when there is not enough room to display the items in the group. When a group button is clicked, a ControlGroupPopup is displayed that contains the items of the group. The picture below shows several group buttons with images. No image will be displayed for the group button if IconId is not set.

See Also

RibbonGroup Collection | ControlGroupPopup Property


%%PageItemTitle%%

RibbonGroup Collection | Execute Event | ShowOptionButton Property | ControlGroupOption Property

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Group Identifier.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id is used to identify the group.

When the OptionButton is clicked, the Execute event occurs. The Control parameter of the Execute event will contain the Id of the group the OptionButton belongs to.

See Also

RibbonGroup Collection | Execute Event | ShowOptionButton Property | ControlGroupOption Property


%%PageItemTitle%%

RibbonGroup Collection | Groups Collection

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Returns the Index of this group within the parent Groups Collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

RibbonGroup Collection | Groups Collection


%%PageItemTitle%%

RibbonGroup Collection | Add Method | DeleteAll Method | DeleteAt Method | FindControl Method

Index
Index of a CommandBarControl in the Item collection to return.
See Also Command Bars ActiveX Control v19.3

Item Property

Description

Gets the collection of CommandBarControl objects that have been added to the RibbonGroup.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As CommandBarControl

Parameters

Index
Index of a CommandBarControl in the Item collection to return.

Remarks

The Item collection contains all of the CommandBarControl objects that have been added to the RibbonGroup.

The Add method is used to add a CommandBarControl to the Item collection and DeleteAt is used to delete a CommandBarControl from the Item collection. The FindControl method is used to search for a control in the Ribbon Bar.

See Also

RibbonGroup Collection | Add Method | DeleteAll Method | DeleteAt Method | FindControl Method


%%PageItemTitle%%

RibbonGroup Collection | RibbonBar Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

RibbonBar Property

Description

The RibbonBar object the RibbonGroup belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonBar() As RibbonBar

Remarks

The RibbonBar property holds a reference to the RibbonBar object the RibbonGroup belongs to. This is the RibbonBar that the RibbonGroup is displayed in.

See Also

RibbonGroup Collection | RibbonBar Object | RibbonGroup Object


%%PageItemTitle%%

RibbonGroup Collection | Group Id Property | Execute Event | ControlGroupOption Property

See Also Command Bars ActiveX Control v19.3

ShowOptionButton Property

Description

Specifies whether to display an option button in the group caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOptionButton() As Boolean

Remarks

The option button is typically used to launch a dialog associated with the group. The CommandBars Execute event occurs when the option button is clicked. The Group Id is used to identify which group's option button was clicked, the Control parameter of the Execute event will contain the Group Id.

See Also

RibbonGroup Collection | Group Id Property | Execute Event | ControlGroupOption Property


%%PageItemTitle%%

RibbonGroup Collection

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Hides or show a Ribbon Group or returns whether a Ribbon Group is currently visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

The Visible property can be used to hide or show a Ribbon Group. You can hide or show a group that is in the active tab, or you can use Visible to determine if the group is currently visible. Visible will be False if the group is in a tab that is currently hidden. Visible will only be True if it is currently visible on screen.

See Also

RibbonGroup Collection


%%PageItemTitle%%

RibbonGroups Members | RibbonGroup Object | RibbonTab Groups Collection | RibbonTab Object | Ribbon BarTabs Colleciton | AddGroup Method | InsertGroup Method

See Also Command Bars ActiveX Control v19.3

RibbonGroups Collection

Description

Represents a collection of RibbonGroup objects.

For a list of all members defined in this module, see RibbonGroups members.

Object Model

Remarks

A RibbonTab uses the RibbonGroups object for its Groups Collection to store all of the RibbonGroup objects that have been added to the RibbonTab. A RibbonGroup is used to hold items such as buttons, popups, edit controls, etc.

Groups are added to the Groups Collection using the AddGroup and InsertGroup methods.

In the picture above, "Pages", "Table", "Illustrations", "Links", and "Header & Footer" are all RibbonGroup objects that would be contained in a RibbonTab's RibbonGroups collection.

See Also

RibbonGroups Members | RibbonGroup Object | RibbonTab Groups Collection | RibbonTab Object | Ribbon BarTabs Colleciton | AddGroup Method | InsertGroup Method

Example

RibbonBar Sample


%%PageItemTitle%% $$Members$$

RibbonGroups Overview | RibbonGroup Object | RibbonTab Groups Collection | RibbonTab Object | Ribbon BarTabs Colleciton | AddGroup Method | InsertGroup Method

See Also Command Bars ActiveX Control v19.3

RibbonGroups Collection Members

Public Methods

Public Method AddGroup | Adds a RibbonGroup to a RibbonTab.
Public Method InsertGroup | Adds a RibbonGroup to a RibbonTab at a specific location.
Public Method RemoveAll | Removes all groups from the Groups Collection.
Public Method RemoveGroup | Removes the group at the specified index from the Groups Collection .

Public Properties

Public Property Group | Collection of RibbonGroup objects that have been added to the RibbonTab.
Public Property GroupCount | Total number of RibbonGroup objects that have been added to a RibbonTab.
Public Property RibbonTab | Returns a reference to the RibbonTab that the groups belong to.

See Also

RibbonGroups Overview | RibbonGroup Object | RibbonTab Groups Collection | RibbonTab Object | Ribbon BarTabs Colleciton | AddGroup Method | InsertGroup Method


%%PageItemTitle%%

RibbonGroups Collection | InsertGroup Method | RibbonGroup Object | RibbonTab Object | RibbonTab Groups Collection | Caption Property | Id Property | RemoveAll Method | RemoveGroup Method

Caption
Text to display in the group title bar. This is the group's caption.
Id
Group Id.
See Also Command Bars ActiveX Control v19.3

AddGroup Method

Description

Adds a RibbonGroup to a RibbonTab.

Syntax

Public Function AddGroup( _
   ByVal Caption As String, _
   ByVal Id As Long _
) As RibbonGroup

Parameters

Caption
Text to display in the group title bar. This is the group's caption.
Id
Group Id.

Return Type

Reference to the RibbonGroup object added to the RibbonTab Groups Collection.

Remarks

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups. In the picture below, the "Pages", "Table", "Illustrations", and "Links" are all RibbonGroup objects that have been added to the "Insert" RibbonTab.

See Also

RibbonGroups Collection | InsertGroup Method | RibbonGroup Object | RibbonTab Object | RibbonTab Groups Collection | Caption Property | Id Property | RemoveAll Method | RemoveGroup Method

Example

RibbonBar Sample


%%PageItemTitle%%

RibbonGroups Collection | Caption Property | RibbonGroups Object | AddGroup Method | RibbonTab Groups Collection | Id Property | RemoveAll Method | RemoveGroup Method

Index
Position within the tab's Groups Collection to insert the new RibbonGroup.
Caption
Text to display in the group title bar. This in the group's caption.
Id
Group Id.
See Also Command Bars ActiveX Control v19.3

InsertGroup Method

Description

Adds a RibbonGroup to a RibbonTab at a specific location.

Syntax

Public Function InsertGroup( _
   ByVal Index As Long, _
   ByVal Caption As String, _
   ByVal Id As Long _
) As RibbonGroup

Parameters

Index
Position within the tab's Groups Collection to insert the new RibbonGroup.
Caption
Text to display in the group title bar. This in the group's caption.
Id
Group Id.

Return Type

Reference to the RibbonGroup object added to the RibbonTab Groups Collection.

Remarks

InsertGroup adds a group at a specific location within the tab's Groups Collection . Groups will be displayed in the order they are added. This means the group with an Index of zero (0) will be displayed first to the far left, then to the immediate right will be the group with an Index of one (1), etc...

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups. In the picture above, the "Pages", "Table", "Illustrations", and "Links" are all RibbonGroup objects that have been added to the "Insert" RibbonTab.

See Also

RibbonGroups Collection | Caption Property | RibbonGroups Object | AddGroup Method | RibbonTab Groups Collection | Id Property | RemoveAll Method | RemoveGroup Method


%%PageItemTitle%%

RibbonGroups Collection | RemoveGroup Method | AddGroup Method | Groups Collection | InsertGroup Method

See Also Command Bars ActiveX Control v19.3

RemoveAll Method

Description

Removes all groups from the Groups Collection.

Syntax

Public Sub RemoveAll()

See Also

RibbonGroups Collection | RemoveGroup Method | AddGroup Method | Groups Collection | InsertGroup Method


%%PageItemTitle%%

RibbonGroups Collection | AddGroup Method | InsertGroup Method | RemoveAll Method | Groups Collection

Index
Index of the group to be removed.
See Also Command Bars ActiveX Control v19.3

RemoveGroup Method

Description

Removes the group at the specified index from the Groups Collection .

Syntax

Public Sub RemoveGroup( _
   ByVal Index As Long _
)

Parameters

Index
Index of the group to be removed.

See Also

RibbonGroups Collection | AddGroup Method | InsertGroup Method | RemoveAll Method | Groups Collection


%%PageItemTitle%%

RibbonGroups Collection | AddGroup Method | InsertGroup Method | GroupCount Property | RibbonTab Groups Collection | RibbonGroup Object

Index
Index of a RibbonGroup within the tab's Group collection to return.
See Also Command Bars ActiveX Control v19.3

Group Property

Description

Collection of RibbonGroup objects that have been added to the RibbonTab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group( _
   ByVal Index As Long _
) As RibbonGroup

Parameters

Index
Index of a RibbonGroup within the tab's Group collection to return.

Remarks

A RibbonGroup is used to hold buttons, popups, edit controls, combo box controls, etc. The group organizes the different types of controls in a RibbonTab so it is easy to see what functionality the controls should perform. Groups are added to the Group collection using the AddGroup and InsertGroup methods.

Groups are displayed in the order they are added. This means the group with an Index of zero (0) will be displayed first to the far left, then to the immediate right will be the group with an Index of one (1), etc...

In the picture above, "Pages", "Table", "Illustrations", "Links", and "Header & Footer" are all RibbonGroup objects that would be contained in a RibbonTab's Groups collection.

See Also

RibbonGroups Collection | AddGroup Method | InsertGroup Method | GroupCount Property | RibbonTab Groups Collection | RibbonGroup Object


%%PageItemTitle%%

RibbonGroups Collection | Groups Collection | AddGroup Method | InsertGroup Method | RibbonGroup Object | RibbonTab Object | RibbonTab Groups Collection

See Also Command Bars ActiveX Control v19.3

GroupCount Property

Description

Total number of RibbonGroup objects that have been added to a RibbonTab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupCount() As Long

See Also

RibbonGroups Collection | Groups Collection | AddGroup Method | InsertGroup Method | RibbonGroup Object | RibbonTab Object | RibbonTab Groups Collection


%%PageItemTitle%%

RibbonGroups Collection | RibbonTab Object | RibbonTab Groups Collection

See Also Command Bars ActiveX Control v19.3

RibbonTab Property

Description

Returns a reference to the RibbonTab that the groups belong to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonTab() As RibbonTab

Remarks

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. The groups are stored in the tab's RibbonTab Groups Collection.

See Also

RibbonGroups Collection | RibbonTab Object | RibbonTab Groups Collection


%%PageItemTitle%%

RibbonPaintManager Members | RibbonPaintManager Method | CaptionFont Property | HotTrackingGroups Property

See Also Command Bars ActiveX Control v19.3

RibbonPaintManager Object

Description

The RibbonPaintManager object is used to get and set the visual properties of the RibbonBar.

For a list of all members defined in this module, see RibbonPaintManager members.

Remarks

The RibbonPaintManager method returns a RibbonPaintManager object that can be used to modify the visual properties of the RibbonBar such as the RibbonGroup CaptionFont and whether groups use HotTracking.

See Also

RibbonPaintManager Members | RibbonPaintManager Method | CaptionFont Property | HotTrackingGroups Property


%%PageItemTitle%% $$Members$$

RibbonPaintManager Overview | RibbonPaintManager Method | CaptionFont Property | HotTrackingGroups Property

See Also Command Bars ActiveX Control v19.3

RibbonPaintManager Object Members

Public Properties

Public Property CaptionFont | Get\set the font used to display Caption text in a RibbonGroup.
Public Property HotTrackingGroups | Specifies whether hottracking will be used when moving the mouse cursor over a ribbon group.
Public Property WindowCaptionFont | Gets or sets the Font used to draw text in the window frame caption.

See Also

RibbonPaintManager Overview | RibbonPaintManager Method | CaptionFont Property | HotTrackingGroups Property


%%PageItemTitle%%

RibbonPaintManager Object | RibbonGroup Object | Caption Property

See Also Command Bars ActiveX Control v19.3

CaptionFont Property

Description

Get\set the font used to display Caption text in a RibbonGroup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

Remarks

CaptionFont can be used to change the font used to display text in the group caption.

See Also

RibbonPaintManager Object | RibbonGroup Object | Caption Property


%%PageItemTitle%%

RibbonPaintManager Object | RibbonGroup Object

See Also Command Bars ActiveX Control v19.3

HotTrackingGroups Property

Description

Specifies whether hottracking will be used when moving the mouse cursor over a ribbon group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTrackingGroups() As Boolean

Remarks

HotTrackingGroups can be used to specify that ribbon groups become highlighted when the mouse cursor is moved over them. By default, HotTrackingGroups is True.

See Also

RibbonPaintManager Object | RibbonGroup Object


%%PageItemTitle%%

RibbonPaintManager Object

See Also Command Bars ActiveX Control v19.3

WindowCaptionFont Property

Description

Gets or sets the Font used to draw text in the window frame caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowCaptionFont() As Font

See Also

RibbonPaintManager Object


%%PageItemTitle%%

RibbonTab Members | InsertTab Method | Tab Collection | TabCount Property

See Also Command Bars ActiveX Control v19.3

RibbonTab Object

Description

Represents a tab in the Ribbon Bar.

For a list of all members defined in this module, see RibbonTab members.

Object Model

Remarks

Tabs in the Ribbon Bar are used to display different groups of items.

The InsertTab method adds a new RibbonTab object to the tabs collection of the Ribbon Bar.

Tabs in the Ribbon Bar contain one or more RibbonGroup objects. Buttons, Popups, etc can then be added to the groups. In the picture above, the "Pages", "Table", "Illustrations", and "Links" are all RibbonGroup objects that have been added to the "Insert" RibbonTab.

The TabCount property can be used to determine the total number of tabs that have been added.

See Also

RibbonTab Members | InsertTab Method | Tab Collection | TabCount Property

Example

RibbonBar Sample


%%PageItemTitle%% $$Members$$

RibbonTab Overview | InsertTab Method | Tab Collection | TabCount Property

See Also Command Bars ActiveX Control v19.3

RibbonTab Object Members

Public Methods

Public Method GetRect | Gets the bounding rectangle of the Ribbon tab button.
Public Method Move | Moves the tab to a specific position in the Ribbon Bar.

Public Properties

Public Property Caption | String caption displayed in the tab's button.
Public Property Color | Gets\sets the color of the tab and the color of the contextual tab caption when displayed.
Public Property ContextCaption | Gets\sets the text caption that is displayed above a contextual tab.
Public Property CustomizeCaption |
Public Property Enabled | Gets\sets whether the tab is enabled.
Public Property Groups | Gets the RibbonGroups that have been added to the RibbonTab.
Public Property Id | Numeric identifier of the Ribbon Tab.
Public Property Image | Image to display in the tab button.
Public Property Index | The index of the tab within the Ribbon Bar's collection of tabs.
Public Property KeyboardTip | Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.
Public Property RibbonBar | The RibbonBar object the tab belongs to.
Public Property Selected | Gets\sets whether the tab is currently selected.
Public Property Tag | Stores any extra data needed for your program related to the tab.
Public Property ToolTip | The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned of this tab.
Public Property Visible | Gets/sets whether the tab is visible.

See Also

RibbonTab Overview | InsertTab Method | Tab Collection | TabCount Property


%%PageItemTitle%%

RibbonTab Object

Left
[out] The Left point of the Ribbon tab button rectangle.
Top
[out] The Top point of the Ribbon tab button rectangle.
Right
[out] The Right point of the Ribbon tab button rectangle.
Bottom
[out] The Bottom point of the Ribbon tab button rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Gets the bounding rectangle of the Ribbon tab button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The Left point of the Ribbon tab button rectangle.
Top
[out] The Top point of the Ribbon tab button rectangle.
Right
[out] The Right point of the Ribbon tab button rectangle.
Bottom
[out] The Bottom point of the Ribbon tab button rectangle.

See Also

RibbonTab Object


%%PageItemTitle%%

RibbonTab Object | InsertTab Method | Tabs Colleciton Property | TabCount Property

Index
Position within the Ribbon Bar's collection of tabs to move the tab.
See Also Command Bars ActiveX Control v19.3

Move Method

Description

Moves the tab to a specific position in the Ribbon Bar.

Syntax

Public Sub Move( _
   ByVal Index As Long _
)

Parameters

Index
Position within the Ribbon Bar's collection of tabs to move the tab.

Remarks

The Move method moves the tab to a new position within the Ribbon Bar's collection of tabs. The tabs are displayed in the order in which they are added in the Ribbon Bar's collection of tabs.

Note: The collection of tabs is a zero (0) based index.

See Also

RibbonTab Object | InsertTab Method | Tabs Colleciton Property | TabCount Property


%%PageItemTitle%%

RibbonTab Object | InsertTab Method

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

String caption displayed in the tab's button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text string that is displayed in the tab's button. The Caption of the tab is initially set when it is inserted.

See Also

RibbonTab Object | InsertTab Method


%%PageItemTitle%%

RibbonTab Object | XTPRibbonTabContextColor Enumeration | ContextCaption Property | XTPCommandBarsSpecialCommands Enumeration | Visible Property

See Also Command Bars ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the tab and the color of the contextual tab caption when displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As XTPRibbonTabContextColor

Remarks

The Color property indicates the color the tab when active and the color of it's ContextCaption when displayed. The picture below illustrates this:

Changing the color of a tab is usually done only if the tab is a contextual tab, meaning the tab is only displayed if a certain condition is met, for example, when you open a jpg file, you can then display some tabs specific to working with jpg files and also add a context tab caption for those tabs.

These colors can also be used just to specify the color or a tab on mouse over if no ContextCaption is added.

Note: To join the ContextCaption of two or more tabs as seen in the picture, the tabs must all be adjacent, have the same ContextCaption and have the same Ribbon Tab Color.

See Also

RibbonTab Object | XTPRibbonTabContextColor Enumeration | ContextCaption Property | XTPCommandBarsSpecialCommands Enumeration | Visible Property


%%PageItemTitle%%

RibbonTab Object | Color Property | Visible Property

See Also Command Bars ActiveX Control v19.3

ContextCaption Property

Description

Gets\sets the text caption that is displayed above a contextual tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextCaption() As String

Remarks

The ContextCaption property indicates the text caption that will be displayed above a contextual tab. The picture below illustrates this:

Typically, a contextual tab is only displayed if a certain condition is met, for example, when you open a jpg file, you can then display some tabs specific to working with jpg files and also add a ContextCaption for those tabs. In this case, the contextual tab would remain hidden until you set the visible property of the tab to True. When the jpg file was closed, then the contextual tabs can be hidden again.

To join the ContextCaption of two or more tabs as seen in the picture, the tabs must all be adjacent, have the same ContextCaption and have the same Ribbon Tab Color.

See Also

RibbonTab Object | Color Property | Visible Property


%%PageItemTitle%%

RibbonTab Object

See Also Command Bars ActiveX Control v19.3

CustomizeCaption Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomizeCaption() As String

See Also

RibbonTab Object


%%PageItemTitle%%

RibbonTab Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets\sets whether the tab is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

A disabled tab will not respond to events such as mouse clicks and keystrokes. The contents of a tab can not be accessed by the user when the tab is disabled.

See Also

RibbonTab Object


%%PageItemTitle%%

RibbonTab Object | RibbonGroup Object | RibbonGroups Object | AddGroup Method | InsertGroup Method | RibbonGroups RibbonTab Property

See Also Command Bars ActiveX Control v19.3

Groups Property

Description

Gets the RibbonGroups that have been added to the RibbonTab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Groups() As RibbonGroups

Remarks

The RibbonTab can contain one or more RibbonGroup objects. Groups are added to the Groups collection using the AddGroup and InsertGroup methods. RibbonGroup objects are used to hold items such as buttons, popups, edit controls, etc.

See Also

RibbonTab Object | RibbonGroup Object | RibbonGroups Object | AddGroup Method | InsertGroup Method | RibbonGroups RibbonTab Property

Example

RibbonBar Sample


%%PageItemTitle%%

RibbonTab Object | FindTab Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

Numeric identifier of the Ribbon Tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The FindTab can be used to search for a Ribbon Tab be using the Id of a tab.

See Also

RibbonTab Object | FindTab Method


%%PageItemTitle%%

RibbonTab Object | Caption Property | ImageManager Object

See Also Command Bars ActiveX Control v19.3

Image Property

Description

Image to display in the tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Image() As Long

Remarks

The image will be displayed in the tab button to the left of the tab Caption.

See Also

RibbonTab Object | Caption Property | ImageManager Object


%%PageItemTitle%%

RibbonTab Object | Tabs Collection Property | TabCount Property | InsertTab Method | Move Method

See Also Command Bars ActiveX Control v19.3

Index Property

Description

The index of the tab within the Ribbon Bar's collection of tabs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The tabs are displayed in the order in which they are added in the Ribbon Bar's collection of tabs. This means the tab with an Index of zero (0) will be displayed first to the far left, then to the immediate right will be the tab with an Index of one (1), etc...

If the tabs need to be re-ordered, the Move method is used to move the tab to a new position within the Ribbon Bar's collection of tabs.

See Also

RibbonTab Object | Tabs Collection Property | TabCount Property | InsertTab Method | Move Method


%%PageItemTitle%%

RibbonTab Object | ShowKeyboardTips Property

See Also Command Bars ActiveX Control v19.3

KeyboardTip Property

Description

Specifies the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property KeyboardTip() As String

Remarks

This is the KeyboardTip that will be displayed when the Alt key is pressed and ShowKeyboardTips is true.

You can choose to display keyboard tips when the Alt key is pressed. They key that will be used is the first letter\number in the caption of the control after the "&" character. If there is no "&" then the first letter of the caption is used. If the tip is already used then they key is assigned automatically based on availability.

See Also

RibbonTab Object | ShowKeyboardTips Property


%%PageItemTitle%%

RibbonTab Object | RibbonBar Object

See Also Command Bars ActiveX Control v19.3

RibbonBar Property

Description

The RibbonBar object the tab belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RibbonBar() As RibbonBar

Remarks

The RibbonBar property holds a reference to the RibbonBar object the tab belongs to. This is the RibbonBar that the tab is displayed in.

See Also

RibbonTab Object | RibbonBar Object


%%PageItemTitle%%

RibbonTab Object

See Also Command Bars ActiveX Control v19.3

Selected Property

Description

Gets\sets whether the tab is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Remarks

When a tab is Selected, the contents of the tab will be displayed in the Ribbon Bar. A tab is selected when it is clicked or focused when navigating the tabs by the keyboard.

See Also

RibbonTab Object

Example

RibbonBar Sample


%%PageItemTitle%%

RibbonTab Object

See Also Command Bars ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program related to the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

You can use the Tag property to assign an identification string to the tab without affecting any of its other property settings or causing side effects.

See Also

RibbonTab Object


%%PageItemTitle%%

RibbonTab Object | ToolTipContext Object | Style Property

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned of this tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

If the ToolTip property is not set, then the Caption of the RibbonTab will be used as the ToolTip.

ToolBarScreenTips must be enabled to display tool tips.

See Also

RibbonTab Object | ToolTipContext Object | Style Property


%%PageItemTitle%%

RibbonTab Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/sets whether the tab is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

RibbonTab Object


%%PageItemTitle%%

StateOptions Members | CreateStateOptions Method | LoadStateFromXMLString Method | SaveStateToXMLString Method | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

StateOptions Object

Description

The StateOptions object which is used to store the CommandBar's save settings. The save settings are a set of options that will be used to change how and what will be saved and loaded when loading and saving XML files.

For a list of all members defined in this module, see StateOptions members.

Remarks

The CreateStateOptions method is used to create a set of state options for the Command Bars.

The SaveStateToXMLString method uses the StateOptions object to determine how and what to save to the XML string. The LoadStateFromXMLString method uses the StateOptions object to determine how and what to load from a XML string.

When saving your XML string to a file, be sure to use the .XML file extension. If you open up your .XML file in your favorite web browser the XML string will automatically be formatted into the correct layout.

Example

[Saving and Loading CommandBars Settings in XML Format. (Visual Basic)] This sample illustrates how to use the StateOptions object to specify how and what of the CommandBars state, layout, options, etc will be saved and loaded when the SaveStateToXMLString and LoadStateFromXMLString methods are called to save and load the CommandBars settings.

'***************************************************************************
' Global Variables
'***************************************************************************
'Used to store XML string containing CommandBars settings
Dim myXMLLayout As String
'Used to store the state options that specify how and what will be saved and loaded from the XML sting.
Dim myStateOptions As StateOptions

'***************************************************************************
' Form Load
'***************************************************************************
Private Sub MDIForm_Load()
        'This will create a set of State options that will be used to change how and what will
        'be saved and loaded when using the LoadStateFromXMLString and SaveStateFromXMLString methods
        Set myStateOptions = CommandBars.CreateStateOptions

        'If True, no message boxes will be displayed when the CommandBar layout is loaded.
        'i.e. The message box that asks for conformation before the CommandBar layout is reset.
        'The default is False
        myStateOptions.LoadSilent = False

        'If True, only CommandBars that have been customized will be saved.
        'The default is True
        myStateOptions.SaveOnlyCustomized = False

        'If True, the original state of the CommandBars is saved along with the customized state
        'For example, if a button on a toolbar is moved, then both the original and modified states will be saved.
        'The Default is True
        myStateOptions.SaveOriginalControls = True

        'In the CommandBar Designer you can export a XCB file to a XML file and Load it using LoadFromXMLString.
        'If SerializeDesignerControls is True, then the CommandBars.DesignerControls property will be filled with
        'Control items from the CommandBar Designer's controls pane. This allows you to use LoadFromXMLString instead
        'of the LoadDesignerBars method. NOTE: DesignerControls are the controls displayed in the customization dialog.
        'The default is False
        myStateOptions.SerializeDesignerControls = True

        'If True, the controls in the CommandBars will be saved. If False, no controls will be saved,
        'regardless of the other settings.
        'The default is True
        myStateOptions.SerializeControls = True

        'If True, the images stored in the ImageManager will be saved.
        'The default is False
        myStateOptions.SerializeImages = True

        'If True, the layout of the CommandBars will be saved. The Layout includes information such as
        'bar position, location, and size.
        'The Default is True
        myStateOptions.SerializeLayout = True

        'If True, the setting on the Keyboard and Options pages of the Customize dialog will
        'be saved. This includes shortcut keys and CommandBar options like large icons and full menus.
        'The default is False
        myStateOptions.SerializeOptions = True

        'Sets the commandBars theme to Office 2003
        CommandBars.VisualTheme = xtpThemeOffice2003

        'This subroutine is called to save a string in XML format that contains all of the CommandBars
        'settings. The myStateOptions object specifies how and what will be saved to the XML string.
        SaveXMLString

        'Sets the new commandBars theme to Windows XP
        CommandBars.VisualTheme =xtpThemeNativeWinXP

        'This subroutine restores the CommandBars Settings with the settings saved when the SaveXMLString
        'subroutine was called. In this sample, the theme would have been switched back to xtpThemeOffice2003.
        LoadXMLString
End Sub

'***************************************************************************
'Subroutine used to create an string in XML format that contains all of the CommandBars settings and save
'this string to a XML file.
'***************************************************************************
Public Sub SaveXMLString()

Dim FreeF As Integer, sFile As String, sLayout As String

On Error Resume Next:

    'Creates a string containing the CommandBars layout, state, and settings. The state options stored in the myStateOptions
    'object specifies which settings should be saved to the string. Since multiple strings can be saved
    'to the same file, this string is given the profile name "CommandBarsMDISampleLayout"
    myXMLLayout = CommandBars.SaveStateToXMLString("CommandBarsMDISampleLayout", myStateOptions)

    'XML string will be saved to the file c:\Layout.xml. Note that the file extension is .XML. Opening a file
    'of type XML in a web browser will correctly format the XML sting.
    sFile = "c:\Layout.xml"
    FreeF = FreeFile
    Kill sFile
    Open sFile For Binary As #FreeF
    Put #FreeF, , myXMLLayout
    Close #FreeF
End Sub

'***************************************************************************
'Subroutine used to open a string in XML format from a XML file and restore the Commandbars
'settings with the settings stored in the XML string. The state options stored in the
'myStateOptions object will specify how the CommandBars settings will be restored.
'***************************************************************************
Public Sub LoadXMLString()

Dim FreeF As Integer, sFile As String, sLayout As String

On Error Resume Next:

    'XML string will be loaded from the file c:\Layout.xml.
    sFile = "c:\Layout.xml"
    FreeF = FreeFile
    myXMLLayout = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , myXMLLayout
    Close #FreeF
    On Error Goto 0

    'Load the "CommandBarsMDISampleLayout" profile from the myXMLLayout string. The state options stored in the
    'myStateOptions object specify how to restore the Command Bars settings.
    CommandBars.LoadStateFromXMLString "CommandBarsMDISampleLayout", myXMLLayout, myStateOptions
End Sub

See Also

StateOptions Members | CreateStateOptions Method | LoadStateFromXMLString Method | SaveStateToXMLString Method | DeleteAll Method


%%PageItemTitle%% $$Members$$

StateOptions Overview | CreateStateOptions Method | LoadStateFromXMLString Method | SaveStateToXMLString Method | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

StateOptions Object Members

Public Properties

Public Property LoadSilent | The LoadSilent property specifies whether a message box is displayed when the state of a toolbar is updated after the LoadStateFromXMLString method is called.
Public Property SaveOnlyCustomized | The SaveOnlyCustomized property specifies whether to only save CommandBars that have been customized when saving the CommandBars state to an XML string using the SaveStateToXMLString method.
Public Property SaveOriginalControls | The SaveOriginalControls property specifies whether to save the original state of a CommandBar that has been customized in addition to the customized state of the CommandBar when saving the CommandBars state to an XML string using the SaveStateToXMLString method.
Public Property SerializeActions | The SerializeActions property specifies whether to save the control actions to the XML string.
Public Property SerializeControls | The SerializeControls property specifies whether to save the controls on the CommandBars to the XML string. This setting takes precedence over all other settings.
Public Property SerializeDesignerControls | The SerializeDesignerControls property specifies whether load the CommandBars.DesignerControls collection with the controls that appear in the "Controls" panel in Designer Studio when loading the CommandBars state from an XML string created in the Designer Studio.
Public Property SerializeImages | The SerializeImages property specifies whether to save the images of the controls in the CommandBars when saving the CommandBars state to an XML string using the SaveStateToXMLString method.
Public Property SerializeLayout | The SerializeLayout property specifies whether to save the layout of the CommandBars when saving the CommandBars state to an XML string using the SaveStateToXMLString method.
Public Property SerializeOptions | The SerializeOptions property specifies whether to save the CommandBars Options when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

See Also

StateOptions Overview | CreateStateOptions Method | LoadStateFromXMLString Method | SaveStateToXMLString Method | DeleteAll Method


%%PageItemTitle%%

StateOptions Object | LoadStateFromXMLString Method

See Also Command Bars ActiveX Control v19.3

LoadSilent Property

Description

The LoadSilent property specifies whether a message box is displayed when the state of a toolbar is updated after the LoadStateFromXMLString method is called.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LoadSilent() As Boolean

Remarks

When the state of a CommandBar is updated, a message box is displayed that asks for conformation before the CommandBar layout is updated. This occurs for each CommandBar who's state will change. LoadSilent must be FALSE to display the confirmation message box.

If set to TRUE, no message box will be displayed when the CommandBar layout is loaded.
By default, LoadSilent is FALSE.

See Also

StateOptions Object | LoadStateFromXMLString Method

Example

LoadSilent Sample


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SaveOnlyCustomized Property

Description

The SaveOnlyCustomized property specifies whether to only save CommandBars that have been customized when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveOnlyCustomized() As Boolean

Remarks

If set to TRUE, only CommandBars that have been customized will be saved. For example, if there are three CommandBars and a button on the second toolbar is removed, then only the second toolbar is saved assuming that no controls were modified or added on the other toolbars.

If a control on a CommandBar is added, deleted, or modified, then the entire CommandBar is saved to the XML string when SaveOnlyCustomized is TRUE.

By default, SaveOnlyCustomized is True

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SaveOnlyCustomized Sample


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SaveOriginalControls Property

Description

The SaveOriginalControls property specifies whether to save the original state of a CommandBar that has been customized in addition to the customized state of the CommandBar when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SaveOriginalControls() As Boolean

Remarks

If set to TRUE, the original state of all customized CommandBars is saved along with the customized state.
For example, if a button on a toolbar is moved, then both the original and modified states will be saved to the XML string.

By default, SaveOriginalControls is TRUE.

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SaveOriginalControls Sample


%%PageItemTitle%%

StateOptions Object

See Also Command Bars ActiveX Control v19.3

SerializeActions Property

Description

The SerializeActions property specifies whether to save the control actions to the XML string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeActions() As Boolean

See Also

StateOptions Object


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SerializeControls Property

Description

The SerializeControls property specifies whether to save the controls on the CommandBars to the XML string. This setting takes precedence over all other settings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeControls() As Boolean

Remarks

If set to TRUE, the controls in the CommandBars will be saved. Which controls are saved will depend on the value of SaveOnlyCustomized and SaveOriginalControls.

If set to FALSE, no controls will be saved, regardless of the other settings.

By default, SerializeControls is TRUE.

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SerializeControls Sample


%%PageItemTitle%%

StateOptions Object | LoadStateFromXMLString Method

See Also Command Bars ActiveX Control v19.3

SerializeDesignerControls Property

Description

The SerializeDesignerControls property specifies whether load the CommandBars.DesignerControls collection with the controls that appear in the "Controls" panel in Designer Studio when loading the CommandBars state from an XML string created in the Designer Studio.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeDesignerControls() As Boolean

Remarks

In the CommandBar Designer you can export a XCB file to a XML file and load it using LoadFromXMLString. If SerializeDesignerControls is TRUE, then the CommandBars.DesignerControls property will be filled with control items from the CommandBar Designer's "Controls" pane. This allows you to load the XML file by using the LoadFromXMLString method.

NOTE: DesignerControls are the controls displayed in the customization dialog. When saving the state of the CommandBars to a XML string, the controls in the CommandBars.DesignerControls collection are not saved. This is because these controls are automatically generated when opening the XML file in the CommandBar Designer.

By default, SerializeDesignerControls is FALSE.

See Also

StateOptions Object | LoadStateFromXMLString Method

Example

SerializeDesignerControls Sample


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SerializeImages Property

Description

The SerializeImages property specifies whether to save the images of the controls in the CommandBars when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeImages() As Boolean

Remarks

If set to TRUE, the images stored in the ImageManager will be saved to the XML string.

By default, SerializeImages is FALSE.

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SerializeImages Sample


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SerializeLayout Property

Description

The SerializeLayout property specifies whether to save the layout of the CommandBars when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeLayout() As Boolean

Remarks

If set to TRUE, the layout of the CommandBars will be saved. The layout includes information such as bar position, location, and size.

By default, SerializeLayout is TRUE.

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SerializeLayout Sample


%%PageItemTitle%%

StateOptions Object | SaveStateToXMLString Method

See Also Command Bars ActiveX Control v19.3

SerializeOptions Property

Description

The SerializeOptions property specifies whether to save the CommandBars Options when saving the CommandBars state to an XML string using the SaveStateToXMLString method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SerializeOptions() As Boolean

Remarks

If set to TRUE, the settings on the Keyboard and Options pages of the Customize dialog will be saved. This includes shortcut keys and CommandBar options like large icons and full menus.

By default, SerializeOptions is FALSE.

See Also

StateOptions Object | SaveStateToXMLString Method

Example

SerializeOptions Sample


%%PageItemTitle%%

StatusBar Members | StatusBarSliderPane Object | StatusBarSwitchPane Object | StatusBarPane Object | PaneClick Event | SliderPaneClick Event | SwitchPaneClick Event

See Also Command Bars ActiveX Control v19.3

StatusBar Collection

Description

Custom Statusbar

For a list of all members defined in this module, see StatusBar members.

Object Model

Remarks

Command Bars comes with a built-in custom status bar. You have the ability to add panes to the custom status bar, and can access each individual pane to change the message that is displayed. The custom status bar will automatically use the current Command Bars theme. For example, if you have the Command Bars theme set to Office 2003, the custom status bar will automatically use the Office 2003 theme. The custom status bar uses the DescriptionText property of your Command Bar controls to display text in the "Idle Text" pane when the mouse is positioned over a Command Bar control simply by adding a pane with Id zero. The custom status bar can be used to display other useful information such as Caps Lock, Scroll Lock, and Num Lock just by assigning the correct indicator to the status bar pane.

You can add a pane to display any useful information, in addition to custom panes, there are several "special" panes that can be added to the statusbar.

Name | Special Key Code | Meaning
ID_IDLE_PANE | 0 | Used to display idle text and the DescriptionText of controls on mouse over.
ID_INDICATOR_CAPS | 59137 | Indicates whether CAPS Lock is on or off.
ID_INDICATOR_NUM | 59138 | Indicates whether Num Lock is on or off.
ID_INDICATOR_SCRL | 59139 | Indicates whether Scroll Lock is on or off.

Example

[StatusBar Sample (Visual Basic)] This sample code illustrates how to display the custom status bar, add some custom panes, and how to customize the panes.

    'Place these constants in the General code section
    Const ID_INDICATOR_CAPS = 59137
    Const ID_INDICATOR_NUM = 59138
    Const ID_INDICATOR_SCRL = 59139
    Const ID_CUSTOM_PANE = 300
    Const ID_SWITCH_PRINTLAYOUT = 7700
    Const ID_SWITCH_FULLSCREENREADING = 7701
    Const ID_SWITCH_WEBLAYOUT = 7702
    Const ID_SWITCH_OUTLINE = 7703
    Const ID_SWITCH_DRAFT = 7704
    Const ID_INDICATOR_VIEWSHORTCUTS = 227
    Const ID_INDICATOR_ZOOM = 228
    Const ID_INDICATOR_ZOOMSLIDER = 229

    Dim ViewZoom As Long
    Dim WithEvents StatusBar As StatusBar

    Dim StatusBar As IStatusBar
    Set StatusBar = CommandBars.StatusBar
    'Make the custom status bar visible
    StatusBar.Visible = True

    'Adds the "special" idle pane to the custom status bar
    StatusBar.AddPane 0
    'Set Pane Style
    StatusBar.SetPaneStyle 0, SBPS_STRETCH
    'Add some Idle Text to be displayed while the application is idle
    StatusBar.IdleText = "Idle Text"
    'Set Pane width
    StatusBar.SetPaneWidth 0, 75

    'Adds a custom user defined pane
    StatusBar.AddPane ID_CUSTOM_PANE
    StatusBar.SetPaneText ID_CUSTOM_PANE, "Hello World"
    StatusBar.SetPaneStyle ID_CUSTOM_PANE, SBPS_NOBORDERS
    StatusBar.SetPaneWidth ID_CUSTOM_PANE, 55

    'Adds the special Caps lock indicator pane
    StatusBar.AddPane ID_INDICATOR_CAPS
    'Adds the special Num lock indicator pane
    StatusBar.AddPane ID_INDICATOR_NUM
    'Adds the special Scroll lock indicator pane
    StatusBar.AddPane ID_INDICATOR_SCRL

    CommandBars.Icons.LoadBitmap App.Path & "\res\StatusBarViewSwitches.png", _
    Array(ID_SWITCH_PRINTLAYOUT, ID_SWITCH_FULLSCREENREADING, ID_SWITCH_WEBLAYOUT, ID_SWITCH_OUTLINE, ID_SWITCH_DRAFT), xtpImageNormal

    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

    Set Pane = StatusBar.AddPane(ID_INDICATOR_ZOOM)
    Pane.Text = "100%"
    Pane.Button = True
    Pane.ToolTip = "Zoom level. Click to open the Zoom dialog box."
    Pane.Caption = "&Zoom"
    Pane.BeginGroup = False
    Pane.SetPadding 8, 0, 8, 0

    Dim SliderPane As StatusBarSliderPane
    Set SliderPane = StatusBar.AddSliderPane(ID_INDICATOR_ZOOMSLIDER)
    SliderPane.Width = 130
    SliderPane.ToolTip = "Zoom"
    SliderPane.Min = 0
    SliderPane.Max = 200
    SliderPane.Value = 100
    SliderPane.Caption = "&Zoom Slider"
    SliderPane.BeginGroup = False
    ViewZoom = 100

    StatusBar.RibbonDividerIndex = 3
    StatusBar.ToolTipContext.Style = xtpToolTipResource
    StatusBar.EnableCustomization True

See Also

StatusBar Members | StatusBarSliderPane Object | StatusBarSwitchPane Object | StatusBarPane Object | PaneClick Event | SliderPaneClick Event | SwitchPaneClick Event


%%PageItemTitle%% $$Members$$

StatusBar Overview | StatusBarSliderPane Object | StatusBarSwitchPane Object | StatusBarPane Object | PaneClick Event | SliderPaneClick Event | SwitchPaneClick Event

See Also Command Bars ActiveX Control v19.3

StatusBar Collection Members

Public Methods

Public Method AddPane | Adds a pane to the custom status bar with the specified Id. Panes will appear from left-to-right in the order they are added.
Public Method AddProgressPane | Adds a progress bar pane to the status bar.
Public Method AddSliderPane | Adds a slider pane to the status bar.
Public Method AddSwitchPane | Adds a Switch Pane to the status bar.
Public Method EnableCustomization | Enables or disables statusbar customization.
Public Method FindPane | Finds and returns a reference to the specified StatusBarPane.
Public Method HitTest | Call this method to determine which pane, if any, is at the specified screen position.
Public Method InsertPane | Moves\Inserts a StatusBarPane to a different position on the StatusBar.
Public Method RemoveAll | Removes all panes from the StatusBar.
Public Method SetAllCaps |
Public Method SetPaneStyle | Set the style of a pane in the custom status bar.
Public Method SetPaneText | Sets the texts that will be displayed in the pane.
Public Method SetPaneWidth | Sets the width of the pane.

Public Properties

Public Property DrawDisabledText | Gets\sets whether disabled text will be used to draw text when the pane's style is set to SBPS_Disabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Text of panes in the Status Bar.
Public Property Font | Gets\sets the default font used to display text in the StatusBarPane objects.
Public Property hWnd | Get the window handle that the StatusBar is bound to.
Public Property IdleText | The text that will be displayed for the Pane with Id = 0 (zero) when the application is idle.
Public Property IsAllCaps |
Public Property MinHeight | Gets\sets the minimum height of the StatusBar.
Public Property Pane | The StatusBar's collection of StatusBarPane objects.
Public Property PaneCount | Returns the total number of StatusBarPane objects in the StatusBar.
Public Property RibbonDividerIndex | Gets or sets the position of the ribbon divider index. This specifies the panes that get the second color for the ribbon theme.
Public Property ShowSizeGripper | Gets or sets whether to show the size gripper on the status bar.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Visible | True if custom status bar is visible. False if custom status bar is hidden.

Events

Public Event MouseDown | Occurs when the mouse pointer is over the StatusBar control and a mouse button is pressed.
Public Event MouseUp | Occurs when the mouse pointer is over the StatusBar control and a mouse button is released.
Public Event PaneClick | Occurs when a StatusBarPane object on the StatusBar control is clicked.
Public Event PaneDblClick | Occurs when a StatusBarPane object on the StatusBar control is double-clicked.
Public Event SliderPaneClick | Occurs when a slider pane has been clicked.
Public Event SwitchPaneClick | Occurs when a switch in the Switch Pane has been clicked.

See Also

StatusBar Overview | StatusBarSliderPane Object | StatusBarSwitchPane Object | StatusBarPane Object | PaneClick Event | SliderPaneClick Event | SwitchPaneClick Event


%%PageItemTitle%%

StatusBar Collection | StatusBarPane Object

Id
The Id that will be given to the new pane.
See Also Command Bars ActiveX Control v19.3

AddPane Method

Description

Adds a pane to the custom status bar with the specified Id. Panes will appear from left-to-right in the order they are added.

Syntax

Public Function AddPane( _
   ByVal Id As Long _
) As StatusBarPane

Parameters

Id
The Id that will be given to the new pane.

Return Type

Returns a reference to the newly added StatusBarPane.

Remarks

Panes will appear in the order that they added from left-to-right. The InsertPane method can be used to add a pane to a specific location.

See Also

StatusBar Collection | StatusBarPane Object

Example

StatusBar Object


%%PageItemTitle%%

StatusBar Collection

Id
Id of the pane.
See Also Command Bars ActiveX Control v19.3

AddProgressPane Method

Description

Adds a progress bar pane to the status bar.

Syntax

Public Function AddProgressPane( _
   ByVal Id As Long _
) As StatusBarProgressPane

Parameters

Id
Id of the pane.

Return Type

Reference to the StatusBarProgressPane that was added to the status bar.

Remarks

The AddProgressPane method is used to add a progress bar pane to the status bar. The Max and Min values should be set after creation to specify the maximum and minimum values that the progress bar will use.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection | SliderPaneClick Event | Max Property | Min Property | Value Property | XTPSliderCommand Enumeration

Id
Id of the pane.
See Also Command Bars ActiveX Control v19.3

AddSliderPane Method

Description

Adds a slider pane to the status bar.

Syntax

Public Function AddSliderPane( _
   ByVal Id As Long _
) As StatusBarSliderPane

Parameters

Id
Id of the pane.

Return Type

Reference to the StatusBarSliderPane that was added to the status bar.

Remarks

AddSliderPane adds a slider pane to the status bar. The Max and Min values should be set after creation to specify the maximum and minimum values that the slider will use.

Notes:

The SliderPaneClick occurs when a slider pane has been clicked. The current position of the thumb tracker is retrieved as well as how the slider was moved (clicked on button, thumb tracker, line, etc).

The SliderPaneClick event can be used to update the Value of the slider. The Value will need to manually be maintained each time the slider is clicked. A value from the XTPSliderCommand enumeration will be passed to the SliderPaneClick event which specifies where the user clicked on the slider (clicked on button, thumb tracker, line, etc) and the current position of the thumb tracker.

Example

[Visual Basic]

'Variable in global code section
Dim ViewZoom As Long

'Code to add slider
    Dim SliderPane As StatusBarSliderPane
    Set SliderPane = StatusBar.AddSliderPane(ID_INDICATOR_ZOOMSLIDER)
    SliderPane.Width = 130
    SliderPane.ToolTip = "Zoom"
    SliderPane.Min = 0
    SliderPane.Max = 200
    SliderPane.Value = 100
    SliderPane.Caption = "&Zoom Slider"
    SliderPane.BeginGroup = False
    ViewZoom = 100

Private Sub StatusBar_SliderPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSliderPane, ByVal Command As XtremeCommandBars.XTPSliderCommand, ByVal Pos As Long)

    Dim nZoom As Long
    nZoom = ViewZoom

    Select Case Command
        Case XTP_SB_LEFT: nZoom = 0
        Case XTP_SB_RIGHT: nZoom = 200

        Case XTP_SB_LINELEFT: nZoom = Max((Int(nZoom / 10) - 1) * 10, 0)
        Case XTP_SB_LINERIGHT: nZoom = Min((Int(nZoom / 10) + 1) * 10, 200)

        Case XTP_SB_THUMBTRACK: nZoom = Pos

        Case XTP_SB_PAGELEFT: nZoom = Max(nZoom - 20, 0)
        Case XTP_SB_PAGERIGHT: nZoom = Min(nZoom + 20, 200)
    End Select

    If (nZoom = ViewZoom) Then Exit Sub

    ViewZoom = nZoom
    Pane.Value = nZoom

    StatusBar.FindPane(ID_INDICATOR_ZOOM).Text = nZoom & "%"
End Sub

See Also

StatusBar Collection | SliderPaneClick Event | Max Property | Min Property | Value Property | XTPSliderCommand Enumeration


%%PageItemTitle%%

StatusBar Collection | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Id Property | Checked Property

Id
Id of the Switch Pane.
See Also Command Bars ActiveX Control v19.3

AddSwitchPane Method

Description

Adds a Switch Pane to the status bar.

Syntax

Public Function AddSwitchPane( _
   ByVal Id As Long _
) As StatusBarSwitchPane

Parameters

Id
Id of the Switch Pane.

Return Type

Reference to the StatusBarSwitchPane that was added to the status bar.

Remarks

AddSwitchPane is used to add a Switch Pane to the status bar.

Notes:

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

AddSwitch will add a new switch to the Switch Pane.

RemoveSwitch removes a switch by passing in the Id of the switch to remove.

The Checked property holds the Id of the currently selected switch.

Example

[Visual Basic]

'Code to load images for switches, add a switch pane, and switches
    CommandBars.Icons.LoadBitmap App.Path & "\res\StatusBarViewSwitches.png", _
    Array(ID_SWITCH_PRINTLAYOUT, ID_SWITCH_FULLSCREENREADING, ID_SWITCH_WEBLAYOUT, ID_SWITCH_OUTLINE, ID_SWITCH_DRAFT), xtpImageNormal

    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

Private Sub StatusBar_SwitchPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSwitchPane, ByVal Id As Long)
    Pane.Checked = Id

    Select Case Id
        Case ID_SWITCH_PRINTLAYOUT:
            MsgBox "Print Layout Switch Clicked"
        Case ID_SWITCH_FULLSCREENREADING:
            MsgBox "Full Screen Reading Switch Clicked"
        Case ID_SWITCH_WEBLAYOUT:
            MsgBox "Web Layout Switch Clicked"
        Case ID_SWITCH_OUTLINE:
            MsgBox "Outline Switch Clicked"
        Case ID_SWITCH_DRAFT:
            MsgBox "Draft Switch Clicked"
    End Select
End Sub

See Also

StatusBar Collection | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Id Property | Checked Property


%%PageItemTitle%%

StatusBar Collection | Caption Property | Value Property | Visible Property | Text Property | SliderPaneClick Event | SwitchPaneClick Event | StatusBarSliderPane Object | StatusBarSwitchPane Object

Enable
True to enable customization, False to disable customization.
See Also Command Bars ActiveX Control v19.3

EnableCustomization Method

Description

Enables or disables statusbar customization.

Syntax

Public Sub EnableCustomization( _
   ByVal Enable As Boolean _
)

Parameters

Enable
True to enable customization, False to disable customization.

Remarks

EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBar Collection | Caption Property | Value Property | Visible Property | Text Property | SliderPaneClick Event | SwitchPaneClick Event | StatusBarSliderPane Object | StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBar Collection

Id
Id of the StatusBarPane to find.
See Also Command Bars ActiveX Control v19.3

FindPane Method

Description

Finds and returns a reference to the specified StatusBarPane.

Syntax

Public Function FindPane( _
   ByVal Id As Long _
) As StatusBarPane

Parameters

Id
Id of the StatusBarPane to find.

Return Type

Returns a reference to the StatusBarPane with the specified Id. If no pane exists with the Id, then Null is returned.

Remarks

Finds and returns a reference to a StatusBarPane within the StatusBar's collection of Pane's.

Example

[FindPane Sample (Visual Basic)] This sample illustrates how to use the FindPane method to find a pane.

    Dim FindPane As StatusBarPane

    'Finds and returns a reference to the StatusBar Pane with ID ID_INDICATOR_PROGRESS
    Set FindPane = frmMain.CommandBars.StatusBar.FindPane(ID_INDICATOR_PROGRESS)

    'Check to make sure pane exists
    If Not FindPane Is Nothing Then
        'Hide the Pane
        FindPane.Visible = False
    End If

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection | MouseDown Event | MouseUp Event

x
X coordinate to test.
y
Y coordinate to test.
See Also Command Bars ActiveX Control v19.3

HitTest Method

Description

Call this method to determine which pane, if any, is at the specified screen position.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As StatusBarPane

Parameters

x
X coordinate to test.
y
Y coordinate to test.

Return Type

Returns a reference to the StatusBarPane at the specified screen position. If no pane exists at the screen position, then Null is returned.

Remarks

The HitTest method can use the x and y parameters of the MouseDown and MouseUp events to determine if a pane was under the mouse pointer when it was pressed or released.

See MouseDown for an example.

See Also

StatusBar Collection | MouseDown Event | MouseUp Event


%%PageItemTitle%%

StatusBar Collection

Index
The position within the StatusBar's collection of Panes to insert the pane. The pane to be inserted is specified by it's Id.
Id
The Id of the pane to insert.
See Also Command Bars ActiveX Control v19.3

InsertPane Method

Description

Moves\Inserts a StatusBarPane to a different position on the StatusBar.

Syntax

Public Function InsertPane( _
   ByVal Index As Long, _
   ByVal Id As Long _
) As StatusBarPane

Parameters

Index
The position within the StatusBar's collection of Panes to insert the pane. The pane to be inserted is specified by it's Id.
Id
The Id of the pane to insert.

Return Type

Returns a reference to the StatusBarPane that was moved/inserted.

Remarks

The InsertPane method moves\inserts a StatusBarPane to a different position on the StatusBar. The StatusBarPane that will be moved is specified by it's Id.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

RemoveAll Method

Description

Removes all panes from the StatusBar.

Syntax

Public Sub RemoveAll()

Remarks

Removes all StatusBarPane objects from the StatusBar's Pane collection.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

SetAllCaps
See Also Command Bars ActiveX Control v19.3

SetAllCaps Method

Syntax

Public Sub SetAllCaps( _
   ByVal SetAllCaps As Boolean _
)

Parameters

SetAllCaps

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

Index
Index of the pane.
Style
The style of the pane.
See Also Command Bars ActiveX Control v19.3

SetPaneStyle Method

Description

Set the style of a pane in the custom status bar.

Syntax

Public Sub SetPaneStyle( _
   ByVal Index As Long, _
   ByVal Style As XTPStatusPaneStyle _
)

Parameters

Index
Index of the pane.
Style
Value | Description
SBPS_NOBORDERS | When this flag is applied, the border will be removed from the indicated statusbar pane.
SBPS_DISABLED | When this flag is applied, the indicated statusbar pane will be disabled. The text in the pane will appear "disabled" based on the DrawDisabledText setting.
SBPS_STRETCH | The pane will stretched, it will not have a static width. So the pane's width can be only more or equal to its Width property.
The style of the pane.

See Also

StatusBar Collection

Example

StatusBar Object


%%PageItemTitle%%

StatusBar Collection

Index
The index of the pane that will have the new text. The index corresponds to the Id used in the AddPane method.
Text
The text that will be displayed in the pane.
See Also Command Bars ActiveX Control v19.3

SetPaneText Method

Description

Sets the texts that will be displayed in the pane.

Syntax

Public Sub SetPaneText( _
   ByVal Index As Long, _
   ByVal Text As String _
)

Parameters

Index
The index of the pane that will have the new text. The index corresponds to the Id used in the AddPane method.
Text
The text that will be displayed in the pane.

See Also

StatusBar Collection

Example

StatusBar Object


%%PageItemTitle%%

StatusBar Collection

Index
The index of the pane. The index corresponds to the Id used in the AddPane method.
Width
The new width of the pane.
See Also Command Bars ActiveX Control v19.3

SetPaneWidth Method

Description

Sets the width of the pane.

Syntax

Public Sub SetPaneWidth( _
   ByVal Index As Long, _
   ByVal Width As Long _
)

Parameters

Index
The index of the pane. The index corresponds to the Id used in the AddPane method.
Width
The new width of the pane.

See Also

StatusBar Collection

Example

StatusBar Object


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

DrawDisabledText Property

Description

Gets\sets whether disabled text will be used to draw text when the pane's style is set to SBPS_Disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawDisabledText() As Boolean

Remarks

The DrawDisabledText property specifies whether disabled text will be used to draw "grayed-out" text in pane's when the pane's style is set to SBPS_Disabled.

StatusBar with the Caps Lock On, Scroll Lock On, and Num Lock On. Notice all text is displayed normally.

StatusBar with DrawDisabledText = False. The Caps Lock Off, Scroll Lock Off, and Num Lock On. Notice the text for the Caps Lock and Scroll Lock are not displayed.

StatusBar with DrawDisabledText = True. The Caps Lock Off, Scroll Lock Off, and Num Lock On. Notice the text for the Caps Lock and Scroll Lock are displayed as disabled text.

Note:

To use the Caps Lock, Scroll Lock, or Num Lock panes, the ID of the pane must be:

Caps Lock = 59137
Num Lock = 59138
Scroll Lock = 59139

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Text of panes in the Status Bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Text of panes in the Status Bar, then the Text will be displayed as rendered XAML.

If set to False, then any text in the Text, even if valid XAML will get displayed in plain text.

Example

[Visual Basic]

    Dim StatusBar As StatusBar
    Set StatusBar = CommandBars.StatusBar
    StatusBar.Visible = True

    StatusBar.EnableMarkup = True

    StatusBar.AddPane 0

    StatusBar.AddPane 532
    StatusBar.AddPane ID_INDICATOR_CAPS
    StatusBar.AddPane ID_INDICATOR_NUM
    StatusBar.AddPane ID_INDICATOR_SCRL
    StatusBar.FindPane(532).Text = "<TextBlock Padding='3, 0, 0, 0' VerticalAlignment='Center'><Bold>Security Warning</Bold></TextBlock>"

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection | StatusBarPane Font Property

See Also Command Bars ActiveX Control v19.3

Font Property

Description

Gets\sets the default font used to display text in the StatusBarPane objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

This is the default font used to display text in the StatusBarPane objects. The font for each individual StatusBarPane can be set using the StatusBarPane.Font property for the individual pane.

See Also

StatusBar Collection | StatusBarPane Font Property


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Get the window handle that the StatusBar is bound to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

IdleText Property

Description

The text that will be displayed for the Pane with Id = 0 (zero) when the application is idle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IdleText() As String

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

IsAllCaps Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAllCaps() As Boolean

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

MinHeight Property

Description

Gets\sets the minimum height of the StatusBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Remarks

The MinHeight property specifies the minimum height that the StatusBar can be.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection | FindPane Method | AddPane Method

Index
The index of the StatusBarPane to retrieve.
See Also Command Bars ActiveX Control v19.3

Pane Property

Description

The StatusBar's collection of StatusBarPane objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Pane( _
   ByVal Index As Integer _
) As StatusBarPane

Parameters

Index
The index of the StatusBarPane to retrieve.

Remarks

The Pane object is a collection of all the StatusBar's StatusBarPane objects. It can be used to access panes if you know the index of the pane within the collection, or the FindPane method can be used to retrieve a pane.

See Also

StatusBar Collection | FindPane Method | AddPane Method


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

PaneCount Property

Description

Returns the total number of StatusBarPane objects in the StatusBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaneCount() As Long

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

RibbonDividerIndex Property

Description

Gets or sets the position of the ribbon divider index. This specifies the panes that get the second color for the ribbon theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RibbonDividerIndex() As Long

Remarks

RibbonDividerIndex is a zero based index and specifies the panes that get the second color for the ribbon theme. All panes with an index larger than the divider index will get the second ribbon color applied. See the picture below to see the colors used with the black ribbon them.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

ShowSizeGripper Property

Description

Gets or sets whether to show the size gripper on the status bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSizeGripper() As Boolean

Remarks

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for StatusbarPane objects.

See the ToolTipContext object for a complete list of methods and properties.

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

True if custom status bar is visible. False if custom status bar is hidden.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

StatusBar Collection


%%PageItemTitle%%

StatusBar Collection | HitTest Method

Button

Code indicating which button on he mouse was pressed.

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseDown Event

Description

Occurs when the mouse pointer is over the StatusBar control and a mouse button is pressed.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Code indicating which button on he mouse was pressed.

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

The MouseDown and MouseUp events occur when the mouse pointer is pressed and released while over the StatusBar. The HitTest method can use the x and y parameters to determine if a pane was under the mouse pointer when it was pressed or released.

Example

[StatusBar MouseDown Sample (Visual Basic)] This sample illustrates how to use the HitTest method in the MouseDown\MouseUp events to determine what status bar pane, if any, was clicked.

Private Sub StatusBar_MouseDown(ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Long, ByVal y As Long)
    If (Button = vbRightButton) Then
        Dim Pane As StatusBarPane
        Set Pane = StatusBar.HitTest(x, y)

        If (Not Pane Is Nothing) Then
            Debug.Print "StatusBar_MouseDown. Button = vbRightButton. Id = "; Pane.Id
        End If

    End If
End Sub

See Also

StatusBar Collection | HitTest Method


%%PageItemTitle%%

StatusBar Collection | HitTest Method

Button

Code indicating which button on he mouse was pressed.

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Command Bars ActiveX Control v19.3

MouseUp Event

Description

Occurs when the mouse pointer is over the StatusBar control and a mouse button is released.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Code indicating which button on he mouse was pressed.

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

The MouseDown and MouseUp events occur when the mouse pointer is pressed and released while over the StatusBar. The HitTest method can use the x and y parameters to determine if a pane was under the mouse pointer when it was pressed or released.

See Also

StatusBar Collection | HitTest Method


%%PageItemTitle%%

StatusBar Collection | PaneDblClick Event

Pane
Reference to the StatusBarPane that was clicked.
See Also Command Bars ActiveX Control v19.3

PaneClick Event

Description

Occurs when a StatusBarPane object on the StatusBar control is clicked.

Syntax

Public Event PaneClick( _
   ByVal Pane As StatusBarPane _
)

Parameters

Pane
Reference to the StatusBarPane that was clicked.

Remarks

The PaneClick event can be used to perform tasks on the StatusBarPane that was clicked or to perform a task based on which StatusBarPane was clicked.

Example

[PaneClick Sample (Visual Basic)] This sample illustrates how to use the PaneClick event to display a dialog when a specific pane is clicked. This sample assumes there is a form names frmProperties.frm.

Private Sub StatusBar_PaneClick(ByVal Pane As XtremeCommandBars.StatusBarPane)
    Debug.Print "PaneClick. Id = "; Pane.Id

    'Display a properties dialog if the StatusBarPane with ID ID_INDICATOR_ICON was clicked
    If (Pane.Id = ID_INDICATOR_ICON) Then
        frmProperties.Show 0, Me
    End If
End Sub

See Also

StatusBar Collection | PaneDblClick Event


%%PageItemTitle%%

StatusBar Collection | PaneClick Event

Pane
Reference to the StatusBarPane that was double-clicked.
See Also Command Bars ActiveX Control v19.3

PaneDblClick Event

Description

Occurs when a StatusBarPane object on the StatusBar control is double-clicked.

Syntax

Public Event PaneDblClick( _
   ByVal Pane As StatusBarPane _
)

Parameters

Pane
Reference to the StatusBarPane that was double-clicked.

Remarks

The PaneDblClick event can be used to perform tasks on the StatusBarPane that was double-clicked or to perform a task based on which StatusBarPane was double-clicked.

Example

[PaneDblClick Sample (Visual Basic)] This sample illustrates how to use the PaneDblClick event to display a message box when a specific Status Bar Pane is clicked.

Private Sub StatusBar_PaneDblClick(ByVal Pane As XtremeCommandBars.StatusBarPane)
    Debug.Print "PaneDblClick. Id = "; Pane.Id

    'Display a message box with version information if StatusBar Pane with ID ID_INDICATOR_LOGO was double-clicked.
    If (Pane.Id = ID_INDICATOR_LOGO) Then
        MsgBox "Version " & App.Major & "." & App.Minor
    End If
End Sub

See Also

StatusBar Collection | PaneClick Event


%%PageItemTitle%%

StatusBar Collection | XTPSliderCommand Enumeration | AddSliderPane Method | Max Property | Min Property | Value Property

Pane
Reference to the slider pane that was clicked.
Command
Indicates where the slider was clicked.
Pos
The current position of the thumb tracker. Pos will be between Max and Min inclusively.
See Also Command Bars ActiveX Control v19.3

SliderPaneClick Event

Description

Occurs when a slider pane has been clicked.

Syntax

Public Event SliderPaneClick( _
   ByVal Pane As StatusBarSliderPane, _
   ByVal Command As XTPSliderCommand, _
   ByVal Pos As Long _
)

Parameters

Pane
Reference to the slider pane that was clicked.
Command
Value | Description
XTP_SB_LINELEFT | The left "Min" button was clicked.
XTP_SB_LINERIGHT | The right "Max" button was clicked.
XTP_SB_PAGELEFT | The line of the slider was clicked to the left side of the thumb track.
XTP_SB_PAGERIGHT | The line of the slider was clicked to the right side of the thumb track.
XTP_SB_THUMBTRACK | The thumb track was clicked or is currently being dragged.
XTP_SB_LEFT | Reserved for future use.
XTP_SB_RIGHT | Reserved for future use.
XTP_SB_ENDSCROLL | The control has finished scrolling.
Indicates where the slider was clicked.
Pos
The current position of the thumb tracker. Pos will be between Max and Min inclusively.

Remarks

SliderPaneClick occurs when a slider pane has been clicked. The current position of the thumb tracker is retrieved as well as how the slider was moved (clicked on button, thumb tracker, line, etc).

The SliderPaneClick event can be used to update the Value of the slider. The Value will need to manually be maintained each time the slider is clicked. A value from the XTPSliderCommand enumeration will be passed to the SliderPaneClick event which specifies where the user clicked on the slider (clicked on button, thumb tracker, line, etc) and the current position of the thumb tracker.

Example

[Visual Basic]

'Variable in global code section
Dim ViewZoom As Long

'Code to add slider
    Dim SliderPane As StatusBarSliderPane
    Set SliderPane = StatusBar.AddSliderPane(ID_INDICATOR_ZOOMSLIDER)
    SliderPane.Width = 130
    SliderPane.ToolTip = "Zoom"
    SliderPane.Min = 0
    SliderPane.Max = 200
    SliderPane.Value = 100
    SliderPane.Caption = "&Zoom Slider"
    SliderPane.BeginGroup = False
    ViewZoom = 100

Private Sub StatusBar_SliderPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSliderPane, ByVal Command As XtremeCommandBars.XTPSliderCommand, ByVal Pos As Long)

    Dim nZoom As Long
    nZoom = ViewZoom

    Select Case Command
        Case XTP_SB_LEFT: nZoom = 0
        Case XTP_SB_RIGHT: nZoom = 200

        Case XTP_SB_LINELEFT: nZoom = Max((Int(nZoom / 10) - 1) * 10, 0)
        Case XTP_SB_LINERIGHT: nZoom = Min((Int(nZoom / 10) + 1) * 10, 200)

        Case XTP_SB_THUMBTRACK: nZoom = Pos

        Case XTP_SB_PAGELEFT: nZoom = Max(nZoom - 20, 0)
        Case XTP_SB_PAGERIGHT: nZoom = Min(nZoom + 20, 200)
    End Select

    If (nZoom = ViewZoom) Then Exit Sub

    ViewZoom = nZoom
    Pane.Value = nZoom

    StatusBar.FindPane(ID_INDICATOR_ZOOM).Text = nZoom & "%"
End Sub

See Also

StatusBar Collection | XTPSliderCommand Enumeration | AddSliderPane Method | Max Property | Min Property | Value Property


%%PageItemTitle%%

StatusBar Collection | AddSwitchPane Method | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property

Pane
Reference to the switch pane that was clicked.
Switch
Id of the Switch that was clicked.
See Also Command Bars ActiveX Control v19.3

SwitchPaneClick Event

Description

Occurs when a switch in the Switch Pane has been clicked.

Syntax

Public Event SwitchPaneClick( _
   ByVal Pane As StatusBarSwitchPane, _
   ByVal Switch As Long _
)

Parameters

Pane
Reference to the switch pane that was clicked.
Switch
Id of the Switch that was clicked.

Remarks

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

Notes:

AddSwitchPane is used to add a Switch Pane to the status bar.

AddSwitch will add a new switch to the Switch Pane.

RemoveSwitch removes a switch by passing in the Id of the switch to remove.

The Checked property holds the Id of the currently selected switch.

Example

[Visual Basic]

'Code to load images for switches, add a switch pane, and switches
    CommandBars.Icons.LoadBitmap App.Path & "\res\StatusBarViewSwitches.png", _
    Array(ID_SWITCH_PRINTLAYOUT, ID_SWITCH_FULLSCREENREADING, ID_SWITCH_WEBLAYOUT, ID_SWITCH_OUTLINE, ID_SWITCH_DRAFT), xtpImageNormal

    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

Private Sub StatusBar_SwitchPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSwitchPane, ByVal Id As Long)
    Pane.Checked = Id

    Select Case Id
        Case ID_SWITCH_PRINTLAYOUT:
            MsgBox "Print Layout Switch Clicked"
        Case ID_SWITCH_FULLSCREENREADING:
            MsgBox "Full Screen Reading Switch Clicked"
        Case ID_SWITCH_WEBLAYOUT:
            MsgBox "Web Layout Switch Clicked"
        Case ID_SWITCH_OUTLINE:
            MsgBox "Outline Switch Clicked"
        Case ID_SWITCH_DRAFT:
            MsgBox "Draft Switch Clicked"
    End Select
End Sub

See Also

StatusBar Collection | AddSwitchPane Method | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property


%%PageItemTitle%%

StatusBarPane Members

See Also Command Bars ActiveX Control v19.3

StatusBarPane Object

Description

The StatusBarPane Object represents a single pane that can be added to the StatusBar.

For a list of all members defined in this module, see StatusBarPane members.

See Also

StatusBarPane Members


%%PageItemTitle%% $$Members$$

StatusBarPane Overview

See Also Command Bars ActiveX Control v19.3

StatusBarPane Object Members

Public Methods

Public Method GetRect | Returns the top, left, right, and bottom coordinates of the pane.
Public Method RedrawPane | Forces the pane to refresh itself.
Public Method Remove | Removes the panes from the StatusBar.
Public Method SetMargins | Sets the margins for the pane.
Public Method SetPadding | Sets the padding placed around the Text of a pane in pixels.

Public Properties

Public Property Alignment | Gets\sets the alignment of text\icons in the pane.
Public Property BackgroundColor | Gets\sets the background color of the pane.
Public Property BeginGroup | Gets/Sets a boolean value indicating whether the pane has a separator placed before it and thus begins a new group.
Public Property Button | Specifies whether the pane will also act as a button.
Public Property Caption | Gets or sets the text that is displayed for the pane in the status bar customization window.
Public Property Checked | Gets/Sets a boolean value indicating whether the pane is checked.
Public Property Customizable | Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.
Public Property Dark |
Public Property Enabled | Gets/Sets a boolean value indicating whether the switch pane is enabled.
Public Property Font | Gets\set the font used to display text in the pane.
Public Property Handle | Used to store the hWnd\Handle of a custom control to display in the StatusBarPane.
Public Property HideFlags | Retrieves the HideFlags of the control.
Public Property IconIndex | Index of the icon to be displayed in the Pane.
Public Property Id | The Id of the Pane.
Public Property Index | Index of the pane within the StatusBar's collection of Panes.
Public Property Style | Gets\sets the style of the Pane.
Public Property Text | Gets\sets the text caption that is displayed in the pane.
Public Property TextColor | Gets\sets the color of the text caption that is displayed in the pane.
Public Property TextGrayColor | Gets\set the status bar disabled text color.
Public Property ToolTip | Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.
Public Property Value | The value of the pane. This is displayed in the status bar customization window.
Public Property Visible | Hides\shows the Pane.
Public Property Width | Gets\sets the width of the panel.

See Also

StatusBarPane Overview


%%PageItemTitle%%

StatusBarPane Object

Left
The left point of the pane rectangle.
Top
The top point of the pane rectangle.
Right
The right point of the pane rectangle.
Bottom
The bottom point of the pane rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the pane.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the pane rectangle.
Top
The top point of the pane rectangle.
Right
The right point of the pane rectangle.
Bottom
The bottom point of the pane rectangle.

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

RedrawPane Method

Description

Forces the pane to refresh itself.

Syntax

Public Sub RedrawPane()

Remarks

This can be usefule when using a codejock progressbar (in a pane) that shows a smooth style when the system is excuting a query.

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Remove Method

Description

Removes the panes from the StatusBar.

Syntax

Public Sub Remove()

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

Left
Left margin.
Top
Top margin.
Right
Right margin.
Bottom
Bottom margin.
See Also Command Bars ActiveX Control v19.3

SetMargins Method

Description

Sets the margins for the pane.

Syntax

Public Sub SetMargins( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Left margin.
Top
Top margin.
Right
Right margin.
Bottom
Bottom margin.

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | MinHeight Property | Text Property | Width Property

Left
Padding placed on the left side of the Text of a pane.
Top
Padding placed on the top of the Text of a pane.
Right
Padding placed on the right side of the Text of a pane.
Bottom
Padding placed on the bottom of the Text of a pane.
See Also Command Bars ActiveX Control v19.3

SetPadding Method

Description

Sets the padding placed around the Text of a pane in pixels.

Syntax

Public Sub SetPadding( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Padding placed on the left side of the Text of a pane.
Top
Padding placed on the top of the Text of a pane.
Right
Padding placed on the right side of the Text of a pane.
Bottom
Padding placed on the bottom of the Text of a pane.

Remarks

SetPadding will set the padding placed around the Text of a pane in pixels. Note that the Width of the pane will be adjusted to accommodate larger padding sizes if the padding exceeds the currently set Width. The height of the status bar will not get adjusted automatically. To adjust the status bar height the MinHeight property must be used.

Note in the picture below the MinHeight of status bar was enlarged to make it easier to see how padding can be used.

See Also

StatusBarPane Object | MinHeight Property | Text Property | Width Property


%%PageItemTitle%%

StatusBarPane Object | XTPTextAlignment Enumeration

See Also Command Bars ActiveX Control v19.3

Alignment Property

Description

Gets\sets the alignment of text\icons in the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPTextAlignment

See Also

StatusBarPane Object | XTPTextAlignment Enumeration


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

BackgroundColor Property

Description

Gets\sets the background color of the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the pane has a separator placed before it and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

Remarks

BeginGroup specifies whether the pane has a separator placed before it and thus begins a new group. This is just visual and does not actually group the panes. See the picture below for how the groups dividers can be used.

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | PaneClick Event | MouseUp Event | MouseDown Event | PaneDblClick Event

See Also Command Bars ActiveX Control v19.3

Button Property

Description

Specifies whether the pane will also act as a button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Button() As Boolean

Remarks

Button panes will look and act like a button on mouse over and when clicked. On mouse over the button pane will become "hot" giving a visual que that it is a button and can be clicked. When clicked the button pane will change to a "pressed" state.

Note that a pane does not need to be a button pane to accept mouse clicks. All panes will receive mouse clicks and tricker the PaneClick event. Button panes only make it easier for the user to see that the pane can be clicked.

See Also

StatusBarPane Object | PaneClick Event | MouseUp Event | MouseDown Event | PaneDblClick Event


%%PageItemTitle%%

StatusBarPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets or sets the text that is displayed for the pane in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets/Sets a boolean value indicating whether the pane is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | EnableCustomization Method

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Remarks

The customization popup allows the pane to be hidden or shown (if already hidden). Set Customizable to False to individually disable a specific pane from being customized from the customization popup.

See Also

StatusBarPane Object | EnableCustomization Method


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Dark Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Dark() As Boolean

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the switch pane is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | Default Font Property

See Also Command Bars ActiveX Control v19.3

Font Property

Description

Gets\set the font used to display text in the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

The Font property allows the font for each individual StatusBarPane to be set individually. If no font is specified, then the default font will be used.

See Also

StatusBarPane Object | Default Font Property


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Description

Used to store the hWnd\Handle of a custom control to display in the StatusBarPane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

Remarks

The Handle property allows custom controls to be displayed in a StatusBarPane. The hWnd\Handle of the control must be assigned to the Handle property.

The picture below displays a progress bar and edit control in two separate panes.

Example

[Pane Handle Sample (Visual Basic)] This sample illustrates how to add a custom control to a StatusBarPane. This sample assumes there is a ProgressBar object named ProgressBar.

    Set Pane = StatusBar.AddPane(ID_INDICATOR_PROGRESS)
    Pane.Handle = ProgressBar.hwnd
    ProgressBar.Value = 50
    Pane.Width = 100

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Description

Retrieves the HideFlags of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

Remarks

HideFlags will tell how a control was hidden if it is hidden or why it is not visible. Most of these flags are read only and should not be set be the developer.

There is only one situation where you should set these flags manually. The xtpHideCustomize is the only flag that should ever be manually set. you would do this when you want the control to initially be hidden but still exist in customize popup of toolbar. This will cause the control to appear in the Add and Remove Buttons popup without a check mark indicating that it is currently hidden. This flag will automatically be set when a command is hidden this way.

HideFlag | Value | Reason Control is Hidden
xtpNoHide | 0 | Control is currently visible.
xtpHideGeneric | 1 | Developer set Visible = False.
xtpHideWrap | 2 | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | 4 | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | 8 | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | 16 | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | 32 | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | ImageManagerIcons Object

See Also Command Bars ActiveX Control v19.3

IconIndex Property

Description

Index of the icon to be displayed in the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

Remarks

The IconIndex value corresponds to the Id given to an icon in the commandbars collection of icons (ImageManager Control). The id of an icon added to the ImageManagerIcons object can be any positive integer.

The picture below contains a pane with both an image and text and a normal image.

Example

[IconIndex Sample (Visual Basic)] This sample illustrates how to display icons in a StatusBar Pane.

    CommandBars.Icons.AddIcons ImageManager.Icons

    Set StatusBar = CommandBars.StatusBar

    StatusBar.Visible = True

    Dim Pane As StatusBarPane

    'Add Pane with Image and Text
    Set Pane = StatusBar.AddPane(ID_INDICATOR_LOGO)
    Pane.Visible = False
    Pane.Text = "Codejock Software"
    Pane.Alignment = xtpAlignmentRight
    Pane.IconIndex = 100
    Pane.TextColor = RGB(64, 100, 176)
    Pane.BackgroundColor = RGB(245, 245, 245)
    Dim Font As New StdFont
    Font.Bold = True
    Font.Name = "Tahoma"
    Set Pane.Font = Font
    Pane.Width = 0 'Auto size

    'Add Pane with Image Only
    Set Pane = StatusBar.AddPane(ID_INDICATOR_ICON)
    Pane.IconIndex = 101
    Pane.Alignment = 1
    Pane.Width = 0 ' Auto Size

See Also

StatusBarPane Object | ImageManagerIcons Object


%%PageItemTitle%%

StatusBarPane Object | AddPane Method | FindPane Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

The Id of the Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The id is used to identify the pane. The AddPane method assigns the id to a pane when it is created. The FindPane method uses the id to find and return a pane.

See Also

StatusBarPane Object | AddPane Method | FindPane Method


%%PageItemTitle%%

StatusBarPane Object | InsertPane Method

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Index of the pane within the StatusBar's collection of Panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The InsertPane method can reorder the panes in the StatusBar. This will cause the Index of the pane to change

See Also

StatusBarPane Object | InsertPane Method


%%PageItemTitle%%

StatusBarPane Object | XTPStatusPaneStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

Gets\sets the style of the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPStatusPaneStyle

Remarks

The Style property is used to specify whether the pane will have one or more of the following properties: have a border, become disabled, or stretched.

See Also

StatusBarPane Object | XTPStatusPaneStyle Enumeration


%%PageItemTitle%%

StatusBarPane Object | DrawDisabledText Property | Font Property | TextColor Property

See Also Command Bars ActiveX Control v19.3

Text Property

Description

Gets\sets the text caption that is displayed in the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

StatusBarPane Object | DrawDisabledText Property | Font Property | TextColor Property


%%PageItemTitle%%

StatusBarPane Object | Text Property | Font Property

See Also Command Bars ActiveX Control v19.3

TextColor Property

Description

Gets\sets the color of the text caption that is displayed in the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

StatusBarPane Object | Text Property | Font Property


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

TextGrayColor Property

Description

Gets\set the status bar disabled text color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextGrayColor() As ULong

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

The style of the tool tip can be changed by using the StatusBar's ToolTipContext property.

See Also

StatusBarPane Object | ToolTipContext Property


%%PageItemTitle%%

StatusBarPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Value Property

Description

The value of the pane. This is displayed in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As String

Remarks

The Value of the pane can be any string value and can be used to store extra data if customization is disabled. If customization is enabled, the Value is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarPane Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Hides\shows the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

StatusBarPane Object


%%PageItemTitle%%

StatusBarPane Object | XTPStatusPaneStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\sets the width of the panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width property reflects the actual width the Pane. To auto-size the width of the Pane, set the Width to Zero (0).

When the Style of the Pane is set to SBPS_STRETCH the pane will always be equal to or larger than the Pane's Width.

See Also

StatusBarPane Object | XTPStatusPaneStyle Enumeration


%%PageItemTitle%%

StatusBarProgressPane Members

See Also Command Bars ActiveX Control v19.3

StatusBarProgressPane Object

Description

Represents a status bar Progress bar pane object.

For a list of all members defined in this module, see StatusBarProgressPane members.

Remarks

The AddProgressPane method is used to add a progress bar pane to the status bar. The Max and Min values should be set after creation to specify the maximum and minimum values that the progress bar will use.

See Also

StatusBarProgressPane Members


%%PageItemTitle%% $$Members$$

StatusBarProgressPane Overview

See Also Command Bars ActiveX Control v19.3

StatusBarProgressPane Object Members

Public Methods

Public Method GetRect | Returns the top, left, right, and bottom coordinates of the pane.
Public Method RedrawPane |
Public Method RedrawProgress | Forces the progress pane to refresh itself.
Public Method Remove | Removes the panes from the StatusBar.

Public Properties

Public Property BeginGroup | Gets/Sets a boolean value indicating whether the pane has a separator placed before it and thus begins a new group.
Public Property Caption | Gets or sets the text that is displayed for the pane in the status bar customization window.
Public Property Customizable | Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.
Public Property Dark |
Public Property Enabled |
Public Property Handle |
Public Property HideFlags |
Public Property Id | The Id of the Pane.
Public Property Index | Index of the pane within the StatusBar's collection of Panes.
Public Property Max | Gets or sets the maximum value of the range of the ProgressBar.
Public Property Min | Gets or sets the minimum value of the range of the ProgressBar.
Public Property Style |
Public Property ToolTip | Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.
Public Property Value | The value of the pane. This is displayed in the status bar customization window.
Public Property Visible | Hides\shows the Pane.
Public Property Width | Gets\sets the width of the panel.

See Also

StatusBarProgressPane Overview


%%PageItemTitle%%

StatusBarProgressPane Object

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the pane.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

RedrawPane Method

Syntax

Public Sub RedrawPane()

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

RedrawProgress Method

Description

Forces the progress pane to refresh itself.

Syntax

Public Sub RedrawProgress()

Remarks

This can be useful when using a codejock progressbar (in a pane) that shows a smooth style when the system is executing a query.

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Remove Method

Description

Removes the panes from the StatusBar.

Syntax

Public Sub Remove()

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Description

Gets/Sets a boolean value indicating whether the pane has a separator placed before it and thus begins a new group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

Remarks

BeginGroup specifies whether the pane has a separator placed before it and thus begins a new group. This is just visual and does not actually group the panes. See the picture below for how the groups dividers can be used.

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets or sets the text that is displayed for the pane in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarProgressPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property


%%PageItemTitle%%

StatusBarProgressPane Object | EnableCustomization Method

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Remarks

The customization popup allows the pane to be hidden or shown (if already hidden). Set Customizable to False to individually disable a specific pane from being customized from the customization popup.

See Also

StatusBarProgressPane Object | EnableCustomization Method


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Dark Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Dark() As Boolean

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object | AddPane Method | FindPane Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

The Id of the Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The id is used to identify the pane. The AddPane method assigns the id to a pane when it is created. The FindPane method uses the id to find and return a pane.

See Also

StatusBarProgressPane Object | AddPane Method | FindPane Method


%%PageItemTitle%%

StatusBarProgressPane Object | InsertPane Method

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Index of the pane within the StatusBar's collection of Panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The InsertPane method can reorder the panes in the StatusBar. This will cause the Index of the pane to change

See Also

StatusBarProgressPane Object | InsertPane Method


%%PageItemTitle%%

StatusBarProgressPane Object | Min Property

See Also Command Bars ActiveX Control v19.3

Max Property

Description

Gets or sets the maximum value of the range of the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

The ProgressBar control"s Min property is 0 and its Max property is 100 by default, representing the percentage duration of the operation.

This property specifies the upper limit of the Value property. When the value of the Max property is changed, the ProgressBar control is redrawn to reflect the new range of the control. When the value of the Value property is equal to the value of the Max property, the progress bar is completely filled.

See Also

StatusBarProgressPane Object | Min Property


%%PageItemTitle%%

StatusBarProgressPane Object | Max Property

See Also Command Bars ActiveX Control v19.3

Min Property

Description

Gets or sets the minimum value of the range of the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

This property specifies the lower limit of the Value property. When the value of the Min property is changed, the ProgressBar control is redrawn to reflect the new range of the control. When the value of the Value property is equal to the value of the Min property, the progress bar is empty.

See Also

StatusBarProgressPane Object | Max Property


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPStatusPaneStyle

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object | ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

The style of the tool tip can be changed by using the StatusBar's ToolTipContext property.

See Also

StatusBarProgressPane Object | ToolTipContext Property


%%PageItemTitle%%

StatusBarProgressPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Value Property

Description

The value of the pane. This is displayed in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

Remarks

The Value of the pane can be any string value and can be used to store extra data if customization is disabled. If customization is enabled, the Value is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarProgressPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarProgressPane Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Hides\shows the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

StatusBarProgressPane Object


%%PageItemTitle%%

StatusBarProgressPane Object | XTPStatusPaneStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\sets the width of the panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width property reflects the actual width the Pane. To auto-size the width of the Pane, set the Width to Zero (0).

When the Style of the Pane is set to SBPS_STRETCH the pane will always be equal to or larger than the Pane's Width.

See Also

StatusBarProgressPane Object | XTPStatusPaneStyle Enumeration


%%PageItemTitle%%

StatusBarSliderPane Members | XTPSliderCommand Enumeration | AddSliderPane Method | SliderPaneClick Event | Max Property | Min Property | Value Property | AddProgressPane Method

See Also Command Bars ActiveX Control v19.3

StatusBarSliderPane Object

Description

Represents a status bar slider pane object.

For a list of all members defined in this module, see StatusBarSliderPane members.

Remarks

Notes:

The AddSliderPane method is used to add a slider pane to the status bar. The Max and Min values should be set after creation to specify the maximum and minimum values that the slider will use.

The SliderPaneClick occurs when a slider pane has been clicked. The current position of the thumb tracker is retrieved as well as how the slider was moved (clicked on button, thumb tracker, line, etc).

The SliderPaneClick event can be used to update the Value of the slider. The Value will need to manually be maintained each time the slider is clicked. A value from the XTPSliderCommand enumeration will be passed to the SliderPaneClick event which specifies where the user clicked on the slider (clicked on button, thumb tracker, line, etc) and the current position of the thumb tracker.

See Also

StatusBarSliderPane Members | XTPSliderCommand Enumeration | AddSliderPane Method | SliderPaneClick Event | Max Property | Min Property | Value Property | AddProgressPane Method


%%PageItemTitle%% $$Members$$

StatusBarSliderPane Overview | XTPSliderCommand Enumeration | AddSliderPane Method | SliderPaneClick Event | Max Property | Min Property | Value Property | AddProgressPane Method

See Also Command Bars ActiveX Control v19.3

StatusBarSliderPane Object Members

Public Methods

Public Method GetRect | Returns the top, left, right, and bottom coordinates of the pane.
Public Method RedrawPane |
Public Method Remove | Removes the panes from the StatusBar.
Public Method SetTicks | Sets the number of ticks between the Min and Max properties of the Slider control.
Public Method SetTooltipPart | Sets the tooltip displayed for a specific part of the slider pane (Min button, Max button, Thumb tracker, etc.)

Public Properties

Public Property BeginGroup |
Public Property Caption | Gets or sets the text that is displayed for the pane in the status bar customization window.
Public Property Customizable | Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.
Public Property Dark |
Public Property Enabled | Gets/Sets a boolean value indicating whether the switch pane is enabled.
Public Property Handle |
Public Property HideFlags |
Public Property Id | The Id of the Pane.
Public Property Index | Index of the pane within the StatusBar's collection of Panes.
Public Property Max | Gets or sets the maximum value for the slider.
Public Property Min | Gets or sets the minimum value for the slider.
Public Property Style |
Public Property ToolTip | Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.
Public Property Value | The value of the pane. This is displayed in the status bar customization window.
Public Property Visible | Hides\shows the Pane.
Public Property Width | Gets\sets the width of the panel.

See Also

StatusBarSliderPane Overview | XTPSliderCommand Enumeration | AddSliderPane Method | SliderPaneClick Event | Max Property | Min Property | Value Property | AddProgressPane Method


%%PageItemTitle%%

StatusBarSliderPane Object

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the pane.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

RedrawPane Method

Syntax

Public Sub RedrawPane()

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Remove Method

Description

Removes the panes from the StatusBar.

Syntax

Public Sub Remove()

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

Ticks
The number of ticks between the Min and Max properties of the Slider control.
See Also Command Bars ActiveX Control v19.3

SetTicks Method

Description

Sets the number of ticks between the Min and Max properties of the Slider control.

Syntax

Public Sub SetTicks( _
   ByVal Ticks As Variant _
)

Parameters

Ticks
The number of ticks between the Min and Max properties of the Slider control.

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

Command
Part of slider to set a tooltip for.
ToolTip
Text to display as a tooltip.
See Also Command Bars ActiveX Control v19.3

SetTooltipPart Method

Description

Sets the tooltip displayed for a specific part of the slider pane (Min button, Max button, Thumb tracker, etc.)

Syntax

Public Sub SetTooltipPart( _
   ByVal Command As XTPSliderCommand, _
   ByVal ToolTip As String _
)

Parameters

Command
Value | Description
XTP_SB_LINELEFT | The left "Min" button was clicked.
XTP_SB_LINERIGHT | The right "Max" button was clicked.
XTP_SB_PAGELEFT | The line of the slider was clicked to the left side of the thumb track.
XTP_SB_PAGERIGHT | The line of the slider was clicked to the right side of the thumb track.
XTP_SB_THUMBTRACK | The thumb track was clicked or is currently being dragged.
XTP_SB_LEFT | Reserved for future use.
XTP_SB_RIGHT | Reserved for future use.
XTP_SB_ENDSCROLL | The control has finished scrolling.
Part of slider to set a tooltip for.
ToolTip
Text to display as a tooltip.

Remarks

Sets the tooltip displayed for a specific part of the slider pane (Min button, Max button, Thumb tracker, etc.)

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object | BeginGroup Property

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

StatusBarSliderPane Object | BeginGroup Property


%%PageItemTitle%%

StatusBarSliderPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets or sets the text that is displayed for the pane in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarSliderPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property


%%PageItemTitle%%

StatusBarSliderPane Object | EnableCustomization Method

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Remarks

The customization popup allows the pane to be hidden or shown (if already hidden). Set Customizable to False to individually disable a specific pane from being customized from the customization popup.

See Also

StatusBarSliderPane Object | EnableCustomization Method


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Dark Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Dark() As Boolean

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the switch pane is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object | AddPane Method | FindPane Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

The Id of the Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The id is used to identify the pane. The AddPane method assigns the id to a pane when it is created. The FindPane method uses the id to find and return a pane.

See Also

StatusBarSliderPane Object | AddPane Method | FindPane Method


%%PageItemTitle%%

StatusBarSliderPane Object | InsertPane Method

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Index of the pane within the StatusBar's collection of Panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The InsertPane method can reorder the panes in the StatusBar. This will cause the Index of the pane to change

See Also

StatusBarSliderPane Object | InsertPane Method


%%PageItemTitle%%

StatusBarSliderPane Object | SliderPaneClick Event | Value Property | XTPSliderCommand Enumeration | AddSliderPane Method

See Also Command Bars ActiveX Control v19.3

Max Property

Description

Gets or sets the maximum value for the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

Max is the maximum value for the slider.

The SliderPaneClick event is used to update the Value of the slider. The Value will need to manually be maintained each time the slider is clicked. A value from the XTPSliderCommand enumeration will be passed to the SliderPaneClick event which specifies where the user clicked on the slider.

Example

[Visual Basic]

'Variable in global code section
Dim ViewZoom As Long

Private Sub StatusBar_SliderPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSliderPane, ByVal Command As XtremeCommandBars.XTPSliderCommand, ByVal Pos As Long)

    Dim nZoom As Long
    nZoom = ViewZoom

    Select Case Command
        Case XTP_SB_LEFT: nZoom = 0
        Case XTP_SB_RIGHT: nZoom = 200

        Case XTP_SB_LINELEFT: nZoom = Max((Int(nZoom / 10) - 1) * 10, 0)
        Case XTP_SB_LINERIGHT: nZoom = Min((Int(nZoom / 10) + 1) * 10, 200)

        Case XTP_SB_THUMBTRACK: nZoom = Pos

        Case XTP_SB_PAGELEFT: nZoom = Max(nZoom - 20, 0)
        Case XTP_SB_PAGERIGHT: nZoom = Min(nZoom + 20, 200)
    End Select

    If (nZoom = ViewZoom) Then Exit Sub

    ViewZoom = nZoom
    Pane.Value = nZoom

    StatusBar.FindPane(ID_INDICATOR_ZOOM).Text = nZoom & "%"
End Sub

See Also

StatusBarSliderPane Object | SliderPaneClick Event | Value Property | XTPSliderCommand Enumeration | AddSliderPane Method


%%PageItemTitle%%

StatusBarSliderPane Object | AddSliderPane Method | Value Property | AddSliderPane Method | SliderPaneClick Event | XTPSliderCommand Enumeration

See Also Command Bars ActiveX Control v19.3

Min Property

Description

Gets or sets the minimum value for the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

Min is the minimum value for the slider.

The SliderPaneClick event is used to update the Value of the slider. The Value will need to manually be maintained each time the slider is clicked. A value from the XTPSliderCommand enumeration will be passed to the SliderPaneClick event which specifies where the user clicked on the slider.

Example

[Visual Basic]

'Variable in global code section
Dim ViewZoom As Long

Private Sub StatusBar_SliderPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSliderPane, ByVal Command As XtremeCommandBars.XTPSliderCommand, ByVal Pos As Long)

    Dim nZoom As Long
    nZoom = ViewZoom

    Select Case Command
        Case XTP_SB_LEFT: nZoom = 0
        Case XTP_SB_RIGHT: nZoom = 200

        Case XTP_SB_LINELEFT: nZoom = Max((Int(nZoom / 10) - 1) * 10, 0)
        Case XTP_SB_LINERIGHT: nZoom = Min((Int(nZoom / 10) + 1) * 10, 200)

        Case XTP_SB_THUMBTRACK: nZoom = Pos

        Case XTP_SB_PAGELEFT: nZoom = Max(nZoom - 20, 0)
        Case XTP_SB_PAGERIGHT: nZoom = Min(nZoom + 20, 200)
    End Select

    If (nZoom = ViewZoom) Then Exit Sub

    ViewZoom = nZoom
    Pane.Value = nZoom

    StatusBar.FindPane(ID_INDICATOR_ZOOM).Text = nZoom & "%"
End Sub

See Also

StatusBarSliderPane Object | AddSliderPane Method | Value Property | AddSliderPane Method | SliderPaneClick Event | XTPSliderCommand Enumeration


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPStatusPaneStyle

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object | ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

Get\set the tool tip that is displayed when the mouse pointer is positioned over the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

The style of the tool tip can be changed by using the StatusBar's ToolTipContext property.

See Also

StatusBarSliderPane Object | ToolTipContext Property


%%PageItemTitle%%

StatusBarSliderPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Value Property

Description

The value of the pane. This is displayed in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

Remarks

The Value of the pane can be any string value and can be used to store extra data if customization is disabled. If customization is enabled, the Value is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarSliderPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Text Property | Caption Property | StatusBarSliderPane Object | StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSliderPane Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Hides\shows the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

StatusBarSliderPane Object


%%PageItemTitle%%

StatusBarSliderPane Object | XTPStatusPaneStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\sets the width of the panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width property reflects the actual width the Pane. To auto-size the width of the Pane, set the Width to Zero (0).

When the Style of the Pane is set to SBPS_STRETCH the pane will always be equal to or larger than the Pane's Width.

See Also

StatusBarSliderPane Object | XTPStatusPaneStyle Enumeration


%%PageItemTitle%%

StatusBarSwitchPane Members | AddSwitchPane Method | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property

See Also Command Bars ActiveX Control v19.3

StatusBarSwitchPane Object

Description

Represents a status bar switch pane object.

For a list of all members defined in this module, see StatusBarSwitchPane members.

Remarks

Notes:

AddSwitchPane is used to add a Switch Pane to the status bar.

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

AddSwitch will add a new switch to the Switch Pane.

RemoveSwitch removes a switch by passing in the Id of the switch to remove.

The Checked property holds the Id of the currently selected switch.

Example

[Visual Basic]

'Code to load images for switches, add a switch pane, and switches
    CommandBars.Icons.LoadBitmap App.Path & "\res\StatusBarViewSwitches.png", _
    Array(ID_SWITCH_PRINTLAYOUT, ID_SWITCH_FULLSCREENREADING, ID_SWITCH_WEBLAYOUT, ID_SWITCH_OUTLINE, ID_SWITCH_DRAFT), xtpImageNormal

    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

Private Sub StatusBar_SwitchPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSwitchPane, ByVal Id As Long)
    Pane.Checked = Id

    Select Case Id
        Case ID_SWITCH_PRINTLAYOUT:
            MsgBox "Print Layout Switch Clicked"
        Case ID_SWITCH_FULLSCREENREADING:
            MsgBox "Full Screen Reading Switch Clicked"
        Case ID_SWITCH_WEBLAYOUT:
            MsgBox "Web Layout Switch Clicked"
        Case ID_SWITCH_OUTLINE:
            MsgBox "Outline Switch Clicked"
        Case ID_SWITCH_DRAFT:
            MsgBox "Draft Switch Clicked"
    End Select
End Sub

See Also

StatusBarSwitchPane Members | AddSwitchPane Method | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property


%%PageItemTitle%% $$Members$$

StatusBarSwitchPane Overview | AddSwitchPane Method | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property

See Also Command Bars ActiveX Control v19.3

StatusBarSwitchPane Object Members

Public Methods

Public Method AddSwitch | Adds a switch to the Switch Pane.
Public Method EnableSwitch | Enables or disables a pane switch.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the pane.
Public Method RedrawPane |
Public Method Remove | Removes the panes from the StatusBar.
Public Method RemoveSwitch | Removes a switch from the Switch Pane.

Public Properties

Public Property BeginGroup |
Public Property Caption | Gets or sets the text that is displayed for the pane in the status bar customization window.
Public Property Checked | Gets or sets the Id of the switch that is currently checked.
Public Property Customizable | Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.
Public Property Dark |
Public Property Enabled | Gets/Sets a boolean value indicating whether the switch pane is enabled.
Public Property Handle |
Public Property HideFlags |
Public Property Id | The Id of the Pane.
Public Property Index | Index of the pane within the StatusBar's collection of Panes.
Public Property Style |
Public Property SwitchTooltip | Gets\sets the tooltip for the specified pane.
Public Property ToolTip |
Public Property Visible | Hides\shows the Pane.
Public Property Width | Gets\sets the width of the panel.

See Also

StatusBarSwitchPane Overview | AddSwitchPane Method | SwitchPaneClick Event | AddSwitch Method | RemoveSwitch Method | Checked Property | Id Property


%%PageItemTitle%%

StatusBarSwitchPane Object | RemoveSwitch Method | Id Property | AddSwitchPane Method | SwitchPaneClick Event | Checked Property

Id
Id of the switch.
ToolTip
Tooltip of the switch.
See Also Command Bars ActiveX Control v19.3

AddSwitch Method

Description

Adds a switch to the Switch Pane.

Syntax

Public Sub AddSwitch( _
   ByVal Id As Long, _
   ByVal ToolTip As String _
)

Parameters

Id
Id of the switch.
ToolTip
Tooltip of the switch.

Remarks

AddSwitch will add a new switch to the Switch Pane.

Notes:

AddSwitchPane is used to add a Switch Pane to the status bar.

A switch can be removed by passing the Id of the switch to RemoveSwitch.

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

The Checked property holds the Id of the currently selected switch.

Example

[Visual Basic]

'Code to load images for switches, add a switch pane, and switches
    CommandBars.Icons.LoadBitmap App.Path & "\res\StatusBarViewSwitches.png", _
    Array(ID_SWITCH_PRINTLAYOUT, ID_SWITCH_FULLSCREENREADING, ID_SWITCH_WEBLAYOUT, ID_SWITCH_OUTLINE, ID_SWITCH_DRAFT), xtpImageNormal

    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

Private Sub StatusBar_SwitchPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSwitchPane, ByVal Id As Long)
    Pane.Checked = Id

    Select Case Id
        Case ID_SWITCH_PRINTLAYOUT:
            MsgBox "Print Layout Switch Clicked"
        Case ID_SWITCH_FULLSCREENREADING:
            MsgBox "Full Screen Reading Switch Clicked"
        Case ID_SWITCH_WEBLAYOUT:
            MsgBox "Web Layout Switch Clicked"
        Case ID_SWITCH_OUTLINE:
            MsgBox "Outline Switch Clicked"
        Case ID_SWITCH_DRAFT:
            MsgBox "Draft Switch Clicked"
    End Select
End Sub

See Also

StatusBarSwitchPane Object | RemoveSwitch Method | Id Property | AddSwitchPane Method | SwitchPaneClick Event | Checked Property


%%PageItemTitle%%

StatusBarSwitchPane Object

Id
Id of switch to enable or disable.
Enable
True to enable the switch, False to disable the switch.
See Also Command Bars ActiveX Control v19.3

EnableSwitch Method

Description

Enables or disables a pane switch.

Syntax

Public Sub EnableSwitch( _
   ByVal Id As Long, _
   ByVal Enable As Boolean _
)

Parameters

Id
Id of switch to enable or disable.
Enable
True to enable the switch, False to disable the switch.

Remarks

Use EnableSwitch to enable or disable individual switches in the switch pane.

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the pane.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the pane rectangle.

Top

The top point of the pane rectangle.

Right

The right point of the pane rectangle.

Bottom

The bottom point of the pane rectangle.

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

RedrawPane Method

Syntax

Public Sub RedrawPane()

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Remove Method

Description

Removes the panes from the StatusBar.

Syntax

Public Sub Remove()

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object | AddSwitch Method | AddSwitchPane Method | SwitchPaneClick Event | Checked Property

Id
Id of the pane to remove.
See Also Command Bars ActiveX Control v19.3

RemoveSwitch Method

Description

Removes a switch from the Switch Pane.

Syntax

Public Sub RemoveSwitch( _
   ByVal Id As Long _
)

Parameters

Id
Id of the pane to remove.

Remarks

RemoveSwitch removes a switch by passing in the Id of the switch to remove.

Notes:

AddSwitchPane is used to add a Switch Pane to the status bar.

AddSwitch will add a new switch to the Switch Pane.

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

The Checked property holds the Id of the currently selected switch.

See Also

StatusBarSwitchPane Object | AddSwitch Method | AddSwitchPane Method | SwitchPaneClick Event | Checked Property


%%PageItemTitle%%

StatusBarSwitchPane Object | BeginGroup Property

See Also Command Bars ActiveX Control v19.3

BeginGroup Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BeginGroup() As Boolean

See Also

StatusBarSwitchPane Object | BeginGroup Property


%%PageItemTitle%%

StatusBarSwitchPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Gets or sets the text that is displayed for the pane in the status bar customization window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption is the text that is displayed for the pane in the status bar customization window.

To enable customization use EnableCustomization. EnableCustomization will enable a status bar customization window to appear when the status bar is right-clicked on. The customization window allows all the panes in the statusbar to be hidden or displayed (if already hidden). All panes will be displayed in the window with the exception of the Pane with Id equal to 0. The items displayed in the window are the Caption of the pane and the Value of the pane. Also indicated is the Visibility of the pane.

If using a StatusBarSliderPane or StatusBarSwitchPane the SliderPaneClick and SwitchPaneClick events can be used to update the Caption and Value to show exactly what switch is selected in a switch pane or what percentage is selected in a slider. Or they can be used to display any custom message in the customization window.

Note that the Text, which is what is visible on the statusbar, is not displayed in the customization window. The Caption and Value of the pane can be set to any text that is desired in the customization window.

See Also

StatusBarSwitchPane Object | EnableCustomization Method | SliderPaneClick Event | SwitchPaneClick Event | Value Property | Visible Property | StatusBarSliderPane Object | StatusBarSwitchPane Object | Text Property


%%PageItemTitle%%

StatusBarSwitchPane Object | SwitchPaneClick Event

See Also Command Bars ActiveX Control v19.3

Checked Property

Description

Gets or sets the Id of the switch that is currently checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Long

Remarks

Checked is used to get or set the currently selected\checked switch in the switch pane.

The SwitchPaneClick event can be used to select\check a switch when it is clicked as well as perform some other action when the appropriate switch has been clicked.

Example

[Visual Basic]

'Code used to add switch pane and switches
    Dim SwitchPane As StatusBarSwitchPane
    Set SwitchPane = StatusBar.AddSwitchPane(ID_INDICATOR_VIEWSHORTCUTS)
    SwitchPane.AddSwitch ID_SWITCH_PRINTLAYOUT, "Print Layout"
    SwitchPane.AddSwitch ID_SWITCH_FULLSCREENREADING, "Full Screen Reading"
    SwitchPane.AddSwitch ID_SWITCH_WEBLAYOUT, "Web Layout"
    SwitchPane.AddSwitch ID_SWITCH_OUTLINE, "Outline"
    SwitchPane.AddSwitch ID_SWITCH_DRAFT, "Draft"
    SwitchPane.Checked = ID_SWITCH_PRINTLAYOUT
    SwitchPane.Caption = "&View Shortcuts"

Private Sub StatusBar_SwitchPaneClick(ByVal Pane As XtremeCommandBars.StatusBarSwitchPane, ByVal Id As Long)
    Pane.Checked = Id
End Sub

See Also

StatusBarSwitchPane Object | SwitchPaneClick Event


%%PageItemTitle%%

StatusBarSwitchPane Object | EnableCustomization Method

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Specifies whether the pane will be displayed in the statusbar customization popup when the statusbar is right-clicked and EnableCustomization was used to enable statusbar customization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Remarks

The customization popup allows the pane to be hidden or shown (if already hidden). Set Customizable to False to individually disable a specific pane from being customized from the customization popup.

See Also

StatusBarSwitchPane Object | EnableCustomization Method


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Dark Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Dark() As Boolean

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the switch pane is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

HideFlags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideFlags() As XTPControlHideFlags

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object | AddPane Method | FindPane Method

See Also Command Bars ActiveX Control v19.3

Id Property

Description

The Id of the Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The id is used to identify the pane. The AddPane method assigns the id to a pane when it is created. The FindPane method uses the id to find and return a pane.

See Also

StatusBarSwitchPane Object | AddPane Method | FindPane Method


%%PageItemTitle%%

StatusBarSwitchPane Object | InsertPane Method

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Index of the pane within the StatusBar's collection of Panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The InsertPane method can reorder the panes in the StatusBar. This will cause the Index of the pane to change

See Also

StatusBarSwitchPane Object | InsertPane Method


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPStatusPaneStyle

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

Id
Id of the pane to get\set the tooltip.
See Also Command Bars ActiveX Control v19.3

SwitchTooltip Property

Description

Gets\sets the tooltip for the specified pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SwitchTooltip( _
   ByVal Id As Long _
) As String

Parameters

Id
Id of the pane to get\set the tooltip.

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Hides\shows the Pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

StatusBarSwitchPane Object


%%PageItemTitle%%

StatusBarSwitchPane Object | XTPStatusPaneStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets\sets the width of the panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width property reflects the actual width the Pane. To auto-size the width of the Pane, set the Width to Zero (0).

When the Style of the Pane is set to SBPS_STRETCH the pane will always be equal to or larger than the Pane's Width.

See Also

StatusBarSwitchPane Object | XTPStatusPaneStyle Enumeration


%%PageItemTitle%%

TabControlItem Members

See Also Command Bars ActiveX Control v19.3

TabControlItem Object

Description

A tab object.

For a list of all members defined in this module, see TabControlItem members.

See Also

TabControlItem Members


%%PageItemTitle%% $$Members$$

TabControlItem Overview

See Also Command Bars ActiveX Control v19.3

TabControlItem Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force this tab to become visible.
Public Method GetRect | Returns the bounding rectangle of the tab button.
Public Method Move | The Move method programmatically moves the tab within the TabWorkspacel. This allows the tabs to be reordered.

Public Properties

Public Property Caption | Set/Get the text that will be displayed in the tab.
Public Property Closable | The Closeable property specifies whether the close button is displayed in the TabWorkspace when this tab is selected.
Public Property Color | Set/Get the color of the tab.
Public Property Enabled | Gets/Sets a boolean value indicating whether the control is enabled.
Public Property Handle | Get the window handle that the tab is bound to.
Public Property Image | Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.
Public Property Index | Get the index of the tab.
Public Property Selected | True if tab is currently selected, i.e. when the tab is clicked.
Public Property Tag | Stores any extra data needed for your program.
Public Property ToolTip | The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned of this tab item.
Public Property Visible | Gets/Sets a boolean value indicating whether the control is visible

See Also

TabControlItem Overview


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force this tab to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the tab item is visible in the tab strip. This will scroll the tab items in the tab strip until the tab item is visible.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.
See Also Command Bars ActiveX Control v19.3

GetRect Method

Description

Returns the bounding rectangle of the tab button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object | Index Property

Index
New position of the tab within the collection of tab items.
See Also Command Bars ActiveX Control v19.3

Move Method

Description

The Move method programmatically moves the tab within the TabWorkspacel. This allows the tabs to be reordered.

Syntax

Public Sub Move( _
   ByVal Index As Long _
)

Parameters

Index
New position of the tab within the collection of tab items.

Remarks

The Move method allows the tab to be reordered within the collection of tabs. The Index specifies the new location of the tab item.

Note: The collection of tabs is a zero (0) based index.

Example

The "After Move" picture is the result of the sample code below.

Before Move:

After Move:

[Programmatically Moving a Tab Item within the Tab Workspace (Visual Basic)]

    CommandBars.TabWorkspace.Item(1).Move (3)

See Also

TabControlItem Object | Index Property


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Caption Property

Description

Set/Get the text that will be displayed in the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Closable Property

Description

The Closeable property specifies whether the close button is displayed in the TabWorkspace when this tab is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closable() As Boolean

Remarks

The Closeable property is used to specify whether the TabControlItem can be closed. This determines if the Close button will be displayed in the TabWorkspace when the TabControlItem is selected. Each tab in the TabWorkspace can have a different setting.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Color Property

Description

Set/Get the color of the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value indicating whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Handle Property

Description

Get the window handle that the tab is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Image Property

Description

Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Image() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Index Property

Description

Get the index of the tab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Selected Property

Description

True if tab is currently selected, i.e. when the tab is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object | ToolTipContext Object | ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTip Property

Description

The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned of this tab item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

If the ToolTip property is not set, then the Caption of the TabControlItem will be used as the ToolTip.

ToolBarScreenTips must be enabled to display tool tips.

See Also

TabControlItem Object | ToolTipContext Object | ToolTipContext Property


%%PageItemTitle%%

TabControlItem Object

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the control is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabManagerMargin Members

See Also Command Bars ActiveX Control v19.3

TabManagerMargin Object

Description

Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

For a list of all members defined in this module, see TabManagerMargin members.

See Also

TabManagerMargin Members


%%PageItemTitle%% $$Members$$

TabManagerMargin Overview

See Also Command Bars ActiveX Control v19.3

TabManagerMargin Object Members

Public Methods

Public Method SetRect Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Public Properties

Public Property Bottom | Get/Set the bottom margin of the rectangle.
Public Property Left | Get/Set the left margin of the rectangle.
Public Property Right | Get/Set the right margin of the rectangle.
Public Property Top | Get/Set the top margin of the rectangle.

See Also

TabManagerMargin Overview


%%PageItemTitle%%

TabManagerMargin Object

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.
See Also Command Bars ActiveX Control v19.3

SetRect Method

Description

Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Syntax

Public Sub SetRect( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Command Bars ActiveX Control v19.3

Bottom Property

Description

Get/Set the bottom margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bottom() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Command Bars ActiveX Control v19.3

Left Property

Description

Get/Set the left margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Command Bars ActiveX Control v19.3

Right Property

Description

Get/Set the right margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Right() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Command Bars ActiveX Control v19.3

Top Property

Description

Get/Set the top margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabPaintManager Members

See Also Command Bars ActiveX Control v19.3

TabPaintManager Object

Description

Represents the appearance of the tabs.

For a list of all members defined in this module, see TabPaintManager members.

Object Model

See Also

TabPaintManager Members


%%PageItemTitle%% $$Members$$

TabPaintManager Overview

See Also Command Bars ActiveX Control v19.3

TabPaintManager Object Members

Public Methods

Public Method IsColorSupported | Checks to see if a XTPColorTabStyle is supported for the currently set Appearance.
Public Method SetIconSize | The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Public Properties

Public Property Appearance | Gets/Sets the appearance of the tabs.
Public Property BoldSelected | Enables/disables the use of a bold selected tab.
Public Property ButtonMargin | Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.
Public Property ClearTypeTextQuality | Enables or disables the use of ClearType text in the commandbars tab workspace.
Public Property ClientFrame | Gets/Sets the client frame.
Public Property ClientMargin | Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.
Public Property Color | Gets/Sets the color style of the tabs.
Public Property ColorSet | The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.
Public Property ControlMargin | Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.
Public Property DisableLunaColors | Disables/enables the use of luna colors.
Public Property DrawTextFormat | Text format for tab buttons.
Public Property DrawTextNoPrefix | The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.
Public Property DrawTextPathEllipsis | The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.
Public Property FillBackground | Specifies whether the area behind the tab buttons will be drawn themed.
Public Property FixedTabWidth | Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.
Public Property Font | The Font property is used to set or retreive the font used to display the caption of tab buttons in the TabWorkspace.
Public Property HeaderMargin | Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.
Public Property HotTracking | Enables/disables hot tracking.
Public Property Layout | Gets/Sets the layout of the tabs.
Public Property MaxTabWidth | Gets\sets the maximum width a tab button can be.
Public Property MinTabWidth | Gets\sets the minimum width a tab button can be.
Public Property MultiRowFixedSelection | The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.
Public Property MultiRowJustified | The MultiRowJustified property specifies the justification\width of the tab (TabControlItem objects) in the TabWorkspace.
Public Property MultiRowTabsOptimization |
Public Property OneNoteColors | Enables/disables the use of OneNote Colors.
Public Property Position | Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side
Public Property RotateImageOnVerticalDraw | Specifies whether tab images are rotated when the tabs are drawn vertically.
Public Property SelectTabOnDragOver | Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.
Public Property ShowIcons | Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.
Public Property ShowTabs | Gets or sets whether the tabs in the tab workspace are visible.
Public Property StaticFrame | Enables/Disables the use of a static frame.
Public Property ToolTipBehaviour | The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in the TabWorkspace.
Public Property VerticalTextTopToBottom | Specifies whether to draw vertical Text Top-to-Bottom or Bottom-to-Top.

See Also

TabPaintManager Overview


%%PageItemTitle%%

TabPaintManager Object

Color
Color to be checked.
See Also Command Bars ActiveX Control v19.3

IsColorSupported Method

Description

Checks to see if a XTPColorTabStyle is supported for the currently set Appearance.

Syntax

Public Function IsColorSupported( _
   ByVal Color As XTPTabColorStyle _
) As Boolean

Parameters

Color
Value | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access
xtpTabColorVisualStudio2003
xtpTabColorVisualStudio2005
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010 | Tabs will use the Visual Studio 2010 color style for the currently set Appearance.
xtpTabColorVisualStudio2012
xtpTabColorVisualStudio2012Dark
xtpTabColorOffice2013
xtpTabColorOffice2016
xtpTabColorVisualStudio2015
xtpTabColorAll
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007
Color to be checked.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | ShowIcons Property

cx
New Width of Icons.
cy
New Height of Icons.
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New Width of Icons.
cy
New Height of Icons.

Remarks

SetIconSize will set the size of icons displayed in the tab buttons when ShowIcons is TRUE.

See Also

TabPaintManager Object | ShowIcons Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

Appearance Property

Description

Gets/Sets the appearance of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPTabAppearanceStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

BoldSelected Property

Description

Enables/disables the use of a bold selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldSelected() As Boolean

Remarks

When True, the caption of the Tab that is currently selected is displayed in bold.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ButtonMargin Property

Description

Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ButtonMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ClearTypeTextQuality Property

Description

Enables or disables the use of ClearType text in the commandbars tab workspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearTypeTextQuality() As Boolean

Remarks

ClearTypeTextQuality is only supported in Windows XP and higher. ClearType text delivers improved font display quality over traditional forms of font smoothing or anti-aliasing. ClearType text improves readability on LCD displays and flat panel displays. Readability on CRT screens is also minimally improved.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ClientFrame Property

Description

Gets/Sets the client frame.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientFrame() As XTPTabClientFrame

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ClientMargin Property

Description

Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

Color Property

Description

Gets/Sets the color style of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As XTPTabColorStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | TabPaintManagerColorSet Object | Color Property

See Also Command Bars ActiveX Control v19.3

ColorSet Property

Description

The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorSet() As TabPaintManagerColorSet

Remarks

If CommandBars.TabWorkspace.AutoTheme = True, then the ColorSet of the TabWorkspace must be updated to override the default colorset for the currently used theme. If AutoTheme = False, then the ColorSet can be modified a single time but the Color and Appearance properties will need to be set to set the desired look and feel that AutoTheme would have provided.

Example

[Changing the color set for tab appearances. (Visual Basic)] This sample illustrates how to change the colors used for each tab color set.

'If CommandBars.TabWorkspace.AutoTheme = True, then the ColorSet of the TabWorkspace must be updated to override the
'default colorset for the currently used theme. If AutoTheme = False, then the ColorSet can be modified a single time but
'the Color and Appearance properties will need to be set to set the desired look and feel that AutoTheme would have provided.
Private Sub CommandBars_Update(ByVal Control As XtremeCommandBars.ICommandBarControl)
    'Color properties common to all tab appearances
    CommandBars.TabWorkspace.PaintManager.ColorSet.NormalText = RGB(0, 50, 150)
    CommandBars.TabWorkspace.PaintManager.ColorSet.FrameBorder = RGB(255, 0, 0)
    CommandBars.TabWorkspace.PaintManager.ColorSet.HeaderFaceDark = RGB(0, 0, 255)
    CommandBars.TabWorkspace.PaintManager.ColorSet.HeaderFaceLight = RGB(0, 0, 100)
    CommandBars.TabWorkspace.PaintManager.ColorSet.SelectedText = RGB(0, 0, 255)

    'Color properties specific to the Office 2003 theme and PropertyPage2003 appearance.
    CommandBars.TabWorkspace.PaintManager.ColorSet.TabPropertyPage2003BorderLeftHighlight = RGB(255, 0, 0)
    CommandBars.TabWorkspace.PaintManager.ColorSet.TabPropertyPage2003BorderTopHighlight = RGB(255, 0, 0)
    CommandBars.TabWorkspace.PaintManager.ColorSet.TabPropertyPage2003DarkShadow = RGB(255, 0, 0)
    CommandBars.TabWorkspace.PaintManager.ColorSet.TabPropertyPage2003FrameBorder = RGB(0, 0, 0)
End Sub

See Also

TabPaintManager Object | TabPaintManagerColorSet Object | Color Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ControlMargin Property

Description

Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

DisableLunaColors Property

Description

Disables/enables the use of luna colors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableLunaColors() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

DrawTextFormat Property

Description

Text format for tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextFormat() As XTPTabDrawTextFormat

Remarks

DrawTextFormat can contain one or more flags from the XTPTabDrawTextFormat enumeration to specify the text format used to draw text in tab buttons.

By default the xtpTabDrawTextLeft and xtpTabDrawTextVCenter flags are combined using the bitwise OR operator.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | DrawTextPathEllipsis Property

See Also Command Bars ActiveX Control v19.3

DrawTextNoPrefix Property

Description

The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextNoPrefix() As Boolean

Remarks

If set to FALSE, then an ampersand '&' in the tab button caption will be ignored and the character immediately following the ampersand will be underlined. A double ampersand '&&' will display a single ampersand '&'.

If the tab caption was "Te&xt", then the resulting caption would look like "Text"

If set to TRUE, then the caption will be displayed unmodified.

This can be used to indicate to the user that a hot key is associated with the tab. Please note that a key can not be directly bound to a tab, the CommandBars Execute event can be used to handle the key binding and then the appropriate tab can be selected.

Example

[Underlining a character in the tab button caption. (Visual Basic)] This sample illustrates how to underline a character in a tab button caption. This lets the user know that a hot key is associated with the tab.

    'Indicates that a single '&' in the tab button caption will result in the following
    'character being underlined.
    CommandBars.TabWorkspace.PaintManager.DrawTextNoPrefix = False

See Also

TabPaintManager Object | DrawTextPathEllipsis Property


%%PageItemTitle%%

TabPaintManager Object | DrawTextNoPrefix Property

See Also Command Bars ActiveX Control v19.3

DrawTextPathEllipsis Property

Description

The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextPathEllipsis() As Boolean

Remarks

If set to TRUE, then when the size of a tab button is too small to display the caption, the middle of the caption will be replaced with an ellipse "..."

If set to FALSE, then the end of the caption will be replaced with the ellipse.

Example

[DrawTextPathEllipsis Sample (Visual Basic)] This sample illustrates how to use the DrawTextPathEllipsis property to change the location of the ellipse in tab captions too long to fit in a tab button.

    'An ellipse will be drawn in the middle of tab captions too long to fit in the tab button.
    CommandBars.TabWorkspace.PaintManager.DrawTextPathEllipsis = True

See Also

TabPaintManager Object | DrawTextNoPrefix Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

FillBackground Property

Description

Specifies whether the area behind the tab buttons will be drawn themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FillBackground() As Boolean

Remarks

By default, FillBackground is True. When True, the space behind the tab buttons will be themed to match the currently set tab appearance, otherwise the normal colors will be used.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property

See Also Command Bars ActiveX Control v19.3

FixedTabWidth Property

Description

Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedTabWidth() As Long

Remarks

FixedTabWidth is only used when the tab layout is set to XTPTabLayoutFixed. This is the size in pixels of each individual tab button when the tab layout is set to XTPTabLayoutFixed.

To set back to default settings, set FixedTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

Font Property

Description

The Font property is used to set or retreive the font used to display the caption of tab buttons in the TabWorkspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Example

[Changing the font of the tab buttons in the TabWorkspace (Visual Basic)] This sample illustrates how to change the font used in the tab buttons in the TabWorkspace.

    'The following illustrate how to change the font used for the tab button caption in the TabWorkspace
    Dim TextFont As StdFont
    Set TextFont = New StdFont
    TextFont.Name = "Arial"
    TextFont.Size = 15
    TextFont.Bold = True

    Set CommandBars.TabWorkspace.PaintManager.Font = TextFont

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

HeaderMargin Property

Description

Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

HotTracking Property

Description

Enables/disables hot tracking.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

When hot tracking is enabled, the appearance of the tab that the mouse pointer is positioned over will change. How the appearance is changed depends on the currently set Appearance. Some appearances do not change at all, some will cause the caption to display in a different color, and some will change the color of the tab.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

Layout Property

Description

Gets/Sets the layout of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Layout() As XTPTabLayoutStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property

See Also Command Bars ActiveX Control v19.3

MaxTabWidth Property

Description

Gets\sets the maximum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTabWidth() As Long

Remarks

MaxTabWidth is the maximum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MaxTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | FixedTabWidth Property

See Also Command Bars ActiveX Control v19.3

MinTabWidth Property

Description

Gets\sets the minimum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinTabWidth() As Long

Remarks

MinTabWidth is the minimum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MinTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | FixedTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | Layout Property | MultiRowJustified Property

See Also Command Bars ActiveX Control v19.3

MultiRowFixedSelection Property

Description

The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowFixedSelection() As Boolean

Remarks

When false, the rows of tabs in front of the selected tab are repositioned at the opposite side (behind) of the control. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, all tab rows will be repositioned behind the second row.

When true, the rows in a multi-row tab control remain "fixed" when a tab is selected. The remaining rows of tabs in front of a selected tab will not be repositioned. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, the tab rows will remain the same.

The pictures below illustrate how the tab control behaves when in multi-row mode. When MultiRowFixedSelection is true, the tabs are not repositioned when a tab is selected. When MultiRowFixedSelection is false, the tabs are repositioned behind the selected tab.

MultiRowFixedSelection is true.

MultiRowFixedSelection is false.

Example

[MultiRowFixedSelection sample. (Visual Basic)] This sample illustrates use the MultiRowFixedSelection tab layout. This functions like the TabOpposite style of the Microsoft TabControl.

    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutMultiRow
    CommandBars.TabWorkspace.PaintManager.MultiRowFixedSelection = True

See Also

TabPaintManager Object | Layout Property | MultiRowJustified Property


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MultiRowFixedSelection Property

See Also Command Bars ActiveX Control v19.3

MultiRowJustified Property

Description

The MultiRowJustified property specifies the justification\width of the tab (TabControlItem objects) in the TabWorkspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowJustified() As Boolean

Remarks

If MultiRowJustified is true, the tab rows will be justified. If the tab layout is set to xtpTabLayoutMultiRow, each tab is wide enough to accommodate its contents and, if needed, the width of each tab is increased so that each row of tabs spans the width of the control. This will stretch each row of tabs to fill the entire width of the control. If the tab layout is not set to xtpTabLayoutMultiRow, or if there is only a single row of tabs, this setting has no effect.

If MultiRowJustified is false, the tab rows will be non-justified. Each tab is just wide enough to accommodate its contents. The rows are not justified, so multiple rows of tabs are jagged.

MultiRowJustified is false

MultiRowJustified is true

Example

[MultiRowJustified Sample (Visual Basic)] This sample illustrates how to change the justification\width of the tabs in the TabWorkspace.

    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutMultiRow
    CommandBars.TabWorkspace.PaintManager.MultiRowJustified = True

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MultiRowFixedSelection Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

MultiRowTabsOptimization Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowTabsOptimization() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

OneNoteColors Property

Description

Enables/disables the use of OneNote Colors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OneNoteColors() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPTabPosition

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

RotateImageOnVerticalDraw Property

Description

Specifies whether tab images are rotated when the tabs are drawn vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RotateImageOnVerticalDraw() As Boolean

Example

[RotateImageOnVerticalDraw Sample (Visual Basic)] Illustrates how to rotate the tab images when the tabs are drawn vertically.

    CommandBars.TabWorkspace.TabPaintManager.RotateImageOnVerticalDraw = True

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

SelectTabOnDragOver Property

Description

Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectTabOnDragOver() As Integer

Remarks

Set SelectTabOnDragOver to True to select\activate a tab when an object (files, text, etc) is dragged over the tab.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | SetIconSize Method

See Also Command Bars ActiveX Control v19.3

ShowIcons Property

Description

Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowIcons() As Boolean

Remarks

The SetIconSize method can be used to change the size of icons displayed in the tab buttons.

See Also

TabPaintManager Object | SetIconSize Method


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

ShowTabs Property

Description

Gets or sets whether the tabs in the tab workspace are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTabs() As Boolean

Remarks

Gives you the option to hide all the tabs in the tab workspace. If used, tabs must be selected using code.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

StaticFrame Property

Description

Enables/Disables the use of a static frame.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StaticFrame() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration | TabWorkspace ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTipBehaviour Property

Description

The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in the TabWorkspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTipBehaviour() As XTPTabToolTipBehaviour

Remarks

By default, tool tips will only be displayed for tab buttons in the TabWorkspace when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

Example

[ToolTipBehaviour Sample (Visual Basic)] This sample illustrates how to display tool tips for tab buttons in the TabWorkspace regardless of the layout used.

    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutMultiRow
    CommandBars.TabWorkspace.PaintManager.ToolTipBehaviour = xtpTabToolTipAlways

See Also

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration | TabWorkspace ToolTipContext Property


%%PageItemTitle%%

TabPaintManager Object

See Also Command Bars ActiveX Control v19.3

VerticalTextTopToBottom Property

Description

Specifies whether to draw vertical Text Top-to-Bottom or Bottom-to-Top.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalTextTopToBottom() As Boolean

Remarks

Set to True to draw vertical Text Top-to-Bottom, False for Bottom-to-Top.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManagerColorSet Members

See Also Command Bars ActiveX Control v19.3

TabPaintManagerColorSet Object

Description

The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab. The default tab colors for each theme can be changed using the ColorSet property.

For a list of all members defined in this module, see TabPaintManagerColorSet members.

See Also

TabPaintManagerColorSet Members


%%PageItemTitle%% $$Members$$

TabPaintManagerColorSet Overview

See Also Command Bars ActiveX Control v19.3

TabPaintManagerColorSet Object Members

Public Properties

Public Property ActiveFilesBack |
Public Property ActiveFilesBackHighlighted |
Public Property ActiveFilesBackPressed |
Public Property ActiveFilesGlyph |
Public Property ActiveFilesGlyphHighlighted |
Public Property ActiveFilesGlyphPressed |
Public Property BorderHighlight | Color of the tab button border on mouse over when hot tracking is enabled.
Public Property ButtonBorder |
Public Property ButtonBorderHot |
Public Property ButtonHighlighted | Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.
Public Property ButtonNormal | Color of normal tabs. Normal tabs are tabs that are not selected or disabled.
Public Property ButtonSelected | Color of the currently selected tab.
Public Property ControlFace | Color of the control foreground. This is the area that the tab header and tab client are drawn on.
Public Property DisabledText | Color of text when a tab is disabled.
Public Property FrameBorder | Color of border placed around the tab buttons and tab client.
Public Property HeaderFaceDark | Dark face color of the tab header background.
Public Property HeaderFaceLight | Light face color of the tab header background.
Public Property HighlightCloseText |
Public Property HighlightedCloseButton |
Public Property HighlightText | Color of text on mouse over when hot tracking is enabled.
Public Property NormalText | Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.
Public Property PaneFace | Color of the tab's pane.
Public Property PressedButton |
Public Property PressedText |
Public Property SelectedHighlightedButton |
Public Property SelectedHighlightedText |
Public Property SelectedPressedButton |
Public Property SelectedPressedText |
Public Property SelectedText | Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.
Public Property TabExcelNormalLeftInnerBorder | Color of the left inner border of a normal Excel style tab button.
Public Property TabExcelNormalLeftOuterBorder | Color of the left outer border of a normal Excel style tab button.
Public Property TabExcelNormalRightInnerBorder | Color of the right inner border of a normal Excel style tab button.
Public Property TabExcelNormalRightOuterBorder | Color of the right outer border of a normal Excel style tab button.
Public Property TabExcelNormalTopInnerBorder | Color of the top inner border of a normal Excel style tab button.
Public Property TabExcelNormalTopOuterBorder | Color of the top outer border of a normal Excel style tab button.
Public Property TabExcelSelectedLeftInnerBorder | Color of the left inner border of a selected Excel style tab button.
Public Property TabExcelSelectedLeftOuterBorder | Color of the left outer border of a selected Excel style tab button.
Public Property TabExcelSelectedRightInnerBorder | Color of the right inner border of a selected Excel style tab button.
Public Property TabExcelSelectedRightOuterBorder | Color of the right outer border of a selected Excel style tab button.
Public Property TabExcelSelectedTopInnerBorder | Color of the top inner border of a selected Excel style tab button.
Public Property TabExcelSelectedTopOuterBorder | Color of the top outer border of a selected Excel style tab button.
Public Property TabPropertyPage2003BorderLeftHighlight | Color of the left border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003BorderTopHighlight | Color of the top border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003DarkShadow | Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003FrameBorder | Color of the frame border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPageDarkShadow | Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageHighlight | Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageShadow | Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabStateButtonBorderBottomRight | Color of the bottom right border of a State Button style tab button.
Public Property TabStateButtonBorderTopLeft | Color of the top left border of a State Button style tab button.
Public Property TabStateButtonFaceDark | Dark face color of a State Button style tab button.
Public Property TabStateButtonFaceLight | Light face color of a State Button style tab button.

See Also

TabPaintManagerColorSet Overview


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesBack Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBack() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesBackHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesBackPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesGlyph Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyph() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesGlyphHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ActiveFilesGlyphPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

BorderHighlight Property

Description

Color of the tab button border on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderHighlight() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ButtonBorder Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ButtonBorderHot Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorderHot() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ButtonHighlighted Property

Description

Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ButtonNormal Property

Description

Color of normal tabs. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonNormal() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ButtonSelected Property

Description

Color of the currently selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonSelected() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

ControlFace Property

Description

Color of the control foreground. This is the area that the tab header and tab client are drawn on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

DisabledText Property

Description

Color of text when a tab is disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisabledText() As ULong

Remarks

A disabled tab cannot receive focus.

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

FrameBorder Property

Description

Color of border placed around the tab buttons and tab client.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FrameBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceLight Property

See Also Command Bars ActiveX Control v19.3

HeaderFaceDark Property

Description

Dark face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceDark() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceDark is the dark color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceDark Property

See Also Command Bars ActiveX Control v19.3

HeaderFaceLight Property

Description

Light face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceLight() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceLight is the light color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceDark Property


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

HighlightCloseText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightCloseText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

HighlightedCloseButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightedCloseButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

HighlightText Property

Description

Color of text on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

NormalText Property

Description

Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

PaneFace Property

Description

Color of the tab's pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PaneFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

PressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

PressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

SelectedHighlightedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

SelectedHighlightedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

SelectedPressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

SelectedPressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

SelectedText Property

Description

Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalLeftInnerBorder Property

Description

Color of the left inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftInnerBorder() As ULong

Remarks

TabExcelNormalLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalLeftOuterBorder Property

Description

Color of the left outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftOuterBorder() As ULong

Remarks

TabExcelNormalLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalRightInnerBorder Property

Description

Color of the right inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightInnerBorder() As ULong

Remarks

TabExcelNormalRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalRightOuterBorder Property

Description

Color of the right outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightOuterBorder() As ULong

Remarks

TabExcelNormalRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalTopInnerBorder Property

Description

Color of the top inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopInnerBorder() As ULong

Remarks

TabExcelNormalTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelNormalTopOuterBorder Property

Description

Color of the top outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopOuterBorder() As ULong

Remarks

TabExcelNormalTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedLeftInnerBorder Property

Description

Color of the left inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftInnerBorder() As ULong

Remarks

TabExcelSelectedLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedLeftOuterBorder Property

Description

Color of the left outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftOuterBorder() As ULong

Remarks

TabExcelSelectedLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedRightInnerBorder Property

Description

Color of the right inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightInnerBorder() As ULong

Remarks

TabExcelSelectedRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedRightOuterBorder Property

Description

Color of the right outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightOuterBorder() As ULong

Remarks

TabExcelSelectedRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedTopInnerBorder Property

Description

Color of the top inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopInnerBorder() As ULong

Remarks

TabExcelSelectedTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property

See Also Command Bars ActiveX Control v19.3

TabExcelSelectedTopOuterBorder Property

Description

Color of the top outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopOuterBorder() As ULong

Remarks

TabExcelSelectedTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPage2003BorderLeftHighlight Property

Description

Color of the left border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderLeftHighlight() As ULong

Remarks

TabPropertyPage2003BorderLeftHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderLeftHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPage2003BorderTopHighlight Property

Description

Color of the top border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderTopHighlight() As ULong

Remarks

TabPropertyPage2003BorderTopHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderTopHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPage2003DarkShadow Property

Description

Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003DarkShadow() As ULong

Remarks

The dark shadow is the shadow of the tab button.

TabPropertyPage2003DarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003DarkShadow when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPage2003FrameBorder Property

Description

Color of the frame border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003FrameBorder() As ULong

Remarks

The frame border refers to the tab client frame.

TabPropertyPage2003FrameBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003FrameBorder when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPageDarkShadow Property

Description

Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageDarkShadow() As ULong

Remarks

TabPropertyPageDarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageDarkShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPageHighlight Property

Description

Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageHighlight() As ULong

Remarks

TabPropertyPageHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageHighlight when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property

See Also Command Bars ActiveX Control v19.3

TabPropertyPageShadow Property

Description

Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageShadow() As ULong

Remarks

TabPropertyPageShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Command Bars ActiveX Control v19.3

TabStateButtonBorderBottomRight Property

Description

Color of the bottom right border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderBottomRight() As ULong

Remarks

TabStateButtonBorderBottomRight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderBottomRight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Command Bars ActiveX Control v19.3

TabStateButtonBorderTopLeft Property

Description

Color of the top left border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderTopLeft() As ULong

Remarks

TabStateButtonBorderTopLeft is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderTopLeft when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property

See Also Command Bars ActiveX Control v19.3

TabStateButtonFaceDark Property

Description

Dark face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceDark() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceDark is the dark color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceDark on top and smoothly transitions to TabStateButtonFaceLight on the bottom of the tab button.

TabStateButtonFaceDark is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceDark when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property

See Also Command Bars ActiveX Control v19.3

TabStateButtonFaceLight Property

Description

Light face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceLight() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceLight is the light color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceLight on top and smoothly transitions to TabStateButtonFaceDark on the bottom of the tab button.

TabStateButtonFaceLight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceLight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property


%%PageItemTitle%%

TabToolBar Members | TabControlItem Object | Category Property | InsertCategory Method | RedrawBar Method | UpdateTabs Method | AllowReorder Property | CategoryCount Property | XTPTabLayoutStyle Enumeration | TabPaintManager Property | RecalcLayout Method | MinimumWidth Property | RemoveCategory Method | CategoryCount Property | AddTabToolBar Method

See Also Command Bars ActiveX Control v19.3

TabToolBar Collection

Description

Represents a Tabbed ToolBar.

For a list of all members defined in this module, see TabToolBar members.

Object Model

Remarks

A Tabbed ToolBar contains all the functionality of Standard ToolBars (CommandBar) however Tabbed toolbars eliminate the need for numerous toolbars to be crowded at the top of your application. Many toolbars, called categories can be "tabbed" together. Switching between toolbar categories is similar to a TabControl, you can now access all of your toolbar categories simply by clicking on its tab. Tabbed toolbars also increases the usable viewing area by organizing the toolbars into a single tab group. You can still use normal toolbars outside of the TabbedToolbar if needed. The TabbedToolbar will dock just like a normal toolbar.

Tabbed toolbars are added using the AddTabToolBar method.

The Tabbed Toolbar consists of one or more categories, each category has it's own tab. Tabs are used to display the corresponding category. Categories can be thought of as separate toolbars. Buttons and other controls can then be added to each category. The InsertCategory method is used to insert a category into a tabbed toolbar. The InsertCategory method returns a TabControlItem, which is the tab used to access the category. In the picture above, "Advanced", "Standard", "Other", and "User Tools" are all categories that were added to a Tabbed ToolBar.

The UpdateTabs method must be called after adding buttons\controls to a category in the tabbed toolbar so the new control can be added to the appropriate Category. When adding buttons\controls, the Category property for the new button\control must be set to the name of a category in the tabbed toolbar. After UpdateTabs is called the buttons will be displayed in the appropriate category.

The appearance, color, and theme of the tabs used in the Tabbed Toolbar can be customized using the TabPaintManager property. Depending on which visual changes that are made, the RedrawBar and RecalcLayout method might be needed to update the tabbed toolbar.

The AllowReorder property is used to specify that the tabs in the tabbed toolbar can be reordered.

The MinimumWidth property specifies the minimum width the Tabbed Toolbar can be regardless of how few items might be in a category.

Methods and Properties unique to the Tabbed Toolbar are:

InsertCategory, UpdateTabs, and RemoveCategory methods

Category, MinimumWidth, TabPaintManager, AllowReorder, and CategoryCount properties.

Example

[Tabbed ToolBar Sample (Visual Basic)] This sample illustrates how to add a Tabbed Toolbar and how to add categories with button to the Tabbed ToolBar.

    Dim Control As CommandBarControl

    'Removes the menu bar and all toolbars
    CommandBars.DeleteAll
    'Re-Add the Menu Bar
    CommandBars.AddMenuBar "Menu"

    'Add a Tabbed ToolBar
    Set TabToolBar = CommandBars.AddTabToolBar("Standard Tabbed Toolbar")

    Dim toolbarTab As TabControlItem

    '************************************
    'Add Categories to the Tabbed ToolBar
    '************************************

    'Add the "Standard" Category
    Set toolbarTab = TabToolBar.InsertCategory(ID_TAB_STANDARD, "Standard")

    'Add the "Advanced" Category
    Set toolbarTab = TabToolBar.InsertCategory(ID_TAB_ADVANCED, "Advanced")

    'Specify the minimum width of the toolbar in pixels
    TabToolBar.MinimumWidth = 400

    'Start adding buttons\controls to the Categories in the Tabbed ToolBar
    With TabToolBar

        'Add buttons to the "Standard" category
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_NEW, "&New Project")
        Control.Category = "Standard"
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_WIZARD, "&New Project Wizard...")
        Control.Category = "Standard"
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_OPEN, "&Open Project")
        Control.Category = "Standard"
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_SAVE, "&Save Project")
        Control.Category = "Standard"
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_SAVE_AS, "Save Project &As...")
        Control.Category = "Standard"

        'Add buttons to the "Advanced" category
        Set Control = .Controls.Add(xtpControlButton, ID_FILE_SAVE_ALL, "Save All")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, 0, "Export Files")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, ID_PROJECT_UPDATE, "Update All")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, ID_PROJECT_BUILD, "&Build")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, 0, "B&uild All")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, ID_PROJECT_CHECK, "&Check")
        Control.Category = "Advanced"
        Set Control = .Controls.Add(xtpControlButton, ID_PROJECT_STOP, "&Stop")
        Control.Category = "Advanced"

    End With

    'Change the appearce of the tab buttons
    TabToolBar.TabPaintManager.Appearance = xtpTabAppearanceFlat

    'Adds all the controls to the appropriate Categories inside the Tabbed Toolbar
    TabToolBar.UpdateTabs

See Also

TabToolBar Members | TabControlItem Object | Category Property | InsertCategory Method | RedrawBar Method | UpdateTabs Method | AllowReorder Property | CategoryCount Property | XTPTabLayoutStyle Enumeration | TabPaintManager Property | RecalcLayout Method | MinimumWidth Property | RemoveCategory Method | CategoryCount Property | AddTabToolBar Method


%%PageItemTitle%% $$Members$$

TabToolBar Overview | TabControlItem Object | Category Property | InsertCategory Method | RedrawBar Method | UpdateTabs Method | AllowReorder Property | CategoryCount Property | XTPTabLayoutStyle Enumeration | TabPaintManager Property | RecalcLayout Method | MinimumWidth Property | RemoveCategory Method | CategoryCount Property | AddTabToolBar Method

See Also Command Bars ActiveX Control v19.3

TabToolBar Collection Members

Public Methods

Public Method Delete | Deletes the Tabbed Toolbar.
Public Method EnableDocking | Enables docking of the Tabbed Toolbar to different edges of the form or it can be "floating".
Public Method FindControl | Finds and returns the specified control within the Tabbed ToolBar's collection of controls.
Public Method GetIconHeight |
Public Method GetIconWidth |
Public Method GetWindowRect | Gets the bounding rectangle of the Tabbed Toolbar. This is the area of the window that the Tabbed ToolBar occupies
Public Method InsertCategory | Inserts a category into the Tabbed Toolbar.
Public Method ModifyStyle | Modifies the style of the Tabbed ToolBar. This allows you to add/remove the "gripper".
Public Method RecalcLayout | Call this method to re-calculate the layout of the Tabbed ToolBar after making a layout change.
Public Method RedrawBar | Call this method to redraw the Tabbed Toolbar after making a change that requires the Tabbed Toolbar to be re-painted.
Public Method RemoveCategory | Removes a category form the Tabbed ToolBar.
Public Method Reset | Resets the controls in the Tabbed ToolBar to their original state.
Public Method SetFlags | Sets the flags of the Tabbed ToolBar. This allows you to add/remove the MDI buttons that are displayed in the toolbar.
Public Method SetIconSize | Sets the size of the icons displayed in the Tabbed ToolBar.
Public Method UpdateTabs | Updates all the categories in the Tabbed Toolbar with any buttons\controls that have been added. Controls will not become visible in the tabs\categories until UpdateTabs is called.

Public Properties

Public Property AllowReorder | Enables/Disables tab reordering within the Tabbed Toolbar.
Public Property BarID | Gets the ID of the Tabbed ToolBar.
Public Property BuiltIn | Gets whether the Tabbed Toolbar is a built-in command bar or a command bar added by the user using the customize dialog.
Public Property Category | Collection of tabs (TabControlItem objects) that correspond to all the categories that have been added to the Tabbed ToolBar.
Public Property CategoryCount | Total number of categories that have been Inserted into the Tabbed ToolBar.
Public Property Closeable | Gets/Sets a Boolean value indicating whether the Tabbed ToolBar is closeable. If false, the Tabbed ToolBar can not be closed or hidden.
Public Property CommandBars | Reference to the parent CommandBars object.
Public Property ContextMenuPresent | Gets / Sets whether a command to hide/show the tabbed toolbar is added to the context menu that is displayed when you right click on any command bar, dialog bar, or tabbed toolbar.
Public Property Controls | Gets the collection of controls in the the Tabbed ToolBar.
Public Property Customizable | Gets/Sets a Boolean value indicating whether the Tabbed ToolBar is customizable.
Public Property CustomizeDialogPresent | Gets\sets whether the tabbed toolbar appears in the Customization Dialog.
Public Property DefaultButtonStyle | Specifies the default style that will be applied to controls added to the toolbar.
Public Property DoubleGripper | The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu.
Public Property EnableAnimation | Specifies whether to use animation effects with this tabbed toolbar.
Public Property hWnd | Returns the handle of the Tabbed Toolbar.
Public Property MinimumWidth | Gets\sets the minimum with of the Tabbed Toolbar.
Public Property Position | Gets/Sets the position of the tabbed toolbar.
Public Property SelectedControl | Gets the currently selected control from the tabbed toolbar.
Public Property ShowExpandButton | Shows or Hides the Expand Button for the tabbed toolbar.
Public Property ShowGripper | Hides\Shows the toolbar gripper.
Public Property ShowTextBelowIcons | Shows the caption of controls added to the toolbar below the control's icon.
Public Property TabPaintManager | Gets the paint manager properties used to draw the tabs in the Tabbed Toolbar.
Public Property Title | Gets/Sets the title of the tabbed toolbar.
Public Property Type | Gets the type of the command bar.
Public Property Visible | Gets/Sets a boolean value indicating whether the tabbed toolbar is visible.
Public Property Width | Gets / Sets the width of the toolbar in pixels when it is floating or displayed as a popup.

Events

Public Event BeforeItemClick | Occurs when a tab button is clicked, but before the click message is processed by the CommandBars.
Public Event SelectedChanged | Occurs when a new TabControlItem is selected in the TabToolBar. I.e. The focus has changed from one tab to another.

See Also

TabToolBar Overview | TabControlItem Object | Category Property | InsertCategory Method | RedrawBar Method | UpdateTabs Method | AllowReorder Property | CategoryCount Property | XTPTabLayoutStyle Enumeration | TabPaintManager Property | RecalcLayout Method | MinimumWidth Property | RemoveCategory Method | CategoryCount Property | AddTabToolBar Method


%%PageItemTitle%%

TabToolBar Collection | DeleteAll Method

See Also Command Bars ActiveX Control v19.3

Delete Method

Description

Deletes the Tabbed Toolbar.

Syntax

Public Sub Delete()

See Also

TabToolBar Collection | DeleteAll Method


%%PageItemTitle%%

TabToolBar Collection

dwFlags
Specifies the edges of the form to which the Tabbed Toolbar can be docked.
See Also Command Bars ActiveX Control v19.3

EnableDocking Method

Description

Enables docking of the Tabbed Toolbar to different edges of the form or it can be "floating".

Syntax

Public Sub EnableDocking( _
   ByVal dwFlags As XTPToolBarFlags _
)

Parameters

dwFlags
Value | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout
Specifies the edges of the form to which the Tabbed Toolbar can be docked.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | Controls Property | XTPControlType Enumeration

Type
Type of control to find (button, popup button, split button, etc). Can be any of the XTPControlType flags.
Id
Id of the control to find.
Visible
True to look for a control that is visible, or False to look for a control that is hidden. Leave blank to search both.
Recursive
True to search recursively through all popup controls. If False, only top level controls will be searched, no controls contained in popups will be searched through.
See Also Command Bars ActiveX Control v19.3

FindControl Method

Description

Finds and returns the specified control within the Tabbed ToolBar's collection of controls.

Syntax

Public Function FindControl( _
   Optional ByVal Type As Variant, _
   Optional ByVal Id As Variant, _
   Optional ByVal Visible As Variant, _
   Optional ByVal Recursive As Variant _
) As CommandBarControl

Parameters

Type
Type of control to find (button, popup button, split button, etc). Can be any of the XTPControlType flags.
Id
Id of the control to find.
Visible
True to look for a control that is visible, or False to look for a control that is hidden. Leave blank to search both.
Recursive
True to search recursively through all popup controls. If False, only top level controls will be searched, no controls contained in popups will be searched through.

Return Type

If successful, returns a reference to the CommandBarControl that was found.

See Also

TabToolBar Collection | Controls Property | XTPControlType Enumeration


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

GetIconHeight Method

Syntax

Public Function GetIconHeight() As Integer

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

GetIconWidth Method

Syntax

Public Function GetIconWidth() As Integer

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

Left
The left point of the window rectangle
Top
The Top point of the window rectangle
Right
The Right point of the window rectangle
Bottom
The Bottom point of the window rectangle
See Also Command Bars ActiveX Control v19.3

GetWindowRect Method

Description

Gets the bounding rectangle of the Tabbed Toolbar. This is the area of the window that the Tabbed ToolBar occupies

Syntax

Public Sub GetWindowRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the window rectangle
Top
The Top point of the window rectangle
Right
The Right point of the window rectangle
Bottom
The Bottom point of the window rectangle

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | Category Property | RemoveCategory Method | UpdateTabs Method

Index
Index\position within the collection of categories to insert the new category.
Category
Name of the category to add. This string will also be used as the tab button caption.
See Also Command Bars ActiveX Control v19.3

InsertCategory Method

Description

Inserts a category into the Tabbed Toolbar.

Syntax

Public Function InsertCategory( _
   ByVal Index As Long, _
   ByVal Category As String _
) As TabControlItem

Parameters

Index
Index\position within the collection of categories to insert the new category.
Category
Name of the category to add. This string will also be used as the tab button caption.

Return Type

Returns a TabControlItem object. This is a reference to the tab button that is used to display the category within the Tabbed ToolBar.

Remarks

The Tabbed Toolbar consists of one or more categories, each category has it's own tab. Tabs are used to display the corresponding category. Categories can be thought of as separate toolbars inside the Tabbed Toolbar. Buttons and other controls can then be added to each category.

The InsertCategory method is used to insert a category into a tabbed toolbar. The InsertCategory method returns a TabControlItem, which is the tab used to access the category.

The UpdateTabs method must be called after adding buttons\controls to a category in the tabbed toolbar so the new control can be added to the appropriate Category.

See Also

TabToolBar Collection | Category Property | RemoveCategory Method | UpdateTabs Method

Example

TabToolBar Sample


%%PageItemTitle%%

TabToolBar Collection

Remove
Removes the specified style.
Add
Adds the specified style.
See Also Command Bars ActiveX Control v19.3

ModifyStyle Method

Description

Modifies the style of the Tabbed ToolBar. This allows you to add/remove the "gripper".

Syntax

Public Sub ModifyStyle( _
   ByVal Remove As XTPCommandBarStyle, _
   ByVal Add As XTPCommandBarStyle _
)

Parameters

Remove
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.
Removes the specified style.
Add
Value | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.
Adds the specified style.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | RedrawBar Method

See Also Command Bars ActiveX Control v19.3

RecalcLayout Method

Description

Call this method to re-calculate the layout of the Tabbed ToolBar after making a layout change.

Syntax

Public Sub RecalcLayout()

Remarks

Call the RecalcLayout method to correctly size the Tabbed ToolBar when the layout has changed. Layout refers to anything that changes the size of the Tabbed ToolBar. For example, a layout change that requires the RecalcLayout method to be called would be changing the caption of a category tab or adding\removing tab icons because the new caption could be smaller or wider.

For visible changes to the Tabbed ToolBar such as changing the tab color of a visible tab button, the RedrawBar method is used.

See Also

TabToolBar Collection | RedrawBar Method


%%PageItemTitle%%

TabToolBar Collection | RecalcLayout Method

See Also Command Bars ActiveX Control v19.3

RedrawBar Method

Description

Call this method to redraw the Tabbed Toolbar after making a change that requires the Tabbed Toolbar to be re-painted.

Syntax

Public Sub RedrawBar()

Remarks

For visible changes to the Tabbed Toolbar such as changing the icon of a visible tab button, the RedrawBar method is used.

For layout changes, such as changing the caption of a visible tab button, the RecalcLayout method is used.

See Also

TabToolBar Collection | RecalcLayout Method


%%PageItemTitle%%

TabToolBar Collection | InsertCategory Method

Index
Index\position of the category to remove within the collection of categories.
See Also Command Bars ActiveX Control v19.3

RemoveCategory Method

Description

Removes a category form the Tabbed ToolBar.

Syntax

Public Sub RemoveCategory( _
   ByVal Index As Long _
)

Parameters

Index
Index\position of the category to remove within the collection of categories.

Remarks

The RemoveCategory method removes the specified category from the Tabbed ToolBar.

InsertCategory will insert categories into the Tabbed ToolBar.

See Also

TabToolBar Collection | InsertCategory Method


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Reset Method

Description

Resets the controls in the Tabbed ToolBar to their original state.

Syntax

Public Sub Reset()

Remarks

This will reset the Tabbed ToolBar to the state it was in when it was originally created. All user customizations will be lost.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

Add
Flags to be Added
Remove
Flags to be removed
See Also Command Bars ActiveX Control v19.3

SetFlags Method

Description

Sets the flags of the Tabbed ToolBar. This allows you to add/remove the MDI buttons that are displayed in the toolbar.

Syntax

Public Sub SetFlags( _
   ByVal Add As XTPMenuBarFlags, _
   ByVal Remove As XTPMenuBarFlags _
)

Parameters

Add
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.
Flags to be Added
Remove
Value | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.
Flags to be removed

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

cx
Width in pixels of the icons displayed in the toolbar.
cy
Height in pixels of the icons displayed in the toolbar.
See Also Command Bars ActiveX Control v19.3

SetIconSize Method

Description

Sets the size of the icons displayed in the Tabbed ToolBar.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width in pixels of the icons displayed in the toolbar.
cy
Height in pixels of the icons displayed in the toolbar.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | InsertCategory Method | Button Control Category Property

See Also Command Bars ActiveX Control v19.3

UpdateTabs Method

Description

Updates all the categories in the Tabbed Toolbar with any buttons\controls that have been added. Controls will not become visible in the tabs\categories until UpdateTabs is called.

Syntax

Public Sub UpdateTabs()

Remarks

The UpdateTabs method must be called after adding buttons\controls to a category in the tabbed toolbar so the new controls can be added to the appropriate Category.

When adding buttons\controls, the Category property for the new button\control must be set to the name of a category in the tabbed toolbar. After UpdateTabs is called the buttons will be displayed in the appropriate category.

See Also

TabToolBar Collection | InsertCategory Method | Button Control Category Property

Example

TabToolBar Sample


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

AllowReorder Property

Description

Enables/Disables tab reordering within the Tabbed Toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowReorder() As Boolean

Remarks

Tabs in a Tabbed ToolBar can be reordered using the mouse cursor and dragging the tab to a new location when AllowReorder is True.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

BarID Property

Description

Gets the ID of the Tabbed ToolBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarID() As Long

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

BuiltIn Property

Description

Gets whether the Tabbed Toolbar is a built-in command bar or a command bar added by the user using the customize dialog.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BuiltIn() As Boolean

Remarks

This will not detect if the user added/deleted/modified controls in the Tabbed Toolbar, it only indicates if it is a user created toolbar.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | InsertCategory Method | RemoveCategory Method | TabControlItem Object

Index
Index of the category in which to return the associated TabControlItem.
See Also Command Bars ActiveX Control v19.3

Category Property

Description

Collection of tabs (TabControlItem objects) that correspond to all the categories that have been added to the Tabbed ToolBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Category( _
   ByVal Index As Long _
) As TabControlItem

Parameters

Index
Index of the category in which to return the associated TabControlItem.

Remarks

The Category collection consists of all the tab buttons that are used to access the categories in the Tabbed Toolbar. The TabControlItem can be used to access the tab's caption, hide the tab, etc...

See Also

TabToolBar Collection | InsertCategory Method | RemoveCategory Method | TabControlItem Object


%%PageItemTitle%%

TabToolBar Collection | InsertCategory Method | RemoveCategory Method | Category Property

See Also Command Bars ActiveX Control v19.3

CategoryCount Property

Description

Total number of categories that have been Inserted into the Tabbed ToolBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CategoryCount() As Long

Remarks

Each category added to a Tabbed ToolBar can be thought of as a separate toolbar that is accessed by clicking on the category's tab button. The InsertCategory method is used to add categories, and the RemoveCategory method is used to remove categories from the Tabbed ToolBar.

See Also

TabToolBar Collection | InsertCategory Method | RemoveCategory Method | Category Property


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Closeable Property

Description

Gets/Sets a Boolean value indicating whether the Tabbed ToolBar is closeable. If false, the Tabbed ToolBar can not be closed or hidden.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closeable() As Boolean

Remarks

Command Bars to allows you to specify whether a specific command bar\Tabbed ToolBar can be closed. If a Tabbed ToolBar is not closeable, you will not be able to close or hide the toolbar. You can use this to make sure that important controls are always displayed.

Note:

If Closeable is FALSE, then the Tabbed ToolBar can not be un-checked in the toolbars page of the customization dialog.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

CommandBars Property

Description

Reference to the parent CommandBars object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CommandBars() As CommandBars

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

ContextMenuPresent Property

Description

Gets / Sets whether a command to hide/show the tabbed toolbar is added to the context menu that is displayed when you right click on any command bar, dialog bar, or tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContextMenuPresent() As Boolean

Remarks

By default, all command bars and Tabbed ToolBars are added to the context menu.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | Button Category Property

See Also Command Bars ActiveX Control v19.3

Controls Property

Description

Gets the collection of controls in the the Tabbed ToolBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Controls() As CommandBarControls

Remarks

The Controls collection contains all the controls that have been added to the categories in the tabbed toolbar. The Category property of the controls can be used to determine which category in the tabbed toolbar the control belongs to.

See Also

TabToolBar Collection | Button Category Property

Example

Adding Controls to a TabToolBar


%%PageItemTitle%%

TabToolBar Collection | EnableCustomization Method

See Also Command Bars ActiveX Control v19.3

Customizable Property

Description

Gets/Sets a Boolean value indicating whether the Tabbed ToolBar is customizable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Customizable() As Boolean

Remarks

The EnableCustomization method is used to enable customization is all command bars and Tabbed Toolbars.

The Customizable property is used to disable customization for individual command bars and Tabbed ToolBars.

See Also

TabToolBar Collection | EnableCustomization Method


%%PageItemTitle%%

TabToolBar Collection | EnableCustomization Method | Customizable Property

See Also Command Bars ActiveX Control v19.3

CustomizeDialogPresent Property

Description

Gets\sets whether the tabbed toolbar appears in the Customization Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomizeDialogPresent() As Boolean

Remarks

By default, CustomizeDialogPresent is True.

Set CustomizeDialogPresent to False to hide the toolbar's name inside the Customization Dialog so that the user can not hide\unhide it when customizing the command bars.

See Also

TabToolBar Collection | EnableCustomization Method | Customizable Property


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

DefaultButtonStyle Property

Description

Specifies the default style that will be applied to controls added to the toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButtonStyle() As XTPButtonStyle

Remarks

DefaultButtonStyle accepts a flag from the XTPButtonStyle enumeration that will specify the style that will be applied to all controls added to the toolbar.

After a control is added you can override this style by setting the style of the individual control.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

DoubleGripper Property

Description

The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DoubleGripper() As Boolean

Remarks

The DoubleGripper property is used specify whether menu items that are "checked" will have both a check mark and an image next to them in the popup menu. By default, if a menu item has an image and is "checked", then the image of the item will appear highlighted to indicate that it is checked. When using the Double Gripper, both a check mark and the image are displayed side-by-side.

Popup Menu using a double gripper. Notice when a menu item is checked, both a check mark and the image are drawn. | Normal Popup Menu. Notice when a menu item is checked, the image of the item becomes highlighted to indicate the item is checked.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | Paintmanager EnableAnimation Property

See Also Command Bars ActiveX Control v19.3

EnableAnimation Property

Description

Specifies whether to use animation effects with this tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

Command bar animation effects include checking and un-checking items, roll over effects of items, and displaying popup menus. EnableAnimation effects all of the before mentioned animation effects for this tabbed toolbar only.

To disable animation in all command bars use the Paintmanager EnableAnimation property.

See Also

TabToolBar Collection | Paintmanager EnableAnimation Property


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Returns the handle of the Tabbed Toolbar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

MinimumWidth Property

Description

Gets\sets the minimum with of the Tabbed Toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumWidth() As Integer

Remarks

The width of a Tabbed Toolbar will change when switching between categories. The Tabbed Toolbar will resize itself to the size of the currently displayed category. MinimumWidth specifies the minimum width the Tabbed Toolbar can be regardless of how few items might be in a category.

See Also

TabToolBar Collection

Example

TabToolBar Sample


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPBarPosition

Remarks

The flags of the XTPBarPosition indicate which side, if any, the toolbar is currently docked.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | ControlRButtonUp Event | CommandBarKeyDown Event

See Also Command Bars ActiveX Control v19.3

SelectedControl Property

Description

Gets the currently selected control from the tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedControl() As CommandBarControl

Remarks

The SelectedControl property will only contain a reference to a control while a control is selected. A control is selected when it has focus. For example, then the mouse pointer is positioned over a control or the menu is navigated with the Arrow keys.

The SelectedControl property is intended to be used with the CommandBarKeyDown event. This property allows you to determine which control has focus when a key is pressed. See the CommandBarKeyDown description for an example.

See Also

TabToolBar Collection | ControlRButtonUp Event | CommandBarKeyDown Event


%%PageItemTitle%%

TabToolBar Collection | ShowExpandButtonAlways Property

See Also Command Bars ActiveX Control v19.3

ShowExpandButton Property

Description

Shows or Hides the Expand Button for the tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButton() As Boolean

Remarks

ShowExpandButton shows or hides the Expand Button for individual Toolbars. To hide the Expand Button for all Command Bars and toolbars, use the ShowExpandButtonAlways property.

See Also

TabToolBar Collection | ShowExpandButtonAlways Property


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

ShowGripper Property

Description

Hides\Shows the toolbar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGripper() As Boolean

Remarks

By default, a toolbar will display a gripper that is used to indicate that the toolbar can be "gripped" and moved by the user. The gripper is cosmetic only, removing the gripper will not disable movement of the toolbar. ShowGripper can also be used to determine if the gripper is currently visible.

The ModifyStyle method can also be used to show\hide the gripper using the XTP_CBRS_GRIPPER flag.

Note:

To modify where the toolbar can be docked, you need to use the EnableDocking to specify where a toolbar can be docked.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

ShowTextBelowIcons Property

Description

Shows the caption of controls added to the toolbar below the control's icon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTextBelowIcons() As Boolean

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | TabControlItem Object | TabManagerMargin Object | TabPaintManagerColorSet Object

See Also Command Bars ActiveX Control v19.3

TabPaintManager Property

Description

Gets the paint manager properties used to draw the tabs in the Tabbed Toolbar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabPaintManager() As TabPaintManager

See Also

TabToolBar Collection | TabControlItem Object | TabManagerMargin Object | TabPaintManagerColorSet Object

Example

TabToolBar Sample


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Title Property

Description

Gets/Sets the title of the tabbed toolbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

Remarks

The tile of a toolbar is used to identify the toolbar in the customization dialog and context menu.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Type Property

Description

Gets the type of the command bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As XTPBarType

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Visible Property

Description

Gets/Sets a boolean value indicating whether the tabbed toolbar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

If False, the tabbed toolbar and all included categories will be hidden.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection

See Also Command Bars ActiveX Control v19.3

Width Property

Description

Gets / Sets the width of the toolbar in pixels when it is floating or displayed as a popup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

When a Tabbed Toolbar is floating, the Width specifies how many pixels wide that icons can be displayed. If there are too many icons to display within the specified width, then a new row is added to the bottom until all icons are visible.

See Also

TabToolBar Collection


%%PageItemTitle%%

TabToolBar Collection | SelectedChanged Event

Item
Reference to the TabControlItem that was clicked.
Cancel
Set to True to cancel the click operation.
See Also Command Bars ActiveX Control v19.3

BeforeItemClick Event

Description

Occurs when a tab button is clicked, but before the click message is processed by the CommandBars.

Syntax

Public Event BeforeItemClick( _
   ByVal Item As TabControlItem, _
   ByRef Cancel As Variant _
)

Parameters

Item
Reference to the TabControlItem that was clicked.
Cancel
Set to True to cancel the click operation.

Remarks

The BeforeItemClick event occurs when a tab button is clicked, but before the click message is processed by the CommandBars. This will notify you when a tab button is clicked as well as give you the opportunity to cancel the click.

See Also

TabToolBar Collection | SelectedChanged Event


%%PageItemTitle%%

TabToolBar Collection | BeforeItemClick Event

Item
The TabControlItem that is selected.
See Also Command Bars ActiveX Control v19.3

SelectedChanged Event

Description

Occurs when a new TabControlItem is selected in the TabToolBar. I.e. The focus has changed from one tab to another.

Syntax

Public Event SelectedChanged( _
   ByVal Item As TabControlItem _
)

Parameters

Item
The TabControlItem that is selected.

Remarks

The SelectedChanged event occurs when the tab selection has changed in the TabToolBar. If a tab that is currently selected is clicked, then the SelectedChanged will not occur.

See Also

TabToolBar Collection | BeforeItemClick Event


%%PageItemTitle%%

TabWorkspace Members

See Also Command Bars ActiveX Control v19.3

TabWorkspace Collection

Description

Represents a TabWorkspace

For a list of all members defined in this module, see TabWorkspace members.

Object Model

See Also

TabWorkspace Members


%%PageItemTitle%% $$Members$$

TabWorkspace Overview

See Also Command Bars ActiveX Control v19.3

TabWorkspace Collection Members

Public Methods

Public Method CreateGroup | Creates a new Horizontal or Vertical tab group in the TabWorkspace.
Public Method DoWorkspaceCommand | Performs the specified TabWorkspace Command. This will allow you to perform TabWorkspace grouping via code. I.e. Creating a new tab group or moving tabs between tab groups
Public Method EnableGroups | Enables workspace grouping.
Public Method FindGroup | Finds the tab group that a specified TabControlItem is located in.
Public Method FindItem | Finds a TabControlItem by searching by the attached object's Handle.
Public Method HitTest | Returns the TabControlItem that the user clicked.
Public Method IsWorkspaceCommandEnabled | Determines if TabWorkspace grouping is enabled
Public Method Item | Gets a TabControlItem.
Public Method MoveToGroup | Moves an item from one tab group to another tab group.
Public Method Refresh | Refreshes the TabWorkspace.
Public Method ShowNewWindowTab | Adds an Internet Explorer 7 style new window tab button.

Public Properties

Public Property AllowReorder | Enables/Disables tab reordering. When True, the tabs can be reordered.
Public Property AutoTheme | Enables/Disables auto themes.
Public Property AutoUpdateTabCaption | Specifies whether tab captions are updated automatically.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of tab buttons in this control.
Public Property Flags | Gets/Sets the flags of the TabWorkspace. The flags allow you to show/hide the tab workspace buttons.
Public Property GroupCount | Returns the total number of tab groups in the TabWorkspace.
Public Property GroupSplitter | Gets\sets the width\height of a group in the TabWorkspace.
Public Property HorizGroupSplitting | Indicates whether the tab groups in the TabWorkspace are split horizontally or vertically.
Public Property hWnd | Gets the handle to the tab workspace.
Public Property IgnoreFlickersOnActivate | Reduces the "flicker" that occurs when a MDI Child caption becomes active.
Public Property ItemCount | Gets the number of TabControlItems in the TabWorkspace.
Public Property NewTabPosition | Gets\sets where new tabs are to be positioned when they are added to the tab workspace. Tabs can always be added to the far right, left, or after the currently active tab.
Public Property PaintManager | Gets the PaintManager properties.
Public Property RightToLeft | Gets or sets a value indicating whether the TabWorkspace elements are aligned to support locales using right-to-left fonts.
Public Property Selected | Gets the currently selected tab control.
Public Property ThemedBackColor | Gets/Sets a Boolean value indicating whether a themed backcolor will be used. If true, then the backcolor of the MDIClient is calculated from current theme, if false the Form::BackColor property will be used
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UseSplitterTracker | The UseSplitterTracker property is used to specify whether a splitter tracker is used when resizing tab groups in the TabWorkspace.

Events

Public Event BeforeItemClick | Triggered when the user clicks on a TabControlItem of the TabWorkspace.
Public Event NewItem | Triggered when a new item was added to the TabWorkspace.
Public Event RClick | Triggered when the user right-clicks on a TabControlItem of the TabWorkspace.
Public Event SelectedChanged | The SelectedChanged event occurs when a tab in the TabWorkspace is selected.

See Also

TabWorkspace Overview


%%PageItemTitle%%

TabWorkspace Collection

Item
TabControlItem to place in new tab group.
Horiz

True to create a Horizontal tab group.

False to create a Vertical tab group.

See Also Command Bars ActiveX Control v19.3

CreateGroup Method

Description

Creates a new Horizontal or Vertical tab group in the TabWorkspace.

Syntax

Public Sub CreateGroup( _
   ByVal Item As TabControlItem, _
   ByVal Horiz As Boolean _
)

Parameters

Item
TabControlItem to place in new tab group.
Horiz

True to create a Horizontal tab group.

False to create a Vertical tab group.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Id
See Also Command Bars ActiveX Control v19.3

DoWorkspaceCommand Method

Description

Performs the specified TabWorkspace Command. This will allow you to perform TabWorkspace grouping via code. I.e. Creating a new tab group or moving tabs between tab groups

Syntax

Public Sub DoWorkspaceCommand( _
   ByVal Id As XTPWorkspaceCommand _
)

Parameters

Id
Value | Description
XTP_ID_WORKSPACE_MOVEPREVIOUS | Used to move a TabControlItem to the next tab group.
XTP_ID_WORKSPACE_MOVENEXT | Used to move a TabControlItem to the previous tab group.
XTP_ID_WORKSPACE_NEWHORIZONTAL | Used to create a new horizontal tab group.
XTP_ID_WORKSPACE_NEWVERTICAL | Used to create a new vertical tab group.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

EnableGroups Method

Description

Enables workspace grouping.

Syntax

Public Sub EnableGroups()

Remarks

By default, EnableGroups is disabled. When EnableGroups is enabled, the workspace behaves similar to docking panes. The user can create multiple vertical or horizontal groupings of TabControlItems by dragging the tabs within the TabWorkspace. To create a new grouping, click on a tab and drag it onto a document, when you let go of the mouse a menu is displayed asking if a new grouping should be created.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | MoveToGroup Method | GroupCount Property | ItemCount Property

pItem
Reference to the TabControlItem to search for.
See Also Command Bars ActiveX Control v19.3

FindGroup Method

Description

Finds the tab group that a specified TabControlItem is located in.

Syntax

Public Function FindGroup( _
   ByVal pItem As TabControlItem _
) As Long

Parameters

pItem
Reference to the TabControlItem to search for.

Return Type

Returns an integer indicating the tab group the tab belongs to.

See Also

TabWorkspace Collection | MoveToGroup Method | GroupCount Property | ItemCount Property


%%PageItemTitle%%

TabWorkspace Collection

hWnd
Handle to an object that is attached to a TabControlItem.
See Also Command Bars ActiveX Control v19.3

FindItem Method

Description

Finds a TabControlItem by searching by the attached object's Handle.

Syntax

Public Function FindItem( _
   ByVal hWnd As Integer _
) As TabControlItem

Parameters

hWnd
Handle to an object that is attached to a TabControlItem.

Return Type

Returns a reference to the TabControlItem that contains the object with the Handle specified by the hWnd parameter.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

x
x coordinate of mouse.
y
y coordinate of mouse.
See Also Command Bars ActiveX Control v19.3

HitTest Method

Description

Returns the TabControlItem that the user clicked.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As TabControlItem

Parameters

x
x coordinate of mouse.
y
y coordinate of mouse.

Return Type

The TabControlItem clicked on.

Remarks

Can be used to determine if the user actually Right-Clicked on a TabControlItem when the RClick event is triggered. The RClick event is triggered is the user right-clicks anywhere on the TabWorkspace. Returns the TabControlItem at a specific x and y coordinate if one exists. This can be helpful when determining where the user clicked in the tab workspace.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Id
See Also Command Bars ActiveX Control v19.3

IsWorkspaceCommandEnabled Method

Description

Determines if TabWorkspace grouping is enabled

Syntax

Public Function IsWorkspaceCommandEnabled( _
   ByVal Id As XTPWorkspaceCommand _
) As Boolean

Parameters

Id
Value | Description
XTP_ID_WORKSPACE_MOVEPREVIOUS | Used to move a TabControlItem to the next tab group.
XTP_ID_WORKSPACE_MOVENEXT | Used to move a TabControlItem to the previous tab group.
XTP_ID_WORKSPACE_NEWHORIZONTAL | Used to create a new horizontal tab group.
XTP_ID_WORKSPACE_NEWVERTICAL | Used to create a new vertical tab group.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Index
The index of a TabControlItem in the TabWorkspace.
See Also Command Bars ActiveX Control v19.3

Item Method

Description

Gets a TabControlItem.

Syntax

Public Function Item( _
   ByVal Index As Long _
) As TabControlItem

Parameters

Index
The index of a TabControlItem in the TabWorkspace.

Return Type

The TabControlItem at the specified index.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | FindGroup Method | GroupCount Property | ItemCount Property

Item
TabControlItem to move.
Group
Group number to move the item to.
See Also Command Bars ActiveX Control v19.3

MoveToGroup Method

Description

Moves an item from one tab group to another tab group.

Syntax

Public Sub MoveToGroup( _
   ByVal Item As TabControlItem, _
   ByVal Group As Integer _
)

Parameters

Item
TabControlItem to move.
Group
Group number to move the item to.

See Also

TabWorkspace Collection | FindGroup Method | GroupCount Property | ItemCount Property


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

Refresh Method

Description

Refreshes the TabWorkspace.

Syntax

Public Sub Refresh()

Remarks

Needs to be called when the status or appearance of a control needs to be updated.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Show
True to show the tab button.
Command
Command to execute when the tab button is pressed.
See Also Command Bars ActiveX Control v19.3

ShowNewWindowTab Method

Description

Adds an Internet Explorer 7 style new window tab button.

Syntax

Public Sub ShowNewWindowTab( _
   ByVal Show As Boolean, _
   ByVal Command As Long _
)

Parameters

Show
True to show the tab button.
Command
Command to execute when the tab button is pressed.

Remarks

Adds an Internet Explorer 7 style new window tab button to the end of the tab buttons in the tab workspace.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

AllowReorder Property

Description

Enables/Disables tab reordering. When True, the tabs can be reordered.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowReorder() As Boolean

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

AutoTheme Property

Description

Enables/Disables auto themes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoTheme() As Boolean

Remarks

By default, AutoTheme = True. When AutoTheme = True, the theme of the TabWorkspace will change when the theme of the CommandBars control is changed. Set AutoTheme = False to keep the currently set theme even if the CommandBars theme is changed.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

AutoUpdateTabCaption Property

Description

Specifies whether tab captions are updated automatically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoUpdateTabCaption() As Boolean

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of tab buttons in this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of tab buttons in this control, then the Caption of the tab buttons will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | XTPWorkspaceButtons Enumeration

See Also Command Bars ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags of the TabWorkspace. The flags allow you to show/hide the tab workspace buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As XTPWorkspaceButtons

See Also

TabWorkspace Collection | XTPWorkspaceButtons Enumeration


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

GroupCount Property

Description

Returns the total number of tab groups in the TabWorkspace.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupCount() As Long

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | GroupCount Property | HorizGroupSplitting Property

Group
Index of a Group in the TabWorkspace. Index starts at 0 (zero) and increment by 1 for each additional group up to the total GroupCount.
See Also Command Bars ActiveX Control v19.3

GroupSplitter Property

Description

Gets\sets the width\height of a group in the TabWorkspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupSplitter( _
   ByVal Group As Long _
) As Double

Parameters

Group
Index of a Group in the TabWorkspace. Index starts at 0 (zero) and increment by 1 for each additional group up to the total GroupCount.

Remarks

There must be at least 2 or more groups to use the GroupSplitter property, the GroupCount property should be used to determine the group count prior to using GroupSplitter.

The height or width of a group can be changed by setting the GroupSplitter property to the desired width or height in pixels.

Example

[GroupSplitter Sample (Visual Basic)] This sample illlustrates how to find a group and retieve the width or height of a group in the TabWorkspace.

Debug.Print CommandBars.TabWorkspace.GroupSplitter(Workspace.FindGroup(Workspace.Item(0))) & " " & Workspace.Item(0).Caption

See Also

TabWorkspace Collection | GroupCount Property | HorizGroupSplitting Property


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

HorizGroupSplitting Property

Description

Indicates whether the tab groups in the TabWorkspace are split horizontally or vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizGroupSplitting() As Boolean

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

hWnd Property

Description

Gets the handle to the tab workspace.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

IgnoreFlickersOnActivate Property

Description

Reduces the "flicker" that occurs when a MDI Child caption becomes active.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IgnoreFlickersOnActivate() As Boolean

Remarks

Caption "Flickers" sometimes appear when a MDI Child becomes active. This usually happens in a MDI application were child items are maximized and not in groups. And the application must be using the Windows XP "Blue" theme.

To reduce the "flickers" set IgnoreFlickersOnActivate to False. Now CodeJock routies will be used to draw windows, this will remove the flickers, but in some special cases there can be some drawing problems appear. If problems occur, then you will need to set this to True.

Setting IgnoreFlickersOnActivate to True will the standard windows behaviour to draw, but flickers will appear.

By default, IgnoreFlickersOnActivate is False.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

ItemCount Property

Description

Gets the number of TabControlItems in the TabWorkspace.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ItemCount() As Long

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | XTPWorkspaceNewTabPosition Enumeration

See Also Command Bars ActiveX Control v19.3

NewTabPosition Property

Description

Gets\sets where new tabs are to be positioned when they are added to the tab workspace. Tabs can always be added to the far right, left, or after the currently active tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NewTabPosition() As XTPWorkspaceNewTabPosition

Remarks

The NewTabPosition property used the XTPWorkspaceNewTabPosition enumeration to specify where tabs are inserted in the tab workspace when a new tab is added.

Tabs can always be added to the far right, left, or after the currently active tab.

See Also

TabWorkspace Collection | XTPWorkspaceNewTabPosition Enumeration


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

PaintManager Property

Description

Gets the PaintManager properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As TabPaintManager

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the TabWorkspace elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the TabeWorkspace (Tab Order, Tab Location, Tab Navigation Buttons), including tab client components (Horizontal ScrollBars, Text reading alignment, etc) are displayed from right to left.

IMPORTANT: If you enable tab grouping, RightToLeft must be set after EnableGroups is called.

Example

[TabWorkspace RTL mode (Visual Basic)] This sample illustrates how to enable RTL mode for the CommandBars and TabWorkspace. Notice that RTL mode for the TabWorkspace must be enabled after enabling groups. Note you do not have to enable tab grouping.

    'Set the CommandBars to RTL mode
    CommandBars.RightToLeft = False

    'Show TabWorkspace
    CommandBars.ShowTabWorkspace(True)
    'Enable Tab Grouping
    CommandBars.TabWorkspace.EnableGroups
    'Set RTL mode for the TabWorkspace
    CommandBars.TabWorkspace.RightToLeft = True

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

Selected Property

Description

Gets the currently selected tab control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As TabControlItem

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

ThemedBackColor Property

Description

Gets/Sets a Boolean value indicating whether a themed backcolor will be used. If true, then the backcolor of the MDIClient is calculated from current theme, if false the Form::BackColor property will be used

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedBackColor() As Boolean

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for tab button tool tips.

See the ToolTipContext object for a complete list of methods and properties.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

See Also Command Bars ActiveX Control v19.3

UseSplitterTracker Property

Description

The UseSplitterTracker property is used to specify whether a splitter tracker is used when resizing tab groups in the TabWorkspace.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSplitterTracker() As Boolean

Remarks

When UseSplitterTracker is true, the SplitterTracker will be used when resizing tab groups in the TabWorkspace. When UseSplitterTracker is false the tab groups will be resized in "real-time."

To use tab groups in the TabWorkspace tab groups must be enabled using the EnableGroups method.

Example

[UseSplitterTracker Sample (Visual Basic)] This sample illustrates how to use a splitter stacker when resizing tab groups in the TabWorkspace.

    CommandBars.TabWorkspace.UseSplitterTracker = True

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection | SelectedChanged Event

Item
The TabControlItem that was clicked.
See Also Command Bars ActiveX Control v19.3

BeforeItemClick Event

Description

Triggered when the user clicks on a TabControlItem of the TabWorkspace.

Syntax

Public Event BeforeItemClick( _
   ByVal Item As TabControlItem _
)

Parameters

Item
The TabControlItem that was clicked.

Remarks

This event is triggered when the user clicks on a TabControlItem in the TabWorkspace. This is the first thing that happens after the item is clicked and occurs before the SelectedChanged event. This can be thought of as an "Activate" event when the tab become "Activated".

See Also

TabWorkspace Collection | SelectedChanged Event


%%PageItemTitle%%

TabWorkspace Collection

Item
TabControlItem that was added to the TabWorkspace.
See Also Command Bars ActiveX Control v19.3

NewItem Event

Description

Triggered when a new item was added to the TabWorkspace.

Syntax

Public Event NewItem( _
   ByVal Item As TabControlItem _
)

Parameters

Item
TabControlItem that was added to the TabWorkspace.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Item
The TabControlItem that was right-clicked.
See Also Command Bars ActiveX Control v19.3

RClick Event

Description

Triggered when the user right-clicks on a TabControlItem of the TabWorkspace.

Syntax

Public Event RClick( _
   ByVal Item As TabControlItem _
)

Parameters

Item
The TabControlItem that was right-clicked.

Remarks

This event is triggered when the user right-clicks anywhere on the TabWorkspace.

See Also

TabWorkspace Collection


%%PageItemTitle%%

TabWorkspace Collection

Item
Reference to the currently selected TabControlItem.
See Also Command Bars ActiveX Control v19.3

SelectedChanged Event

Description

The SelectedChanged event occurs when a tab in the TabWorkspace is selected.

Syntax

Public Event SelectedChanged( _
   ByVal Item As TabControlItem _
)

Parameters

Item
Reference to the currently selected TabControlItem.

Remarks

The SelectedChanged event occurs when the tab selection has changed in the TabWorkspace. If a tab that is currently selected is clicked, then the SelectedChanged will not occur.

Example

[Detecting when the Tab Selection has Changed (Visual Basic)] This sample illustrates how to use the SelectedChanged event to determine when a tab is selected in the TabWorkspace.

    Private Sub Workspace_SelectedChanged(ByVal Item As XtremeCommandBars.ITabControlItem)
        Debug.Print "Currently Selected Tab: " & Item.Caption
    End Sub

See Also

TabWorkspace Collection


%%PageItemTitle%%

ToolTipContext Members | XTPToolTipStyle Enumeration | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | ToolBarScreenTips Property | CommandBars ToolTipContext Property | TabWorkspace ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | XTPToolTipStyle Enumeration | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | ToolBarScreenTips Property | CommandBars ToolTipContext Property | TabWorkspace ToolTipContext Property


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | XTPToolTipStyle Enumeration | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | ToolBarScreenTips Property | CommandBars ToolTipContext Property | TabWorkspace ToolTipContext Property

See Also Command Bars ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Specifies whether to display images in the tooltip window.
Public Method ShowTitleAndDescription | The ShowTitleAndDescription method specifies whether to show the Caption and DescriptionText of the CommandBar Control in the tool tip window.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | XTPToolTipStyle Enumeration | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | ToolBarScreenTips Property | CommandBars ToolTipContext Property | TabWorkspace ToolTipContext Property


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Command Bars ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

Example

[How to Detemine if Balloon Tool Tips are Supported (Visual Basic)] This sample illustrates how to determine if Balloon tool tips are supported.

    If Not CommandBars.ToolTipContext.IsBalloonStyleSupported Then
        'Requires Internet Explorer 5.0 or Above
        CommandBars.ToolTipContext.ShowTitleAndDescription False, xtpToolTipIconNone
        CommandBars.ToolTipContext.Style = xtpToolTipStandard
    Else
        CommandBars.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo
        CommandBars.ToolTipContext.Style = xtpToolTipBalloon
    End If

[How to Detemine if Balloon Tool Tips are Supported (C#)] This sample illustrates how to determine if Balloon tool tips are supported.

    if (!CommandBars.ToolTipContext.IsBalloonStyleSupported())
    {
        //Requires Internet Explorer 5.0 or Above
        CommandBars.ToolTipContext.ShowTitleAndDescription(false, XtremeCommandBars.XTPToolTipIcon.xtpToolTipIconNone);
        CommandBars.ToolTipContext.Style = XtremeCommandBars.XTPToolTipStyle.xtpToolTipStandard;
    }
    else
    {
        CommandBars.ToolTipContext.ShowTitleAndDescription(true, XtremeCommandBars.XTPToolTipIcon.xtpToolTipIconInfo);
        CommandBars.ToolTipContext.Style = XtremeCommandBars.XTPToolTipStyle.xtpToolTipBalloon;
    }

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Command Bars ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Command Bars ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a commandbar control id to specify a large image. Set to 0 to display only standard button icons associated with the control.
See Also Command Bars ActiveX Control v19.3

ShowImage Method

Description

Specifies whether to display images in the tooltip window.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a commandbar control id to specify a large image. Set to 0 to display only standard button icons associated with the control.

Remarks

To add an image to a tooltip as seen in Office 2007 style tooltip, which is usually a large image that is a shrunken screen shot of the dialog\function a menu item or button performs, you would simply add another image to the imagemanager that has the same id as the button\menu item plus the ImageBase value. When the ShowImage parameter is True and the ImageBase is greater than 0 then it will automatically add the ImageBase to all control ids when displaying the picture in the tooltips.

The diagram below illustrates how to display an image in the tooltip for a button control. The ImageBase is set to a value of 1000, you can choose any positive non zero number for this. Note that there are 2 images in the ImageManager control, one for the button control, which has an Id of 106 and the second is for the tooltip which has an Id of ImageBase + Control Id. Note, if you set the ImageBase to 0 then the button control image will also be displayed in the tooltip.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription

True to display the Caption, DescriptionText and Icon (specified by IconTitle) of the CommandBar Control in the tool tip window.

False to display the text stored in the ToolTipText property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
Icon to display in tool tip window.
See Also Command Bars ActiveX Control v19.3

ShowTitleAndDescription Method

Description

The ShowTitleAndDescription method specifies whether to show the Caption and DescriptionText of the CommandBar Control in the tool tip window.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the Caption, DescriptionText and Icon (specified by IconTitle) of the CommandBar Control in the tool tip window.

False to display the text stored in the ToolTipText property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon [image] will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon [image] will be displayed in the tool tip window.
xtpToolTipIconError | The error icon [image] will be displayed in the tool tip window.
Icon to display in tool tip window.

Remarks

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the Caption and DescriptionText of the CommandBar Control.

Note: The ToolTipText property is not used to display text in the tool tip window when using the ShowTitleAndDescription method for CommandBar Controls. The text stored in the ToolTip property will be displayed for all other objects.

Example

[ShowTitleAndDescription Sample (Visual Basic)] This sample illustrates how to display a tool tip window that displays the Caption, DescriptionText, and XTPToolTipIcon.

    CommandBars.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the Caption and DescriptionText of the item, the minimum width of the tool tip window can not be smaller that the width of the Caption.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Command Bars ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Command Bars ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTipText property will be displayed in the tool tip window. If this property is not set, then the Caption of the control will be used.

See the XTPToolTipStyle enumeration for a picture and detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Command Bars ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Command Bars ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

XtremePrinterInfo Members

See Also Command Bars ActiveX Control v19.3

XtremePrinterInfo Object

For a list of all members defined in this module, see XtremePrinterInfo members.

See Also

XtremePrinterInfo Members


%%PageItemTitle%% $$Members$$

XtremePrinterInfo Overview

See Also Command Bars ActiveX Control v19.3

XtremePrinterInfo Object Members

Public Properties

Public Property DeviceName
Public Property DriverName
Public Property PortName

See Also

XtremePrinterInfo Overview


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Command Bars ActiveX Control v19.3

DeviceName Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DeviceName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Command Bars ActiveX Control v19.3

DriverName Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DriverName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Command Bars ActiveX Control v19.3

PortName Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PortName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrintPreviewOptions Members

See Also Command Bars ActiveX Control v19.3

XtremePrintPreviewOptions Object

For a list of all members defined in this module, see XtremePrintPreviewOptions members.

See Also

XtremePrintPreviewOptions Members


%%PageItemTitle%% $$Members$$

XtremePrintPreviewOptions Overview

See Also Command Bars ActiveX Control v19.3

XtremePrintPreviewOptions Object Members

Public Properties

Public Property Title

See Also

XtremePrintPreviewOptions Overview


%%PageItemTitle%%

XtremePrintPreviewOptions Object

See Also Command Bars ActiveX Control v19.3

Title Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

XtremePrintPreviewOptions Object


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

AlignmentStyle Enumeration

Description

BackstageButton text alignment styles.

Members

Member | Description
xtpAlignLeft | Left align text.
xtpAlignRight | Right align text.
xtpAlignCenter | Center align text.
xtpAlignMiddle | Middle align text.
xtpAlignTop | Top align text.
xtpAlignBottom | Bottom align text.

Remarks

The TextAlignment property of the BackstageButton control uses a value from the AlignmentStyle enumeration to specify the alignment of text inside the label control.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

OLEDragConstants Enumeration

Description

OLEDrag Constants.

Members

Member | Description
xtpOLEDragManual | Manual. The programmer handles all OLE drag/drop operations.
xtpOLEDragAutomatic | The component handles all OLE drag/drop operations.


%%PageItemTitle%%

OLEDrag Method | OLECompleteDrag Event | OLEStartDrag Event

See Also Command Bars ActiveX Control v19.3

OLEDropConstants Enumeration

Description

Specifies the method which the commandbars component handles OLE drag/drop operations.

Members

Member | Description
xtpOLEDropNone | None. The target component does not accept OLE drops and displays the No Drop cursor.
xtpOLEDropManual | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.

See Also

OLEDrag Method | OLECompleteDrag Event | OLEStartDrag Event


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

PushButtonStyle Enumeration

Description

BackstageButton styles.

Members

Member | Description
xtpButtonNormal | Normal BackstageButton.
xtpButtonDropDown | Dropdown button. Button will have an arrow indication it has a dropdown. The dropdown will appear under the button.
xtpButtonDropDownRight | Dropdown button. Button will have an arrow indication it has a dropdown. The dropdown will appear to the right of the button.
xtpButtonSplitDropDown | Split button. Button will be split into a "button" part and "arrow" part. The "arrow" part will have an arrow indication it has a dropdown. The dropdown will appear under the button when t he "arrow" part is clicked.
xtpButtonDropDownNoGlyph This is a Dropdown button with the appearance of a normal button. The DropDown event will fire when this button is clicked. This is used for Backstage buttons that look like a normal button but display a dropdown.

This is also used when you want a dropdown button but want to display your own "arrow" in markup. There is a built-in resource for the 2010 style dropdown that can easily be displayed using Source='res://XTP_IDB_BUTTONDROPDOWNGLYPH'. For example, you could use this for the Caption of the BackstageButton:

"<TextBlock Margin='5, 0, 5, 0' TextWrapping='Wrap' TextAlignment='Center'>Protect Document <InlineUIContainer BaselineAlignment='Center'><Image Source='res://XTP_IDB_BUTTONDROPDOWNGLYPH'/></InlineUIContainer></TextBlock>"

Remarks

The PushButton.Style uses flags from the PushButtonStyle enumeration to set the style of the button.

Using xtpButtonNormal will create a normal button.

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

TextImageRelationStyle Enumeration

Description

Image and text relationship settings for a BackstageButton control.

Members

Member | Description
xtpOverlay | Image is displayed over top of the text.
xtpImageAboveText | Image is displayed above the text.
xtpTextAboveImage | Text is displayed above the image.
xtpImageBeforeText | Image is displayed before\to the left of the text.
xtpTextBeforeImage | Text is displayed before\to the left of the image.

Remarks

The BackstageButton.TextImageRelation property uses flags from the TextImageRelationStyle enumeration to set the text and image relationship inside the button control.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPAnimationType Enumeration

Description

Specifies the type of animation

Members

Member | Description
xtpAnimateWindowsDefault | CommandBar popup menus will use the WindowsDefault animation when they are opened/closed.
xtpAnimateRandom | CommandBar popup menus will use a Random animation when they are opened/closed.
xtpAnimateUnfold | CommandBar popup menus will use the Unfold animation when they are opened/closed.
xtpAnimateSlide | CommandBar popup menus will use the Slide animation when they are opened/closed.
xtpAnimateFade | CommandBar popup menus will use the Slide animation when they are opened/closed.
xtpAnimateNone | CommandBar popup menus will not use any animation when they are opened/closed.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPBackImage Enumeration

Members

Member | Description
XTPNone |
XTPCalligraphy |
XTPCirclesAndStripes |
XTPCircuit |
XTPClouds |
XTPDoodleCircles |
XTPDoodleDiamonds |
XTPGeometry |
XTPLunchBox |
XTPSchoolSupplies |
XTPSpring |
XTPStars |
XTPStraws |
XTPTreeRings |
XTPUnderWater |


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPBackstageButtonControlAppearanceStyle Enumeration

Description

Backstage Button Appearance

Members

Member | Description
xtpAppearanceStandard | Standard
xtpAppearanceFlat | Flat
xtpAppearanceUltraFlat | Ultra Flat
xtpAppearanceOffice2000 | Office 2000
xtpAppearanceOfficeXP | Office XP
xtpAppearanceOffice2003 | Office 2003
xtpAppearanceOffice2007 | Office 2007
xtpAppearanceResource | Resource Dll Appearance
xtpAppearanceNativeWinXP | Native XP
xtpAppearanceVisualStudio2005 | Visual Studio 2005
xtpAppearanceVisualStudio2008 | Visual Studio 2008
xtpAppearanceVisualStudio2010 | Visual Studio 2010
xtpAppearanceOffice2013 | Office 2013
xtpAppearanceOffice2016 |
xtpAppearanceVisualStudio2012 | Not Supported
xtpAppearanceVisualStudio2012Light | Not Supported
xtpAppearanceVisualStudio2012Dark | Not Supported
xtpAppearanceVisualStudio2015 |


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPBackstageSeparatorControlAppearanceStyle Enumeration

Description

Backstage Separator Appearance

Members

Member | Description
xtpSeparatorAppearanceResource | Resource Dll Appearance
xtpSeparatorAppearanceOffice2013 | Office 2013
xtpSeparatorAppearanceOffice2016 |
xtpSeparatorAppearanceVisualStudio2015 |


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPBarPosition Enumeration

Description

Specifies the position of a command bar

Members

Member | Description
xtpBarTop | The bar is docked to the top edge of the form.
xtpBarBottom | The bar is docked to the bottom edge of the form.
xtpBarLeft | The bar is docked to the left edge of the form.
xtpBarRight | The bar is docked to the right edge of the form.
xtpBarFloating | The bar is a floating command bar.
xtpBarPopup | Not Used for dialog bar.
xtpBarListBox | Not Used for dialog bar.
xtpBarComboBoxGalleryPopup | The commandbar will be displayed as a gallery.


%%PageItemTitle%%

TextOrientation Property

See Also Command Bars ActiveX Control v19.3

XTPBarTextOrientation Enumeration

Description

Commandbar text orientation flags.

Members

Member | Description
xtpBarTextAuto | Lets the Commandbars decide the best orientation. Horizontal bars will diisplay text horizontally and vertical bars will display text vertically.
xtpBarTextVertical | Display text in the bar vertically, regardless of bar location.
xtpBarTextHorizontal | Display text in the bar horizontally, regardless of bar location.

See Also

TextOrientation Property


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPBarType Enumeration

Description

Specifies the type of the command bar.

Members

Member | Description
xtpBarTypeMenuBar | The command bar is a menu bar.
xtpBarTypeNormal | The command bar is a normal command bar.
xtpBarTypePopup | The command bar is a popup command bar.
xtpBarTypeRibbon | The command bar is a Ribbon bar. When using the Ribbon bar, ActiveMenubar will return a reference to the Ribbon bar.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPButtonStyle Enumeration

Description

Specifies the style of a command bar button.

Members

Member | Description
xtpButtonAutomatic | Specifies an automatic button style.
xtpButtonCaption | Specifies the caption button style.
xtpButtonIcon | Specifies an icon button style.
xtpButtonIconAndCaption | Specifies both the caption and icon button styles.
xtpButtonIconAndCaptionBelow | Specifies to display both the caption and icon. The caption will be drawn under the icon.
xtpButtonCaptionAndDescription | Specifies for popup bars to draw description under the caption.


%%PageItemTitle%%

SetColor Method | Color Property | SetSpecialColor Method

See Also Command Bars ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property | SetSpecialColor Method


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPComboStyle Enumeration

Description

Specifies combobox styles.

Members

Member | Description
xtpComboNormal | Specifies a normal combobox style. The combobox will not display a label.
xtpComboLabel | Specifies the label combobox style. The combobox will display a label next to the combobox. The label will display the caption of the combobox.


%%PageItemTitle%%

Combo Box EditStyle Property | Edit Control EditStyle Property

See Also Command Bars ActiveX Control v19.3

XTPCommandBarEditStyle Enumeration

Description

Specifies combo box and edit control styles.

Members

Member | Description
xtpEditStyleLeft | Left. Aligns text flush left. The default for combo boxes and edit boxes.
xtpEditStyleCenter | Center. Aligns the text in the middle with equal spaces to the right and left.
xtpEditStyleRight | Right. Aligns text flush right.
xtpEditStyleLowerCase | Displays text as all lowercase.
xtpEditStylePassword | Displays asterisks (*) in place of text.

Remarks

The combo box uses the XTPCommandBarEditStyle enumeration to set the EditStyle of the control.

The edit control uses the XTPCommandBarEditStyle enumeration to set the EditStyle of the control.

See Also

Combo Box EditStyle Property | Edit Control EditStyle Property


%%PageItemTitle%%

RecentFileList Property

See Also Command Bars ActiveX Control v19.3

XTPCommandBarsSpecialCommands Enumeration

Description

Special\Reserved constants used by the CommandBars for control Ids.

Members

Member | Description
XTP_ID_RIBBONCONTROLTAB | This is the identifier of the Ribbon's tab control. This can be useful to show/hide tabs in the Update event. A control with Id XTP_ID_RIBBONCONTROLTAB will be passed to the Update so you can show\hide\modify the tabs in the Ribbon's tab control. This can be used to show\hide the context tab captions in the Ribbon. For example, you open a jpg file, you can use XTP_ID_RIBBONCONTROLTAB to display some tabs specific to working with jpg files and also add a context tab caption for those tabs.
XTP_ID_RIBBONCUSTOMIZE | This is the ID that is passed to the commandbars Execute event when the commandbars's "Customize Quick Access Toolbar..." button is pressed. This will not actually display a customize dialog. XTP_ID_RIBBONCUSTOMIZE was added to give you the opportunity to display your own customize dialog. To display the built-in Ribbon Quick Access customize page you can use the ShowCustomizeDialog method along with the ShowRibbonQuickAccessPage property.
XTP_ID_CUSTOMIZE_ADDORREMOVE | This is the ID that is passed to the commandbars Execute event when the Ribbon's "Add or Remove Buttons" button is pressed. This simply tells you when this button was pressed. Using the XTP_ID_CUSTOMIZE_ADDORREMOVE Id you have the opportunity to set your own/localized caption/description by searching for the control with this Id and changing the values.
XTP_ID_CUSTOMIZE_RESET | Create an Action with id XTP_IDS_CUSTOMIZE_RESET to set the text and tooltip for all instances of the reset button in the commandbars. This is included to help with localization.
XTP_ID_TOOLBAR_EXPAND | Create an Action with id XTP_ID_TOOLBAR_EXPAND to set the tooltip for all instances of the toolbar expand button that appears at the end of each toolbar. This is included to help with localization.
XTP_ID_TOOLBAR_HIDE | Create an Action with id XTP_ID_TOOLBAR_HIDE to set the tooltip for all instances of the 'x' close button on floating toolbars. This is included to help with localization.
XTP_ID_WORKSPACE_CANCEL | This is the Id of the tab workspace cancel button.
XTP_ID_WINDOWLIST | Using an ID of 35000 in a MDI application for a menu item will automatically add a menu item for up to 9 open documents. Clicking on one of the menu items will cause the document to come into focus.
XTP_ID_CUSTOMIZE | Using an ID of 35001 for a button or menu item will cause the CommandBars Customization dialog to be displayed so that the toolbars and menu bar can be customized by the user
XTP_ID_WORKSPACE_ACTIONS | Using an ID of 35002 for a menu item will automatically display a list of valid workspace actions that can be performed when using the TabWorkspace in a MDI application. Id of the Move to Previous Group tab workspace control.
XTP_ID_TOOLBARLIST | Using an ID of 59392 for a menu item will automatically display a list of all the toolbars so that they can be hidden or shown.
XTP_ID_FILE_MRU | Any control given this ID will be a place holder for items added to the RecentFileList. This is also the ID you would use in the Execute event to see when an item in the MRU list is clicked. See RecentFileList for an example.

Remarks

XTPCommandBarsSpecialCommands is a groups of special\reserved constants used by the CommandBars for control Ids. These constants can be used for CommandBarControl Ids to automatically insert functionality with no additional code.

See Also

RecentFileList Property


%%PageItemTitle%%

EnableDocking Method | XTPToolBarFlags Enumeration

See Also Command Bars ActiveX Control v19.3

XTPCommandBarStyle Enumeration

Description

Specifies command bar styles

Members

Member | Description
XTP_CBRS_GRIPPER | This flag is used to indicate if a command bar will display the "gripper" on the far left of the command bar that lets the user know that the command bar can be "gripped" and moved. This can be used to add/remove the gripper. It will not stop the user from gripping the command bar and moving it, you will need to set the appropriate EnableDocking flags to prevent the user from docking the command bar.

Example

[Removing the Gripper from CommandBars (Visual Basic)] This sample illustrates how to remove the gripper from a commandbar and how to prevent the user from docking the commandbar.

    'Removes the gripper from the ActiveMenubar
    CommandBars.ActiveMenuBar.ModifyStyle XTP_CBRS_GRIPPER, 0
    'Prevents the user from docking the ActiveMenuBar, the user will not be able to click
    'and drag the ActiveMenuBar
    CommandBars.ActiveMenuBar.EnableDocking xtpFlagStretched 'Prevent docking

    'Replaces the gripper on the ActiveMenubar
    CommandBars.ActiveMenuBar.ModifyStyle 0, XTP_CBRS_GRIPPER

See Also

EnableDocking Method | XTPToolBarFlags Enumeration


%%PageItemTitle%%

VerticalOptions Property | CommandBarControlCustom Object

See Also Command Bars ActiveX Control v19.3

XTPControlCustomVerticalOptions Enumeration

Description

Specifies how a CommandBarControlCustom should look if the parent toolbar is docked vertically.

Members

Member | Description
xtpVerticalHide | To hide CommandBarControlCustom if the parent toolbar is vertically docked.
xtpVerticalShow | To show entire CommandBarControlCustom if the parent toolbar is vertically docked.
xtpVerticalButton | To show CommandBarControlCustom as a button if the parent toolbar is vertically docked. You can then assign an icon to be used when the control is displayed as a button if the IconId is set.

Remarks

When a CommandBarControlCustom is in toolbar docked vertically, how the CommandBarControlCustom will be displayed will depend on the XTPControlCustomVerticalOptions flag assigned to the VerticalOptions property.

See Also

VerticalOptions Property | CommandBarControlCustom Object


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPControlFlags Enumeration

Description

Flags of the control

Members

Member | Description
xtpFlagRightAlign | Control is right aligned
xtpFlagSkipFocus | The control will be skipped when performing actions such as tabbing through the controls in the command bar.
xtpFlagLeftPopup | The popup will start from the right side of the control that was clicked and be displayed right-to-left.
xtpFlagManualUpdate | Manually update the control.
xtpFlagNoMovable | Used to disable customization. The user will not be able to move or edit the control.
xtpFlagControlStretched | Used to stretch a control to fill the maximum available width if the control is in the ActiveMenuBar. This has no effect on controls in the toolbar.
xtpFlagShowPopupBarTip | Show tooltip always.
xtpFlagWrapRow | Wrap row for toolbar or popup bar.
xtpFlagRibbonTabBackground | Control is on the right side of Ribbon tabs.


%%PageItemTitle%%

CommandBarControl HideFlags Property

See Also Command Bars ActiveX Control v19.3

XTPControlHideFlags Enumeration

Description

Flags that specify why a control is hidden.

Members

Member | Description
xtpNoHide | Control is currently visible.
xtpHideGeneric | Developer set Visible = False.
xtpHideWrap | Toolbar is too small and the control is wrapped.
xtpHideDockingPosition | If a toolbar has a combobox or edit control, when the toolbar is docked in the left or in the right side of frame, the Commandbar ComboBox and Edit controls becomes hidden.
xtpHideScroll | There are too many controls in a popup and the control is hidden because the popup is scrolled.
xtpHideCustomize | User removed it. This is only possible when customization is enabled. This flag is set if the user removes the control from the Add and Remove Buttons popup menu.
xtpHideExpand | If the control is rarely used and it is not visible because the intelligent menus option on and the command is a hidden command.
xtpHideDocTemplate | Control is hidden because active template excluded from its list.
xtpHideRibbonTab | Control is hidden because inactive ribbon tab.

Example

[HideFlags Sample (Visual Basic)] This sample illustrates how to use the hideflags to determine how a control was hidden.

Private Sub cmdFindHiddenButton_Click(Index As Integer)
    Dim Control as CommandBarControl

    'Find the Print control
    Set Control = CommandBars.FindControl(, ID_FILE_PRINT)
    'If found, execute Select statement
    If Not Control Is Nothing Then
        'Determine why the Print button is hidden
        Select Case Control.HideFlags
            'Developer has hidden control with Visible = False
            Case xtpHideGeneric:
                MsgBox "You have hidden the Print button with Visible = False.", vbInformation, "Button Hidden"
            'Toolbar docking position has hidden control
            Case xtpHideDockingPosition:
                MsgBox "You need to dock your toolbar to the top or bottom to see combobox or edit controls", vbInformation, "Button Hidden"
            'User has hidden control
            Case xtpHideCustomize:
                MsgBox "You need to replace the Print button to print.", vbInformation, "Button Hidden"
            'Control is hidden because it is a hidden control set with AddHiddenControl
            Case xtpHideExpand:
                MsgBox "You rarely use this command, so it is currently hidden until the menu is fully show", vbInformation, "Button Hidden"
            'Control is hidden because it is scrolled
            Case xtpHideScroll:
                MsgBox "You need to scroll the popup menu to find the Print button.", vbInformation, "Button Hidden"
            'Control hidden beacuse of toolbar wrap
            Case xtpHideWrap:
                MsgBox "You need to expand the toolbar to use the Print Button.", vbInformation, "Button Hidden"
            'Control is not hidden
            Case xtpNoHide:
                MsgBox "You button is not hidden.", vbInformation, "Button Hidden"
        End Select
    End If
End Sub

See Also

CommandBarControl HideFlags Property


%%PageItemTitle%%

ControlNotify Event

See Also Command Bars ActiveX Control v19.3

XTPControlNotify Enumeration

Description

Notification codes used by the ControlNotify event to notify the CommandBars of various actions.

Members

Member | Description
XTP_EN_SPINUP | (Edit control notification) Sent when the "Up" spin button of the edit control is pressed (ShowSpinButtons must be True)
XTP_EN_SPINDOWN | (Edit control notification) Sent when the "Down" spin button of the edit control is pressed (ShowSpinButtons must be True)
XTP_EN_BUDDYBUTTONCLICK | (Edit control notification) Sent when the attached buddy button of the edit control is clicked.
XTP_GN_PREVIEWSTART | (Gallery control notification) Sent when the user first hovers over an item in the gallery so the preview must start.
XTP_GN_PREVIEWCANCEL | (Gallery control notification) Sent when the gallery is closed or when the mouse leaves the gallery area.
XTP_GN_PREVIEWAPPLY | (Gallery control notification) Sent when an item in the gallery is clicked.
XTP_GN_PREVIEWCHANGE | (Gallery control notification) Sent when the selected item of the gallery changed while in preview state.
XTP_GN_STARTDRAG | (Gallery control notification) Sent when the user drags an item from the gallery.
XTP_GN_SELCHANGE | (Gallery control notification) Sent when the selection has changed in the gallery.
XTP_EN_CHANGE | (Edit control notification) Sent when the contents of the edit control have changed.
XTP_EN_SETFOCUS | (Edit control notification) Sent when focus has been set to an edit control.
XTP_EN_KILLFOCUS | (Edit control notification) Sent when focus has been lost from an edit control.
XTP_CBN_EDITCHANGE | (Combo control notification) Sent when the contents of a Combo control have changed.
XTP_CBN_SETFOCUS | (Combo control notification) Sent when focus has been set to a Combo control.
XTP_CBN_KILLFOCUS | (Combo control notification) Sent when focus has been lost from a Combo control.
XTP_CBN_CLOSEUP | (Combo control notification) Sent when the dropdown of a Combo control has closed.
XTP_CBN_DROPDOWN | (Combo control notification) Sent when the dropdown of a Combo control has opened\dropped down.
XTP_BS_TABCHANGED | (Backstage View notification) Sent when a tab in the backstage view has changed. This is only for tabs, commands will use the Execute event. Private Sub CommandBars_ControlNotify(ByVal Control As XtremeCommandBars.ICommandBarControl, ByVal Code As Long, ByVal NotifyData As Variant, Handled As Variant) If (Code = XTP_BS_TABCHANGED) Then Debug.Print Control.Caption End If End Sub

Remarks

Notification codes used by the ControlNotify event to notify the CommandBars of various actions.

See Also

ControlNotify Event


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPControlType Enumeration

Description

Specifies the type of a command bar control

Members

Member | Description
xtpControlError | Used with the Find method. Used to specify "any" control type.
xtpControlButton | Specifies the button control style. This is a normal command bar button that is used in the menu bar and toolbars.
xtpControlPopup | Specifies the popup control style. This will add a control that displays a caption with no image. When clicked, a popup menu will display any added controls.
xtpControlButtonPopup | Specifies the button popup control style. This will add a control that displays an image with no caption. When clicked, a popup menu will display any added controls. The caption can be shown by setting the control Style property using an XTPButtonStyle flag.
xtpControlSplitButtonPopup | Specifies the split button popup control style.
xtpControlComboBox | Specifies the combobox control style. This will add a combobox control to your command bar.
xtpControlEdit | Specifies the edit control style. This will add an edit box control to your command bar.
xtpControlCustom | Specifies the custom control style. This allows you to add any control you want to your command bar. For example, you can add a progress bar or slider control to your command bar.
xtpControlLabel | Specifies the Label control style. This will add a control that is used for informational purposes only. This command will not respond to the mouse and can not receive focus. The background will be displayed in a different color. You can use this to display helpful information about your popup menu.
xtpControlCheckBox | Specifies the CheckBox control style. When using this style the control's checked property is used to determine whether the check box is checked or un-checked.
xtpControlGallery | Specifies the Galley control style. Galleries can be placed in normal toolbars, popup menus, and ribbon groups.
xtpControlRadioButton | Specifies the Radio\Option button control style. This will add an Radio\Option button control to your command bar.


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Command Bars ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPFrameShadowManagerFlags Enumeration

Members

Member | Description
xtpFrameShadowsDisabled |
xtpFrameShadowsInvisible |
xtpFrameShadowsNotResizeable |
xtpFrameShadowsDisabledInTSS |
xtpFrameShadowsInvisibleInTSS |


%%PageItemTitle%%

Resizable Property

See Also Command Bars ActiveX Control v19.3

XTPGalleryResizable Enumeration

Description

Gallery resize options.

Members

Member | Description
xtpAllowResizeWidth | Gallery popup width can be resized by dragging the gripper at the bottom of the popup gallery.
xtpAllowResizeHeight | Gallery popup height can be resized by dragging the gripper at the bottom of the popup gallery.

Remarks

The Resizable property uses flags from the XTPGalleryResizable enumeration to allow popup galleries to be resized.

See Also

Resizable Property


%%PageItemTitle%%

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Command Bars ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

KeyboardCuesShow Property | KeyboardCuesUse Property | XTPKeyboardCuesUse Enumeration

See Also Command Bars ActiveX Control v19.3

XTPKeyboardCuesShow Enumeration

Description

Specifies when to underline the character in menu items that indicates a shortcut key is available. These are the underlined characters used for keyboard navigation commonly called "Access Keys".

Members

Member | Description
xtpKeyboardCuesShowAlways | Always display the underlined characters used for keyboard navigation.
xtpKeyboardCuesShowNever | Never display the underlined characters used for keyboard navigation.
xtpKeyboardCuesShowWindowsDefault | Uses the system defined setting to display the underlined characters used for keyboard navigation. Under Windows XP, this setting can be found by selecting "Display" from the the control panel. Clicking on the "Effects" button on the "Appearance" tab page will display a dialog that shows the current setting. By default, using the Windows XP setting will only display the underlined character for menu navigation after the "Alt" key is pressed. The underline will then be hidden after an item is selected and the menu loses focus. This allows the underline to be hidden under normal use, but still provides the functionality of menu navigation when the "Alt" key is pressed.

Remarks

The KeyboardCuesShow property is used set one of the XTPKeyboardCuesShow flags. By default, the xtpKeyboardCuesShowAlways flag is used.

The XTPKeyboardCuesShow enumeration specifies when to underline the character used for keyboard navigation (characters in menu items that indicates a Access Key is available). This is the character that has an ampersand "&" placed in front of it in the menu item caption. These are the shortcut keys that are available when pressing the "Alt" key.

These settings are cosmetic only, they do not effect the execution of the keyboard shortcuts. The XTPKeyboardCuesUse enumeration specifies whether the shortcut keys actually execute.

Example

[ShowKeyboardCues Sample (Visual Basic)] This sample illustrates how to remove the underline from the character in menu items with an ampersand &. This will not effect the behavior of the shortcut keys.

    CommandBars.Options.KeyboardCuesShow = xtpKeyboardCuesShowNever

See Also

KeyboardCuesShow Property | KeyboardCuesUse Property | XTPKeyboardCuesUse Enumeration


%%PageItemTitle%%

XTPKeyboardCuesShow Enumeration | KeyboardCuesShow Property

See Also Command Bars ActiveX Control v19.3

XTPKeyboardCuesUse Enumeration

Description

Specifies when to execute keyboard shortcuts for items that have underlined characters used for keyboard navigation commonly called "Access Keys".

Members

Member | Description
xtpKeyboardCuesUseMenuOnly | Pressing the "Alt" key along with the first letter of the menu caption will activate the menu, regardless of an underline. Toolbars will never be activated.
xtpKeyboardCuesUseAll | Pressing the "Alt" key will always activate menus and toolbars that have underlined characters indicating an "Access Key" is available.
xtpKeyboardCuesUseNone | Pressing the "Alt" key will never activate menus or toolbars that have underlined characters indicating an "Access Key" is available.
xtpKeyboardCuesUseAmpersandOnly | Pressing the "Alt" key will only activate menus that have underlined characters indicating an "Access Key" is available. A menu item uses an ampersand "&" to indicate which letter in the caption will activate the menu. Toolbars will never be activated.

Remarks

This will not disable keybindings, only "Access Key". To remove keybindings as well, use the DeleteAll method.

Example

[KeyboardCuesUse Sample (Visual Basic)] This sample illustrates how to remove the underline from Access Keys and how to prevent the meus and toolbars from becoming activated using the Alt key.

    CommandBars.Options.KeyboardCuesShow = xtpKeyboardCuesShowNever
    CommandBars.Options.KeyboardCuesUse = xtpKeyboardCuesUseNone

See Also

XTPKeyboardCuesShow Enumeration | KeyboardCuesShow Property


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPMarkupSmoothingMode Enumeration

Description

Possible rendering smoothing modes

Members

Member | Description
xtpMarkupSmoothingDefault |
xtpMarkupSmoothingNone |
xtpMarkupSmoothingHighSpeed |
xtpMarkupSmoothingHighQuality |
xtpMarkupSmoothingAntiAlias |


%%PageItemTitle%%

CommandBar SetFlags Method

See Also Command Bars ActiveX Control v19.3

XTPMenuBarFlags Enumeration

Description

Specifies the flags of the menu bar

Members

Member | Description
xtpFlagHideMinimizeBox | Specifies to hide the minimize box displayed on the Command Bar.
xtpFlagHideMaximizeBox | Specifies to hide maximize box displayed on the Command Bar.
xtpFlagHideClose | Specifies to hide close button displayed on the Command Bar.
xtpFlagHideMDIButtons | Specifies to hide all MDI buttons displayed on the Command Bar.
xtpFlagAddMDISysPopup | Specifies to add system MDI popup menu to the Menu Bar. This will appears as an icon to the far left of the Menu Bar and will display the MDI menu bar options when clicked.

See Also

CommandBar SetFlags Method


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPPrintOrientation Enumeration

Description

Specifies the page orientation for printing.

Members

Member | Description
xtpOrientationPortrait | Portrait.
xtpOrientationLandscape | Landscape.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPRibbonBackstageStyle Enumeration

Members

Member | Description
xtpRibbonBackstageOffice2010Style | Backstage like in Office 2010.
xtpRibbonBackstageOffice2013Style | Backstage like in Office 2013/2016.
xtpRibbonBackstageOffice2016Style | Backstage like in Office 2013/2016.


%%PageItemTitle%%

Ribbon Tab Color Property | ContextCaption Property

See Also Command Bars ActiveX Control v19.3

XTPRibbonTabContextColor Enumeration

Description

Ribbon tab colors used for contextual tabs.

Members

Member | Description
xtpRibbonTabContextColorNone | Use the default ribbon color. The ContextCaption for a tab will not be displayed when this color is used.
xtpRibbonTabContextColorBlue | Blue.
xtpRibbonTabContextColorYellow | Yellow.
xtpRibbonTabContextColorGreen | Green.
xtpRibbonTabContextColorRed | Red.
xtpRibbonTabContextColorPurple | Purple.
xtpRibbonTabContextColorCyan | Cyan.
xtpRibbonTabContextColorOrange | Orange.

Remarks

The colors in the XTPRibbonTabContextColor enumeration are used by the Ribbon Tab Color property to indicate the color and it's ContextCaption. The picture below illustrates this:

These colors can also be used just to specify the color or a tab on mouse over if no ContextCaption is added.

Note: To join the ContextCaption of two or more tabs as seen in the picture, the tabs must all be adjacent, have the same ContextCaption and have the same Ribbon Tab Color.

See Also

Ribbon Tab Color Property | ContextCaption Property


%%PageItemTitle%%

ScaleMode Property

See Also Command Bars ActiveX Control v19.3

XTPScaleMode Enumeration

Description

Changes the CommandBars measurements between twips and pixels

Members

Member | Description
xtpScaleAuto | Used to specify that the CommandBars will use the parent control's measurement units/coordinate system.
xtpScalePixel | Used to change the CommandBars measurement units/coordinate system to pixels
xtpScaleTwip | Used to change the CommandBars measurement units/coordinate system to twips

Remarks

The ScaleMode property uses the XTPScaleMode flags to set the scale mode.

See Also

ScaleMode Property


%%PageItemTitle%%

ScrollBarStyle Property

See Also Command Bars ActiveX Control v19.3

XTPScrollBarStyle Enumeration

Description

Scrollbar styles.

Members

Member | Description
xtpScrollStyleDefault | Default style.
xtpScrollStyleStandard | Standard window theme.
xtpScrollStyleFlat | Flat scrollbar style.
xtpScrollStyleSystem | WinXP themed style.
xtpScrollStyleOffice | Office scrollbar style.
xtpScrollStyleOffice2007Light | Office 2007 light style.
xtpScrollStyleOffice2007Dark | Office 2007 dark style.
xtpScrollStyleSlider | Makes the scrollbar look like a slider control.

See Also

ScrollBarStyle Property


%%PageItemTitle%%

ComboBox ShellAutoComplete Property | Edit Control ShellAutoComplete Property

See Also Command Bars ActiveX Control v19.3

XTPShellAutoCompleteFlags Enumeration

Description

Flags to control the operation of the Combo Box and Edit Control ShellAutoComplete functionality.

Members

Member | Description
xtpShellAutoCompleteFileSystem | Include the file system as well as virtual folders such as Desktop or Control Panel.
xtpShellAutoCompleteFileSysOnly | Include the file system without virtual folders.
xtpShellAutoCompleteUrlAll | Include the URLs in the users History and Recently Used lists. Equivalent to xtpShellAutoCompleteUrlHistory | xtpShellAutoCompleteUrlMRU.
xtpShellAutoCompleteUrlHistory | Include the URLs in the user's History list.
xtpShellAutoCompleteUrlMRU | Include the URLs in the user's Recently Used list.
xtpShellAutoCompleteAll | Include the URLs in the users History and Recently Used lists and the file system as well as virtual folders such as Desktop or Control Panel. This is equivalent to xtpShellAutoCompleteFileSystem | xtpShellAutoCompleteUrlAll.

Remarks

Both the Combo Box and Edit Control can use the ShellAutoComplete feature.

To use ShellAutoComplete, Auto Complete must be enabled on the system. You can change the Auto Complete settings manually by launching the Internet Options property sheet from the ControlPanel and clicking the Content tab, then click on the "AutoComplete" button. Make sure "Use AutoComplete for Web Addressed" is checked.

ShellAutoComplete requires Internet Explorer 5.0 or greater to be installed.

The picture below shows an edit control using the xtpShellAutoCompleteUrlHistory flag. The code in the example below was used to create this sample.

Example

[ShellAutoComplete Sample (Visual Basic)] This sample illustrates how to use the Shell Auto Complete functionality of the Edit Control.

Private Sub Form_Load()
    Dim Control As CommandBarEdit
    Set Control = CommandBars.ActiveMenuBar.Controls.Add(xtpControlEdit, 100, "URL")
    Control.Width = 200
    Control.ShellAutoComplete = xtpShellAutoCompleteUrlHistory
    Control.EditHint = "Type URL Here"
End Sub

See Also

ComboBox ShellAutoComplete Property | Edit Control ShellAutoComplete Property


%%PageItemTitle%%

StatusBarSliderPane Object | SliderPaneClick Event

See Also Command Bars ActiveX Control v19.3

XTPSliderCommand Enumeration

Description

Indicate where the status bar slider was clicked.

Members

Member | Description
XTP_SB_LINELEFT | The left "Min" button was clicked.
XTP_SB_LINERIGHT | The right "Max" button was clicked.
XTP_SB_PAGELEFT | The line of the slider was clicked to the left side of the thumb track.
XTP_SB_PAGERIGHT | The line of the slider was clicked to the right side of the thumb track.
XTP_SB_THUMBTRACK | The thumb track was clicked or is currently being dragged.
XTP_SB_LEFT | Reserved for future use.
XTP_SB_RIGHT | Reserved for future use.
XTP_SB_ENDSCROLL | The control has finished scrolling.

Remarks

The SliderPaneClick event uses values from this enumeration to indicate where the status bar slider was clicked to change the thumb track position.

See Also

StatusBarSliderPane Object | SliderPaneClick Event


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPStatusPaneStyle Enumeration

Description

The style of the status pane

Members

Member | Description
SBPS_NOBORDERS | When this flag is applied, the border will be removed from the indicated statusbar pane.
SBPS_DISABLED | When this flag is applied, the indicated statusbar pane will be disabled. The text in the pane will appear "disabled" based on the DrawDisabledText setting.
SBPS_STRETCH | The pane will stretched, it will not have a static width. So the pane's width can be only more or equal to its Width property.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPTabAppearanceStyle Enumeration

Description

The appearance of the tabs.

Members

Member | Description
xtpTabAppearancePropertyPage | Gives your tabs an Office 2000 appearance.
xtpTabAppearancePropertyPageSelected | Gives your tabs an Office 2000 selected appearance.
xtpTabAppearancePropertyPageFlat | Gives your tabs an Office 2000 Flat appearance.
xtpTabAppearancePropertyPage2003 | Gives your tabs an Office 2003 appearance.
xtpTabAppearanceStateButtons | Gives your tabs a State Button appearance.
xtpTabAppearanceFlat | Gives your tabs Flat appearance.
xtpTabThemeExcel2003 |
xtpTabAppearanceVisio | Gives your tabs a Visio appearance.
xtpTabAppearancePropertyPage2007 | Gives your tabs an Office 2007 appearance.
xtpTabAppearancePropertyPageAccess2007 | Gives your tabs an Access 2007 appearance.
xtpTabThemeVisualStudio2003 |
xtpTabThemeVisualStudio2005 |
xtpTabThemeVisualStudio2010 |
xtpTabThemeVisualStudio2012 |
xtpTabThemeVisualStudio2015 |
xtpTabThemeOffice2013 |
xtpTabThemeOffice2016 |
xtpTabAppearanceVisualStudio | Gives your tabs a Visual Studio appearance.
xtpTabAppearanceVisualStudio2003 |
xtpTabAppearanceVisualStudio2005 | Gives your tabs a Visual Studio 2005 appearance.
xtpTabAppearanceVisualStudio2010 | Gives your tabs a Visual Studio 2010 appearance.
xtpTabAppearanceVisualStudio2012 |
xtpTabAppearanceVisualStudio2015 |
xtpTabAppearanceExcel | Gives your tabs an Excel appearance.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPTabClientFrame Enumeration

Description

The type of border that will be used around the client frame

Members

Member | Description
xtpTabFrameBorder | With this flag set, a border will appear around the client.
xtpTabFrameSingleLine | With this flag set, only a single line is used as a border around the client.
xtpTabFrameNone | With this flag set, no border will appear around the client.


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPTabColorStyle Enumeration

Description

Sets the color style of the tabs for the currently set Appearance.

Members

Member | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative |
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access |
xtpTabColorVisualStudio2003 |
xtpTabColorVisualStudio2005 |
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010 | Tabs will use the Visual Studio 2010 color style for the currently set Appearance.
xtpTabColorVisualStudio2012 |
xtpTabColorVisualStudio2012Dark |
xtpTabColorOffice2013 |
xtpTabColorOffice2016 |
xtpTabColorVisualStudio2015 |
xtpTabColorAll |
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007 |


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPTabDrawTextFormat Enumeration

Description

Specifies the text format used for displaying text in tab buttons.

Members

Member | Description
xtpTabDrawTextLeft | Left align text in the tab button.
xtpTabDrawTextCenter | Center text in the tab button.Center
xtpTabDrawTextRight | Right align text in the tab button.
xtpTabDrawTextVCenter | Vertically center text in the tab button.

Remarks

The left, center and right flags can be combined with the vertically center flag.

The DrawTextFormat property uses flags from the XTPTabDrawTextFormat enumeration to determine how to display text in the tab buttons.


%%PageItemTitle%%

Layout Property | MultiRowJustified Property | MultiRowFixedSelection Property

See Also Command Bars ActiveX Control v19.3

XTPTabLayoutStyle Enumeration

Description

Specifies how the tabs will be sized within the tabbed workspace.

Members

Member | Description
xtpTabLayoutAutoSize | Tabs will be automatically sized within the tabbed workspace. With this flag set, tabs will appear in their normal size.
xtpTabLayoutSizeToFit | Tabs are sized to fit within the tabbed workspace. All tabs will be compressed into the tabbed workspace.
xtpTabLayoutFixed | Tabs will be set to a fixed size within the tabbed workspace.
xtpTabLayoutCompressed | Tabs will be compressed within the tabbed workspace. This will compress all tabs, but all tabs will not be forced into the tabbed workspace.
xtpTabLayoutMultiRow The TabWorkspace can display more than one row of tabs.

The number of rows is automatically set by the width and number of the tabs. The number of rows can change if the control is resized, which ensures that the tab wraps to the next row. If the tab layout is not set to xtpTabLayoutMultiRow, and the last tab exceeds the width of the control, left and right arrow buttons are added at the right end of the TabWorkspace.

Both the MultiRowFixedSelection and MultiRowJustified properties can be used to further customize how the tabs are displayed when there are multiple rows of tabs.

xtpTabLayoutRotated Tabs will be displayed "rotated" from their natural position.

This will cause the caption of the tabs displayed on the top or bottom of the TabWorkspace to be displayed vertically, and tabs displayed on the left or right or the TabWorkspace to be displayed horizontally.

Remarks

xtpTabLayoutAutoSize

xtpTabLayoutCompressed

xtpTabLayoutMultiRow

xtpTabLayoutSizeToFit

xtpTabLayoutFixed

xtpTabLayoutRotated

Example

[TabWorkspace Layouts (Visual Basic)] This sample illustrates how to change the various layouts in the TabWorkspace.

    'This sample code illustrates how to change the tab workspace to use a Compressed layout.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutCompressed

    'This sample code illustrates how to change the tab workspace to use a Fixed layout.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutFixed

    'This sample code illustrates how to change the tab workspace to use a Size-to-Fit layout.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutSizeToFit

    'This sample code illustrates how to change the tab workspace to use a Autosize layout. This is the default behavior.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutAutoSize

    'This sample code illustrates how to change the tab workspace to use a multi-row layout.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutMultiRow

    'This sample code illustrates how to change the tab workspace to use a rotated layout.
    'This will cause the caption of the tabs displayed on the top or bottom of the
    'TabWorkspace to be displayed vertically, and tabs displayed on the left or right
    'or the TabWorkspace to be displayed horizontally.
    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutRotated

See Also

Layout Property | MultiRowJustified Property | MultiRowFixedSelection Property


%%PageItemTitle%%

Command Bars ActiveX Control v19.3

XTPTabPosition Enumeration

Description

The position of the tabs within the tabbed workspace.

Members

Member | Description
xtpTabPositionTop | Tabs will appear on the Top of the tabbed workspace.
xtpTabPositionLeft | Tabs will appear on the Left of the tabbed workspace.
xtpTabPositionBottom | Tabs will appear on the Bottom of the tabbed workspace.
xtpTabPositionRight | Tabs will appear on the Right of the tabbed workspace.


%%PageItemTitle%%

TabControlItem ToolTip Property | TabWorkspace ToolTipContext Property | ToolTipBehaviour Property | Style Property

See Also Command Bars ActiveX Control v19.3

XTPTabToolTipBehaviour Enumeration

Description

Specifies when tool tips should be displayed for tab buttons in the TabWorkspace.

Members

Member | Description
xtpTabToolTipNever | Tool tips will never be displayed for tab buttons in the TabWorkspace.
xtpTabToolTipAlways | Tool tips will always be displayed for tab buttons in the TabWorkspace.
xtpTabToolTipShrinkedOnly | Tool tips will only be displayed when the layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible).

Remarks

By default, tool tips will only be displayed for tab buttons in the TabWorkspace when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

Example

[ToolTipBehaviour Sample (Visual Basic)] This sample illustrates how to display tool tips for tab buttons in the TabWorkspace regardless of the layout used.

    CommandBars.TabWorkspace.PaintManager.Layout = xtpTabLayoutMultiRow
    CommandBars.TabWorkspace.PaintManager.ToolTipBehaviour = xtpTabToolTipAlways

See Also

TabControlItem ToolTip Property | TabWorkspace ToolTipContext Property | ToolTipBehaviour Property | Style Property


%%PageItemTitle%%

StatusBar Pane Alignment Property

See Also Command Bars ActiveX Control v19.3

XTPTextAlignment Enumeration

Description

Specifies the alignment of the text within a StatusBarPane.

Members

Member | Description
xtpAlignmentLeft | Aligns text to the left.
xtpAlignmentCenter | Aligns text to the center.
xtpAlignmentRight | Aligns text to the right.

Remarks

The XTPTextAlignment Enumeration is used to specify the text alignment inside a StatusBarPane. The pane's Alignment Property is used to store this information.

See Also

StatusBar Pane Alignment Property


%%PageItemTitle%%

EnableDocking Method

See Also Command Bars ActiveX Control v19.3

XTPToolBarFlags Enumeration

Description

Specifies various command bar attributes that specify where the command bar can be docked and how the command bar wraps.

Members

Member | Description
xtpFlagAlignTop For a Toolbar:

Specifies that the command bar can be docked to the top edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the top edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the top edge of the form.

xtpFlagAlignBottom For a Toolbar:

Specifies that the command bar can be docked to the bottom edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the bottom edge of the form.

For a RibbonBar:

Specifies that the Ribbon Bar can be docked to the bottom edge of the form.
xtpFlagAlignLeft For a Toolbar:

Specifies that the command bar can be docked to the left edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the left edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignRight For a Toolbar:

Specifies that the command bar can be docked to the right edge of the form.

For a DialogBar:

Specifies that the dialog bar can be docked to the right edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagAlignAny For a Toolbar:

Specifies that the command bar can be docked to any edge of the form. Specifies that when the command bar width is larger than the window width, the controls that can not be displayed WILL wrap below the command bar.

For a DialogBar:

Specifies that the dialog bar can be docked to any edge of the form.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagFloating For a Toolbar:

Specifies that the command bar can be a floating command bar.

For a DialogBar:

Specifies that the dialog bar can be a floating dialog bar

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagHideWrap For a Toolbar:

Specifies that when the command bar width is larger than the window width, the controls that can not be displayed will NOT wrap below the command bar. A chevron control will be placed at the end of the command bar to allow you to access the hidden controls.

For a DialogBar:

Not used in dialog bar.

For a RibbonBar:

Not used with Ribbon Bar.

xtpFlagStretched For a Toolbar:

Specifies that the command bar is stretched across the entire window. Only one Toolbar can occupy a row with the xtpFlagStretched flag.

For a DialogBar:

The CaptionPopupBar is stretched within the dialog bar and can not be changed. This flag is not used in the dialog bar.

For a RibbonBar:

Specifies that the Ribbon Bar is stretched across the entire window. Only the Ribbon Bar can occupy the row with the xtpFlagStretched flag.

xtpFlagStretchedShared For a Toolbar:

Specifies that the ToolBar will stretch the entire available width. This means that if the Toolbar is the only Toolbar on the row, then it will stretch the entire row. If there are multiple Toolbars on the row, then the Toolbar will stretch the remaining available area.

This is different from the xtpFlagStretched flag in that it allows multiple Toolbars on a row, where the xtpFlagStretched flag only allows one.

xtpFlagSmartLayout | Enables smart layout

Remarks

The EnableDocking method is used to apply the XTPToolBarFlags to a command bar. Any combination of the flags can be used at the same time.

See Also

EnableDocking Method


%%PageItemTitle%%

ShowTitleAndDescription Method | DescriptionText Property | Caption Property

See Also Command Bars ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon [image] will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon [image] will be displayed in the tool tip window.
xtpToolTipIconError | The error icon [image] will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the Caption and DescriptionText of the CommandBar Control.

Note: The ToolTipText property is not used to display text in the tool tip window when using the ShowTitleAndDescription method for CommandBar Controls. The text stored in the ToolTip property will be displayed for all other objects.

The picture below illustrates a tooltip window that is displayed when using the ShowTitleAndDescription method to display the xtpToolTipIconInfo icon. Note that this displays the Caption and DescriptionText of the CommandBar controls and not the ToolTipText.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

Example

[ShowTitleAndDescription Sample (Visual Basic)] This sample illustrates how to display a tool tip window that displays the Caption, DescriptionText, and XTPToolTipIcon.

    CommandBars.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo

See Also

ShowTitleAndDescription Method | DescriptionText Property | Caption Property


%%PageItemTitle%%

Style Property

See Also Command Bars ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTipText property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc. The picture below illustrates an RTF tool tip that includes bold text, colored text, underlined text, a new font, and bullets.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the specified resource to draw the window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTipText property will be displayed in the tool tip window. If this property is not set, then the Caption of the control will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


%%PageItemTitle%%

ControlRButtonUp Event | ShowPopup Method

See Also Command Bars ActiveX Control v19.3

XTPTrackPopupFlags Enumeration

Description

Specifies various properties used when displaying a popup with the ShowPopup method.

Members

Member | Description
TPM_RETURNCMD | Returns the Id of the control instead of triggering the execute event. The execute event will not be triggered.
TPM_RIGHTBUTTON | Allows you to choose a menu item using a right click.
TPM_RIGHTALIGN | Right aligns the menu starting from the x and y coordinates.
TPM_RECURSE | Used to display a menu when another menu is already displayed. This is intended to support context menus within a menu. This flag can be used to display a popup menu when a control in a popup menu is right-clicked. The ControlRButtonUp event is executed when a control in a popup menu is right-clicked.

Remarks

The XTPTrackPopupFlags flags are used with the ShowPopup method to display popup menus.

See Also

ControlRButtonUp Event | ShowPopup Method


%%PageItemTitle%%

VisualTheme Property

See Also Command Bars ActiveX Control v19.3

XTPVisualTheme Enumeration

Description

Specifies the visual themes which are used to display command bars.

Members

Member | Description
xtpThemeOffice2000 | Specifies the Office2000 visual theme.
xtpThemeOfficeXP | Specifies the OfficeXP visual theme.
xtpThemeOffice2003 | Specifies the Office2003 visual theme.
xtpThemeNativeWinXP | Specifies the WindowsXP visual style.
xtpThemeWhidbey | Specifies the Visual Studio 2005 "Whidbey" visual style.
xtpThemeResource | This setting is used when loading a theme from a resource. To make the CommandBars will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpThemeRibbon | Specifies the Ribbon visual theme. Note that this is very similar to the xtpThemeResource theme with only small differences that can bee seen when a button is highlighted and the menu text color is different. There is just more graphics with this theme to give a "glass" look on mouse over. This setting is also used when loading a theme from a resource. To make the Ribbon will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpThemeVisualStudio2008 | Specifies the Visual Studio 2008 visual style.
xtpThemeVisualStudio6 | Specifies the Visual Studio 6 visual style.
xtpThemeVisualStudio2010 | Specifies the Visual Studio 2010 visual style.
xtpThemeOffice2007System | Office 2007 System theme.
xtpThemeOffice2013 | Specifies the Office 2013 visual style.
xtpThemeOffice2016 | Office 2016 theme.
xtpThemeVisualStudio2012 | Specifies the Visual Studio 2012 visual style. To be used with a resource file only. Its recommended to use xtpThemeVisualStudio2012Light or xtpThemeVisualStudio2012Dark.
xtpThemeVisualStudio2012Light | Specifies the Visual Studio 2012 Light visual style.
xtpThemeVisualStudio2012Dark | Specifies the Visual Studio 2012 Dark visual style.
xtpThemeVisualStudio2015 | VisualStudio2015 theme.

See Also

VisualTheme Property


%%PageItemTitle%%

TabWorkspace Flags

See Also Command Bars ActiveX Control v19.3

XTPWorkspaceButtons Enumeration

Description

Specifies which tab navigation buttons to display in the TabWorkspace.

Members

Member | Description
xtpWorkspaceHideArrows | Use this flag to hide the arrow buttons in the tab workspace.
xtpWorkspaceHideClose | Use this flag to hide the close button in the tab workspace.
xtpWorkspaceHideAll | Use this flag to hide all buttons in the tab workspace.
xtpWorkspaceShowActiveFiles | Use this flag to show active file button.
xtpWorkspaceHideArrowsAlways | Use this flag to hide arrow buttons always.
xtpWorkspaceShowCloseTab | Use this flag to show a close button in the tab button.
xtpWorkspaceShowCloseSelectedTab | Use this flag to show a close button in the selected tab button.

Example

[TabWorkspace Button Sample (Visual Basic)] This sample illustrates how to show\hide the TabWorkspace buttons.

    'This sample code illustrates how to hide the tab workspace Close button.
    CommandBars.TabWorkspace.Flags = xtpWorkspaceHideClose

    'This sample code illustrates how to hide the tab workspace Arrow buttons.
    CommandBars.TabWorkspace.Flags = xtpWorkspaceHideArrows

    'This sample code illustrates how to hide All of the tab workspace buttons.
    CommandBars.TabWorkspace.Flags = xtpWorkspaceHideAll

    'This sample code illustrates how to unhide all of the tab workspace buttons. This is the default behavior.
    CommandBars.TabWorkspace.Flags = 0

See Also

TabWorkspace Flags


%%PageItemTitle%%

DoWorkspaceCommand Method | EnableGroups Method | IsWorkspaceCommandEnabled Method

See Also Command Bars ActiveX Control v19.3

XTPWorkspaceCommand Enumeration

Description

Specifies a TabWorkspace tab grouping command. You can use these commands to create tab groups and move tabs via code.

Members

Member | Description
XTP_ID_WORKSPACE_MOVEPREVIOUS | Used to move a TabControlItem to the next tab group.
XTP_ID_WORKSPACE_MOVENEXT | Used to move a TabControlItem to the previous tab group.
XTP_ID_WORKSPACE_NEWHORIZONTAL | Used to create a new horizontal tab group.
XTP_ID_WORKSPACE_NEWVERTICAL | Used to create a new vertical tab group.

Remarks

You have the ability to group tabs vertically or horizontally within the tab workspace. Tabs can easily be moved from one group to another by a drag-and-drop or via code. You can easily add functionality for the user to create a new horizontal/vertical group and move a tab to the previous/next group simply by adding a control in your Command Bar with and Id of 35002. Command Bars will automatically display the appropriate grouping controls for you. For example, if only one tab is present, no grouping controls are displayed.

Example

[Enableing .NET style tab grouping (Visual Basic)] This sample code illustrates how to add a tabbed workspace and enable .NET style tab grouping.

    CommandBars.ShowTabWorkspace(True)
    CommandBars.TabWorkspace.EnableGroups

[Adding Tab Workspace commands to the commandbar (Visual Basic)] This sample code illustrates how to add the tab grouping controls to your command bar. You only need to add one control with the system defined Id 35002. Command Bars will automatically add and remove the appropriate controls for you when the control is clicked.

    Dim ControlWindow As CommandBarPopup

    'This will add a popup menu to the activemenubar
    Set ControlWindow = CommandBars.ActiveMenuBar.Controls.Add(xtpControlPopup, 0, "&Window", -1, False)
    With ControlWindow.CommandBar.Controls
        'This will add the MoveToNextGroup, MoveToPrevGroup, NewHorizontalGroup, and NewVerticalGroup to the
        'commandbar popup menu. Only the most appropriate commands will be displayed
        .Add xtpControlButton, 35002, "&Workspace Actions"

        'The following lines of code manually add the workspace commands, you might do this if the commands
        'should always be shown.
        .Add xtpControlButton, XTP_ID_WORKSAPCE_NEWHORIZONTAL, "New Horizontal Tab Group"
        .Add xtpControlButton, XTP_ID_WORKSAPCE_NEWVERTICAL, "New Vertical Tab Group"
        .Add xtpControlButton, XTP_ID_WORKSAPCE_MOVEPREVIOUS, "Move to Previous Tab Group"
        .Add xtpControlButton, XTP_ID_WORKSAPCE_MOVENEXT, "Move to Next Tab Group"
    End With

See Also

DoWorkspaceCommand Method | EnableGroups Method | IsWorkspaceCommandEnabled Method


%%PageItemTitle%%

NewTabPosition Property

See Also Command Bars ActiveX Control v19.3

XTPWorkspaceNewTabPosition Enumeration

Description

The XTPWorkspaceNewTabPosition enumeration is used to specify where a new tab will appear in the tab workspace.

Members

Member | Description
xtpWorkspaceNewTabRightMost | New tab will be created after all tabs. This means it will be the last tab in the row.
xtpWorkspaceNewTabLeftMost | New tab will be created before all tabs. This means it will be the first tab in the row.
xtpWorkspaceNewTabNextToActive | New tab will be created\inserted after the currently active tab.

Remarks

The NewTabPosition property used the XTPWorkspaceNewTabPosition enumeration to specify where tabs are inserted in the tab workspace when a new tab is added.

See Also

NewTabPosition Property


Docking Pane ActiveX Controls v19.3

Docking Pane ActiveX Control v19.3
Docking Pane ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
DockingPane | Represents a DockingPane manager.
DockingPaneFrame | DockingPane object that contains it's own frame. Designed for use in environments such as Access.
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DockingPaneGlobalSettings | Docking Pane Global Settings.
DockingPaneLayout | The DockingPaneLayout object is used to store a docking pane layout. The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save.
DockingPaneOptions | The options for the DockingPanes
DockingPanePaintManager | The DockingPanePaintManager object is used to hold various pane painting properties.
DockingPaneTrackSize | Object used to store the minimum and maximum pane widths and heights.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
Pane | Represents a docking pane.
PaneActionContainer | Object used in the Action event to provide additional information about where a Pane will be\has been docked.
PaneContainer | Container object used in creating the structure/layout of docking panes.
PropExchange | hello Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
TabControlItem | A tab object
TabManagerMargin | Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.
TabPaintManager | Represents the appearance of the tabs.
TabPaintManagerColorSet | The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab. The default tab colors for each theme can be changed using the ColorSet property.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
DockingContextStickerStyle | Specifies the style of the docking stickers.
DockingDirection | Specifies the direction where a pane is docked.
DockingPaneAction | Specifies the action a docking pane is currently performing
DockingPaneCaptionButtonStyle | Caption button styles.
DockingPaneCaptionDirection | Specifies the direction that the docking pane caption will be displayed. This will be vertical or horizontal.
DockingPaneEnableOptions | Flags that specify the extent a pane is enabled\disabled.
DockingPaneKeyboardNavigate | Specifies the keyboard keys that can be used to navigate the docking panes.
DockingPaneSplitterStyle | Specifies the docking pane splitter bar style.
DockingPaneTabButtonFlags | Options to specify when a tab close button will be shown.
DockingPaneType | Specifies the type of a docking pane container.
PaneOptions | Docking Pane Options enumeration.
VisualTheme | Specifies various visual themes which are used to display docking panes
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies the state of an icon.
XTPScaleMode | Converts the measurement units between pixels and twirps
XTPTabAppearanceStyle | The appearance of the tabs
XTPTabClientFrame | The type of border that will be used around the client frame
XTPTabColorStyle | Sets the color style of the tabs for the currently set Appearance.
XTPTabDrawTextFormat | Specifies the text format used for displaying text in tab buttons.
XTPTabLayoutStyle | Specifies how the tabs will be sized within the tabbed workspace
XTPTabPosition | The position of the tabs within the tabbed workspace
XTPTabToolTipBehaviour | Specifies when tool tips should be displayed for tab buttons in groups of panes.
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Docking Pane ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Docking Pane ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the DockingPane if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Docking Pane control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Docking Pane ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

Example

[GetCurrentSystemTheme Sample (Visual Basic)] This sample illustrates how to use the GetCurrentSystemTheme function to determine the current Windows XP theme. If a Windows XP theme is not used, then applications using the xtpThemeOffice2003 can emulate the Windows XP Olive, Silver, and Gold themes using the SystemTheme property. Themes can be emulated on all Operating systems.

Private Sub MDIForm_Initialize()
    Dim dpColorManager As ColorManager

    Set dpColorManager = DockingPaneGlobalSettings.ColorManager

    'Get current system theme
    Select Case dpColorManager.GetCurrentSystemTheme
        'If OS is Windows XP and the theme is Olive, Silver, or Blue, then use OS settings for theme
        Case xtpSystemThemeBlue, _
             xtpSystemThemeSilver, _
             xtpSystemThemeOlive:
             'Running Windows XP and using a luna theme
             Debug.Print dpColorManager.GetCurrentSystemTheme
             DockingPane.VisualTheme = xtpThemeOffice2003

        'If OS is NOT Windows XP and\or theme is not Olive, Silver, or Blue, the set theme to Auto.
        Case xtpSystemThemeUnknown:
             dpColorManager.SystemTheme = xtpSystemThemeAuto
             DockingPane.VisualTheme = xtpThemeOfficeXP
    End Select

End Sub

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Docking Pane ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Docking Pane ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Docking Pane ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the DockingPane if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Docking Pane ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Docking Pane control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Docking Panes can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Docking Panes can use the Olive theme while the OS is running the Blue theme, this results in Olive themed DockingPanes and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

DockingPane Members

See Also Docking Pane ActiveX Control v19.3

DockingPane Control

Description

Represents a DockingPane manager.

For a list of all members defined in this module, see DockingPane members.

Object Model

See Also

DockingPane Members


%%PageItemTitle%% $$Members$$

DockingPane Overview

See Also Docking Pane ActiveX Control v19.3

DockingPane Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control.
Public Method AddIconHandle | Adds an icon to be used in the docking pane tabs.
Public Method AttachPane | Call this member to attach a pane to another pane creating a group of panes.
Public Method AttachToWindow | Specifies the control that will contain the Docking Panes.
Public Method CloseAll | Closes all panes
Public Method CreateLayout | The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout. The DockingPaneLayout object created is used with the GetLayout and SetLayout methods to load and set docking pane layouts.
Public Method CreatePane | Call this member function to create a docking pane.
Public Method DestroyAll | Destroys all panes
Public Method DestroyPane | Destroys the specified pane
Public Method DockPane | Moves\docks an existing pane to another side of an application or pane.
Public Method DockSidePane | Docks a pane to an inside edge of the client area when side docking is enabled.
Public Method EnableKeyboardNavigate | Specifies the keyboard keys that can be used to navigate the docking panes.
Public Method FindPane | Finds and returns the specified docking pane, searching by pane Id.
Public Method FloatPane | Floats the specified pane and resizes the pane with the given dimensions.
Public Method GetClientRect | Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes. This is needed so you know where the docking panes can be drawn.
Public Method GetLayout | The GetLayout method retrieves the currently used docking pane layout.
Public Method HidePane | Call this member to hide a pane.
Public Method LoadState | Loads the pane layout from the registry.
Public Method LoadStateFromString | Loads the pane layout from a string.
Public Method NormalizeSplitters | Used to remember the location of splitters.
Public Method RecalcLayout | Recalculates the entire layout of the docking panes on the form.
Public Method RedrawPanes | Redraws the panes
Public Method SaveState | Saves the pane layout to the registry.
Public Method SaveStateToString | Saves the pane layout to a string
Public Method SetCommandBars | Sets a CommandBars object to associate with this Docking Pane object.
Public Method SetLayout | The SetLayout method sets the layout of the docking panes. The SetLayout method set a state\layout saved by the GetLayout method.
Public Method SetMDIClient | Used in .NET to set handle to MDI client window.
Public Method ShowPane | Call this member to show (activate) a pane by its identifier.
Public Method UpdatePanes | Updates the state of the panes.

Public Properties

Public Property ActivePane | The ActivePane property holds a reference to the currently active Pane.
Public Property Icons | A collection of icons stored in an ImageManager control. This allows you to use images stored in the CommandBars ImageManager control in your docking pane tabs. The images from the ImageManager are displayed in the docking pane tabs
Public Property ImageList | Sets/Gets the imagelist associated with DockingPanes.
Public Property Layout | Used to store a docking pane layout.
Public Property Options | Gets/Sets the options of the docking pane
Public Property PaintManager | The PaintManager object is used to hold various pane painting properties.
Public Property PanelPaintManager | Gets the panel PaintManager properties. The panel paint manager is used to customize the appearance of your docking pane auto hide panel. The auto hide panel is displayed when you hide your docking panes.
Public Property Panes | The DockingPaneManager's collection of panes.
Public Property PanesCount | Gets the count of the total number of panes present.
Public Property ReCreateReparented |
Public Property ScaleMode | Used to change the Docking Pane's measurement units/coordinate system
Public Property TabPaintManager | Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your docking pane tabs when the docking pane is NOT hidden.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property VisualTheme | Gets/Sets the visual theme which is used by the docking panes.

Events

Public Event Action | Occurs when a docking pane is performing an action.
Public Event AttachPane | Occurs once when a pane is about to be displayed.
Public Event GetClientBordersWidth | Occurs when the docking pane layout changes.
Public Event PanePopupMenu | Occurs when the pane caption Menu Button is pressed.
Public Event RClick | The RClick event occurs when the user right-clicks anywhere on the pane caption or on the tab button of a pane.
Public Event ReCreated |
Public Event Resize | Occurs when the docking pane layout changes.
Public Event ResizeClient | Occurs when the docking pane layout changes.

See Also

DockingPane Overview


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control.

Syntax

Public Sub AboutBox()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Icon
The handle to the icon
Id
The id for which this icon will be used
See Also Docking Pane ActiveX Control v19.3

AddIconHandle Method

Description

Adds an icon to be used in the docking pane tabs.

Syntax

Public Sub AddIconHandle( _
   ByVal Icon As Long, _
   ByVal Id As Long _
)

Parameters

Icon
The handle to the icon
Id
The id for which this icon will be used

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Pane
Pane to be attached
Neighbour
Pane's Neighbor
See Also Docking Pane ActiveX Control v19.3

AttachPane Method

Description

Call this member to attach a pane to another pane creating a group of panes.

Syntax

Public Sub AttachPane( _
   ByVal Pane As Pane, _
   ByVal Neighbour As Pane _
)

Parameters

Pane
Pane to be attached
Neighbour
Pane's Neighbor

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

hWnd
Handle to a control that will be the container for the Docking Panes.
See Also Docking Pane ActiveX Control v19.3

AttachToWindow Method

Description

Specifies the control that will contain the Docking Panes.

Syntax

Public Sub AttachToWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to a control that will be the container for the Docking Panes.

Remarks

Any control with a hWnd or Handle property can be used as a container for the Docking Panes. The Docking Panes will treat the container control exactly like when it is added to a form. The Docking Panes will dock to the edges of the container control and resize with when the container is resized.

The picture below shows a RTF TextBox control that contains the Docking Panes.

Example

[AttachToWindow Sample (Visual Basic)] This sample illustrates how to specify the parent container for a CommandBars control.

     DockingPaneManager.AttachToWindow rtfText.hwnd

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

CloseAll Method

Description

Closes all panes

Syntax

Public Sub CloseAll()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | GetLayout Method | SetLayout Method

See Also Docking Pane ActiveX Control v19.3

CreateLayout Method

Description

The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout. The DockingPaneLayout object created is used with the GetLayout and SetLayout methods to load and set docking pane layouts.

Syntax

Public Function CreateLayout() As DockingPaneLayout

Return Type

Returns a DockingPaneLayout object to store a docking pane state/layout.

Remarks

The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout.

To save the current state\layout of the docking panes, the GetLayout method is used. Before the GetLayout method can be called, a DockingPaneLayout object must be created using the CreateLayout method.

The SetLayout method will restore the state/layout of all the docking panes to a previous state\layout stored in a DockingPaneLayout object.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPane Control | GetLayout Method | SetLayout Method


%%PageItemTitle%%

DockingPane Control

Id
Unique identifier of the pane
cx
The initial width of the pane.
cy
The initial height of the pane.
Direction

Docking direction. It can be one of the following:

  • dockTopof - To dock pane to the top of the neighbor
  • dockLeftof - To dock pane to the left of the neighbor
  • dockRightof - To dock pane to the right of the neighbor
  • dockBottomof - To dock pane to the bottom of the neighbor
Neighbour
Pane's Neighbor. It can be NULL to use the frame as a neighbor.
See Also Docking Pane ActiveX Control v19.3

CreatePane Method

Description

Call this member function to create a docking pane.

Syntax

Public Function CreatePane( _
   ByVal Id As Long, _
   ByVal cx As Long, _
   ByVal cy As Long, _
   ByVal Direction As DockingDirection, _
   Optional ByVal Neighbour As Variant _
) As Pane

Parameters

Id
Unique identifier of the pane
cx
The initial width of the pane.
cy
The initial height of the pane.
Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane

Docking direction. It can be one of the following:

  • dockTopof - To dock pane to the top of the neighbor
  • dockLeftof - To dock pane to the left of the neighbor
  • dockRightof - To dock pane to the right of the neighbor
  • dockBottomof - To dock pane to the bottom of the neighbor
Neighbour
Pane's Neighbor. It can be NULL to use the frame as a neighbor.

Return Type

A Pane object.

Remarks

When creating a pane, you specify the docking direction, which specifies the direction the pane will be docked in relation to another pane or one of the client boarders.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

DestroyAll Method

Description

Destroys all panes

Syntax

Public Sub DestroyAll()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Pane
Pane to be destroyed
See Also Docking Pane ActiveX Control v19.3

DestroyPane Method

Description

Destroys the specified pane

Syntax

Public Sub DestroyPane( _
   ByVal Pane As Pane _
)

Parameters

Pane
Pane to be destroyed

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Pane
The pane to be moved.
cx
The new width of the pane.
cy
The new height of the pane.
Direction

Docking direction. It can be one of the following:

  • DockTopOf - To dock pane to the top of the neighbor
  • DockLeftOf - To dock pane to the left of the neighbor
  • DockRightOf - To dock pane to the right of the neighbor
  • DockBottomOf - To dock pane to the bottom of the neighbor

If a Neighbour is not specified, then the pane will be docked to the specified side of the application.

Neighbour
The new neighbor of the pane that will be moved. It can be NULL to use the application's frame as a neighbor. The pane will be docked to the specified direction of the neighbor.
See Also Docking Pane ActiveX Control v19.3

DockPane Method

Description

Moves\docks an existing pane to another side of an application or pane.

Syntax

Public Sub DockPane( _
   ByVal Pane As Pane, _
   ByVal cx As Long, _
   ByVal cy As Long, _
   ByVal Direction As DockingDirection, _
   Optional ByVal Neighbour As Variant _
)

Parameters

Pane
The pane to be moved.
cx
The new width of the pane.
cy
The new height of the pane.
Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane

Docking direction. It can be one of the following:

  • DockTopOf - To dock pane to the top of the neighbor
  • DockLeftOf - To dock pane to the left of the neighbor
  • DockRightOf - To dock pane to the right of the neighbor
  • DockBottomOf - To dock pane to the bottom of the neighbor

If a Neighbour is not specified, then the pane will be docked to the specified side of the application.

Neighbour
The new neighbor of the pane that will be moved. It can be NULL to use the application's frame as a neighbor. The pane will be docked to the specified direction of the neighbor.

Remarks

The DockPane method allows an existing pane to be moves\docked to a new location. The docking direction specifies the direction the pane will be docked in relation to another pane(Neighbour) or the application's client boarders.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | SetSideDockingMargin Method | SideDocking Property

Pane
Refence to the pane to dock.
Offset
Number of pixels to offset the pane from the inside top edge of the client area. This only has an effect when using the DockLeftOf and DockRightOf direction.
Direction
Edge of client the pane will dock to.
See Also Docking Pane ActiveX Control v19.3

DockSidePane Method

Description

Docks a pane to an inside edge of the client area when side docking is enabled.

Syntax

Public Sub DockSidePane( _
   ByVal Pane As Pane, _
   ByVal Offset As Integer, _
   ByVal Direction As DockingDirection _
)

Parameters

Pane
Refence to the pane to dock.
Offset
Number of pixels to offset the pane from the inside top edge of the client area. This only has an effect when using the DockLeftOf and DockRightOf direction.
Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane
Edge of client the pane will dock to.

Remarks

DockSidePane will dock a pane to the inside edge of the client using code. SideDocking must be enabled for DockSidePane to have any effect.

SideDocking enables or disabled "Visio" style client edge docking. Side docking can only occur to the inside edges of the client area. When SideDocking is enabled any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The pane will "snap" to the inside edge of the client and will leave a margin equal to that specified by SetSideDockingMargin.

SideDocking does not effect normal docking of panes. You will need to drag the pane past the side docking margin for normal docking algorithms to be used.

The picture below shows panes side docked to all edges of the client. The side docking margin in the picture is 23 pixels.

See Also

DockingPane Control | SetSideDockingMargin Method | SideDocking Property


%%PageItemTitle%%

DockingPane Control

Options
Flags that specify which keys can be used to navigate the panes.
See Also Docking Pane ActiveX Control v19.3

EnableKeyboardNavigate Method

Description

Specifies the keyboard keys that can be used to navigate the docking panes.

Syntax

Public Sub EnableKeyboardNavigate( _
   ByVal Options As DockingPaneKeyboardNavigate _
)

Parameters

Options
Value | Description
PaneKeyboardUnused | Panes can not be navigated using the keyboard.
PaneKeyboardUseAltMinus Panes can be navigated using the Alt+Minus keys on the keyboard.

Using this key combination causes a drop-down menu to appear in which you can then select the move option. You can then use the keyboard arrow keys to move the pane.

PaneKeyboardUseAltF6 Panes can be navigated using the Alt+F6 keys on the keyboard.

Using this key combination causes focus to be passed directly to the next pane.

PaneKeyboardUseAltF7 Panes can be navigated using the Alt+F7 keys on the keyboard.

Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window.

See the image in the remarks section for a picture of the popup window.

PaneKeyboardUseCtrlTab Panes can be navigated using the Ctrl+Tab keys on the keyboard.

Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window.

See the image in the remarks section for a picture of the popup window.

PaneKeyboardUseAll | Panes can be navigated using the Alt+Minus, Alt+F6, Alt+F7 and Ctrl+Tab keys on the keyboard.
Flags that specify which keys can be used to navigate the panes.

Return Type

One or more flags from the DockingPaneKeyboardNavigate enumeration the specify which keys are used to navigate the panes.

Remarks

The EnableKeyboardNavigate method uses one or more flags from the DockingPaneKeyboardNavigate enumeration to specify which keys can be used to navigate the panes.

By default PaneKeyboardUnused is used.

Example

[EnableKeyboardNavigate Sample (Visual Basic)] This sample illustrates how to enable keyboard navigation of the docking panes.

DockingPaneManager.EnableKeyboardNavigate PaneKeyboardUseAll

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Id
Pane's identifier
See Also Docking Pane ActiveX Control v19.3

FindPane Method

Description

Finds and returns the specified docking pane, searching by pane Id.

Syntax

Public Function FindPane( _
   ByVal Id As Long _
) As Pane

Parameters

Id
Pane's identifier

Return Type

A pane object.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Pane
Pane to float
Left
New left coordinate of the pane
Top
New top coordinate of the pane
Right
New right coordinate of the pane
Bottom
New bottom coordinate of the pane
See Also Docking Pane ActiveX Control v19.3

FloatPane Method

Description

Floats the specified pane and resizes the pane with the given dimensions.

Syntax

Public Sub FloatPane( _
   ByVal Pane As Pane, _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Pane
Pane to float
Left
New left coordinate of the pane
Top
New top coordinate of the pane
Right
New right coordinate of the pane
Bottom
New bottom coordinate of the pane

Remarks

Floats a pane. By using the left, top, right, and bottom parameters, you can specify the position and size of the pane when it has been floated.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.
See Also Docking Pane ActiveX Control v19.3

GetClientRect Method

Description

Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes. This is needed so you know where the docking panes can be drawn.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | CreateLayout Method | SetLayout Method | DockingPaneLayout Object

Layout
Reference to a DockingPaneLayout object that will contain the currently used docking pane layout.
See Also Docking Pane ActiveX Control v19.3

GetLayout Method

Description

The GetLayout method retrieves the currently used docking pane layout.

Syntax

Public Sub GetLayout( _
   ByVal Layout As DockingPaneLayout _
)

Parameters

Layout
Reference to a DockingPaneLayout object that will contain the currently used docking pane layout.

Return Type

The GetLayout method will get the state/layout of all the docking panes at the time the method is called. The state/layout information is stored in a DockingPaneLayout object. Before the GetLayout method can be called, a DockingPaneLayout object must be created to store the layout information. The CreateLayout method is used to create a DockingPaneLayout object to store the state/layout information.

The GetLayout method allows the layout to be saved so it can be used a a later time to restore the layout to a previous state. To later restore the state/layout of the docking panes to the state/layout stored in a DockingPaneLayout object, the SetLayout method is used.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPane Control | CreateLayout Method | SetLayout Method | DockingPaneLayout Object


%%PageItemTitle%%

DockingPane Control

Pane
Points to a Pane object
See Also Docking Pane ActiveX Control v19.3

HidePane Method

Description

Call this member to hide a pane.

Syntax

Public Sub HidePane( _
   ByVal Pane As Pane _
)

Parameters

Pane
Points to a Pane object

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | SaveState Method

RegistryKey
AppName
Section
See Also Docking Pane ActiveX Control v19.3

LoadState Method

Description

Loads the pane layout from the registry.

Syntax

Public Sub LoadState( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
AppName
Section

Remarks

The layout will be loaded from the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "DockingPaneLayouts" + Section.

See Also

DockingPane Control | SaveState Method


%%PageItemTitle%%

DockingPane Control | SaveStateToString Method

Node
String that will contain the DockingPane layout.
See Also Docking Pane ActiveX Control v19.3

LoadStateFromString Method

Description

Loads the pane layout from a string.

Syntax

Public Sub LoadStateFromString( _
   ByVal Node As String _
)

Parameters

Node
String that will contain the DockingPane layout.

Remarks

Xtreme Docking Panes will save the status, location, and preferences of each individual docking pane. Layouts can easily be saved to a file so each individual user can have their own custom layout.

Example

[LoadStateFromString Sample (Visual Basic)] This sample code illustrates how to Load your Docking Pane layout from a string saved in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    On Error Resume Next:

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    sLayout = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , sLayout
    Close #FreeF
    On Error GoTo 0
    DockingPaneManager.LoadStateFromString sLayout

See Also

DockingPane Control | SaveStateToString Method


%%PageItemTitle%%

DockingPane Control | MaxTrackSize Property | MinTrackSize Property

See Also Docking Pane ActiveX Control v19.3

NormalizeSplitters Method

Description

Used to remember the location of splitters.

Syntax

Public Sub NormalizeSplitters()

Remarks

This is useful when changing the size of docking panes. You would call this method after resizing a pane so set the maximum and minumum width and height a pane can be.

Example

[NormalizeSplitters Sample (Visual Basic)] This sample illustrates how to use this methid.

    Dim A As Pane, B As Pane

    'Get reference to pane
    Set A = DockingPaneManager.FindPane(1)

    'Resize pane to desired size, this will resize the pane
    'to the specified width and height (100x100)
    A.MinTrackSize.SetSize 100, 100
    A.MaxTrackSize.SetSize 100, 100

    DockingPaneManager.RecalcLayout

    'Remember previous SetSize settings
    DockingPaneManager.NormalizeSplitters

    'Set the minimum and maximum sizes the splitter can move
    'Note, this will not resize the pane, it is specifying how
    'large the user can move the splitters
    'Maximum\Minimum size will be 0x0 and 200x200
    A.MinTrackSize.SetSize 0, 0
    A.MaxTrackSize.SetSize 200, 200

See Also

DockingPane Control | MaxTrackSize Property | MinTrackSize Property


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

RecalcLayout Method

Description

Recalculates the entire layout of the docking panes on the form.

Syntax

Public Sub RecalcLayout()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

RedrawPanes Method

Description

Redraws the panes

Syntax

Public Sub RedrawPanes()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | LoadState Method

RegistryKey
AppName
Section
See Also Docking Pane ActiveX Control v19.3

SaveState Method

Description

Saves the pane layout to the registry.

Syntax

Public Sub SaveState( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
AppName
Section

Remarks

The layout will be saved to the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "DockingPaneLayouts" + Section.

See Also

DockingPane Control | LoadState Method


%%PageItemTitle%%

DockingPane Control | LoadStateFromString Method

See Also Docking Pane ActiveX Control v19.3

SaveStateToString Method

Description

Saves the pane layout to a string

Syntax

Public Function SaveStateToString() As String

Return Type

Returns a string that contains the DockingPane layout.

Example

[SaveStateToString Sample (Visual Basic)] This sample code illustrates how to Save your Docking Pane layout to a string and save the string in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    Kill sFile
    Open sFile For Binary As #FreeF
    Put #FreeF, , DockingPaneManager.SaveStateToString
    Close #FreeF

See Also

DockingPane Control | LoadStateFromString Method


%%PageItemTitle%%

DockingPane Control

CommandBars
The command bars object.
See Also Docking Pane ActiveX Control v19.3

SetCommandBars Method

Description

Sets a CommandBars object to associate with this Docking Pane object.

Syntax

Public Sub SetCommandBars( _
   ByVal CommandBars As Object _
)

Parameters

CommandBars
The command bars object.

Remarks

If you use both DockingPanes and CommandBars in the same form, associate the command bars with the docking pane manager using this property. This is necessary for correct resizing and layout of controls on the form.

NOTE: It might be necessary to change the ZOrder of the DockingPaneManager control. Simply right-click the control at design-time and select send-to-back. The ComandBars must be "in-front" of the DockingPane control.

Example

[SetCommandBars Sample (Visual Basic)]

    DockingPaneManager.SetCommandBars Me.CommandBars

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | GetLayout Method | CreateLayout Method

Layout
Reference to a DockingPaneLayout object that contains the new state\layout for the docking panes.
See Also Docking Pane ActiveX Control v19.3

SetLayout Method

Description

The SetLayout method sets the layout of the docking panes. The SetLayout method set a state\layout saved by the GetLayout method.

Syntax

Public Sub SetLayout( _
   ByVal Layout As DockingPaneLayout _
)

Parameters

Layout
Reference to a DockingPaneLayout object that contains the new state\layout for the docking panes.

Remarks

The SetLayout method will restore the state/layout of all the docking panes to a previous state\layout stored in a DockingPaneLayout object. The GetLayout method is used to save the state\layout of the docking panes to a DockingPaneLayout object so it can later be restored with SetLayout method.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPane Control | GetLayout Method | CreateLayout Method


%%PageItemTitle%%

DockingPane Control

hWnd
Handle to MDI client window
See Also Docking Pane ActiveX Control v19.3

SetMDIClient Method

Description

Used in .NET to set handle to MDI client window.

Syntax

Public Sub SetMDIClient( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to MDI client window

Remarks

Only used in .NET. This is only required when using the DockingPane control in an MDI Application where the form that contains the DockingPane control has the IsMDIContainter property set to True.

Example

[SetMDIClient Sample (C#)] This sample illustrates how to set the handle to the MDI client window in .NET.

            foreach (Control ctrl in this.Controls)
            {
                if (ctrl is MdiClient)
                {
                    DockingPaneManager.SetMDIClient(ctrl.Handle.ToInt32());
                }
            }

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Id
Pane's identifier
See Also Docking Pane ActiveX Control v19.3

ShowPane Method

Description

Call this member to show (activate) a pane by its identifier.

Syntax

Public Sub ShowPane( _
   ByVal Id As Long _
)

Parameters

Id
Pane's identifier

Remarks

Note: This method requires that the pane is not be empty (no object is attached) to work correctly.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

UpdatePanes Method

Description

Updates the state of the panes.

Syntax

Public Sub UpdatePanes()

Remarks

The UpdatePanes method updates the state of the panes such as the currently active pane.

For example, the UpdatePanes method should be used when focus is given to an edit control inside a pane. This will update the currently active pane. The Docking Panes do no detect that the focus has changed until after the OnLButtonDown events, so it could be true that an edit control has focus in a pane that is not active, that is why UpdatePanes should be called.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | Action Event | DockingPaneAction Enumeration | HighlighActiveCaption Property

See Also Docking Pane ActiveX Control v19.3

ActivePane Property

Description

The ActivePane property holds a reference to the currently active Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActivePane() As Pane

Remarks

When a pane become active the Action event occurs with the PaneActivated action. The PaneActivated action will occur before the ActivePane property references the active pane. Once the pane become deactivated, the PaneDeactivated action will occur and ActivePane will be Null/Nothing until another pane becomes active.

If no pane is currently active, then ActivePane will be Null/Nothing.

The caption of the currently active pane can be highlighted if the HighlightActiveCaption is TRUE.

See Also

DockingPane Control | Action Event | DockingPaneAction Enumeration | HighlighActiveCaption Property


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

Icons Property

Description

A collection of icons stored in an ImageManager control. This allows you to use images stored in the CommandBars ImageManager control in your docking pane tabs. The images from the ImageManager are displayed in the docking pane tabs

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

ImageList Property

Description

Sets/Gets the imagelist associated with DockingPanes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageList() As Object

Remarks

The images from the imagelist are displayed in the docking pane tabs. The pane will use the image in the imagelist with a "tag" value that is the same value as the IconId of the pane.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

Layout Property

Description

Used to store a docking pane layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Layout() As DockingPaneLayout

Remarks

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

Options Property

Description

Gets/Sets the options of the docking pane

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As DockingPaneOptions

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property

See Also Docking Pane ActiveX Control v19.3

PaintManager Property

Description

The PaintManager object is used to hold various pane painting properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As DockingPanePaintManager

Remarks

The PaintManager allows you to change the font of the pane captions, hide the pane captions, highlight the active pane's caption, and show the tab button for a single pane.

See Also

DockingPane Control | CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property

Example

CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

PanelPaintManager Property

Description

Gets the panel PaintManager properties. The panel paint manager is used to customize the appearance of your docking pane auto hide panel. The auto hide panel is displayed when you hide your docking panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PanelPaintManager() As TabPaintManager

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

nIndex
Index of the panes you wish to return.
See Also Docking Pane ActiveX Control v19.3

Panes Property

Description

The DockingPaneManager's collection of panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Panes( _
   ByVal nIndex As Long _
) As Pane

Parameters

nIndex
Index of the panes you wish to return.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

PanesCount Property

Description

Gets the count of the total number of panes present.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PanesCount() As Long

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

ScaleMode Property

Description

Used to change the Docking Pane's measurement units/coordinate system

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleMode() As XTPScaleMode

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

TabPaintManager Property

Description

Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your docking pane tabs when the docking pane is NOT hidden.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabPaintManager() As TabPaintManager

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse is positioned over the tab button of a docking pane when it is in a group of panes.

See the ToolTipContext object for a complete list of methods and properties.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used by the docking panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As VisualTheme

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Action

The action of the docking pane

Pane
The pane performing the action.
Container
Object used to provide additional information about where a Pane will be\has been docked. See Container Sample.
Cancel
Cancels the action
See Also Docking Pane ActiveX Control v19.3

Action Event

Description

Occurs when a docking pane is performing an action.

Syntax

Public Event Action( _
   ByVal Action As DockingPaneAction, _
   ByVal Pane As Pane, _
   ByVal Container As PaneActionContainer, _
   ByRef Cancel As Boolean _
)

Parameters

Action
Value | Description
PaneActionFloating | Docking pane is currently floating. This occurs when the user clicks on the title bar of a docking pane and drags the pane to another location. When this occurs, the pane is said to be "floating."
PaneActionFloated | Docking pane has been docked, and is currently floating.
PaneActionClosing | Docking pane is currently closing. This occurs when the close button of the pane is clicked.
PaneActionClosed | Docking pane has been closed. This occurs when the docking pane has finished closing.
PaneActionDocking | Docking pane is in the process of docking.
PaneActionDocked | Docking pane has been docked. This occurs when the docking pane has finished docking.
PaneActionAttaching | Docking pane is in the process of attaching to another pane.
PaneActionAttached | Docking pane has been attached. This occurs when the docking pane has finished attaching to another pane.
PaneActionPinning | Docking pane is currently pinning. This occurs when the "pin" button is clicked to make the pane remain visible.
PaneActionPinned | Docking pane has been pinned. This occurs when the docking pane has finished pinning.
PaneActionCollapsing | Docking pane is currently collapsing (hiding). This occurs when a pane is going back to its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionCollapsed | Docking Pane has been collapsed. This occurs when the docking pane has finished collapsing.
PaneActionExpanding | Docking pane is currently expanding. This occurs when a pane is being displayed from its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is then expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionExpanded | Docking pane is expanded, this is when the pane is fully shown from the autohide position.
PaneActionActivated | Docking Pane becomes active. After this action, the ActivePane property will hold a reference to the currently active pane.
PaneActionDeactivated | Docking Pane becomes deactivated. After this action, the ActivePane property become Null/Nothing.
PaneActionDetaching | Docking Pane is removed from a group of panes. This occurs when a pane that is in a group of two or more panes is dragged from the group. The PaneActionFloating action will always follow this action as the pane is floating while it is being dragged to a new location.
PaneActionDragging | Docking Pane has started to be dragged. This occurs when a pane first starts to be dragged.
PaneActionUnpinning | Docking Pane is in the process of un-pinning. This occurs when the pin button of a pane is clicked to un-pin the pane. This is also know as auto-hide mode.
PaneActionUnpinned | Docking Pane is un-pinned. This occurs when a pane has completely been pinned. The pane will now only show a tab on the side of the container that can be displayed by moving the mouse over the tab. This is also know as auto-hide mode.
PaneActionSplitterResizing | Docking pane splitter resizing.
PaneActionSplitterResized | Docking pane splitter resized.

The action of the docking pane

Pane
The pane performing the action.
Container
Object used to provide additional information about where a Pane will be\has been docked. See Container Sample.
Cancel
Cancels the action

See Also

DockingPane Control

Example

Container Sample


%%PageItemTitle%%

DockingPane Control

Item
Pointer to the Pane the current pane.
See Also Docking Pane ActiveX Control v19.3

AttachPane Event

Description

Occurs once when a pane is about to be displayed.

Syntax

Public Event AttachPane( _
   ByVal Item As Pane _
)

Parameters

Item
Pointer to the Pane the current pane.

Remarks

Use this event to display a child window in the pane. To associate a child window with the pane, use the Handle property of the pane object which is passed as a parameter for this event. This is where you attach an object to the docking pane. I.e. Attaching a form to a docking pane.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Left
The area occupied by controls docked to the left edge of the form.
Top
The area occupied by controls docked to the top edge of the form.
Right
The area occupied by controls docked to the right edge of the form.
Bottom
The area occupied by controls docked to the bottom edge of the form.
See Also Docking Pane ActiveX Control v19.3

GetClientBordersWidth Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event GetClientBordersWidth( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The area occupied by controls docked to the left edge of the form.
Top
The area occupied by controls docked to the top edge of the form.
Right
The area occupied by controls docked to the right edge of the form.
Bottom
The area occupied by controls docked to the bottom edge of the form.

Remarks

A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... This event is triggered before the Resize event to get the client boarders. This event finds the client area and allows you to make any changes to the size of the client boarder before the docking panes are resized. The Resize event is called immediately after.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control | PaneHasMenuButton Flag | PaneOptions Property

Pane
Reference to the pane who's menu button was pressed.
x
X coordinate of the bottom left corner of the Menu Button.
y
Y coordinate of the bottom left corner of the Menu Button.
Handled

True to let the PanePopupMenu finish executing.

False to cancel and exit the PanePopupMenu event.

See Also Docking Pane ActiveX Control v19.3

PanePopupMenu Event

Description

Occurs when the pane caption Menu Button is pressed.

Syntax

Public Event PanePopupMenu( _
   ByVal Pane As Pane, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByRef Handled As Boolean _
)

Parameters

Pane
Reference to the pane who's menu button was pressed.
x
X coordinate of the bottom left corner of the Menu Button.
y
Y coordinate of the bottom left corner of the Menu Button.
Handled

True to let the PanePopupMenu finish executing.

False to cancel and exit the PanePopupMenu event.

Remarks

To add a Menu Button to the caption bar of a pane, use the PaneOptions property to include the PaneHasMenuButton flag. When the button is pressed, the PanePopupMenu event occurs. You can use this event to display a custom drop-down menu.

Example

[PanePopupMenu Sample (C#)] This sample illustrates how to use the PanePopupMenu event to display a popup menu when the Menu Button of a pane is pressed. This will display a popup menu listing 15 colors. Note that this uses the CommandBars control to display the popup, but you can display an menu here.

        private void frmMain_Load(object sender, System.EventArgs e)
        {
            MyColor = new System.Drawing.Color[15];

            MyColor[0] = System.Drawing.Color.AliceBlue;
            MyColor[1] = System.Drawing.Color.Beige;
            MyColor[2] = System.Drawing.Color.Chartreuse;
            MyColor[3] = System.Drawing.Color.DarkBlue;
            MyColor[4] = System.Drawing.Color.Cyan;
            MyColor[5] = System.Drawing.Color.Green;
            MyColor[6] = System.Drawing.Color.Magenta;
            MyColor[7] = System.Drawing.Color.Orange;
            MyColor[8] = System.Drawing.Color.Yellow;
            MyColor[9] = System.Drawing.Color.Salmon;
            MyColor[10] = System.Drawing.Color.Turquoise;
            MyColor[11] = System.Drawing.Color.Red;
            MyColor[12] = System.Drawing.Color.SteelBlue;
            MyColor[13] = System.Drawing.Color.Brown;
            MyColor[14] = System.Drawing.Color.Honeydew;

            Pane A, B;

            A = MDIDockingPaneManager.CreatePane(1, 200, 120, DockingDirection.DockTopOf, null);
            A.Title = "Pane 1";
            A.Options = XtremeDockingPane.PaneOptions.PaneHasMenuButton;
            B = MDIDockingPaneManager.CreatePane(2, 200, 120, DockingDirection.DockLeftOf, A);
            B.Title = "Pane 2";
            B.Options = XtremeDockingPane.PaneOptions.PaneHasMenuButton;
        }

        public System.Drawing.Color [] MyColor;

        private void MDIDockingPaneManager_PanePopupMenu(object sender, AxXtremeDockingPane._DDockingPaneEvents_PanePopupMenuEvent e)
        {
            if (e.pane.Id == 1 || e.pane.Id == 2)
            {

                CommandBar Popup;
                CommandBarControl Control;
                XtremeCommandBars.CommandBarControls Controls;

                Popup = CommandBars.Add("Popup", XtremeCommandBars.XTPBarPosition.xtpBarPopup);
                Controls = Popup.Controls;

                for (int x = 500; x < 515; x++)
                {
                    Control = Controls.Add(XtremeCommandBars.XTPControlType.xtpControlButton, x, MyColor[x - 500].ToString(), -1, false);
                }

                Popup.ShowPopup(XtremeCommandBars.XTPTrackPopupFlags.TPM_RIGHTBUTTON, e.x, e.y);
            }
        }

See Also

DockingPane Control | PaneHasMenuButton Flag | PaneOptions Property


%%PageItemTitle%%

DockingPane Control

Pane
Pointer to the Pane that what right-clicked on.
See Also Docking Pane ActiveX Control v19.3

RClick Event

Description

The RClick event occurs when the user right-clicks anywhere on the pane caption or on the tab button of a pane.

Syntax

Public Event RClick( _
   ByVal Pane As Pane _
)

Parameters

Pane
Pointer to the Pane that what right-clicked on.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

See Also Docking Pane ActiveX Control v19.3

Resize Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event Resize()

Remarks

Occurs when the docking pane layout changes and is called immediately after GetClientBordersWidth. A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... Note: Only the Command Bars Resize event is triggered when the SetCommandBars method is used.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPane Control

Left
Specifies the x-coordinate of the upper-left corner of the rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.
See Also Docking Pane ActiveX Control v19.3

ResizeClient Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event ResizeClient( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Specifies the x-coordinate of the upper-left corner of the rectangle.
Top
Specifies the y-coordinate of the upper-left corner of the rectangle.
Right
Specifies the x-coordinate of the lower-right corner of the rectangle.
Bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.

Remarks

Occurs when the docking pane layout changes and is called immediately after GetClientBordersWidth. A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... Note: Only the Command Bars Resize event is triggered when the SetCommandBars method is used.

See Also

DockingPane Control


%%PageItemTitle%%

DockingPaneFrame Members

See Also Docking Pane ActiveX Control v19.3

DockingPaneFrame Control

Description

DockingPane object that contains it's own frame. Designed for use in environments such as Access.

For a list of all members defined in this module, see DockingPaneFrame members.

Object Model

Remarks

The DockingPaneFrame object contains exactly the same functionality as the DockingPane object. The difference between the DockingPaneFrame and DockingPane objects is that the DockingPaneFrame object can be used in environments such as MS Access 2003 and the DockingPane object can not because it contains it's own frame.

See Also

DockingPaneFrame Members


%%PageItemTitle%% $$Members$$

DockingPaneFrame Overview

See Also Docking Pane ActiveX Control v19.3

DockingPaneFrame Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control.
Public Method AddIconHandle | Adds an icon to be used in the docking pane tabs.
Public Method AttachPane | Call this member to attach a pane to another pane creating a group of panes.
Public Method AttachToWindow | Specifies the control that will contain the Docking Panes.
Public Method CloseAll | Closes all panes
Public Method CreateLayout | The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout. The DockingPaneLayout object created is used with the GetLayout and SetLayout methods to load and set docking pane layouts.
Public Method CreatePane | Call this member function to create a docking pane.
Public Method DestroyAll | Destroys all panes
Public Method DestroyPane | Destroys the specified pane
Public Method DockPane | Moves\docks an existing pane to another side of an application or pane.
Public Method DockSidePane | Docks a pane to an inside edge of the client area when side docking is enabled.
Public Method EnableKeyboardNavigate | Specifies the keyboard keys that can be used to navigate the docking panes.
Public Method FindPane | Finds and returns the specified docking pane, searching by pane Id.
Public Method FloatPane | Floats the specified pane and resizes the pane with the given dimensions.
Public Method GetClientRect | Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes. This is needed so you know where the docking panes can be drawn.
Public Method GetLayout | The GetLayout method retrieves the currently used docking pane layout.
Public Method HidePane | Call this member to hide a pane.
Public Method LoadState | Loads the pane layout from the registry.
Public Method LoadStateFromString | Loads the pane layout from a string.
Public Method NormalizeSplitters | Used to remember the location of splitters.
Public Method RecalcLayout | Recalculates the entire layout of the docking panes on the form.
Public Method RedrawPanes | Redraws the panes
Public Method SaveState | Saves the pane layout to the registry.
Public Method SaveStateToString | Saves the pane layout to a string
Public Method SetCommandBars | Sets a CommandBars object to associate with this Docking Pane object.
Public Method SetLayout | The SetLayout method sets the layout of the docking panes. The SetLayout method set a state\layout saved by the GetLayout method.
Public Method SetMDIClient | Used in .NET to set handle to MDI client window.
Public Method ShowPane | Call this member to show (activate) a pane by its identifier.
Public Method UpdatePanes | Updates the state of the panes.

Public Properties

Public Property ActivePane | The ActivePane property holds a reference to the currently active Pane.
Public Property Icons | A collection of icons stored in an ImageManager control. This allows you to use images stored in the CommandBars ImageManager control in your docking pane tabs. The images from the ImageManager are displayed in the docking pane tabs
Public Property ImageList | Sets/Gets the imagelist associated with DockingPanes.
Public Property Layout | Used to store a docking pane layout.
Public Property Options | Gets/Sets the options of the docking pane
Public Property PaintManager | The PaintManager object is used to hold various pane painting properties.
Public Property PanelPaintManager | Gets the panel PaintManager properties. The panel paint manager is used to customize the appearance of your docking pane auto hide panel. The auto hide panel is displayed when you hide your docking panes.
Public Property Panes | The DockingPaneManager's collection of panes.
Public Property PanesCount | Gets the count of the total number of panes present.
Public Property ReCreateReparented |
Public Property ScaleMode | Used to change the Docking Pane's measurement units/coordinate system
Public Property TabPaintManager | Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your docking pane tabs when the docking pane is NOT hidden.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property VisualTheme | Gets/Sets the visual theme which is used by the docking panes.

Events

Public Event Action | Occurs when a docking pane is performing an action.
Public Event AttachPane | Occurs once when a pane is about to be displayed.
Public Event GetClientBordersWidth | Occurs when the docking pane layout changes.
Public Event PanePopupMenu | Occurs when the pane caption Menu Button is pressed.
Public Event RClick | The RClick event occurs when the user right-clicks anywhere on the pane caption or on the tab button of a pane.
Public Event ReCreated |
Public Event Resize | Occurs when the docking pane layout changes.
Public Event ResizeClient | Occurs when the docking pane layout changes.

See Also

DockingPaneFrame Overview


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control.

Syntax

Public Sub AboutBox()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Icon

The handle to the icon

Id

The id for which this icon will be used

See Also Docking Pane ActiveX Control v19.3

AddIconHandle Method

Description

Adds an icon to be used in the docking pane tabs.

Syntax

Public Sub AddIconHandle( _
   ByVal Icon As Long, _
   ByVal Id As Long _
)

Parameters

Icon

The handle to the icon

Id

The id for which this icon will be used

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Pane

Pane to be attached

Neighbour

Pane's Neighbor

See Also Docking Pane ActiveX Control v19.3

AttachPane Method

Description

Call this member to attach a pane to another pane creating a group of panes.

Syntax

Public Sub AttachPane( _
   ByVal Pane As Pane, _
   ByVal Neighbour As Pane _
)

Parameters

Pane

Pane to be attached

Neighbour

Pane's Neighbor

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

hWnd

Handle to a control that will be the container for the Docking Panes.

See Also Docking Pane ActiveX Control v19.3

AttachToWindow Method

Description

Specifies the control that will contain the Docking Panes.

Syntax

Public Sub AttachToWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to a control that will be the container for the Docking Panes.

Remarks

Any control with a hWnd or Handle property can be used as a container for the Docking Panes. The Docking Panes will treat the container control exactly like when it is added to a form. The Docking Panes will dock to the edges of the container control and resize with when the container is resized.

The picture below shows a RTF TextBox control that contains the Docking Panes.

Example

[AttachToWindow Sample (Visual Basic)] This sample illustrates how to specify the parent container for a CommandBars control.

     DockingPaneManager.AttachToWindow rtfText.hwnd

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

CloseAll Method

Description

Closes all panes

Syntax

Public Sub CloseAll()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | GetLayout Method | SetLayout Method

See Also Docking Pane ActiveX Control v19.3

CreateLayout Method

Description

The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout. The DockingPaneLayout object created is used with the GetLayout and SetLayout methods to load and set docking pane layouts.

Syntax

Public Function CreateLayout() As DockingPaneLayout

Return Type

Returns a DockingPaneLayout object to store a docking pane state/layout.

Remarks

The CreateLayout method creates a DockingPaneLayout object to store a docking pane state/layout.

To save the current state\layout of the docking panes, the GetLayout method is used. Before the GetLayout method can be called, a DockingPaneLayout object must be created using the CreateLayout method.

The SetLayout method will restore the state/layout of all the docking panes to a previous state\layout stored in a DockingPaneLayout object.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPaneFrame Control | GetLayout Method | SetLayout Method


%%PageItemTitle%%

DockingPaneFrame Control

Id

Unique identifier of the pane

cx

The initial width of the pane.

cy

The initial height of the pane.

Direction

Docking direction. It can be one of the following:

  • dockTopof - To dock pane to the top of the neighbor
  • dockLeftof - To dock pane to the left of the neighbor
  • dockRightof - To dock pane to the right of the neighbor
  • dockBottomof - To dock pane to the bottom of the neighbor
Neighbour

Pane's Neighbor. It can be NULL to use the frame as a neighbor.

See Also Docking Pane ActiveX Control v19.3

CreatePane Method

Description

Call this member function to create a docking pane.

Syntax

Public Function CreatePane( _
   ByVal Id As Long, _
   ByVal cx As Long, _
   ByVal cy As Long, _
   ByVal Direction As DockingDirection, _
   Optional ByVal Neighbour As Variant _
) As Pane

Parameters

Id

Unique identifier of the pane

cx

The initial width of the pane.

cy

The initial height of the pane.

Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane

Docking direction. It can be one of the following:

  • dockTopof - To dock pane to the top of the neighbor
  • dockLeftof - To dock pane to the left of the neighbor
  • dockRightof - To dock pane to the right of the neighbor
  • dockBottomof - To dock pane to the bottom of the neighbor
Neighbour

Pane's Neighbor. It can be NULL to use the frame as a neighbor.

Return Type

A Pane object.

Remarks

When creating a pane, you specify the docking direction, which specifies the direction the pane will be docked in relation to another pane or one of the client boarders.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

DestroyAll Method

Description

Destroys all panes

Syntax

Public Sub DestroyAll()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Pane

Pane to be destroyed

See Also Docking Pane ActiveX Control v19.3

DestroyPane Method

Description

Destroys the specified pane

Syntax

Public Sub DestroyPane( _
   ByVal Pane As Pane _
)

Parameters

Pane

Pane to be destroyed

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Pane

The pane to be moved.

cx

The new width of the pane.

cy

The new height of the pane.

Direction

Docking direction. It can be one of the following:

  • DockTopOf - To dock pane to the top of the neighbor
  • DockLeftOf - To dock pane to the left of the neighbor
  • DockRightOf - To dock pane to the right of the neighbor
  • DockBottomOf - To dock pane to the bottom of the neighbor

If a Neighbour is not specified, then the pane will be docked to the specified side of the application.

Neighbour

The new neighbor of the pane that will be moved. It can be NULL to use the application's frame as a neighbor. The pane will be docked to the specified direction of the neighbor.

See Also Docking Pane ActiveX Control v19.3

DockPane Method

Description

Moves\docks an existing pane to another side of an application or pane.

Syntax

Public Sub DockPane( _
   ByVal Pane As Pane, _
   ByVal cx As Long, _
   ByVal cy As Long, _
   ByVal Direction As DockingDirection, _
   Optional ByVal Neighbour As Variant _
)

Parameters

Pane

The pane to be moved.

cx

The new width of the pane.

cy

The new height of the pane.

Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane

Docking direction. It can be one of the following:

  • DockTopOf - To dock pane to the top of the neighbor
  • DockLeftOf - To dock pane to the left of the neighbor
  • DockRightOf - To dock pane to the right of the neighbor
  • DockBottomOf - To dock pane to the bottom of the neighbor

If a Neighbour is not specified, then the pane will be docked to the specified side of the application.

Neighbour

The new neighbor of the pane that will be moved. It can be NULL to use the application's frame as a neighbor. The pane will be docked to the specified direction of the neighbor.

Remarks

The DockPane method allows an existing pane to be moves\docked to a new location. The docking direction specifies the direction the pane will be docked in relation to another pane(Neighbour) or the application's client boarders.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | SetSideDockingMargin Method | SideDocking Property

Pane

Refence to the pane to dock.

Offset

Number of pixels to offset the pane from the inside top edge of the client area. This only has an effect when using the DockLeftOf and DockRightOf direction.

Direction

Edge of client the pane will dock to.

See Also Docking Pane ActiveX Control v19.3

DockSidePane Method

Description

Docks a pane to an inside edge of the client area when side docking is enabled.

Syntax

Public Sub DockSidePane( _
   ByVal Pane As Pane, _
   ByVal Offset As Integer, _
   ByVal Direction As DockingDirection _
)

Parameters

Pane

Refence to the pane to dock.

Offset

Number of pixels to offset the pane from the inside top edge of the client area. This only has an effect when using the DockLeftOf and DockRightOf direction.

Direction
Value | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane

Edge of client the pane will dock to.

Remarks

DockSidePane will dock a pane to the inside edge of the client using code. SideDocking must be enabled for DockSidePane to have any effect.

SideDocking enables or disabled "Visio" style client edge docking. Side docking can only occur to the inside edges of the client area. When SideDocking is enabled any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The pane will "snap" to the inside edge of the client and will leave a margin equal to that specified by SetSideDockingMargin.

SideDocking does not effect normal docking of panes. You will need to drag the pane past the side docking margin for normal docking algorithms to be used.

The picture below shows panes side docked to all edges of the client. The side docking margin in the picture is 23 pixels.

See Also

DockingPaneFrame Control | SetSideDockingMargin Method | SideDocking Property


%%PageItemTitle%%

DockingPaneFrame Control

Options

Flags that specify which keys can be used to navigate the panes.

See Also Docking Pane ActiveX Control v19.3

EnableKeyboardNavigate Method

Description

Specifies the keyboard keys that can be used to navigate the docking panes.

Syntax

Public Sub EnableKeyboardNavigate( _
   ByVal Options As DockingPaneKeyboardNavigate _
)

Parameters

Options
Value | Description
PaneKeyboardUnused | Panes can not be navigated using the keyboard.
PaneKeyboardUseAltMinus Panes can be navigated using the Alt+Minus keys on the keyboard.

Using this key combination causes a drop-down menu to appear in which you can then select the move option. You can then use the keyboard arrow keys to move the pane.

PaneKeyboardUseAltF6 Panes can be navigated using the Alt+F6 keys on the keyboard.

Using this key combination causes focus to be passed directly to the next pane.

PaneKeyboardUseAltF7 Panes can be navigated using the Alt+F7 keys on the keyboard.

Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window.

See the image in the remarks section for a picture of the popup window.

PaneKeyboardUseCtrlTab Panes can be navigated using the Ctrl+Tab keys on the keyboard.

Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window.

See the image in the remarks section for a picture of the popup window.

PaneKeyboardUseAll | Panes can be navigated using the Alt+Minus, Alt+F6, Alt+F7 and Ctrl+Tab keys on the keyboard.

Flags that specify which keys can be used to navigate the panes.

Return Type

One or more flags from the DockingPaneKeyboardNavigate enumeration the specify which keys are used to navigate the panes.

Remarks

The EnableKeyboardNavigate method uses one or more flags from the DockingPaneKeyboardNavigate enumeration to specify which keys can be used to navigate the panes.

By default PaneKeyboardUnused is used.

Example

[EnableKeyboardNavigate Sample (Visual Basic)] This sample illustrates how to enable keyboard navigation of the docking panes.

DockingPaneManager.EnableKeyboardNavigate PaneKeyboardUseAll

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Id

Pane's identifier

See Also Docking Pane ActiveX Control v19.3

FindPane Method

Description

Finds and returns the specified docking pane, searching by pane Id.

Syntax

Public Function FindPane( _
   ByVal Id As Long _
) As Pane

Parameters

Id

Pane's identifier

Return Type

A pane object.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Pane

Pane to float

Left

New left coordinate of the pane

Top

New top coordinate of the pane

Right

New right coordinate of the pane

Bottom

New bottom coordinate of the pane

See Also Docking Pane ActiveX Control v19.3

FloatPane Method

Description

Floats the specified pane and resizes the pane with the given dimensions.

Syntax

Public Sub FloatPane( _
   ByVal Pane As Pane, _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Pane

Pane to float

Left

New left coordinate of the pane

Top

New top coordinate of the pane

Right

New right coordinate of the pane

Bottom

New bottom coordinate of the pane

Remarks

Floats a pane. By using the left, top, right, and bottom parameters, you can specify the position and size of the pane when it has been floated.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Left

The left point of the client rectangle.

Top

The top point of the client rectangle.

Right

The right point of the client rectangle.

Bottom

The bottom point of the client rectangle.

See Also Docking Pane ActiveX Control v19.3

GetClientRect Method

Description

Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes. This is needed so you know where the docking panes can be drawn.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The left point of the client rectangle.

Top

The top point of the client rectangle.

Right

The right point of the client rectangle.

Bottom

The bottom point of the client rectangle.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | CreateLayout Method | SetLayout Method | DockingPaneLayout Object

Layout

Reference to a DockingPaneLayout object that will contain the currently used docking pane layout.

See Also Docking Pane ActiveX Control v19.3

GetLayout Method

Description

The GetLayout method retrieves the currently used docking pane layout.

Syntax

Public Sub GetLayout( _
   ByVal Layout As DockingPaneLayout _
)

Parameters

Layout

Reference to a DockingPaneLayout object that will contain the currently used docking pane layout.

Return Type

The GetLayout method will get the state/layout of all the docking panes at the time the method is called. The state/layout information is stored in a DockingPaneLayout object. Before the GetLayout method can be called, a DockingPaneLayout object must be created to store the layout information. The CreateLayout method is used to create a DockingPaneLayout object to store the state/layout information.

The GetLayout method allows the layout to be saved so it can be used a a later time to restore the layout to a previous state. To later restore the state/layout of the docking panes to the state/layout stored in a DockingPaneLayout object, the SetLayout method is used.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPaneFrame Control | CreateLayout Method | SetLayout Method | DockingPaneLayout Object


%%PageItemTitle%%

DockingPaneFrame Control

Pane

Points to a Pane object

See Also Docking Pane ActiveX Control v19.3

HidePane Method

Description

Call this member to hide a pane.

Syntax

Public Sub HidePane( _
   ByVal Pane As Pane _
)

Parameters

Pane

Points to a Pane object

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | SaveState Method

RegistryKey
AppName
Section
See Also Docking Pane ActiveX Control v19.3

LoadState Method

Description

Loads the pane layout from the registry.

Syntax

Public Sub LoadState( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
AppName
Section

Remarks

The layout will be loaded from the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "DockingPaneLayouts" + Section.

See Also

DockingPaneFrame Control | SaveState Method


%%PageItemTitle%%

DockingPaneFrame Control | SaveStateToString Method

Node

String that will contain the DockingPane layout.

See Also Docking Pane ActiveX Control v19.3

LoadStateFromString Method

Description

Loads the pane layout from a string.

Syntax

Public Sub LoadStateFromString( _
   ByVal Node As String _
)

Parameters

Node

String that will contain the DockingPane layout.

Remarks

Xtreme Docking Panes will save the status, location, and preferences of each individual docking pane. Layouts can easily be saved to a file so each individual user can have their own custom layout.

Example

[LoadStateFromString Sample (Visual Basic)] This sample code illustrates how to Load your Docking Pane layout from a string saved in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    On Error Resume Next:

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    sLayout = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , sLayout
    Close #FreeF
    On Error GoTo 0
    DockingPaneManager.LoadStateFromString sLayout

See Also

DockingPaneFrame Control | SaveStateToString Method


%%PageItemTitle%%

DockingPaneFrame Control | MaxTrackSize Property | MinTrackSize Property

See Also Docking Pane ActiveX Control v19.3

NormalizeSplitters Method

Description

Used to remember the location of splitters.

Syntax

Public Sub NormalizeSplitters()

Remarks

This is useful when changing the size of docking panes. You would call this method after resizing a pane so set the maximum and minumum width and height a pane can be.

Example

[NormalizeSplitters Sample (Visual Basic)] This sample illustrates how to use this methid.

    Dim A As Pane, B As Pane

    'Get reference to pane
    Set A = DockingPaneManager.FindPane(1)

    'Resize pane to desired size, this will resize the pane
    'to the specified width and height (100x100)
    A.MinTrackSize.SetSize 100, 100
    A.MaxTrackSize.SetSize 100, 100

    DockingPaneManager.RecalcLayout

    'Remember previous SetSize settings
    DockingPaneManager.NormalizeSplitters

    'Set the minimum and maximum sizes the splitter can move
    'Note, this will not resize the pane, it is specifying how
    'large the user can move the splitters
    'Maximum\Minimum size will be 0x0 and 200x200
    A.MinTrackSize.SetSize 0, 0
    A.MaxTrackSize.SetSize 200, 200

See Also

DockingPaneFrame Control | MaxTrackSize Property | MinTrackSize Property


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

RecalcLayout Method

Description

Recalculates the entire layout of the docking panes on the form.

Syntax

Public Sub RecalcLayout()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

RedrawPanes Method

Description

Redraws the panes

Syntax

Public Sub RedrawPanes()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | LoadState Method

RegistryKey
AppName
Section
See Also Docking Pane ActiveX Control v19.3

SaveState Method

Description

Saves the pane layout to the registry.

Syntax

Public Sub SaveState( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
AppName
Section

Remarks

The layout will be saved to the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "DockingPaneLayouts" + Section.

See Also

DockingPaneFrame Control | LoadState Method


%%PageItemTitle%%

DockingPaneFrame Control | LoadStateFromString Method

See Also Docking Pane ActiveX Control v19.3

SaveStateToString Method

Description

Saves the pane layout to a string

Syntax

Public Function SaveStateToString() As String

Return Type

Returns a string that contains the DockingPane layout.

Example

[SaveStateToString Sample (Visual Basic)] This sample code illustrates how to Save your Docking Pane layout to a string and save the string in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    Kill sFile
    Open sFile For Binary As #FreeF
    Put #FreeF, , DockingPaneManager.SaveStateToString
    Close #FreeF

See Also

DockingPaneFrame Control | LoadStateFromString Method


%%PageItemTitle%%

DockingPaneFrame Control

CommandBars

The command bars object.

See Also Docking Pane ActiveX Control v19.3

SetCommandBars Method

Description

Sets a CommandBars object to associate with this Docking Pane object.

Syntax

Public Sub SetCommandBars( _
   ByVal CommandBars As Object _
)

Parameters

CommandBars

The command bars object.

Remarks

If you use both DockingPanes and CommandBars in the same form, associate the command bars with the docking pane manager using this property. This is necessary for correct resizing and layout of controls on the form.

NOTE: It might be necessary to change the ZOrder of the DockingPaneManager control. Simply right-click the control at design-time and select send-to-back. The ComandBars must be "in-front" of the DockingPane control.

Example

[SetCommandBars Sample (Visual Basic)]

    DockingPaneManager.SetCommandBars Me.CommandBars

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | GetLayout Method | CreateLayout Method

Layout

Reference to a DockingPaneLayout object that contains the new state\layout for the docking panes.

See Also Docking Pane ActiveX Control v19.3

SetLayout Method

Description

The SetLayout method sets the layout of the docking panes. The SetLayout method set a state\layout saved by the GetLayout method.

Syntax

Public Sub SetLayout( _
   ByVal Layout As DockingPaneLayout _
)

Parameters

Layout

Reference to a DockingPaneLayout object that contains the new state\layout for the docking panes.

Remarks

The SetLayout method will restore the state/layout of all the docking panes to a previous state\layout stored in a DockingPaneLayout object. The GetLayout method is used to save the state\layout of the docking panes to a DockingPaneLayout object so it can later be restored with SetLayout method.

Notes:

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save. The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

See Also

DockingPaneFrame Control | GetLayout Method | CreateLayout Method


%%PageItemTitle%%

DockingPaneFrame Control

hWnd

Handle to MDI client window

See Also Docking Pane ActiveX Control v19.3

SetMDIClient Method

Description

Used in .NET to set handle to MDI client window.

Syntax

Public Sub SetMDIClient( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to MDI client window

Remarks

Only used in .NET. This is only required when using the DockingPane control in an MDI Application where the form that contains the DockingPane control has the IsMDIContainter property set to True.

Example

[SetMDIClient Sample (C#)] This sample illustrates how to set the handle to the MDI client window in .NET.

            foreach (Control ctrl in this.Controls)
            {
                if (ctrl is MdiClient)
                {
                    DockingPaneManager.SetMDIClient(ctrl.Handle.ToInt32());
                }
            }

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Id

Pane's identifier

See Also Docking Pane ActiveX Control v19.3

ShowPane Method

Description

Call this member to show (activate) a pane by its identifier.

Syntax

Public Sub ShowPane( _
   ByVal Id As Long _
)

Parameters

Id

Pane's identifier

Remarks

Note: This method requires that the pane is not be empty (no object is attached) to work correctly.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

UpdatePanes Method

Description

Updates the state of the panes.

Syntax

Public Sub UpdatePanes()

Remarks

The UpdatePanes method updates the state of the panes such as the currently active pane.

For example, the UpdatePanes method should be used when focus is given to an edit control inside a pane. This will update the currently active pane. The Docking Panes do no detect that the focus has changed until after the OnLButtonDown events, so it could be true that an edit control has focus in a pane that is not active, that is why UpdatePanes should be called.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | Action Event | DockingPaneAction Enumeration | HighlighActiveCaption Property

See Also Docking Pane ActiveX Control v19.3

ActivePane Property

Description

The ActivePane property holds a reference to the currently active Pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActivePane() As Pane

Remarks

When a pane become active the Action event occurs with the PaneActivated action. The PaneActivated action will occur before the ActivePane property references the active pane. Once the pane become deactivated, the PaneDeactivated action will occur and ActivePane will be Null/Nothing until another pane becomes active.

If no pane is currently active, then ActivePane will be Null/Nothing.

The caption of the currently active pane can be highlighted if the HighlightActiveCaption is TRUE.

See Also

DockingPaneFrame Control | Action Event | DockingPaneAction Enumeration | HighlighActiveCaption Property


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

Icons Property

Description

A collection of icons stored in an ImageManager control. This allows you to use images stored in the CommandBars ImageManager control in your docking pane tabs. The images from the ImageManager are displayed in the docking pane tabs

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

ImageList Property

Description

Sets/Gets the imagelist associated with DockingPanes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageList() As Object

Remarks

The images from the imagelist are displayed in the docking pane tabs. The pane will use the image in the imagelist with a "tag" value that is the same value as the IconId of the pane.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

Layout Property

Description

Used to store a docking pane layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Layout() As DockingPaneLayout

Remarks

The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

Options Property

Description

Gets/Sets the options of the docking pane

Property type

Read-only property

Syntax (Visual Basic)

Public Property Options() As DockingPaneOptions

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property

See Also Docking Pane ActiveX Control v19.3

PaintManager Property

Description

The PaintManager object is used to hold various pane painting properties.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As DockingPanePaintManager

Remarks

The PaintManager allows you to change the font of the pane captions, hide the pane captions, highlight the active pane's caption, and show the tab button for a single pane.

See Also

DockingPaneFrame Control | CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property

Example

CaptionFont Property | DrawSingleTab Property | HighlighActiveCaption Property | ShowCaption Property


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

PanelPaintManager Property

Description

Gets the panel PaintManager properties. The panel paint manager is used to customize the appearance of your docking pane auto hide panel. The auto hide panel is displayed when you hide your docking panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PanelPaintManager() As TabPaintManager

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

nIndex

Index of the panes you wish to return.

See Also Docking Pane ActiveX Control v19.3

Panes Property

Description

The DockingPaneManager's collection of panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Panes( _
   ByVal nIndex As Long _
) As Pane

Parameters

nIndex

Index of the panes you wish to return.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

PanesCount Property

Description

Gets the count of the total number of panes present.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PanesCount() As Long

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

ScaleMode Property

Description

Used to change the Docking Pane's measurement units/coordinate system

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleMode() As XTPScaleMode

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

TabPaintManager Property

Description

Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your docking pane tabs when the docking pane is NOT hidden.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TabPaintManager() As TabPaintManager

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse is positioned over the tab button of a docking pane when it is in a group of panes.

See the ToolTipContext object for a complete list of methods and properties.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme which is used by the docking panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As VisualTheme

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Action

The action of the docking pane

Pane

The pane performing the action.

Container

Object used to provide additional information about where a Pane will be\has been docked. See Container Sample.

Cancel

Cancels the action

See Also Docking Pane ActiveX Control v19.3

Action Event

Description

Occurs when a docking pane is performing an action.

Syntax

Public Event Action( _
   ByVal Action As DockingPaneAction, _
   ByVal Pane As Pane, _
   ByVal Container As PaneActionContainer, _
   ByRef Cancel As Boolean _
)

Parameters

Action
Value | Description
PaneActionFloating | Docking pane is currently floating. This occurs when the user clicks on the title bar of a docking pane and drags the pane to another location. When this occurs, the pane is said to be "floating."
PaneActionFloated | Docking pane has been docked, and is currently floating.
PaneActionClosing | Docking pane is currently closing. This occurs when the close button of the pane is clicked.
PaneActionClosed | Docking pane has been closed. This occurs when the docking pane has finished closing.
PaneActionDocking | Docking pane is in the process of docking.
PaneActionDocked | Docking pane has been docked. This occurs when the docking pane has finished docking.
PaneActionAttaching | Docking pane is in the process of attaching to another pane.
PaneActionAttached | Docking pane has been attached. This occurs when the docking pane has finished attaching to another pane.
PaneActionPinning | Docking pane is currently pinning. This occurs when the "pin" button is clicked to make the pane remain visible.
PaneActionPinned | Docking pane has been pinned. This occurs when the docking pane has finished pinning.
PaneActionCollapsing | Docking pane is currently collapsing (hiding). This occurs when a pane is going back to its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionCollapsed | Docking Pane has been collapsed. This occurs when the docking pane has finished collapsing.
PaneActionExpanding | Docking pane is currently expanding. This occurs when a pane is being displayed from its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is then expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionExpanded | Docking pane is expanded, this is when the pane is fully shown from the autohide position.
PaneActionActivated | Docking Pane becomes active. After this action, the ActivePane property will hold a reference to the currently active pane.
PaneActionDeactivated | Docking Pane becomes deactivated. After this action, the ActivePane property become Null/Nothing.
PaneActionDetaching | Docking Pane is removed from a group of panes. This occurs when a pane that is in a group of two or more panes is dragged from the group. The PaneActionFloating action will always follow this action as the pane is floating while it is being dragged to a new location.
PaneActionDragging | Docking Pane has started to be dragged. This occurs when a pane first starts to be dragged.
PaneActionUnpinning | Docking Pane is in the process of un-pinning. This occurs when the pin button of a pane is clicked to un-pin the pane. This is also know as auto-hide mode.
PaneActionUnpinned | Docking Pane is un-pinned. This occurs when a pane has completely been pinned. The pane will now only show a tab on the side of the container that can be displayed by moving the mouse over the tab. This is also know as auto-hide mode.
PaneActionSplitterResizing | Docking pane splitter resizing.
PaneActionSplitterResized | Docking pane splitter resized.

The action of the docking pane

Pane

The pane performing the action.

Container

Object used to provide additional information about where a Pane will be\has been docked. See Container Sample.

Cancel

Cancels the action

See Also

DockingPaneFrame Control

Example

Container Sample


%%PageItemTitle%%

DockingPaneFrame Control

Item

Pointer to the Pane the current pane.

See Also Docking Pane ActiveX Control v19.3

AttachPane Event

Description

Occurs once when a pane is about to be displayed.

Syntax

Public Event AttachPane( _
   ByVal Item As Pane _
)

Parameters

Item

Pointer to the Pane the current pane.

Remarks

Use this event to display a child window in the pane. To associate a child window with the pane, use the Handle property of the pane object which is passed as a parameter for this event. This is where you attach an object to the docking pane. I.e. Attaching a form to a docking pane.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Left

The area occupied by controls docked to the left edge of the form.

Top

The area occupied by controls docked to the top edge of the form.

Right

The area occupied by controls docked to the right edge of the form.

Bottom

The area occupied by controls docked to the bottom edge of the form.

See Also Docking Pane ActiveX Control v19.3

GetClientBordersWidth Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event GetClientBordersWidth( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left

The area occupied by controls docked to the left edge of the form.

Top

The area occupied by controls docked to the top edge of the form.

Right

The area occupied by controls docked to the right edge of the form.

Bottom

The area occupied by controls docked to the bottom edge of the form.

Remarks

A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... This event is triggered before the Resize event to get the client boarders. This event finds the client area and allows you to make any changes to the size of the client boarder before the docking panes are resized. The Resize event is called immediately after.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control | PaneHasMenuButton Flag | PaneOptions Property

Pane

Reference to the pane who's menu button was pressed.

x

X coordinate of the bottom left corner of the Menu Button.

y

Y coordinate of the bottom left corner of the Menu Button.

Handled

True to let the PanePopupMenu finish executing.

False to cancel and exit the PanePopupMenu event.

See Also Docking Pane ActiveX Control v19.3

PanePopupMenu Event

Description

Occurs when the pane caption Menu Button is pressed.

Syntax

Public Event PanePopupMenu( _
   ByVal Pane As Pane, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByRef Handled As Boolean _
)

Parameters

Pane

Reference to the pane who's menu button was pressed.

x

X coordinate of the bottom left corner of the Menu Button.

y

Y coordinate of the bottom left corner of the Menu Button.

Handled

True to let the PanePopupMenu finish executing.

False to cancel and exit the PanePopupMenu event.

Remarks

To add a Menu Button to the caption bar of a pane, use the PaneOptions property to include the PaneHasMenuButton flag. When the button is pressed, the PanePopupMenu event occurs. You can use this event to display a custom drop-down menu.

Example

[PanePopupMenu Sample (C#)] This sample illustrates how to use the PanePopupMenu event to display a popup menu when the Menu Button of a pane is pressed. This will display a popup menu listing 15 colors. Note that this uses the CommandBars control to display the popup, but you can display an menu here.

        private void frmMain_Load(object sender, System.EventArgs e)
        {
            MyColor = new System.Drawing.Color[15];

            MyColor[0] = System.Drawing.Color.AliceBlue;
            MyColor[1] = System.Drawing.Color.Beige;
            MyColor[2] = System.Drawing.Color.Chartreuse;
            MyColor[3] = System.Drawing.Color.DarkBlue;
            MyColor[4] = System.Drawing.Color.Cyan;
            MyColor[5] = System.Drawing.Color.Green;
            MyColor[6] = System.Drawing.Color.Magenta;
            MyColor[7] = System.Drawing.Color.Orange;
            MyColor[8] = System.Drawing.Color.Yellow;
            MyColor[9] = System.Drawing.Color.Salmon;
            MyColor[10] = System.Drawing.Color.Turquoise;
            MyColor[11] = System.Drawing.Color.Red;
            MyColor[12] = System.Drawing.Color.SteelBlue;
            MyColor[13] = System.Drawing.Color.Brown;
            MyColor[14] = System.Drawing.Color.Honeydew;

            Pane A, B;

            A = MDIDockingPaneManager.CreatePane(1, 200, 120, DockingDirection.DockTopOf, null);
            A.Title = "Pane 1";
            A.Options = XtremeDockingPane.PaneOptions.PaneHasMenuButton;
            B = MDIDockingPaneManager.CreatePane(2, 200, 120, DockingDirection.DockLeftOf, A);
            B.Title = "Pane 2";
            B.Options = XtremeDockingPane.PaneOptions.PaneHasMenuButton;
        }

        public System.Drawing.Color [] MyColor;

        private void MDIDockingPaneManager_PanePopupMenu(object sender, AxXtremeDockingPane._DDockingPaneEvents_PanePopupMenuEvent e)
        {
            if (e.pane.Id == 1 || e.pane.Id == 2)
            {

                CommandBar Popup;
                CommandBarControl Control;
                XtremeCommandBars.CommandBarControls Controls;

                Popup = CommandBars.Add("Popup", XtremeCommandBars.XTPBarPosition.xtpBarPopup);
                Controls = Popup.Controls;

                for (int x = 500; x < 515; x++)
                {
                    Control = Controls.Add(XtremeCommandBars.XTPControlType.xtpControlButton, x, MyColor[x - 500].ToString(), -1, false);
                }

                Popup.ShowPopup(XtremeCommandBars.XTPTrackPopupFlags.TPM_RIGHTBUTTON, e.x, e.y);
            }
        }

See Also

DockingPaneFrame Control | PaneHasMenuButton Flag | PaneOptions Property


%%PageItemTitle%%

DockingPaneFrame Control

Pane

Pointer to the Pane that what right-clicked on.

See Also Docking Pane ActiveX Control v19.3

RClick Event

Description

The RClick event occurs when the user right-clicks anywhere on the pane caption or on the tab button of a pane.

Syntax

Public Event RClick( _
   ByVal Pane As Pane _
)

Parameters

Pane

Pointer to the Pane that what right-clicked on.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

See Also Docking Pane ActiveX Control v19.3

Resize Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event Resize()

Remarks

Occurs when the docking pane layout changes and is called immediately after GetClientBordersWidth. A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... Note: Only the Command Bars Resize event is triggered when the SetCommandBars method is used.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneFrame Control

Left

Specifies the x-coordinate of the upper-left corner of the rectangle.

Top

Specifies the y-coordinate of the upper-left corner of the rectangle.

Right

Specifies the x-coordinate of the lower-right corner of the rectangle.

Bottom

Specifies the y-coordinate of the lower-right corner of the rectangle.

See Also Docking Pane ActiveX Control v19.3

ResizeClient Event

Description

Occurs when the docking pane layout changes.

Syntax

Public Event ResizeClient( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left

Specifies the x-coordinate of the upper-left corner of the rectangle.

Top

Specifies the y-coordinate of the upper-left corner of the rectangle.

Right

Specifies the x-coordinate of the lower-right corner of the rectangle.

Bottom

Specifies the y-coordinate of the lower-right corner of the rectangle.

Remarks

Occurs when the docking pane layout changes and is called immediately after GetClientBordersWidth. A change in layout occurs when a pane is opened, closed, hidden, displayed, resized, floated, etc... Note: Only the Command Bars Resize event is triggered when the SetCommandBars method is used.

See Also

DockingPaneFrame Control


%%PageItemTitle%%

DockingPaneGlobalSettings Members

See Also Docking Pane ActiveX Control v19.3

DockingPaneGlobalSettings Object

Description

Docking Pane Global Settings.

For a list of all members defined in this module, see DockingPaneGlobalSettings members.

Object Model

See Also

DockingPaneGlobalSettings Members


%%PageItemTitle%% $$Members$$

DockingPaneGlobalSettings Overview

See Also Docking Pane ActiveX Control v19.3

DockingPaneGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property Icons | Global icon collection used to store icons for panes.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Docking Pane OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs.
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Docking Pane OCX is used.
Public Property Version | Returns the current Docking Pane version as a string.

See Also

DockingPaneGlobalSettings Overview


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object | Color Property

See Also Docking Pane ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

DockingPaneGlobalSettings Object | Color Property


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

Icons Property

Description

Global icon collection used to store icons for panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Docking Pane OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This code should be placed in the Form_Initialize event of the main form.

Example

[How to set the Language of the Docking Pane (Visual Basic)] This sample illustrates how to change the language with a rescource file.

Private Sub Form_Initialize()
    DockingPaneGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to ThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Docking Pane OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneGlobalSettings Object

See Also Docking Pane ActiveX Control v19.3

Version Property

Description

Returns the current Docking Pane version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

DockingPaneGlobalSettings Object


%%PageItemTitle%%

DockingPaneLayout Members | GetLayout Method | CreateLayout Method | SetLayout Method

See Also Docking Pane ActiveX Control v19.3

DockingPaneLayout Collection

Description

The DockingPaneLayout object is used to store a docking pane layout. The DockingPaneLayout object holds the same layout information that the SaveState and SaveStateToString methods save.

For a list of all members defined in this module, see DockingPaneLayout members.

Object Model

Remarks

The DockingPaneLayout object is used by the CreateLayout, GetLayout, and SetLayout methods to save and restore the layout of the docking panes. Using these methods with the DockingPaneLayout object allows multiple layouts to be managed quick and easy.

The main advantage of using the CreateLayout, GetLayout, and SetLayout methods over the SaveState and SaveStateToString methods is speed. It is much faster to save and restore the layout in memory rather than having to serialize to\from a string.

Note: In version 9.70, the docking pane layout must first manually be set using method such as HidePane, FloatPanes, etc... Then the CreateLayout method can be used to save this layout so it can easily be reused at a later time. The other option would be to initially load the layout from a string or registry, then use the CreateLayout method to internally create a layout. In version 10, methods will be added to serialize layouts created with the CreateLayout method.

See Also

DockingPaneLayout Members | GetLayout Method | CreateLayout Method | SetLayout Method


%%PageItemTitle%% $$Members$$

DockingPaneLayout Overview | GetLayout Method | CreateLayout Method | SetLayout Method

See Also Docking Pane ActiveX Control v19.3

DockingPaneLayout Collection Members

Public Methods

Public Method DoPropExchange Exchanges layout and state information to\from a PropExchange object.

Public Properties

Public Property ClientContainer | Reference to the client PaneContainer.
Public Property Container | Collection of PaneContainer objects that are in this layout.
Public Property ContainersCount | Returns the total number of PaneContainer objects that are located in this layout.
Public Property Pane | Collection of Pane objects that are contained in this layout.
Public Property PanesCount | Returns the number of panes in the layout.
Public Property TopContainer | Reference to the PaneContainer that is the parent to all PaneContainer obbjects.

See Also

DockingPaneLayout Overview | GetLayout Method | CreateLayout Method | SetLayout Method


%%PageItemTitle%%

DockingPaneLayout Collection

pPX
PropExchange object to exchange data with.
See Also Docking Pane ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneLayout Collection | DockingPaneType Enumeration | Action Event | TopContainer Property

See Also Docking Pane ActiveX Control v19.3

ClientContainer Property

Description

Reference to the client PaneContainer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientContainer() As PaneContainer

Remarks

The ClientContainer property is provided as a reference for use in the Action event to allow you to easily specify where a docking pane can be docked relative to the client area (left/right/top/bottom). For example, you can use this to specify that panes can only be docked to the top and bottom, but not left or right.

See Also

DockingPaneLayout Collection | DockingPaneType Enumeration | Action Event | TopContainer Property

Example

Container Sample


%%PageItemTitle%%

DockingPaneLayout Collection

Index
Index of the PaneContainer object to return.
See Also Docking Pane ActiveX Control v19.3

Container Property

Description

Collection of PaneContainer objects that are in this layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Container( _
   ByVal Index As Integer _
) As PaneContainer

Parameters

Index
Index of the PaneContainer object to return.

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneLayout Collection

See Also Docking Pane ActiveX Control v19.3

ContainersCount Property

Description

Returns the total number of PaneContainer objects that are located in this layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ContainersCount() As Long

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneLayout Collection

Index
Index of a Pane in the collection of Panes.
See Also Docking Pane ActiveX Control v19.3

Pane Property

Description

Collection of Pane objects that are contained in this layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Pane( _
   ByVal Index As Integer _
) As Pane

Parameters

Index
Index of a Pane in the collection of Panes.

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneLayout Collection

See Also Docking Pane ActiveX Control v19.3

PanesCount Property

Description

Returns the number of panes in the layout.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PanesCount() As Long

Remarks

Returns the number of panes in the layout. Each layout can have a different number of panes.

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneLayout Collection

See Also Docking Pane ActiveX Control v19.3

TopContainer Property

Description

Reference to the PaneContainer that is the parent to all PaneContainer obbjects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TopContainer() As PaneContainer

Remarks

The TopContainer contains the layout of all PaneContainer objects.

See Also

DockingPaneLayout Collection


%%PageItemTitle%%

DockingPaneOptions Members

See Also Docking Pane ActiveX Control v19.3

DockingPaneOptions Object

Description

The options for the DockingPanes

For a list of all members defined in this module, see DockingPaneOptions members.

See Also

DockingPaneOptions Members


%%PageItemTitle%% $$Members$$

DockingPaneOptions Overview

See Also Docking Pane ActiveX Control v19.3

DockingPaneOptions Object Members

Public Methods

Public Method SetSideDockingMargin Sets the margin between the client area's edge and a docking pane docked to the edge of the client area when side docking is enabled.

Public Properties

Public Property AlphaDockingContext | Specifies whether the area that a docking pane can occupy is shaded in grey as the pane is dragged to its new location. The shaded area indicates the area on the application the docking pane will occupy if docked in that location.
Public Property AnimationDelay | Gets/Sets the animation speed of the docking panes. This is how fast the docking panes will "slide" when being displayed/hidden.
Public Property AutoHideAnimationDuration | Get\set the amount of time it takes for a pane to be fully displayed or hidden.
Public Property AutoHideAnimationInterval | Get\set the time interval between animation steps as the pane is slidding open or closed. This controls how "smooth" the animation is and is effected by the AutoHideAnimationDuration.
Public Property AutoHideInactiveCollapseDelay | Get\set the amount of time it takes for an "un-pinned" pane to start to hide and begin the collapse animation.
Public Property AutoHideMouseHoverDelay | Get\set the amount of time it takes for a pane to be displayed after the mouse cursor is placed over the tab of a hidden pane.
Public Property CaptionDirection | Gets\sets the direction the pane captions are displayed. This will be vertical or horizontal.
Public Property ClientMargin | Gets\sets the width of the border that will be placed around the entire client area of the application.
Public Property CloseGroupOnButtonClick | The CloseGroupOnButtonClick property specifies whether an entire group of panes will be closed when the close button for any pane in the group is clicked.
Public Property DefaultPaneOptions | The DefaultPaneOptions property is used to apply a set of pane options to all panes.
Public Property FloatingFrameCaption | Gets/Sets the caption that is displayed in the title bar of a floating frame that has panes docked. This is the floating frame that contains other docking panes.
Public Property FloatingFramesOpacity | Specifies the opacity for inactive floating panes.
Public Property HideClient | Hides the client area so that only the docking panes are visible.
Public Property HideGroupOnButtonClick | The HideGroupOnButtonClick property specifies whether an entire group of panes will be hidden when the "pin" button for any pane in the group is clicked.
Public Property LockSplitters | Locks the splitters. If true, you can not resize the panes when they are docked. However, panes can be resized via code and when they are floated.
Public Property LunaColors | Gets/Sets whether Luna colors will be used. This will only apply to themes that use Luna colors.
Public Property ShowCaptionMaximizeButton | The ShowCaptionMaximizeButton property specifies whether Maximize\Restore Buttons are displayed on the pane caption bar for panes that are adjacent to each other. This provides the "Cascading" functionality seen in Visual Studio.
Public Property ShowCloseTabButton | Specifies whether to show a close button on each individual tab button.
Public Property ShowContentsWhileDragging | Gets\sets whether the contents of the docking pane will be displayed while the pane is being dragged.
Public Property ShowDockingContextStickers | Specifies whether Visual Studio 2005 style Docking Context Stickers are used while dragging a docking pane.
Public Property ShowFloatingFramePinButton | Gets\sets whether the pin button is displayed in a floating pane.
Public Property ShowPanelScrollButtons | Gets or sets whether to show scroll buttons for AutoHide Panels.
Public Property ShowSizeCursorWhileDragging | Gets\sets whether the mouse cursor will change to a dragging "size" cursor while dragging a pane.
Public Property SideDocking | Enabled or disables inside client edge "Visio Style" side docking.
Public Property StickerStyle | Gets\sets the style of docking stickers that are displayed when dragging a pane and ShowDockingContextStickers is True.
Public Property StickyFloatingFrames | Specifies whether floating panes try to "snap" to the edges of the screen, edges of other floating panes, and to the edges of open applications when they are being moved.
Public Property SyncActiveFloatingFrames | The SyncActiveFloatingFrames property specifies whether floating panes will appear active.
Public Property ThemedFloatingFrames | Gets/Sets a Boolean value indicating whether floating docking panes will use the currently set theme.
Public Property UseSplitterTracker | Specifies whether splitter trackers are used. When resizing a docking pane, an outline of the pane is drawn as the splitter is dragged. If false, the docking pane will be resized in "real-time."

See Also

DockingPaneOptions Overview


%%PageItemTitle%%

DockingPaneOptions Object | SideDocking Property | DockSidePane Method

Left
Margin between the left edge of the client area and any docking panes that are docked to the left edge of the client area.
Top
Margin between the top edge of the client area and any docking panes that are docked to the top edge of the client area.
Right
Margin between the right edge of the client area and any docking panes that are docked to the left edge of the client area.
Bottom
Margin between the bottom edge of the client area and any docking panes that are docked to the bottom edge of the client area.
See Also Docking Pane ActiveX Control v19.3

SetSideDockingMargin Method

Description

Sets the margin between the client area's edge and a docking pane docked to the edge of the client area when side docking is enabled.

Syntax

Public Sub SetSideDockingMargin( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Margin between the left edge of the client area and any docking panes that are docked to the left edge of the client area.
Top
Margin between the top edge of the client area and any docking panes that are docked to the top edge of the client area.
Right
Margin between the right edge of the client area and any docking panes that are docked to the left edge of the client area.
Bottom
Margin between the bottom edge of the client area and any docking panes that are docked to the bottom edge of the client area.

Return Type

True if all margins are accepted. False if one or more of the margins are not possible.

Remarks

SetSideDockingMargin sets the margins between the client ares's edge and a docking pane docked to the edge of the client area when side docking is enabled.

All margins are in pixels.

SideDocking must be enabled for SetSideDockingMargin to have any effect. When enabled, any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The pane will "snap" to the inside edge of the client and will leave a margin equal to that specified by SetSideDockingMargin.

Use DockSidePane to dock panes to the inside edge of the client using code.

Example

[Visual Basic]

    DockingPaneManager.Options.SideDocking = True
    DockingPaneManager.Options.SetSideDockingMargin 23, 23, 23, 23

See Also

DockingPaneOptions Object | SideDocking Property | DockSidePane Method


%%PageItemTitle%%

DockingPaneOptions Object | DockingContextStickerStyle Enumeration | ShowDockingContextStickers Property | StickerStyle Property

See Also Docking Pane ActiveX Control v19.3

AlphaDockingContext Property

Description

Specifies whether the area that a docking pane can occupy is shaded in grey as the pane is dragged to its new location. The shaded area indicates the area on the application the docking pane will occupy if docked in that location.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlphaDockingContext() As Boolean

Remarks

AlphaDockingContext must be true to use Docking Stickers.

See Also

DockingPaneOptions Object | DockingContextStickerStyle Enumeration | ShowDockingContextStickers Property | StickerStyle Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

AnimationDelay Property

Description

Gets/Sets the animation speed of the docking panes. This is how fast the docking panes will "slide" when being displayed/hidden.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AnimationDelay() As Double

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | AutoHideAnimationInterval Property | AutoHideInactiveCollapseDelay Property | AutoHideMouseHoverDelay Property

See Also Docking Pane ActiveX Control v19.3

AutoHideAnimationDuration Property

Description

Get\set the amount of time it takes for a pane to be fully displayed or hidden.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoHideAnimationDuration() As Long

See Also

DockingPaneOptions Object | AutoHideAnimationInterval Property | AutoHideInactiveCollapseDelay Property | AutoHideMouseHoverDelay Property


%%PageItemTitle%%

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideInactiveCollapseDelay Property | AutoHideMouseHoverDelay Property

See Also Docking Pane ActiveX Control v19.3

AutoHideAnimationInterval Property

Description

Get\set the time interval between animation steps as the pane is slidding open or closed. This controls how "smooth" the animation is and is effected by the AutoHideAnimationDuration.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoHideAnimationInterval() As Long

Remarks

AutoHideAnimationInterval controls how "smooth" the animation is and is effected by the AutoHideAnimationDuration.

See Also

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideInactiveCollapseDelay Property | AutoHideMouseHoverDelay Property


%%PageItemTitle%%

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideAnimationInterval Property | AutoHideMouseHoverDelay Property

See Also Docking Pane ActiveX Control v19.3

AutoHideInactiveCollapseDelay Property

Description

Get\set the amount of time it takes for an "un-pinned" pane to start to hide and begin the collapse animation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoHideInactiveCollapseDelay() As Long

See Also

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideAnimationInterval Property | AutoHideMouseHoverDelay Property


%%PageItemTitle%%

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideAnimationInterval Property | AutoHideInactiveCollapseDelay Property

See Also Docking Pane ActiveX Control v19.3

AutoHideMouseHoverDelay Property

Description

Get\set the amount of time it takes for a pane to be displayed after the mouse cursor is placed over the tab of a hidden pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoHideMouseHoverDelay() As Long

See Also

DockingPaneOptions Object | AutoHideAnimationDuration Property | AutoHideAnimationInterval Property | AutoHideInactiveCollapseDelay Property


%%PageItemTitle%%

DockingPaneOptions Object | DockingPaneCaptionDirection Enumeration

See Also Docking Pane ActiveX Control v19.3

CaptionDirection Property

Description

Gets\sets the direction the pane captions are displayed. This will be vertical or horizontal.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionDirection() As DockingPaneCaptionDirection

Remarks

The DockingPaneCaptionDirection enumeration specifies how the pane captions will be displayed.

See Also

DockingPaneOptions Object | DockingPaneCaptionDirection Enumeration


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ClientMargin Property

Description

Gets\sets the width of the border that will be placed around the entire client area of the application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMargin() As Long

Remarks

The application's client area contain all of the pinned panes. ClientMargin specifies how wide this border will be around the pinned panes.

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | HideGroupOnButtonClick Property

See Also Docking Pane ActiveX Control v19.3

CloseGroupOnButtonClick Property

Description

The CloseGroupOnButtonClick property specifies whether an entire group of panes will be closed when the close button for any pane in the group is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CloseGroupOnButtonClick() As Boolean

Remarks

If set to TRUE, the entire group of panes will be closed when the close button is clicked for any pane in the group.

If set to FALSE, only the pane who's close button was clicked (active pane) will be closed when grouped with other panes.

Example

[CloseGroupOnButtonClick Sample (Visual Basic)] This sample illustrates how to specify whether only a single pane or all tabs in a group will be closed whent he close button is clicked.

    'Close the entire group of panes when a close button is clicked.
    DockingPaneManager.Options.CloseGroupOnButtonClick = True

See Also

DockingPaneOptions Object | HideGroupOnButtonClick Property


%%PageItemTitle%%

DockingPaneOptions Object | PaneOptions Enumeration | Options Property

See Also Docking Pane ActiveX Control v19.3

DefaultPaneOptions Property

Description

The DefaultPaneOptions property is used to apply a set of pane options to all panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultPaneOptions() As PaneOptions

Remarks

The DefaultPaneOptions will automatically be applied to all panes and these options can not be removed. However, more pane options can be applied to individual panes in addition to the DefaultPaneOptions.

See Also

DockingPaneOptions Object | PaneOptions Enumeration | Options Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

FloatingFrameCaption Property

Description

Gets/Sets the caption that is displayed in the title bar of a floating frame that has panes docked. This is the floating frame that contains other docking panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FloatingFrameCaption() As String

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

FloatingFramesOpacity Property

Description

Specifies the opacity for inactive floating panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FloatingFramesOpacity() As Long

Remarks

Opacity ranges from 0 to 255, with 0 being 0 and 255 being 100. The opacity setting is only applied to floating panes when the pane is not active.

FloatingFramesOpacity only works with Windows 2000 with SP3 or greater and Windows XP and greater.

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

HideClient Property

Description

Hides the client area so that only the docking panes are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideClient() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | CloseGroupOnButtonClick Property

See Also Docking Pane ActiveX Control v19.3

HideGroupOnButtonClick Property

Description

The HideGroupOnButtonClick property specifies whether an entire group of panes will be hidden when the "pin" button for any pane in the group is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideGroupOnButtonClick() As Boolean

Remarks

If set to TRUE, the entire group of panes will be hidden when the "pin" button is clicked for the pane group.

If set to FALSE, only the pane who's "pin" button was clicked (active pane) will be hidden when grouped with other panes.

Example

[HideGroupOnButtonClick Sample (Visual Basic)] This sample illustrates how to specify whether only the currently active pane is hidden or the entire pane group when the pin button is pressed for the pane group.

    'Close only the currently active pane when the "pin" button is clicked for a group of panes.
    DockingPaneManager.Options.HideGroupOnButtonClick = False

See Also

DockingPaneOptions Object | CloseGroupOnButtonClick Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

LockSplitters Property

Description

Locks the splitters. If true, you can not resize the panes when they are docked. However, panes can be resized via code and when they are floated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LockSplitters() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

LunaColors Property

Description

Gets/Sets whether Luna colors will be used. This will only apply to themes that use Luna colors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LunaColors() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | Maximized Property

See Also Docking Pane ActiveX Control v19.3

ShowCaptionMaximizeButton Property

Description

The ShowCaptionMaximizeButton property specifies whether Maximize\Restore Buttons are displayed on the pane caption bar for panes that are adjacent to each other. This provides the "Cascading" functionality seen in Visual Studio.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaptionMaximizeButton() As Boolean

Remarks

The Maximize button is only displayed on panes that are docked adjacent to each other. The button is removed when the panes are not adjacent.

When the Maximize button is pressed on a pane, that pane will occupy the entire area of all adjacent panes. This will cause the Maximize button to change to a Restore button on the expanded pane. When the Restore button is pressed, then the panes are returned to their original size and location.

The Maximized property is used to determine if a particular pane is currently maximized, or it can also be used to maximize a pane that is not currently maximized.

See Also

DockingPaneOptions Object | Maximized Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ShowCloseTabButton Property

Description

Specifies whether to show a close button on each individual tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCloseTabButton() As DockingPaneTabButtonFlags

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ShowContentsWhileDragging Property

Description

Gets\sets whether the contents of the docking pane will be displayed while the pane is being dragged.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowContentsWhileDragging() As Boolean

Remarks

ShowContentsWhileDragging specifies if the pane and all of its contents are displayed while the pane is being dragged. If false, only the outline of the pane is displayed while the pane is being dragged.

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | AlphaDockingContext Property | StickerStyle Property | DockingContextStickerStyle Enumeration

See Also Docking Pane ActiveX Control v19.3

ShowDockingContextStickers Property

Description

Specifies whether Visual Studio 2005 style Docking Context Stickers are used while dragging a docking pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowDockingContextStickers() As Boolean

Remarks

If True, docking stickers are drawn on the screen indicating all the possible locations that the docking pane can be docked while the pane is dragged over the application. AlphaDockingContext must also be True to display the stickers.

The style of the stickers can be set using the StickerStyle.

See Also

DockingPaneOptions Object | AlphaDockingContext Property | StickerStyle Property | DockingContextStickerStyle Enumeration


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ShowFloatingFramePinButton Property

Description

Gets\sets whether the pin button is displayed in a floating pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFloatingFramePinButton() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ShowPanelScrollButtons Property

Description

Gets or sets whether to show scroll buttons for AutoHide Panels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowPanelScrollButtons() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ShowSizeCursorWhileDragging Property

Description

Gets\sets whether the mouse cursor will change to a dragging "size" cursor while dragging a pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSizeCursorWhileDragging() As Boolean

Remarks

Below is an illustration of the two mouse cursor icons.

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | SetSideDockingMargin Method | DockSidePane Method

See Also Docking Pane ActiveX Control v19.3

SideDocking Property

Description

Enabled or disables inside client edge "Visio Style" side docking.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SideDocking() As Boolean

Remarks

SideDocking enables or disabled "Visio" style client edge docking. Side docking can only occur to the inside edges of the client area. When SideDocking is enabled any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The pane will "snap" to the inside edge of the client and will leave a margin equal to that specified by SetSideDockingMargin.

SideDocking does not effect normal docking of panes. You will need to drag the pane past the side docking margin for normal docking algorithms to be used.

The picture below shows panes side docked to all edges of the client. The side docking margin in the picture is 23 pixels.

Use DockSidePane to dock panes to the inside edge of the client using code.

See Also

DockingPaneOptions Object | SetSideDockingMargin Method | DockSidePane Method


%%PageItemTitle%%

DockingPaneOptions Object | DockingContextStickerStyle Enumeration | AlphaDockingContext Property | ShowDockingContextStickers Property

See Also Docking Pane ActiveX Control v19.3

StickerStyle Property

Description

Gets\sets the style of docking stickers that are displayed when dragging a pane and ShowDockingContextStickers is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StickerStyle() As DockingContextStickerStyle

Remarks

Both ShowDockingContextStickers and AlphaDockingContext must be True to display docking stickers. If both are True, docking stickers are drawn on the screen indicating all the possible locations that the docking pane can be docked while the pane is dragged over the application.

Visual Studio 2005 "Whidbey" style docking stickers:

Visual Studio 2005 style docking stickers:

See Also

DockingPaneOptions Object | DockingContextStickerStyle Enumeration | AlphaDockingContext Property | ShowDockingContextStickers Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

StickyFloatingFrames Property

Description

Specifies whether floating panes try to "snap" to the edges of the screen, edges of other floating panes, and to the edges of open applications when they are being moved.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StickyFloatingFrames() As Boolean

Remarks

StickyFloatingFrames try to "snap" to the edges of the screen, edges of other floating panes, and to the edges of open applications when they are being moved.

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object | ActivePane Property | Action Event | DockingPaneAction Enumeration | ThemedFloatingFrames Property

See Also Docking Pane ActiveX Control v19.3

SyncActiveFloatingFrames Property

Description

The SyncActiveFloatingFrames property specifies whether floating panes will appear active.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SyncActiveFloatingFrames() As Boolean

Remarks

When SyncActiveFloatingFrames is FALSE, floating panes activate and de-activate similar to Visual Studio .NET. When FALSE, only one window can appear active. This setting is visual only, it does not control whether panes can become active. When a pane becomes active, the Action event occurs with the PaneActionActivated action and when the pane loses focus, the PaneActionDeactivated is sent. A reference to the currently active pane can is stored in the ActivePane property.

Note: ThemedFloatingFrames must be FALSE or SyncActiveFloatingFrames will have no effect.

Main application and two floating panes when SyncActiveFloatingFrames is TRUE. Notice how the main application and all floating panes appear active. The floating panes will keep in "sync" with the main application.

Main application and two floating panes when SyncActiveFloatingFrames is FALSE. Notice how the "properties" pane is the only window that appears active. Only one window can appear active at a time.

See Also

DockingPaneOptions Object | ActivePane Property | Action Event | DockingPaneAction Enumeration | ThemedFloatingFrames Property


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

ThemedFloatingFrames Property

Description

Gets/Sets a Boolean value indicating whether floating docking panes will use the currently set theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedFloatingFrames() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPaneOptions Object

See Also Docking Pane ActiveX Control v19.3

UseSplitterTracker Property

Description

Specifies whether splitter trackers are used. When resizing a docking pane, an outline of the pane is drawn as the splitter is dragged. If false, the docking pane will be resized in "real-time."

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSplitterTracker() As Boolean

See Also

DockingPaneOptions Object


%%PageItemTitle%%

DockingPanePaintManager Members | PaintManager Property

See Also Docking Pane ActiveX Control v19.3

DockingPanePaintManager Object

Description

The DockingPanePaintManager object is used to hold various pane painting properties.

For a list of all members defined in this module, see DockingPanePaintManager members.

Remarks

The DockingPanePaintManager is accessed through the DockingPane.PaintManager property. The DockingPanePaintManager allows you to change the font of the pane captions, hide the pane captions, highlight the active pane's caption, and show the tab button for a single pane.

See Also

DockingPanePaintManager Members | PaintManager Property


%%PageItemTitle%% $$Members$$

DockingPanePaintManager Overview | PaintManager Property

See Also Docking Pane ActiveX Control v19.3

DockingPanePaintManager Object Members

Public Methods

Public Method GetCustomTitleColor
Public Method SetCustomTitleColors

Public Properties

Public Property CaptionButtonStyle | Sets the caption button style.
Public Property CaptionFont | The CaptionFont property gets or sets the font used to display the text in the pane caption.
Public Property CaptionMargin | Gets\sets the caption margin.
Public Property DrawCaptionIcon | Specifies whether icons will be displayed in the pane caption bar.
Public Property DrawSingleTab | The DrawSingleTab property specifies whether to draw a tab button for a pane when there is only a single pane.
Public Property HighlightActiveCaption | The HighlightActiveCaption property specifies whether the currently active pane's caption will be highlighted.
Public Property ShowCaption | The ShowCaption property specifies whether the title bar\caption of all docking panes will be visible.
Public Property SplitterColor | Gets\sets the color of the splitter bar.
Public Property SplitterSize | Gets or sets the size of the splitter bars.
Public Property SplitterStyle | Gets\set the style of the docking pane splitter bar.
Public Property UseCustomTitleColors |

See Also

DockingPanePaintManager Overview | PaintManager Property


%%PageItemTitle%%

DockingPanePaintManager Object

fActive
fVert
See Also Docking Pane ActiveX Control v19.3

GetCustomTitleColor Method

Syntax

Public Function GetCustomTitleColor( _
   ByVal fActive As Boolean, _
   ByVal fVert As Boolean _
) As ULong

Parameters

fActive
fVert

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object

clrActiveHorz
clrInactiveHorz
clrActiveVert
clrInactiveVert
See Also Docking Pane ActiveX Control v19.3

SetCustomTitleColors Method

Syntax

Public Sub SetCustomTitleColors( _
   ByVal clrActiveHorz As ULong, _
   ByVal clrInactiveHorz As ULong, _
   ByVal clrActiveVert As ULong, _
   ByVal clrInactiveVert As ULong _
)

Parameters

clrActiveHorz
clrInactiveHorz
clrActiveVert
clrInactiveVert

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

CaptionButtonStyle Property

Description

Sets the caption button style.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionButtonStyle() As DockingPaneCaptionButtonStyle

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object | Normal Tab Font | Auto-Hide Tab Font

See Also Docking Pane ActiveX Control v19.3

CaptionFont Property

Description

The CaptionFont property gets or sets the font used to display the text in the pane caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

Remarks

The CaptionFont property only effects the font in the pane caption. The font of the tab buttons can be changed with the DockingPane.TabPaintManager.Font property and the font for the auto-hide tab buttons can be changed with the DockingPane.PanelPaintManager.Font property.

Example

[Pane Caption Font Sample (Visual Basic)] This sample illustrates hoe to change the font for the pane caption and buttons.

    Dim CaptionFont As StdFont

    'Create a new font
    Set CaptionFont = New StdFont
    CaptionFont.Name = "Lucida Handwriting"
    CaptionFont.Size = 10
    CaptionFont.Bold = True

    'Sets the font for the pane caption
    Set DockingPaneManager.PaintManager.CaptionFont = CaptionFont

    'Sets the font for the tab buttons when not hidden.
    Set DockingPaneManager.TabPaintManager.Font = CaptionFont

    'Sets the for for the tab buttons when hidden.
    Set DockingPaneManager.PanelPaintManager.Font = CaptionFont

See Also

DockingPanePaintManager Object | Normal Tab Font | Auto-Hide Tab Font


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

CaptionMargin Property

Description

Gets\sets the caption margin.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionMargin() As Integer

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

DrawCaptionIcon Property

Description

Specifies whether icons will be displayed in the pane caption bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawCaptionIcon() As Boolean

Remarks

DrawCaptionIcon specifies whether icons will be displayed in the pane caption bar if the pane has an icon associated with it.

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

DrawSingleTab Property

Description

The DrawSingleTab property specifies whether to draw a tab button for a pane when there is only a single pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawSingleTab() As Boolean

Remarks

By default, only grouped panes will have a tab button. Set DrawSingleTab to TRUE to display a tab button for single tabs. Single tabs are tabs that do not belong to a tab group.

If DrawSingleTab is TRUE, floating panes will also display the tab button.

Example

[Displaying the Tab Button for a Single Pane. (Visual Basic)] This sample illustrates how to display a tab button for a single pane that is not in a tba group.

    'All single panes will display a tab button.
    DockingPaneManager.PaintManager.DrawSingleTab = True

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

HighlightActiveCaption Property

Description

The HighlightActiveCaption property specifies whether the currently active pane's caption will be highlighted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightActiveCaption() As Boolean

Remarks

If HighlightActiveCaption is set to TRUE, then the currently selected pane's caption will be highlighted. If HighlightActiveCaption is FALSE, then no pane captions will be highlighted.

If DrawSingleTab is TRUE and HighlightActiveCaption is TRUE, then the caption of the pane will always be highlighted for single panes.

By default, HighlightActiveCaption is TRUE.

Example

[Highlight Caption of Active Pane Sample (Visual Basic)] This sample illustrates how to disable highlighting of the active pane caption.

    'The caption of the active pane will be not be highlighted.
    DockingPaneManager.PaintManager.HighlightActiveCaption = False

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPanePaintManager Object | Options Property | PaneOptions Enumeration

See Also Docking Pane ActiveX Control v19.3

ShowCaption Property

Description

The ShowCaption property specifies whether the title bar\caption of all docking panes will be visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCaption() As Boolean

Remarks

If set to FALSE, the title bar will not be visible for all docking panes. If the caption is not visible for a pane, that pane can not be moved (dragged) by the user. If the caption is hidden for an auto-hide pane, the user will have no way to dock the pane.

If set to TRUE, the caption for all panes is visible. The caption for individual panes can be hidden by setting the Pane.Options property to PaneNoCaption for each pane.

Example

[Hide Pane Caption for all Panes. (Visual Basic)] This sample illustrates how to hide the pane caption for all docking panes.

     'Hides the caption for ALL docking panes.
    DockingPaneManager.PaintManager.ShowCaption = False

[Hide Caption for Individual Panes. (Visual Basic)] This sample illustrates how to hide the caption of individual panes.

    Const ID_PANE_SEARCH = 1

    'Finds the pane with ID ID_PANE_SEARCH and hides its caption. All other panes
    'will still display a caption.
    DockingPaneManager.FindPane(ID_PANE_SEARCH).Options = PaneNoCaption

See Also

DockingPanePaintManager Object | Options Property | PaneOptions Enumeration


%%PageItemTitle%%

DockingPanePaintManager Object | SplitterSize Property | SplitterStyle Property

See Also Docking Pane ActiveX Control v19.3

SplitterColor Property

Description

Gets\sets the color of the splitter bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SplitterColor() As ULong

See Also

DockingPanePaintManager Object | SplitterSize Property | SplitterStyle Property


%%PageItemTitle%%

DockingPanePaintManager Object | SplitterStyle Property | SplitterColor Property

See Also Docking Pane ActiveX Control v19.3

SplitterSize Property

Description

Gets or sets the size of the splitter bars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SplitterSize() As Integer

Remarks

Size is in pixels.

Example

[SplitterSize Sample (Visual Basic)] This sample illustrates how to set the splitter bar width for the docking panes

    DockingPaneManager.PaintManager.SplitterSize = 100

See Also

DockingPanePaintManager Object | SplitterStyle Property | SplitterColor Property


%%PageItemTitle%%

DockingPanePaintManager Object | DockingPaneSplitterStyle Enumeration | SplitterColor Property | SplitterSize Property

See Also Docking Pane ActiveX Control v19.3

SplitterStyle Property

Description

Gets\set the style of the docking pane splitter bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SplitterStyle() As DockingPaneSplitterStyle

Remarks

Note that the splitter style should be set after the theme has been changed.

Office 2003 style | Office XP style
Soft 3D Style | 3D Style
Flat style |

See Also

DockingPanePaintManager Object | DockingPaneSplitterStyle Enumeration | SplitterColor Property | SplitterSize Property


%%PageItemTitle%%

DockingPanePaintManager Object

See Also Docking Pane ActiveX Control v19.3

UseCustomTitleColors Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseCustomTitleColors() As Boolean

See Also

DockingPanePaintManager Object


%%PageItemTitle%%

DockingPaneTrackSize Members

See Also Docking Pane ActiveX Control v19.3

DockingPaneTrackSize Object

Description

Object used to store the minimum and maximum pane widths and heights.

For a list of all members defined in this module, see DockingPaneTrackSize members.

See Also

DockingPaneTrackSize Members

Example

MinTrackSize and MaxTrackSize Sample


%%PageItemTitle%% $$Members$$

DockingPaneTrackSize Overview

See Also Docking Pane ActiveX Control v19.3

DockingPaneTrackSize Object Members

Public Methods

Public Method SetSize Used to set the maximum and minimum widths and height of a Pane.

Public Properties

Public Property Height | Height of Pane
Public Property Width | Width of Pane

See Also

DockingPaneTrackSize Overview


%%PageItemTitle%%

DockingPaneTrackSize Object

Width
Width of Pane
Height
Height of Pane
See Also Docking Pane ActiveX Control v19.3

SetSize Method

Description

Used to set the maximum and minimum widths and height of a Pane.

Syntax

Public Sub SetSize( _
   ByVal Width As Long, _
   ByVal Height As Long _
)

Parameters

Width
Width of Pane
Height
Height of Pane

See Also

DockingPaneTrackSize Object

Example

MinTrackSize and MaxTrackSize Sample


%%PageItemTitle%%

DockingPaneTrackSize Object

See Also Docking Pane ActiveX Control v19.3

Height Property

Description

Height of Pane

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

DockingPaneTrackSize Object

Example

MinTrackSize and MaxTrackSize Sample


%%PageItemTitle%%

DockingPaneTrackSize Object

See Also Docking Pane ActiveX Control v19.3

Width Property

Description

Width of Pane

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

DockingPaneTrackSize Object

Example

MinTrackSize and MaxTrackSize Sample


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Docking Pane ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Docking Pane ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Docking Pane ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Docking Pane ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Docking Pane ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Docking Pane ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Docking Pane ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Docking Pane ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Docking Pane ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Docking Pane ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Docking Pane ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Docking Pane ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

A collection of images stored in a DockingPane ImageManager control. Included so you can use images from the ImageManager in your Docking Panes

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Docking Pane ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the image collection of the ImageManager
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Docking Pane ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Docking Pane ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how To add the icons from one collection To another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Docking Pane ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Docking Pane ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Docking Pane ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Docking Pane ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Docking Pane ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Return Type

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Docking Pane ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Docking Pane ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Docking Pane ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Docking Pane ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Docking Pane ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

Count Property

Description

The number of icons in the image collection of the ImageManager

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Docking Pane ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Docking Pane ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Docking Pane ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Docking Pane ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Docking Pane ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Docking Pane ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Docking Pane ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Docking Pane ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Docking Pane ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Docking Pane ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Docking Pane ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Docking Pane ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

Pane Members

See Also Docking Pane ActiveX Control v19.3

Pane Object

Description

Represents a docking pane.

For a list of all members defined in this module, see Pane members.

Object Model

See Also

Pane Members


%%PageItemTitle%% $$Members$$

Pane Overview

See Also Docking Pane ActiveX Control v19.3

Pane Object Members

Public Methods

Public Method AttachTo | Attaches a pane to another pane. This will group the panes together placing one pane inside the other creating a nested group of docking panes.
Public Method Close | Closes the pane.
Public Method GetClientRect | Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes.
Public Method Hide | Hides the pane.
Public Method Select | Selects/sets focus to the docking pane. This makes the pane active.
Public Method SetHandle | Sets the handle of the child window displayed in the pane.

Public Properties

Public Property Closed | Gets/ Sets a Boolean value indicating that the docking pane is open/closed.
Public Property Enabled | Specifies the extent that a pane is enabled\disabled.
Public Property Floating | Gets a Boolean value indicating that the docking pane is floating/docked.
Public Property Handle | Gets/Sets the handle of the child window displayed in the docking pane.
Public Property Hidden | Gets\sets a Boolean value indicating that the docking pane is hidden/visible.
Public Property IconId | Gets/sets the numeric identifier of the icon used by the docking pane. This will be set to the docking pane Id by default if this property is not manually set. This is the number used to associate a docking pane with an icon in an ImageList control.
Public Property Id | Gets/Sets the numeric identifier of the docking pane. This is used to identify the pane and is used in operations such as finding a pane, determining which pane was clicked, hiding a pane, etc...
Public Property Maximized | Gets or sets whether the pane is maximized when the Maximize\Restore Buttons are displayed on the pane caption bar for panes that are adjacent to each other. i.e. when the panes use the "Cascading" functionality seen in Visual Studio.
Public Property MaxTrackSize | Used to set the maximum size that a Pane can be re-sized to.
Public Property MinTrackSize | Used to set the minimum size that a Pane can be re-sized to.
Public Property Options | Gets/ Sets the options of the pane
Public Property ParentContainer | Returns a PaneContainer object that points to the parent container for this pane.
Public Property Position | Returns the position of the Pane relative to the Client area.
Public Property Selected | Gets/sets a Boolean value indicating that the pane is currently selected/not selected. Setting this property to true has the same effect as calling the Select method.
Public Property TabCaption | Gets\set the Pane's tab button caption.
Public Property TabColor | Gets\sets the color of the tab button for the pane.
Public Property Tag | Gets/Sets the tag of the pane. Stores any extra data needed for your program.
Public Property Title | Gets\sets the title of the docking pane. This title will be displayed in the title bar of the docking pane.
Public Property TitleToolTip | Gets\sets the tooltip displayed to the Pane's caption.
Public Property Type | Returns the type of this pane.

See Also

Pane Overview


%%PageItemTitle%%

Pane Object

Neighbour
The pane to which this pane is attached.
See Also Docking Pane ActiveX Control v19.3

AttachTo Method

Description

Attaches a pane to another pane. This will group the panes together placing one pane inside the other creating a nested group of docking panes.

Syntax

Public Sub AttachTo( _
   ByVal Neighbour As Pane _
)

Parameters

Neighbour
The pane to which this pane is attached.

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Close Method

Description

Closes the pane.

Syntax

Public Sub Close()

See Also

Pane Object


%%PageItemTitle%%

Pane Object

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.
See Also Docking Pane ActiveX Control v19.3

GetClientRect Method

Description

Retrieves the dimensions of the client rectangle, that is, the area on the form which does not have any docking panes.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
The left point of the client rectangle.
Top
The top point of the client rectangle.
Right
The right point of the client rectangle.
Bottom
The bottom point of the client rectangle.

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Hide Method

Description

Hides the pane.

Syntax

Public Sub Hide()

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Select Method

Description

Selects/sets focus to the docking pane. This makes the pane active.

Syntax

Public Sub Select()

See Also

Pane Object


%%PageItemTitle%%

Pane Object | Handle Property

hWnd
Handle to child window to display in pane
See Also Docking Pane ActiveX Control v19.3

SetHandle Method

Description

Sets the handle of the child window displayed in the pane.

Syntax

Public Sub SetHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to child window to display in pane

Remarks

This method is used exactly like th Handle property. It was included so the Docking Panes would be used in environments where "Handle" is a reserved word.

See Also

Pane Object | Handle Property


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Closed Property

Description

Gets/ Sets a Boolean value indicating that the docking pane is open/closed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closed() As Boolean

See Also

Pane Object


%%PageItemTitle%%

Pane Object | Action Event | DockingPaneEnableOptions Enumeration

See Also Docking Pane ActiveX Control v19.3

Enabled Property

Description

Specifies the extent that a pane is enabled\disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As DockingPaneEnableOptions

Remarks

The Enabled property uses flags from the DockingPaneEnableOptions enumeration to specify the extent that a pane is enabled.

A pane can be totally enabled, only the client area enabled, only pane actions enabled, only client area disabled, only pane actions disabled, or totally disabled.

A totally disabled docking pane will not respond to any user interactions and the caption text\icons will appear grayed out.

The Action event can further be used to restrict what a pane can do if actions are left enabled.

See Also

Pane Object | Action Event | DockingPaneEnableOptions Enumeration


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Floating Property

Description

Gets a Boolean value indicating that the docking pane is floating/docked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Floating() As Boolean

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Handle Property

Description

Gets/Sets the handle of the child window displayed in the docking pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Long

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Hidden Property

Description

Gets\sets a Boolean value indicating that the docking pane is hidden/visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

IconId Property

Description

Gets/sets the numeric identifier of the icon used by the docking pane. This will be set to the docking pane Id by default if this property is not manually set. This is the number used to associate a docking pane with an icon in an ImageList control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the docking pane. This is used to identify the pane and is used in operations such as finding a pane, determining which pane was clicked, hiding a pane, etc...

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

Pane Object


%%PageItemTitle%%

Pane Object | ShowCaptionMaximizeButton Property

See Also Docking Pane ActiveX Control v19.3

Maximized Property

Description

Gets or sets whether the pane is maximized when the Maximize\Restore Buttons are displayed on the pane caption bar for panes that are adjacent to each other. i.e. when the panes use the "Cascading" functionality seen in Visual Studio.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Maximized() As Boolean

Remarks

Maximized is used to determine if a particular pane is currently maximized, or it can also be used to maximize a pane that is not currently maximized.

ShowCaptionMaximizeButton is used to enable the Visual Studio style cascading functionality.

The Maximize button is only displayed on panes that are docked adjacent to each other. The button is removed when the panes are not adjacent.

When the Maximize button is pressed on a pane, that pane will occupy the entire area of all adjacent panes. This will cause the Maximize button to change to a Restore button on the expanded pane. When the Restore button is pressed, then the panes are returned to their original size and location.

See Also

Pane Object | ShowCaptionMaximizeButton Property


%%PageItemTitle%%

Pane Object | MinTrackSize Property | NormalizeSplitters Method

See Also Docking Pane ActiveX Control v19.3

MaxTrackSize Property

Description

Used to set the maximum size that a Pane can be re-sized to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MaxTrackSize() As DockingPaneTrackSize

Remarks

This can be used to "lock" a pane. If both the MinTrackSize and MaxTrackSize are set to the same dimensions, you will not be able to re-size the pane. Also see NormalizeSplitters.

Example

[MaxTrackSize Sample (Visual Basic)] This sample illustrates how to set the minimum and maximum sizes of a docking pane. You will see how to make a pane so that it can not be re-sized.

    Dim A As Pane, B As Pane

    'Retreive a pointer to some docking panes
    Set A = DockingPaneManager.FindPane(1)
    Set B = DockingPaneManager.FindPane(2)

    'Specifies that Pane A can be no smaller that 100 x 100
    A.MinTrackSize.SetSize 100, 100
    'Specifies that Pane A can be no larger that 150 x 150
    A.MaxTrackSize.SetSize 150, 150

    'Pane B can not be re-sized because the Min and Max sizes are set to the
    'same dimensions.

    'Specifies that Pane B can be no smaller that 130 x 130
    B.MinTrackSize.SetSize 130, 130
    'Specifies that Pane B can be no Larger that 130 x 130
    B.MaxTrackSize.SetSize 130, 130

See Also

Pane Object | MinTrackSize Property | NormalizeSplitters Method


%%PageItemTitle%%

Pane Object | MaxTrackSize Property | NormalizeSplitters Method

See Also Docking Pane ActiveX Control v19.3

MinTrackSize Property

Description

Used to set the minimum size that a Pane can be re-sized to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MinTrackSize() As DockingPaneTrackSize

Remarks

This can be used to "lock" a pane. If both the MinTrackSize and MaxTrackSize are set to the same dimensions, you will not be able to re-size the pane. Also see NormalizeSplitters.

Example

[MinTrackSize Sample (Visual Basic)] This sample illustrates how to set the minimum and maximum sizes of a docking pane. You will see how to make a pane so that it can not be re-sized.

    Dim A As Pane, B As Pane

    'Retreive a pointer to some docking panes
    Set A = DockingPaneManager.FindPane(1)
    Set B = DockingPaneManager.FindPane(2)

    'Specifies that Pane A can be no smaller that 100 x 100
    A.MinTrackSize.SetSize 100, 100
    'Specifies that Pane A can be no larger that 150 x 150
    A.MaxTrackSize.SetSize 150, 150

    'Pane B can not be re-sized because the Min and Max sizes are set to the
    'same dimensions.

    'Specifies that Pane B can be no smaller that 130 x 130
    B.MinTrackSize.SetSize 130, 130
    'Specifies that Pane B can be no Larger that 130 x 130
    B.MaxTrackSize.SetSize 130, 130

See Also

Pane Object | MaxTrackSize Property | NormalizeSplitters Method


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Options Property

Description

Gets/ Sets the options of the pane

Property type

Read-write property

Syntax (Visual Basic)

Public Property Options() As PaneOptions

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

ParentContainer Property

Description

Returns a PaneContainer object that points to the parent container for this pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentContainer() As PaneContainer

See Also

Pane Object


%%PageItemTitle%%

Pane Object | DockingDirection Enumeration

See Also Docking Pane ActiveX Control v19.3

Position Property

Description

Returns the position of the Pane relative to the Client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Position() As DockingDirection

Remarks

Position indicates where the direction the pane will auto-hide if the user presses the pin button on the pane. The direction is relative to the client area. For example, if the position is DockTopOf, then when the user presses the "pin" button of the pane, the pane will auto-hide to the top.

For the TopContainer and FloatingWindows -1 "undefined" will be returned.

See Also

Pane Object | DockingDirection Enumeration


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Selected Property

Description

Gets/sets a Boolean value indicating that the pane is currently selected/not selected. Setting this property to true has the same effect as calling the Select method.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

TabCaption Property

Description

Gets\set the Pane's tab button caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabCaption() As String

Return Type

Pane's tab button caption.

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

TabColor Property

Description

Gets\sets the color of the tab button for the pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabColor() As ULong

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Tag Property

Description

Gets/Sets the tag of the pane. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Long

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Title Property

Description

Gets\sets the title of the docking pane. This title will be displayed in the title bar of the docking pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

TitleToolTip Property

Description

Gets\sets the tooltip displayed to the Pane's caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TitleToolTip() As String

Return Type

Tooltip displayed to the Pane's caption.

See Also

Pane Object


%%PageItemTitle%%

Pane Object

See Also Docking Pane ActiveX Control v19.3

Type Property

Description

Returns the type of this pane.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As DockingPaneType

Remarks

Pane.Type was only added to use the same "Type" property for all PaneContainer and Pane objects. For example you can loop through all Containers and check the Type. You will now see that some are panes.

See Also

Pane Object


%%PageItemTitle%%

PaneActionContainer Members | DockingDirection Enumeration | DockingPaneAction Enumeration | Action Event | PaneContainer Object | Direction Property

See Also Docking Pane ActiveX Control v19.3

PaneActionContainer Object

Description

Object used in the Action event to provide additional information about where a Pane will be\has been docked.

For a list of all members defined in this module, see PaneActionContainer members.

Object Model

Remarks

The PaneActionContainer object is used in the Action event to provide additional information about where a Pane will be\has been docked. The Direction property indicates where a pane will be\has been docked.

This object will only be valid for pane action types PaneActionDocking, PaneActionDocked, PaneActionAttaching and PaneActionAttached.

For the PaneActionDocking action the Direction property indicates the direction relative to the client a docking pane will be docked if the action is not canceled.

For the PaneActionDocked action the Direction property indicates the direction relative to the client a docking pane has been docked.

See Also

PaneActionContainer Members | DockingDirection Enumeration | DockingPaneAction Enumeration | Action Event | PaneContainer Object | Direction Property

Example

Container Sample


%%PageItemTitle%% $$Members$$

PaneActionContainer Overview | DockingDirection Enumeration | DockingPaneAction Enumeration | Action Event | PaneContainer Object | Direction Property

See Also Docking Pane ActiveX Control v19.3

PaneActionContainer Object Members

Public Properties

Public Property Container | The PaneContainer that a pane will be\has been docked.
Public Property Direction | Indicates where a pane will be\has been docked.

See Also

PaneActionContainer Overview | DockingDirection Enumeration | DockingPaneAction Enumeration | Action Event | PaneContainer Object | Direction Property


%%PageItemTitle%%

PaneActionContainer Object | DockingPaneType Enumeration | Direction Property

See Also Docking Pane ActiveX Control v19.3

Container Property

Description

The PaneContainer that a pane will be\has been docked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Container() As PaneContainer

Remarks

The PaneActionContainer object is used in the Action event to provide additional information about where a Pane will be\has been docked. The Direction property indicates where a pane will be\has been docked.

The Container object will only be valid for pane action types PaneActionDocking, PaneActionDocked, PaneActionAttaching and PaneActionAttached.

For the PaneActionDocking action the Direction property indicates the direction relative to the client a docking pane will be docked if the action is not canceled.

For the PaneActionDocked action the Direction property indicates the direction relative to the client a docking pane has been docked.

See Also

PaneActionContainer Object | DockingPaneType Enumeration | Direction Property

Example

Container Sample


%%PageItemTitle%%

PaneActionContainer Object | Container Property | DockingDirection Enumeration | Action Event

See Also Docking Pane ActiveX Control v19.3

Direction Property

Description

Indicates where a pane will be\has been docked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Direction() As DockingDirection

Remarks

The PaneActionContainer object is used in the Action event to provide additional information about where a Pane will be\has been docked. The Direction property indicates where a pane will be\has been docked.

This object will only be valid for pane action types PaneActionDocking, PaneActionDocked, PaneActionAttaching and PaneActionAttached.

For the PaneActionDocking action the Direction property indicates the direction relative to the client a docking pane will be docked if the action is not canceled.

For the PaneActionDocked action the Direction property indicates the direction relative to the client a docking pane has been docked.

See Also

PaneActionContainer Object | Container Property | DockingDirection Enumeration | Action Event

Example

Container Sample


%%PageItemTitle%%

PaneContainer Members | Action Event | DockingPaneLayout Object | ClientContainer Property | DockingPaneLayout.Container Property | TopContainer Property | DockingPaneType Enumeration | PaneActionContainer Object | Direction Property | PaneActionContainer.Container Property

See Also Docking Pane ActiveX Control v19.3

PaneContainer Collection

Description

Container object used in creating the structure/layout of docking panes.

For a list of all members defined in this module, see PaneContainer members.

Object Model

Remarks

The PaneContainer class helps you can understand the layout of the panes. Containers are used to create the structure/layout of panes. The main purpose of the PaneContainer class is to provide information about how panes are grouped, where they are located, if there are any floating panes, how many floating panes, how many auto-hidden panes, which side panes are auto-hidden, where panes are docked, etc.

Both the PaneContainer.Type and Pane.Type properties use the flags from the DockingPaneType enumeration to specify which type of container they are.

In the picture you can see 5 pane objects. Containers were used to create this layout. Panes B, D and E are contained in a PaneTypeTabbedContainer. Pane C is contained in another PaneTypeTabbedContainer and both splitter tabbed containers are contained in a PaneTypeSplitterContainer. The important thing to remember is that panes are always contained inside a PaneTypeTabbedContainer.

Using the PaneActionContainer class and the Action event you can determine additional information such as where a pane will be docked and where it was actually docked.

See Also

PaneContainer Members | Action Event | DockingPaneLayout Object | ClientContainer Property | DockingPaneLayout.Container Property | TopContainer Property | DockingPaneType Enumeration | PaneActionContainer Object | Direction Property | PaneActionContainer.Container Property

Example

Container Sample


%%PageItemTitle%% $$Members$$

PaneContainer Overview | Action Event | DockingPaneLayout Object | ClientContainer Property | DockingPaneLayout.Container Property | TopContainer Property | DockingPaneType Enumeration | PaneActionContainer Object | Direction Property | PaneActionContainer.Container Property

See Also Docking Pane ActiveX Control v19.3

PaneContainer Collection Members

Public Properties

Public Property Count | Returns the total number of panes/number of tabs that are located in the container.
Public Property hWnd | Returns the hWnd to the PaneContainer.
Public Property IsEmpty | Returns whether the pane container is empty.
Public Property Pane | Collection of PaneContainer objects that are contained in the PaneContainer.
Public Property ParentContainer | Returns a PaneContainer object that points to the parent container for this container.
Public Property Position | Returns the position of the PaneContainer relative to the Client area.
Public Property Type | Returns the type of the PaneContainer.

See Also

PaneContainer Overview | Action Event | DockingPaneLayout Object | ClientContainer Property | DockingPaneLayout.Container Property | TopContainer Property | DockingPaneType Enumeration | PaneActionContainer Object | Direction Property | PaneActionContainer.Container Property


%%PageItemTitle%%

PaneContainer Collection

See Also Docking Pane ActiveX Control v19.3

Count Property

Description

Returns the total number of panes/number of tabs that are located in the container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Integer

See Also

PaneContainer Collection


%%PageItemTitle%%

PaneContainer Collection

See Also Docking Pane ActiveX Control v19.3

hWnd Property

Description

Returns the hWnd to the PaneContainer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property hWnd() As Integer

Remarks

HWnd is only used for TabbedContainers (PaneTypeTabbedContainer) and FloatingWindows (PaneTypeMiniWnd), for all other pane containers hWnd will be 0.

For Tabbed Containers the hWnd is the window in which Tabs/Caption is drawn. For MiniWnd containers hWnd is the handle to the floating window.

See Also

PaneContainer Collection


%%PageItemTitle%%

PaneContainer Collection

See Also Docking Pane ActiveX Control v19.3

IsEmpty Property

Description

Returns whether the pane container is empty.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsEmpty() As Boolean

Remarks

To be empty mean that the container does not contain any panes. Returns True if all containers and all child containers don't have any "real" Panes.

For example, a Tabbed container can be Empty if pane becomes floating. The TabbedContainer isn't deleted and is saved to allow the floating pane to find where it must be docked if the user double clicks it.

All containers can be empty.

See Also

PaneContainer Collection


%%PageItemTitle%%

PaneContainer Collection

Index
Index of a PaneContainer in the collection of PaneContainers.
See Also Docking Pane ActiveX Control v19.3

Pane Property

Description

Collection of PaneContainer objects that are contained in the PaneContainer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Pane( _
   ByVal Index As Integer _
) As PaneContainer

Parameters

Index
Index of a PaneContainer in the collection of PaneContainers.

See Also

PaneContainer Collection


%%PageItemTitle%%

PaneContainer Collection

See Also Docking Pane ActiveX Control v19.3

ParentContainer Property

Description

Returns a PaneContainer object that points to the parent container for this container.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentContainer() As PaneContainer

See Also

PaneContainer Collection


%%PageItemTitle%%

PaneContainer Collection | DockingDirection Enumeration | ParentContainer Property

See Also Docking Pane ActiveX Control v19.3

Position Property

Description

Returns the position of the PaneContainer relative to the Client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Position() As DockingDirection

Remarks

Position indicates where the direction the pane will auto-hide if the user presses the pin button on the pane or a pane in the container. The direction is relative to the client area. For example, if the position is DockTopOf, then when the user presses the "pin" button of the pane or a pane contained in the container, the pane will auto-hide to the top.

For the TopContainer and FloatingWindows -1 "undefined" will be returned.

See Also

PaneContainer Collection | DockingDirection Enumeration | ParentContainer Property


%%PageItemTitle%%

PaneContainer Collection | DockingPaneType Enumeration

See Also Docking Pane ActiveX Control v19.3

Type Property

Description

Returns the type of the PaneContainer.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As DockingPaneType

See Also

PaneContainer Collection | DockingPaneType Enumeration


%%PageItemTitle%%

PropExchange Members

See Also Docking Pane ActiveX Control v19.3

PropExchange Object

Description

hello
Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[Loading and Saving to\from a file (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        'Creates a section called "DockingPane" if saving or
        'retieves data from the "DockingPane" node of loading.
        Set Layout = DockingPane.CreateLayout
        If (Not px.Loading) Then DockingPane.GetLayout Layout
        Set pxSection = px.GetSection("DockingPane")

        'Loads or Saves the layout of the docking panes
        Layout.DoPropExchange pxSection
        If (px.Loading) Then DockingPane.SetLayout Layout

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Docking Pane ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Docking Pane ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Docking Pane ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Docking Pane ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Docking Pane ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Docking Pane ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Docking Pane ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Docking Pane ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Docking Pane ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Docking Pane ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Docking Pane ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Docking Pane ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Docking Pane ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Docking Pane ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

ResourceImages Members

See Also Docking Pane ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to ThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Docking Pane ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Docking Pane ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Docking Pane ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to ThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Docking Pane ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Docking Pane ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

TabControlItem Members

See Also Docking Pane ActiveX Control v19.3

TabControlItem Object

Description

A tab object

For a list of all members defined in this module, see TabControlItem members.

See Also

TabControlItem Members


%%PageItemTitle%% $$Members$$

TabControlItem Overview

See Also Docking Pane ActiveX Control v19.3

TabControlItem Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force this tab to become visible.
Public Method GetRect | Returns the bounding rectangle of the tab button.

Public Properties

Public Property Caption | Set/Get the text that will be displayed in the tab.
Public Property Color | Set/Get the color of the tab.
Public Property Enabled | Gets/Sets a Boolean value indicating whether the tab is enabled. If false, the tab will appear "grayed out" and the user can not access the tab
Public Property Handle | Get the window handle that the tab is bound to.
Public Property Image | Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.
Public Property Index | Get the index of the tab.
Public Property Selected | True if tab is currently selected, i.e. when the tab is clicked.
Public Property Tag | Stores any extra data needed for your program.
Public Property Visible | Gets/Sets a Boolean value indicating whether the tab is visible. If false, the tab will not be visible

See Also

TabControlItem Overview


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force this tab to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the tab item is visible in the tab strip. This will scroll the tab items in the tab strip until the tab item is visible.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.
See Also Docking Pane ActiveX Control v19.3

GetRect Method

Description

Returns the bounding rectangle of the tab button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Caption Property

Description

Set/Get the text that will be displayed in the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Color Property

Description

Set/Get the color of the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the tab is enabled. If false, the tab will appear "grayed out" and the user can not access the tab

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Handle Property

Description

Get the window handle that the tab is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Image Property

Description

Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Image() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Index Property

Description

Get the index of the tab.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Selected Property

Description

True if tab is currently selected, i.e. when the tab is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Docking Pane ActiveX Control v19.3

Visible Property

Description

Gets/Sets a Boolean value indicating whether the tab is visible. If false, the tab will not be visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabManagerMargin Members

See Also Docking Pane ActiveX Control v19.3

TabManagerMargin Object

Description

Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

For a list of all members defined in this module, see TabManagerMargin members.

See Also

TabManagerMargin Members


%%PageItemTitle%% $$Members$$

TabManagerMargin Overview

See Also Docking Pane ActiveX Control v19.3

TabManagerMargin Object Members

Public Methods

Public Method SetRect Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Public Properties

Public Property Bottom | Get/Set the bottom margin of the rectangle.
Public Property Left | Get/Set the left margin of the rectangle.
Public Property Right | Get/Set the right margin of the rectangle.
Public Property Top | Get/Set the top margin of the rectangle.

See Also

TabManagerMargin Overview


%%PageItemTitle%%

TabManagerMargin Object

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.
See Also Docking Pane ActiveX Control v19.3

SetRect Method

Description

Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Syntax

Public Sub SetRect( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Docking Pane ActiveX Control v19.3

Bottom Property

Description

Get/Set the bottom margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bottom() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Docking Pane ActiveX Control v19.3

Left Property

Description

Get/Set the left margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Docking Pane ActiveX Control v19.3

Right Property

Description

Get/Set the right margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Right() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabManagerMargin Object

See Also Docking Pane ActiveX Control v19.3

Top Property

Description

Get/Set the top margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

See Also

TabManagerMargin Object


%%PageItemTitle%%

TabPaintManager Members

See Also Docking Pane ActiveX Control v19.3

TabPaintManager Object

Description

Represents the appearance of the tabs.

For a list of all members defined in this module, see TabPaintManager members.

Object Model

See Also

TabPaintManager Members


%%PageItemTitle%% $$Members$$

TabPaintManager Overview

See Also Docking Pane ActiveX Control v19.3

TabPaintManager Object Members

Public Methods

Public Method IsColorSupported | Checks to see if a XTPColorTabStyle is supported for the currently set Appearance.
Public Method SetIconSize | The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Public Properties

Public Property Appearance | Gets/Sets the appearance of the tabs.
Public Property BoldSelected | Enables/disables the use of a bold selected tab.
Public Property ButtonMargin | Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.
Public Property ClearTypeTextQuality | Enables or disables the use of ClearType text in the docking pane tabs.
Public Property ClientFrame | Gets/Sets the client frame
Public Property ClientMargin | Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.
Public Property Color | Gets/Sets the color style of the tabs.
Public Property ColorSet | The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.
Public Property ControlMargin | Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.
Public Property DisableLunaColors | Disables/enables the use of luna colors.
Public Property DrawTextFormat | Text format for tab buttons.
Public Property DrawTextNoPrefix | The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.
Public Property DrawTextPathEllipsis | The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.
Public Property FillBackground | Specifies whether the area behind the tab buttons will be drawn themed.
Public Property FixedTabWidth | Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.
Public Property Font | The Font property is used to set or retrieve the font used to display the caption of tab buttons.
Public Property HeaderMargin | Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.
Public Property HotTracking | Enables/disables hot tracking.
Public Property Layout | Gets/Sets the layout of the tabs
Public Property MaxTabWidth | Gets\sets the maximum width a tab button can be.
Public Property MinTabWidth | Gets\sets the minimum width a tab button can be.
Public Property MultiRowFixedSelection | The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.
Public Property MultiRowJustified | The MultiRowJustified property specifies the justification\width of the tab buttons in a tab group.
Public Property MultiRowTabsOptimization |
Public Property OneNoteColors | Enables/disables the use of OneNote Colors
Public Property Position | Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side
Public Property RotateImageOnVerticalDraw | Specifies whether tab images are rotated when the tabs are drawn vertically.
Public Property SelectTabOnDragOver | Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.
Public Property ShowIcons | Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.
Public Property ShowTabs | Gets or sets whether the tabs in groups of panes are visible.
Public Property StaticFrame | Enables/Disables the use of a static frame.
Public Property ToolTipBehaviour | The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in groups of panes.
Public Property VerticalTextTopToBottom |

See Also

TabPaintManager Overview


%%PageItemTitle%%

TabPaintManager Object

Color
Color to be checked.
See Also Docking Pane ActiveX Control v19.3

IsColorSupported Method

Description

Checks to see if a XTPColorTabStyle is supported for the currently set Appearance.

Syntax

Public Function IsColorSupported( _
   ByVal Color As XTPTabColorStyle _
) As Boolean

Parameters

Color
Value | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access
xtpTabColorVisualStudio2003
xtpTabColorVisualStudio2005
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010 | Tabs will use the Visual Studio 2010 color style for the currently set Appearance.
xtpTabColorVisualStudio2012
xtpTabColorVisualStudio2012Dark
xtpTabColorOffice2013
xtpTabColorOffice2016
xtpTabColorVisualStudio2015
xtpTabColorAll
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007
Color to be checked.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | ShowIcons Property

cx
New Width of Icons.
cy
New Height of Icons.
See Also Docking Pane ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New Width of Icons.
cy
New Height of Icons.

Remarks

SetIconSize will set the size of icons displayed in the tab buttons when ShowIcons is TRUE.

See Also

TabPaintManager Object | ShowIcons Property


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

Appearance Property

Description

Gets/Sets the appearance of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPTabAppearanceStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

BoldSelected Property

Description

Enables/disables the use of a bold selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldSelected() As Boolean

Remarks

When True, the caption of the Tab that is currently selected is displayed in bold.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ButtonMargin Property

Description

Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ButtonMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ClearTypeTextQuality Property

Description

Enables or disables the use of ClearType text in the docking pane tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearTypeTextQuality() As Boolean

Remarks

ClearTypeTextQuality is only supported in Windows XP and higher. ClearType text delivers improved font display quality over traditional forms of font smoothing or anti-aliasing. ClearType text improves readability on LCD displays and flat panel displays. Readability on CRT screens is also minimally improved.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ClientFrame Property

Description

Gets/Sets the client frame

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientFrame() As XTPTabClientFrame

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ClientMargin Property

Description

Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

Color Property

Description

Gets/Sets the color style of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As XTPTabColorStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ColorSet Property

Description

The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorSet() As TabPaintManagerColorSet

Remarks

Each time a VisualTheme is applied, the color settings will be updated with the colors for the selected theme. If the theme is changed, the the members of ColorSet must be updated to show the custom colors. The Color and Appearance properties can be used to mix appearances and colors.

Example

[Changing the color set for tab appearances. (Visual Basic)] This sample illustrates how to change the colors used for each tab color set.

   'Color properties common to all tab appearances
    DockingPaneManager.TabPaintManager.ColorSet.NormalText = RGB(0, 50, 150)
    DockingPaneManager.TabPaintManager.ColorSet.FrameBorder = RGB(255, 0, 0)
    DockingPaneManager.TabPaintManager.ColorSet.HeaderFaceDark = RGB(0, 0, 255)
    DockingPaneManager.TabPaintManager.ColorSet.HeaderFaceLight = RGB(0, 0, 100)
    DockingPaneManager.TabPaintManager.ColorSet.SelectedText = RGB(0, 0, 255)

    'Color properties specific to the Office 2003 theme and PropertyPage2003 appearance.
    DockingPaneManager.TabPaintManager.ColorSet.TabPropertyPage2003BorderLeftHighlight = RGB(255, 0, 0)
    DockingPaneManager.TabPaintManager.ColorSet.TabPropertyPage2003BorderTopHighlight = RGB(255, 0, 0)
    DockingPaneManager.TabPaintManager.ColorSet.TabPropertyPage2003DarkShadow = RGB(255, 0, 0)
    DockingPaneManager.TabPaintManager.ColorSet.TabPropertyPage2003FrameBorder = RGB(0, 0, 0)

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ControlMargin Property

Description

Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

DisableLunaColors Property

Description

Disables/enables the use of luna colors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableLunaColors() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

DrawTextFormat Property

Description

Text format for tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextFormat() As XTPTabDrawTextFormat

Remarks

DrawTextFormat can contain one or more flags from the XTPTabDrawTextFormat enumeration to specify the text format used to draw text in tab buttons.

By default the xtpTabDrawTextLeft and xtpTabDrawTextVCenter flags are combined using the bitwise OR operator.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | DrawTextPathEllipsis Property

See Also Docking Pane ActiveX Control v19.3

DrawTextNoPrefix Property

Description

The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextNoPrefix() As Boolean

Remarks

If set to FALSE, then an ampersand '&' in the tab button caption will be ignored and the character immediately following the ampersand will be underlined. A double ampersand '&&' will display a single ampersand '&'.

If the tab caption was "Te&xt", then the resulting caption would look like "Text"

If set to TRUE, then the caption will be displayed unmodified.

This can be used to indicate to the user that a hot key is associated with the tab. Please note that a key can not be directly bound to a tab, you will need to manually handle the key bindings and then the appropriate tab can be selected.

Example

[Underlining a character in the tab button caption. (Visual Basic)] This sample illustrates how to underline a character in a tab button caption. This lets the user know that a hot key is associated with the tab.

    'Indicates that a single '&' in the tab button caption will result in the following
    'character being underlined.
    DockingPaneManager.TabPaintManager.DrawTextNoPrefix = False

See Also

TabPaintManager Object | DrawTextPathEllipsis Property


%%PageItemTitle%%

TabPaintManager Object | DrawTextNoPrefix Property

See Also Docking Pane ActiveX Control v19.3

DrawTextPathEllipsis Property

Description

The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextPathEllipsis() As Boolean

Remarks

If set to TRUE, then when the size of a tab button is too small to display the caption, the middle of the caption will be replaced with an ellipse "..."

If set to FALSE, then the end of the caption will be replaced with the ellipse.

Example

[DrawTextPathEllipsis Sample (Visual Basic)] This sample illustrates how to use the DrawTextPathEllipsis property to change the location of the ellipse in tab captions too long to fit in a tab button.

    'An ellipse will be drawn in the middle of tab captions too long to fit in the tab button.
    DockingPaneManager.TabPaintManager.DrawTextPathEllipsis = True

See Also

TabPaintManager Object | DrawTextNoPrefix Property


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

FillBackground Property

Description

Specifies whether the area behind the tab buttons will be drawn themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FillBackground() As Boolean

Remarks

By default, FillBackground is True. When True, the space behind the tab buttons will be themed to match the currently set tab appearance, otherwise the normal colors will be used.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property

See Also Docking Pane ActiveX Control v19.3

FixedTabWidth Property

Description

Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedTabWidth() As Long

Remarks

FixedTabWidth is only used when the tab layout is set to XTPTabLayoutFixed. This is the size in pixels of each individual tab button when the tab layout is set to XTPTabLayoutFixed.

To set back to default settings, set FixedTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

Font Property

Description

The Font property is used to set or retrieve the font used to display the caption of tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Example

[Changing the font of the tab buttons. (Visual Basic)] This sample illustrates how to change the font used in the tab buttons.

    'The following illustrate how to change the font used for the tab button captions.
    Dim TextFont As StdFont
    Set TextFont = New StdFont
    TextFont.Name = "Arial"
    TextFont.Size = 15
    TextFont.Bold = True

    Set DockingPaneManager.TabPaintManager.Font = TextFont

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

HeaderMargin Property

Description

Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderMargin() As TabManagerMargin

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

HotTracking Property

Description

Enables/disables hot tracking.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

When hot tracking is enabled, the appearance of the tab that the mouse pointer is positioned over will change. How the appearance is changed depends on the currently set Appearance. Some appearances do not change at all, some will cause the caption to display in a different color, and some will change the color of the tab.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

Layout Property

Description

Gets/Sets the layout of the tabs

Property type

Read-write property

Syntax (Visual Basic)

Public Property Layout() As XTPTabLayoutStyle

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property

See Also Docking Pane ActiveX Control v19.3

MaxTabWidth Property

Description

Gets\sets the maximum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTabWidth() As Long

Remarks

MaxTabWidth is the maximum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MaxTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | FixedTabWidth Property | MaxTabWidth Property

See Also Docking Pane ActiveX Control v19.3

MinTabWidth Property

Description

Gets\sets the minimum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinTabWidth() As Long

Remarks

MinTabWidth is the minimum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MinTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | FixedTabWidth Property | MaxTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | Layout Property | MultiRowJustified Property

See Also Docking Pane ActiveX Control v19.3

MultiRowFixedSelection Property

Description

The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowFixedSelection() As Boolean

Remarks

When false, the rows of tabs in front of the selected tab are repositioned at the opposite side (behind) of the control. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, all tab rows will be repositioned behind the second row.

When true, the rows in a multi-row tab control remain "fixed" when a tab is selected. The remaining rows of tabs in front of a selected tab will not be repositioned. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, the tab rows will remain the same.

See Also

TabPaintManager Object | Layout Property | MultiRowJustified Property


%%PageItemTitle%%

TabPaintManager Object | Layout Property | MultiRowFixedSelection Property

See Also Docking Pane ActiveX Control v19.3

MultiRowJustified Property

Description

The MultiRowJustified property specifies the justification\width of the tab buttons in a tab group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowJustified() As Boolean

Remarks

If MultiRowJustified is true, the tab rows will be justified. If the tab layout is set to xtpTabLayoutMultiRow, each tab is wide enough to accommodate its contents and, if needed, the width of each tab is increased so that each row of tabs spans the width of the group of panes. This will stretch each row of tabs to fill the entire width of the group of panes. If the tab layout is not set to xtpTabLayoutMultiRow, or if there is only a single row of tabs, this setting has no effect.

If MultiRowJustified is false, the tab rows will be non-justified. Each tab is just wide enough to accommodate its contents. The rows are not justified, so multiple rows of tabs are jagged.

See Also

TabPaintManager Object | Layout Property | MultiRowFixedSelection Property


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

MultiRowTabsOptimization Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowTabsOptimization() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

OneNoteColors Property

Description

Enables/disables the use of OneNote Colors

Property type

Read-write property

Syntax (Visual Basic)

Public Property OneNoteColors() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPTabPosition

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

RotateImageOnVerticalDraw Property

Description

Specifies whether tab images are rotated when the tabs are drawn vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RotateImageOnVerticalDraw() As Boolean

Remarks

The illustration below shows what the tab images look like drawn normally and rotated when the tab buttons are vertical.

Example

[RotateImageOnVerticalDraw Sample (Visual Basic)] Illustrates how to rotate the tab images when the tabs are drawn vertically.

    DockingPaneManager.TabPaintManager.RotateImageOnVerticalDraw = True
    DockingPaneManager.PanelPaintManager.RotateImageOnVerticalDraw = True

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

SelectTabOnDragOver Property

Description

Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectTabOnDragOver() As Integer

Remarks

Set SelectTabOnDragOver to True to select\activate a tab when an object (files, text, etc) is dragged over the tab.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | SetIconSize Method

See Also Docking Pane ActiveX Control v19.3

ShowIcons Property

Description

Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowIcons() As Boolean

Remarks

The SetIconSize method can be used to change the size of icons displayed in the tab buttons.

See Also

TabPaintManager Object | SetIconSize Method


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

ShowTabs Property

Description

Gets or sets whether the tabs in groups of panes are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTabs() As Boolean

Remarks

Gives you the option to hide all the tabs in groups of panes. If used, panes must be selected using code.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

StaticFrame Property

Description

Enables/Disables the use of a static frame.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StaticFrame() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration | ToolTipContext Property

See Also Docking Pane ActiveX Control v19.3

ToolTipBehaviour Property

Description

The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in groups of panes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTipBehaviour() As XTPTabToolTipBehaviour

Remarks

By default, tool tips will only be displayed for tab buttons in groups of panes when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

See Also

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration | ToolTipContext Property


%%PageItemTitle%%

TabPaintManager Object

See Also Docking Pane ActiveX Control v19.3

VerticalTextTopToBottom Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalTextTopToBottom() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManagerColorSet Members

See Also Docking Pane ActiveX Control v19.3

TabPaintManagerColorSet Object

Description

The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab. The default tab colors for each theme can be changed using the ColorSet property.

For a list of all members defined in this module, see TabPaintManagerColorSet members.

See Also

TabPaintManagerColorSet Members


%%PageItemTitle%% $$Members$$

TabPaintManagerColorSet Overview

See Also Docking Pane ActiveX Control v19.3

TabPaintManagerColorSet Object Members

Public Properties

Public Property ActiveFilesBack |
Public Property ActiveFilesBackHighlighted |
Public Property ActiveFilesBackPressed |
Public Property ActiveFilesGlyph |
Public Property ActiveFilesGlyphHighlighted |
Public Property ActiveFilesGlyphPressed |
Public Property BorderHighlight | Color of the tab button border on mouse over when hot tracking is enabled.
Public Property ButtonBorder |
Public Property ButtonBorderHot |
Public Property ButtonHighlighted | Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.
Public Property ButtonNormal | Color of normal tabs. Normal tabs are tabs that are not selected or disabled.
Public Property ButtonSelected | Color of the currently selected tab.
Public Property ControlFace | Color of the control foreground. This is the area that the tab header and tab client are drawn on.
Public Property DisabledText | Color of text when a tab is disabled.
Public Property FrameBorder | Color of border placed around the tab buttons and tab client.
Public Property HeaderFaceDark | Dark face color of the tab header background.
Public Property HeaderFaceLight | Light face color of the tab header background.
Public Property HighlightCloseText |
Public Property HighlightedCloseButton |
Public Property HighlightText | Color of text on mouse over when hot tracking is enabled.
Public Property NormalText | Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.
Public Property PaneFace | Color of the tab's pane.
Public Property PressedButton |
Public Property PressedText |
Public Property SelectedHighlightedButton |
Public Property SelectedHighlightedText |
Public Property SelectedPressedButton |
Public Property SelectedPressedText |
Public Property SelectedText | Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.
Public Property TabExcelNormalLeftInnerBorder | Color of the left inner border of a normal Excel style tab button.
Public Property TabExcelNormalLeftOuterBorder | Color of the left outer border of a normal Excel style tab button.
Public Property TabExcelNormalRightInnerBorder | Color of the right inner border of a normal Excel style tab button.
Public Property TabExcelNormalRightOuterBorder | Color of the right outer border of a normal Excel style tab button.
Public Property TabExcelNormalTopInnerBorder | Color of the top inner border of a normal Excel style tab button.
Public Property TabExcelNormalTopOuterBorder | Color of the top outer border of a normal Excel style tab button.
Public Property TabExcelSelectedLeftInnerBorder | Color of the left inner border of a selected Excel style tab button.
Public Property TabExcelSelectedLeftOuterBorder | Color of the left outer border of a selected Excel style tab button.
Public Property TabExcelSelectedRightInnerBorder | Color of the right inner border of a selected Excel style tab button.
Public Property TabExcelSelectedRightOuterBorder | Color of the right outer border of a selected Excel style tab button.
Public Property TabExcelSelectedTopInnerBorder | Color of the top inner border of a selected Excel style tab button.
Public Property TabExcelSelectedTopOuterBorder | Color of the top outer border of a selected Excel style tab button.
Public Property TabPropertyPage2003BorderLeftHighlight | Color of the left border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003BorderTopHighlight | Color of the top border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003DarkShadow | Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003FrameBorder | Color of the frame border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPageDarkShadow | Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageHighlight | Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageShadow | Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabStateButtonBorderBottomRight | Color of the bottom right border of a State Button style tab button.
Public Property TabStateButtonBorderTopLeft | Color of the top left border of a State Button style tab button.
Public Property TabStateButtonFaceDark | Dark face color of a State Button style tab button.
Public Property TabStateButtonFaceLight | Light face color of a State Button style tab button.

See Also

TabPaintManagerColorSet Overview


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesBack Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBack() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesBackHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesBackPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesGlyph Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyph() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesGlyphHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ActiveFilesGlyphPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

BorderHighlight Property

Description

Color of the tab button border on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderHighlight() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ButtonBorder Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ButtonBorderHot Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorderHot() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ButtonHighlighted Property

Description

Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ButtonNormal Property

Description

Color of normal tabs. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonNormal() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ButtonSelected Property

Description

Color of the currently selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonSelected() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

ControlFace Property

Description

Color of the control foreground. This is the area that the tab header and tab client are drawn on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

DisabledText Property

Description

Color of text when a tab is disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisabledText() As ULong

Remarks

A disabled tab cannot receive focus.

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

FrameBorder Property

Description

Color of border placed around the tab buttons and tab client.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FrameBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceLight Property

See Also Docking Pane ActiveX Control v19.3

HeaderFaceDark Property

Description

Dark face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceDark() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceDark is the dark color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceDark Property

See Also Docking Pane ActiveX Control v19.3

HeaderFaceLight Property

Description

Light face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceLight() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceLight is the light color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceDark Property


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

HighlightCloseText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightCloseText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

HighlightedCloseButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightedCloseButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

HighlightText Property

Description

Color of text on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

NormalText Property

Description

Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

PaneFace Property

Description

Color of the tab's pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PaneFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

PressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

PressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

SelectedHighlightedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

SelectedHighlightedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

SelectedPressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

SelectedPressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Docking Pane ActiveX Control v19.3

SelectedText Property

Description

Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalLeftInnerBorder Property

Description

Color of the left inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftInnerBorder() As ULong

Remarks

TabExcelNormalLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalLeftOuterBorder Property

Description

Color of the left outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftOuterBorder() As ULong

Remarks

TabExcelNormalLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalRightInnerBorder Property

Description

Color of the right inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightInnerBorder() As ULong

Remarks

TabExcelNormalRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalRightOuterBorder Property

Description

Color of the right outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightOuterBorder() As ULong

Remarks

TabExcelNormalRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalTopInnerBorder Property

Description

Color of the top inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopInnerBorder() As ULong

Remarks

TabExcelNormalTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelNormalTopOuterBorder Property

Description

Color of the top outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopOuterBorder() As ULong

Remarks

TabExcelNormalTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedLeftInnerBorder Property

Description

Color of the left inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftInnerBorder() As ULong

Remarks

TabExcelSelectedLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedLeftOuterBorder Property

Description

Color of the left outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftOuterBorder() As ULong

Remarks

TabExcelSelectedLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedRightInnerBorder Property

Description

Color of the right inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightInnerBorder() As ULong

Remarks

TabExcelSelectedRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedRightOuterBorder Property

Description

Color of the right outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightOuterBorder() As ULong

Remarks

TabExcelSelectedRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedTopInnerBorder Property

Description

Color of the top inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopInnerBorder() As ULong

Remarks

TabExcelSelectedTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property

See Also Docking Pane ActiveX Control v19.3

TabExcelSelectedTopOuterBorder Property

Description

Color of the top outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopOuterBorder() As ULong

Remarks

TabExcelSelectedTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPage2003BorderLeftHighlight Property

Description

Color of the left border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderLeftHighlight() As ULong

Remarks

TabPropertyPage2003BorderLeftHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderLeftHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPage2003BorderTopHighlight Property

Description

Color of the top border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderTopHighlight() As ULong

Remarks

TabPropertyPage2003BorderTopHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderTopHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPage2003DarkShadow Property

Description

Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003DarkShadow() As ULong

Remarks

The dark shadow is the shadow of the tab button.

TabPropertyPage2003DarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003DarkShadow when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPage2003FrameBorder Property

Description

Color of the frame border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003FrameBorder() As ULong

Remarks

The frame border refers to the tab client frame.

TabPropertyPage2003FrameBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003FrameBorder when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPageDarkShadow Property

Description

Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageDarkShadow() As ULong

Remarks

TabPropertyPageDarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageDarkShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPageHighlight Property

Description

Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageHighlight() As ULong

Remarks

TabPropertyPageHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageHighlight when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property

See Also Docking Pane ActiveX Control v19.3

TabPropertyPageShadow Property

Description

Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageShadow() As ULong

Remarks

TabPropertyPageShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Docking Pane ActiveX Control v19.3

TabStateButtonBorderBottomRight Property

Description

Color of the bottom right border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderBottomRight() As ULong

Remarks

TabStateButtonBorderBottomRight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderBottomRight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Docking Pane ActiveX Control v19.3

TabStateButtonBorderTopLeft Property

Description

Color of the top left border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderTopLeft() As ULong

Remarks

TabStateButtonBorderTopLeft is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderTopLeft when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property

See Also Docking Pane ActiveX Control v19.3

TabStateButtonFaceDark Property

Description

Dark face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceDark() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceDark is the dark color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceDark on top and smoothly transitions to TabStateButtonFaceLight on the bottom of the tab button.

TabStateButtonFaceDark is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceDark when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property

See Also Docking Pane ActiveX Control v19.3

TabStateButtonFaceLight Property

Description

Light face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceLight() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceLight is the light color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceLight on top and smoothly transitions to TabStateButtonFaceDark on the bottom of the tab button.

TabStateButtonFaceLight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceLight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property


%%PageItemTitle%%

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | ToolTipBehaviour Property | ToolTipContext Property | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration

See Also Docking Pane ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | ToolTipBehaviour Property | ToolTipContext Property | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | ToolTipBehaviour Property | ToolTipContext Property | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration

See Also Docking Pane ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Not used for this control.
Public Method ShowTitleAndDescription | The ShowTitleAndDescription method specifies whether to show the Title of the Pane in the tool tip window.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | ToolTipBehaviour Property | ToolTipContext Property | XTPTabToolTipBehaviour Enumeration | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Docking Pane ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Docking Pane ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Docking Pane ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
ImageBase
See Also Docking Pane ActiveX Control v19.3

ShowImage Method

Description

Not used for this control.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
ImageBase

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription

True to display the Title and Icon (specified by IconTitle) of the Pane in the tool tip window.

False to display only the text stored in the Title property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Icon to display in tool tip window.
See Also Docking Pane ActiveX Control v19.3

ShowTitleAndDescription Method

Description

The ShowTitleAndDescription method specifies whether to show the Title of the Pane in the tool tip window.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the Title and Icon (specified by IconTitle) of the Pane in the tool tip window.

False to display only the text stored in the Title property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.
Icon to display in tool tip window.

Remarks

NOTE: This is not very useful for the docking pane.

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the Title of the Pane.

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Docking Pane ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Docking Pane ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Docking Pane ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the title and tooltip of the item, the minimum width of the tool tip window can not be smaller that the width of the title.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Docking Pane ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Docking Pane ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Docking Pane ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the title of the pane will be used.

See the XTPToolTipStyle enumeration for a detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Docking Pane ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Docking Pane ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

StickerStyle Property | ShowDockingContextStickers Property | AlphaDockingContext Property

See Also Docking Pane ActiveX Control v19.3

DockingContextStickerStyle Enumeration

Description

Specifies the style of the docking stickers.

Members

Member | Description
StickerStyleWhidbey | Visual Studio 2005 "Whidbey" style docking stickers:
StickerStyleVisualStudio2005 | Visual Studio 2005 style docking stickers:
StickerStyleVisualStudio2008 |
StickerStyleVisualStudio2010 |
StickerStyleVisualStudio2012Light |
StickerStyleVisualStudio2012Dark |
StickerStyleVisualStudio2015Light |
StickerStyleVisualStudio2015Dark |

Remarks

Both ShowDockingContextStickers and AlphaDockingContext must be True to display docking stickers. If both are True, docking stickers are drawn on the screen indicating all the possible locations that the docking pane can be docked while the pane is dragged over the application.

See Also

StickerStyle Property | ShowDockingContextStickers Property | AlphaDockingContext Property


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

DockingDirection Enumeration

Description

Specifies the direction where a pane is docked.

Members

Member | Description
DockLeftOf | Docks a pane to the left of an existing pane.
DockRightOf | Docks a pane to the right of an existing pane
DockTopOf | Docks a pane to the top of an existing pane
DockBottomOf | Docks a pane to the bottom of an existing pane


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

DockingPaneAction Enumeration

Description

Specifies the action a docking pane is currently performing

Members

Member | Description
PaneActionFloating | Docking pane is currently floating. This occurs when the user clicks on the title bar of a docking pane and drags the pane to another location. When this occurs, the pane is said to be "floating."
PaneActionFloated | Docking pane has been docked, and is currently floating.
PaneActionClosing | Docking pane is currently closing. This occurs when the close button of the pane is clicked.
PaneActionClosed | Docking pane has been closed. This occurs when the docking pane has finished closing.
PaneActionDocking | Docking pane is in the process of docking.
PaneActionDocked | Docking pane has been docked. This occurs when the docking pane has finished docking.
PaneActionAttaching | Docking pane is in the process of attaching to another pane.
PaneActionAttached | Docking pane has been attached. This occurs when the docking pane has finished attaching to another pane.
PaneActionPinning | Docking pane is currently pinning. This occurs when the "pin" button is clicked to make the pane remain visible.
PaneActionPinned | Docking pane has been pinned. This occurs when the docking pane has finished pinning.
PaneActionCollapsing | Docking pane is currently collapsing (hiding). This occurs when a pane is going back to its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionCollapsed | Docking Pane has been collapsed. This occurs when the docking pane has finished collapsing.
PaneActionExpanding | Docking pane is currently expanding. This occurs when a pane is being displayed from its AutoHide position. If a pane is hidden and the mouse is positioned over the tab to display the pane, the pane is then expanding, when the mouse is moved off of the pane it begins to collapse.
PaneActionExpanded | Docking pane is expanded, this is when the pane is fully shown from the autohide position.
PaneActionActivated | Docking Pane becomes active. After this action, the ActivePane property will hold a reference to the currently active pane.
PaneActionDeactivated | Docking Pane becomes deactivated. After this action, the ActivePane property become Null/Nothing.
PaneActionDetaching | Docking Pane is removed from a group of panes. This occurs when a pane that is in a group of two or more panes is dragged from the group. The PaneActionFloating action will always follow this action as the pane is floating while it is being dragged to a new location.
PaneActionDragging | Docking Pane has started to be dragged. This occurs when a pane first starts to be dragged.
PaneActionUnpinning | Docking Pane is in the process of un-pinning. This occurs when the pin button of a pane is clicked to un-pin the pane. This is also know as auto-hide mode.
PaneActionUnpinned | Docking Pane is un-pinned. This occurs when a pane has completely been pinned. The pane will now only show a tab on the side of the container that can be displayed by moving the mouse over the tab. This is also know as auto-hide mode.
PaneActionSplitterResizing | Docking pane splitter resizing.
PaneActionSplitterResized | Docking pane splitter resized.

Remarks

The action event is triggered when a docking pane is performing any one of these actions. You can determine the current action and pane within the action event.


%%PageItemTitle%%

CaptionButtonStyle Property

See Also Docking Pane ActiveX Control v19.3

DockingPaneCaptionButtonStyle Enumeration

Description

Caption button styles.

Members

Member | Description
PaneCaptionButtonDefault | System default caption button style.
PaneCaptionButtonOffice | Office 2000 caption button style.
PaneCaptionButtonOffice2003 | Office 2003 caption button style.
PaneCaptionButtonThemedExplorerBar | Windows Explorer caption button style.
PaneCaptionButtonThemedButton | Themed Button caption button style.
PaneCaptionButtonThemedToolBar | Themed Toolbar caption button style.
PaneCaptionButtonThemedToolWindow | Tool Window caption button style.

Remarks

The CaptionButtonStyle property uses these flags to set the caption button style.

See Also

CaptionButtonStyle Property


%%PageItemTitle%%

CaptionDirection Property

See Also Docking Pane ActiveX Control v19.3

DockingPaneCaptionDirection Enumeration

Description

Specifies the direction that the docking pane caption will be displayed. This will be vertical or horizontal.

Members

Member | Description
PaneCaptionHorizontal | The caption of all docking panes will always be displayed horizontal.
PaneCaptionVertical | The caption of all docking panes will always be displayed vertical.
PaneCaptionAutoByPosition | The caption of docking panes will be displayed horizontally if the pane is docked to the top or bottom of the application and the caption will be displayed vertically if the pane is docked to the left or right of the application.
PaneCaptionAutoBySize | The caption of docking panes will be determined by the size of the pane. The caption will be displayed horizontally if the pane's width is smaller that it's height. The caption will be displayed vertically if the pane's height is smaller than the pane's width.

Remarks

The CaptionDirection property is used to set the direction of the captions.

See Also

CaptionDirection Property


%%PageItemTitle%%

Enabled Property | Action Event

See Also Docking Pane ActiveX Control v19.3

DockingPaneEnableOptions Enumeration

Description

Flags that specify the extent a pane is enabled\disabled.

Members

Member | Description
PaneDisabled | Pane is totally disabled. The pane can not be moved, hidden or closed. The pane's client area is disabled. Note how the pane's title is grayed out indicating the client area is disabled and the "pin" and close "X" buttons are grayed out as well.
PaneEnableClient | Only the pane's client area is enabled. The pane can not be moved, hidden or closed. Note how the pane's title is grayed out indicating the client area is disabled.
PaneEnableActions | Only the pane's client area is disabled. The pane can be moved, hidden and closed. Note how the pane's "pin" and close "X" buttons are grayed out indicating that pane actions are disabled.
PaneEnabled | Pane is completely enabled. The pane can be moved, hidden and closed. The pane's client area is enabled.

Remarks

The pane's Enabled property uses flags from the DockingPaneEnableOptions enumeration to specify the extent that a pane is enabled.

A pane can be totally enabled, only the client area enabled, only pane actions enabled, only client area disabled, only pane actions disabled, or totally disabled.

The Action event can further be used to restrict what a pane can do if actions are left enabled.

See Also

Enabled Property | Action Event


%%PageItemTitle%%

EnableKeyboardNavigate Method

See Also Docking Pane ActiveX Control v19.3

DockingPaneKeyboardNavigate Enumeration

Description

Specifies the keyboard keys that can be used to navigate the docking panes.

Members

Member | Description
PaneKeyboardUnused | Panes can not be navigated using the keyboard.
PaneKeyboardUseAltMinus | Panes can be navigated using the Alt+Minus keys on the keyboard. Using this key combination causes a drop-down menu to appear in which you can then select the move option. You can then use the keyboard arrow keys to move the pane.
PaneKeyboardUseAltF6 | Panes can be navigated using the Alt+F6 keys on the keyboard. Using this key combination causes focus to be passed directly to the next pane.
PaneKeyboardUseAltF7 | Panes can be navigated using the Alt+F7 keys on the keyboard. Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window. See the image in the remarks section for a picture of the popup window.
PaneKeyboardUseCtrlTab | Panes can be navigated using the Ctrl+Tab keys on the keyboard. Using this key combination causes a popup window similar to the Windows Alt+Tab window in which you can choose the pane that will receive focus from the list of panes in the popup window. See the image in the remarks section for a picture of the popup window.
PaneKeyboardUseAll | Panes can be navigated using the Alt+Minus, Alt+F6, Alt+F7 and Ctrl+Tab keys on the keyboard.

Remarks

The EnableKeyboardNavigate method used the flags from the DockingPaneKeyboardNavigate enumeration to specify the keyboard keys that can be used to navigate the docking panes.

See Also

EnableKeyboardNavigate Method


%%PageItemTitle%%

SplitterStyle Property

See Also Docking Pane ActiveX Control v19.3

DockingPaneSplitterStyle Enumeration

Description

Specifies the docking pane splitter bar style.

Members

Member | Description
PaneSplitterFlat | Flat style
PaneSplitter3D | 3D Style
PaneSplitterSoft3D | Soft 3D Style
PaneSplitterGradient | Gradient Style
PaneSplitterGripperOfficeXP | Office XP style
PaneSplitterGripperOffice2003 | Office 2003 style.

Remarks

The SplitterStyle property is used to change the docking pane splitter style. Note that changing the theme will reset the style of the splitter, so you must change the splitter style after changing the theme.

See Also

SplitterStyle Property


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

DockingPaneTabButtonFlags Enumeration

Description

Options to specify when a tab close button will be shown.

Members

Member | Description
PaneTabButtonNone | Never show a close button in the tab button.
PaneTabButtonSelected | Only show a close button in the currently selected tab button.
PaneTabButtonAlways | Always show a close button in the tab button.


%%PageItemTitle%%

HideClient Property | PaneContainer Object | PaneContainer.Type Property | Pane.Type Property | PaneActionContainer Object | Action Event

See Also Docking Pane ActiveX Control v19.3

DockingPaneType Enumeration

Description

Specifies the type of a docking pane container.

Members

Member | Description
PaneTypeDockingPane | Object is a docking pane. This is the actual pane which contains user windows\controls.
PaneTypeTabbedContainer | Object is a tabbed container. This is a container that groups panes together and displays a tab strip to switch between panes. A docking pane will ALWAYS be contained inside a tabbed container, even single panes, which can optionally have the single tab displayed.
PaneTypeSplitterContainer | Object is a splitter container. This is a container that groups other containers together using splitters to separate them.
PaneTypeMiniWnd | Object is a mini window container. This is a container that contains floating panes. Inside this container there can be tabbed and splitter containers.
PaneTypeClient | Object is the client area container. This is a virtual container used for the client space. There will only be one client container. The client container can be hidden using the HideClient property.
PaneTypeAutoHidePanel | Object is a auto hide panel container. This is a container that contains the tab buttons of panes that have been un-pinned\auto-hidden. There can be an auto hide panel on the top, left, right and bottom of an application. Using this container you can determine how many panes have been auto hidden to a particular side of an application.
PaneTypeSidePanel | Object is the side panel. SideDocking enables or disabled "Visio" style client edge docking. Side docking can only occur to the inside edges of the client area. When SideDocking is enabled any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The pane will "snap" to the inside edge of the client and will leave a margin equal to that specified by SetSideDockingMargin.

Remarks

Both the PaneContainer.Type and Pane.Type properties use the flags from the DockingPaneType enumeration to specify which type of container they are.

The PaneContainer class helps you can understand the layout of the panes. The main purpose of the PaneContainer class is to provide information about how panes are grouped, where they are located, if there are any floating panes, how many floating panes, how many auto-hidden panes, which side panes are auto-hidden, where panes are docked, etc.

In the picture you can see 5 pane objects. Containers were used to create this layout. Panes B, D and E are contained in a PaneTypeTabbedContainer. Pane C is contained in another PaneTypeTabbedContainer and both splitter tabbed containers are contained in a PaneTypeSplitterContainer. The important thing to remember is that panes are always contained inside a PaneTypeTabbedContainer.

Using the PaneActionContainer class and the Action event you can determine additional information such as where a pane will be docked and where it was actually docked.

Example

[Pane Containers Sample (Visual Basic)] This sample illustrates how to use pane containers to restrict where panes can be docked in an application.

Private Sub DockingPaneManager_Action(ByVal Action As XtremeDockingPane.DockingPaneAction, ByVal Pane As XtremeDockingPane.IPane, ByVal Container As XtremeDockingPane.IPaneActionContainer, Cancel As Boolean)
On Error Resume Next
    Dim Actions As Variant
    Actions = Array("PaneActionFloating", "PaneActionFloated", _
        "PaneActionClosing", "PaneActionClosed", "PaneActionDocking", "PaneActionDocked", "PaneActionAttaching", "PaneActionAttached", "PaneActionPinning", "PaneActionPinned", _
        "PaneActionCollapsing", "PaneActionCollapsed", "PaneActionExpanding", "PaneActionExpanded", "PaneActionActivated", _
        "PaneActionDeactivated", "PaneActionDetaching", "PaneActionDragging", "PaneActionUnpinning", "PaneActionUnpinned")

    Debug.Print "Action = "; Actions(Action + LBound(Actions)); "; Title = "; Pane.Title

    '
    ' Container Parameter valid only for PaneActionDocking and PaneActionAttaching
    '
    ' Container.Direction = Where a pane would be docked if the user were to drop the pane
    ' for the PaneActionDocking action.
    '
    ' Container.Direction = Where a was actually docked for the PaneActionDocked action.
    '
    If (Action = PaneActionDocking) Then
        'Do not allow panes to be docked to the top or bottom of the applicaiton
        If (Container.Container.Type <> PaneTypeTabbedContainer) And _
        (Container.Direction = DockTopOf Or Container.Direction = DockBottomOf) Then
            Cancel = True
        End If
    End If
    If (Action = PaneActionAttaching) Then
        Debug.Print Container.Container.Count
    End If

End Sub

See Also

HideClient Property | PaneContainer Object | PaneContainer.Type Property | Pane.Type Property | PaneActionContainer Object | Action Event


%%PageItemTitle%%

PaneOptions Property | PanePopupMenu Event | Action Event

See Also Docking Pane ActiveX Control v19.3

PaneOptions Enumeration

Description

Docking Pane Options enumeration.

Members

Member | Description
PaneNoCloseable | Docking Pane can not be closed.
PaneNoHideable | Docking Pane can not be hidden.
PaneNoFloatable | Docking Pane can not be floated.
PaneNoCaption | Docking Pane does not have a caption.
PaneHasMenuButton | Docking Pane has a Menu Button that can be used to display a custom popup menu. See the PanePopupMenu event for an example.
PaneNoDockable | Docking Pane can not be docked. This is useful when you only want the pane to be pinned\unpinned and not dragged around. Note, you must combine this with the PaneNoFloatable flag so the pane does not get "stuck" floating as it can not be docked.

Remarks

You can specify that a pane use any combination of these options.

See Also

PaneOptions Property | PanePopupMenu Event | Action Event


%%PageItemTitle%%

VisualTheme Property

See Also Docking Pane ActiveX Control v19.3

VisualTheme Enumeration

Description

Specifies various visual themes which are used to display docking panes

Members

Member | Description
ThemeDefault | The default theme.
ThemeOffice | Office-style visual theme.
ThemeOffice2003 | Office 2003 like theme
ThemeNativeWinXP | Native WinXP like theme.
ThemeGrippered | Visual Studio 6 ( MSDEV ) style visual theme.
ThemeVisio | Visio-style visual theme.
ThemeWhidbey | "Whidbey" style theme.
ThemeShortcutBar2003 | ShortcutBar 2003 theme.
ThemeExplorer | Explorer theme.
ThemeVisualStudio2005 | Visual Studio 2005 Theme.
ThemeResource | This setting is used when loading a theme from a resource. To make the Docking Pane will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
ThemeWord2007 | Word 2007 like theme.
ThemeOutlook2007 | Outlook 2007 like theme.
ThemeVisualStudio6 | Visual Studio 6 theme.
ThemeVisualStudio2005Beta2 | Visual Studio 2005 Beta 2 theme.
ThemeVisualStudio2008 | Visual Studio 2008 theme.
ThemeVisualStudio2010 | Visual Studio 2010 theme.
ThemeOffice2003Visio | Outlook 2003 Visio like theme.
ThemeOffice2007Visio | Outlook 2007 Visio like theme.
ThemeOffice2013 | Outlook 2013 like theme. Requires theme DLL.
ThemeOffice2016 | ThemeOffice2016
ThemeVisualStudio2012 | Visual Studio 2012 theme. Requires theme DLL.
ThemeVisualStudio2015 | ThemeVisualStudio2015

Remarks

The VisualTheme property used the VisualTheme enumeration to set the theme.

See Also

VisualTheme Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Docking Pane ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Docking Pane ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAero | Indicates the currently set Operating System theme is used.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Docking Pane ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ScaleMode Property

See Also Docking Pane ActiveX Control v19.3

XTPScaleMode Enumeration

Description

Converts the measurement units between pixels and twirps

Members

Member | Description
xtpScaleAuto | Used to specify that the Docing Panes will use the parent control's measurement units/coordinate system.
xtpScalePixel | Used to change the Docking Pane's measurement units/coordinate system to pixels
xtpScaleTwip | Used to change the Docking Pane's measurement units/coordinate system to twips

See Also

ScaleMode Property


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

XTPTabAppearanceStyle Enumeration

Description

The appearance of the tabs

Members

Member | Description
xtpTabAppearancePropertyPage | Property Page tabs
xtpTabAppearancePropertyPageSelected | Property Page selected tabs
xtpTabAppearancePropertyPageFlat | Property Page flat tabs
xtpTabAppearancePropertyPage2003 | Property Page 2003 tabs
xtpTabAppearanceStateButtons | State button tabs
xtpTabAppearanceFlat | Flat tabs
xtpTabThemeExcel2003 |
xtpTabAppearanceVisio | Visio style tabs
xtpTabAppearancePropertyPage2007 | Gives your tabs an Office 2007 appearance.
xtpTabAppearancePropertyPageAccess2007 | Gives your tabs an Access 2007 appearance.
xtpTabThemeVisualStudio2003 |
xtpTabThemeVisualStudio2005 |
xtpTabThemeVisualStudio2010 |
xtpTabThemeVisualStudio2012 |
xtpTabThemeVisualStudio2015 |
xtpTabThemeOffice2013 |
xtpTabThemeOffice2016 |
xtpTabAppearanceVisualStudio | Visual Studio style tabs
xtpTabAppearanceVisualStudio2003 |
xtpTabAppearanceVisualStudio2005 | Gives your tabs a Visual Studio 2005 appearance.
xtpTabAppearanceVisualStudio2010 |
xtpTabAppearanceVisualStudio2012 |
xtpTabAppearanceVisualStudio2015 |
xtpTabAppearanceExcel | Excel style tabs


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

XTPTabClientFrame Enumeration

Description

The type of border that will be used around the client frame

Members

Member | Description
xtpTabFrameBorder | With this flag set, a border will appear around the client.
xtpTabFrameSingleLine | With this flag set, only a single line is used as a border around the client.
xtpTabFrameNone | With this flag set, no border will appear around the client.


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

XTPTabColorStyle Enumeration

Description

Sets the color style of the tabs for the currently set Appearance.

Members

Member | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative |
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access |
xtpTabColorVisualStudio2003 |
xtpTabColorVisualStudio2005 |
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010 | Tabs will use the Visual Studio 2010 color style for the currently set Appearance.
xtpTabColorVisualStudio2012 |
xtpTabColorVisualStudio2012Dark |
xtpTabColorOffice2013 |
xtpTabColorOffice2016 |
xtpTabColorVisualStudio2015 |
xtpTabColorAll |
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007 |


%%PageItemTitle%%

DrawTextFormat Property

See Also Docking Pane ActiveX Control v19.3

XTPTabDrawTextFormat Enumeration

Description

Specifies the text format used for displaying text in tab buttons.

Members

Member | Description
xtpTabDrawTextLeft | Left align text in the tab button.
xtpTabDrawTextCenter | Center text in the tab button.Center
xtpTabDrawTextRight | Right align text in the tab button.
xtpTabDrawTextVCenter | Vertically center text in the tab button.

Remarks

The left, center and right flags can be combined with the vertically center flag.

The DrawTextFormat property uses flags from the XTPTabDrawTextFormat enumeration to determine how to display text in the tab buttons.

See Also

DrawTextFormat Property


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

XTPTabLayoutStyle Enumeration

Description

Specifies how the tabs will be sized within the tabbed workspace

Members

Member | Description
xtpTabLayoutAutoSize | Tabs will be automatically sized within the tabbed workspace. With this flag set, tabs will appear in their normal size.
xtpTabLayoutSizeToFit | Tabs are sized to fit within the tabbed workspace. All tabs will be compressed into the tabbed workspace.
xtpTabLayoutFixed | Tabs will be set to a fixed size within the tabbed workspace.
xtpTabLayoutCompressed | Tabs will be compressed within the tabbed workspace. This will compress all tabs, but all tabs will not be forced into the tabbed workspace.
xtpTabLayoutMultiRow Groups of panes can display more than one row of tabs.

The number of rows is automatically set by the width and number of the tabs. The number of rows can change if the control is resized, which ensures that the tab wraps to the next row. If the tab layout is not set to xtpTabLayoutMultiRow, and the last tab exceeds the width of the control, left and right arrow buttons are added at the right end of the pane group tab button area.

Both the MultiRowFixedSelection and MultiRowJustified properties can be used to further customize how the tabs are displayed when there are multiple rows of tabs.

xtpTabLayoutRotated Tabs will be displayed "rotated" from their natural position.

This will cause the caption of the tabs displayed on the top or bottom to be displayed vertically, and tabs displayed on the left or right to be displayed horizontally.


%%PageItemTitle%%

Docking Pane ActiveX Control v19.3

XTPTabPosition Enumeration

Description

The position of the tabs within the tabbed workspace

Members

Member | Description
xtpTabPositionTop | Tabs will appear on the Top of the tabbed workspace.
xtpTabPositionLeft | Tabs will appear on the Left of the tabbed workspace.
xtpTabPositionBottom | Tabs will appear on the Bottom of the tabbed workspace.
xtpTabPositionRight | Tabs will appear on the Right of the tabbed workspace.


%%PageItemTitle%%

ToolTip Property | ToolTipContext Property | Style Property | ToolTipBehaviour Property

See Also Docking Pane ActiveX Control v19.3

XTPTabToolTipBehaviour Enumeration

Description

Specifies when tool tips should be displayed for tab buttons in groups of panes.

Members

Member | Description
xtpTabToolTipNever | Tool tips will never be displayed for tab buttons in groups of panes.
xtpTabToolTipAlways | Tool tips will always be displayed for tab buttons in groups of panes.
xtpTabToolTipShrinkedOnly | Tool tips will only be displayed when the layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible).

Remarks

By default, tool tips will only be displayed for tab buttons in groups of panes when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

See Also

ToolTip Property | ToolTipContext Property | Style Property | ToolTipBehaviour Property


%%PageItemTitle%%

ShowTitleAndDescription Method

See Also Docking Pane ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the title of the Pane.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

See Also

ShowTitleAndDescription Method


%%PageItemTitle%%

Style Property

See Also Docking Pane ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the title property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

The text that is stored in the title property will be displayed in the tool tip window.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


Flow Graph ActiveX Controls v19.3

Flow Graph ActiveX Control v19.3
Flow Graph ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
FlowGraph | Flow Graph Control. Used to display relationship graphs.
Classes
Class Module | Description
FlowGraphConnection | Represents a connection. Connections are the lines that connect two connection points.
FlowGraphConnectionPoint | Represents a connection point for a node.
FlowGraphConnectionPoints | Represents a collection of Connection Points for a Node.
FlowGraphConnections | Represents a collection of Connections for a Node.
FlowGraphElement | Base class for all elements in the flow graph.
FlowGraphGlobalSettings | Flow Graph Global Settings (licensing, resources, etc).
FlowGraphImage | Object used to represent an Image displayed in a node or connection point.
FlowGraphImages | Collection of images that can be used in the flow graph.
FlowGraphNode | Represents a node object.
FlowGraphNodeCustom | Represents a node object.
FlowGraphNodeGroup | Represents a group of nodes.
FlowGraphNodeGroups | Represents a collection of groups in a page.
FlowGraphNodes | Represents a collection of nodes in a page or group.
FlowGraphPage | Represents a page in the flow graph.
FlowGraphPageHistory | Object that contains page transition history for the flow graph.
FlowGraphPages | Represents a collection of pages in the flow graph.
FlowGraphPaintManager | Handles most of the drawing activities of the Flow Graph.
FlowGraphSelectedElements | Collection of selected elements in the Flow Graph.
FlowGraphUndoManager | Manager used to Undo and Redo edit operations in the Flow Graph.
PropExchange | Object used for reading and writing Flow Graph layout information to\from a XML file, the registry, or binary file.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
FlowGraphConnectionPointType | Node Connection Point types (input\output).
FlowGraphConnectorType | Node connector styles.
FlowGraphResize | Node resizing options (drag\drop size of nodes).
FlowGraphShapes | Predefined XAML shapes
FlowGraphSmoothingMode | Draw quality options for the Flow Graph.
OLEDragConstants |
OLEDropConstants |
XTPFlowGraphCustomNodeCaptionPosition | Defines position for a caption of a custom markup node
XTPFlowGraphCustomNodeFillType | Path (Figure) fill type
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

FlowGraph Members

See Also Flow Graph ActiveX Control v19.3

FlowGraph Control

Description

Flow Graph Control. Used to display relationship graphs.

For a list of all members defined in this module, see FlowGraph members.

Object Model

Remarks

The Flow Graph Control is used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.

The control consists of "Nodes" that can be thought of as tables in a database. The Nodes contain "connections" (fields of a table). The connections can have many "connection points" that can be used to link the connections between different nodes (i.e. linking an invoice table to a customer table via a connection).

Nodes and connection lines can be dragged around the graph allowing the user to fully customize the look of their relationship diagram.

The control also supports undo\redo edit operations in the case you allow the nodes to be moved, renamed, connections added\removed, etc.

Several different zoom navigation functions allow the control to zoom to a specific node, zoom to a range of nodes, zoom to selection and fit ti the window.

Page transitions can be used to transition from one database to another.

See Also

FlowGraph Members


%%PageItemTitle%% $$Members$$

FlowGraph Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraph Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control.
Public Method Arrange | Auto-Arranges the nodes in the active page.
Public Method CreatePrintView |
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method HitTest | Tests a location on the graph and returns the flow element at that location, if any.
Public Method RedrawControl | Redraws the control.
Public Method RenameConnectionPoint | Call this method to place a connection point into edit mode so the user can edit the text.
Public Method RenameNode | Call this method to place a node into edit mode so the user can edit the text.
Public Method Reposition | Updates the position of elements in the graph.
Public Method SaveToFile |
Public Method SelectAll | Selects all nodes in the graph.
Public Method SetZoomRange | Call this to set the minimum and maximum zoom percentages that are allowed when using the various zoom methods.
Public Method ZoomFitToWindow | Fits all the nodes in the active page to the window.
Public Method ZoomToRect | Zooms the view to a specific set of coordinates on the active page.
Public Method ZoomToSelection | Zooms to the currently selected nodes.

Public Properties

Public Property ActivePage | Reference to the currently active page.
Public Property AllowModifyConnections | Specifies whether the user can drag\move\add\delete connections.
Public Property AllowMoveNodes | Specifies whether the user can drag\move nodes.
Public Property AllowResizeNodes | Node resizing options (drag\drop size of nodes).
Public Property EnableMarkup | Enables the use of XAML to display text in the Flow Graph.
Public Property History | Object that keeps track of page history and allows the history to be navigated.
Public Property hWnd | Returns the handle to the Flow Graph control.
Public Property Images | Reference to all the images that the flow graph can use.
Public Property OLEDropMode | Returns/Sets whether this control can act as an OLE drop target.
Public Property Pages | Collection of all pages in the flow graph.
Public Property PaintManager | Returns the FlowGraphPaintManager object used for drawing the flow graph.
Public Property ReCreateReparented |
Public Property ScrollBarAppearance | Gets or sets the appearance of the scrollbars.
Public Property SmoothingMode | Draw quality options for the Flow Graph.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UndoManager | Manager used to Undo and Redo edit operations in the Flow Graph.

Events

Public Event ActivePageChanged | Occurs when the active page has changed.
Public Event ConnectionChanged | Occurs when a connection has changed.
Public Event ConnectionChanging | Occurs when a connection is currently being changed.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the flow graph.
Public Event EndLabelEdit | Occurs after a label has been edited.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event NodeLocationChanged | Occurs when the location of a node has changed.
Public Event OLEDragDrop |
Public Event OLEDragOver |
Public Event PageScrollOffsetChanged | Occurs when the active page is scrolled.
Public Event PageZoomLevelChanged | Occurs when the zoom level for the page has changed.
Public Event ReCreated |
Public Event SelectionChanged | Occurs when the selection has changed.

See Also

FlowGraph Overview


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control.

Syntax

Public Sub AboutBox()

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

Arrange Method

Description

Auto-Arranges the nodes in the active page.

Syntax

Public Sub Arrange()

Remarks

This will left-align all nodes in the active page, nodes with connections will be placed to the right of the connected node.

Arranged Nodes

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

CreatePrintView Method

Syntax

Public Function CreatePrintView() As Unknown

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

pPX
PropExhange object to exchange data with.
See Also Flow Graph ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExhange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the Flow Graph to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

x
X coordinate to test.
y
Y coordinate to test.
See Also Flow Graph ActiveX Control v19.3

HitTest Method

Description

Tests a location on the graph and returns the flow element at that location, if any.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As FlowGraphElement

Parameters

x
X coordinate to test.
y
Y coordinate to test.

Return Type

Returns a FlowGraphElement at the specified test position.

Remarks

All objects (nodes, etc) are derived from FlowGraphElement so you can cast the returned FlowGraphElement to the type of object you are looking for.

Example

Some sample code showing HitTest being used to test a point looking for Nodes:

Private Sub FlowGraph_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)

Dim pNode As FlowGraphNode
Set pNode = FlowGraph.HitTest(x, y)

If Not pNode Is Nothing Then
Dim pPageTo As FlowGraphPage
Dim pNodeFrom As FlowGraphNode
Dim pNodeTo As FlowGraphNode

If (pNode.Id = ID_NODE_DATABASE1 And FlowGraph.ActivePage.Id = ID_PAGE_DATABASE) Then

Set pPageTo = FlowGraph.Pages.FindPage(ID_PAGE_TABLE1)

Set pNodeFrom = pNode
Set pNodeTo = pPageTo.Nodes.FindNode(ID_NODE_DATABASE1)

FlowGraph.History.AnimatePageTransition pNodeFrom, pNodeTo

UpdateButtons
End If

If (pNode.Id = ID_NODE_DATABASE2 And FlowGraph.ActivePage.Id = ID_PAGE_DATABASE) Then

Set pPageTo = FlowGraph.Pages.FindPage(ID_PAGE_TABLE2)

Set pNodeFrom = pNode
Set pNodeTo = pPageTo.Nodes.FindNode(ID_NODE_DATABASE2)

FlowGraph.History.AnimatePageTransition pNodeFrom, pNodeTo

UpdateButtons
End If
End If

End Sub

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

RedrawControl Method

Description

Redraws the control.

Syntax

Public Sub RedrawControl()

Remarks

Call this method after applying changes in code that require a visual redraw such as color, etc...

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

ConnectionPoint
Reference to the connection point to place into edit mode.
See Also Flow Graph ActiveX Control v19.3

RenameConnectionPoint Method

Description

Call this method to place a connection point into edit mode so the user can edit the text.

Syntax

Public Sub RenameConnectionPoint( _
   ByVal ConnectionPoint As FlowGraphConnectionPoint _
)

Parameters

ConnectionPoint
Reference to the connection point to place into edit mode.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

Node
Reference to the node to place into edit mode.
See Also Flow Graph ActiveX Control v19.3

RenameNode Method

Description

Call this method to place a node into edit mode so the user can edit the text.

Syntax

Public Sub RenameNode( _
   ByVal Node As FlowGraphNode _
)

Parameters

Node
Reference to the node to place into edit mode.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

Reposition Method

Description

Updates the position of elements in the graph.

Syntax

Public Sub Reposition()

Remarks

Call this method after applying changes in code that require a reposition of elements of the flow graph, like adding nodes, etc...

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

FileName
See Also Flow Graph ActiveX Control v19.3

SaveToFile Method

Syntax

Public Function SaveToFile( _
   ByVal FileName As String _
) As Boolean

Parameters

FileName

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | Selection Property

See Also Flow Graph ActiveX Control v19.3

SelectAll Method

Description

Selects all nodes in the graph.

Syntax

Public Sub SelectAll()

Remarks

This will select all nodes in the graph, selected nodes have a "bluish" color when selected. The current selection is stored in the active page's Selection property.

Example

Sample code to group currently selected nodes:

Dim pGroup As FlowGraphNodeGroup
Set pGroup = FlowGraph.ActivePage.Groups.AddGroup

Dim i As Integer
For i = 0 To FlowGraph.ActivePage.Selection.Count
Dim pNode As FlowGraphNode
Set pNode = FlowGraph.ActivePage.Selection.Item(i)

If Not pNode Is Nothing Then
pGroup.AddNode pNode
End If

Next i

See Also

FlowGraph Control | Selection Property


%%PageItemTitle%%

FlowGraph Control | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method

MinZoom
Minimum zoom value (0.0 - 1.0)
MaxZoom
Maximum zoom value (0.0 - 1.0)
See Also Flow Graph ActiveX Control v19.3

SetZoomRange Method

Description

Call this to set the minimum and maximum zoom percentages that are allowed when using the various zoom methods.

Syntax

Public Sub SetZoomRange( _
   ByVal MinZoom As Double, _
   ByVal MaxZoom As Double _
)

Parameters

MinZoom
Minimum zoom value (0.0 - 1.0)
MaxZoom
Maximum zoom value (0.0 - 1.0)

Remarks

By default there is no zoom restriction. 0.0 is 0 and 1.0 is 100%.

See Also

FlowGraph Control | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ZoomFitToWindow Method

Description

Fits all the nodes in the active page to the window.

Syntax

Public Sub ZoomFitToWindow()

Remarks

The contents of the active page will zoom in or out to fit all content to the full size of the page.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

left
Specifies the x-coordinate of the upper-left corner of the rectangle.
top
Specifies the y-coordinate of the upper-left corner of the rectangle.
right
Specifies the x-coordinate of the lower-right corner of the rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.
Animate
True to use animation wile zooming.
See Also Flow Graph ActiveX Control v19.3

ZoomToRect Method

Description

Zooms the view to a specific set of coordinates on the active page.

Syntax

Public Sub ZoomToRect( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer, _
   ByVal Animate As Boolean _
)

Parameters

left
Specifies the x-coordinate of the upper-left corner of the rectangle.
top
Specifies the y-coordinate of the upper-left corner of the rectangle.
right
Specifies the x-coordinate of the lower-right corner of the rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of the rectangle.
Animate
True to use animation wile zooming.

Remarks

This will zoom the view to the specified coordinates.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ZoomToSelection Method

Description

Zooms to the currently selected nodes.

Syntax

Public Sub ZoomToSelection()

Remarks

This will fill the entire view the the currently selected nodes.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ActivePage Property

Description

Reference to the currently active page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActivePage() As FlowGraphPage

Return Type

Reference to the currently active page.

Remarks

The flow graph can contain many pages the each have their own set of nodes\connections. ActivePage will return a reference to the page currently in view. Note only one page can be viewed at a time.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

AllowModifyConnections Property

Description

Specifies whether the user can drag\move\add\delete connections.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowModifyConnections() As Boolean

Return Type

True to allow the user to drag\move\add\delete connections. False to lock them.

Remarks

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

AllowMoveNodes Property

Description

Specifies whether the user can drag\move nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMoveNodes() As Boolean

Return Type

True to allow nodes to be moved, False to lock them.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

AllowResizeNodes Property

Description

Node resizing options (drag\drop size of nodes).

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowResizeNodes() As FlowGraphResize

Return Type

Current resizing options.

Remarks

To resize a node you must click the border of the node and drag it to the desired width\height.

Set AllowResizeNodes to True to enable resizable nodes. You can set the Lock property of a single node if you don't want it moved and resized.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

EnableMarkup Property

Description

Enables the use of XAML to display text in the Flow Graph.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Example

'This code will display a tooltip using Markup.

FlowGraph.EnableMarkup = True
FlowGraph.ToolTipContext.Style = xtpToolTipMarkup

FlowGraph.Pages(0).Nodes(0).Tooltip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Node ToolTip" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Markup Tooltip" & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

History Property

Description

Object that keeps track of page history and allows the history to be navigated.

Property type

Read-only property

Syntax (Visual Basic)

Public Property History() As FlowGraphPageHistory

Return Type

Returns a FlowGraphPageHistory object used to navigate the history of the pages.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

hWnd Property

Description

Returns the handle to the Flow Graph control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

Return Type

Returns the handle to the Flow Graph control.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

Images Property

Description

Reference to all the images that the flow graph can use.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Images() As FlowGraphImages

Remarks

Use this to manage all images for the flow graph.

Example

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Set FlowGraph.ActivePage = Page

Dim Node As FlowGraphNode
Set Node = Page.Nodes.AddNode

Node.Caption = "Employee"
Node.Tooltip = "Employee Table"

'Set image index
Node.ImageIndex = 0
Node.LocationX = 50
Node.LocationY = 50

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

OLEDropMode Property

Description

Returns/Sets whether this control can act as an OLE drop target.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

Pages Property

Description

Collection of all pages in the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Pages() As FlowGraphPages

Return Type

Reference to the collection of all pages in the flow graph.

Remarks

A page is what contains all the elements in the flow graph. The flow graph can contain many pages, each of which can contain nodes, node groups and connections. A page is the first thing that you must add to the flow graph, then you can add elements to the pages.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

PaintManager Property

Description

Returns the FlowGraphPaintManager object used for drawing the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As FlowGraphPaintManager

Return Type

Returns the FlowGraphPaintManager object used for drawing the flow graph.

Remarks

The paintmanager holds many properties to change the various colors and other visual properties used in the flow graph.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ScrollBarAppearance Property

Description

Gets or sets the appearance of the scrollbars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarAppearance() As Long

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | FlowGraphSmoothingMode Settings

See Also Flow Graph ActiveX Control v19.3

SmoothingMode Property

Description

Draw quality options for the Flow Graph.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SmoothingMode() As FlowGraphSmoothingMode

Return Type

Currently set smoothing mode. Returns an option from FlowGraphSmoothingMode.

Remarks

Set SmoothingMode to the setting that best matches your systems capabilities. Use one of the FlowGraphSmoothingMode options for the smoothing mode that best suits your needs.

These option greatly effect the performance of the control and will in part be effected by the graphics capability of the machine that uses the control. xtpFlowGraphSmoothingModeHighQuality is recommended when you don't intend the nodes to be dragged by the user, if dragging is enabled then this setting is most effected by the systems graphic capabilities.

See Also

FlowGraph Control | FlowGraphSmoothingMode Settings


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for nodes. This includes both menu items and toolbar items.

See the ToolTipContext object for a complete list of methods and properties.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | StartGroup Method | EndGroup Method | Undo Method | Redo Method | CanRedo Property | CanUndo Property | Clear Method

See Also Flow Graph ActiveX Control v19.3

UndoManager Property

Description

Manager used to Undo and Redo edit operations in the Flow Graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property UndoManager() As FlowGraphUndoManager

Return Type

Reference to the FlowGraphUndoManager.

Remarks

The FlowGraphUndoManager allows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

Any "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete Nodes, no matter how many were deleted.

Dim Node As FlowGraphNode

FlowGraph.UndoManager.StartGroup
For Each Node In FlowGraph.Selection
Node.Remove
Next
FlowGraph.UndoManager.EndGroup

See Also

FlowGraph Control | StartGroup Method | EndGroup Method | Undo Method | Redo Method | CanRedo Property | CanUndo Property | Clear Method


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ActivePageChanged Event

Description

Occurs when the active page has changed.

Syntax

Public Event ActivePageChanged()

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

Connection
Reference to the connection that has changed.
Action

Action that was performed.

0 - Added, 1 - Removed

See Also Flow Graph ActiveX Control v19.3

ConnectionChanged Event

Description

Occurs when a connection has changed.

Syntax

Public Event ConnectionChanged( _
   ByVal Connection As FlowGraphConnection, _
   ByVal Action As Integer _
)

Parameters

Connection
Reference to the connection that has changed.
Action

Action that was performed.

0 - Added, 1 - Removed

Remarks

ConnectionChanged occurs after a connection is added or removed, it does not fire when dragged to a new shape.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

Connection
Reference to the connection being changed.
InputConnectionPoint
Input connection point for the connection getting changed.
Cancel
True to canel the operation.
See Also Flow Graph ActiveX Control v19.3

ConnectionChanging Event

Description

Occurs when a connection is currently being changed.

Syntax

Public Event ConnectionChanging( _
   ByVal Connection As FlowGraphConnection, _
   ByVal InputConnectionPoint As FlowGraphConnectionPoint, _
   ByRef Cancel As Boolean _
)

Parameters

Connection
Reference to the connection being changed.
InputConnectionPoint
Input connection point for the connection getting changed.
Cancel
True to canel the operation.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | HitTest Method

See Also Flow Graph ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the flow graph.

Syntax

Public Event DblClick()

See Also

FlowGraph Control | HitTest Method


%%PageItemTitle%%

FlowGraph Control

Item
Reference to the element that has finished editing.
NewString
New label for the element.
Cancel
True to cancel the edit operation.
See Also Flow Graph ActiveX Control v19.3

EndLabelEdit Event

Description

Occurs after a label has been edited.

Syntax

Public Event EndLabelEdit( _
   ByVal Item As FlowGraphElement, _
   ByRef NewString As String, _
   ByRef Cancel As Boolean _
)

Parameters

Item
Reference to the element that has finished editing.
NewString
New label for the element.
Cancel
True to cancel the edit operation.

Remarks

This will occur after the label is edited, but before it is changed. You can set Cancel to True to undo the changes before that take effect.

Note a FlowGraphElement is referenced as both a node and connection have labels that can be edited. You can cast the object to a node or connection.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | HitTest Method

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Flow Graph ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

Use HitTest to test the coordinates to see which element was clicked.

Example

Dim ContextNode As FlowGraphNode

Private Sub FlowGraph_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)
On Error Resume Next

If (Button = vbRightButton) Then

Set ContextNode = FlowGraph.HitTest(x, y)
If (Not ContextNode Is Nothing) Then
PopupMenu mnuContextMenu
End If
End If
End Sub

See Also

FlowGraph Control | HitTest Method


%%PageItemTitle%%

FlowGraph Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.
See Also Flow Graph ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

Use HitTest to test the coordinates to see which element was moved over.

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | HitTest Method

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Flow Graph ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

Use HitTest to test the coordinates to see which element was clicked.

Example

Dim ContextNode As FlowGraphNode

Private Sub FlowGraph_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)
On Error Resume Next

If (Button = vbRightButton) Then

Set ContextNode = FlowGraph.HitTest(x, y)
If (Not ContextNode Is Nothing) Then
PopupMenu mnuContextMenu
End If
End If
End Sub

See Also

FlowGraph Control | HitTest Method


%%PageItemTitle%%

FlowGraph Control | AllowMoveNodes Property | AllowResizeNodes Property

Node
Refence to the node in which the location has changed.
See Also Flow Graph ActiveX Control v19.3

NodeLocationChanged Event

Description

Occurs when the location of a node has changed.

Syntax

Public Event NodeLocationChanged( _
   ByVal Node As FlowGraphNode _
)

Parameters

Node
Refence to the node in which the location has changed.

Remarks

NodeLocationChanged will also be called when a node is resized.

See Also

FlowGraph Control | AllowMoveNodes Property | AllowResizeNodes Property


%%PageItemTitle%%

FlowGraph Control

Data
Effect
Button
Shift
x
y
See Also Flow Graph ActiveX Control v19.3

OLEDragDrop Event

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
Effect
Button
Shift
x
y

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

Data
Effect
Button
Shift
x
y
State
See Also Flow Graph ActiveX Control v19.3

OLEDragOver Event

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal State As Integer _
)

Parameters

Data
Effect
Button
Shift
x
y
State

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control | ScrollOffsetX Property | ScrollOffsetY Property

See Also Flow Graph ActiveX Control v19.3

PageScrollOffsetChanged Event

Description

Occurs when the active page is scrolled.

Syntax

Public Event PageScrollOffsetChanged()

Remarks

Current offsets can be found using ScrollOffsetX and ScrollOffsetY.

See Also

FlowGraph Control | ScrollOffsetX Property | ScrollOffsetY Property


%%PageItemTitle%%

FlowGraph Control | SetZoomRange Method | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method | ZoomLevel Property

See Also Flow Graph ActiveX Control v19.3

PageZoomLevelChanged Event

Description

Occurs when the zoom level for the page has changed.

Syntax

Public Event PageZoomLevelChanged()

Remarks

Current ZoomLevel is a property of the active page.

See Also

FlowGraph Control | SetZoomRange Method | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method | ZoomLevel Property


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraph Control

See Also Flow Graph ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when the selection has changed.

Syntax

Public Event SelectionChanged()

See Also

FlowGraph Control


%%PageItemTitle%%

FlowGraphConnection Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnection Object

Description

Represents a connection. Connections are the lines that connect two connection points.

For a list of all members defined in this module, see FlowGraphConnection members.

Object Model

Remarks

See Also

FlowGraphConnection Members


%%PageItemTitle%% $$Members$$

FlowGraphConnection Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnection Object Members

Public Methods

Public Method Remove Remove\delete this connection from its parent node.

Public Properties

Public Property Caption | Get\set the caption of the connection.
Public Property Color | Get\set the color of the connection line.
Public Property Dashed |
Public Property InputPoint | Gets\sets the input ConnectionPoint this connection line is connected to.
Public Property OutputPoint | Gets\sets the output ConnectionPoint this connection line is connected to.
Public Property Style |
Public Property Tag |
Public Property Tooltip | Get\set the tooltip for this connection line.
Public Property Width |

See Also

FlowGraphConnection Overview


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Remove Method

Description

Remove\delete this connection from its parent node.

Syntax

Public Sub Remove()

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Get\set the caption of the connection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption of the connection.

Remarks

The connection's caption is not visible in the graph, it gan be used like a tag property.

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Color Property

Description

Get\set the color of the connection line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color of the connection line.

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Dashed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Dashed() As Boolean

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

InputPoint Property

Description

Gets\sets the input ConnectionPoint this connection line is connected to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InputPoint() As FlowGraphConnectionPoint

Return Type

Reference to the input ConnectionPoint this connection line is connected to.

Remarks

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

OutputPoint Property

Description

Gets\sets the output ConnectionPoint this connection line is connected to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OutputPoint() As FlowGraphConnectionPoint

Return Type

Reference to the output ConnectionPoint this connection line is connected to.

Remarks

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As Long

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Tag Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As String

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Tooltip Property

Description

Get\set the tooltip for this connection line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Return Type

Returns the tooltip for this connection line.

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

Width Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

FlowGraphConnection Object


%%PageItemTitle%%

FlowGraphConnectionPoint Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectionPoint Object

Description

Represents a connection point for a node.

For a list of all members defined in this module, see FlowGraphConnectionPoint members.

Object Model

Remarks

Connection points are added to a Node and can no input points, only input or ouput points, or can have both.

Example

'This sample adds a node and some connections points to the node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphConnectionPoint Members


%%PageItemTitle%% $$Members$$

FlowGraphConnectionPoint Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectionPoint Object Members

Public Methods

Public Method Remove

Public Properties

Public Property Caption | Gets\sets the caption of the connection point.
Public Property Color | Gets\sets the color of the connection point.
Public Property ConnectionsCount | Returns the number of connection lines connected to this connection point.
Public Property Id | Gets\sets the ID used to identify this connection point.
Public Property ImageIndex | Get\set the ID of the Image to display to the left of the connection point's caption.
Public Property InputConnection |
Public Property InputConnectionsCount |
Public Property Locked | Gets\sets whether the connection's points are locked.
Public Property MaxConnections | Specifies the maximum number of connections (connection lines) that the connection point can accept.
Public Property Node | Returns a reference to the node that this connection point belongs to.
Public Property OutputConnection |
Public Property OutputConnectionsCount |
Public Property Style |
Public Property Tooltip | Gets\sets the tooltip for this connection point.
Public Property Type | Specifies whether the FlowGraphConnection will have any connection points (input\output).

See Also

FlowGraphConnectionPoint Overview


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Remove Method

Syntax

Public Sub Remove()

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object | FindConnectionPoint Method | FindConnectionPointByCaption Method

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of the connection point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption of the connection point.

Remarks

You can use FindConnectionPointByCaption to search for a connection point by caption.

See Also

FlowGraphConnectionPoint Object | FindConnectionPoint Method | FindConnectionPointByCaption Method


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the connection point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color of the connection point.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

ConnectionsCount Property

Description

Returns the number of connection lines connected to this connection point.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ConnectionsCount() As Long

Return Type

Returns the number of connection lines connected to this connection point.

Remarks

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Id Property

Description

Gets\sets the ID used to identify this connection point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Returns the ID used to identify this connection point.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

ImageIndex Property

Description

Get\set the ID of the Image to display to the left of the connection point's caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageIndex() As Long

Return Type

Returns the ID of the Image to display to the left of the connection point's caption.

Remarks

Use the ImageIndex to specify the index of the previously loaded image to display next to the connections caption.

Example

'Loads an images and assigns the image index to a connection point

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

Index
See Also Flow Graph ActiveX Control v19.3

InputConnection Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property InputConnection( _
   ByVal Index As Long _
) As FlowGraphConnection

Parameters

Index

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

InputConnectionsCount Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property InputConnectionsCount() As Long

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Locked Property

Description

Gets\sets whether the connection's points are locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Return Type

True if the connections points are locked, False if they can accept connections.

Remarks

If True, the connection's points can't accept a connection line and any connection lines that were added can't be removed.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

MaxConnections Property

Description

Specifies the maximum number of connections (connection lines) that the connection point can accept.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxConnections() As Long

Return Type

The maximum number of connections (connection lines) that the connection point can accept.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Node Property

Description

Returns a reference to the node that this connection point belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Node() As FlowGraphNode

Return Type

Returns a reference to the node that this connection point belongs to.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

Index
See Also Flow Graph ActiveX Control v19.3

OutputConnection Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property OutputConnection( _
   ByVal Index As Long _
) As FlowGraphConnection

Parameters

Index

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

OutputConnectionsCount Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property OutputConnectionsCount() As Long

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As Long

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object

See Also Flow Graph ActiveX Control v19.3

Tooltip Property

Description

Gets\sets the tooltip for this connection point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Return Type

Returns the tooltip for this connection point.

Remarks

This is the text that is displayed when the mouse is hovered over the connection point.

See Also

FlowGraphConnectionPoint Object


%%PageItemTitle%%

FlowGraphConnectionPoint Object | FlowGraphConnectorType Enumeration

See Also Flow Graph ActiveX Control v19.3

Type Property

Description

Specifies whether the FlowGraphConnection will have any connection points (input\output).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As FlowGraphConnectionPointType

Return Type

An option from FlowGraphConnectionPointType that specifies the included connection points, if any.

Remarks

The ConnectionPoint Type is used to specify whether a FlowGraphConnection will have any connection points. Connection Points are used to make connections between a connection in different nodes.

Below you can see the curved connections the link 2 connection points.

See Also

FlowGraphConnectionPoint Object | FlowGraphConnectorType Enumeration


%%PageItemTitle%%

FlowGraphConnectionPoints Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectionPoints Collection

Description

Represents a collection of Connection Points for a Node.

For a list of all members defined in this module, see FlowGraphConnectionPoints members.

Object Model

Remarks

Example

'Adds some connection points to a node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphConnectionPoints Members


%%PageItemTitle%% $$Members$$

FlowGraphConnectionPoints Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectionPoints Collection Members

Public Methods

Public Method FindConnectionPoint | Finds and returns the specified connection point.
Public Method FindConnectionPointByCaption | Finds and returns the specified connection point by searching for the connection point's caption.
Public Method FindConnectionPointByName |
Public Method RemoveAll | Removes all connection points from the node.
Public Method RemoveAt | Removes the specified connection point from the node's collection of connection points.

Public Properties

Public Property ConnectionPoint | Collection of all connection points added to this node.
Public Property Count | Returns the total number of connections points for the node.

See Also

FlowGraphConnectionPoints Overview


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

Id
ID of the connection point to find.
See Also Flow Graph ActiveX Control v19.3

FindConnectionPoint Method

Description

Finds and returns the specified connection point.

Syntax

Public Function FindConnectionPoint( _
   ByVal Id As Long _
) As FlowGraphConnectionPoint

Parameters

Id
ID of the connection point to find.

Return Type

Returns a reference to the FlowGraphConnectionPoint if found, otherwise it will return Nothing\Null.

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

Caption
Caption of the connection point to find.
Type
See Also Flow Graph ActiveX Control v19.3

FindConnectionPointByCaption Method

Description

Finds and returns the specified connection point by searching for the connection point's caption.

Syntax

Public Function FindConnectionPointByCaption( _
   ByVal Caption As String, _
   Optional ByVal Type As Variant _
) As FlowGraphConnectionPoint

Parameters

Caption
Caption of the connection point to find.
Type

Return Type

Returns a reference to the FlowGraphConnectionPoint if found, otherwise it will return Nothing\Null.

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

Name
Type
See Also Flow Graph ActiveX Control v19.3

FindConnectionPointByName Method

Syntax

Public Function FindConnectionPointByName( _
   ByVal Name As String, _
   Optional ByVal Type As Variant _
) As FlowGraphConnectionPoint

Parameters

Name
Type

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all connection points from the node.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

Index
Index of the connection point to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes the specified connection point from the node's collection of connection points.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the connection point to remove.

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

Index
Index of the desired connection point to return.
See Also Flow Graph ActiveX Control v19.3

ConnectionPoint Property

Description

Collection of all connection points added to this node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ConnectionPoint( _
   ByVal Index As Long _
) As FlowGraphConnectionPoint

Parameters

Index
Index of the desired connection point to return.

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnectionPoints Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Returns the total number of connections points for the node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of connections points for the node.

See Also

FlowGraphConnectionPoints Collection


%%PageItemTitle%%

FlowGraphConnections Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnections Collection

Description

Represents a collection of Connections for a Node.

For a list of all members defined in this module, see FlowGraphConnections members.

Object Model

Remarks

Example

'Adds nodes, connection points and connections to a Flow Graph

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableEmployees As FlowGraphNode
Set pTableEmployees = Page.Nodes.AddNode

pTableEmployees.Caption = "Employee"
pTableEmployees.Tooltip = "Employee Table"
pTableEmployees.ImageIndex = 0
pTableEmployees.LocationX = 50
pTableEmployees.LocationY = 50

pTableEmployees.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableEmployees.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "E-mail Address", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

Dim pConnection As FlowGraphConnection
Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrders.ConnectionPoints.FindConnectionPointByCaption("Customer ID")
pConnection.InputPoint = pTableCustomers.ConnectionPoints.FindConnectionPointByCaption("ID")

See Also

FlowGraphConnections Members


%%PageItemTitle%% $$Members$$

FlowGraphConnections Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnections Collection Members

Public Methods

Public Method AddConnection | Adds a connection to the Node.
Public Method RemoveAll | Removes all connections from the node.
Public Method RemoveAt | Removes the specified connection from the node's collection of connections.

Public Properties

Public Property Connection | Collection of all connections added to this node.
Public Property Count | Returns the total number of connections for the node.

See Also

FlowGraphConnections Overview


%%PageItemTitle%%

FlowGraphConnections Collection

See Also Flow Graph ActiveX Control v19.3

AddConnection Method

Description

Adds a connection to the Node.

Syntax

Public Function AddConnection() As FlowGraphConnection

Return Type

Returns a reference to the connection that was just added.

Example

'Adds nodes, connection points and connections to a Flow Graph

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Page.ZoomLevel = 1

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

' Customers

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 620
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

' Orders

Dim pTableOrders As FlowGraphNode
Set pTableOrders = Page.Nodes.AddNode
pTableOrders.Caption = "Orders"
pTableOrders.Tooltip = "Orders Table"
pTableOrders.LocationX = 220
pTableOrders.LocationY = 90
'pTableOrders.Color = RGB(192, 80, 77)

pTableOrders.AddNamedConnectionPoints "Order ID", xtpFlowGraphPointInput
pTableOrders.AddNamedConnectionPoints "Employee ID", xtpFlowGraphPointOutput
pTableOrders.AddNamedConnectionPoints "Customer ID", xtpFlowGraphPointOutput
pTableOrders.AddNamedConnectionPoints "Order Date", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Order Date", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Shipped Date", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Shipper ID", xtpFlowGraphPointOutput
pTableOrders.AddNamedConnectionPoints "Taxes", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Payment Type", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Paid Date", xtpFlowGraphPointNone
pTableOrders.AddNamedConnectionPoints "Notes", xtpFlowGraphPointNone

' Employees

Dim pTableEmployees As FlowGraphNode
Set pTableEmployees = Page.Nodes.AddNode
pTableEmployees.Caption = "Employees"
pTableEmployees.Tooltip = "Employees Table"
pTableEmployees.LocationX = 620
pTableEmployees.LocationY = 90
pTableEmployees.Color = RGB(75, 172, 198)

pTableEmployees.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableEmployees.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "E-mail Address", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableEmployees.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

' Order Details

Dim pTableOrderDetails As FlowGraphNode
Set pTableOrderDetails = Page.Nodes.AddNode
pTableOrderDetails.Caption = "Order Details"
pTableOrderDetails.Tooltip = "Order Details Table"
pTableOrderDetails.LocationX = 20
pTableOrderDetails.LocationY = 200
pTableOrderDetails.Color = RGB(192, 80, 77)
pTableOrderDetails.ImageIndex = 1

pTableOrderDetails.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableOrderDetails.AddNamedConnectionPoints "Order ID", xtpFlowGraphPointOutput
pTableOrderDetails.AddNamedConnectionPoints "Product ID", xtpFlowGraphPointOutput
pTableOrderDetails.AddNamedConnectionPoints "Quantity", xtpFlowGraphPointNone
pTableOrderDetails.AddNamedConnectionPoints "Unit Price", xtpFlowGraphPointNone
pTableOrderDetails.AddNamedConnectionPoints "Discount", xtpFlowGraphPointNone
pTableOrderDetails.AddNamedConnectionPoints "Status ID", xtpFlowGraphPointNone

' Shippers

Dim pTableShippers As FlowGraphNode
Set pTableShippers = Page.Nodes.AddNode
pTableShippers.Caption = "Shippers"
pTableShippers.Tooltip = "Shippers Table"
pTableShippers.LocationX = 420
pTableShippers.LocationY = 360
'pTableShippers.Color = RGB(128, 100, 162)

pTableShippers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableShippers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableShippers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableShippers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableShippers.AddNamedConnectionPoints "E-mail Address", xtpFlowGraphPointNone
pTableShippers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableShippers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

' Products

Dim pTableProducts As FlowGraphNode
Set pTableProducts = Page.Nodes.AddNode
pTableProducts.Caption = "Products"
pTableProducts.Tooltip = "Products Table"
pTableProducts.LocationX = 270
pTableProducts.LocationY = 360
'pTableProducts.Color = RGB(75, 172, 198)

pTableProducts.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableProducts.AddNamedConnectionPoints "Product Code", xtpFlowGraphPointNone
pTableProducts.AddNamedConnectionPoints "Product Name", xtpFlowGraphPointNone
pTableProducts.AddNamedConnectionPoints "Description", xtpFlowGraphPointNone
pTableProducts.AddNamedConnectionPoints "Price", xtpFlowGraphPointNone
pTableProducts.AddNamedConnectionPoints "Category", xtpFlowGraphPointNone

' Manage connections

Dim pConnection As FlowGraphConnection
Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrders.ConnectionPoints.FindConnectionPointByCaption("Customer ID")
pConnection.InputPoint = pTableCustomers.ConnectionPoints.FindConnectionPointByCaption("ID")

pConnection.Caption = "Customer relation"
pConnection.Style = xtpFlowGraphConnectorCurvedDoubleArrow

Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrders.ConnectionPoints.FindConnectionPointByCaption("Shipper ID")
pConnection.InputPoint = pTableShippers.ConnectionPoints.FindConnectionPointByCaption("ID")

Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrders.ConnectionPoints.FindConnectionPointByCaption("Employee ID")
pConnection.InputPoint = pTableEmployees.ConnectionPoints.FindConnectionPointByCaption("ID")
pConnection.Style = xtpFlowGraphConnectorElbowArrow

Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrderDetails.ConnectionPoints.FindConnectionPointByCaption("Order ID")
pConnection.InputPoint = pTableOrders.ConnectionPoints.FindConnectionPointByCaption("Order ID")

Set pConnection = Page.Connections.AddConnection
pConnection.OutputPoint = pTableOrderDetails.ConnectionPoints.FindConnectionPointByCaption("Product ID")
pConnection.InputPoint = pTableProducts.ConnectionPoints.FindConnectionPointByCaption("ID")

See Also

FlowGraphConnections Collection


%%PageItemTitle%%

FlowGraphConnections Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all connections from the node.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphConnections Collection


%%PageItemTitle%%

FlowGraphConnections Collection

Index
Index of the connection to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes the specified connection from the node's collection of connections.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the connection to remove.

See Also

FlowGraphConnections Collection


%%PageItemTitle%%

FlowGraphConnections Collection

Index
Index of the desired connection to return.
See Also Flow Graph ActiveX Control v19.3

Connection Property

Description

Collection of all connections added to this node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Connection( _
   ByVal Index As Long _
) As FlowGraphConnection

Parameters

Index
Index of the desired connection to return.

See Also

FlowGraphConnections Collection


%%PageItemTitle%%

FlowGraphConnections Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Returns the total number of connections for the node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of connections for the node.

See Also

FlowGraphConnections Collection


%%PageItemTitle%%

FlowGraphElement Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphElement Object

Description

Base class for all elements in the flow graph.

For a list of all members defined in this module, see FlowGraphElement members.

Remarks

Every object in the flow graph is derived from FlowGraphElement. It is commonly used when referencing an object that can be many different types, for example when using HitTest the returned object is a FlowGraphElement and then you can cast it to the appropriate type.

See Also

FlowGraphElement Members


%%PageItemTitle%% $$Members$$

FlowGraphElement Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphElement Object Members

See Also

FlowGraphElement Overview


%%PageItemTitle%%

FlowGraphGlobalSettings Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphGlobalSettings Object

Description

Flow Graph Global Settings (licensing, resources, etc).

For a list of all members defined in this module, see FlowGraphGlobalSettings members.

Object Model

See Also

FlowGraphGlobalSettings Members


%%PageItemTitle%% $$Members$$

FlowGraphGlobalSettings Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing flow graph layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Flow Graph OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Flow Graph Control OCX is used.
Public Property Version | Returns the current Flow Graph Control version as a string.

See Also

FlowGraphGlobalSettings Overview


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing flow graph layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how To include the license information In your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Flow Graph OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all pre-set strings such as 'There are no items to display'

This code should be placed in the Form_Initialize event of the main form.

Example

[Resrouce\Translation Sample (Visual Basic)] This sample illustrates how to use a rescource file to change the language used to display text in your application. This will translate all pre-set strings such as 'There are no items to display'

Private Sub Form_Initialize()
    FlowGraph.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Flow Graph Control OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphGlobalSettings Object

See Also Flow Graph ActiveX Control v19.3

Version Property

Description

Returns the current Flow Graph Control version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

FlowGraphGlobalSettings Object


%%PageItemTitle%%

FlowGraphImage Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphImage Object

Description

Object used to represent an Image displayed in a node or connection point.

For a list of all members defined in this module, see FlowGraphImage members.

See Also

FlowGraphImage Members


%%PageItemTitle%% $$Members$$

FlowGraphImage Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphImage Object Members

Public Methods

Public Method LoadFromFile Loads an image so that it can be used in the flow graph.

See Also

FlowGraphImage Overview


%%PageItemTitle%%

FlowGraphImage Object

FileName
Filename and path to the file to add.
See Also Flow Graph ActiveX Control v19.3

LoadFromFile Method

Description

Loads an image so that it can be used in the flow graph.

Syntax

Public Sub LoadFromFile( _
   ByVal FileName As String _
)

Parameters

FileName
Filename and path to the file to add.

Example

'Loads an image and displays it in the node.

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphImage Object


%%PageItemTitle%%

FlowGraphImages Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphImages Collection

Description

Collection of images that can be used in the flow graph.

For a list of all members defined in this module, see FlowGraphImages members.

Object Model

Remarks

Images can be loaded and displayed next to the node's caption or connection point captions.

Example

'Loads an image and displays it in the node.

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphImages Members


%%PageItemTitle%% $$Members$$

FlowGraphImages Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphImages Collection Members

Public Methods

Public Method AddImage | Adds an Image object that can then be used to load an image file.
Public Method RemoveAll | Removes all images from the flow graph.
Public Method RemoveAt | Removes the specified images from the collection of images.

Public Properties

Public Property Count | Returns the total number of images added to the flow graph.
Public Property Image | Collection of all images added to the flow graph.

See Also

FlowGraphImages Overview


%%PageItemTitle%%

FlowGraphImages Collection

See Also Flow Graph ActiveX Control v19.3

AddImage Method

Description

Adds an Image object that can then be used to load an image file.

Syntax

Public Function AddImage() As FlowGraphImage

Return Type

Reference to the FlowGraphImage that was just added.

Remarks

AddImage must first be used to create a FlowGraphImage. You can use this object to load an image file.

Example

'Loads an image and displays it in the node.

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphImages Collection


%%PageItemTitle%%

FlowGraphImages Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all images from the flow graph.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphImages Collection


%%PageItemTitle%%

FlowGraphImages Collection

Index
Index of the image to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes the specified images from the collection of images.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the image to remove.

See Also

FlowGraphImages Collection


%%PageItemTitle%%

FlowGraphImages Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Returns the total number of images added to the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of images added to the flow graph.

See Also

FlowGraphImages Collection


%%PageItemTitle%%

FlowGraphImages Collection

Index
Index of the desired image to return.
See Also Flow Graph ActiveX Control v19.3

Image Property

Description

Collection of all images added to the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Image( _
   ByVal Index As Long _
) As FlowGraphImage

Parameters

Index
Index of the desired image to return.

Return Type

Reference to the specified image.

See Also

FlowGraphImages Collection


%%PageItemTitle%%

FlowGraphNode Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphNode Object

Description

Represents a node object.

For a list of all members defined in this module, see FlowGraphNode members.

Object Model

Remarks

Nodes are the main objects that are displayed in the flow graph. In terms of a database they can be thought of as the tables in the database. The nodes contain many connection points, which are like the fields in a table. Finally there are connections that are used to draw a relationship between the field of two tables.

See Also

FlowGraphNode Members


%%PageItemTitle%% $$Members$$

FlowGraphNode Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphNode Object Members

Public Methods

Public Method AddNamedConnectionPoints | Adds a connection point to the Node.
Public Method AddNamedConnectionPointsWithCaption |
Public Method HitTestConnectionPoint |
Public Method Remove | Removes this node from the flow graph.

Public Properties

Public Property Caption | Gets\sets the caption that is displayed for this node.
Public Property Color | Gets\sets the color of the node.
Public Property ConnectionPoints | Reference to the connection points collection for this Node.
Public Property Group | Reference to the group this node is a part of (if any).
Public Property Height | Returns the current height of the node.
Public Property Id | Gets\sets the ID of the node.
Public Property ImageIndex | Gets\set the index of an image to display next to the caption text of the node.
Public Property LocationX | Gets\sets the x coordinate location of the node.
Public Property LocationY | Gets\sets the y coordinate location of the node.
Public Property Locked | Specifies whether the node is locked.
Public Property Page | Reference to the page that this node is displayed on.
Public Property Selected | Specifies whether the node is currently selected.
Public Property Style |
Public Property Tooltip | Gets\sets the tooltip for this node.
Public Property Width | Returns the current width of the node.
Public Property WindowHandle |
Public Property WindowHeight |
Public Property WindowWidth |

See Also

FlowGraphNode Overview


%%PageItemTitle%%

FlowGraphNode Object

Name
Type
See Also Flow Graph ActiveX Control v19.3

AddNamedConnectionPoints Method

Description

Adds a connection point to the Node.

Syntax

Public Sub AddNamedConnectionPoints( _
   ByVal Name As String, _
   ByVal Type As Long _
)

Parameters

Name
Type

Return Type

Returns a reference to the connection point that was just added.

Example

'Adds some connection points to a node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

Name
Type
Caption
See Also Flow Graph ActiveX Control v19.3

AddNamedConnectionPointsWithCaption Method

Syntax

Public Sub AddNamedConnectionPointsWithCaption( _
   ByVal Name As String, _
   ByVal Type As Long, _
   ByVal Caption As String _
)

Parameters

Name
Type
Caption

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

x
y
See Also Flow Graph ActiveX Control v19.3

HitTestConnectionPoint Method

Syntax

Public Function HitTestConnectionPoint( _
   ByVal x As Long, _
   ByVal y As Long _
) As FlowGraphConnectionPoint

Parameters

x
y

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Remove Method

Description

Removes this node from the flow graph.

Syntax

Public Sub Remove()

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption that is displayed for this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption that is displayed for this node.

Remarks

The node's caption will be displayed at the top of the node and its background color is the same color as the node, which is by default a different color than the connection points that get added to the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color of the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

ConnectionPoints Property

Description

Reference to the connection points collection for this Node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ConnectionPoints() As FlowGraphConnectionPoints

Return Type

Reference to the connection points collection for this Node.

Remarks

Example

'Adds some connection points to a node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Group Property

Description

Reference to the group this node is a part of (if any).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As FlowGraphNodeGroup

Remarks

A group is just a "box" that is used to visually group nodes together. By default the group will only be shown when a node in the group is selected, but you can choose to always thow the groups with ShowNodeGroupsAlways.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Height Property

Description

Returns the current height of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

Returns the current height of the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Id Property

Description

Gets\sets the ID of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Returns the ID of the node.

Remarks

This is the ID that is used to identify the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

ImageIndex Property

Description

Gets\set the index of an image to display next to the caption text of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageIndex() As Long

Return Type

Returns the index of an image to display next to the caption text of the node.

Example

'Loads an image and displays it in the node.

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

LocationX Property

Description

Gets\sets the x coordinate location of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LocationX() As Long

Return Type

Returns the x coordinate location of the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

LocationY Property

Description

Gets\sets the y coordinate location of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LocationY() As Long

Return Type

Returns the y coordinate location of the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Locked Property

Description

Specifies whether the node is locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Return Type

True if the node if locked, False otherwise.

Remarks

When locked, the node can't be moved.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Page Property

Description

Reference to the page that this node is displayed on.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Page() As FlowGraphPage

Return Type

Reference to the FlowGraphPage that this node is displayed on.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Selected Property

Description

Specifies whether the node is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Return Type

True if the node is currently selected, False otherwise.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As Long

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Tooltip Property

Description

Gets\sets the tooltip for this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Return Type

Returns the tooltip for this node.

Remarks

This is the text that is displayed when the mouse is hovered over the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

Width Property

Description

Returns the current width of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

Returns the current width of the node.

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

WindowHandle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowHandle() As Integer

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

WindowHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowHeight() As Long

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNode Object

See Also Flow Graph ActiveX Control v19.3

WindowWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowWidth() As Long

See Also

FlowGraphNode Object


%%PageItemTitle%%

FlowGraphNodeCustom Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeCustom Object

Description

Represents a node object.

For a list of all members defined in this module, see FlowGraphNodeCustom members.

Object Model

Remarks

Nodes are the main objects that are displayed in the flow graph. In terms of a database they can be thought of as the tables in the database. The nodes contain many connection points, which are like the fields in a table. Finally there are connections that are used to draw a relationship between the field of two tables.

See Also

FlowGraphNodeCustom Members


%%PageItemTitle%% $$Members$$

FlowGraphNodeCustom Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeCustom Object Members

Public Methods

Public Method AddNamedConnectionPoints | Adds a connection point to the Node.
Public Method AddNamedConnectionPointsWithCaption |
Public Method HitTestConnectionPoint |
Public Method Remove | Removes this node from the flow graph.

Public Properties

Public Property Caption | Gets\sets the caption that is displayed for this node.
Public Property CaptionPosition |
Public Property Color | Gets\sets the color of the node.
Public Property ConnectionPoints | Reference to the connection points collection for this Node.
Public Property FillType |
Public Property Group | Reference to the group this node is a part of (if any).
Public Property Height | Returns the current height of the node.
Public Property Id | Gets\sets the ID of the node.
Public Property ImageIndex | Gets\set the index of an image to display next to the caption text of the node.
Public Property LocationX | Gets\sets the x coordinate location of the node.
Public Property LocationY | Gets\sets the y coordinate location of the node.
Public Property Locked | Specifies whether the node is locked.
Public Property MarkupText |
Public Property Page | Reference to the page that this node is displayed on.
Public Property SecondColor |
Public Property Selected | Specifies whether the node is currently selected.
Public Property Style |
Public Property Tooltip | Gets\sets the tooltip for this node.
Public Property Width | Returns the current width of the node.
Public Property WindowHandle |
Public Property WindowHeight |
Public Property WindowWidth |

See Also

FlowGraphNodeCustom Overview


%%PageItemTitle%%

FlowGraphNodeCustom Object

Name
Type
See Also Flow Graph ActiveX Control v19.3

AddNamedConnectionPoints Method

Description

Adds a connection point to the Node.

Syntax

Public Sub AddNamedConnectionPoints( _
   ByVal Name As String, _
   ByVal Type As Long _
)

Parameters

Name
Type

Return Type

Returns a reference to the connection point that was just added.

Example

'Adds some connection points to a node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

Name
Type
Caption
See Also Flow Graph ActiveX Control v19.3

AddNamedConnectionPointsWithCaption Method

Syntax

Public Sub AddNamedConnectionPointsWithCaption( _
   ByVal Name As String, _
   ByVal Type As Long, _
   ByVal Caption As String _
)

Parameters

Name
Type
Caption

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

x
y
See Also Flow Graph ActiveX Control v19.3

HitTestConnectionPoint Method

Syntax

Public Function HitTestConnectionPoint( _
   ByVal x As Long, _
   ByVal y As Long _
) As FlowGraphConnectionPoint

Parameters

x
y

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Remove Method

Description

Removes this node from the flow graph.

Syntax

Public Sub Remove()

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption that is displayed for this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption that is displayed for this node.

Remarks

The node's caption will be displayed at the top of the node and its background color is the same color as the node, which is by default a different color than the connection points that get added to the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

CaptionPosition Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionPosition() As XTPFlowGraphCustomNodeCaptionPosition

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Color Property

Description

Gets\sets the color of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Returns the color of the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

ConnectionPoints Property

Description

Reference to the connection points collection for this Node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ConnectionPoints() As FlowGraphConnectionPoints

Return Type

Reference to the connection points collection for this Node.

Remarks

Example

'Adds some connection points to a node

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

pTableCustomers.AddNamedConnectionPoints "ID", xtpFlowGraphPointInput
pTableCustomers.AddNamedConnectionPoints "Company", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Last Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "First Name", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Job Title", xtpFlowGraphPointNone
pTableCustomers.AddNamedConnectionPoints "Business Phone", xtpFlowGraphPointNone

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

FillType Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FillType() As XTPFlowGraphCustomNodeFillType

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Group Property

Description

Reference to the group this node is a part of (if any).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As FlowGraphNodeGroup

Remarks

A group is just a "box" that is used to visually group nodes together. By default the group will only be shown when a node in the group is selected, but you can choose to always thow the groups with ShowNodeGroupsAlways.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Height Property

Description

Returns the current height of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

Returns the current height of the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Id Property

Description

Gets\sets the ID of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Returns the ID of the node.

Remarks

This is the ID that is used to identify the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

ImageIndex Property

Description

Gets\set the index of an image to display next to the caption text of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageIndex() As Long

Return Type

Returns the index of an image to display next to the caption text of the node.

Example

'Loads an image and displays it in the node.

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageOrderDetails.png"

FlowGraph.Pages.RemoveAll

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0
pTableCustomers.Locked = True

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

LocationX Property

Description

Gets\sets the x coordinate location of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LocationX() As Long

Return Type

Returns the x coordinate location of the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

LocationY Property

Description

Gets\sets the y coordinate location of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LocationY() As Long

Return Type

Returns the y coordinate location of the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Locked Property

Description

Specifies whether the node is locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Return Type

True if the node if locked, False otherwise.

Remarks

When locked, the node can't be moved.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

MarkupText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupText() As String

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Page Property

Description

Reference to the page that this node is displayed on.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Page() As FlowGraphPage

Return Type

Reference to the FlowGraphPage that this node is displayed on.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

SecondColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SecondColor() As ULong

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Selected Property

Description

Specifies whether the node is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Return Type

True if the node is currently selected, False otherwise.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As Long

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Tooltip Property

Description

Gets\sets the tooltip for this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Return Type

Returns the tooltip for this node.

Remarks

This is the text that is displayed when the mouse is hovered over the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

Width Property

Description

Returns the current width of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

Returns the current width of the node.

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

WindowHandle Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowHandle() As Integer

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

WindowHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowHeight() As Long

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeCustom Object

See Also Flow Graph ActiveX Control v19.3

WindowWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowWidth() As Long

See Also

FlowGraphNodeCustom Object


%%PageItemTitle%%

FlowGraphNodeGroup Members | ShowNodeGroupsAlways Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeGroup Collection

Description

Represents a group of nodes.

For a list of all members defined in this module, see FlowGraphNodeGroup members.

Object Model

Remarks

A group is just a "box" that is used to visually group nodes together. By default the group will only be shown when a node in the group is selected, but you can choose to always thow the groups with ShowNodeGroupsAlways.

See Also

FlowGraphNodeGroup Members | ShowNodeGroupsAlways Property


%%PageItemTitle%% $$Members$$

FlowGraphNodeGroup Overview | ShowNodeGroupsAlways Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeGroup Collection Members

Public Methods

Public Method AddNode | Adds a node to the node group.
Public Method RemoveNode | Removes a node from the node group.

Public Properties

Public Property Caption | Gets\sets the caption for the group.
Public Property Count | Returns the total number of nodes that are in the group.
Public Property Node | Collection of nodes that have been added to this group.
Public Property Page | Reference to the page that this group is displayed on.

See Also

FlowGraphNodeGroup Overview | ShowNodeGroupsAlways Property


%%PageItemTitle%%

FlowGraphNodeGroup Collection

Node
Reference to the node to add to the group.
See Also Flow Graph ActiveX Control v19.3

AddNode Method

Description

Adds a node to the node group.

Syntax

Public Sub AddNode( _
   ByVal Node As FlowGraphNode _
)

Parameters

Node
Reference to the node to add to the group.

Remarks

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroup Collection

Node
Reference to the node to remove from the group.
See Also Flow Graph ActiveX Control v19.3

RemoveNode Method

Description

Removes a node from the node group.

Syntax

Public Sub RemoveNode( _
   ByVal Node As FlowGraphNode _
)

Parameters

Node
Reference to the node to remove from the group.

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroup Collection

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption for the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption for the group.

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroup Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Returns the total number of nodes that are in the group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of nodes that are in the group.

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroup Collection

Index
Index of the specified node to return.
See Also Flow Graph ActiveX Control v19.3

Node Property

Description

Collection of nodes that have been added to this group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Node( _
   ByVal Index As Long _
) As FlowGraphNode

Parameters

Index
Index of the specified node to return.

Return Type

Returns a reference to the specified node.

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroup Collection

See Also Flow Graph ActiveX Control v19.3

Page Property

Description

Reference to the page that this group is displayed on.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Page() As FlowGraphPage

Return Type

Reference to the FlowGraphPage that this group is displayed on.

See Also

FlowGraphNodeGroup Collection


%%PageItemTitle%%

FlowGraphNodeGroups Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeGroups Collection

Description

Represents a collection of groups in a page.

For a list of all members defined in this module, see FlowGraphNodeGroups members.

Object Model

Remarks

A group is just a "box" that is used to visually group nodes together. By default the group will only be shown when a node in the group is selected, but you can choose to always thow the groups with ShowNodeGroupsAlways.

See Also

FlowGraphNodeGroups Members


%%PageItemTitle%% $$Members$$

FlowGraphNodeGroups Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodeGroups Collection Members

Public Methods

Public Method AddGroup | Adds a group to the page's collection of groups.
Public Method RemoveAll | Removes all groups from the collection.
Public Method RemoveGroup | Removes a specific group from the collection.

Public Properties

Public Property Count | Total number of groups in the collection.
Public Property Group | Collection of groups for this page.

See Also

FlowGraphNodeGroups Overview


%%PageItemTitle%%

FlowGraphNodeGroups Collection

See Also Flow Graph ActiveX Control v19.3

AddGroup Method

Description

Adds a group to the page's collection of groups.

Syntax

Public Function AddGroup() As FlowGraphNodeGroup

Return Type

Reference to the group added.

See Also

FlowGraphNodeGroups Collection


%%PageItemTitle%%

FlowGraphNodeGroups Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all groups from the collection.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphNodeGroups Collection


%%PageItemTitle%%

FlowGraphNodeGroups Collection

Group
Reference to the group to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveGroup Method

Description

Removes a specific group from the collection.

Syntax

Public Sub RemoveGroup( _
   ByVal Group As FlowGraphNodeGroup _
)

Parameters

Group
Reference to the group to remove.

See Also

FlowGraphNodeGroups Collection


%%PageItemTitle%%

FlowGraphNodeGroups Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Total number of groups in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of groups in the collection.

See Also

FlowGraphNodeGroups Collection


%%PageItemTitle%%

FlowGraphNodeGroups Collection

Index
Index of a group in the collection.
See Also Flow Graph ActiveX Control v19.3

Group Property

Description

Collection of groups for this page.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group( _
   ByVal Index As Long _
) As FlowGraphNodeGroup

Parameters

Index
Index of a group in the collection.

Return Type

Reference to the specified group in the colleciton.

See Also

FlowGraphNodeGroups Collection


%%PageItemTitle%%

FlowGraphNodes Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodes Collection

Description

Represents a collection of nodes in a page or group.

For a list of all members defined in this module, see FlowGraphNodes members.

Object Model

Remarks

Nodes are the main objects that are displayed in the flow graph. In terms of a database they can be thought of as the tables in the database. The nodes contain many connection points, which are like the fields in a table. Finally there are connections that are used to draw a relationship between the field of two tables.

See Also

FlowGraphNodes Members


%%PageItemTitle%% $$Members$$

FlowGraphNodes Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphNodes Collection Members

Public Methods

Public Method AddCustomNode |
Public Method AddNode | Adds a node to a page or group.
Public Method AddResourceNode |
Public Method FindNode | Finds and returns the specified node.
Public Method RemoveAll | Removes all nodes from the page or group.
Public Method RemoveAt | Removes the specified node from the page or group.

Public Properties

Public Property Count | Returns the total number of nodes in the page or group.
Public Property Node | Collection of nodes for this page or group.

See Also

FlowGraphNodes Overview


%%PageItemTitle%%

FlowGraphNodes Collection

See Also Flow Graph ActiveX Control v19.3

AddCustomNode Method

Syntax

Public Function AddCustomNode() As FlowGraphNodeCustom

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

See Also Flow Graph ActiveX Control v19.3

AddNode Method

Description

Adds a node to a page or group.

Syntax

Public Function AddNode() As FlowGraphNode

Return Type

Reference to the newly added FlowGraphNode.

Example

'Adds a node to a page.

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

Id
See Also Flow Graph ActiveX Control v19.3

AddResourceNode Method

Syntax

Public Function AddResourceNode( _
   ByVal Id As FlowGraphShapes _
) As FlowGraphNodeCustom

Parameters

Id
Value | Description
xtpFlowGraphShapeArrow | Arrow
xtpFlowGraphShapeArrowDown | Down Arrow
xtpFlowGraphShapeArrowLeft | Left Arrow
xtpFlowGraphShapeArrowLeftRight | Left and Right Arrow
xtpFlowGraphShapeArrow_Right | Right Arrow
xtpFlowGraphShapeArrowUp | Up Arrow
xtpFlowGraphShapeArrowUpDown | Up and Down Arrow
xtpFlowGraphShapeCalloutEllipse | Callout Ellipse
xtpFlowGraphShapeCalloutRectangle | Callout Rectangle
xtpFlowGraphShapeCalloutRectangleRounded | Callout Rectangle Rounded
xtpFlowGraphShapeChevron | Chevron
xtpFlowGraphShapeCloud | Cloud
xtpFlowGraphShapeCross | Cross
xtpFlowGraphShapeDocument | Document
xtpFlowGraphShapeEllipse | Ellipse
xtpFlowGraphShapeFlag | Flag
xtpFlowGraphShapeHexagon | Hexagon
xtpFlowGraphShapeImage | Image
xtpFlowGraphShapeLightning | Lightning
xtpFlowGraphShapeMoon | Moon
xtpFlowGraphShapeParralelogram | Parralelogram
xtpFlowGraphShapePentagon | Pentagon
xtpFlowGraphShapeRectangle | Rectangle
xtpFlowGraphShapeRectangleRounded | Rounded Rectangle
xtpFlowGraphShapeRhombus | Rhombus
xtpFlowGraphShapeRing | Ring
xtpFlowGraphShapeRingHalf | Half Ring
xtpFlowGraphShapeStar | Star
xtpFlowGraphShapeTrapezoid | Trapezoid
xtpFlowGraphShapeTriangle | Triangle
xtpFlowGraphShapeTriangleRight | Right Triangle

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

Id
ID of the node to find and return.
See Also Flow Graph ActiveX Control v19.3

FindNode Method

Description

Finds and returns the specified node.

Syntax

Public Function FindNode( _
   ByVal Id As Long _
) As FlowGraphNode

Parameters

Id
ID of the node to find and return.

Return Type

If found, reference to the node with the specified ID, otherwise nothing\null will be returned.

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all nodes from the page or group.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

Index
Index of the node to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes the specified node from the page or group.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the node to remove.

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Returns the total number of nodes in the page or group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of nodes in the page or group.

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphNodes Collection

Index
Index of the specified node.
See Also Flow Graph ActiveX Control v19.3

Node Property

Description

Collection of nodes for this page or group.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Node( _
   ByVal Index As Long _
) As FlowGraphNode

Parameters

Index
Index of the specified node.

Return Type

Returns a reference to the specified FlowGraphNode.

See Also

FlowGraphNodes Collection


%%PageItemTitle%%

FlowGraphPage Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphPage Object

Description

Represents a page in the flow graph.

For a list of all members defined in this module, see FlowGraphPage members.

Object Model

Remarks

A page is what contains all the elements in the flow graph. The flow graph can contain many pages, each of which can contain nodes, node groups and connections. A page is the first thing that you must add to the flow graph, then you can add elements to the pages.

See Also

FlowGraphPage Members


%%PageItemTitle%% $$Members$$

FlowGraphPage Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphPage Object Members

Public Methods

Public Method Copy | Call this method to copy all the currently selected elements to the flow graphs clipboard.
Public Method Cut | Call this method to copy all the currently selected elements to the flow graphs clipboard and then remove the selected contents from the active page.
Public Method PageToScreen | Converts page coordinates to screen coordinates.
Public Method Paste | Call this method to paste the contents of the flow graphs clipboard to the currently active page.
Public Method Remove | Removes this page from the flow graph.
Public Method ScreenToPage | Converts screen coordinates to page coordinates.

Public Properties

Public Property CanPaste | Specifies whether the flow control can perform a paste operation.
Public Property Caption | Gets\sets the caption of this page.
Public Property Connections | Returns a collection of all connection that have been added to this page.
Public Property Groups | Returns a collection of all groups that have been added to this page.
Public Property Id | Gets\sets the ID for this page.
Public Property Nodes | Returns a collection of all nodes that have been added to this page.
Public Property ScrollOffsetX | Gets\sets the scroll offset (how much the page has been scrolled). This returns the X coordinate - left/right offset.
Public Property ScrollOffsetY | Gets\sets the scroll offset (how much the page has been scrolled). This returns the Y coordinate - up/down offset.
Public Property Selection | Collection of selected elements in the Flow Graph in this page.
Public Property ZoomLevel | Gets\sets the current zoom level of the page.

See Also

FlowGraphPage Overview


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Copy Method

Description

Call this method to copy all the currently selected elements to the flow graphs clipboard.

Syntax

Public Sub Copy()

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Cut Method

Description

Call this method to copy all the currently selected elements to the flow graphs clipboard and then remove the selected contents from the active page.

Syntax

Public Sub Cut()

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

x
x coordinate to convert.
y
y coordinate to convert.
See Also Flow Graph ActiveX Control v19.3

PageToScreen Method

Description

Converts page coordinates to screen coordinates.

Syntax

Public Sub PageToScreen( _
   ByRef x As Long, _
   ByRef y As Long _
)

Parameters

x
x coordinate to convert.
y
y coordinate to convert.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Paste Method

Description

Call this method to paste the contents of the flow graphs clipboard to the currently active page.

Syntax

Public Sub Paste()

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Remove Method

Description

Removes this page from the flow graph.

Syntax

Public Sub Remove()

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

x
x coordinate to convert.
y
y coordinate to convert.
See Also Flow Graph ActiveX Control v19.3

ScreenToPage Method

Description

Converts screen coordinates to page coordinates.

Syntax

Public Sub ScreenToPage( _
   ByRef x As Long, _
   ByRef y As Long _
)

Parameters

x
x coordinate to convert.
y
y coordinate to convert.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

CanPaste Property

Description

Specifies whether the flow control can perform a paste operation.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

Return Type

True if the flow control can perform a paste operation.

Remarks

There must be something in the control's clipboard from a previous copy\cut before a paste operation can be performed.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of this page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Returns the caption of this page.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Connections Property

Description

Returns a collection of all connection that have been added to this page.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Connections() As FlowGraphConnections

Return Type

Returns a collection of all connection that have been added to this page.

Remarks

Example

'Adds nodes, connection points and connections to a Flow Graph

Dim Image As FlowGraphImage
Set Image = FlowGraph.Images.AddImage
Image.LoadFromFile App.Path & "\Images\NodeImageCustomers.bmp"

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Debug.Print FlowGraph.Pages.Count

Set FlowGraph.ActivePage = Page

Dim Node As FlowGraphNode
Set Node = Page.Nodes.AddNode

Node.Caption = "Employee"
Node.Tooltip = "Employee Table"
Node.ImageIndex = 0
Node.LocationX = 50
Node.LocationY = 50

Dim Point As FlowGraphConnectionPoint
Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Employee ID"
Point.Type = 1

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "First Name"
Point.Type = 2

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Last Name"
Point.Type = 2

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Extention"
Point.Type = 2

Set Node = Page.Nodes.AddNode

Node.Caption = "Project"
'Node.Color = vbBlue
Node.Tooltip = "Project Table"

Node.LocationX = 250
Node.LocationY = 50

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Project ID"
Point.Type = 1

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Name"
Point.Type = 2

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Description"
Point.Type = 2

Set Node = Page.Nodes.AddNode

Node.Caption = "Project - Employee"
Node.Color = vbBlue
Node.Tooltip = "Project - Employee Table"

Node.LocationX = 100
Node.LocationY = 250

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Employee ID"
Point.Type = 2

Set Point = Node.ConnectionPoints.AddConnectionPoint
Point.Caption = "Project ID"
Point.Type = 2

Dim Connection As FlowGraphConnection
Set Connection = Page.Connections.AddConnection

Set Connection.OutputPoint = Page.Nodes(0).ConnectionPoints(0)
Set Connection.InputPoint = Page.Nodes(2).ConnectionPoints(0)

Set Connection = Page.Connections.AddConnection
Set Connection.OutputPoint = Page.Nodes(1).ConnectionPoints(0)
Set Connection.InputPoint = Page.Nodes(2).ConnectionPoints(1)

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Groups Property

Description

Returns a collection of all groups that have been added to this page.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Groups() As FlowGraphNodeGroups

Return Type

Returns a collection of all groups that have been added to this page.

Remarks

A group is just a "box" that is used to visually group nodes together. By default the group will only be shown when a node in the group is selected, but you can choose to always thow the groups with ShowNodeGroupsAlways.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Id Property

Description

Gets\sets the ID for this page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Returns the ID for this page.

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Nodes Property

Description

Returns a collection of all nodes that have been added to this page.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Nodes() As FlowGraphNodes

Return Type

Returns a collection of all nodes that have been added to this page.

Remarks

Nodes are the main objects that are displayed in the flow graph. In terms of a database they can be thought of as the tables in the database. The nodes contain many connection points, which are like the fields in a table. Finally there are connections that are used to draw a relationship between the field of two tables.

Example

'Adds a node to a page.

Dim Page As FlowGraphPage
Set Page = FlowGraph.Pages.AddPage

Set FlowGraph.ActivePage = Page

Dim pTableCustomers As FlowGraphNode
Set pTableCustomers = Page.Nodes.AddNode

pTableCustomers.Caption = "Customers"
pTableCustomers.Tooltip = "Customers Table"
pTableCustomers.Color = RGB(155, 187, 89)
pTableCustomers.LocationX = 820
pTableCustomers.LocationY = 360
pTableCustomers.ImageIndex = 0

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object | PageScrollOffsetChanged Event

See Also Flow Graph ActiveX Control v19.3

ScrollOffsetX Property

Description

Gets\sets the scroll offset (how much the page has been scrolled). This returns the X coordinate - left/right offset.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollOffsetX() As Long

Return Type

Returns the scroll offset (how much the page has been scrolled). This returns the X coordinate - left/right offset.

See Also

FlowGraphPage Object | PageScrollOffsetChanged Event


%%PageItemTitle%%

FlowGraphPage Object | PageScrollOffsetChanged Event

See Also Flow Graph ActiveX Control v19.3

ScrollOffsetY Property

Description

Gets\sets the scroll offset (how much the page has been scrolled). This returns the Y coordinate - up/down offset.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollOffsetY() As Long

Return Type

Returns the scroll offset (how much the page has been scrolled). This returns the Y coordinate - up/down offset.

See Also

FlowGraphPage Object | PageScrollOffsetChanged Event


%%PageItemTitle%%

FlowGraphPage Object

See Also Flow Graph ActiveX Control v19.3

Selection Property

Description

Collection of selected elements in the Flow Graph in this page.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As FlowGraphSelectedElements

Remarks

Selected elements will include Nodes, Connections and Connection Points. This collection can be used to add or remove elements to\from the selection. Elements can be selected with the mouse or using methods in code.

Example

'This code will group all the currently selected nodes.

Dim pGroup As FlowGraphNodeGroup
Set pGroup = FlowGraph.ActivePage.Groups.AddGroup

Dim i As Integer
For i = 0 To FlowGraph.ActivePage.Selection.Count
Dim pNode As FlowGraphNode
Set pNode = FlowGraph.ActivePage.Selection.Item(i)

If Not pNode Is Nothing Then
pGroup.AddNode pNode
End If

Next i

See Also

FlowGraphPage Object


%%PageItemTitle%%

FlowGraphPage Object | SetZoomRange Method | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method | PageZoomLevelChanged Event

See Also Flow Graph ActiveX Control v19.3

ZoomLevel Property

Description

Gets\sets the current zoom level of the page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ZoomLevel() As Double

Return Type

Returns the current zoom level of the page.

Remarks

0.0 is 0 zoom and 1.0 is 100% zoom.

See Also

FlowGraphPage Object | SetZoomRange Method | ZoomFitToWindow Method | ZoomToRect Method | ZoomToSelection Method | PageZoomLevelChanged Event


%%PageItemTitle%%

FlowGraphPageHistory Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphPageHistory Object

Description

Object that contains page transition history for the flow graph.

For a list of all members defined in this module, see FlowGraphPageHistory members.

See Also

FlowGraphPageHistory Members


%%PageItemTitle%% $$Members$$

FlowGraphPageHistory Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphPageHistory Object Members

Public Methods

Public Method AnimatePageTransition | This method will transition from a node on one page to a node on another page.
Public Method Clear | Clears the history of the flow graph.
Public Method GoBackward | Moves to the previous page in the flow graphs history (if available).
Public Method GoForward | Moves to the next page in the flow graphs history (if available).

Public Properties

Public Property CanGoBackward | Tests to see if a GoBack operation can be performed.
Public Property CanGoForward | Tests to see if a GoForward operation can be performed.

See Also

FlowGraphPageHistory Overview


%%PageItemTitle%%

FlowGraphPageHistory Object

NodeFrom
Reference to a node on the current page to transition from.
NodeTo
Reference to a node on a different page to transition to.
See Also Flow Graph ActiveX Control v19.3

AnimatePageTransition Method

Description

This method will transition from a node on one page to a node on another page.

Syntax

Public Sub AnimatePageTransition( _
   ByVal NodeFrom As FlowGraphNode, _
   ByVal NodeTo As FlowGraphNode _
)

Parameters

NodeFrom
Reference to a node on the current page to transition from.
NodeTo
Reference to a node on a different page to transition to.

Remarks

AnimatePageTransition will transition from a node on the current page to a node on a different page. This will cause the active page to change to the page that contains the transitioned to node.

See Also

FlowGraphPageHistory Object


%%PageItemTitle%%

FlowGraphPageHistory Object

See Also Flow Graph ActiveX Control v19.3

Clear Method

Description

Clears the history of the flow graph.

Syntax

Public Sub Clear()

See Also

FlowGraphPageHistory Object


%%PageItemTitle%%

FlowGraphPageHistory Object | CanGoBackward Property

See Also Flow Graph ActiveX Control v19.3

GoBackward Method

Description

Moves to the previous page in the flow graphs history (if available).

Syntax

Public Sub GoBackward()

See Also

FlowGraphPageHistory Object | CanGoBackward Property


%%PageItemTitle%%

FlowGraphPageHistory Object | CanGoForward Property

See Also Flow Graph ActiveX Control v19.3

GoForward Method

Description

Moves to the next page in the flow graphs history (if available).

Syntax

Public Sub GoForward()

See Also

FlowGraphPageHistory Object | CanGoForward Property


%%PageItemTitle%%

FlowGraphPageHistory Object

See Also Flow Graph ActiveX Control v19.3

CanGoBackward Property

Description

Tests to see if a GoBack operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanGoBackward() As Boolean

Return Type

True if a GoBack operation can be performed.

Remarks

A GoForward or page transition operation must be performed before a GoBack operation can be performed.

See Also

FlowGraphPageHistory Object


%%PageItemTitle%%

FlowGraphPageHistory Object

See Also Flow Graph ActiveX Control v19.3

CanGoForward Property

Description

Tests to see if a GoForward operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanGoForward() As Boolean

Return Type

True if a GoForward operation can be performed.

See Also

FlowGraphPageHistory Object


%%PageItemTitle%%

FlowGraphPages Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphPages Collection

Description

Represents a collection of pages in the flow graph.

For a list of all members defined in this module, see FlowGraphPages members.

Object Model

Remarks

A page is what contains all the elements in the flow graph. The flow graph can contain many pages, each of which can contain nodes, node groups and connections. A page is the first thing that you must add to the flow graph, then you can add elements to the pages.

See Also

FlowGraphPages Members


%%PageItemTitle%% $$Members$$

FlowGraphPages Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphPages Collection Members

Public Methods

Public Method AddPage | Adds a page to the flow graph.
Public Method FindPage | Finds and returns the specified page.
Public Method RemoveAll | Removes all pages from the flow graph.
Public Method RemoveAt | Removes the specified page from the flow graph.

Public Properties

Public Property Count | Total number of pages in the flow graph.
Public Property Page | Collection of pages in the flow graph.

See Also

FlowGraphPages Overview


%%PageItemTitle%%

FlowGraphPages Collection

See Also Flow Graph ActiveX Control v19.3

AddPage Method

Description

Adds a page to the flow graph.

Syntax

Public Function AddPage() As FlowGraphPage

Return Type

Reference to the newly added FlowGraphPage.

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPages Collection

Id
ID of the page to find and return.
See Also Flow Graph ActiveX Control v19.3

FindPage Method

Description

Finds and returns the specified page.

Syntax

Public Function FindPage( _
   ByVal Id As Long _
) As FlowGraphPage

Parameters

Id
ID of the page to find and return.

Return Type

If found, reference to the page with the specified ID, otherwise nothing\null will be returned.

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPages Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all pages from the flow graph.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPages Collection

Index
Index of the page to remove.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes the specified page from the flow graph.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the page to remove.

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPages Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Total number of pages in the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the total number of pages in the flow graph.

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPages Collection

Index
Index of the specified page.
See Also Flow Graph ActiveX Control v19.3

Page Property

Description

Collection of pages in the flow graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Page( _
   ByVal Index As Long _
) As FlowGraphPage

Parameters

Index
Index of the specified page.

Return Type

Returns a reference to the specified FlowGraphPage.

See Also

FlowGraphPages Collection


%%PageItemTitle%%

FlowGraphPaintManager Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphPaintManager Object

Description

Handles most of the drawing activities of the Flow Graph.

For a list of all members defined in this module, see FlowGraphPaintManager members.

See Also

FlowGraphPaintManager Members


%%PageItemTitle%% $$Members$$

FlowGraphPaintManager Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphPaintManager Object Members

Public Properties

Public Property BackColor | Specifies the background "canvas" color for the flow graph.
Public Property CaptionFont | Gets\sets the font used for Node captions.
Public Property ChangeNodeColorWhenSelected |
Public Property ConnectionColor | Specifies the color of the connection lines that connect two connection points.
Public Property ConnectorType | Node connector style.
Public Property EllipseSize | Specifies the size of Connection Points.
Public Property Font | Gets\sets the font used for connection captions.
Public Property ForeColor | Gets\sets the color used for text.
Public Property GridColor |
Public Property NodeBackgroundColor | Gets\sets the background color used for Nodes.
Public Property NodeFrameSize | Gets\sets the size of the border-frame of a node.
Public Property PointTextMargin | Specifies the margin to place between a connection's caption text and the connection's connection point (if a connection point is present).
Public Property RecalculateConnectionsLayoutWhenNeeded |
Public Property SelectionColor | Specifies the color used for selected nodes.
Public Property ShowConnectionPointsAlways |
Public Property ShowGrid | Specifies whether to show the grid for the flow graph.
Public Property ShowNodeGroupsAlways | Specifies whether to always show node groups, even if a non-groupped node is selected (or no nodes are selected).

See Also

FlowGraphPaintManager Overview


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

BackColor Property

Description

Specifies the background "canvas" color for the flow graph.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This is the area behind the nodes.

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

CaptionFont Property

Description

Gets\sets the font used for Node captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ChangeNodeColorWhenSelected Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ChangeNodeColorWhenSelected() As Boolean

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ConnectionColor Property

Description

Specifies the color of the connection lines that connect two connection points.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConnectionColor() As ULong

Return Type

Color of the connection lines that connect two connection points.

Remarks

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object | FlowGraphConnectorType Enumeration

See Also Flow Graph ActiveX Control v19.3

ConnectorType Property

Description

Node connector style.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConnectorType() As FlowGraphConnectorType

Return Type

The currently used FlowGraphConnectorType.

Remarks

The ConnectorType specifies the style of the lines that "connect" the connections of a node.

See Also

FlowGraphPaintManager Object | FlowGraphConnectorType Enumeration


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

EllipseSize Property

Description

Specifies the size of Connection Points.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EllipseSize() As Long

Return Type

Current size of Connection Points.

Remarks

This will set the size of Connection Points used for connections.

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

Font Property

Description

Gets\sets the font used for connection captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ForeColor Property

Description

Gets\sets the color used for text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

GridColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridColor() As ULong

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

NodeBackgroundColor Property

Description

Gets\sets the background color used for Nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NodeBackgroundColor() As ULong

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

NodeFrameSize Property

Description

Gets\sets the size of the border-frame of a node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NodeFrameSize() As Long

Remarks

This is the area of a Node that is drawn around the Node and its contents.

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

PointTextMargin Property

Description

Specifies the margin to place between a connection's caption text and the connection's connection point (if a connection point is present).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PointTextMargin() As Long

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

RecalculateConnectionsLayoutWhenNeeded Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecalculateConnectionsLayoutWhenNeeded() As Boolean

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

SelectionColor Property

Description

Specifies the color used for selected nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionColor() As ULong

Remarks

A selected Node's frame will use SelectionColor when the node becomes selected.

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ShowConnectionPointsAlways Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowConnectionPointsAlways() As Boolean

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ShowGrid Property

Description

Specifies whether to show the grid for the flow graph.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGrid() As Boolean

Remarks

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphPaintManager Object

See Also Flow Graph ActiveX Control v19.3

ShowNodeGroupsAlways Property

Description

Specifies whether to always show node groups, even if a non-groupped node is selected (or no nodes are selected).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowNodeGroupsAlways() As Boolean

Remarks

If False, grouping will only be shown when a grouped node is selected. If True, groups will always be visible, they will be a light gray color when a grouped node is not selected.

See Also

FlowGraphPaintManager Object


%%PageItemTitle%%

FlowGraphSelectedElements Members | Selection Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphSelectedElements Collection

Description

Collection of selected elements in the Flow Graph.

For a list of all members defined in this module, see FlowGraphSelectedElements members.

Object Model

Remarks

Selected elements will include Nodes, Connections and Connection Points. This collection can be used to add or remove elements to\from the selection. Elements can be selected with the mouse or using methods in code.

Example

'This code will group all the currently selected nodes.

Dim pGroup As FlowGraphNodeGroup
Set pGroup = FlowGraph.ActivePage.Groups.AddGroup

Dim i As Integer
For i = 0 To FlowGraph.ActivePage.Selection.Count
Dim pNode As FlowGraphNode
Set pNode = FlowGraph.ActivePage.Selection.Item(i)

If Not pNode Is Nothing Then
pGroup.AddNode pNode
End If

Next i

See Also

FlowGraphSelectedElements Members | Selection Property


%%PageItemTitle%% $$Members$$

FlowGraphSelectedElements Overview | Selection Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphSelectedElements Collection Members

Public Methods

Public Method AddSelection | Adds an element to the current selection.
Public Method Remove | Removes an element from the current selection.
Public Method RemoveAll | Removes all elements from the current selection.
Public Method RemoveAt | Removes an element from the current selection at the specified index.

Public Properties

Public Property Count | Number of elements in the current selection.
Public Property Item | A collection of FlowGraphElement objects. Contains a collection of all selected elements in the Flow Graph.

See Also

FlowGraphSelectedElements Overview | Selection Property


%%PageItemTitle%%

FlowGraphSelectedElements Collection

Element
The element to add to the selection, can be any valid flow graph element (connection, node).
See Also Flow Graph ActiveX Control v19.3

AddSelection Method

Description

Adds an element to the current selection.

Syntax

Public Sub AddSelection( _
   ByVal Element As FlowGraphElement _
)

Parameters

Element
The element to add to the selection, can be any valid flow graph element (connection, node).

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphSelectedElements Collection

Element
The element to remove from the selection, can be any valid flow graph element (connection, node).
See Also Flow Graph ActiveX Control v19.3

Remove Method

Description

Removes an element from the current selection.

Syntax

Public Sub Remove( _
   ByVal Element As FlowGraphElement _
)

Parameters

Element
The element to remove from the selection, can be any valid flow graph element (connection, node).

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphSelectedElements Collection

See Also Flow Graph ActiveX Control v19.3

RemoveAll Method

Description

Removes all elements from the current selection.

Syntax

Public Sub RemoveAll()

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphSelectedElements Collection

Index
Index of the element to remove from the current selection.
See Also Flow Graph ActiveX Control v19.3

RemoveAt Method

Description

Removes an element from the current selection at the specified index.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of the element to remove from the current selection.

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphSelectedElements Collection

See Also Flow Graph ActiveX Control v19.3

Count Property

Description

Number of elements in the current selection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Number of elements in the current selection.

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphSelectedElements Collection

Index
Index of a FlowGraphElement within the collection of elements.
See Also Flow Graph ActiveX Control v19.3

Item Property

Description

A collection of FlowGraphElement objects. Contains a collection of all selected elements in the Flow Graph.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As FlowGraphElement

Parameters

Index
Index of a FlowGraphElement within the collection of elements.

Remarks

A collection of FlowGraphElement objects that are currently selected. Elements are added using the add method and removed using the RemoveAt method.

See Also

FlowGraphSelectedElements Collection


%%PageItemTitle%%

FlowGraphUndoManager Members

See Also Flow Graph ActiveX Control v19.3

FlowGraphUndoManager Object

Description

Manager used to Undo and Redo edit operations in the Flow Graph.

For a list of all members defined in this module, see FlowGraphUndoManager members.

Remarks

The FlowGraphUndoManager allows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

Any "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete Nodes, no matter how many were deleted.

Dim Node As FlowGraphNode

FlowGraph.UndoManager.StartGroup
For Each Node In FlowGraph.Selection
Node.Remove
Next
FlowGraph.UndoManager.EndGroup

See Also

FlowGraphUndoManager Members


%%PageItemTitle%% $$Members$$

FlowGraphUndoManager Overview

See Also Flow Graph ActiveX Control v19.3

FlowGraphUndoManager Object Members

Public Methods

Public Method Clear | Clears the history of the Undo Manager.
Public Method EndGroup | Used to specify a group of "undoable" operations has finished.
Public Method Redo | Redo the last operation if applicable.
Public Method StartGroup | Used to specify a group of "undoable" operations has started.
Public Method Undo | Undo the last operation if applicable.

Public Properties

Public Property CanRedo | Determines if there are any operations that can be re-done
Public Property CanUndo | Determines if there are any operations that can be un-done

See Also

FlowGraphUndoManager Overview


%%PageItemTitle%%

FlowGraphUndoManager Object

See Also Flow Graph ActiveX Control v19.3

Clear Method

Description

Clears the history of the Undo Manager.

Syntax

Public Sub Clear()

Remarks

This will remove all previous operations from the Undo Manager's cache.

See Also

FlowGraphUndoManager Object


%%PageItemTitle%%

FlowGraphUndoManager Object | StartGroup Method

See Also Flow Graph ActiveX Control v19.3

EndGroup Method

Description

Used to specify a group of "undoable" operations has finished.

Syntax

Public Sub EndGroup()

Remarks

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

Any "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete Nodes, no matter how many were deleted.

Dim Node As FlowGraphNode

FlowGraph.UndoManager.StartGroup
For Each Node In FlowGraph.Selection
Node.Remove
Next
FlowGraph.UndoManager.EndGroup

See Also

FlowGraphUndoManager Object | StartGroup Method


%%PageItemTitle%%

FlowGraphUndoManager Object | CanRedo Property

See Also Flow Graph ActiveX Control v19.3

Redo Method

Description

Redo the last operation if applicable.

Syntax

Public Sub Redo()

Remarks

This will Redo the last operation if it can. Use CanRedo to test if an operation is available to be re-done.

The FlowGraphUndoManagerallows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

See Also

FlowGraphUndoManager Object | CanRedo Property


%%PageItemTitle%%

FlowGraphUndoManager Object | EndGroup Method

See Also Flow Graph ActiveX Control v19.3

StartGroup Method

Description

Used to specify a group of "undoable" operations has started.

Syntax

Public Sub StartGroup()

Remarks

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

Any "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete Nodes, no matter how many were deleted.

Dim Node As FlowGraphNode

FlowGraph.UndoManager.StartGroup
For Each Node In FlowGraph.Selection
Node.Remove
Next
FlowGraph.UndoManager.EndGroup

See Also

FlowGraphUndoManager Object | EndGroup Method


%%PageItemTitle%%

FlowGraphUndoManager Object | CanUndo Property

See Also Flow Graph ActiveX Control v19.3

Undo Method

Description

Undo the last operation if applicable.

Syntax

Public Sub Undo()

Remarks

This will Undo the last operation if it can. Use CanUndo to test if an operation is available to be un-done.

The FlowGraphUndoManagerallows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

See Also

FlowGraphUndoManager Object | CanUndo Property


%%PageItemTitle%%

FlowGraphUndoManager Object | Redo Method

See Also Flow Graph ActiveX Control v19.3

CanRedo Property

Description

Determines if there are any operations that can be re-done

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

Remarks

Use CanRedo to test if an operation is available to be re-done. If so, then Redo can be used to redo that operation.

The FlowGraphUndoManagerallows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

See Also

FlowGraphUndoManager Object | Redo Method


%%PageItemTitle%%

FlowGraphUndoManager Object | Undo Method

See Also Flow Graph ActiveX Control v19.3

CanUndo Property

Description

Determines if there are any operations that can be un-done

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

Remarks

Use CanUndo to test if an operation is available to be un-done. If so, then Undo can be used to undo that operation.

The FlowGraphUndoManagerallows certain edit operations to be undone and re-done in the Flow Graph. Supported operations are Add/Remove/Move/Resize Nodes/Move Connector Lines/Rename Nodes/Grouping. If any of these operations are performed they can easily be undone\re-done using the methods of the FlowGraphUndoManager.

See Also

FlowGraphUndoManager Object | Undo Method


%%PageItemTitle%%

PropExchange Members

See Also Flow Graph ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing Flow Graph layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the Flow Graph to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Flow Graph ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Flow Graph ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Flow Graph ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Flow Graph ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Flow Graph ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Flow Graph ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Flow Graph ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Flow Graph ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Flow Graph ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Flow Graph ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Flow Graph ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Flow Graph ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Flow Graph ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Flow Graph ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

ToolTipContext Members

See Also Flow Graph ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members


%%PageItemTitle%% $$Members$$

ToolTipContext Overview

See Also Flow Graph ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Specifies whether to display images in the tooltip window.
Public Method ShowTitleAndDescription | The ShowTitleAndDescription method specifies whether to show the Caption and ToolTip of the node in the tool tip window.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Flow Graph ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

Example

[How to Detemine if Balloon Tool Tips are Supported (Visual Basic)] This sample illustrates how to determine if Balloon tool tips are supported.

    If Not FlowGraph.ToolTipContext.IsBalloonStyleSupported Then
        'Requires Internet Explorer 5.0 or Above
        FlowGraph.ToolTipContext.ShowTitleAndDescription False, xtpToolTipIconNone
        FlowGraph.ToolTipContext.Style = xtpToolTipStandard
    Else
        FlowGraph.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo
        FlowGraph.ToolTipContext.Style = xtpToolTipBalloon
    End If

[How to Detemine if Balloon Tool Tips are Supported (C#)] This sample illustrates how to determine if Balloon tool tips are supported.

    if (!FlowGraph.ToolTipContext.IsBalloonStyleSupported())
    {
        //Requires Internet Explorer 5.0 or Above
        FlowGraph.ToolTipContext.ShowTitleAndDescription(false, XtremeFlowGraph.XTPToolTipIcon.xtpToolTipIconNone);
        FlowGraph.ToolTipContext.Style = XtremeFlowGraph.XTPToolTipStyle.xtpToolTipStandard;
    }
    else
    {
        FlowGraph.ToolTipContext.ShowTitleAndDescription(true, XtremeFlowGraph.XTPToolTipIcon.xtpToolTipIconInfo);
        FlowGraph.ToolTipContext.Style = XtremeFlowGraph.XTPToolTipStyle.xtpToolTipBalloon;
    }

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Flow Graph ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Flow Graph ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to the id to specify a large image. Set to 0 to display only standard button icons associated with the control.
See Also Flow Graph ActiveX Control v19.3

ShowImage Method

Description

Specifies whether to display images in the tooltip window.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to the id to specify a large image. Set to 0 to display only standard button icons associated with the control.

Remarks

To add an image to a tooltip as seen in Office 2007 style tooltip, which is usually a large image that is a shrunken screen shot of the dialog\function a menu item or button performs, you would simply add another image to the imagemanager that has the same id as the button\menu item plus the ImageBase value. When the ShowImage parameter is True and the ImageBase is greater than 0 then it will automatically add the ImageBase to all control ids when displaying the picture in the tooltips.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription

True to display the Caption, ToolTip and Icon (specified by IconTitle) of the node in the tool tip window.

False to display the text stored in the ToolTip property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
Icon to display in tool tip window.
See Also Flow Graph ActiveX Control v19.3

ShowTitleAndDescription Method

Description

The ShowTitleAndDescription method specifies whether to show the Caption and ToolTip of the node in the tool tip window.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the Caption, ToolTip and Icon (specified by IconTitle) of the node in the tool tip window.

False to display the text stored in the ToolTip property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.
Icon to display in tool tip window.

Example

[ShowTitleAndDescription Sample (Visual Basic)] This sample illustrates how to display a tool tip window that displays the Caption, DescriptionText, and XTPToolTipIcon.

    FlowGraph.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Flow Graph ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Flow Graph ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Flow Graph ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Flow Graph ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Flow Graph ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Flow Graph ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the Caption of the control will be used.

Object used for reading and writing Flow Graph layout information to\from a XML file, the registry, or binary file.

See the XTPToolTipStyle enumeration for a picture and detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Flow Graph ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Flow Graph ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

ConnectionPoint Type | FlowGraphConnectionPoint Object | FlowGraphConnection Object

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectionPointType Enumeration

Description

Node Connection Point types (input\output).

Members

Member | Description
xtpFlowGraphPointNone | Connection has no connection points.
xtpFlowGraphPointInput | Connection only has an input point.
xtpFlowGraphPointOutput | Connection only has an output point.
xtpFlowGraphPointInputAndOutput | Connection has both input and output points.
xtpFlowGraphPointBoth |

Remarks

The ConnectionPoint Type is used to specify whether a FlowGraphConnection will have any connection points. Connection Points are used to make connections between a connection in different nodes.

Below you can see the curved connections the link 2 connection points.

See Also

ConnectionPoint Type | FlowGraphConnectionPoint Object | FlowGraphConnection Object


%%PageItemTitle%%

ConnectorType Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphConnectorType Enumeration

Description

Node connector styles.

Members

Member | Description
xtpFlowGraphConnectorStraight | Straight line connector.
xtpFlowGraphConnectorStraightArrow |
xtpFlowGraphConnectorStraightDoubleArrow |
xtpFlowGraphConnectorCurved | Curved line connector.
xtpFlowGraphConnectorCurvedArrow |
xtpFlowGraphConnectorCurvedDoubleArrow |
xtpFlowGraphConnectorElbow |
xtpFlowGraphConnectorElbowArrow |
xtpFlowGraphConnectorElbowDoubleArrow |

Remarks

The ConnectorType specifies the style of the lines that "connect" the connections of a node.

See Also

ConnectorType Property


%%PageItemTitle%%

AllowResizeNodes Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphResize Enumeration

Description

Node resizing options (drag\drop size of nodes).

Members

Member | Description
xtpFlowGraphResizeHorizontal | Nodes can be resized Horizontally only.
xtpFlowGraphResizeVertical | Nodes can be resized Vertically only.
xtpFlowGraphResizeBoth | Nodes can be resized both Vertically and Horizontally.

Remarks

To resize a node you must click the border of the node and drag it to the desired width\height.

Set AllowResizeNodes to True to enable resizable nodes. You can set the Lock property of a single node if you don't want it moved and resized.

See Also

AllowResizeNodes Property


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

FlowGraphShapes Enumeration

Description

Predefined XAML shapes

Members

Member | Description
xtpFlowGraphShapeArrow | Arrow
xtpFlowGraphShapeArrowDown | Down Arrow
xtpFlowGraphShapeArrowLeft | Left Arrow
xtpFlowGraphShapeArrowLeftRight | Left and Right Arrow
xtpFlowGraphShapeArrow_Right | Right Arrow
xtpFlowGraphShapeArrowUp | Up Arrow
xtpFlowGraphShapeArrowUpDown | Up and Down Arrow
xtpFlowGraphShapeCalloutEllipse | Callout Ellipse
xtpFlowGraphShapeCalloutRectangle | Callout Rectangle
xtpFlowGraphShapeCalloutRectangleRounded | Callout Rectangle Rounded
xtpFlowGraphShapeChevron | Chevron
xtpFlowGraphShapeCloud | Cloud
xtpFlowGraphShapeCross | Cross
xtpFlowGraphShapeDocument | Document
xtpFlowGraphShapeEllipse | Ellipse
xtpFlowGraphShapeFlag | Flag
xtpFlowGraphShapeHexagon | Hexagon
xtpFlowGraphShapeImage | Image
xtpFlowGraphShapeLightning | Lightning
xtpFlowGraphShapeMoon | Moon
xtpFlowGraphShapeParralelogram | Parralelogram
xtpFlowGraphShapePentagon | Pentagon
xtpFlowGraphShapeRectangle | Rectangle
xtpFlowGraphShapeRectangleRounded | Rounded Rectangle
xtpFlowGraphShapeRhombus | Rhombus
xtpFlowGraphShapeRing | Ring
xtpFlowGraphShapeRingHalf | Half Ring
xtpFlowGraphShapeStar | Star
xtpFlowGraphShapeTrapezoid | Trapezoid
xtpFlowGraphShapeTriangle | Triangle
xtpFlowGraphShapeTriangleRight | Right Triangle


%%PageItemTitle%%

SmoothingMode Property

See Also Flow Graph ActiveX Control v19.3

FlowGraphSmoothingMode Enumeration

Description

Draw quality options for the Flow Graph.

Members

Member | Description
xtpFlowGraphSmoothingModeHighQuality | Uses GDI+ to draw the Flow Graph for the highest quality picture. This option looks the best, but might be slow when performing drag operations on lower end graphic cards.
xtpFlowGraphSmoothingModeHighSpeed | Uses GDI+ to draw the Flow Graph with slightly lower quality to improve speed over the High Quality option.
xtpFlowGraphSmoothingModeGDI | Uses GDI Standard to draw the Flow Graph. Performance will be good on lower end graphic cards, however the quality does not look as good as the GDI+ options.
xtpFlowGraphSmoothingModeAuto | Will combine the various quality modes to get the best performance and quality. It will draw with a higher quality mode for viewing then switch to a lower quality mode when performing drag operations.

Remarks

Set SmoothingMode to the setting that best matches your systems capabilities.

These option greatly effect the performance of the control and will in part be effected by the graphics capability of the machine that uses the control. xtpFlowGraphSmoothingModeHighQuality is recommended when you don't intend the nodes to be dragged by the user, if dragging is enabled then this setting is most effected by the systems graphic capabilities.

See Also

SmoothingMode Property


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

XTPFlowGraphCustomNodeCaptionPosition Enumeration

Description

Defines position for a caption of a custom markup node

Members

Member | Description
xtpFlowGraphCustomNodeCaptionCenter | Center of the shape, default behavior
xtpFlowGraphCustomNodeCaptionBelow | Below the shape


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

XTPFlowGraphCustomNodeFillType Enumeration

Description

Path (Figure) fill type

Members

Member | Description
xtpFlowGraphCustomNodeFillSolid | Solid
xtpFlowGraphCustomNodeFillGradientHorizontal | Horizontal
xtpFlowGraphCustomNodeFillGradientVertical | Vertical
xtpFlowGraphCustomNodeFillGradientDiagonalLeft | Diagonal Left
xtpFlowGraphCustomNodeFillGradientDiagonalRight | Diagonal Right
xtpFlowGraphCustomNodeFillGradientCenterHorizontal | Center Horizontal
xtpFlowGraphCustomNodeFillGradientCenterVertical | Center Vertical


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

Example

This sample illustrates how to display a tool tip window that displays the Caption and XTPToolTipIcon.

    FlowGraph.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTipText property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc. The picture below illustrates an RTF tool tip that includes bold text, colored text, underlined text, a new font, and bullets.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

This is the style of the tooltip.

By default the text that is stored in the ToolTipText property will be displayed in the tool tip window. If this property is not set, then the Caption of the control will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a FlowGraph that uses Markup tooltip, in this case, the first node's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips. Note the sample used images stored in a ImageManager as the image source.

Example

This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
    FlowGraph.ToolTipContext.Style = xtpToolTipMarkup

    FlowGraph.Pages(0).Nodes(0).Tooltip = _
    "<Border Padding='4' Width='200px' BorderThickness='1' " & _
    "BorderBrush='#767676' Background='#e4ecf7'>" & _
    "<StackPanel TextBlock.FontFamily='Tahoma'>" & _
    " <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Node ToolTip" & _
    "</TextBlock>" & _
    " <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Markup Tooltip" & _
    "</TextBlock>" & _
    " <Border Height='1' Background='#9ebbdd' />" & _
    " <Border Height='1' Background='White' />" & _
    " <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
    " <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
    "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
    "</TextBlock>" & _
    " </StackPanel>" & _
    "</StackPanel>" & _
    "</Border>"


Markup ActiveX Controls v19.3

Markup ActiveX Control v19.3
Markup ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
MarkupLabel | A MarkupLabel control is used to display XAML Markup.
Classes
Class Module | Description
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IMarkupGlobalSettings | Markup Global Settings
IResourceImageList |
MarkupBold | An inline-level flow content element which causes content to render with a bold font weight.
MarkupBorder | Draws a border, background, or both around another element.
MarkupBrush | Base class for the MarkupSolidBrush class.
MarkupButton | Represents a button (Toggle, Radio, CheckBox, etc) control, which reacts to the MarkupButtonBase.ClickEvent.
MarkupButtonBase | Represents the base class for all Button (Toggle, Radio, CheckBox) controls.
MarkupCanvas | Defines an area within which you can explicitly position child elements by using coordinates that are relative to the MarkupCanvas area.
MarkupCheckBox | Represents a control that a user can select and clear.
MarkupColumnDefinition | Defines column-specific properties that apply to MarkupGrid elements.
MarkupContentControl | Represents a control with a single piece of content.
MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event from code (VB, C#, etc.). It is contains methods to create Markup Objects in code.
MarkupControl | Represents the base class for user interface (UI) elements such as buttons.
MarkupDefinitionBase | Defines the functionality required to support a shared-size group that is used by the MarkupColumnDefinitionCollection and MarkupRowDefinitionCollection classes.
MarkupDefinitionCollection | Provides access to a collection of MarkupColumnDefinition or MarkupRowDefinition objects.
MarkupDockPanel | Defines an area where you can arrange child elements either horizontally or vertically, relative to each other.
MarkupDoubleCollection |
MarkupEllipse | Draws an ellipse.
MarkupFrameworkElement | Base class for all the "controls" for example, StackPamel, Grid, etc.
MarkupGlobalSettings | Markup Global Settings
MarkupGrid | Grid Control
MarkupHyperlink | An inline-level flow content element that provides facilities for hosting hyperlinks within flow content.
MarkupImage | Represents a control that displays an image.
MarkupInline | An abstract class that provides a base for all inline flow content elements.
MarkupInlineCollection | Represents a collection of MarkupInline elements. MarkupInlineCollection defines the allowable child content of the MarkupSpan and MarkupTextBlock elements.
MarkupInlineUIContainer | An inline-level flow content element which enables MarkupUIElement elements to be embedded in flow content.
MarkupInputElement | Establishes the common events and also the event-related properties and methods for basic input processing by Markup elements.
MarkupItalic | Provides an inline-level flow content element that causes content to render with an italic font style.
MarkupLabelPropPage | Property page for MarkupLabel Control
MarkupLine | Draws a straight line between two points.
MarkupObject | Base class for all Markup Objects.
MarkupPage | Encapsulates a page of content that can be navigated to and hosted by an Internet browser.
MarkupPanel | Provides a base class for all Panel elements. Use Panel elements to position and arrange child objects in Markup applications.
MarkupPath | Draws a series of connected lines and curves.
MarkupPolygon | Draws a polygon, which is a connected series of lines that form a closed shape.
MarkupPolyline | Draws a series of connected straight lines.
MarkupRadioButton | Radio button control.
MarkupRectangle | Draws a rectangle.
MarkupRoutedEvent | Represents and identifies a routed event and declares its characteristics.
MarkupRoutedEventArgs | Contains state information and event data associated with a routed event.
MarkupRowDefinition | Defines row-specific properties that apply to MarkupGrid elements.
MarkupRun | An inline-level flow content element intended to contain a run of formatted or unformatted text.
MarkupScrollViewer | The MarkupScrollViewer control creates a scrollable region wherein content can be scrolled horizontally or vertically.
MarkupShape | Provides a base class for shape elements, such as MarkupEllipse, MarkupPolygon, and MarkupRectangle.
MarkupSolidColorBrush | Paints an area with a solid color.
MarkupSpan | Groups other MarkupInline flow content elements.
MarkupStackPanel | Arranges child elements into a single line that can be oriented horizontally or vertically.
MarkupTextBlock | Provides a lightweight control for displaying small amounts of flow content.
MarkupTextElement | An abstract class used as the base class for the abstract MarkupInline class.
MarkupThickness | Describes the thickness of a frame around a rectangle. Four values describe the Left, Top, Right, and Bottom sides of the rectangle, respectively.
MarkupToggleButton | Base class for controls that can switch states, such as a CheckBox and RadioButton.
MarkupUIElement | Base class for Markup core level implementations building on Markup elements and basic presentation characteristics.
MarkupUIElementCollection | Represents an ordered collection of MarkupUIElements.
MarkupUnderline | An inline-level flow content element which causes content to render with an underlined text decoration.
MarkupUniformGrid | Provides a way to arrange content in a grid where all the cells in the grid have the same size.
MarkupViewbox |
MarkupVisual | Provides rendering support in Markup.
MarkupWindowContainer |
MarkupWrapPanel | Wrap Panel Control
ToolTipContext |
Public Enumerations
Enumeration | Description
MarkupConstants |
MarkupCursor | Defines a set of default cursors.
MarkupDock | Specifies the Dock position of a child element that is inside a MarkupDockPanel.
MarkupFontStyle | Specifies style information applied to text.
MarkupFontWeight | Provides a set of static predefined font weight values.
MarkupGridUnitType |
MarkupHorizontalAlignment | Indicates where an element should be displayed on the horizontal axis relative to the allocated layout slot of the parent element.
MarkupLineCap |
MarkupLineJoin |
MarkupOrientation | Defines the different orientations that a control or layout can have.
MarkupStretch | Defines how content is resized to fill its allocated space.
MarkupTextAlignment | Specifies whether the text in the object is left-aligned, right-aligned, centered, or justified.
MarkupTextDecorations | Provides a set of static predefined text decorations.
MarkupTextTrimming | Describes how text is trimmed when it overflows the edge of its containing box.
MarkupTextWrapping | Specifies whether text wraps when it reaches the edge of the containing box.
MarkupVerticalAlignment | Describes how a child element is vertically positioned or stretched within a parent's layout slot.
MarkupVisibility | Specifies the display state of an element.
XTPImageState | Specifies the state of an icon.
XTPMarkupSmoothingMode | Possible rendering smoothing modes
XTPToolTipIcon | ToolTip Icon
XTPToolTipStyle | ToolTip Style
Chart Styles

Main Reasons to use this OCX:

1. It allows the CheckBox/Button/RadioButton/Label/MarkupLabel controls to be used with Markup enabled that has a <Hyperlink> tag. This will allows the click event to be caught when user clicks a hyperlink and some information from tag will be sent to identify it. Without using the class model provided by this OCX it wouldn't be possible to get information about what Hyperlink was clicked/where/etc.

In addition to the HyperlinkClick event the events of any Markup object can be caught when using the controls mentioned above. Another example is there is some markup with <Ellipse> and that Ellipse should become Green when the user moves the cursor over the Ellipse in code.

Note: As of version 12.1.0 on the CheckBox/Button/RadioButton/Label/MarkupLabel controls can catch Markup events.

2. When using the MarkupLabel control it allows Markup to be created in code without needing to parse a long markup string. For example, the Markup string "<Grid>...</Grid>" can be created in code using "Set Grid1 = Context.CreateObject("Grid")". This is accomplished by setting the MarkupLabel.MarkupUIElement property to a Markup object created in code.

Set MarkupLabel1.MarkupUIElement = StackPanel

How to use this OCX:

First of all, there is a MarkupLabel control inside the Markup.OCX. You can use this control in place of the normal Label control if you will use markup in the Label. For all other controls, this OCX can be used to added for additional Markup functionality.

1. Add the Markup.OCX control to the toolbox.

2. If using Markup in a Label control, use the MarkupLabel control instead.

3. If using Markup in any other control add the Markup.OCX as a reference to the project.

Class Hierarchy:

Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Markup ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Markup ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Markup ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Markup ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Markup ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IMarkupGlobalSettings Members

See Also Markup ActiveX Control v19.3

IMarkupGlobalSettings Object

Description

Markup Global Settings

For a list of all members defined in this module, see IMarkupGlobalSettings members.

See Also

IMarkupGlobalSettings Members


%%PageItemTitle%% $$Members$$

IMarkupGlobalSettings Overview

See Also Markup ActiveX Control v19.3

IMarkupGlobalSettings Object Members

Public Properties

Public Property License
Public Property OcxPath
Public Property ReCreateReparentedControls
Public Property ResourceFile
Public Property Title
Public Property Unicode
Public Property Version

See Also

IMarkupGlobalSettings Overview


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

License Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

OcxPath Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

ResourceFile Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Title Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Unicode Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IMarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Version Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

IMarkupGlobalSettings Object


%%PageItemTitle%%

IResourceImageList Members

See Also Markup ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Markup ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Markup ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Markup ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Markup ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Markup ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

MarkupBold Members

See Also Markup ActiveX Control v19.3

MarkupBold Object

Description

An inline-level flow content element which causes content to render with a bold font weight.

For a list of all members defined in this module, see MarkupBold members.

Object Model

See Also

MarkupBold Members

Example

MarkupUnderline Object


%%PageItemTitle%% $$Members$$

MarkupBold Overview

See Also Markup ActiveX Control v19.3

MarkupBold Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupBold Overview


%%PageItemTitle%%

MarkupBold Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupBold Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBold Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupBold Object


%%PageItemTitle%%

MarkupBorder Members

See Also Markup ActiveX Control v19.3

MarkupBorder Object

Description

Draws a border, background, or both around another element.

For a list of all members defined in this module, see MarkupBorder members.

Object Model

Remarks

MarkupBorder can have only one child. To display multiple child elements, you need to place an additional MarkupPanel element (StackPanel, DockPanel, Grid, WrapPanel, etc.) within the parent MarkupBorder. You can then place child elements within that MarkupPanel element.

If you want to display a border around your content, you must place the elements within a parent MarkupBorder element.

See Also

MarkupBorder Members


%%PageItemTitle%% $$Members$$

MarkupBorder Overview

See Also Markup ActiveX Control v19.3

MarkupBorder Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that fills the area between the bounds of a MarkupBorder.
Public Property BorderBrush | Gets or sets the MarkupBrush that draws the outer border color.
Public Property BorderThickness | Gets or sets the relative MarkupThickness of a MarkupBorder.
Public Property Child | Gets or sets the single child element for the border.
Public Property ClipToBounds |
Public Property CornerRadius | Gets or sets a value that represents the degree to which the corners of a MarkupBorder are rounded.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets a MarkupThickness value that describes the amount of space between a MarkupBorder and its child element.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupBorder Overview


%%PageItemTitle%%

MarkupBorder Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that fills the area between the bounds of a MarkupBorder.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that draws the background.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a Border.

For example: Border1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Border1.Background.Color

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

BorderBrush Property

Description

Gets or sets the MarkupBrush that draws the outer border color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderBrush() As MarkupBrush

Return Type

The MarkupBrush that draws the outer border color.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the Border.

For example: Border1.BorderBrush = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Border1.BorderBrush.Color

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

BorderThickness Property

Description

Gets or sets the relative MarkupThickness of a MarkupBorder.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderThickness() As MarkupThickness

Return Type

The MarkupThickness that describes the width of the boundaries of the MarkupBorder.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Child Property

Description

Gets or sets the single child element for the border.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Child() As MarkupUIElement

Return Type

Gets the single child element for the border.

Remarks

Must be a single MarkupUIElement.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

CornerRadius Property

Description

Gets or sets a value that represents the degree to which the corners of a MarkupBorder are rounded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CornerRadius() As MarkupThickness

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupBorder Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets a MarkupThickness value that describes the amount of space between a MarkupBorder and its child element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness that describes the amount of space between MarkupBorder and its single child element.

Remarks

Padding can be described as uniform in all directions (Padding="10"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="5,0,10,20").

If a specified padding thickness exceeds the corresponding content area dimension (for example, the sum of the left and right padding widths exceeds the content area width), the thickness of the padding is proportionally reduced to be no greater than the relevant content area dimension.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBorder Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupBorder Object


%%PageItemTitle%%

MarkupBrush Members

See Also Markup ActiveX Control v19.3

MarkupBrush Object

Description

Base class for the MarkupSolidBrush class.

For a list of all members defined in this module, see MarkupBrush members.

See Also

MarkupBrush Members


%%PageItemTitle%% $$Members$$

MarkupBrush Overview

See Also Markup ActiveX Control v19.3

MarkupBrush Object Members

See Also

MarkupBrush Overview


%%PageItemTitle%%

MarkupButton Members

See Also Markup ActiveX Control v19.3

MarkupButton Object

Description

Represents a button (Toggle, Radio, CheckBox, etc) control, which reacts to the MarkupButtonBase.ClickEvent.

For a list of all members defined in this module, see MarkupButton members.

Object Model

Remarks

Handles the MarkupButtonBase.ClickEvent when the user clicks on a button.

See Also

MarkupButton Members


%%PageItemTitle%% $$Members$$

MarkupButton Overview

See Also Markup ActiveX Control v19.3

MarkupButton Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property ClickEvent | Occurs when a Button (Toggle, Radio, CheckBox) is clicked.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property IsPressed | Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupButton Overview


%%PageItemTitle%%

MarkupButton Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when a Button (Toggle, Radio, CheckBox) is clicked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

IsPressed Property

Description

Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsPressed() As Boolean

Return Type

True if the Button is activated; otherwise False. The default is False.

Remarks

IsPressed is the state of a button that indicates the left mouse button or SPACEBAR is pressed over the button. When IsPressed is true, the control captures the mouse. As a result, the control will raise mouse events such as the MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but is does raise the ClickEvent.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupButton Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButton Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButton Object


%%PageItemTitle%%

MarkupButtonBase Members

See Also Markup ActiveX Control v19.3

MarkupButtonBase Object

Description

Represents the base class for all Button (Toggle, Radio, CheckBox) controls.

For a list of all members defined in this module, see MarkupButtonBase members.

Object Model

Remarks

Handle the ClickEvent to respond when the user clicks a MarkupButtonBase. The user can raise the ClickEvent by pressing ENTER or the SPACEBAR when the control has focus. When the user presses the SPACEBAR, the control sets IsPressed property to true and captures the mouse. As a result, the control will raise mouse events such as MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but it does raise the ClickEvent.

See Also

MarkupButtonBase Members


%%PageItemTitle%% $$Members$$

MarkupButtonBase Overview

See Also Markup ActiveX Control v19.3

MarkupButtonBase Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property ClickEvent | Occurs when a Button (Toggle, Radio, CheckBox) is clicked.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property IsPressed | Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupButtonBase Overview


%%PageItemTitle%%

MarkupButtonBase Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when a Button (Toggle, Radio, CheckBox) is clicked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

IsPressed Property

Description

Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsPressed() As Boolean

Return Type

True if the Button is activated; otherwise False. The default is False.

Remarks

IsPressed is the state of a button that indicates the left mouse button or SPACEBAR is pressed over the button. When IsPressed is true, the control captures the mouse. As a result, the control will raise mouse events such as the MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but is does raise the ClickEvent.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupButtonBase Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupButtonBase Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupButtonBase Object


%%PageItemTitle%%

MarkupCanvas Members

See Also Markup ActiveX Control v19.3

MarkupCanvas Object

Description

Defines an area within which you can explicitly position child elements by using coordinates that are relative to the MarkupCanvas area.

For a list of all members defined in this module, see MarkupCanvas members.

Object Model

Remarks

MarkupCanvas is the only panel element that has no inherent layout characteristics. A MarkupCanvas has default Height and Width properties of zero, unless it is the child of an element that automatically sizes its child elements. Child elements of a MarkupCanvas are never resized, they are just positioned at their designated coordinates. This provides flexibility for situations in which inherent sizing constraints or alignment are not needed or wanted. For cases in which you want child content to be automatically resized and aligned, it is usually best to use a MarkupGrid element.

See Also

MarkupCanvas Members


%%PageItemTitle%% $$Members$$

MarkupCanvas Overview

See Also Markup ActiveX Control v19.3

MarkupCanvas Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBottom | Returns the value of the Bottom attached property for a given object.
Public Method GetBoundingRect |
Public Method GetLeft | Returns the value of the Left attached property for a given object.
Public Method GetRight | Returns the value of the Right attached property for a given object.
Public Method GetTop | Returns the value of the Top attached property for a given object.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.
Public Method SetBottom | Sets the value of the Bottom attached property for a given object.
Public Method SetLeft | Sets the value of the Left attached property for a given object.
Public Method SetRight | Sets the value of the Right attached property for a given object.
Public Method SetTop | Sets the value of the Top attached property for a given object.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupCanvas Overview


%%PageItemTitle%%

MarkupCanvas Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element from which the property value is read.
See Also Markup ActiveX Control v19.3

GetBottom Method

Description

Returns the value of the Bottom attached property for a given object.

Syntax

Public Function GetBottom( _
   ByVal Element As MarkupUIElement _
) As Integer

Parameters

Element
The element from which the property value is read.

Return Type

The bottom coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element from which the property value is read.
See Also Markup ActiveX Control v19.3

GetLeft Method

Description

Returns the value of the Left attached property for a given object.

Syntax

Public Function GetLeft( _
   ByVal Element As MarkupUIElement _
) As Integer

Parameters

Element
The element from which the property value is read.

Return Type

The Left coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element from which the property value is read.
See Also Markup ActiveX Control v19.3

GetRight Method

Description

Returns the value of the Right attached property for a given object.

Syntax

Public Function GetRight( _
   ByVal Element As MarkupUIElement _
) As Integer

Parameters

Element
The element from which the property value is read.

Return Type

The Right coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element from which the property value is read.
See Also Markup ActiveX Control v19.3

GetTop Method

Description

Returns the value of the Top attached property for a given object.

Syntax

Public Function GetTop( _
   ByVal Element As MarkupUIElement _
) As Integer

Parameters

Element
The element from which the property value is read.

Return Type

The Top coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element to which the property value is written.
Bottom
Sets the Bottom coordinate of the specified element.
See Also Markup ActiveX Control v19.3

SetBottom Method

Description

Sets the value of the Bottom attached property for a given object.

Syntax

Public Sub SetBottom( _
   ByVal Element As MarkupUIElement, _
   ByVal Bottom As Long _
)

Parameters

Element
The element to which the property value is written.
Bottom
Sets the Bottom coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element to which the property value is written.
Left
Sets the Left coordinate of the specified element.
See Also Markup ActiveX Control v19.3

SetLeft Method

Description

Sets the value of the Left attached property for a given object.

Syntax

Public Sub SetLeft( _
   ByVal Element As MarkupUIElement, _
   ByVal Left As Long _
)

Parameters

Element
The element to which the property value is written.
Left
Sets the Left coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element to which the property value is written.
Right
Sets the Right coordinate of the specified element.
See Also Markup ActiveX Control v19.3

SetRight Method

Description

Sets the value of the Right attached property for a given object.

Syntax

Public Sub SetRight( _
   ByVal Element As MarkupUIElement, _
   ByVal Right As Long _
)

Parameters

Element
The element to which the property value is written.
Right
Sets the Right coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

Element
The element to which the property value is written.
Top
Sets the Top coordinate of the specified element.
See Also Markup ActiveX Control v19.3

SetTop Method

Description

Sets the value of the Top attached property for a given object.

Syntax

Public Sub SetTop( _
   ByVal Element As MarkupUIElement, _
   ByVal Top As Long _
)

Parameters

Element
The element to which the property value is written.
Top
Sets the Top coordinate of the specified element.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupCanvas Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupCanvas Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCanvas Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCanvas Object


%%PageItemTitle%%

MarkupCheckBox Members

See Also Markup ActiveX Control v19.3

MarkupCheckBox Object

Description

Represents a control that a user can select and clear.

For a list of all members defined in this module, see MarkupCheckBox members.

Object Model

Remarks

The MarkupCheckBox inherits from the MarkupToggleButton and can have three states - checked, unchecked, and indeterminate.

See Also

MarkupCheckBox Members


%%PageItemTitle%% $$Members$$

MarkupCheckBox Overview

See Also Markup ActiveX Control v19.3

MarkupCheckBox Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property CheckedEvent | Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property ClickEvent | Occurs when a Button (Toggle, Radio, CheckBox) is clicked.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IndeteminateEvent | Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.
Public Property IsChecked | Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property IsPressed | Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.
Public Property IsThreeState | Determines whether the control supports two or three states.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property UncheckedEvent | Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupCheckBox Overview


%%PageItemTitle%%

MarkupCheckBox Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

CheckedEvent Property

Description

Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CheckedEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when a Button (Toggle, Radio, CheckBox) is clicked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IndeteminateEvent Property

Description

Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IndeteminateEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IsChecked Property

Description

Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsChecked() As Long

Return Type

True if the MarkupToggleButton (CheckBox, RadioButton) is checked. False if the MarkupToggleButton is unchecked.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IsPressed Property

Description

Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsPressed() As Boolean

Return Type

True if the Button is activated; otherwise False. The default is False.

Remarks

IsPressed is the state of a button that indicates the left mouse button or SPACEBAR is pressed over the button. When IsPressed is true, the control captures the mouse. As a result, the control will raise mouse events such as the MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but is does raise the ClickEvent.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

IsThreeState Property

Description

Determines whether the control supports two or three states.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsThreeState() As Boolean

Return Type

True if the control supports three states. False otherwise.

Remarks

The IsChecked property can be set to a null reference (Nothing in Visual Basic) as a third state when IsThreeState is true.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

UncheckedEvent Property

Description

Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property UncheckedEvent() As MarkupRoutedEvent

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupCheckBox Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupCheckBox Object


%%PageItemTitle%%

MarkupColumnDefinition Members

See Also Markup ActiveX Control v19.3

MarkupColumnDefinition Object

Description

Defines column-specific properties that apply to MarkupGrid elements.

For a list of all members defined in this module, see MarkupColumnDefinition members.

See Also

MarkupColumnDefinition Members


%%PageItemTitle%% $$Members$$

MarkupColumnDefinition Overview

See Also Markup ActiveX Control v19.3

MarkupColumnDefinition Object Members

Public Properties

Public Property MaxWidth | Gets or sets a value that represents the maximum width of a MarkupColumnDefinition.
Public Property MinWidth | Gets or sets a value that represents the minimum width of a MarkupColumnDefinition.
Public Property UnitType |
Public Property Width | Gets the calculated width of a MarkupColumnDefinition element, or sets the value of a column that is defined by the MarkupColumnDefinition .

See Also

MarkupColumnDefinition Overview


%%PageItemTitle%%

MarkupColumnDefinition Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets a value that represents the maximum width of a MarkupColumnDefinition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

Maximum width of the column.

See Also

MarkupColumnDefinition Object


%%PageItemTitle%%

MarkupColumnDefinition Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets a value that represents the minimum width of a MarkupColumnDefinition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

Minimum width of the column. The default value is 0.

See Also

MarkupColumnDefinition Object


%%PageItemTitle%%

MarkupColumnDefinition Object

See Also Markup ActiveX Control v19.3

UnitType Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UnitType() As MarkupGridUnitType

See Also

MarkupColumnDefinition Object


%%PageItemTitle%%

MarkupColumnDefinition Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets the calculated width of a MarkupColumnDefinition element, or sets the value of a column that is defined by the MarkupColumnDefinition .

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

Width of the column, default is 1.

See Also

MarkupColumnDefinition Object


%%PageItemTitle%%

MarkupContentControl Members

See Also Markup ActiveX Control v19.3

MarkupContentControl Object

Description

Represents a control with a single piece of content.

For a list of all members defined in this module, see MarkupContentControl members.

Object Model

See Also

MarkupContentControl Members


%%PageItemTitle%% $$Members$$

MarkupContentControl Overview

See Also Markup ActiveX Control v19.3

MarkupContentControl Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse |
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture |

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent |
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupContentControl Overview


%%PageItemTitle%%

MarkupContentControl Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Syntax

Public Sub CaptureMouse()

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupContentControl Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContentControl Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupContentControl Object


%%PageItemTitle%%

MarkupContext Members | CreateObject Method | CreateSolidBrush Method | CreateThickness Method | Parse Method | SetHandler Method | SetMethod Method

See Also Markup ActiveX Control v19.3

MarkupContext Object

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event from code (VB, C#, etc.). It is contains methods to create Markup Objects in code.

For a list of all members defined in this module, see MarkupContext members.

Object Model

Remarks

MarkupContext is used for 2 main purposes (works with controls that have a MarkupContext property, i.e. CheckBox, Button, RadioButton, Label or MarkupLabel):

1. Used to connect method calls in XML Markup with actual methods, functions and events in your code (VB, C#, etc.) when using a CheckBox, Button, RadioButton, Label or MarkupLabel control.

2. Contains methods to create Markup Objects in code (Parse, CreateObject, CreateSolidBrush and CreateThickness) which can only be used with the MarkupLabel control. When using the MarkupLabel control it allows Markup to be created in code without needing to parse a long markup string. For example, the Markup string "<Grid>...</Grid>" can be created in code using "Set Grid1 = Context.CreateObject("Grid")". This is accomplished by setting the MarkupLabel.MarkupUIElement property to a Markup object created in code.

Set MarkupLabel1.MarkupUIElement = StackPanel

Connecting XML events to your code can be very useful if using the MarkupLabel control to create a full page application using XML. For example clicking on hyper links and buttons, mouse overs, etc.

Any XML Markup that is in the CheckBox, Button, RadioButton, Label or MarkupLabel control's Caption property will be translated to viewable text. To enable event handling call SetHandler. With SetHandler you only need to specify the Handler of the control and all functions names will be calculated from Markup.

In the sample below the "HyperClick" and "Hyperlink_MouseRightButtonUpEvent" subroutines are used to handle the Click and MouseRightButtonUp events of the hyperlink.

Note: SetMethod is now obsolete. Use SetHandler instead.

Example

[Catching the Click and RightMouseUp event in Markup for a Hyperlink (Visual Basic)] Shows how to catching the Click and RightMouseUp event in Markup for a Hyperlink. In this case the text is in the Caption of a MarkupLabel control.

    Public Sub HyperClick(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " was clicked"
    End Sub

    Public Sub Hyperlink_MouseRightButtonUpEvent(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " has been right clicked"
    End Sub

    MarkupLabel2.MarkupContext.SetHandler Me
    MarkupLabel2.Caption = "<TextBlock>Text with <Hyperlink Tag='Link1' Click='HyperClick' MouseRightButtonUp='Hyperlink_MouseRightButtonUpEvent'>Hyperlink</Hyperlink></TextBlock>"

See Also

MarkupContext Members | CreateObject Method | CreateSolidBrush Method | CreateThickness Method | Parse Method | SetHandler Method | SetMethod Method


%%PageItemTitle%% $$Members$$

MarkupContext Overview | CreateObject Method | CreateSolidBrush Method | CreateThickness Method | Parse Method | SetHandler Method | SetMethod Method

See Also Markup ActiveX Control v19.3

MarkupContext Object Members

Public Methods

Public Method CreateObject | Used to create a XAML Markup object (MarkupObject) when writing Markup in code.
Public Method CreateSolidBrush | Used to create a brush object (MarkupSolidColorBrush) when writing Markup in code.
Public Method CreateThickness | Used to create a MarkupThickness object when writing Markup in code.
Public Method FreezeUpdates |
Public Method Parse | Converts Markup from a String to Markup objects.
Public Method SetHandler | Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.
Public Method SetMethod | (Obsolete) Links a XAML event with a Subroutine or Function in code.
Public Method UnfreezeUpdates |
Public Method ValidateXML |

Public Properties

Public Property DefaultSmoothingMode |
Public Property DefaultTextSmoothingEnabled |
Public Property DpiAware |
Public Property EnableGdiPlus | Enables/disables GDI+ usage for Markup drawing.
Public Property Icons |
Public Property ToolTipContext |

See Also

MarkupContext Overview | CreateObject Method | CreateSolidBrush Method | CreateThickness Method | Parse Method | SetHandler Method | SetMethod Method


%%PageItemTitle%%

MarkupContext Object

Class
Name of the class to create (StackPanel, Border, WrapPanel, etc)
See Also Markup ActiveX Control v19.3

CreateObject Method

Description

Used to create a XAML Markup object (MarkupObject) when writing Markup in code.

Syntax

Public Function CreateObject( _
   ByVal Class As String _
) As MarkupObject

Parameters

Class
Name of the class to create (StackPanel, Border, WrapPanel, etc)

Example

[CreateObject Sample (Visual Basic)]

    Set myBorder = Context.CreateObject("Border")
    myBorder.BorderBrush = Context.CreateSolidBrush(vbYellow)
    myBorder.Width = 400
    myBorder.Height = 400

    Set myThickness = Context.CreateObject("Thickness")
    myThickness.Bottom = 5
    myThickness.Left = 10
    myThickness.Right = 15
    myThickness.Top = 20

    myBorder.BorderThickness = myThickness

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Color
Color of brush to create.
See Also Markup ActiveX Control v19.3

CreateSolidBrush Method

Description

Used to create a brush object (MarkupSolidColorBrush) when writing Markup in code.

Syntax

Public Function CreateSolidBrush( _
   ByVal Color As Long _
) As MarkupSolidColorBrush

Parameters

Color
Color of brush to create.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Left
A Long that represents the width, in pixels, of the left side of the bounding rectangle.
Top
A Long that represents the width, in pixels, of the upper side of the bounding rectangle for this instance of Thickness.
Right
A Long that represents the width, in pixels, of the right side of the bounding rectangle.
Bottom
A Long that represents the width, in pixels, of the lower side of the bounding rectangle.
See Also Markup ActiveX Control v19.3

CreateThickness Method

Description

Used to create a MarkupThickness object when writing Markup in code.

Syntax

Public Function CreateThickness( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
) As MarkupThickness

Parameters

Left
A Long that represents the width, in pixels, of the left side of the bounding rectangle.
Top
A Long that represents the width, in pixels, of the upper side of the bounding rectangle for this instance of Thickness.
Right
A Long that represents the width, in pixels, of the right side of the bounding rectangle.
Bottom
A Long that represents the width, in pixels, of the lower side of the bounding rectangle.

Remarks

Creates an object that describes the thickness of a frame around a rectangle. Four values describe the Left, Top, Right, and Bottom sides of the rectangle, respectively.

See Also

MarkupContext Object

Example

MarkupThickness Sample


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
Markup string to parse.
See Also Markup ActiveX Control v19.3

Parse Method

Description

Converts Markup from a String to Markup objects.

Syntax

Public Function Parse( _
   ByVal Text As String _
) As MarkupUIElement

Parameters

Text
Markup string to parse.

Remarks

Parse will always return a single top level Markup object. The object has to be a UIElement object (not collection). After the parse you can change the or child elements in code.

Note that "<Run>Text</Run>" will fail because Run is not a UIElement and "<TextBlock Text="1"/><TextBlock Text="2"/>" will also fail because there are 2 top level elements and only 1 top level element is allowed.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
See Also Markup ActiveX Control v19.3

SetHandler Method

Description

Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.

Syntax

Public Sub SetHandler( _
   ByVal Handler As Object _
)

Parameters

Handler
Reference to the parent object.

Remarks

SetHandler enables event handling for a XAML object. This will link XAML events with a Subroutine or Function in code (VB, C#, etc).

Any XML Markup that is in the CheckBox, Button, RadioButton, Label or MarkupLabel control's Caption property will be translated to viewable text. To enable event handling for a XAAML object in one of the controls mentioned above call SetHandler. With SetHandler you only need to specify the Handler of the control and all functions names will be calculated from Markup.

In the sample below the "HyperClick" and "Hyperlink_MouseRightButtonUpEvent" subroutines are used to handle the Click and MouseRightButtonUp events of the hyperlink.

Connecting XML events to your code can be very useful if using the MarkupLabel control to create a full page application using XML. For example clicking on hyper links and buttons, mouse overs, etc.

See Also

MarkupContext Object

Example

SetHandler Sample


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.
See Also Markup ActiveX Control v19.3

SetMethod Method

Description

(Obsolete) Links a XAML event with a Subroutine or Function in code.

Syntax

Public Sub SetMethod( _
   ByVal Handler As Object, _
   ByVal Method As String _
)

Parameters

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.

Remarks

Note: SetMethod is now obsolete. Use SetHandler instead.

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

SetMethod must be called for each event. To avoid this, use SetHandler to handle all events.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

Example

[SetMethod Sample ()]

    Public Sub Hyperlink_Click(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        MsgBox "Clicked"
    End Sub

    Private Sub Form_Load()
        Label1.EnableMarkup = True
        Label1.MarkupContext.SetMethod Me, "Hyperlink_Click"
        Label1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
    End Sub

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

UnfreezeUpdates Method

Syntax

Public Sub UnfreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
See Also Markup ActiveX Control v19.3

ValidateXML Method

Syntax

Public Function ValidateXML( _
   ByVal Text As String _
) As String

Parameters

Text

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

DefaultSmoothingMode Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultSmoothingMode() As XTPMarkupSmoothingMode

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

DefaultTextSmoothingEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTextSmoothingEnabled() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

DpiAware Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DpiAware() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

EnableGdiPlus Property

Description

Enables/disables GDI+ usage for Markup drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableGdiPlus() As Boolean

Remarks

True to enable; False to disable GDI+.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

Icons Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Markup ActiveX Control v19.3

ToolTipContext Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupControl Members

See Also Markup ActiveX Control v19.3

MarkupControl Object

Description

Represents the base class for user interface (UI) elements such as buttons.

For a list of all members defined in this module, see MarkupControl members.

Object Model

Remarks

The MarkupControl class is the base class for many of the controls you can add. The MarkupControl class defines very little behavior. You can add a MarkupControl to your application, but it is far more common to add a control that inherits from MarkupControl, such as a MarkupButton or MarkupCheckBox.

See Also

MarkupControl Members


%%PageItemTitle%% $$Members$$

MarkupControl Overview

See Also Markup ActiveX Control v19.3

MarkupControl Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupControl Overview


%%PageItemTitle%%

MarkupControl Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupControl Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupControl Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupControl Object


%%PageItemTitle%%

MarkupDefinitionBase Members

See Also Markup ActiveX Control v19.3

MarkupDefinitionBase Object

Description

Defines the functionality required to support a shared-size group that is used by the MarkupColumnDefinitionCollection and MarkupRowDefinitionCollection classes.

For a list of all members defined in this module, see MarkupDefinitionBase members.

See Also

MarkupDefinitionBase Members


%%PageItemTitle%% $$Members$$

MarkupDefinitionBase Overview

See Also Markup ActiveX Control v19.3

MarkupDefinitionBase Object Members

See Also

MarkupDefinitionBase Overview


%%PageItemTitle%%

MarkupDefinitionCollection Members

See Also Markup ActiveX Control v19.3

MarkupDefinitionCollection Collection

Description

Provides access to a collection of MarkupColumnDefinition or MarkupRowDefinition objects.

For a list of all members defined in this module, see MarkupDefinitionCollection members.

Object Model

See Also

MarkupDefinitionCollection Members


%%PageItemTitle%% $$Members$$

MarkupDefinitionCollection Overview

See Also Markup ActiveX Control v19.3

MarkupDefinitionCollection Collection Members

Public Methods

Public Method Add | Adds a MarkupColumnDefinition or MarkupRowDefinition element to the ColumnDefinitions or RowDefinitions collections.
Public Method Clear | Clears the content of the ColumnDefinitions or RowDefinitions collections.
Public Method Insert | Inserts a MarkupColumnDefinition or MarkupRowDefinition element at the specified index position within a ColumnDefinitions or RowDefinitions collection.
Public Method RemoveAt | Removes a MarkupColumnDefinition or MarkupRowDefinition element from a ColumnDefinitions or RowDefinitions collection at the specified index position.

Public Properties

Public Property Count | Gets the total number of items within this instance of a ColumnDefinitions or RowDefinitions collection.
Public Property Item | Gets a value that indicates the current item within a ColumnDefinitions or RowDefinitions collection.

See Also

MarkupDefinitionCollection Overview


%%PageItemTitle%%

MarkupDefinitionCollection Collection

Item
Identifies the MarkupColumnDefinition or MarkupRowDefinition to add to the collection.
See Also Markup ActiveX Control v19.3

Add Method

Description

Adds a MarkupColumnDefinition or MarkupRowDefinition element to the ColumnDefinitions or RowDefinitions collections.

Syntax

Public Sub Add( _
   ByVal Item As MarkupDefinitionBase _
)

Parameters

Item
Identifies the MarkupColumnDefinition or MarkupRowDefinition to add to the collection.

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDefinitionCollection Collection

See Also Markup ActiveX Control v19.3

Clear Method

Description

Clears the content of the ColumnDefinitions or RowDefinitions collections.

Syntax

Public Sub Clear()

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDefinitionCollection Collection

Index
The position within the collection where the item is inserted.
Item
The MarkupColumnDefinition or MarkupRowDefinition to insert.
See Also Markup ActiveX Control v19.3

Insert Method

Description

Inserts a MarkupColumnDefinition or MarkupRowDefinition element at the specified index position within a ColumnDefinitions or RowDefinitions collection.

Syntax

Public Sub Insert( _
   ByVal Index As Long, _
   ByVal Item As MarkupDefinitionBase _
)

Parameters

Index
The position within the collection where the item is inserted.
Item
The MarkupColumnDefinition or MarkupRowDefinition to insert.

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDefinitionCollection Collection

Index
The position within the collection at which the MarkupColumnDefinition or MarkupRowDefinition is removed.
See Also Markup ActiveX Control v19.3

RemoveAt Method

Description

Removes a MarkupColumnDefinition or MarkupRowDefinition element from a ColumnDefinitions or RowDefinitions collection at the specified index position.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
The position within the collection at which the MarkupColumnDefinition or MarkupRowDefinition is removed.

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDefinitionCollection Collection

See Also Markup ActiveX Control v19.3

Count Property

Description

Gets the total number of items within this instance of a ColumnDefinitions or RowDefinitions collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

The total number of items in the collection. This property has no default value.

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDefinitionCollection Collection

Index
The position of the current item in the collection.
See Also Markup ActiveX Control v19.3

Item Property

Description

Gets a value that indicates the current item within a ColumnDefinitions or RowDefinitions collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As MarkupDefinitionBase

Parameters

Index
The position of the current item in the collection.

Return Type

The element at the specified index.

See Also

MarkupDefinitionCollection Collection


%%PageItemTitle%%

MarkupDockPanel Members

See Also Markup ActiveX Control v19.3

MarkupDockPanel Object

Description

Defines an area where you can arrange child elements either horizontally or vertically, relative to each other.

For a list of all members defined in this module, see MarkupDockPanel members.

Object Model

Remarks

The MarkupDockPanel element is used to position child content along the edge of a layout container.

The SetDock method changes the position of an element relative to other elements within the same container. Alignment properties, such as HorizontalAlignment, change the position of an element relative to its parent element.

If you set the LastChildFill property to true, the last child element of a MarkupDockPanel always fills the remaining space, regardless of any other dock value that you set on the last child element. To dock a child element in another direction, you must set the LastChildFill property to false and must also specify an explicit dock direction for the last child element.

See Also

MarkupDockPanel Members


%%PageItemTitle%% $$Members$$

MarkupDockPanel Overview

See Also Markup ActiveX Control v19.3

MarkupDockPanel Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method GetDock | Gets the MarkupDock property for a specified MarkupUIElement.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.
Public Method SetDock | Sets the MarkupDock property for a specified MarkupUIElement.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LastChildFill | Gets or sets a value that indicates whether the last child element within a MarkupDockPanel stretches to fill the remaining available space.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupDockPanel Overview


%%PageItemTitle%%

MarkupDockPanel Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

Element
The element from which the property value is read.
See Also Markup ActiveX Control v19.3

GetDock Method

Description

Gets the MarkupDock property for a specified MarkupUIElement.

Syntax

Public Function GetDock( _
   ByVal Element As MarkupUIElement _
) As MarkupDock

Parameters

Element
The element from which the property value is read.

Return Type

The MarkupDock property value for the element.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

Element
The element to which the attached property is written.
Dock
The needed MarkupDock value.
See Also Markup ActiveX Control v19.3

SetDock Method

Description

Sets the MarkupDock property for a specified MarkupUIElement.

Syntax

Public Sub SetDock( _
   ByVal Element As MarkupUIElement, _
   ByVal Dock As MarkupDock _
)

Parameters

Element
The element to which the attached property is written.
Dock
Value | Description
xtpMarkupDockLeft | A child element that is positioned on the left side of the MarkupDockPanel
xtpMarkupDockTop | A child element that is positioned at the top of the MarkupDockPanel
xtpMarkupDockRight | A child element that is positioned on the right side of the MarkupDockPanel
xtpMarkupDockBottom | A child element that is positioned at the bottom of the MarkupDockPanel
The needed MarkupDock value.

Remarks

The SetDock method changes the position of a child element relative to other child elements within the same container. Alignment properties, such as HorizontalAlignment, change the position of a child element relative to its parent element.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupDockPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

LastChildFill Property

Description

Gets or sets a value that indicates whether the last child element within a MarkupDockPanel stretches to fill the remaining available space.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LastChildFill() As Boolean

Return Type

True if the last child element stretches to fill the remaining space, False otherwise.

Remarks

If you set the LastChildFill property to true, the last child element of a MarkupDockPanel always fills the remaining space, regardless of any other dock value that you set on the last child element. To dock a child element in another direction, you must set the LastChildFill property to false and must also specify an explicit dock direction for the last child element.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupDockPanel Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDockPanel Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupDockPanel Object


%%PageItemTitle%%

MarkupDoubleCollection Members

See Also Markup ActiveX Control v19.3

MarkupDoubleCollection Object

For a list of all members defined in this module, see MarkupDoubleCollection members.

See Also

MarkupDoubleCollection Members


%%PageItemTitle%% $$Members$$

MarkupDoubleCollection Overview

See Also Markup ActiveX Control v19.3

MarkupDoubleCollection Object Members

Public Methods

Public Method Add | Adds a new command bar control to the collection.
Public Method Clear | Deletes all of the command bar controls from the collection
Public Method RemoveAt |

Public Properties

Public Property Count | Gets the number of controls in the collection.
Public Property Item | Gets an item from the collection by its index.

See Also

MarkupDoubleCollection Overview


%%PageItemTitle%%

MarkupDoubleCollection Object

Value
See Also Markup ActiveX Control v19.3

Add Method

Description

Adds a new command bar control to the collection.

Syntax

Public Sub Add( _
   ByVal Value As Double _
)

Parameters

Value

See Also

MarkupDoubleCollection Object


%%PageItemTitle%%

MarkupDoubleCollection Object

See Also Markup ActiveX Control v19.3

Clear Method

Description

Deletes all of the command bar controls from the collection

Syntax

Public Sub Clear()

See Also

MarkupDoubleCollection Object


%%PageItemTitle%%

MarkupDoubleCollection Object

Index
See Also Markup ActiveX Control v19.3

RemoveAt Method

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index

See Also

MarkupDoubleCollection Object


%%PageItemTitle%%

MarkupDoubleCollection Object

See Also Markup ActiveX Control v19.3

Count Property

Description

Gets the number of controls in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

MarkupDoubleCollection Object


%%PageItemTitle%%

MarkupDoubleCollection Object

Index
See Also Markup ActiveX Control v19.3

Item Property

Description

Gets an item from the collection by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As Double

Parameters

Index

See Also

MarkupDoubleCollection Object


%%PageItemTitle%%

MarkupEllipse Members

See Also Markup ActiveX Control v19.3

MarkupEllipse Object

Description

Draws an ellipse.

For a list of all members defined in this module, see MarkupEllipse members.

Object Model

Example

[XAML Ellipse Sample ()] Creates an orange ellipse filled with a gradient.

    <Ellipse Width="62" Height="62" Canvas.Left="4" Canvas.Top="4.84186" Stretch="Fill" StrokeThickness="2" Stroke="#FD8A21">
        <Ellipse.Fill>
            <LinearGradientBrush StartPoint="0.495708,-0.00239868" EndPoint="0.495708,1.025">
                <LinearGradientBrush.GradientStops>
                    <GradientStop Color="#F16600" Offset="0"/>
                    <GradientStop Color="#FF7800" Offset="0.429224"/>
                    <GradientStop Color="#FDE9D3" Offset="1"/>
                </LinearGradientBrush.GradientStops>
            </LinearGradientBrush>
        </Ellipse.Fill>
    </Ellipse>

See Also

MarkupEllipse Members


%%PageItemTitle%% $$Members$$

MarkupEllipse Overview

See Also Markup ActiveX Control v19.3

MarkupEllipse Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupEllipse Overview


%%PageItemTitle%%

MarkupEllipse Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupEllipse Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupEllipse Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupEllipse Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupEllipse Object


%%PageItemTitle%%

MarkupFrameworkElement Members

See Also Markup ActiveX Control v19.3

MarkupFrameworkElement Object

Description

Base class for all the "controls" for example, StackPamel, Grid, etc.

For a list of all members defined in this module, see MarkupFrameworkElement members.

Object Model

Remarks

You would never create this class, however, you can cast a Button to the FrameworkElement class if you need only the methods/properties of the FrameworkElement only.

See Also

MarkupFrameworkElement Members


%%PageItemTitle%% $$Members$$

MarkupFrameworkElement Overview

See Also Markup ActiveX Control v19.3

MarkupFrameworkElement Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupFrameworkElement Overview


%%PageItemTitle%%

MarkupFrameworkElement Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

Name
The name of the requested element.
See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name
The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupFrameworkElement Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupFrameworkElement Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupFrameworkElement Object


%%PageItemTitle%%

MarkupGlobalSettings Members

See Also Markup ActiveX Control v19.3

MarkupGlobalSettings Object

Description

Markup Global Settings

For a list of all members defined in this module, see MarkupGlobalSettings members.

See Also

MarkupGlobalSettings Members


%%PageItemTitle%% $$Members$$

MarkupGlobalSettings Overview

See Also Markup ActiveX Control v19.3

MarkupGlobalSettings Object Members

Public Properties

Public Property License
Public Property OcxPath
Public Property ReCreateReparentedControls
Public Property ResourceFile
Public Property Title
Public Property Unicode
Public Property Version

See Also

MarkupGlobalSettings Overview


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

License Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

OcxPath Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

ResourceFile Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Title Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Unicode Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGlobalSettings Object

See Also Markup ActiveX Control v19.3

Version Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

MarkupGlobalSettings Object


%%PageItemTitle%%

MarkupGrid Members

See Also Markup ActiveX Control v19.3

MarkupGrid Object

Description

Grid Control

For a list of all members defined in this module, see MarkupGrid members.

Object Model

Remarks

Displaying elements in a table format using columns and rows is done with the Grid Control.

Unlike a Table, the Grid is used strictly for layout purposes. The Grid is useful in that you can arrange controls in columns and rows and have them lined up vertically and horizontally. This is nice if items are not all the same size, the columns and rows will still remain uniform.

The Grid is probably one of the more complex controls you will use. To use a Grid you must specify how many row and columns are needed, and how each row and column should be sized. Optionally, you can set the width and height of the grid.

Example

[Grid Sample ()] Below is a very simple sample of how to use a Grid panel to create a 3x3 cube.

<Page xmlns='http://schemas.microsoft.com/winfx/2006/xaml/presentation'
      xmlns:x='http://schemas.microsoft.com/winfx/2006/xaml' >

    <Grid VerticalAlignment="Stretch" HorizontalAlignment="Stretch">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="33*"/>
            <ColumnDefinition Width="33*"/>
            <ColumnDefinition Width="33*"/>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition MinHeight="50"/>
            <RowDefinition MinHeight="50"/>
            <RowDefinition MinHeight="50"/>
        </Grid.RowDefinitions>

        <Border Background="Red"  Grid.Column = "0" />
        <Border Background="Blue" Grid.Column = "1" />
        <Border Background="Green" Grid.Row = "0" Grid.Column = "2" />
        <Border Background="Yellow" Grid.Row = "1" Grid.Column = "0" />
        <Border Background="White" Grid.Row = "1" Grid.Column = "1" />
        <Border Background="Orange" Grid.Row = "1" Grid.Column = "2" />
        <Border Background="Cyan" Grid.Row = "2" Grid.Column = "0" />
        <Border Background="Gray" Grid.Row = "2" Grid.Column = "1" />
        <Border Background="LightGreen" Grid.Row = "2" Grid.Column = "2" />
    </Grid>
</Page>

See Also

MarkupGrid Members


%%PageItemTitle%% $$Members$$

MarkupGrid Overview

See Also Markup ActiveX Control v19.3

MarkupGrid Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method GetColumn | Gets the value of the column (column index) of the given element (Indicates which column the specified child element appears in).
Public Method GetColumnSpan | Gets a value that indicates the total number of columns that the specified child content spans within a MarkupGrid.
Public Method GetRow | Gets the value of the row (row index) of the given element (Indicates which row the specified child element appears in).
Public Method GetRowSpan | Gets a value that indicates the total number of rows that the specified child content spans within a MarkupGrid.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.
Public Method SetColumn | Sets the value of the column (column index) that the given element should appear in.
Public Method SetColumnSpan | Sets a value that indicates the total number of columns that the specified child content spans within a MarkupGrid.
Public Method SetRow | Sets the value of the row (row index) that the given element should appear in.
Public Method SetRowSpan | Sets a value that indicates the total number of rows that the specified child content spans within a MarkupGrid.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this MarkupGrid.
Public Property ClipToBounds |
Public Property ColumnDefinitions | Gets a MarkupDefinitionCollection defined on this instance of MarkupGrid. Used to add columns to the grid.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property RowDefinitions | Gets a MarkupDefinitionCollection defined on this instance of MarkupGrid. Used to add rows to the grid.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupGrid Overview


%%PageItemTitle%%

MarkupGrid Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element from which to determine the column the elements appears in.
See Also Markup ActiveX Control v19.3

GetColumn Method

Description

Gets the value of the column (column index) of the given element (Indicates which column the specified child element appears in).

Syntax

Public Function GetColumn( _
   ByVal Element As MarkupUIElement _
) As Long

Parameters

Element
The element from which to determine the column the elements appears in.

Return Type

Column index of the column the item appears in.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element from which to determine the number of columns the elements spans in the grid.
See Also Markup ActiveX Control v19.3

GetColumnSpan Method

Description

Gets a value that indicates the total number of columns that the specified child content spans within a MarkupGrid.

Syntax

Public Function GetColumnSpan( _
   ByVal Element As MarkupUIElement _
) As Long

Parameters

Element
The element from which to determine the number of columns the elements spans in the grid.

Return Type

The number of columns that child content should span. The default value is 1.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element from which to determine the Row the elements appears in.
See Also Markup ActiveX Control v19.3

GetRow Method

Description

Gets the value of the row (row index) of the given element (Indicates which row the specified child element appears in).

Syntax

Public Function GetRow( _
   ByVal Element As MarkupUIElement _
) As Long

Parameters

Element
The element from which to determine the Row the elements appears in.

Return Type

Row index of the column the item appears in.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element from which to determine the number of rows the elements spans in the grid.
See Also Markup ActiveX Control v19.3

GetRowSpan Method

Description

Gets a value that indicates the total number of rows that the specified child content spans within a MarkupGrid.

Syntax

Public Function GetRowSpan( _
   ByVal Element As MarkupUIElement _
) As Long

Parameters

Element
The element from which to determine the number of rows the elements spans in the grid.

Return Type

The number of rows that child content should span. The default value is 1.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element that should appear in the specified column.
Column
Index of the column the specified element should appear in.
See Also Markup ActiveX Control v19.3

SetColumn Method

Description

Sets the value of the column (column index) that the given element should appear in.

Syntax

Public Sub SetColumn( _
   ByVal Element As MarkupUIElement, _
   ByVal Column As Long _
)

Parameters

Element
The element that should appear in the specified column.
Column
Index of the column the specified element should appear in.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element that should appear spanned across the total number of columns specified.
ColumnSpan
Number of columns that child content should span. The default value is 1.
See Also Markup ActiveX Control v19.3

SetColumnSpan Method

Description

Sets a value that indicates the total number of columns that the specified child content spans within a MarkupGrid.

Syntax

Public Sub SetColumnSpan( _
   ByVal Element As MarkupUIElement, _
   ByVal ColumnSpan As Long _
)

Parameters

Element
The element that should appear spanned across the total number of columns specified.
ColumnSpan
Number of columns that child content should span. The default value is 1.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element that should appear in the specified row.
Row
Index of the row the specified element should appear in.
See Also Markup ActiveX Control v19.3

SetRow Method

Description

Sets the value of the row (row index) that the given element should appear in.

Syntax

Public Sub SetRow( _
   ByVal Element As MarkupUIElement, _
   ByVal Row As Long _
)

Parameters

Element
The element that should appear in the specified row.
Row
Index of the row the specified element should appear in.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

Element
The element that should appear spanned across the total number of rows specified.
RowSpan
Number of rows that child content should span. The default value is 1.
See Also Markup ActiveX Control v19.3

SetRowSpan Method

Description

Sets a value that indicates the total number of rows that the specified child content spans within a MarkupGrid.

Syntax

Public Sub SetRowSpan( _
   ByVal Element As MarkupUIElement, _
   ByVal RowSpan As Long _
)

Parameters

Element
The element that should appear spanned across the total number of rows specified.
RowSpan
Number of rows that child content should span. The default value is 1.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupGrid Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this MarkupGrid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ColumnDefinitions Property

Description

Gets a MarkupDefinitionCollection defined on this instance of MarkupGrid. Used to add columns to the grid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColumnDefinitions() As MarkupDefinitionCollection

Return Type

Collection of columns for this grid.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupGrid Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

RowDefinitions Property

Description

Gets a MarkupDefinitionCollection defined on this instance of MarkupGrid. Used to add rows to the grid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RowDefinitions() As MarkupDefinitionCollection

Return Type

Collection of rows for this grid.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupGrid Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupGrid Object


%%PageItemTitle%%

MarkupHyperlink Members

See Also Markup ActiveX Control v19.3

MarkupHyperlink Object

Description

An inline-level flow content element that provides facilities for hosting hyperlinks within flow content.

For a list of all members defined in this module, see MarkupHyperlink members.

Object Model

Remarks

The SetHandler Sample shows how to use the Tag property to identify which link was clicked.

Example

[Makup Label With Hyperlink Sample (Visual Basic)]

Public Sub Hyperlink_Click(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
    MsgBox "Click"
End Sub

Private Sub Form_Load()
    MarkupLabel1.MarkupContext.SetHandler Me
    MarkupLabel1.Caption = "<TextBlock>Text with <Hyperlink Click='Hyperlink_Click'>Hyperlink</Hyperlink></TextBlock>"
End Sub

See Also

MarkupHyperlink Members

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%% $$Members$$

MarkupHyperlink Overview

See Also Markup ActiveX Control v19.3

MarkupHyperlink Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property ClickEvent | Occurs when the left mouse button is clicked on a MarkupHyperlink.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupHyperlink Overview


%%PageItemTitle%%

MarkupHyperlink Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when the left mouse button is clicked on a MarkupHyperlink.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

Remarks

The SetHandler Sample shows how to use the Tag property to identify which link was clicked.

See Also

MarkupHyperlink Object

Example

Markup Label With Hyperlink Sample


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupHyperlink Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupHyperlink Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupHyperlink Object


%%PageItemTitle%%

MarkupImage Members

See Also Markup ActiveX Control v19.3

MarkupImage Object

Description

Represents a control that displays an image.

For a list of all members defined in this module, see MarkupImage members.

Object Model

Remarks

The MarkupImage class enables you to load the following image types: .bmp, .gif, .ico, .jpg, .png, .wdp, and .tiff (ImageManager is required for .gif, .ico, .jpg, .wdp, and .tiff). See Source for more details.

When displaying a multi frame image, only the first frame is displayed. The animation of multi frame images is not supported by the MarkupImage control.

See Also

MarkupImage Members


%%PageItemTitle%% $$Members$$

MarkupImage Overview

See Also Markup ActiveX Control v19.3

MarkupImage Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Source | Gets or sets the source for the image (ImageManager or File).
Public Property Stretch | Gets or sets a value that describes how a MarkupImage should be stretched to fill the destination rectangle.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupImage Overview


%%PageItemTitle%%

MarkupImage Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupImage Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Source Property

Description

Gets or sets the source for the image (ImageManager or File).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Source() As String

Return Type

The source of the drawn image.

Remarks

The source of the Image can come from a file or ImageManager.

If using the ImageManager the following formats are supported: .bmp, .gif, .ico, .jpg, .png, .wdp, and .tiff. To load an image from the ImageManager with an Id of "10" use the following code:

MarkupImage1.Source = "10"

If using a image file the following formats are supported: .bmp and .png. To load an image from a file use the following code:

MarkupImage1.Source = "file://c:\filename.png "

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Stretch Property

Description

Gets or sets a value that describes how a MarkupImage should be stretched to fill the destination rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stretch() As MarkupStretch

Remarks

A value of xtpMarkupFill will cause your image to stretch to completely fill the output area. When the output area and the image have different aspect ratios, the image is distorted by this stretching. To make an Image preserve the aspect ratio of the image, set this property to xtpMarkupUniform (default) or xtpMarkupUniformToFill.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupImage Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupImage Object


%%PageItemTitle%%

MarkupInline Members

See Also Markup ActiveX Control v19.3

MarkupInline Object

Description

An abstract class that provides a base for all inline flow content elements.

For a list of all members defined in this module, see MarkupInline members.

Object Model

Remarks

Inline elements include Bold, Italic, Run, Span, Hyperlink and Underline.

See Also

MarkupInline Members


%%PageItemTitle%% $$Members$$

MarkupInline Overview

See Also Markup ActiveX Control v19.3

MarkupInline Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupInline Overview


%%PageItemTitle%%

MarkupInline Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInline Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInline Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupInline Object


%%PageItemTitle%%

MarkupInlineCollection Members

See Also Markup ActiveX Control v19.3

MarkupInlineCollection Collection

Description

Represents a collection of MarkupInline elements. MarkupInlineCollection defines the allowable child content of the MarkupSpan and MarkupTextBlock elements.

For a list of all members defined in this module, see MarkupInlineCollection members.

Object Model

Remarks

MarkupInlineCollection creation is only permitted inside an element that owns a MarkupInlineCollection, such as a MarkupTextBlock.

See Also

MarkupInlineCollection Members


%%PageItemTitle%% $$Members$$

MarkupInlineCollection Overview

See Also Markup ActiveX Control v19.3

MarkupInlineCollection Collection Members

Public Methods

Public Method Add | Adds a element to the collection.
Public Method Clear | Clears all items from the collection.
Public Method Insert | Inserts a specified item in the collection at the specified index.
Public Method RemoveAt | Inserts an item in the collection at the specified index.

Public Properties

Public Property Count | Clears all items from the collection.
Public Property Item | Gets or sets the element at the specified index.

See Also

MarkupInlineCollection Overview


%%PageItemTitle%%

MarkupInlineCollection Collection

Inline
See Also Markup ActiveX Control v19.3

Add Method

Description

Adds a element to the collection.

Syntax

Public Sub Add( _
   ByVal Inline As MarkupInline _
)

Parameters

Inline

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineCollection Collection

See Also Markup ActiveX Control v19.3

Clear Method

Description

Clears all items from the collection.

Syntax

Public Sub Clear()

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineCollection Collection

Index
Position to insert item.
Inline

An item to insert into the collection.

See Also Markup ActiveX Control v19.3

Insert Method

Description

Inserts a specified item in the collection at the specified index.

Syntax

Public Sub Insert( _
   ByVal Index As Long, _
   ByVal Inline As MarkupInline _
)

Parameters

Index
Position to insert item.
Inline

An item to insert into the collection.

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineCollection Collection

Index
Index of item to remove.
See Also Markup ActiveX Control v19.3

RemoveAt Method

Description

Inserts an item in the collection at the specified index.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index of item to remove.

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineCollection Collection

See Also Markup ActiveX Control v19.3

Count Property

Description

Clears all items from the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineCollection Collection

Index
The zero-based index of the element to get or set.
See Also Markup ActiveX Control v19.3

Item Property

Description

Gets or sets the element at the specified index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As MarkupInline

Parameters

Index
The zero-based index of the element to get or set.

See Also

MarkupInlineCollection Collection


%%PageItemTitle%%

MarkupInlineUIContainer Members

See Also Markup ActiveX Control v19.3

MarkupInlineUIContainer Object

Description

An inline-level flow content element which enables MarkupUIElement elements to be embedded in flow content.

For a list of all members defined in this module, see MarkupInlineUIContainer members.

Object Model

See Also

MarkupInlineUIContainer Members


%%PageItemTitle%% $$Members$$

MarkupInlineUIContainer Overview

See Also Markup ActiveX Control v19.3

MarkupInlineUIContainer Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Child | Gets or sets the MarkupUIElement hosted by the MarkupInlineUIContainer.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupInlineUIContainer Overview


%%PageItemTitle%%

MarkupInlineUIContainer Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Child Property

Description

Gets or sets the MarkupUIElement hosted by the MarkupInlineUIContainer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Child() As MarkupUIElement

Return Type

The MarkupUIElement hosted by the MarkupInlineUIContainer.

Remarks

A MarkupInlineUIContainer may directly host no more than one MarkupUIElement child. However, the child element hosted by a MarkupInlineUIContainer may host children of its own.

In XAML, wrapping a MarkupUIElement in a MarkupInlineUIContainer is equivalent to setting that MarkupUIElement as the value of the Child property.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInlineUIContainer Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInlineUIContainer Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupInlineUIContainer Object


%%PageItemTitle%%

MarkupInputElement Members

See Also Markup ActiveX Control v19.3

MarkupInputElement Object

Description

Establishes the common events and also the event-related properties and methods for basic input processing by Markup elements.

For a list of all members defined in this module, see MarkupInputElement members.

Object Model

Remarks

Although this interface is public, it is not intended to be implemented, however you can also use this interface as a casting mechanism.

See Also

MarkupInputElement Members


%%PageItemTitle%% $$Members$$

MarkupInputElement Overview

See Also Markup ActiveX Control v19.3

MarkupInputElement Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Cursor | Represents the image used for the mouse pointer.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupInputElement Overview


%%PageItemTitle%%

MarkupInputElement Object

Event
The identifier for the MarkupRoutedEvent to be handled.
Method
Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.
See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event
The identifier for the MarkupRoutedEvent to be handled.
Method
Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupInputElement Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupInputElement Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupInputElement Object


%%PageItemTitle%%

MarkupItalic Members

See Also Markup ActiveX Control v19.3

MarkupItalic Object

Description

Provides an inline-level flow content element that causes content to render with an italic font style.

For a list of all members defined in this module, see MarkupItalic members.

Object Model

See Also

MarkupItalic Members

Example

MarkupUnderline Object


%%PageItemTitle%% $$Members$$

MarkupItalic Overview

See Also Markup ActiveX Control v19.3

MarkupItalic Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupItalic Overview


%%PageItemTitle%%

MarkupItalic Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupItalic Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupItalic Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupItalic Object


%%PageItemTitle%%

MarkupLabel Members

See Also Markup ActiveX Control v19.3

MarkupLabel Control

Description

A MarkupLabel control is used to display XAML Markup.

For a list of all members defined in this module, see MarkupLabel members.

Object Model

Remarks

The CheckBox/Button/RadioButton/Label/MarkupLabel controls can be used with Markup that has a <Hyperlink> tag. This will allows the click event to be caught when user clicks a hyperlink and some information from tag will be sent to identify it.

In addition to the HyperlinkClick event, the events of any Markup object can be caught when using the controls mentioned above. Another example is there is some markup with <Ellipse> and that Ellipse should become Green when the user moves the cursor over the Ellipse in code.

Note: As of version 12.1.0 on the CheckBox/Button/RadioButton/Label/MarkupLabel controls can catch Markup events.

When using the MarkupLabel control it allows Markup to be created in code without needing to parse a long markup string. For example, the Markup string "<Grid>...</Grid>" can be created in code using "Set Grid1 = Context.CreateObject("Grid")". This is accomplished by setting the MarkupLabel.MarkupUIElement property to a Markup object created in code.

Set MarkupLabel1.MarkupUIElement = StackPanel

See Also

MarkupLabel Members


%%PageItemTitle%% $$Members$$

MarkupLabel Overview

See Also Markup ActiveX Control v19.3

MarkupLabel Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control.
Public Method CreatePrintView |
Public Method PrintElementToDC |
Public Method PrintToDC |

Public Properties

Public Property BackColor | Gets or sets the background color of the control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd |
Public Property Icons | Gets or sets the icons to be used for items in Markup.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MarkupUIElement | Allows XML Markup created in code to be assigned to the MarkupLabel.
Public Property ReCreateReparented |
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.

Events

Public Event ReCreated

See Also

MarkupLabel Overview


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control.

Syntax

Public Sub AboutBox()

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

CreatePrintView Method

Syntax

Public Function CreatePrintView() As Unknown

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

hDC
Element
Left
Top
Width
Height
See Also Markup ActiveX Control v19.3

PrintElementToDC Method

Syntax

Public Sub PrintElementToDC( _
   ByVal hDC As Integer, _
   ByVal Element As MarkupUIElement, _
   ByVal Left As Integer, _
   ByVal Top As Integer, _
   ByVal Width As Integer, _
   ByVal Height As Integer _
)

Parameters

hDC
Element
Left
Top
Width
Height

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

hDC
Left
Top
Width
Height
See Also Markup ActiveX Control v19.3

PrintToDC Method

Syntax

Public Sub PrintToDC( _
   ByVal hDC As Integer, _
   ByVal Left As Integer, _
   ByVal Top As Integer, _
   ByVal Width As Integer, _
   ByVal Height As Integer _
)

Parameters

hDC
Left
Top
Width
Height

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Return Type

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

hWnd Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

Icons Property

Description

Gets or sets the icons to be used for items in Markup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the MarkupLabel control for markup objects displayed inside the MarkupLabel.

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

MarkupUIElement Property

Description

Allows XML Markup created in code to be assigned to the MarkupLabel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupUIElement() As MarkupUIElement

Remarks

When using the MarkupLabel control Markup can be created in code without needing to parse a long markup string. For example, the Markup string "<Grid>...</Grid>" can be created in code using "Set Grid1 = Context.CreateObject("Grid")". This is accomplished by setting the MarkupUIElement property to a Markup object created in code.

Set MarkupLabel1.MarkupUIElement = StackPanel

Example

[[New Example] (Visual Basic)]

Dim StackPanel As MarkupStackPanel
Set StackPanel = Context.CreateObject("StackPanel")

StackPanel.Orientation = xtpMarkupOrientationVertical

StackPanel.Children.Add TextBlock1
StackPanel.Children.Add Border
StackPanel.Children.Add Canvas

Set e = Context.Parse("<WrapPanel><TextBlock>WrapPanelText</TextBlock></WrapPanel>")
StackPanel.Children.Add e
StackPanel.Children.Add Context.Parse("<DockPanel><TextBlock>DockPanelText</TextBlock></DockPanel>")
StackPanel.Children.Add Context.Parse("<Ellipse Width='10' Height='10' Fill='Red'/>")

StackPanel.Children.Add Context.Parse("<Rectangle Width='10' Height='10' Fill='Black' RadiusX='3' RadiusY='4' />")
StackPanel.Children.Add Context.Parse("<Line X2='10' Y2='10' Stroke='Black' />")
StackPanel.Children.Add Context.Parse("<TextBlock><Rectangle Width='10' Height='10' Fill='Black'/> It was rectangle</TextBlock>")

Dim Grid1 As MarkupGrid, GridEllipse1 As MarkupEllipse, GridEllipse2 As MarkupEllipse, GridEllipse3 As MarkupEllipse
Dim ColumnDef As MarkupColumnDefinition, RowDef As MarkupRowDefinition

Set Grid1 = Context.CreateObject("Grid")

Set ColumnDef = Context.CreateObject("ColumnDefinition")
Grid1.ColumnDefinitions.Add ColumnDef
Set ColumnDef = Context.CreateObject("ColumnDefinition")
Grid1.ColumnDefinitions.Add ColumnDef

Set RowDef = Context.CreateObject("RowDefinition")
Grid1.RowDefinitions.Add RowDef
Set RowDef = Context.CreateObject("RowDefinition")
Grid1.RowDefinitions.Add RowDef

Set GridEllipse1 = Context.CreateObject("Ellipse")
Set GridEllipse2 = Context.CreateObject("Ellipse")
Set GridEllipse3 = Context.CreateObject("Ellipse")

GridEllipse3.AddHandler GridEllipse3.MouseEnterEvent, "GridEllipse3MouseEnter"

GridEllipse1.Width = 30
GridEllipse1.Height = 30
GridEllipse1.Fill = Context.CreateSolidBrush(vbGreen)

GridEllipse2.Width = 30
GridEllipse2.Height = 30
GridEllipse2.Stroke = Context.CreateSolidBrush(vbRed)

GridEllipse3.Width = 30
GridEllipse3.Height = 30
GridEllipse3.Fill = Context.CreateSolidBrush(vbYellow)

Grid1.Children.Add GridEllipse1
Grid1.Children.Add GridEllipse2
Grid1.Children.Add GridEllipse3

Grid1.SetColumn GridEllipse2, 1
Grid1.SetColumn GridEllipse3, 1
Grid1.SetRow GridEllipse3, 1

StackPanel.Children.Add Grid1

Dim Spi As MarkupInputElement
Set Spi = StackPanel
StackPanel.AddHandler Hyperlink.ClickEvent, "HyperClick"
Context.SetHandler Me

Set MarkupLabel1.MarkupUIElement = StackPanel

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Return Type

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabel Control

See Also Markup ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

MarkupLabel Control


%%PageItemTitle%%

MarkupLabelPropPage Members

See Also Markup ActiveX Control v19.3

MarkupLabelPropPage Object

Description

Property page for MarkupLabel Control

For a list of all members defined in this module, see MarkupLabelPropPage members.

See Also

MarkupLabelPropPage Members


%%PageItemTitle%% $$Members$$

MarkupLabelPropPage Overview

See Also Markup ActiveX Control v19.3

MarkupLabelPropPage Object Members

See Also

MarkupLabelPropPage Overview


%%PageItemTitle%%

MarkupLine Members

See Also Markup ActiveX Control v19.3

MarkupLine Object

Description

Draws a straight line between two points.

For a list of all members defined in this module, see MarkupLine members.

Object Model

See Also

MarkupLine Members


%%PageItemTitle%% $$Members$$

MarkupLine Overview

See Also Markup ActiveX Control v19.3

MarkupLine Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.
Public Property X1 | Gets or sets the x-coordinate of the line start point.
Public Property X2 | Gets or sets the x-coordinate of the line start point.
Public Property Y1 | Gets or sets the y-coordinate of the line start point.
Public Property Y2 | Gets or sets the y-coordinate of the line start point.

See Also

MarkupLine Overview


%%PageItemTitle%%

MarkupLine Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupLine Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupLine Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

X1 Property

Description

Gets or sets the x-coordinate of the line start point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property X1() As Long

Return Type

The x-coordinate for the start point of the line. The default is 0.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

X2 Property

Description

Gets or sets the x-coordinate of the line start point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property X2() As Long

Return Type

The x-coordinate for the end point of the line. The default is 0.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Y1 Property

Description

Gets or sets the y-coordinate of the line start point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Y1() As Long

Return Type

The y-coordinate for the start point of the line. The default is 0.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupLine Object

See Also Markup ActiveX Control v19.3

Y2 Property

Description

Gets or sets the y-coordinate of the line start point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Y2() As Long

Return Type

The y-coordinate for the end point of the line. The default is 0.

See Also

MarkupLine Object


%%PageItemTitle%%

MarkupObject Members

See Also Markup ActiveX Control v19.3

MarkupObject Object

Description

Base class for all Markup Objects.

For a list of all members defined in this module, see MarkupObject members.

Remarks

Class Hierarchy:

See Also

MarkupObject Members


%%PageItemTitle%% $$Members$$

MarkupObject Overview

See Also Markup ActiveX Control v19.3

MarkupObject Object Members

See Also

MarkupObject Overview


%%PageItemTitle%%

MarkupPage Members

See Also Markup ActiveX Control v19.3

MarkupPage Object

Description

Encapsulates a page of content that can be navigated to and hosted by an Internet browser.

For a list of all members defined in this module, see MarkupPage members.

Object Model

See Also

MarkupPage Members


%%PageItemTitle%% $$Members$$

MarkupPage Overview

See Also Markup ActiveX Control v19.3

MarkupPage Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupPage.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the maximum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupPage Overview


%%PageItemTitle%%

MarkupPage Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupPage.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

A MarkupUIElement object that contains the content of a MarkupPage.

Remarks

A MarkupPage can have only a single child element. Usually the content of a MarkupPage has a layout element (Grid, StackPanel, DockPanel, etc.) that hosts the content of the MarkupPage.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPage Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPage Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPage Object


%%PageItemTitle%%

MarkupPanel Members

See Also Markup ActiveX Control v19.3

MarkupPanel Object

Description

Provides a base class for all Panel elements. Use Panel elements to position and arrange child objects in Markup applications.

For a list of all members defined in this module, see MarkupPanel members.

Object Model

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

See Also

MarkupPanel Members


%%PageItemTitle%% $$Members$$

MarkupPanel Overview

See Also Markup ActiveX Control v19.3

MarkupPanel Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the suggested width of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupPanel Overview


%%PageItemTitle%%

MarkupPanel Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPanel Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPanel Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPanel Object


%%PageItemTitle%%

MarkupPath Members

See Also Markup ActiveX Control v19.3

MarkupPath Object

Description

Draws a series of connected lines and curves.

For a list of all members defined in this module, see MarkupPath members.

Object Model

Remarks

The MarkupPath object can draw closed or open shapes, multiple shapes, and even curved shapes.

See Also

MarkupPath Members


%%PageItemTitle%% $$Members$$

MarkupPath Overview

See Also Markup ActiveX Control v19.3

MarkupPath Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the maximum width constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupPath Overview


%%PageItemTitle%%

MarkupPath Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPath Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupPath Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPath Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPath Object


%%PageItemTitle%%

MarkupPolygon Members

See Also Markup ActiveX Control v19.3

MarkupPolygon Object

Description

Draws a polygon, which is a connected series of lines that form a closed shape.

For a list of all members defined in this module, see MarkupPolygon members.

Object Model

Remarks

This object is similar to the MarkupPolyline object, except that this object must be a closed shape.

See Also

MarkupPolygon Members


%%PageItemTitle%% $$Members$$

MarkupPolygon Overview

See Also Markup ActiveX Control v19.3

MarkupPolygon Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupPolygon Overview


%%PageItemTitle%%

MarkupPolygon Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPolygon Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupPolygon Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolygon Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolygon Object


%%PageItemTitle%%

MarkupPolyline Members

See Also Markup ActiveX Control v19.3

MarkupPolyline Object

Description

Draws a series of connected straight lines.

For a list of all members defined in this module, see MarkupPolyline members.

Object Model

Remarks

This object is similar to the MarkupPolygon object, except that this object does not need to be a closed shape.

See Also

MarkupPolyline Members


%%PageItemTitle%% $$Members$$

MarkupPolyline Overview

See Also Markup ActiveX Control v19.3

MarkupPolyline Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupPolyline Overview


%%PageItemTitle%%

MarkupPolyline Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupPolyline Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupPolyline Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupPolyline Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupPolyline Object


%%PageItemTitle%%

MarkupRadioButton Members

See Also Markup ActiveX Control v19.3

MarkupRadioButton Object

Description

Radio button control.

For a list of all members defined in this module, see MarkupRadioButton members.

Object Model

Remarks

MarkupRadioButton controls are usually grouped together to offer users a single choice among several options. Only one button at a time can be selected.

See Also

MarkupRadioButton Members


%%PageItemTitle%% $$Members$$

MarkupRadioButton Overview

See Also Markup ActiveX Control v19.3

MarkupRadioButton Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property CheckedEvent | Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property ClickEvent | Occurs when a Button (Toggle, Radio, CheckBox) is clicked.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IndeteminateEvent | Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.
Public Property IsChecked | Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property IsPressed | Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.
Public Property IsThreeState | Determines whether the control supports two or three states.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property UncheckedEvent | Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupRadioButton Overview


%%PageItemTitle%%

MarkupRadioButton Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

CheckedEvent Property

Description

Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CheckedEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when a Button (Toggle, Radio, CheckBox) is clicked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IndeteminateEvent Property

Description

Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IndeteminateEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IsChecked Property

Description

Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsChecked() As Long

Return Type

True if the MarkupToggleButton (CheckBox, RadioButton) is checked. False if the MarkupToggleButton is unchecked.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IsPressed Property

Description

Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsPressed() As Boolean

Return Type

True if the Button is activated; otherwise False. The default is False.

Remarks

IsPressed is the state of a button that indicates the left mouse button or SPACEBAR is pressed over the button. When IsPressed is true, the control captures the mouse. As a result, the control will raise mouse events such as the MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but is does raise the ClickEvent.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

IsThreeState Property

Description

Determines whether the control supports two or three states.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsThreeState() As Boolean

Return Type

True if the control supports three states. False otherwise.

Remarks

The IsChecked property can be set to a null reference (Nothing in Visual Basic) as a third state when IsThreeState is true.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

UncheckedEvent Property

Description

Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property UncheckedEvent() As MarkupRoutedEvent

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRadioButton Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRadioButton Object


%%PageItemTitle%%

MarkupRectangle Members

See Also Markup ActiveX Control v19.3

MarkupRectangle Object

Description

Draws a rectangle.

For a list of all members defined in this module, see MarkupRectangle members.

Object Model

See Also

MarkupRectangle Members


%%PageItemTitle%% $$Members$$

MarkupRectangle Overview

See Also Markup ActiveX Control v19.3

MarkupRectangle Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RadiusX | Gets or sets the x-axis radius of the ellipse that is used to round the corners of the rectangle.
Public Property RadiusY | Gets or sets the y-axis radius of the ellipse that is used to round the corners of the rectangle.
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupRectangle Overview


%%PageItemTitle%%

MarkupRectangle Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRectangle Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

RadiusX Property

Description

Gets or sets the x-axis radius of the ellipse that is used to round the corners of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RadiusX() As Long

Return Type

The x-axis radius of the ellipse that is used to round the corners of the rectangle. The default is 0.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

RadiusY Property

Description

Gets or sets the y-axis radius of the ellipse that is used to round the corners of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RadiusY() As Long

Return Type

The y-axis radius of the ellipse that is used to round the corners of the rectangle. The default is 0.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupRectangle Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRectangle Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupRectangle Object


%%PageItemTitle%%

MarkupRoutedEvent Members

See Also Markup ActiveX Control v19.3

MarkupRoutedEvent Object

Description

Represents and identifies a routed event and declares its characteristics.

For a list of all members defined in this module, see MarkupRoutedEvent members.

See Also

MarkupRoutedEvent Members


%%PageItemTitle%% $$Members$$

MarkupRoutedEvent Overview

See Also Markup ActiveX Control v19.3

MarkupRoutedEvent Object Members

Public Properties

Public Property Name Gets the identifying name of the routed event.

See Also

MarkupRoutedEvent Overview


%%PageItemTitle%%

MarkupRoutedEvent Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets the identifying name of the routed event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the routed event.

Remarks

The name of a routed event must be unique within each owner type, but is not required to be globally unique.

See Also

MarkupRoutedEvent Object


%%PageItemTitle%%

MarkupRoutedEventArgs Members

See Also Markup ActiveX Control v19.3

MarkupRoutedEventArgs Object

Description

Contains state information and event data associated with a routed event.

For a list of all members defined in this module, see MarkupRoutedEventArgs members.

Object Model

Remarks

Different MarkupRoutedEventArgs can be used with a single MarkupRoutedEvent. MarkupRoutedEventArgs is responsible for packaging the event data for a MarkupRoutedEvent, providing extra event state information, and is used by the event system for invoking the handler associated with the routed event.

See Also

MarkupRoutedEventArgs Members


%%PageItemTitle%% $$Members$$

MarkupRoutedEventArgs Overview

See Also Markup ActiveX Control v19.3

MarkupRoutedEventArgs Object Members

Public Properties

Public Property Event | Gets or sets the MarkupRoutedEvent associated with this MarkupRoutedEventArgs instance.
Public Property Handled | Gets or sets a value that indicates the present state of the event handling for a routed event as it travels the route.
Public Property Source | Gets or sets a reference to the object that raised the event.

See Also

MarkupRoutedEventArgs Overview


%%PageItemTitle%%

MarkupRoutedEventArgs Object

See Also Markup ActiveX Control v19.3

Event Property

Description

Gets or sets the MarkupRoutedEvent associated with this MarkupRoutedEventArgs instance.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Event() As MarkupRoutedEvent

Return Type

The identifier for the event that has been invoked.

See Also

MarkupRoutedEventArgs Object


%%PageItemTitle%%

MarkupRoutedEventArgs Object

See Also Markup ActiveX Control v19.3

Handled Property

Description

Gets or sets a value that indicates the present state of the event handling for a routed event as it travels the route.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handled() As Boolean

Return Type

Set to true if the event is to be marked handled, otherwise false.

True indicates that this event will be handled by some other means. False indicates that this event has not been handled.

The default value is false.

See Also

MarkupRoutedEventArgs Object


%%PageItemTitle%%

MarkupRoutedEventArgs Object

See Also Markup ActiveX Control v19.3

Source Property

Description

Gets or sets a reference to the object that raised the event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Source() As MarkupObject

Return Type

The object that raised the event.

See Also

MarkupRoutedEventArgs Object


%%PageItemTitle%%

MarkupRowDefinition Members

See Also Markup ActiveX Control v19.3

MarkupRowDefinition Object

Description

Defines row-specific properties that apply to MarkupGrid elements.

For a list of all members defined in this module, see MarkupRowDefinition members.

See Also

MarkupRowDefinition Members


%%PageItemTitle%% $$Members$$

MarkupRowDefinition Overview

See Also Markup ActiveX Control v19.3

MarkupRowDefinition Object Members

Public Properties

Public Property Height | Gets the calculated height of a MarkupRowDefinition element, or sets the value of a row that is defined by the MarkupRowDefinition.
Public Property MaxHeight | Gets or sets a value that represents the maximum height of a MarkupRowDefinition.
Public Property MinHeight | Gets or sets a value that represents the minimum height of a MarkupRowDefinition.
Public Property UnitType |

See Also

MarkupRowDefinition Overview


%%PageItemTitle%%

MarkupRowDefinition Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets the calculated height of a MarkupRowDefinition element, or sets the value of a row that is defined by the MarkupRowDefinition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

Height of the row. The default value is 1.

See Also

MarkupRowDefinition Object


%%PageItemTitle%%

MarkupRowDefinition Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets a value that represents the maximum height of a MarkupRowDefinition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

Maximum height of the row.

See Also

MarkupRowDefinition Object


%%PageItemTitle%%

MarkupRowDefinition Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets a value that represents the minimum height of a MarkupRowDefinition.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

Minimum allowable height. The default value is 0.

See Also

MarkupRowDefinition Object


%%PageItemTitle%%

MarkupRowDefinition Object

See Also Markup ActiveX Control v19.3

UnitType Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UnitType() As MarkupGridUnitType

See Also

MarkupRowDefinition Object


%%PageItemTitle%%

MarkupRun Members

See Also Markup ActiveX Control v19.3

MarkupRun Object

Description

An inline-level flow content element intended to contain a run of formatted or unformatted text.

For a list of all members defined in this module, see MarkupRun members.

Object Model

Remarks

A MarkupRun element may only contain plain text.

See Also

MarkupRun Members


%%PageItemTitle%% $$Members$$

MarkupRun Overview

See Also Markup ActiveX Control v19.3

MarkupRun Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property Text | Gets or sets the unformatted text contents of this text MarkupRun.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupRun Overview


%%PageItemTitle%%

MarkupRun Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupRun Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

Text Property

Description

Gets or sets the unformatted text contents of this text MarkupRun.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

A string specifying the unformatted text contents of this text MarkupRun.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupRun Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupRun Object


%%PageItemTitle%%

MarkupScrollViewer Members

See Also Markup ActiveX Control v19.3

MarkupScrollViewer Object

Description

The MarkupScrollViewer control creates a scrollable region wherein content can be scrolled horizontally or vertically.

For a list of all members defined in this module, see MarkupScrollViewer members.

Object Model

Remarks

Represents a scrollable area that can contain other visible elements.

See Also

MarkupScrollViewer Members


%%PageItemTitle%% $$Members$$

MarkupScrollViewer Overview

See Also Markup ActiveX Control v19.3

MarkupScrollViewer Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property HorizontalOffset | Gets or sets a value that contains the horizontal offset of the scrolled content.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property VerticalOffset | Gets or sets a value that contains the vertical offset of the scrolled content.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupScrollViewer Overview


%%PageItemTitle%%

MarkupScrollViewer Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

HorizontalOffset Property

Description

Gets or sets a value that contains the horizontal offset of the scrolled content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalOffset() As Long

Return Type

Represents the horizontal offset of the scrolled content.

Remarks

A positive HorizontalOffset value corresponds to the content being offset to the left.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupScrollViewer Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

VerticalOffset Property

Description

Gets or sets a value that contains the vertical offset of the scrolled content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalOffset() As Long

Return Type

Represents the vertical offset of the scrolled content.

Remarks

A positive VerticalOffset value corresponds to the content being offset to the top.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupScrollViewer Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupScrollViewer Object


%%PageItemTitle%%

MarkupShape Members

See Also Markup ActiveX Control v19.3

MarkupShape Object

Description

Provides a base class for shape elements, such as MarkupEllipse, MarkupPolygon, and MarkupRectangle.

For a list of all members defined in this module, see MarkupShape members.

Object Model

See Also

MarkupShape Members


%%PageItemTitle%% $$Members$$

MarkupShape Overview

See Also Markup ActiveX Control v19.3

MarkupShape Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Fill | Gets or sets the MarkupBrush that specifies how the shape's interior is painted.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Stroke | Gets or sets the MarkupBrush that specifies how the Shape outline is painted.
Public Property StrokeDashArray |
Public Property StrokeEndLineCap |
Public Property StrokeLineJoin |
Public Property StrokeStartLineCap |
Public Property StrokeThickness | Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupShape Overview


%%PageItemTitle%%

MarkupShape Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Fill Property

Description

Gets or sets the MarkupBrush that specifies how the shape's interior is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Fill() As MarkupBrush

Return Type

A MarkupBrush that describes how the shape's interior is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a shape element.

For example: Ellipse1.Fill = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Fill.Color

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupShape Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Stroke Property

Description

Gets or sets the MarkupBrush that specifies how the Shape outline is painted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stroke() As MarkupBrush

Return Type

A MarkupBrush that specifies how the Shape outline is painted.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the shape element outline.

For example: Ellipse1.Stroke = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Ellipse1.Stroke.Color

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

StrokeDashArray Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeDashArray() As MarkupDoubleCollection

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

StrokeEndLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeEndLineCap() As MarkupLineCap

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

StrokeLineJoin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeLineJoin() As MarkupLineJoin

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

StrokeStartLineCap Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeStartLineCap() As MarkupLineCap

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

See Also Markup ActiveX Control v19.3

StrokeThickness Property

Description

Gets or sets the width of the MarkupShape (ellipse, rectangle, etc) outline.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrokeThickness() As Long

Return Type

The width of the MarkupShape (ellipse, rectangle, etc) outline.

See Also

MarkupShape Object | MarkupEllipse Object | MarkupPolygon Object | MarkupPath Object | MarkupPolyline Object | MarkupRectangle Object

Example

MarkupEllipse Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupShape Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupShape Object


%%PageItemTitle%%

MarkupSolidColorBrush Members

See Also Markup ActiveX Control v19.3

MarkupSolidColorBrush Object

Description

Paints an area with a solid color.

For a list of all members defined in this module, see MarkupSolidColorBrush members.

Example

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

See Also

MarkupSolidColorBrush Members


%%PageItemTitle%% $$Members$$

MarkupSolidColorBrush Overview

See Also Markup ActiveX Control v19.3

MarkupSolidColorBrush Object Members

Public Properties

Public Property Color Gets or sets the color of this MarkupSolidColorBrush.

See Also

MarkupSolidColorBrush Overview


%%PageItemTitle%%

MarkupSolidColorBrush Object

See Also Markup ActiveX Control v19.3

Color Property

Description

Gets or sets the color of this MarkupSolidColorBrush.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As Long

Return Type

The brush's color. Default is transparent.

See Also

MarkupSolidColorBrush Object


%%PageItemTitle%%

MarkupSpan Members

See Also Markup ActiveX Control v19.3

MarkupSpan Object

Description

Groups other MarkupInline flow content elements.

For a list of all members defined in this module, see MarkupSpan members.

Object Model

Remarks

Span is used to group other inline flow content elements together. No inherent rendering is applied to content or other elements within a Span element.

See Also

MarkupSpan Members


%%PageItemTitle%% $$Members$$

MarkupSpan Overview

See Also Markup ActiveX Control v19.3

MarkupSpan Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupSpan Overview


%%PageItemTitle%%

MarkupSpan Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupSpan Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupSpan Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupSpan Object


%%PageItemTitle%%

MarkupStackPanel Members

See Also Markup ActiveX Control v19.3

MarkupStackPanel Object

Description

Arranges child elements into a single line that can be oriented horizontally or vertically.

For a list of all members defined in this module, see MarkupStackPanel members.

Object Model

Remarks

Elements are able to be "stacked" in a specified direction using a Stack Panel.

The Stack Panel Control is used to arrange child elements into a single line. You have the option to display the elements horizontally or vertically, the default is horizontally. By default, both the HorizontalAlignment and VerticalAlignment properties are set to stretch.

The Stack Panel uses logical scrolling to scroll to the next element that was added to the stack panel. Wrap the host Stack Panel in a ScrollViewer with the CanContentScroll property to false to use physical scrolling instead of logical scrolling.

Example

[StackPanel Sample ()] Below is a very simple sample of how to use a stack panel to view a list of radio buttons vertically:

<Page xmlns='http://schemas.microsoft.com/winfx/2006/xaml/presentation'
      xmlns:x='http://schemas.microsoft.com/winfx/2006/xaml'>
    <Border VerticalAlignment="Center" HorizontalAlignment="Center">
        <StackPanel Orientation="Horizontal" Background="Gold">
        <ScrollViewer Width = "100" MaxHeight="100" Margin="4">
            <StackPanel>
                <RadioButton Content="Item 1"/>
                <RadioButton Content="Item 2"/>
                <RadioButton Content="Item 3"/>
                <RadioButton Content="Item 4"/>
                <RadioButton Content="Item 5"/>
                <RadioButton Content="Item 6"/>
                <RadioButton Content="Item 7"/>
                <RadioButton Content="Item 8"/>
                <RadioButton Content="Item 9"/>
            </StackPanel>
        </ScrollViewer>
        </StackPanel>
    </Border>
</Page>

See Also

MarkupStackPanel Members


%%PageItemTitle%% $$Members$$

MarkupStackPanel Overview

See Also Markup ActiveX Control v19.3

MarkupStackPanel Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Orientation | Gets or sets a value that indicates the dimension by which child elements are stacked.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupStackPanel Overview


%%PageItemTitle%%

MarkupStackPanel Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupStackPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupStackPanel Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Orientation Property

Description

Gets or sets a value that indicates the dimension by which child elements are stacked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As MarkupOrientation

Return Type

A value from the MarkupOrientation enumeration that specifies the orientation of the child content.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupStackPanel Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupStackPanel Object


%%PageItemTitle%%

MarkupTextBlock Members

See Also Markup ActiveX Control v19.3

MarkupTextBlock Object

Description

Provides a lightweight control for displaying small amounts of flow content.

For a list of all members defined in this module, see MarkupTextBlock members.

Object Model

Remarks

The TextBlock control will probably be the most used control when using XAML with Codejock controls. The TextBlock control provides flexible text support for Codejock controls. You would use the TextBlock primarily for basic UI scenarios that do not require more than one paragraph of text. You have already seen the TextBlock many times in the Captions, Text and Tooltips section.

TextBlock supports the hosting and display of Inline flow content elements. Supported TextBlock elements are Bold, Hyperlink, InlineUIContainer, Italic, LineBreak, Run, Span, and Underline. With the supported elements the TextBlock is excellent for displaying customized single-line text.

See Also

MarkupTextBlock Members


%%PageItemTitle%% $$Members$$

MarkupTextBlock Overview

See Also Markup ActiveX Control v19.3

MarkupTextBlock Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush used to fill the background of content area.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property FontFamily | Gets or sets the preferred top-level font family for the MarkupTextBlock.
Public Property FontQuality | Specifies the level of font quality.
Public Property FontSize | Gets or sets the top-level font size for the MarkupTextBlock.
Public Property FontStyle | Gets or sets the top-level font style for the MarkupTextBlock.
Public Property FontWeight | Gets or sets the top-level font weight for the MarkupTextBlock.
Public Property Foreground | Gets or sets the MarkupBrush to apply to the text contents of the MarkupTextBlock.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets a value that indicates the thickness of padding space between the boundaries of the content area, and the content displayed by a MarkupTextBlock.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property Text | Gets or sets the text contents of a MarkupTextBlock.
Public Property TextAlignment | Gets or sets a value that indicates the horizontal alignment of text content.
Public Property TextDecorations | Gets or sets a MarkupTextDecorations value that contains the effects to apply to the text of a MarkupTextBlock.
Public Property TextTrimming | Gets or sets the text trimming behavior to employ when content overflows the content area.
Public Property TextWrapping | Gets or sets how the MarkupTextBlock should wrap text.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupTextBlock Overview


%%PageItemTitle%%

MarkupTextBlock Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush used to fill the background of content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that draws the background of the content area.

Remarks

Any Background settings on child elements override this top-level setting.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: TextBlock1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print TextBlock1.Background.Color

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

The preferred font family.

Remarks

Any FontFamily settings on child elements override this top-level setting.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

FontQuality Property

Description

Specifies the level of font quality.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontQuality() As Long

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the top-level font size for the MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the top-level font style for the MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle class specifying the desired font style.

Remarks

Any FontStyle settings on child elements override this top-level setting.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight class specifying the desired font weight.

Remarks

Any FontWeight settings on child elements override this top-level setting.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets the MarkupBrush to apply to the text contents of the MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush used to apply to the text contents.

Remarks

Any Foreground settings on child elements override this top-level setting.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: TextBlock1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print TextBlock1.Foreground .Color

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupTextBlock Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object | MarkupThickness Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets a value that indicates the thickness of padding space between the boundaries of the content area, and the content displayed by a MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels.

Remarks

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

If a specified padding thickness exceeds the corresponding content area dimension, the thickness of the padding is proportionally reduced to be no greater than the relevant content area dimension.

See Also

MarkupTextBlock Object | MarkupThickness Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Text Property

Description

Gets or sets the text contents of a MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Return Type

Text contents of this MarkupTextBlock.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets a value that indicates the horizontal alignment of text content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As MarkupTextAlignment

Return Type

One of the MarkupTextAlignment values that specifies the desired alignment. The default is MarkupTextAlignment.Left.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object | MarkupTextDecorations Enumeration

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets a MarkupTextDecorations value that contains the effects to apply to the text of a MarkupTextBlock.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

A MarkupTextDecorations value that contains text decorations to apply to this element.

Remarks

There are two types of text decorations: strikethrough, and underline.

See Also

MarkupTextBlock Object | MarkupTextDecorations Enumeration


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

TextTrimming Property

Description

Gets or sets the text trimming behavior to employ when content overflows the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextTrimming() As MarkupTextTrimming

Return Type

One of the MarkupTextTrimming values that specifies the text trimming behavior to employ. The default is MarkupTextTrimming.None.

Remarks

The TextTrimming property has no effect unless the TextWrapping property is set to xtpMarkupTexrNoWrap.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

TextWrapping Property

Description

Gets or sets how the MarkupTextBlock should wrap text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextWrapping() As MarkupTextWrapping

Return Type

One of the MarkupTextWrapping values. The default is MarkupTextWrapping.NoWrap.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextBlock Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupTextBlock Object


%%PageItemTitle%%

MarkupTextElement Members

See Also Markup ActiveX Control v19.3

MarkupTextElement Object

Description

An abstract class used as the base class for the abstract MarkupInline class.

For a list of all members defined in this module, see MarkupTextElement members.

Object Model

See Also

MarkupTextElement Members


%%PageItemTitle%% $$Members$$

MarkupTextElement Overview

See Also Markup ActiveX Control v19.3

MarkupTextElement Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupTextElement Overview


%%PageItemTitle%%

MarkupTextElement Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupTextElement Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupTextElement Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupTextElement Object


%%PageItemTitle%%

MarkupThickness Members

See Also Markup ActiveX Control v19.3

MarkupThickness Object

Description

Describes the thickness of a frame around a rectangle. Four values describe the Left, Top, Right, and Bottom sides of the rectangle, respectively.

For a list of all members defined in this module, see MarkupThickness members.

Example

[VB Code Thickness Sample (Visual Basic)] VB Code Thickness Sample

    Set myBorder = Context.CreateObject("Border")
    myBorder.BorderBrush = Context.CreateSolidBrush(vbYellow)
    myBorder.Width = 400
    myBorder.Height = 400

    Set myThickness = Context.CreateObject("Thickness")
    myThickness.Bottom = 5
    myThickness.Left = 10
    myThickness.Right = 15
    myThickness.Top = 20

    myBorder.BorderThickness = myThickness

[XAML Thickness Sample ()] XAML Thickness Sample

    <Border BorderBrush="SteelBlue" Width="400" Height="400" Canvas.Left="100" Canvas.Top="100">
      <Border.BorderThickness>
        10,20,15,5
      </Border.BorderThickness>
    </Border>

See Also

MarkupThickness Members


%%PageItemTitle%% $$Members$$

MarkupThickness Overview

See Also Markup ActiveX Control v19.3

MarkupThickness Object Members

Public Properties

Public Property Bottom | Gets or sets the width, in pixels, of the lower side of the bounding rectangle.
Public Property Left | Gets or sets the width, in pixels, of the left side of the bounding rectangle.
Public Property Right | Gets or sets the width, in pixels, of the right side of the bounding rectangle.
Public Property Top | Gets or sets the width, in pixels, of the upper side of the bounding rectangle.

See Also

MarkupThickness Overview


%%PageItemTitle%%

MarkupThickness Object

See Also Markup ActiveX Control v19.3

Bottom Property

Description

Gets or sets the width, in pixels, of the lower side of the bounding rectangle.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Bottom() As Long

Return Type

A Long that represents the width, in pixels, of the lower side of the bounding rectangle for this instance of Thickness.

See Also

MarkupThickness Object

Example

MarkupThickness Object


%%PageItemTitle%%

MarkupThickness Object

See Also Markup ActiveX Control v19.3

Left Property

Description

Gets or sets the width, in pixels, of the left side of the bounding rectangle.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Left() As Long

Return Type

A Long that represents the width, in pixels, of the left side of the bounding rectangle for this instance of Thickness.

See Also

MarkupThickness Object

Example

MarkupThickness Object


%%PageItemTitle%%

MarkupThickness Object

See Also Markup ActiveX Control v19.3

Right Property

Description

Gets or sets the width, in pixels, of the right side of the bounding rectangle.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Right() As Long

Return Type

A Long that represents the width, in pixels, of the right side of the bounding rectangle for this instance of Thickness.

See Also

MarkupThickness Object

Example

MarkupThickness Object


%%PageItemTitle%%

MarkupThickness Object

See Also Markup ActiveX Control v19.3

Top Property

Description

Gets or sets the width, in pixels, of the upper side of the bounding rectangle.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Top() As Long

Return Type

A Long that represents the width, in pixels, of the upper side of the bounding rectangle for this instance of Thickness.

See Also

MarkupThickness Object

Example

MarkupThickness Object


%%PageItemTitle%%

MarkupToggleButton Members

See Also Markup ActiveX Control v19.3

MarkupToggleButton Object

Description

Base class for controls that can switch states, such as a CheckBox and RadioButton.

For a list of all members defined in this module, see MarkupToggleButton members.

Object Model

Remarks

The IsChecked property specifies the state of the MarkupToggleButton. The IsThreeState property specifies whether the MarkupToggleButton has two or three states.

See Also

MarkupToggleButton Members


%%PageItemTitle%% $$Members$$

MarkupToggleButton Overview

See Also Markup ActiveX Control v19.3

MarkupToggleButton Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a brush that describes the background of a control.
Public Property CheckedEvent | Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property ClickEvent | Occurs when a Button (Toggle, Radio, CheckBox) is clicked.
Public Property ClipToBounds |
Public Property Content | Gets or sets the content of a MarkupContentControl.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Foreground | Gets or sets a brush that describes the foreground color.
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IndeterminateEvent | Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.
Public Property IsChecked | Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property IsPressed | Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.
Public Property IsThreeState | Determines whether the control supports two or three states.
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Padding | Gets or sets the padding inside a control.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property UncheckedEvent | Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupToggleButton Overview


%%PageItemTitle%%

MarkupToggleButton Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a brush that describes the background of a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush that is used to fill the background of the control.

Remarks

This property only affects a control whose template uses the Background property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the background for a TextBlock.

For example: MarkupControl1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Background.Color

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

CheckedEvent Property

Description

Occurs when a MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CheckedEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ClickEvent Property

Description

Occurs when a Button (Toggle, Radio, CheckBox) is clicked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClickEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Content Property

Description

Gets or sets the content of a MarkupContentControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Content() As MarkupUIElement

Return Type

An MarkupUIElement object that contains the control's content. The default value is null reference (Nothing in Visual Basic).

Remarks

This property is used to set the content of controls that inherit from MarkupContentControl and can be any object.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a brush that describes the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

A MarkupBrush that paints the foreground of the control.

Remarks

This property only affects a control whose template uses the Foreground property as a parameter. On other controls, this property has no impact.

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a TextBlock.

For example: MarkupControl1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print MarkupControl1.Foreground .Color

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IndeterminateEvent Property

Description

Occurs when the state of a MarkupToggleButton (CheckBox, RadioButton) is neither on nor off.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IndeterminateEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IsChecked Property

Description

Gets or sets whether the MarkupToggleButton (CheckBox, RadioButton) is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsChecked() As Long

Return Type

True if the MarkupToggleButton (CheckBox, RadioButton) is checked. False if the MarkupToggleButton is unchecked.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IsPressed Property

Description

Gets a value that indicates whether a MarkupButtonBase (Radio, CheckBox, Toggle, etc) is currently activated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsPressed() As Boolean

Return Type

True if the Button is activated; otherwise False. The default is False.

Remarks

IsPressed is the state of a button that indicates the left mouse button or SPACEBAR is pressed over the button. When IsPressed is true, the control captures the mouse. As a result, the control will raise mouse events such as the MouseEnterEvent. Note that using the ENTER key does not change IsPressed or capture the mouse, but is does raise the ClickEvent.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

IsThreeState Property

Description

Determines whether the control supports two or three states.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsThreeState() As Boolean

Return Type

True if the control supports three states. False otherwise.

Remarks

The IsChecked property can be set to a null reference (Nothing in Visual Basic) as a third state when IsThreeState is true.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Padding Property

Description

Gets or sets the padding inside a control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Padding() As MarkupThickness

Return Type

A MarkupThickness structure specifying the amount of padding to apply, in pixels. This is the amount of space between the content of a Control and its Margin or Border. The default is a thickness of 0 on all four sides.

Remarks

Padding is specified in the order Left, Top, Right, and Bottom.

Padding can be described as uniform in all directions (Padding="15"), or as four distinct values that represent left, top, right, and bottom padding independently (Padding="15,10,15,10").

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

UncheckedEvent Property

Description

Occurs when a MarkupToggleButton (RadioButton, CheckBox) is unchecked.

Property type

Read-only property

Syntax (Visual Basic)

Public Property UncheckedEvent() As MarkupRoutedEvent

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupToggleButton Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupToggleButton Object


%%PageItemTitle%%

MarkupUIElement Members

See Also Markup ActiveX Control v19.3

MarkupUIElement Object

Description

Base class for Markup core level implementations building on Markup elements and basic presentation characteristics.

For a list of all members defined in this module, see MarkupUIElement members.

Object Model

Remarks

MarkupUIElement provides a starting point for element layout characteristics, and also exposes methods that derived classes can override, which can influence the layout rendering behavior of the element and its child elements.

Much of the input and focusing behavior for elements in general is also defined in the MarkupUIElement class. This includes the events for keyboard, mouse and stylus input, and related status properties.

MarkupUIElement can be thought of as a Windows Handle for Markup elements.

Visibility state affects all input handling by that element. Elements that are not visible do not participate in hit testing and do not receive input events, even if the mouse is over the bounds where the element would be if were visible.

See Also

MarkupUIElement Members


%%PageItemTitle%% $$Members$$

MarkupUIElement Overview

See Also Markup ActiveX Control v19.3

MarkupUIElement Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property Cursor | Represents the image used for the mouse pointer.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupUIElement Overview


%%PageItemTitle%%

MarkupUIElement Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUIElement Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElement Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupUIElement Object


%%PageItemTitle%%

MarkupUIElementCollection Members

See Also Markup ActiveX Control v19.3

MarkupUIElementCollection Collection

Description

Represents an ordered collection of MarkupUIElements.

For a list of all members defined in this module, see MarkupUIElementCollection members.

Object Model

Remarks

The MarkupPanel base class uses a MarkupUIElementCollection to represent its collection of child elements. Methods and properties defined by the MarkupUIElementCollection affect all objects derived from MarkupPanel and define a common feature-set for the manipulation of MarkupPanel child elements.

See Also

MarkupUIElementCollection Members


%%PageItemTitle%% $$Members$$

MarkupUIElementCollection Overview

See Also Markup ActiveX Control v19.3

MarkupUIElementCollection Collection Members

Public Methods

Public Method Add | Adds the specified element to the MarkupUIElementCollection.
Public Method Clear | Removes all elements from a MarkupUIElementCollection.
Public Method Insert | Inserts an element into a MarkupUIElementCollection at the specified index position.
Public Method RemoveAt | Removes the MarkupUIElement at the specified index.

Public Properties

Public Property Count | Gets the actual number of elements in the collection.
Public Property Item | Gets or sets the MarkupUIElement stored at the zero-based index position of the MarkupUIElementCollection.

See Also

MarkupUIElementCollection Overview


%%PageItemTitle%%

MarkupUIElementCollection Collection

Element
The MarkupUIElement to add.
See Also Markup ActiveX Control v19.3

Add Method

Description

Adds the specified element to the MarkupUIElementCollection.

Syntax

Public Sub Add( _
   ByVal Element As MarkupUIElement _
)

Parameters

Element
The MarkupUIElement to add.

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUIElementCollection Collection

See Also Markup ActiveX Control v19.3

Clear Method

Description

Removes all elements from a MarkupUIElementCollection.

Syntax

Public Sub Clear()

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUIElementCollection Collection

Index
The index position where you want to insert the element.
Element

The element to insert into the MarkupUIElementCollection.
See Also Markup ActiveX Control v19.3

Insert Method

Description

Inserts an element into a MarkupUIElementCollection at the specified index position.

Syntax

Public Sub Insert( _
   ByVal Index As Long, _
   ByVal Element As MarkupUIElement _
)

Parameters

Index
The index position where you want to insert the element.
Element

The element to insert into the MarkupUIElementCollection.

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUIElementCollection Collection

Index
The index of the MarkupUIElement that you want to remove.
See Also Markup ActiveX Control v19.3

RemoveAt Method

Description

Removes the MarkupUIElement at the specified index.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
The index of the MarkupUIElement that you want to remove.

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUIElementCollection Collection

See Also Markup ActiveX Control v19.3

Count Property

Description

Gets the actual number of elements in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

The actual number of elements in the collection.

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUIElementCollection Collection

Index
The index position of the MarkupUIElement.
See Also Markup ActiveX Control v19.3

Item Property

Description

Gets or sets the MarkupUIElement stored at the zero-based index position of the MarkupUIElementCollection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As MarkupUIElement

Parameters

Index
The index position of the MarkupUIElement.

Return Type

A MarkupUIElement at the specified index position.

See Also

MarkupUIElementCollection Collection


%%PageItemTitle%%

MarkupUnderline Members

See Also Markup ActiveX Control v19.3

MarkupUnderline Object

Description

An inline-level flow content element which causes content to render with an underlined text decoration.

For a list of all members defined in this module, see MarkupUnderline members.

Object Model

Example

[XAML sample ()]

    <TextBlock>
       This is <Italic>italic</Italic> text, this is <Bold>bold</Bold> text and this is <Underline>underlined</Underline> text.
    </TextBlock>

See Also

MarkupUnderline Members


%%PageItemTitle%% $$Members$$

MarkupUnderline Overview

See Also Markup ActiveX Control v19.3

MarkupUnderline Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse |
Public Method FindName | Finds an element that has the provided identifier name.
Public Method ReleaseMouseCapture |

Public Properties

Public Property Background | Gets or sets a MarkupBrush that is used to fill the background of the content area.
Public Property BaselineAlignment | Gets or sets the baseline alignment for the MarkupInline element.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FontFamily | Gets or sets the preferred top-level font family for the content of the element.
Public Property FontSize | Gets or sets the font size for the content of the element.
Public Property FontStyle | Gets or sets the font style for the content of the element.
Public Property FontWeight | Gets or sets the top-level font weight for the content of the element.
Public Property Foreground | Gets or sets a MarkupBrush that is used to fill the content of the content area.
Public Property Inlines | Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property TextDecorations | Gets or sets the decorations that are added to the text of this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.

See Also

MarkupUnderline Overview


%%PageItemTitle%%

MarkupUnderline Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Syntax

Public Sub CaptureMouse()

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the background of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

The MarkupBrush used to fill the background of the content area. Default is Nothing (No Background).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a text element.

For example: Hyperlink1.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Background.Color

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

BaselineAlignment Property

Description

Gets or sets the baseline alignment for the MarkupInline element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaselineAlignment() As Long

Return Type

A member or the MarkupBaselineAlignment enumeration specifying the baseline alignment for the Inline element. Default MarkupBaselineAlignment.Baseline.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

FontFamily Property

Description

Gets or sets the preferred top-level font family for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFamily() As String

Return Type

A String that specifies the preferred font family, or a primary preferred font family with one or more fallback font families.

Remarks

When multiple families are specified, the second and subsequent font families serve as fallback families to be used in cases where the primary font family is unavailable or not applicable.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

FontSize Property

Description

Gets or sets the font size for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

Return Type

The desired font size to use in pixels.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

FontStyle Property

Description

Gets or sets the font style for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStyle() As MarkupFontStyle

Return Type

A member of the MarkupFontStyle enumeration that specifies the desired font style.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

FontWeight Property

Description

Gets or sets the top-level font weight for the content of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As MarkupFontWeight

Return Type

A member of the MarkupFontWeight enumeration that specifies the desired font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Foreground Property

Description

Gets or sets a MarkupBrush that is used to fill the content of the content area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Foreground() As MarkupBrush

Return Type

The MarkupBrush used to apply to the text contents. Default is Black.

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the foreground for a text element.

For example: Hyperlink1.Foreground = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print Hyperlink1.Foreground .Color

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Inlines Property

Description

Gets a MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Inlines() As MarkupInlineCollection

Return Type

A MarkupInlineCollection containing the top-level MarkupInline elements that comprise the contents of the element.

Remarks

Use the MarkupInlineCollection returned by this property to enumerate or manipulate the contents of a element element.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUnderline Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

TextDecorations Property

Description

Gets or sets the decorations that are added to the text of this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecorations() As MarkupTextDecorations

Return Type

The MarkupTextDecorations applied to the text of this element.

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUnderline Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupUnderline Object


%%PageItemTitle%%

MarkupUniformGrid Members

See Also Markup ActiveX Control v19.3

MarkupUniformGrid Object

Description

Provides a way to arrange content in a grid where all the cells in the grid have the same size.

For a list of all members defined in this module, see MarkupUniformGrid members.

Object Model

See Also

MarkupUniformGrid Members


%%PageItemTitle%% $$Members$$

MarkupUniformGrid Overview

See Also Markup ActiveX Control v19.3

MarkupUniformGrid Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Columns | Gets or sets the number of columns that are in the grid.
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property FirstColumn | Gets or sets the number of leading blank cells in the first row of the grid.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the suggested width of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property RenderTransform |
Public Property Rows | Gets or sets the number of rows that are in the grid.
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupUniformGrid Overview


%%PageItemTitle%%

MarkupUniformGrid Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupUniformGrid Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Columns Property

Description

Gets or sets the number of columns that are in the grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Columns() As Long

Return Type

The number of columns that are in the grid. The default is 0.

Remarks

A value of zero for the Columns property specifies that the column count is computed based on the number of rows and the number of visible child elements that are in the MarkupUniformGrid.

The value of the FirstColumn must be less than the value of the Columns property for the MarkupUniformGrid to work correctly.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

FirstColumn Property

Description

Gets or sets the number of leading blank cells in the first row of the grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FirstColumn() As Long

Return Type

The number of empty cells that are in the first row of the grid. The default is 0.

Remarks

The value of the FirstColumn must be less than the value of the Columns property for the MarkupUniformGrid to work correctly.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupUniformGrid Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Rows Property

Description

Gets or sets the number of rows that are in the grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Rows() As Long

Return Type

The number of rows that are in the grid. The default is 0.

Remarks

A value of zero for the Rows property specifies that the row count is computed based on the number of columns and the number of visible child elements that are in the MarkupUniformGrid.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupUniformGrid Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupUniformGrid Object


%%PageItemTitle%%

MarkupViewbox Members

See Also Markup ActiveX Control v19.3

MarkupViewbox Object

For a list of all members defined in this module, see MarkupViewbox members.

Object Model

See Also

MarkupViewbox Members


%%PageItemTitle%% $$Members$$

MarkupViewbox Overview

See Also Markup ActiveX Control v19.3

MarkupViewbox Object Members

Public Methods

Public Method AddHandler
Public Method CaptureMouse
Public Method FindName
Public Method GetBoundingRect
Public Method ReleaseMouseCapture

Public Properties

Public Property ActualHeight
Public Property ActualWidth
Public Property Child
Public Property ClipToBounds
Public Property Cursor
Public Property Focusable
Public Property Height
Public Property HorizontalAlignment
Public Property IsEnabled
Public Property IsMouseOver
Public Property LostMouseCaptureEvent
Public Property Margin
Public Property MaxHeight
Public Property MaxWidth
Public Property MinHeight
Public Property MinWidth
Public Property MouseEnterEvent
Public Property MouseLeaveEvent
Public Property MouseLeftButtonDownEvent
Public Property MouseLeftButtonUpEvent
Public Property MouseMoveEvent
Public Property MouseRightButtonDownEvent
Public Property MouseRightButtonUpEvent
Public Property Name
Public Property Opacity
Public Property RenderTransform
Public Property Stretch
Public Property Tag
Public Property ToolTip
Public Property VerticalAlignment
Public Property Visibility
Public Property VisualParent
Public Property Width

See Also

MarkupViewbox Overview


%%PageItemTitle%%

MarkupViewbox Object

Event
Method
See Also Markup ActiveX Control v19.3

AddHandler Method

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event
Method

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Syntax

Public Sub CaptureMouse()

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

Name
See Also Markup ActiveX Control v19.3

FindName Method

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Child Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Child() As MarkupUIElement

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Cursor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Height Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Margin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Name Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Stretch Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Stretch() As MarkupStretch

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Tag Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupViewbox Object

See Also Markup ActiveX Control v19.3

Width Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

MarkupViewbox Object


%%PageItemTitle%%

MarkupVisual Members

See Also Markup ActiveX Control v19.3

MarkupVisual Object

Description

Provides rendering support in Markup.

For a list of all members defined in this module, see MarkupVisual members.

Object Model

See Also

MarkupVisual Members


%%PageItemTitle%% $$Members$$

MarkupVisual Overview

See Also Markup ActiveX Control v19.3

MarkupVisual Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VisualParent | Gets the visual tree parent of the visual object.

See Also

MarkupVisual Overview


%%PageItemTitle%%

MarkupVisual Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupVisual Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupVisual Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupVisual Object


%%PageItemTitle%%

MarkupWindowContainer Members

See Also Markup ActiveX Control v19.3

MarkupWindowContainer Object

For a list of all members defined in this module, see MarkupWindowContainer members.

Object Model

See Also

MarkupWindowContainer Members


%%PageItemTitle%% $$Members$$

MarkupWindowContainer Overview

See Also Markup ActiveX Control v19.3

MarkupWindowContainer Object Members

Public Methods

Public Method AddHandler
Public Method CaptureMouse
Public Method FindName
Public Method GetBoundingRect
Public Method ReleaseMouseCapture

Public Properties

Public Property ActualHeight
Public Property ActualWidth
Public Property Child
Public Property ClipToBounds
Public Property Cursor
Public Property Focusable
Public Property Height
Public Property HorizontalAlignment
Public Property IsEnabled
Public Property IsMouseOver
Public Property LostMouseCaptureEvent
Public Property Margin
Public Property MaxHeight
Public Property MaxWidth
Public Property MinHeight
Public Property MinWidth
Public Property MouseEnterEvent
Public Property MouseLeaveEvent
Public Property MouseLeftButtonDownEvent
Public Property MouseLeftButtonUpEvent
Public Property MouseMoveEvent
Public Property MouseRightButtonDownEvent
Public Property MouseRightButtonUpEvent
Public Property Name
Public Property Opacity
Public Property RenderTransform
Public Property Tag
Public Property ToolTip
Public Property VerticalAlignment
Public Property Visibility
Public Property VisualParent
Public Property Width

See Also

MarkupWindowContainer Overview


%%PageItemTitle%%

MarkupWindowContainer Object

Event
Method
See Also Markup ActiveX Control v19.3

AddHandler Method

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event
Method

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Syntax

Public Sub CaptureMouse()

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

Name
See Also Markup ActiveX Control v19.3

FindName Method

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Child Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Child() As Integer

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Cursor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Height Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Margin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Name Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Tag Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWindowContainer Object

See Also Markup ActiveX Control v19.3

Width Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

MarkupWindowContainer Object


%%PageItemTitle%%

MarkupWrapPanel Members

See Also Markup ActiveX Control v19.3

MarkupWrapPanel Object

Description

Wrap Panel Control

For a list of all members defined in this module, see MarkupWrapPanel members.

Object Model

Remarks

The Wrap Panel is very similar to the Stack Panel, with the addition that child elements are allows to wrap to the next row or column.

A Wrap Panel is most useful when needing to display an unknown number of items. The items might or might not be of the same width or height, but it is likely that they would be (Think of Windows Explorer displaying items as icons\large icons). If that is the case, then ItemWidth and ItemHeight can be used to accomplish uniform sizing. The only other option available is the Orientation, which indicates the items are displayed vertically or horizontally.

Child elements in the Wrap Panel are positioned sequential from left to right. Content is broken to the next line when the edge of the containing box is reached.

Wrap panels are very commonly used inside of a ScrollViewer control. This is because it is very likely the items in the Wrap panel with wrap bast the boundaries of the containing control, the ScrollViewer will allow these items to be scrolled to.

Example

[Wrap Panel Sample ()] The sample below shows a Wrap Panel that contains 20 Button controls and displays them in a ScrollViewer with a maximum width and height of 100 pixels.

<Page xmlns='http://schemas.microsoft.com/winfx/2006/xaml/presentation'
      xmlns:x='http://schemas.microsoft.com/winfx/2006/xaml'
      TextElement.FontSize="14" VerticalAlignment="Center"
      HorizontalAlignment="Center" Margin="5">

        <ScrollViewer MaxWidth = "100" MaxHeight="100" Margin="4" >
            <WrapPanel>
                <Button Content=" 1 "/>
                <Button Content=" 2 "/>
                <Button Content=" 3 "/>
                <Button Content=" 4 "/>
                <Button Content=" 5 "/>
                <Button Content=" 6 "/>
                <Button Content=" 7 "/>
                <Button Content=" 8 "/>
                <Button Content=" 9 "/>
                <Button Content="10" />
                <Button Content="11"/>
                <Button Content="12"/>
                <Button Content="13"/>
                <Button Content="14"/>
                <Button Content="15"/>
                <Button Content="16"/>
                <Button Content="17"/>
                <Button Content="18"/>
                <Button Content="19"/>
                <Button Content="20"/>
            </WrapPanel>
        </ScrollViewer>
</Page>

See Also

MarkupWrapPanel Members


%%PageItemTitle%% $$Members$$

MarkupWrapPanel Overview

See Also Markup ActiveX Control v19.3

MarkupWrapPanel Object Members

Public Methods

Public Method AddHandler | Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.
Public Method CaptureMouse | Attempts to force capture of the mouse to this element.
Public Method FindName | Finds an element that has the provided identifier name.
Public Method GetBoundingRect |
Public Method ReleaseMouseCapture | Releases the mouse capture, if this element held the capture.

Public Properties

Public Property ActualHeight |
Public Property ActualWidth |
Public Property Background | Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.
Public Property Children | Gets a MarkupUIElementCollection of child elements of this Panel.
Public Property ClipToBounds |
Public Property Cursor | Represents the image used for the mouse pointer.
Public Property Focusable |
Public Property Height | Gets or sets the suggested height of the element.
Public Property HorizontalAlignment | Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.
Public Property IsEnabled |
Public Property IsMouseOver | Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).
Public Property LostMouseCaptureEvent | Occurs when this element loses mouse capture.
Public Property Margin | Gets or sets the outer margin of an element.
Public Property MaxHeight | Gets or sets the maximum height constraint of the element.
Public Property MaxWidth | Gets or sets the maximum width constraint of the element.
Public Property MinHeight | Gets or sets the minimum height constraint of the element.
Public Property MinWidth | Gets or sets the minimum width constraint of the element.
Public Property MouseEnterEvent | Occurs when the mouse pointer enters the bounds of this element.
Public Property MouseLeaveEvent | Occurs when the mouse pointer leaves the bounds of this element.
Public Property MouseLeftButtonDownEvent | Occurs when the left mouse button is pressed while the mouse pointer is over the element.
Public Property MouseLeftButtonUpEvent | Occurs when the left mouse button is released while the mouse pointer is over the element.
Public Property MouseMoveEvent | Occurs when the mouse pointer moves while the mouse pointer is over the element.
Public Property MouseRightButtonDownEvent | Occurs when the right mouse button is pressed while the mouse pointer is over the element.
Public Property MouseRightButtonUpEvent | Occurs when the right mouse button is released while the mouse pointer is over the element.
Public Property Name | Gets or sets the identifying name of the element.
Public Property Opacity |
Public Property Orientation | Gets or sets a value that indicates the dimension by which child elements are stacked.
Public Property RenderTransform |
Public Property Tag | Gets or sets an arbitrary object value that can be used to store custom information about this element.
Public Property ToolTip | Tooltip displayed for this object when the mouse cursor is position on top of it.
Public Property VerticalAlignment | Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.
Public Property Visibility |
Public Property VisualParent | Gets the visual tree parent of the visual object.
Public Property Width | Gets or sets the suggested width of the element.

See Also

MarkupWrapPanel Overview


%%PageItemTitle%%

MarkupWrapPanel Object

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also Markup ActiveX Control v19.3

AddHandler Method

Description

Associates an event with an event handler at run time, or declares what code to execute when adding an event handler.

Syntax

Public Sub AddHandler( _
   ByVal Event As MarkupRoutedEvent, _
   ByVal Method As String _
)

Parameters

Event

The identifier for the MarkupRoutedEvent to be handled.

Method

Name of the methid in code that should be executed when the specified MarkupRoutedEvent is fired.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

CaptureMouse Method

Description

Attempts to force capture of the mouse to this element.

Syntax

Public Sub CaptureMouse()

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

Name

The name of the requested element.

See Also Markup ActiveX Control v19.3

FindName Method

Description

Finds an element that has the provided identifier name.

Syntax

Public Function FindName( _
   ByVal Name As String _
) As MarkupObject

Parameters

Name

The name of the requested element.

Return Type

The requested element. This can be null reference (Nothing in Visual Basic) if no matching element was found.

Remarks

If the element has child elements, these child elements are all searched recursively for the requested named element.

This is useful when trying to search for a child element within some other element. For example, searching for a TextBlock inside a StackPanel. You would use FindName to find the TextBlock with the specified name, then you could modify the contents of the TextBlock that was returned.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

GetBoundingRect Method

Syntax

Public Sub GetBoundingRect( _
   ByRef Left As Integer, _
   ByRef Top As Integer, _
   ByRef Right As Integer, _
   ByRef Bottom As Integer _
)

Parameters

Left
Top
Right
Bottom

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

ReleaseMouseCapture Method

Description

Releases the mouse capture, if this element held the capture.

Syntax

Public Sub ReleaseMouseCapture()

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

ActualHeight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualHeight() As Integer

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

ActualWidth Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property ActualWidth() As Integer

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property

See Also Markup ActiveX Control v19.3

Background Property

Description

Gets or sets a MarkupBrush that is used to fill the area between the borders of a MarkupPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Background() As MarkupBrush

Return Type

A MarkupBrush containing the background color of the panel. Default is Nothing (Transparent).

Remarks

The CreateSolidBrush method is used to create a solid color brush to paint the background for a panel.

For example: StackPanel.Background = Context.CreateSolidBrush(vbYellow)

Note that CreateSolidBrush creates a MarkupSolidColorBrush object that stores the color value. A value of nothing sets the background to Transparent.

To retreive the current color, use the MarkupSolidColorBrush.Color property.

For example: Print StackPanel.Background.Color

MarkupPanel elements do not receive mouse events if a Background is not defined. If you need to handle mouse events but do not want a background for your MarkupPanel, use Transparent.

Example

[Background Sample ()]

    StackPanel.Background = Context.CreateSolidBrush(vbYellow)

See Also

MarkupWrapPanel Object | MarkupContext Object | CreateSolidBrush Method | MarkupSolidColorBrush Object | Color Property


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Children Property

Description

Gets a MarkupUIElementCollection of child elements of this Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As MarkupUIElementCollection

Return Type

A MarkupUIElementCollection. By default the collection will be empty.

Remarks

The Children collection of a MarkupPanel element can only consist of MarkupUIElement objects. Adding a MarkupUIElement child to a Panel implicitly adds it to the MarkupUIElementCollection for the Panel element.

Example

[Adding children sample (Visual Basic)] This sample shows how to add a child item in code. You can also use the XAML string instead of code.

    Set myStackPanel = Context.CreateObject("StackPanel")
    Set myButton = Context.CreateObject("Button")
    myButton.Content = "Press me"
    myStackPanel.Children.Add(myButton)

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

ClipToBounds Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipToBounds() As Boolean

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Cursor Property

Description

Represents the image used for the mouse pointer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Cursor() As MarkupCursor

Return Type

The name of one of the predefined cursors in the MarkupCursor enumeration.

Remarks

The MarkupCursor enumeration contains a set of default cursors.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Focusable Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Height Property

Description

Gets or sets the suggested height of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Return Type

The height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

HorizontalAlignment Property

Description

Gets or sets the horizontal alignment characteristics applied to this element when it is composed within a parent element, such as a panel or items control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalAlignment() As MarkupHorizontalAlignment

Return Type

A horizontal alignment setting from the MarkupHorizontalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting HorizontalAlignment to Stretch.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

IsEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsEnabled() As Boolean

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

IsMouseOver Property

Description

Gets a value indicating whether the mouse pointer is located over this element (including child elements in the visual tree).

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsMouseOver() As Boolean

Return Type

True if mouse pointer is over the element or its child elements, False otherwise.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

LostMouseCaptureEvent Property

Description

Occurs when this element loses mouse capture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LostMouseCaptureEvent() As MarkupRoutedEvent

Remarks

When an element captures the mouse, it receives mouse input even if the pointer is outside its bounds. The mouse is typically captured only during drag-and-drop operations.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Margin Property

Description

Gets or sets the outer margin of an element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Margin() As MarkupThickness

Return Type

Provides margin values for the element. The default value is a MarkupThickness with all properties equal to 0 (zero).

Remarks

The margin is the space between this element and other elements that will be adjacent in the user interface.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MaxHeight Property

Description

Gets or sets the maximum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxHeight() As Long

Return Type

The maximum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MaxWidth Property

Description

Gets or sets the maximum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxWidth() As Long

Return Type

The maximun width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MinHeight Property

Description

Gets or sets the minimum height constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinHeight() As Long

Return Type

The minimum height of the element in pixels.

Remarks

Height is one of three properties that specify height information. The other two are MinHeight and MaxHeight. If there is a conflict between these values, the order of height determination is that first MinHeight must be honored, then MaxHeight, and finally, if it is within bounds, Height.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MinWidth Property

Description

Gets or sets the minimum width constraint of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinWidth() As Long

Return Type

The minimum width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseEnterEvent Property

Description

Occurs when the mouse pointer enters the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseEnterEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseLeaveEvent Property

Description

Occurs when the mouse pointer leaves the bounds of this element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeaveEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonDownEvent Property

Description

Occurs when the left mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseLeftButtonUpEvent Property

Description

Occurs when the left mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseLeftButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseMoveEvent Property

Description

Occurs when the mouse pointer moves while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseMoveEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonDownEvent Property

Description

Occurs when the right mouse button is pressed while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonDownEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

MouseRightButtonUpEvent Property

Description

Occurs when the right mouse button is released while the mouse pointer is over the element.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MouseRightButtonUpEvent() As MarkupRoutedEvent

See Also

MarkupWrapPanel Object

Example

Using SetHandler to Handle Click and RightMouseButtonp Events


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Name Property

Description

Gets or sets the identifying name of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

Return Type

The name of the element. The default is an empty string.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Opacity Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Opacity() As Double

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Orientation Property

Description

Gets or sets a value that indicates the dimension by which child elements are stacked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As MarkupOrientation

Return Type

A value from the MarkupOrientation enumeration that specifies the orientation of the child content.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

RenderTransform Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RenderTransform() As MarkupObject

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Tag Property

Description

Gets or sets an arbitrary object value that can be used to store custom information about this element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

ToolTip Property

Description

Tooltip displayed for this object when the mouse cursor is position on top of it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As Variant

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment characteristics applied to this element when it is composed within a parent element such as a panel or items control. This is a dependency property.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As MarkupVerticalAlignment

Return Type

A vertical alignment setting from the MarkupVerticalAlignment enumeration. The default Stretch.

Remarks

When Height and Width properties are explicitly set on an element, these measurements take higher precedent during layout and will cancel the typical effects of setting VerticalAlignment to Stretch.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Visibility Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visibility() As MarkupVisibility

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

VisualParent Property

Description

Gets the visual tree parent of the visual object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property VisualParent() As MarkupVisual

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

MarkupWrapPanel Object

See Also Markup ActiveX Control v19.3

Width Property

Description

Gets or sets the suggested width of the element.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Return Type

The width of the element in pixels.

Remarks

Width is one of three properties that specify height information. The other two are MinWidth and MaxWidth. If there is a conflict between these values, the order of height determination is that first MinWidth must be honored, then MaxWidth, and finally, if it is within bounds, Width.

See Also

MarkupWrapPanel Object


%%PageItemTitle%%

ToolTipContext Members

See Also Markup ActiveX Control v19.3

ToolTipContext Object

For a list of all members defined in this module, see ToolTipContext members.

See Also

ToolTipContext Members


%%PageItemTitle%% $$Members$$

ToolTipContext Overview

See Also Markup ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported
Public Method SetMargin
Public Method SetVectorIconSize
Public Method ShowImage
Public Method ShowTitleAndDescription

Public Properties

Public Property Font
Public Property ImageDPIScaling
Public Property MaxTipWidth
Public Property ShowOfficeBorder
Public Property ShowShadow
Public Property Style
Public Property TipBkColor
Public Property TipTextColor

See Also

ToolTipContext Overview


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

IsBalloonStyleSupported Method

Syntax

Public Function IsBalloonStyleSupported() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

Left
Top
Right
Bottom
See Also Markup ActiveX Control v19.3

SetMargin Method

Syntax

Public Sub SetMargin( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Top
Right
Bottom

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Markup ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
ImageBase
See Also Markup ActiveX Control v19.3

ShowImage Method

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
ImageBase

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowTitleAndDescription
IconTitle
See Also Markup ActiveX Control v19.3

ShowTitleAndDescription Method

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription
IconTitle
Value Description
xtpToolTipIconNone
xtpToolTipIconInfo
xtpToolTipIconWarning
xtpToolTipIconError

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

Font Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

MaxTipWidth Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

ShowOfficeBorder Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

ShowShadow Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

Style Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

TipBkColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Markup ActiveX Control v19.3

TipTextColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupConstants Enumeration

Members

Member | Description
xtpMarkupMaxIntValue |


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupCursor Enumeration

Description

Defines a set of default cursors.

Members

Member | Description
xtpMarkupCursorNone | A value indicating that no cursor should be displayed.
xtpMarkupCursorNo | No cursor.
xtpMarkupCursorArrow | A standard arrow cursor.
xtpMarkupCursorAppStarting | A standard arrow with small hourglass cursor.
xtpMarkupCursorCross | A crosshair cursor.
xtpMarkupCursorIBeam | A text I-Beam cursor.
xtpMarkupCursorSizeAll | A cursor with arrows pointing north, south, east, and west.
xtpMarkupCursorSizeNESW | A cursor with arrows pointing northeast and southwest.
xtpMarkupCursorSizeNS | A cursor with arrows pointing north and south.
xtpMarkupCursorSizeNWSE | A cursor with arrows pointing northwest and southeast.
xtpMarkupCursorSizeWE | A cursor with arrows pointing west and east.
xtpMarkupCursorUpArrow | A vertical arrow cursor.
xtpMarkupCursorWait | An hourglass cursor.
xtpMarkupCursorHand | A hand cursor.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupDock Enumeration

Description

Specifies the Dock position of a child element that is inside a MarkupDockPanel.

Members

Member | Description
xtpMarkupDockLeft | A child element that is positioned on the left side of the MarkupDockPanel
xtpMarkupDockTop | A child element that is positioned at the top of the MarkupDockPanel
xtpMarkupDockRight | A child element that is positioned on the right side of the MarkupDockPanel
xtpMarkupDockBottom | A child element that is positioned at the bottom of the MarkupDockPanel

Remarks

If you set the LastChildFill property to true, the last child element of a MarkupDockPanel always fills the remaining space, regardless of any other dock value that you set on the last child element. To dock a child in another direction, you must set the LastChildFill property to false and must also set an explicit dock direction on the last child element.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupFontStyle Enumeration

Description

Specifies style information applied to text.

Members

Member | Description
xtpMarkupFontStyleNormal | Normal text.
xtpMarkupFontStyleItalic | Italic text.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupFontWeight Enumeration

Description

Provides a set of static predefined font weight values.

Members

Member | Description
xtpMarkupFontWeightBold | Specifies a "Bold" font weight.
xtpMarkupFontWeightThin | Specifies a "Thin" font weight.
xtpMarkupFontWeightLight | Specifies a "Light" font weight.
xtpMarkupFontWeightBlack | Specifies a "Black" font weight. Black is equivalent in font weight to Heavy.
xtpMarkupFontWeightHeavy | Specifies a "Heavy" font weight.
xtpMarkupFontWeightNormal | Specifies a "Normal" font weight.
xtpMarkupFontWeightMedium | Specifies a "Medium" font weight.
xtpMarkupFontWeightRegular | Specifies a "Regular" font weight.

Remarks

Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupGridUnitType Enumeration

Members

Member | Description
xtpMarkupUnitTypeAuto |
xtpMarkupUnitTypePixel |
xtpMarkupUnitTypeStar |


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupHorizontalAlignment Enumeration

Description

Indicates where an element should be displayed on the horizontal axis relative to the allocated layout slot of the parent element.

Members

Member | Description
xtpMarkupHorizontalAlignmentLeft | An element aligned to the left of the layout slot for the parent element.
xtpMarkupHorizontalAlignmentCenter | An element aligned to the center of the layout slot for the parent element.
xtpMarkupHorizontalAlignmentRight | An element aligned to the right of the layout slot for the parent element.
xtpMarkupHorizontalAlignmentStretch | An element stretched to fill the entire layout slot of the parent element.

Remarks

Stretch is the default layout behavior. Element Height and Width properties that are explicitly set take precedence over the Stretch property value.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupLineCap Enumeration

Members

Member | Description
xtpMarkupLineCapFlat |
xtpMarkupLineCapSquare |
xtpMarkupLineCapRound |
xtpMarkupLineCapTriangle |


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupLineJoin Enumeration

Members

Member | Description
xtpMarkupLineJoinMiter |
xtpMarkupLineJoinBevel |
xtpMarkupLineJoinRound |


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupOrientation Enumeration

Description

Defines the different orientations that a control or layout can have.

Members

Member | Description
xtpMarkupOrientationHorizontal | Control or layout should be horizontally oriented.
xtpMarkupOrientationVertical | Control or layout should be vertically oriented.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupStretch Enumeration

Description

Defines how content is resized to fill its allocated space.

Members

Member | Description
xtpMarkupStretchNone | The content preserves its original size.
xtpMarkupStretchFill | The content is resized to fill the destination dimensions. The aspect ratio is not preserved.
xtpMarkupStretchUniform | The content is resized to fit in the destination dimensions while it preserves its native aspect ratio.
xtpMarkupStretchUniformToFill | The content is resized to fill the destination dimensions while it preserves its native aspect ratio. If the aspect ratio of the destination rectangle differs from the source, the source content is clipped to fit in the destination dimensions.


%%PageItemTitle%%

TextAlignment Property

See Also Markup ActiveX Control v19.3

MarkupTextAlignment Enumeration

Description

Specifies whether the text in the object is left-aligned, right-aligned, centered, or justified.

Members

Member | Description
xtpMarkupTextAlignmentLeft | Default. Text is aligned to the left.
xtpMarkupTextAlignmentRight | Text is aligned to the right.
xtpMarkupTextAlignmentCenter | Text is centered.
xtpMarkupTextAlignmentJustify | Text is justified.

Remarks

The enumerated values for the MarkupTextAlignment class are Left, Right, Center, and Justify.

See Also

TextAlignment Property


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupTextDecorations Enumeration

Description

Provides a set of static predefined text decorations.

Members

Member | Description
xtpMarkupTextDecorationsNone | Plain text.
xtpMarkupTextDecorationsUnderline | Underlined text.
xtpMarkupTextDecorationsStrikethrough | Strikethrough text.

Remarks

There are two types of text decorations: strikethrough, and underline.


%%PageItemTitle%%

TextTrimming Property

See Also Markup ActiveX Control v19.3

MarkupTextTrimming Enumeration

Description

Describes how text is trimmed when it overflows the edge of its containing box.

Members

Member | Description
xtpMarkupTextTrimmingNone | Text is not trimmed.
xtpMarkupTextTrimmingCharacterEllipsis | Text is trimmed at a character boundary. An ellipsis (...) is drawn in place of remaining text.
xtpMarkupTextTrimmingWordEllipsis | Text is trimmed at a word boundary. An ellipsis (...) is drawn in place of remaining text.

See Also

TextTrimming Property


%%PageItemTitle%%

TextWrapping Property

See Also Markup ActiveX Control v19.3

MarkupTextWrapping Enumeration

Description

Specifies whether text wraps when it reaches the edge of the containing box.

Members

Member | Description
xtpMarkupTextNoWrap | No line wrapping is performed.
xtpMarkupTextWrap | Line-breaking occurs if the line overflows beyond the available block width, even if the standard line breaking algorithm cannot determine any line break opportunity, as in the case of a very long word constrained in a fixed-width container with no scrolling allowed.
xtpMarkupTextWrapWithOverflow | Line-breaking occurs if the line overflows beyond the available block width. However, a line may overflow beyond the block width if the line breaking algorithm cannot determine a line break opportunity, as in the case of a very long word constrained in a fixed-width container with no scrolling allowed.

See Also

TextWrapping Property


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupVerticalAlignment Enumeration

Description

Describes how a child element is vertically positioned or stretched within a parent's layout slot.

Members

Member | Description
xtpMarkupVerticalAlignmentTop | The child element is aligned to the top of the parent's layout slot.
xtpMarkupVerticalAlignmentCenter | The child element is aligned to the center of the parent's layout slot.
xtpMarkupVerticalAlignmentBottom | The child element is aligned to the bottom of the parent's layout slot.
xtpMarkupVerticalAlignmentStretch | The child element stretches to fill the parent's layout slot.

Remarks

Element Height and Width properties that are explicitly set take precedence over the Stretch property value.


%%PageItemTitle%%

Markup ActiveX Control v19.3

MarkupVisibility Enumeration

Description

Specifies the display state of an element.

Members

Member | Description
xtpMarkupVisibilityVisible | Display the element.
xtpMarkupVisibilityHidden | Do not display the element, but reserve space for the element in layout.
xtpMarkupVisibilityCollapsed | Do not display the element, and do not reserve space for it in layout.

Remarks

Elements that have a Visibility value of Collapsed do not occupy any layout space. By default, elements are Visible.


%%PageItemTitle%%

Markup ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.


%%PageItemTitle%%

Markup ActiveX Control v19.3

XTPMarkupSmoothingMode Enumeration

Description

Possible rendering smoothing modes

Members

Member | Description
xtpMarkupSmoothingDefault |
xtpMarkupSmoothingNone |
xtpMarkupSmoothingHighSpeed |
xtpMarkupSmoothingHighQuality |
xtpMarkupSmoothingAntiAlias |


%%PageItemTitle%%

Markup ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

ToolTip Icon

Members

Member | Description
xtpToolTipIconNone |
xtpToolTipIconInfo |
xtpToolTipIconWarning |
xtpToolTipIconError |


%%PageItemTitle%%

Markup ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

ToolTip Style

Members

Member | Description
xtpToolTipStandard |
xtpToolTipBalloon |
xtpToolTipOffice |
xtpToolTipRTF |
xtpToolTipLuna |
xtpToolTipResource |
xtpToolTipHTML |
xtpToolTipMarkup |
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |


Property Grid ActiveX Controls v19.3

Property Grid ActiveX Control v19.3
Property Grid ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
PropertyGrid | Represents a PropertyGrid control
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
PropertyGridGlobalSettings | Property Grid Global Settings
PropertyGridInplaceButton | Represents an in-place button in the Property Grid control.
PropertyGridInplaceButtons | Represents collection of inplace buttons for a specified grid item
PropertyGridInplaceSliderControl | Represent s a slider control.
PropertyGridInplaceSpinButton | Represents a spin button.
PropertyGridItem | The PropertyGridItem object represents an item in the Property Grid.
PropertyGridItemBool | The PropertyGridItemBool object represents an item in the Property Grid that stores a boolean value.
PropertyGridItemColor | The PropertyGridItemColor object represents an item in the Property Grid that stores a color value.
PropertyGridItemConstraint | The PropertyGridItemConstraint Object represents a single item constraint.
PropertyGridItemConstraints | The PropertyGridItemConstraints collection represents the collection of PropertyGridItemConstraint objects for a PropertyGridItem.
PropertyGridItemDate | Constructs a PropertyGridItemDate object, PropertyGridItems of type PropertyItemDate are of this type.
PropertyGridItemDouble | Constructs a PropertyGridItemDouble object, PropertyGridItems of type PropertyItemDouble are of this type.
PropertyGridItemFont | Constructs a PropertyGridItemFont object, PropertyGridItems of type PropertyItemFont are of this type.
PropertyGridItemMetrics | Used to store and group together the general drawing metrics of a PropertyGridItem.
PropertyGridItemOption | Represents an option button or check box.
PropertyGridItemPicture | Constructs a PropertyGridItemPicture object, PropertyGridItems of type PropertyItemPicture are of this type.
PropertyGridItems | Represents a collection of PropertyItems.
PropertyGridPaintManager | Paint manager object used for drawing a property grid control window.
PropertyGridUpdateContext | The PropertyGridUpdateContext object is used to save the current state of the property grid such as the currently selected item, PropertySort preference, and the expanding state of each item in the grid.
PropertyGridVerb | The PropertyGridVerb object represents a verb link that is displayed in the verb panel.
PropertyGridVerbs | The PropertyGridVerbs object represent a collection of PropertyGridVerb objects which are displayed in the verb panel. See PropertyGridVerb for a description of verbs.
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
PropertyGridItemColorEditor | Specifies which type of color selector is used for a PropertyGridItemColor item.
PropertyItemDrawTextFormat | Text formatting styles for property grid items.
PropertyItemEditStyle | Edit style(s) for property grid items when in edit mode.
PropertyItemFlags | Flags that indicate the different PropertyGridItem styles that can be set.
PropertyItemType | Specifies the type of a PropertyGridItem.
PropertySort | Specifies the grouping\sort styles used to display PropertyGridItems in the PropertyGrid.
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies when an image/icon/bitmap will be displayed. This is specified when it is added to the PropertyGrid's collection of images.
XTPPropertyGridBorderStyle | Border Style enumeration
XTPPropertyGridVisualTheme | Specifies various visual themes that can be applied to the Property Grid.
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Property Grid ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Property Grid ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the PropertyGrid if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Property Grid control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Property Grid ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Property Grid ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for the Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Property Grid ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for the Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Property Grid ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the PropertyGrid if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Property Grid ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Property Grid control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Property Grid can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Property Grid can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Property Grids and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Property Grid ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Property Grid ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Property Grid ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Property Grid ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Property Grid ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Property Grid ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Property Grid ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Property Grid ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Property Grid ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Property Grid ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Property Grid ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Property Grid ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Property Grid ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddBitmap | Used to add an icon(s) to the ImageManagerIcons collection of icons from a BitMap resource.
Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the collection of images.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
The handle to the Bitmap Resource to be added. The Handle must be to a GDI BITMAP.
Commands
The id(s) that will be used to identify the icon(s) in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
Alpha
Specifies whether the image is a 32-Bit Alpha image.
See Also Property Grid ActiveX Control v19.3

AddBitmap Method

Description

Used to add an icon(s) to the ImageManagerIcons collection of icons from a BitMap resource.

Syntax

Public Sub AddBitmap( _
   ByVal Handle As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState, _
   ByVal Alpha As Boolean _
)

Parameters

Handle
The handle to the Bitmap Resource to be added. The Handle must be to a GDI BITMAP.
Commands
The id(s) that will be used to identify the icon(s) in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.
Alpha
Specifies whether the image is a 32-Bit Alpha image.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | Item IconIndex Property | Constraint IconIndex Property

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Property Grid ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the IconIndex property of the PropertyGridItem or PropertyGridItemConstraint object.

See Also

ImageManagerIcons Collection | Item IconIndex Property | Constraint IconIndex Property


%%PageItemTitle%%

ImageManagerIcons Collection

Icons
Pointer to the collection of icons to add to this collection.
See Also Property Grid ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Property Grid ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Property Grid ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the IconIndex property of the PropertyGridItem object.

NOTE: You will need to include the bitmap file with your application(exe) if this method is used.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Property Grid ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the IconIndex property of the PropertyGridItem object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Property Grid ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the IconIndex property of the PropertyGridItem object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Property Grid ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Property Grid ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Property Grid ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Property Grid ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Property Grid ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

The number of icons in the collection of images.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Use this property to determine how many images are in the collection of icons. This will tell you how many icons are available.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Property Grid ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Property Grid ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Property Grid ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Property Grid ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Property Grid ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Property Grid ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Property Grid ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Property Grid ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Property Grid ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Property Grid ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Property Grid ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

PropertyGrid Members

See Also Property Grid ActiveX Control v19.3

PropertyGrid Control

Description

Represents a PropertyGrid control

For a list of all members defined in this module, see PropertyGrid members.

Object Model

See Also

PropertyGrid Members


%%PageItemTitle%% $$Members$$

PropertyGrid Overview

See Also Property Grid ActiveX Control v19.3

PropertyGrid Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control.
Public Method AddCategory | Adds a new category to the Property Grid control.
Public Method BeginUpdate | The BeginUpdate method will "lock" the property grid. This should be called when adding, deleting, or modifying a large number of items.
Public Method EditItem | Places an item into edit mode via code.
Public Method EndUpdate | The EndUpdate method is called to end the update process started by BeginUpdate. EndUpdate will "unlock" the grid after you have finished adding, deleting, or modifying a large amount of items.
Public Method FindItem | Finds and returns a PropertyGridItem, searching by the Caption or Tag value.
Public Method HitTest | Tests a point to see if a PropertyGridItem is present. If there is, then a reference to that item is returned.
Public Method InsertCategory | The InsertCategory method is used to insert a new category to the Property Grid at a specific position.

Public Properties

Public Property AllowEdit | Specifies whether items in the PropertyGrid are allowed to be edited by the user. This can be thought of as Read-Only mode when set to False.
Public Property BorderStyle | Gets\sets the border style for Property Grid.
Public Property Categories | Gets the categories collection of this PropertyGrid.
Public Property EditHwnd | Handle of Edit Window where user enters text in edit mode.
Public Property EditMode | Specifies whether the PropertyGrid is currently in edit mode (An item is being edited).
Public Property Enabled | Returns/sets a value that determines whether an object can respond to user-generated events.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Title, Description and Tooltip of items in the property grid.
Public Property Font | Gets/sets the font used to display text in the property grid.
Public Property HelpBackColor | Gets/sets the background color for the PropertyGrid help panel.
Public Property HelpForeColor | Gets/sets the forecolor\text color for the PropertyGrid help panel.
Public Property HelpHeight | Gets/Sets the height of the built in help box at the bottom of the PropertyGrid.
Public Property HelpVisible | Gets/Sets a Boolean value indicating whether the built in help panel is visible.
Public Property HideSelection | Specifies whether the selection in a Property Grid is hidden when the control loses focus.
Public Property HighlightChangedButtonItems | Gets\sets whether the text in the in-place button will be bold if HighlightChanged is used.
Public Property HighlightChangedItems | Specifies whether item's who's value has changed from the DefaultValue will be displayed in bold.
Public Property hWnd | Returns the handle to the PropertyGrid control.
Public Property Icons | A collection of icons that can be used in the PropertyGridItem and PropertyGridItemConstraint objects.
Public Property LineColor | Gets/sets the line color for the property grid. This is the area of the property grid that surrounds the property grid items.
Public Property LockRedraw | Returns whether the grid will be redrawn after an item is added.
Public Property NavigateCaptions | Specifies whether item captions will receive focus in the grid when items are navigated when pressing the Tab key.
Public Property NavigateItems | The NavigateItems property is used to specify how the items in the grid are navigated when pressing the Tab key.
Public Property PaintManager | Pointer to the paint manager used to draw the property grid.
Public Property PropertySort | Gets/Sets the way in which PropertyGridItems are sorted in the PropertyGrid.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the Property Grid elements are aligned to support locales using right-to-left fonts.
Public Property Selected | Returns a reference to the PropertyGridItem that is currently selected\has focus.
Public Property ShowInplaceButtonsAlways | Specifies whether to always display all in-places buttons for all items regardless of which item currently selected.
Public Property SplitterPos | Gets/Sets the position of the splitter that divides the item description from the item data.
Public Property ToolBarVisible | Gets/Sets a Boolean value indicating whether the built in toolbar is visible.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TopIndex | Returns the index of the topmost item displayed in the Property Grid.
Public Property VariableHelpHeight | Gets\sets whether the user can resize the help box with the mouse.
Public Property VariableItemsHeight | Gets\Set whether variable item height is allowed in the property grid.
Public Property VariableSplitterPos | Gets\sets whether the user can move the property grid splitter.
Public Property Verbs | The Verbs property is a collection of PropertyGridVerb objects that are displayed in the verb panel.
Public Property VerbsHeight | The VerbsHeight property is used to get or set the height of the verb panel when visible.
Public Property ViewBackColor | Gets/Sets the view backcolor for the PropertyGrid. This is the background color of the PropertyGridItems.
Public Property ViewCategoryForeColor | Gets/Sets the color used to display the text of Category PropertygridItems.
Public Property ViewForeColor | Gets/Sets the view forecolor for the property grid. This is the foreground color of the property grid items.
Public Property ViewReadOnlyForeColor | The ViewReadOnlyForeColor is used to get or set the text color of read only items.
Public Property VisualTheme | Gets/Sets the visual theme that is used by PropertyGrid

Events

Public Event AfterEdit | Occurs after an edit operation is complete.
Public Event CancelEdit | Occurs if the edit operation has been canceled.
Public Event DblClick | Occurs when the description half (left side) of a PropertyGridItem has been double clicked, and when a category item is double-clicked. The item that was double-clicked is passed to this event.
Public Event EditChanged | Occurs when the contents of an item has changed while in edit mode.
Public Event ExpandChanged | Occurs when a expand\collapse button is clicked.
Public Event InplaceButtonDown | Occurs when a combo button or expand button that was added by the developer is clicked. Built in buttons such as the color picker button do not trigger this event. It is used only for custom buttons.
Public Event KeyDown | Occurs when a key is pressed down and the property grid has focus. This event will not be triggered while editing a property grid item, only when an item or category is selected.
Public Event KeyUp | Occurs when a key is released and the property grid has focus. This event will not be triggered while editing a property grid item, only when an item or category is selected.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event PropertySortChanged | Occurs when the PropertySort property has changed.
Public Event RClick | Occurs when you right-click anywhere on the property grid. The item that was right-clicked is passed to this event. This event is not triggered if you right-click the item you are currently editing.
Public Event ReCreated |
Public Event RequestEdit | Occurs when an editable item goes into edit mode.
Public Event SelectionChanged | Occurs when a new item is selected in the PropertyGrid.
Public Event ValueChanged | Occurs when the value of a PropertyGridItem has changed.
Public Event VerbClick | The VerbClick event occurs when a user clicks on a verb or when a verb has focus and the enter key is pressed.

See Also

PropertyGrid Overview


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control.

Syntax

Public Sub AboutBox()

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Title
The caption/ title of the category.
See Also Property Grid ActiveX Control v19.3

AddCategory Method

Description

Adds a new category to the Property Grid control.

Syntax

Public Function AddCategory( _
   ByVal Title As String _
) As PropertyGridItem

Parameters

Title
The caption/ title of the category.

Return Type

Reference to the new PropertyGridItem.

Remarks

Categories are used to group PropertyGritItems into groups within the PropertyGrid. By default, the background color of categories are displayed in a different color than normal items. Categories have an expand/collapse button that can be used to show\hide the PropertyGridItems that belong the the category.

Example

[Adding a Category to the PropertyGrid (Visual Basic)] This sample illustrates how to add a Category to the PropertyGrid.

    Dim Category As PropertyGridItem

    'Adds a Category to the PropertyGrid titled "Vehicle" category
    Set Category = wndPropertyGrid.AddCategory("Vehicle")
    'Adds a PropertyGridItem of type String titled "Manufacturer" with a value of "XYZ Company" to
    'the "Vehicle" category
    Category.AddChildItem PropertyItemString, "Manufacturer", "XYZ Company"
    'Adds a PropertyGridItem of type Number titled "Year" with a value of "2004" to
    'the "Vehicle" category
    Category.AddChildItem PropertyItemNumber, "Year", "2004"
    'Adds a PropertyGridItem of type Color titled "Color" with a value of "vbRed" to
    'the "Vehicle" category
    Category.AddChildItem PropertyItemColor, "Color", vbGreen

    'Adds a Category to the PropertyGrid titled "Customer" category
    Set Category = wndPropertyGrid.AddCategory("Customer")
    'Adds a PropertyGridItem of type String titled "Name" with a value of "John Doe" to
    'the "Customer" category"
    Category.AddChildItem PropertyItemString, "Name", "John Doe"
    'Adds a PropertyGridItem of type Number titled "Age" with a value of "34" to
    'the "Customer" category"
    Category.AddChildItem PropertyItemNumber, "Age", "34"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | PropertyGridUpdateContext Object | EndUpdate Method

See Also Property Grid ActiveX Control v19.3

BeginUpdate Method

Description

The BeginUpdate method will "lock" the property grid. This should be called when adding, deleting, or modifying a large number of items.

Syntax

Public Function BeginUpdate() As PropertyGridUpdateContext

Return Type

Pointer to the currently used PropertyGridUpdateContext. The EndUpdate method will use this PropertyGridUpdateContext to end the update.

Remarks

Each time you add a new item or category to the grid, the state of the grid is updated and the grid is redrawn. If you want to delete all items in the grid and then add allot of new items it will be quite slow. To do this, you would call BeginUpdate, then delete all the items. The property grid will be locked until you call EndUpdate.

It might be a good idea to implement a "busy" mouse cursor until the EndUpdate method is called.

See Also

PropertyGrid Control | PropertyGridUpdateContext Object | EndUpdate Method

Example

Locking the Property Grid Before a Large Update.


%%PageItemTitle%%

PropertyGrid Control

Item
Item to place into edit mode.
SelectText
True to start edit mode with all the text selected\highlighted, False to start edit mode with the cursor at the beginning of the text with nothing highlighted.
See Also Property Grid ActiveX Control v19.3

EditItem Method

Description

Places an item into edit mode via code.

Syntax

Public Sub EditItem( _
   ByVal Item As PropertyGridItem, _
   ByVal SelectText As Boolean _
)

Parameters

Item
Item to place into edit mode.
SelectText
True to start edit mode with all the text selected\highlighted, False to start edit mode with the cursor at the beginning of the text with nothing highlighted.

Remarks

EditItem allows you to programmatically simulate a mouse click\double click to put an item into edit mode.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | BeginUpdate Method | PropertyGridUpdateContext Object

Context
Pointer to the PropertyGridUpdateContext of the update process you want to end.
See Also Property Grid ActiveX Control v19.3

EndUpdate Method

Description

The EndUpdate method is called to end the update process started by BeginUpdate. EndUpdate will "unlock" the grid after you have finished adding, deleting, or modifying a large amount of items.

Syntax

Public Sub EndUpdate( _
   ByVal Context As PropertyGridUpdateContext _
)

Parameters

Context
Pointer to the PropertyGridUpdateContext of the update process you want to end.

Remarks

Each time you add a new item or category to the grid, the state of the grid is updated and the grid is redrawn. If you want to delete all items in the grid and then add allot of new items it will be quite slow. To do this, you would call BeginUpdate, then delete all the items. The property grid will be locked until you call EndUpdate.

The changes made to the grid will not be visible until the EndUpdate method is called.

See Also

PropertyGrid Control | BeginUpdate Method | PropertyGridUpdateContext Object

Example

Unlocking the Grid After a Large Update.


%%PageItemTitle%%

PropertyGrid Control

CaptionOrId
A Variant value. If it is a String, then the Caption is used to search for the item. If it is a number, then the Id is used to search for the item.
See Also Property Grid ActiveX Control v19.3

FindItem Method

Description

Finds and returns a PropertyGridItem, searching by the Caption or Tag value.

Syntax

Public Function FindItem( _
   ByVal CaptionOrId As Variant _
) As PropertyGridItem

Parameters

CaptionOrId
A Variant value. If it is a String, then the Caption is used to search for the item. If it is a number, then the Id is used to search for the item.

Return Type

Reference to the found PropertyGridItem.

Example

[Find Sample (Visual Basic)] This sample illustrates how to find a PropertyGridItem in the collection of items. Once found, you can access and modify the item.

    Dim Item As PropertyGridItem

    'Finds the PropertyGridItem with a Caption of "Settings"
    Set Item = wndPropertyGrid.FindItem("Settings")

    'Finds the PropertyGridItem with an ID of 500.
    Set Item = wndPropertyGrid.FindItem(500)

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

x
X coordinate of a point to test.
y
Y coordinate of a point to test.
See Also Property Grid ActiveX Control v19.3

HitTest Method

Description

Tests a point to see if a PropertyGridItem is present. If there is, then a reference to that item is returned.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As PropertyGridItem

Parameters

x
X coordinate of a point to test.
y
Y coordinate of a point to test.

Return Type

Reference to a PropertyGridItem if present at the specified point.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | AddCategory Method

Index
The position in the collection of categories to insert the new category.
Title
The caption/title of the category.
See Also Property Grid ActiveX Control v19.3

InsertCategory Method

Description

The InsertCategory method is used to insert a new category to the Property Grid at a specific position.

Syntax

Public Function InsertCategory( _
   ByVal Index As Integer, _
   ByVal Title As String _
) As PropertyGridItem

Parameters

Index
The position in the collection of categories to insert the new category.
Title
The caption/title of the category.

Return Type

Pointer to the category at the specified index that was inserted into the grid.

Remarks

The InsertCategory method creates a new category and inserts the new category at the specified index.

Categories are used to group PropertyGritItems into groups within the PropertyGrid. By default, the background color of categories are displayed in a different color than normal items. Categories have an expand/collapse button that can be used to show\hide the PropertyGridItems that belong the the category.

Example

[InsertCategory Sample (Visual Basic)] This sample illustrates how to use the InsertCategory method to create a new category and insert it at a specific position in the grid.

    'Create a new category called "New Category" and places it as
    'the first category in the property grid.
    wndPropertyGrid.InsertCategory 0, "New Category"

See Also

PropertyGrid Control | AddCategory Method


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

AllowEdit Property

Description

Specifies whether items in the PropertyGrid are allowed to be edited by the user. This can be thought of as Read-Only mode when set to False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEdit() As Boolean

Remarks

When AllowEdit is False the PropertyGrid can be thought of as in Read-Only mode. The grid will look normal, text can be selected, but not edited.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

BorderStyle Property

Description

Gets\sets the border style for Property Grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As XTPPropertyGridBorderStyle

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

Categories Property

Description

Gets the categories collection of this PropertyGrid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Categories() As PropertyGridItems

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

EditHwnd Property

Description

Handle of Edit Window where user enters text in edit mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditHwnd() As Integer

Return Type

Handle of Edit Window where user enters text in edit mode.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

EditMode Property

Description

Specifies whether the PropertyGrid is currently in edit mode (An item is being edited).

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditMode() As Boolean

Remarks

EditMode will be True anytime an item is in edit mode (i.e. text getting changed).

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

Enabled Property

Description

Returns/sets a value that determines whether an object can respond to user-generated events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

If False, the PropertyGrid will not respond to any events.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Title, Description and Tooltip of items in the property grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

Font Property

Description

Gets/sets the font used to display text in the property grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

HelpBackColor Property

Description

Gets/sets the background color for the PropertyGrid help panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpBackColor() As ULong

Remarks

This is the background color used in the HelpPanel when HelpVisible is True.

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

HelpForeColor Property

Description

Gets/sets the forecolor\text color for the PropertyGrid help panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpForeColor() As ULong

Remarks

This is the color used to display text in the HelpPanel when HelpVisible is True.

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | VariableHelpHeight Property

See Also Property Grid ActiveX Control v19.3

HelpHeight Property

Description

Gets/Sets the height of the built in help box at the bottom of the PropertyGrid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpHeight() As Long

Remarks

The HelpVisible property must be set to True to see the Help box. Height is expressed as pixels.

Example

[Changing the Help Box Height (Visual Basic)] This sample illustrates how to change the height of the Help Box at the bottom of the PropertyGrid.

    'This will make the Help Box 100 pixels in height
    wndPropertyGrid.HelpHeight = 100

See Also

PropertyGrid Control | VariableHelpHeight Property


%%PageItemTitle%%

PropertyGrid Control | Description Property

See Also Property Grid ActiveX Control v19.3

HelpVisible Property

Description

Gets/Sets a Boolean value indicating whether the built in help panel is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpVisible() As Boolean

Remarks

If True, a Help Box\Panel is displayed at the bottom of the PropertyGrid that displays the Caption and Description of a PropertyGridItem when the item has focus. This is where you can display helpful information or instructions about an item.

Example

[HelpVisible Sample (Visual Basic)] This sample illustrates how to add text to an item that will be displayed in the Help Box when it is visible.

    Dim Category As PropertyGridItem
    Dim Item As PropertyGridItem

    'The Caption of this Item will be shown in bold in the Help Box when this item has focus
    Set Item = Category.AddChildItem(PropertyItemDouble, "Hourly Rate", 1117.4)
    'The Description is the help text shown in the Help Box when this item has focus
    Item.Description = "Employee Hourly Rate."
    Item.Format = "%0.5f"
    Item = Item + 6

    'Displayes the Help Box at the bottom of the PropertyGrid
    wndPropertyGrid.HelpVisible = True

See Also

PropertyGrid Control | Description Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

HideSelection Property

Description

Specifies whether the selection in a Property Grid is hidden when the control loses focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

Remarks

Set to True to hide the current selection in the Property Grid when the control doesn't have focus.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

HighlightChangedButtonItems Property

Description

Gets\sets whether the text in the in-place button will be bold if HighlightChanged is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightChangedButtonItems() As Boolean

Return Type

True if the text will be bold, False if displayed as normal.

Remarks

HighlightChangedButtonItems allows you to choose if text in the in-place button will be bold if HighlightChanged is used. This is handy if you don't want the text in the in-place button displayed bold.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | AddChildItem Method | DefaultValue Property

See Also Property Grid ActiveX Control v19.3

HighlightChangedItems Property

Description

Specifies whether item's who's value has changed from the DefaultValue will be displayed in bold.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightChangedItems() As Boolean

Remarks

When HighlightChangedItems is True, item's who's value is different from the DefaultValue will be displayed in bold text. The DefaultValue is the value provided when the item was added with the AddChildItem method.

This behavior is similar to Properties Window in Visual Studio .NET.

See Also

PropertyGrid Control | AddChildItem Method | DefaultValue Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

hWnd Property

Description

Returns the handle to the PropertyGrid control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | Constraint IconIndex Property | Item IconIndex Property | CaptionMetrics Property | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

Icons Property

Description

A collection of icons that can be used in the PropertyGridItem and PropertyGridItemConstraint objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

Icons must be added to this collection using the AddIcon, LoadBitmap, LoadIcon, or AddBitmap methods before they can be used in the PropertyGridItem and PropertyGridItemConstraint objects.

Important note: The IconId can not be zero (0), when using the AddIcon, LoadBitmap, LoadIcon, or AddBitmap methods, you can not assign an IconId of zero, the IconId must be a positive integer.

See Also

PropertyGrid Control | Constraint IconIndex Property | Item IconIndex Property | CaptionMetrics Property | ValueMetrics Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

LineColor Property

Description

Gets/sets the line color for the property grid. This is the area of the property grid that surrounds the property grid items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

Remarks

This is the color used to draw grid lines and the backcolor of Category items.

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

LockRedraw Property

Description

Returns whether the grid will be redrawn after an item is added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LockRedraw() As Boolean

Remarks

The LockRedraw property is used for optimization. The property grid will redraw itself after each item that is added. To optimize you can use LockRedraw to lock the grid while items are added, then unlock it to draw all items at the same time.

For example, if you need to add 20 items you can use LockRedraw to lock redraw, then add the 20 items, then unlock to allow the grid to draw the items. This way the grid only redraws itself one time as opposed to 20.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | NavigateItems Property

See Also Property Grid ActiveX Control v19.3

NavigateCaptions Property

Description

Specifies whether item captions will receive focus in the grid when items are navigated when pressing the Tab key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NavigateCaptions() As Boolean

Remarks

NavigateItems must be True for NavigateCaptions to have any effect. NavigateCaptions is True by default when NavigateItems is enabled.

Set NavigateCaptions to TRUE to enable item caption and item value navigation using the Tab key.

When NavigateCaptions is TRUE, focus will move in the following order when the Tab key is pressed:

    1. Item Caption
    2. Item Value
    3. Item InPlaceButton (if present)
    4. Next Item Caption

When NavigateCaptions is FALSE and NavigateItems is True, focus will move in the following order when the Tab key is pressed:

    1. Item Value
    2. Item InPlaceButton (if present)
    3. Next Item Value

Note: Even when False, the caption will get highlighted\selected, but only the item value will receive focus.

NavigateCaptions is True by default when NavigateItems is enabled.

Example

[Visual Basic] This sample illustrates how to use the Tab key to navigate items in the property grid. Witout giving the item captions focus.

    'Focus will now pass to the next item in the property grid when the tab key is pressed
    'and the value of an item has focus (is a in-place button is not present).
    wndPropertyGrid.NavigateCaptions = False
    wndPropertyGrid.NavigateItems = True

See Also

PropertyGrid Control | NavigateItems Property


%%PageItemTitle%%

PropertyGrid Control | KeyDown Event | KeyUp Event | NavigateCaptions Property

See Also Property Grid ActiveX Control v19.3

NavigateItems Property

Description

The NavigateItems property is used to specify how the items in the grid are navigated when pressing the Tab key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NavigateItems() As Boolean

Remarks

Set NavigateItems to TRUE to enable item navigation using the Tab key.

When NavigateItems is TRUE, focus will move in the following order when the Tab key is pressed:

    1. Item Caption
    2. Item Value
    3. Item InPlaceButton (if present)
    4. Next Item Caption

When NavigateItems is FALSE, focus will move in the following order when the Tab key is pressed:

    1. Item Caption
    2. Item Value
    3. Item InPlaceButton (if present)
    4. First verb (if present)
    5. Next control in the tab order outside of the property grid.

By default, NavigateItems is FALSE.

Example

[Navigate Items with the Tab Key. (Visual Basic)] This sample illustrates how to use the Tab key to navigate items in the property grid.

    'Focus will now pass to the next item in the property grid when the tab key is pressed
    'and the value of an item has focus (is a in-place button is not present).
    wndPropertyGrid.NavigateItems = True

See Also

PropertyGrid Control | KeyDown Event | KeyUp Event | NavigateCaptions Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

PaintManager Property

Description

Pointer to the paint manager used to draw the property grid.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As PropertyGridPaintManager

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | PropertySort Enumeration

See Also Property Grid ActiveX Control v19.3

PropertySort Property

Description

Gets/Sets the way in which PropertyGridItems are sorted in the PropertyGrid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PropertySort() As PropertySort

See Also

PropertyGrid Control | PropertySort Enumeration


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the Property Grid elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the Property Grid (Categories, Buttons, Values, Verbs, Toolbar, etc) are displayed from right to left.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Returns a reference to the PropertyGridItem that is currently selected\has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As PropertyGridItem

Remarks

This allows you to determine which PropertyGridItem currently has focus.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ShowInplaceButtonsAlways Property

Description

Specifies whether to always display all in-places buttons for all items regardless of which item currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowInplaceButtonsAlways() As Boolean

Remarks

This allows the in-place button to constantly remain visible no matter what has focus.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | VariableSplitterPos Property

See Also Property Grid ActiveX Control v19.3

SplitterPos Property

Description

Gets/Sets the position of the splitter that divides the item description from the item data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SplitterPos() As Double

Remarks

The position in expressed as a percentage.  Valid range is between 0.0 and 1.0, with 1.0 meaning 100%.

Example

[SplitterPos Sample (Visual Basic)] This sample code illustrates how to set the splitter position to 70%.

    'You can specify the position in percentages with a value between 0.0 and 1.0, with 1.0 meaning 100%.
    wndPropertyGrid.SplitterPos = .7

See Also

PropertyGrid Control | VariableSplitterPos Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ToolBarVisible Property

Description

Gets/Sets a Boolean value indicating whether the built in toolbar is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolBarVisible() As Boolean

Remarks

The built in toolbar contains buttons to group\sort the items. You can group them by category or sort them alphabetically using the built in buttons on the toolbar.

Example

[ToolBarVisible Sample (Visual Basic)] This sample code illustrates how to display the integrated toolbar.

    'This will display the integrated toolbar at the top of the property grid
    wndPropertyGrid.ToolBarVisible = True

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | ToolTipContext Object | ShowTitleAndDescription Method | Style Property | Tooltip Property | Description Property

See Also Property Grid ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for PropertyGridtItem controls.

See the ToolTipContext object for a complete list of methods and properties.

See Also

PropertyGrid Control | ToolTipContext Object | ShowTitleAndDescription Method | Style Property | Tooltip Property | Description Property


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

TopIndex Property

Description

Returns the index of the topmost item displayed in the Property Grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopIndex() As Long

Remarks

This is the index of the top most visible item in the Property Grid. After a populate, the item with the TopIndex will automatically be positioned at the top of the Property Grid.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | VariableSplitterPos Property | HelpHeight Property

See Also Property Grid ActiveX Control v19.3

VariableHelpHeight Property

Description

Gets\sets whether the user can resize the help box with the mouse.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VariableHelpHeight() As Boolean

Remarks

VariableHelpHeight allows the user to resize the help box by moving the mouse cursor over the help splitter that appears between the bottom of the property grid and the top of the help box. A resize mouse cursor will appear when the mouse if positioned over the splitter.

The height of the help box can be changed by code using the HelpHeight property.

See Also

PropertyGrid Control | VariableSplitterPos Property | HelpHeight Property


%%PageItemTitle%%

PropertyGrid Control | Height Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

VariableItemsHeight Property

Description

Gets\Set whether variable item height is allowed in the property grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VariableItemsHeight() As Boolean

Remarks

By default, all property grid items will have the same height. Each item has a Height property that can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGrid Control | Height Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGrid Control | VariableHelpHeight Property | SplitterPos Property

See Also Property Grid ActiveX Control v19.3

VariableSplitterPos Property

Description

Gets\sets whether the user can move the property grid splitter.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VariableSplitterPos() As Boolean

Remarks

VariableSplitterPos allows the user to resize the splitter by moving the mouse cursor over the splitter and dragging the mouse. A resize mouse cursor will appear when the mouse if positioned over the splitter.

The splitter position can be changed by code using the SplitterPos property.

See Also

PropertyGrid Control | VariableHelpHeight Property | SplitterPos Property


%%PageItemTitle%%

PropertyGrid Control | PropertyGridVerb Object | Add Method

See Also Property Grid ActiveX Control v19.3

Verbs Property

Description

The Verbs property is a collection of PropertyGridVerb objects that are displayed in the verb panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Verbs() As PropertyGridVerbs

Remarks

Verbs will be displayed in a separate panel just below the property grid. Verbs are links that can be used to perform actions in your application. When a verb is clicked, the VerbClick event occurs. If both the verb panel and help panel are visible at the same time, the verb panel is displayed above the help panel.

A PropertyGridVerb is a link similar to what is seen in Visual Studio .NET. For example, when the DataGrid control is selected at design time in VS .NET, an AutoFormat link button appears in the Properties window just below the property grid and above the help panel.

The verb panel is displayed when the first verb is added to the property grid's verb collection. To hide the verb panel, all verbs must be removed from the verb collection.

Example

[Adding Verbs to the Property Grid. (Visual Basic)] This sample illlustrates how to add verbs to the property grid.

'Verb Ids
Const VERB_PROPERTIES = 100
Const VERB_EDIT = 101
Const VERB_ABOUT = 102

Private Sub Form_Load()
    'Adds a verb to the property grid's verb collection. This will cause the verb
    'panel to be displayed.
    wndPropertyGrid.Verbs.Add "ActiveX - Properties...", VERB_PROPERTIES
    wndPropertyGrid.Verbs.Add "ActiveX - Edit", VERB_EDIT
    wndPropertyGrid.Verbs.Add "ActiveX - About...", VERB_ABOUT

    'Changes the caption of the first verb.
    wndPropertyGrid.Verbs(1).Caption = "ActiveX - Properties..."

    'Set the height of the verb panel to 50 pixels
    wndPropertyGrid.VerbsHeight = 50
End Sub

'The VerbClick event occurs when a verb is clicked.
Private Sub wndPropertyGrid_VerbClick(ByVal Verb As XtremePropertyGrid.IPropertyGridVerb)

    'Determines which verb was clicked
    Select Case Verb.Id

        'Displays a message box if this verb was clicked.
        Case VERB_PROPERTIES:
            MsgBox "Xtreme Property Grid Properties", , "Verb Clicked - " & Verb.Caption
        Case VERB_EDIT:
            MsgBox "Xtreme Property Grid Edit", , "Verb Clicked - " & Verb.Caption
        Case VERB_ABOUT:
            MsgBox "Xtreme Property Grid" & vbCrLf & "Version " & App.Major & "." & App.Minor & "." & App.Revision, , "Verb Clicked - " & Verb.Caption

    End Select

End Sub

See Also

PropertyGrid Control | PropertyGridVerb Object | Add Method


%%PageItemTitle%%

PropertyGrid Control | Verbs Property | VerbClick Event

See Also Property Grid ActiveX Control v19.3

VerbsHeight Property

Description

The VerbsHeight property is used to get or set the height of the verb panel when visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerbsHeight() As Long

Example

[Changing the Height of the Verb Panel. (Visual Basic)] This sample illustrates how to change the height of the Verb panel.

    'Sets the height of the verb panel to 50 pixels
    wndPropertyGrid.VerbsHeight = 50

See Also

PropertyGrid Control | Verbs Property | VerbClick Event


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ViewBackColor Property

Description

Gets/Sets the view backcolor for the PropertyGrid. This is the background color of the PropertyGridItems.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewBackColor() As ULong

Remarks

This will only effect the background of normal PropertyGridItems. It will not effect the backcolor of Category items, the LineColor is used as a backcolor for Categories.

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ViewCategoryForeColor Property

Description

Gets/Sets the color used to display the text of Category PropertygridItems.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCategoryForeColor() As ULong

Remarks

This is the color used to display the Caption of Category PropertyGridItems in the PropertyGrid's collection of categories.

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ViewForeColor Property

Description

Gets/Sets the view forecolor for the property grid. This is the foreground color of the property grid items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewForeColor() As ULong

Example

[Customizable Appearance Sample (Visual Basic)] This sample code illustrates how to customize the font and colors of the PropertyGrid.

    'Sets the text color of the Help box at the bottom of the PropertyGrid to black
    wndPropertyGrid.HelpForeColor = 0
    'Sets the background color of the Help box at the bottom of the PropertyGrid to Red
    wndPropertyGrid.HelpBackColor = vbRed
    'Sets the line color of the PropertyGrid to white, this is also used to draw the background
    'color of Category PropertyGridItems
    wndPropertyGrid.LineColor = &HFFFFFF
    'Sets the background color of the PropertyGridItems to Blue
    wndPropertyGrid.ViewBackColor = RGB (45, 0, 253)
    'Sets the background color of the PropertyGridItems to Yellow
    wndPropertyGrid.ViewForeColor = vbYellow
    'Sets the text color of Category PropertyGridItems to Grey
    wndPropertyGrid.ViewCategoryForeColor = RGB (100, 100, 100)
    'Sets the font used to display text in the PropertyGrid to "Ravie"
    wndPropertyGrid.Font = "Ravie"

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | ReadOnly Property

See Also Property Grid ActiveX Control v19.3

ViewReadOnlyForeColor Property

Description

The ViewReadOnlyForeColor is used to get or set the text color of read only items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewReadOnlyForeColor() As ULong

Remarks

By default, ViewReadOnlyForeColor is light grey (using default theme) and the back color of the item is dark grey (using default theme), the ViewBackColor will not be used.

If ViewReadOnlyForeColor is changed from its default value, then the back color of the item will be set to ViewBackColor.

Example

[Changing the Text Color of Read Only Items. (Visual Basic)] This sample illustrates to change the text color of Read Only items.

    'The text for Read Only items will be red.
    wndPropertyGrid.ViewReadOnlyForeColor = vbRed

See Also

PropertyGrid Control | ReadOnly Property


%%PageItemTitle%%

PropertyGrid Control | XTPPropertyGridVisualTheme Enumeration

See Also Property Grid ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme that is used by PropertyGrid

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPPropertyGridVisualTheme

Example

[Changing the VisualTheme of the PropertyGrid (Visual Basic)] This sample code illustrates how to change the visual theme of your PropertyGrid to the Office 2003 theme at runtime.

    'The PropertyGrid will use the Office2003 theme
    wndPropertyGrid.VisualTheme = xtpGridThemeOffice2003

See Also

PropertyGrid Control | XTPPropertyGridVisualTheme Enumeration


%%PageItemTitle%%

PropertyGrid Control

Item
Item that has just been edited.
NewValue
New value of the item just edited.
Cancel
Set to True to cancel the edit operation that just took place.
See Also Property Grid ActiveX Control v19.3

AfterEdit Event

Description

Occurs after an edit operation is complete.

Syntax

Public Event AfterEdit( _
   ByVal Item As PropertyGridItem, _
   ByRef NewValue As String, _
   ByRef Cancel As Boolean _
)

Parameters

Item
Item that has just been edited.
NewValue
New value of the item just edited.
Cancel
Set to True to cancel the edit operation that just took place.

Remarks

AfterEdit occurs after an edit operation, but before the value has been changed. AfterEdit allows you to modify the newvalue before it is applied or completely cancel the operation.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
Item whos edit mode has been canceled.
See Also Property Grid ActiveX Control v19.3

CancelEdit Event

Description

Occurs if the edit operation has been canceled.

Syntax

Public Event CancelEdit( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item
Item whos edit mode has been canceled.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
The item whose button has been double clicked
See Also Property Grid ActiveX Control v19.3

DblClick Event

Description

Occurs when the description half (left side) of a PropertyGridItem has been double clicked, and when a category item is double-clicked. The item that was double-clicked is passed to this event.

Syntax

Public Event DblClick( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item
The item whose button has been double clicked

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
Reference to the item currently getting edited.
Text
New text that was entered into the item.
See Also Property Grid ActiveX Control v19.3

EditChanged Event

Description

Occurs when the contents of an item has changed while in edit mode.

Syntax

Public Event EditChanged( _
   ByVal Item As PropertyGridItem, _
   ByRef Text As String _
)

Parameters

Item
Reference to the item currently getting edited.
Text
New text that was entered into the item.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
Reference to the item that was expanded or collapsed.
See Also Property Grid ActiveX Control v19.3

ExpandChanged Event

Description

Occurs when a expand\collapse button is clicked.

Syntax

Public Event ExpandChanged( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item
Reference to the item that was expanded or collapsed.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Button
Cancel
See Also Property Grid ActiveX Control v19.3

InplaceButtonDown Event

Description

Occurs when a combo button or expand button that was added by the developer is clicked. Built in buttons such as the color picker button do not trigger this event. It is used only for custom buttons.

Syntax

Public Event InplaceButtonDown( _
   ByVal Button As PropertyGridInplaceButton, _
   ByRef Cancel As Variant _
)

Parameters

Button
Cancel

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | NavigateItems Property | KeyUp Event

KeyCode
Code of the key that is down
Shift
See Also Property Grid ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed down and the property grid has focus. This event will not be triggered while editing a property grid item, only when an item or category is selected.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Code of the key that is down
Shift

See Also

PropertyGrid Control | NavigateItems Property | KeyUp Event


%%PageItemTitle%%

PropertyGrid Control | NavigateItems Property | KeyDown Event

KeyCode
Code of the key that is up
Shift
See Also Property Grid ActiveX Control v19.3

KeyUp Event

Description

Occurs when a key is released and the property grid has focus. This event will not be triggered while editing a property grid item, only when an item or category is selected.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Code of the key that is up
Shift

See Also

PropertyGrid Control | NavigateItems Property | KeyDown Event


%%PageItemTitle%%

PropertyGrid Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Property Grid ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.
See Also Property Grid ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Property Grid ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

PropertySortChanged Event

Description

Occurs when the PropertySort property has changed.

Syntax

Public Event PropertySortChanged()

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item

Item that is right-clicked

See Also Property Grid ActiveX Control v19.3

RClick Event

Description

Occurs when you right-click anywhere on the property grid. The item that was right-clicked is passed to this event. This event is not triggered if you right-click the item you are currently editing.

Syntax

Public Event RClick( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item

Item that is right-clicked

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

See Also Property Grid ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
The item which is currently in edit mode.
Cancel
Set to True to cancel the edit operation. The CancelEdit event will occur if the edit operation is canceled.
See Also Property Grid ActiveX Control v19.3

RequestEdit Event

Description

Occurs when an editable item goes into edit mode.

Syntax

Public Event RequestEdit( _
   ByVal Item As PropertyGridItem, _
   ByRef Cancel As Boolean _
)

Parameters

Item
The item which is currently in edit mode.
Cancel
Set to True to cancel the edit operation. The CancelEdit event will occur if the edit operation is canceled.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
The item which is selected.
See Also Property Grid ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when a new item is selected in the PropertyGrid.

Syntax

Public Event SelectionChanged( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item
The item which is selected.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control

Item
The item whose value has changed.
See Also Property Grid ActiveX Control v19.3

ValueChanged Event

Description

Occurs when the value of a PropertyGridItem has changed.

Syntax

Public Event ValueChanged( _
   ByVal Item As PropertyGridItem _
)

Parameters

Item
The item whose value has changed.

See Also

PropertyGrid Control


%%PageItemTitle%%

PropertyGrid Control | PropertyGridVerb Object | Verbs Property | VerbsHeight Property

Verb
Pointer to the verb that was clicked.
See Also Property Grid ActiveX Control v19.3

VerbClick Event

Description

The VerbClick event occurs when a user clicks on a verb or when a verb has focus and the enter key is pressed.

Syntax

Public Event VerbClick( _
   ByVal Verb As PropertyGridVerb _
)

Parameters

Verb
Pointer to the verb that was clicked.

Remarks

A common use is to display a dialog box assciated with a verb when the VerbClick event occurs.

See Also

PropertyGrid Control | PropertyGridVerb Object | Verbs Property | VerbsHeight Property

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%%

PropertyGridGlobalSettings Members

See Also Property Grid ActiveX Control v19.3

PropertyGridGlobalSettings Object

Description

Property Grid Global Settings

For a list of all members defined in this module, see PropertyGridGlobalSettings members.

Object Model

See Also

PropertyGridGlobalSettings Members


%%PageItemTitle%% $$Members$$

PropertyGridGlobalSettings Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridGlobalSettings Object Members

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property Icons | Shared icons used for all property grids.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Property Grid OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs.
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Property Grid OCX is used.
Public Property Version | Returns the current Property Grid version as a string.

See Also

PropertyGridGlobalSettings Overview


%%PageItemTitle%%

PropertyGridGlobalSettings Object | Color Property

See Also Property Grid ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

PropertyGridGlobalSettings Object | Color Property


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

Icons Property

Description

Shared icons used for all property grids.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Property Grid OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This will only translate built-in strings that the developer can not edit.

This code should be placed in the Form_Initialize event of the main form.

Example

[How to set the Language of the PropertyGrid (Visual Basic)] This sample illustrates how to change the language with a rescourcefile.

Private Sub Form_Initialize()
    PropertyGridGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpGridThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Property Grid OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridGlobalSettings Object

See Also Property Grid ActiveX Control v19.3

Version Property

Description

Returns the current Property Grid version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

PropertyGridGlobalSettings Object


%%PageItemTitle%%

PropertyGridInplaceButton Members

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceButton Object

Description

Represents an in-place button in the Property Grid control.

For a list of all members defined in this module, see PropertyGridInplaceButton members.

Object Model

See Also

PropertyGridInplaceButton Members


%%PageItemTitle%% $$Members$$

PropertyGridInplaceButton Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceButton Object Members

Public Properties

Public Property Alignment | Specifies the alignment of the button.
Public Property Caption | Gets\sets the caption of the button.
Public Property Enabled | Enabled or disables the button.
Public Property Hyperlink | Specifies whether to display the Caption of the button as a hyperlink.
Public Property IconIndex | Gets\sets the icon index for the button.
Public Property Id | Gets\sets the id of the button.
Public Property Index | Retrieves index of button in array of item's buttons
Public Property Item | Retrieves the parent property grid item for this button (item that this button is drawn in).
Public Property ShowAlways | Specifies whether to always show the button, regardless of whether the PropertyGridItem the button belongs to has focus.
Public Property TabStop | Specifies whether a user can use the TAB key to move the focus to the inplace button.
Public Property Tooltip | Tooltip of the button.
Public Property Width | Get\set the width of the button.

See Also

PropertyGridInplaceButton Overview


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Alignment Property

Description

Specifies the alignment of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As Long

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Gets\sets the caption of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Enabled Property

Description

Enabled or disables the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object | ShowAlways Property | Caption Property

See Also Property Grid ActiveX Control v19.3

Hyperlink Property

Description

Specifies whether to display the Caption of the button as a hyperlink.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hyperlink() As Boolean

Remarks

To keep the hyperlink visible, even when the item is not selected, you will need to set the ShowAlways property to True.

See Also

PropertyGridInplaceButton Object | ShowAlways Property | Caption Property


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

IconIndex Property

Description

Gets\sets the icon index for the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Id Property

Description

Gets\sets the id of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Retrieves index of button in array of item's buttons

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Item Property

Description

Retrieves the parent property grid item for this button (item that this button is drawn in).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As PropertyGridItem

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

ShowAlways Property

Description

Specifies whether to always show the button, regardless of whether the PropertyGridItem the button belongs to has focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAlways() As Boolean

Remarks

Use ShowAlways to always display buttons such as hyperlinks and check boxes.

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

TabStop Property

Description

Specifies whether a user can use the TAB key to move the focus to the inplace button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStop() As Boolean

Return Type

True if button can participate in tabbing, False if the button cannot participate in tabbing.

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButton Object | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Tooltip of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

See Also

PropertyGridInplaceButton Object | ToolTipContext Property


%%PageItemTitle%%

PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

Width Property

Description

Get\set the width of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridInplaceButtons Members

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceButtons Collection

Description

Represents collection of inplace buttons for a specified grid item

For a list of all members defined in this module, see PropertyGridInplaceButtons members.

Object Model

See Also

PropertyGridInplaceButtons Members


%%PageItemTitle%% $$Members$$

PropertyGridInplaceButtons Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceButtons Collection Members

Public Methods

Public Method Add | Adds a PropertyGridInplaceButton to a PropertyGridItem.
Public Method Clear | Removes all buttons for the PropertyGridItem.
Public Method FindButton | Finds a button by its identifier.
Public Method Remove | Removes the specified button from the collection.

Public Properties

Public Property Count | Retrieves count of buttons in the collection.
Public Property Item | Retrieves button by its index.

See Also

PropertyGridInplaceButtons Overview


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

Id
Id of the new button added.
See Also Property Grid ActiveX Control v19.3

Add Method

Description

Adds a PropertyGridInplaceButton to a PropertyGridItem.

Syntax

Public Function Add( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id
Id of the new button added.

Return Type

Reference to the PropertyGridInplaceButton added tot he item.

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

See Also Property Grid ActiveX Control v19.3

Clear Method

Description

Removes all buttons for the PropertyGridItem.

Syntax

Public Sub Clear()

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

Id
Identifier to find.
See Also Property Grid ActiveX Control v19.3

FindButton Method

Description

Finds a button by its identifier.

Syntax

Public Function FindButton( _
   ByVal Id As Long _
) As PropertyGridInplaceButton

Parameters

Id
Identifier to find.

Return Type

The button with specified identifier, if any, or NULL otherwise.

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

Index
Index of the button to remove.
See Also Property Grid ActiveX Control v19.3

Remove Method

Description

Removes the specified button from the collection.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the button to remove.

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

Retrieves count of buttons in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceButtons Collection

Index
Index to retrieve button.
See Also Property Grid ActiveX Control v19.3

Item Property

Description

Retrieves button by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As PropertyGridInplaceButton

Parameters

Index
Index to retrieve button.

See Also

PropertyGridInplaceButtons Collection


%%PageItemTitle%%

PropertyGridInplaceSliderControl Members

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceSliderControl Object

Description

Represent s a slider control.

For a list of all members defined in this module, see PropertyGridInplaceSliderControl members.

Remarks

You can move the slider by dragging it, clicking the mouse to either side of the slider, or using the keyboard.

Slider controls are useful when you want to select a discrete value or a set of consecutive values in a range. For example, you could use a Slider to set the size of a displayed image by moving the slider to a given tick mark rather than by typing a number.

The AddSliderControl method of each item type to add the slider.

The slider will automatically increment or decrement the value of the item it is added to.

Example

[Slider Control Sample (Visual Basic)]

    Set Item = Category.AddChildItem(PropertyItemNumber, "Slider Control", 10)

    Dim SliderCtrl As PropertyGridInplaceSliderControl
    Set SliderCtrl = Item.AddSliderControl
    SliderCtrl.Max = 200
    SliderCtrl.Min = 10
    SliderCtrl.Width = 50

See Also

PropertyGridInplaceSliderControl Members


%%PageItemTitle%% $$Members$$

PropertyGridInplaceSliderControl Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceSliderControl Object Members

Public Properties

Public Property Max | Returns or sets the maximum value of the slider control.
Public Property Min | Returns or sets the minimum value of the slider control.
Public Property Width | Gets or sets the width of the Slider Control.

See Also

PropertyGridInplaceSliderControl Overview


%%PageItemTitle%%

PropertyGridInplaceSliderControl Object

See Also Property Grid ActiveX Control v19.3

Max Property

Description

Returns or sets the maximum value of the slider control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

The Max property is the value when the slider is in its rightmost position.

See Also

PropertyGridInplaceSliderControl Object

Example

PropertyGridInplaceSliderControl Object


%%PageItemTitle%%

PropertyGridInplaceSliderControl Object

See Also Property Grid ActiveX Control v19.3

Min Property

Description

Returns or sets the minimum value of the slider control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

The Min property is the value when the slider is in its leftmost position.

See Also

PropertyGridInplaceSliderControl Object

Example

PropertyGridInplaceSliderControl Object


%%PageItemTitle%%

PropertyGridInplaceSliderControl Object

See Also Property Grid ActiveX Control v19.3

Width Property

Description

Gets or sets the width of the Slider Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width represents the width of the Slider Control within the property grid item.

See Also

PropertyGridInplaceSliderControl Object

Example

PropertyGridInplaceSliderControl Object


%%PageItemTitle%%

PropertyGridInplaceSpinButton Members

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceSpinButton Object

Description

Represents a spin button.

For a list of all members defined in this module, see PropertyGridInplaceSpinButton members.

Remarks

The AddSpinButton method of each item type to add the slider.

The spin button will automatically increment or decrement the value of the item it is added to.

Example

[SpinButton Sample (Visual Basic)]

    Set Item = Category.AddChildItem(PropertyItemNumber, "Spin Button", 10)

    Dim SpinButton As PropertyGridInplaceSpinButton
    Set SpinButton = Item.AddSpinButton
    SpinButton.Max = 200
    SpinButton.Min = 10
    SpinButton.Width = 20

See Also

PropertyGridInplaceSpinButton Members


%%PageItemTitle%% $$Members$$

PropertyGridInplaceSpinButton Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridInplaceSpinButton Object Members

Public Properties

Public Property Max | Returns or sets the maximum value of the spin button.
Public Property Min | Returns the maximum value of the spin button.
Public Property Width | Gets or sets the width of the spin button buttons.

See Also

PropertyGridInplaceSpinButton Overview


%%PageItemTitle%%

PropertyGridInplaceSpinButton Object

See Also Property Grid ActiveX Control v19.3

Max Property

Description

Returns or sets the maximum value of the spin button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

The Max property is the highest value when the spin button will "spin" to when the "up" button is clicked.

See Also

PropertyGridInplaceSpinButton Object


%%PageItemTitle%%

PropertyGridInplaceSpinButton Object

See Also Property Grid ActiveX Control v19.3

Min Property

Description

Returns the maximum value of the spin button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

The Min property is the lowest value when the spin button will "spin" to when the "down" button is clicked.

See Also

PropertyGridInplaceSpinButton Object


%%PageItemTitle%%

PropertyGridInplaceSpinButton Object

See Also Property Grid ActiveX Control v19.3

Width Property

Description

Gets or sets the width of the spin button buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

The Width represents the width of the spin button buttons within the property grid item.

See Also

PropertyGridInplaceSpinButton Object


%%PageItemTitle%%

PropertyGridItem Members | Categories Property | Childs Property | AddChildItem Method | AddChildItemBinded Method

See Also Property Grid ActiveX Control v19.3

PropertyGridItem Object

Description

The PropertyGridItem object represents an item in the Property Grid.

For a list of all members defined in this module, see PropertyGridItem members.

Object Model

Remarks

The Property Grid consists of a collection of Categories. Each category contains child items. The child items can have child items, etc... creating a hierarchical list of items. Both the Categories and Child Items are of type PropertyGridItem.

A PropertyGridItem can be of type BOOL, Date, Font, Color, String, Number, Double, Picture, Enum, EnumFlags, or Category.

The picture below consists of a PropertyGridItem of type Category that has three child items. The Appearance child item has three of its own child items. Each of the Child items of the Appearance item have their own child items.

Example

[Adding Items to the Property Grid. (Visual Basic)] This sample illustrates how to add a hierarchical list of items to the Property Grid.

    Dim Category As PropertyGridItem, ItemAppearance As PropertyGridItem
    Dim FontAppearance As PropertyGridItem, FormAppearance As PropertyGridItem, FrameAppearance As PropertyGridItem
    Dim Item As PropertyGridItem

    'Adds a category to the Property Grid.
    Set Category = wndPropertyGrid.AddCategory("Document Settings")

    'Adds a child item with caption "SaveOnClose" to the "Document Settings" category.
    Set Item = Category.AddChildItem(PropertyItemBool, "SaveOnClose", True)

    'Adds a child item with caption "Appearance" to the "Document Settings" category.
    Set ItemAppearance = Category.AddChildItem(PropertyItemString, "Appearance", "")

        'Adds a child item with caption "Window Font" to the "Appearance" item.
        Set FontAppearance = ItemAppearance.AddChildItem(PropertyItemFont, "Window Font", Me.Font)

            'Adds six child items to the "Windows Font" item.
            FontAppearance.AddChildItem PropertyItemBool, "Bold", Me.Font.Bold
            FontAppearance.AddChildItem PropertyItemBool, "Italic", Me.Font.Italic
            FontAppearance.AddChildItem PropertyItemBool, "Underline", Me.Font.Underline
            FontAppearance.AddChildItem PropertyItemBool, "Strikethrough", Me.Font.Strikethrough
            FontAppearance.AddChildItem PropertyItemString, "Name", Me.Font.Name
            FontAppearance.AddChildItem PropertyItemNumber, "Weight", Me.Font.Weight

        'Adds a child item with caption "Frames" to the "Appearance" item.
        Set FrameAppearance = ItemAppearance.AddChildItem(PropertyItemString, "Frames", "")

            'Adds two child items to the "Frames" item.
            FrameAppearance.AddChildItem PropertyItemColor, "BackGround", Me.BackColor
            FrameAppearance.AddChildItem PropertyItemColor, "ForeGround", Me.ForeColor

    'Adds a child item with caption "WindowSize" to the "Document Settings" category.
    Category.AddChildItem PropertyItemString, "WindowSize", "100; 100"

    'Expands the "Document Settings" category.
    Category.Expanded = True

    'Selects the "SaveOnClose" item in the "Document Settings" category.
    Item.Selected = True

    'Uses the InsertChildItem to add a child item with caption "Form" to the "Appearance" item. The item will be the second
    'item in the collection.
    Set FormAppearance = ItemAppearance.InsertChildItem(1, PropertyItemString, "Form", "")

        'Adds two child items to the "Form" item.
        FormAppearance.AddChildItem PropertyItemColor, "BackColor", Me.BackColor
        FormAppearance.AddChildItem PropertyItemColor, "ForeColor", Me.ForeColor

See Also

PropertyGridItem Members | Categories Property | Childs Property | AddChildItem Method | AddChildItemBinded Method


%%PageItemTitle%% $$Members$$

PropertyGridItem Overview | Categories Property | Childs Property | AddChildItem Method | AddChildItemBinded Method

See Also Property Grid ActiveX Control v19.3

PropertyGridItem Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl | Adds a slider control to the property grid item.
Public Method AddSpinButton | Adds a spin button to the property grid item.
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItem.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property ConstraintEdit | Gets/Sets whether a PropertyGridItem that contains constraints can be edited.
Public Property Constraints | Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.
Public Property Tag | Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property Value | Gets/Sets the value of the PropertyGridItem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItem.

See Also

PropertyGridItem Overview | Categories Property | Childs Property | AddChildItem Method | AddChildItemBinded Method


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Type
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.
See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.

Return Type

A PropertyGridItem object.

See Also

PropertyGridItem Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Type
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)
See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

Example

[AddChildItemBinded Sample (Visual Basic)] This sample illustrates how to use the AddChildItemBinded method to bind PropertyGridItems to variables.

    Dim Category As PropertyGridItem, ItemAssemble As PropertyGridItem
    Dim AssembleName As String

    'Variable that the PropertyGridITem will be bound to
    AssembleName = "WindowsApplication1"

    'Category named "Application" is added to the collection of categories of the first property grid
    Set Category = wndPropertyGrid(0).AddCategory("Application")

    'Adds a child property item bound to the variable AssembleName. This child is added to
    'the "Application" category's collection of childs
    Set ItemAssemble = Category.AddChildItemBinded(PropertyItemString, Me, "AssembleName")
    'Change the caption of the property item or the default will be used, the default caption
    'that will be used is the name of the bound variable
    ItemAssemble.Caption = "Name of Application"

See Also

PropertyGridItem Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItem Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridInplaceSliderControl Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Description

Adds a slider control to the property grid item.

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

Remarks

The slider control will automatically increment or decrement the value this item.

You can move the slider by dragging it, clicking the mouse to either side of the slider, or using the keyboard.

Slider controls are useful when you want to select a discrete value or a set of consecutive values in a range. For example, you could use a Slider to set the size of a displayed image by moving the slider to a given tick mark rather than by typing a number.

See Also

PropertyGridItem Object | PropertyGridInplaceSliderControl Object

Example

PropertyGridInplaceSliderControl Object


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridInplaceSpinButton Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Description

Adds a spin button to the property grid item.

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

Remarks

The spin button will automatically increment or decrement the value this item.

See Also

PropertyGridItem Object | PropertyGridInplaceSpinButton Object

Example

PropertyGridInplaceSpinButton Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

left
The left point of the control rectangle.
top
The Top point of the control rectangle.
right
The Right point of the control rectangle.
bottom
The Bottom point of the control rectangle.
See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
The left point of the control rectangle.
top
The Top point of the control rectangle.
right
The Right point of the control rectangle.
bottom
The Bottom point of the control rectangle.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | AddChildItem Method | AddChildItemBinded Method

Index
The position in the collection of items to insert the new item.
Type
Type of item to insert.
Title
The caption/title to give the item.
Value
The value to assign to the item.
See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index
The position in the collection of items to insert the new item.
Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
Type of item to insert.
Title
The caption/title to give the item.
Value
The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItem Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItem Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index
The position in the collection of items to insert the new item.
Type
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)
See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index
The position in the collection of items to insert the new item.
Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItem Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItem Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItem Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItem Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether a PropertyGridItem that contains constraints can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItem Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

For example "%0.5f" would display 5 digits past the decimal place.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItem Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

Example

[Assigning an Id to Property Grid Items. (Visual Basic)] This sample illustrates how to assign an Id to a property grid item

'Ids of items
Const ID_STRING_ITEM = 200
Const ID_NUMBER_ITEM = 201

Dim Category As PropertyGridItem
Dim Item As PropertyGridItem

    'Adds a catagory named "Items" to the property grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemString, "StringItem", "String")
    'Assigns an Id to the Item
    Item.Id = ID_STRING_ITEM

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemNumber, "NumberItem", 10)
    'Assigns an Id to the Item
    Item.Id = ID_NUMBER_ITEM

    'Searches the collection of items for the item with Id ID_STRING_ITEM and returns the item
    Set Item = wndPropertyGrid.FindItem(ID_STRING_ITEM)
    If Not Item Is Nothing Then
        'If found, replace the value of the item with "Sample Text"
        Item.Value = "Sample Text"
    End If

See Also

PropertyGridItem Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItem Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItem Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

Remarks

The Value will not contain any asterisk (*), you can also return the actual text with the MaskedText property.

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItem Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

This is the value displayed in the right half of the property grid item. If an "edit mask" is currently set, this value will include the "edit mask" text as well. Use the MaskedText property to return the value without the "edit mask."

See Also

PropertyGridItem Object


%%PageItemTitle%%

PropertyGridItem Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItem Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemBool Members

See Also Property Grid ActiveX Control v19.3

PropertyGridItemBool Object

Description

The PropertyGridItemBool object represents an item in the Property Grid that stores a boolean value.

For a list of all members defined in this module, see PropertyGridItemBool members.

Object Model

Remarks

The PropertyGridItemBool object can be displayed as both a check box or a drop-down menu.

The Property Grid consists of a collection of Categories. Each category contains child items. The child items can have child items, etc... creating a hierarchical list of items. Both the Categories and Child Items are of type PropertyGridItem.

A PropertyGridItem can be of type BOOL, Date, Font, Color, String, Number, Double, Picture, Enum, EnumFlags, or Category.

See Also

PropertyGridItemBool Members


%%PageItemTitle%% $$Members$$

PropertyGridItemBool Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridItemBool Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItem.
Public Property CheckBoxStyle | Get\set whether a check box or drop down menu will be used for boolean\True\False input.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property ConstraintEdit | Gets/Sets whether a PropertyGridItem that contains constraints can be edited.
Public Property Constraints | Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.
Public Property Tag | Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property Value | Gets/Sets the value of the PropertyGridItem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItem.

See Also

PropertyGridItemBool Overview


%%PageItemTitle%%

PropertyGridItemBool Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Type

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

Return Type

A PropertyGridItem object.

See Also

PropertyGridItemBool Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemBool Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

Example

[AddChildItemBinded Sample (Visual Basic)] This sample illustrates how to use the AddChildItemBinded method to bind PropertyGridItems to variables.

    Dim Category As PropertyGridItem, ItemAssemble As PropertyGridItem
    Dim AssembleName As String

    'Variable that the PropertyGridITem will be bound to
    AssembleName = "WindowsApplication1"

    'Category named "Application" is added to the collection of categories of the first property grid
    Set Category = wndPropertyGrid(0).AddCategory("Application")

    'Adds a child property item bound to the variable AssembleName. This child is added to
    'the "Application" category's collection of childs
    Set ItemAssemble = Category.AddChildItemBinded(PropertyItemString, Me, "AssembleName")
    'Change the caption of the property item or the default will be used, the default caption
    'that will be used is the name of the bound variable
    ItemAssemble.Caption = "Name of Application"

See Also

PropertyGridItemBool Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemBool Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemBool Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemBool Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemBool Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemBool Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemBool Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemBool Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemBool Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

CheckBoxStyle Property

Description

Get\set whether a check box or drop down menu will be used for boolean\True\False input.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CheckBoxStyle() As Boolean

Remarks

Set to True to use a check box will be used for boolean\True\False input.

Set to False to use a drop down menu will be used for boolean\True\False input.

Example

[[New Example] (Visual Basic)]

    Set Category = wndPropertyGrid.AddCategory("Dynamic Options")
    Dim ItemBool As PropertyGridItemBool
    Set ItemBool = Category.AddChildItem(PropertyItemBool, "Advanced", False)
    ItemBool.Id = 501
    ItemBool.CheckBoxStyle = True

    Set ItemBool = Category.AddChildItem(PropertyItemBool, "Option 1", False)
    ItemBool.CheckBoxStyle = True

    Set ItemBool = Category.AddChildItem(PropertyItemBool, "Option 2", False)
    ItemBool.CheckBoxStyle = False

    Set ItemBool = Category.AddChildItem(PropertyItemBool, "Option 3", False)
    ItemBool.CheckBoxStyle = True

    Set ItemBool = Category.AddChildItem(PropertyItemBool, "Option 4", False)
    ItemBool.Readonly = True
    ItemBool.CheckBoxStyle = True
    ItemBool.Value = True

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether a PropertyGridItem that contains constraints can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemBool Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

For example "%0.5f" would display 5 digits past the decimal place.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemBool Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

Example

[Assigning an Id to Property Grid Items. (Visual Basic)] This sample illustrates how to assign an Id to a property grid item

'Ids of items
Const ID_STRING_ITEM = 200
Const ID_NUMBER_ITEM = 201

Dim Category As PropertyGridItem
Dim Item As PropertyGridItem

    'Adds a catagory named "Items" to the property grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemString, "StringItem", "String")
    'Assigns an Id to the Item
    Item.Id = ID_STRING_ITEM

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemNumber, "NumberItem", 10)
    'Assigns an Id to the Item
    Item.Id = ID_NUMBER_ITEM

    'Searches the collection of items for the item with Id ID_STRING_ITEM and returns the item
    Set Item = wndPropertyGrid.FindItem(ID_STRING_ITEM)
    If Not Item Is Nothing Then
        'If found, replace the value of the item with "Sample Text"
        Item.Value = "Sample Text"
    End If

See Also

PropertyGridItemBool Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemBool Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemBool Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

Remarks

The Value will not contain any asterisk (*), you can also return the actual text with the MaskedText property.

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemBool Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

This is the value displayed in the right half of the property grid item. If an "edit mask" is currently set, this value will include the "edit mask" text as well. Use the MaskedText property to return the value without the "edit mask."

See Also

PropertyGridItemBool Object


%%PageItemTitle%%

PropertyGridItemBool Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemBool Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemColor Members | EditorStyle Property | PropertyGridItemColorEditor Enumeration

See Also Property Grid ActiveX Control v19.3

PropertyGridItemColor Object

Description

The PropertyGridItemColor object represents an item in the Property Grid that stores a color value.

For a list of all members defined in this module, see PropertyGridItemColor members.

Object Model

Remarks

The PropertyGridItemColor object is used to create a RGB color item cell in the property grid. When an item of type PropertyGridItemColor is added, an item is displayed which contains a color square displaying the current color as well as the text red, green and blue values of the color. There is also a button displayed that will display a color selector to choose a color.

The EditorStyle property is used to specify which type of color selector is displayed. There are three types of color selectors, the first is a simple color popup, the second is a standard color dialog and the third is an extended color dialog.

See Also

PropertyGridItemColor Members | EditorStyle Property | PropertyGridItemColorEditor Enumeration


%%PageItemTitle%% $$Members$$

PropertyGridItemColor Overview | EditorStyle Property | PropertyGridItemColorEditor Enumeration

See Also Property Grid ActiveX Control v19.3

PropertyGridItemColor Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItem.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditorStyle | Specifies which type of color selector (popup, dialog, extended dialog) is used for this color item.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Tag | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected. Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property Value | Gets/Sets the value of the PropertyGridItem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItem.

See Also

PropertyGridItemColor Overview | EditorStyle Property | PropertyGridItemColorEditor Enumeration


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Type

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

Return Type

A PropertyGridItem object.

See Also

PropertyGridItemColor Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

Example

[AddChildItemBinded Sample (Visual Basic)] This sample illustrates how to use the AddChildItemBinded method to bind PropertyGridItems to variables.

    Dim Category As PropertyGridItem, ItemAssemble As PropertyGridItem
    Dim AssembleName As String

    'Variable that the PropertyGridITem will be bound to
    AssembleName = "WindowsApplication1"

    'Category named "Application" is added to the collection of categories of the first property grid
    Set Category = wndPropertyGrid(0).AddCategory("Application")

    'Adds a child property item bound to the variable AssembleName. This child is added to
    'the "Application" category's collection of childs
    Set ItemAssemble = Category.AddChildItemBinded(PropertyItemString, Me, "AssembleName")
    'Change the caption of the property item or the default will be used, the default caption
    'that will be used is the name of the bound variable
    ItemAssemble.Caption = "Name of Application"

See Also

PropertyGridItemColor Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemColor Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemColor Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemColor Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemColor Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemColor Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemColor Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemColor Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemColor Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridItemColorEditor Enumeration

See Also Property Grid ActiveX Control v19.3

EditorStyle Property

Description

Specifies which type of color selector (popup, dialog, extended dialog) is used for this color item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditorStyle() As PropertyGridItemColorEditor

Remarks

The EditorStyle property is used to specify which type of color selector is displayed. There are three types of color selectors, the first is a simple color popup, the second is a standard color dialog and the third is an extended color dialog.

See Also

PropertyGridItemColor Object | PropertyGridItemColorEditor Enumeration


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemColor Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

Example

[Assigning an Id to Property Grid Items. (Visual Basic)] This sample illustrates how to assign an Id to a property grid item

'Ids of items
Const ID_STRING_ITEM = 200
Const ID_NUMBER_ITEM = 201

Dim Category As PropertyGridItem
Dim Item As PropertyGridItem

    'Adds a catagory named "Items" to the property grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemString, "StringItem", "String")
    'Assigns an Id to the Item
    Item.Id = ID_STRING_ITEM

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemNumber, "NumberItem", 10)
    'Assigns an Id to the Item
    Item.Id = ID_NUMBER_ITEM

    'Searches the collection of items for the item with Id ID_STRING_ITEM and returns the item
    Set Item = wndPropertyGrid.FindItem(ID_STRING_ITEM)
    If Not Item Is Nothing Then
        'If found, replace the value of the item with "Sample Text"
        Item.Value = "Sample Text"
    End If

See Also

PropertyGridItemColor Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemColor Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemColor Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

This is the value displayed in the right half of the property grid item. If an "edit mask" is currently set, this value will include the "edit mask" text as well. Use the MaskedText property to return the value without the "edit mask."

See Also

PropertyGridItemColor Object


%%PageItemTitle%%

PropertyGridItemColor Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemColor Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemConstraint Members | PropertyGridItemConstraints Object | Add a Constraint

See Also Property Grid ActiveX Control v19.3

PropertyGridItemConstraint Object

Description

The PropertyGridItemConstraint Object represents a single item constraint.

For a list of all members defined in this module, see PropertyGridItemConstraint members.

Remarks

Each PropertyGridItem has it's own collection of constraints. The constraints collection allows to access the constraints of a given item. If a combo button is added to the property grid item, all the constraints in the item's constraint collection will be displayed in the drop-down list. The Add method is used to add constraints to the collection.

The Data property of the PropertyGridItemConstraint can be used to associate a value of type Long to a PropertyGridItem of any type.

Items of type PropertyItemEnum and PropertyItemEnumFlags require a list of constraints and use the Data property to determine the value and text of the item.

Example

[EnumFlags (Constraints with Data) Sample (Visual Basic)] This sample illustrates how to use an item of type PropertyItemEnumFlags. The EnumFlags item uses PropertyGridItemConstraints that have both Caption and Data.

    Dim ItemFlags As PropertyGridItem

    'Adds an items of type EnumFlags with a default value of 1 + 8 = 9 = [Windows 98; Windows 95]
    Set ItemFlags = Category.AddChildItem(PropertyItemEnumFlags, "Flags", 1 + 8)

    'Adds a constraint that will set all items TRUE or FALSE, note the value of the constraint is the sum
    'of all the other constraints. This item will also be updated when the values of the other constraints
    'have changed.
    ItemFlags.Constraints.Add "All Windows", 1 + 2 + 4 + 8 + 16 + 32

    'Adds some constraint that can have a value of TRUE or FALSE
    ItemFlags.Constraints.Add "Windows 98", 1
    ItemFlags.Constraints.Add "Windows 2000", 2
    ItemFlags.Constraints.Add "Windows XP", 4
    ItemFlags.Constraints.Add "Windows 95", 8
    ItemFlags.Constraints.Add "Windows NT", 16
    ItemFlags.Constraints.Add "Windows 2003", 32

    'This changes the value of the flag item to 21 and the string
    'caption to [Windows 98; Windows XP; Windows NT]
    ItemFlags.Value = 21

    'Returns the sum of all true constraints
    Debug.Print "Flags Item Value = " & ItemFlags.Value

    'Returns a string containing the text of all true constraints
    Debug.Print "Flags Item String = " & ItemFlags.MaskedText

See Also

PropertyGridItemConstraint Members | PropertyGridItemConstraints Object | Add a Constraint


%%PageItemTitle%% $$Members$$

PropertyGridItemConstraint Overview | PropertyGridItemConstraints Object | Add a Constraint

See Also Property Grid ActiveX Control v19.3

PropertyGridItemConstraint Object Members

Public Properties

Public Property Caption | The Caption property gets or sets the text caption of a Constraint.
Public Property Data | The Data property is used to get or set a Long data value associated with a Constraint.
Public Property Enabled | Enables/Disables Option items.
Public Property IconIndex | Index of an icon to display for the constraint.
Public Property Index | The Index property holds the position of the Constraint within the collection of constraints.

See Also

PropertyGridItemConstraint Overview | PropertyGridItemConstraints Object | Add a Constraint


%%PageItemTitle%%

PropertyGridItemConstraint Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

The Caption property gets or sets the text caption of a Constraint.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemConstraint Object


%%PageItemTitle%%

PropertyGridItemConstraint Object

See Also Property Grid ActiveX Control v19.3

Data Property

Description

The Data property is used to get or set a Long data value associated with a Constraint.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data() As Long

See Also

PropertyGridItemConstraint Object

Example

PropertyItemType Enumeration


%%PageItemTitle%%

PropertyGridItemConstraint Object

See Also Property Grid ActiveX Control v19.3

Enabled Property

Description

Enables/Disables Option items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

PropertyGridItemConstraint Object


%%PageItemTitle%%

PropertyGridItemConstraint Object | PropertyGridItemMetrics Object | Icons Property

See Also Property Grid ActiveX Control v19.3

IconIndex Property

Description

Index of an icon to display for the constraint.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

Remarks

The Icon will be displayed to the left of the constraint caption. The IconIndex is of an icon stored in the Icons collection.

See Also

PropertyGridItemConstraint Object | PropertyGridItemMetrics Object | Icons Property


%%PageItemTitle%%

PropertyGridItemConstraint Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

The Index property holds the position of the Constraint within the collection of constraints.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

PropertyGridItemConstraint Object


%%PageItemTitle%%

PropertyGridItemConstraints Members | PropertyGridItemConstraint Object | Add Method

See Also Property Grid ActiveX Control v19.3

PropertyGridItemConstraints Collection

Description

The PropertyGridItemConstraints collection represents the collection of PropertyGridItemConstraint objects for a PropertyGridItem.

For a list of all members defined in this module, see PropertyGridItemConstraints members.

Object Model

Remarks

Each PropertyGridItem has it's own collection of constraints. The constraints collection allows to access the constraints of a given item. If a combo button is added to the property grid item, all the constraints in the item's constraint collection will be displayed in the drop-down list. The Add method is used to add constraints to the collection.

The Data property of the PropertyGridItemConstraint can be used to associate a value of type Variant to a PropertyGridItem of any type.

Items of type PropertyItemEnum and PropertyItemEnumFlags require a list of constraints and use the Data property to determine the value and text of the item.

See Also

PropertyGridItemConstraints Members | PropertyGridItemConstraint Object | Add Method


%%PageItemTitle%% $$Members$$

PropertyGridItemConstraints Overview | PropertyGridItemConstraint Object | Add Method

See Also Property Grid ActiveX Control v19.3

PropertyGridItemConstraints Collection Members

Public Methods

Public Method Add | Adds a constraint to the property grid item's collection of constraints.
Public Method Clear | Removes all constraints from the property grid item's collection of constraints.
Public Method Remove | Removes a single constraint from the property grid item's collection of constraints.

Public Properties

Public Property Count | Returns the number of constraint items in the PropertyGridItem's collection of constraints.
Public Property Item | Returns a constraint from the collection specified by index.

See Also

PropertyGridItemConstraints Overview | PropertyGridItemConstraint Object | Add Method


%%PageItemTitle%%

PropertyGridItemConstraints Collection | PropertyItemFlags Enumeration | PropertyGridItem Flags Property

Constraint
The constraint which is to be added.
Data
Variant data value associated with this constraint. This allows many different data types to be associated with the constraint item.
See Also Property Grid ActiveX Control v19.3

Add Method

Description

Adds a constraint to the property grid item's collection of constraints.

Syntax

Public Sub Add( _
   ByVal Constraint As String, _
   Optional ByVal Data As Variant _
)

Parameters

Constraint
The constraint which is to be added.
Data
Variant data value associated with this constraint. This allows many different data types to be associated with the constraint item.

Remarks

The constraints added to a PropertyGridItem can be viewed and selected by a drop-down combo list if the combo button style has been applied to the PropertyGridItem. If no combo button is present, the constraint items can be seen by double-clicking the PropertyGridItem or by pressing the Up and Down arrow keys when the PropertyGridItem has focus.

Example

[Adding constraints to a PropertyGridItem (Visual Basic)] This sample illustrates how to add constraints to a PropertyGridItem that can be selected through a combo button drop-down list.

    Dim Category As PropertyGridItem
    Dim Item As PropertyGridItem

    'Adds a Category to the PropertyGrid titled "Document Settings" category
    Set Category = wndPropertyGrid.AddCategory("Document Settings")
    'Adds a PropertyGridItem to the "Document Settings" category
    Set Item = Category.AddChildItem(PropertyItemString, "Language", "Neutral")
    'Sets the style of the PropertyGridItem, specifies that a combo button will be used
    'to display the constraints, and an edit control is added. The original value
    'of the constraints can not be edited by the used.
    Item.Flags = ItemHasEdit + ItemHasComboButton

    'Adds several constraint items that can be selected with the combo drop-down list
    Item.Constraints.Add ("Neutral")
    Item.Constraints.Add ("Arabic")
    Item.Constraints.Add ("German")
    Item.Constraints.Add ("Chinese(Taiwan)")
    Item.Constraints.Add ("English")
    Item.Constraints.Add ("France")
    Item.Constraints.Add ("Russian")

    'Illustrates how to retreive a constraint from the collection
    Debug.Print Item.Constraints(3)

    'Illustrates how to enumerate through each constraint in a PropertyGridItems collection
    'of constraints.
    Dim Constraint As Variant
    For Each Constraint In Item.Constraints
        Debug.Print Constraint
    Next

See Also

PropertyGridItemConstraints Collection | PropertyItemFlags Enumeration | PropertyGridItem Flags Property


%%PageItemTitle%%

PropertyGridItemConstraints Collection

See Also Property Grid ActiveX Control v19.3

Clear Method

Description

Removes all constraints from the property grid item's collection of constraints.

Syntax

Public Sub Clear()

Example

[Clear Constraints Sample (Visual Basic)] This sample illustrates how to clear all constraints from a PropertyGridItem's collection of constraints.

    Dim Item As PropertyGridItem

    'Finds the PropertyGridItem with Caption or Tag value of "Language"
    Set Item = wndPropertyGrid.FindItem("Language")
    'Removes all contraints from the PropertyGridItem
    Item.Constraints.Clear

See Also

PropertyGridItemConstraints Collection


%%PageItemTitle%%

PropertyGridItemConstraints Collection

Index
The index of the constraint which you want to remove.
See Also Property Grid ActiveX Control v19.3

Remove Method

Description

Removes a single constraint from the property grid item's collection of constraints.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
The index of the constraint which you want to remove.

Example

[Removing a Single Constraint (Visual Basic)] This sample illustrates how to remove a single constraint from a PropertyGridItem's collection of constraints.

    Dim Item As PropertyGridItem

    'Finds the PropertyGridItem with Caption or Tag value of "Language"
    Set Item = wndPropertyGrid.FindItem("Language")
    'Removes all the 3rd contraint from the PropertyGridItem's collection of constraints
    Item.Constraints.Remove(3)

See Also

PropertyGridItemConstraints Collection


%%PageItemTitle%%

PropertyGridItemConstraints Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

Returns the number of constraint items in the PropertyGridItem's collection of constraints.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

PropertyGridItemConstraints Collection


%%PageItemTitle%%

PropertyGridItemConstraints Collection

Index
The index of the constraint which is to be retrieved.
See Also Property Grid ActiveX Control v19.3

Item Property

Description

Returns a constraint from the collection specified by index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As PropertyGridItemConstraint

Parameters

Index
The index of the constraint which is to be retrieved.

Example

[Constraint Item Sample (Visual Basic)] This sample code illustrates how access a constraint item from the collection of constraints.

    Dim Item As PropertyGridItem
    Dim Count as Long

    'Finds the PropertyGridItem with Caption or Tag value of "Language"
    Set Item = wndPropertyGrid.FindItem("Language")

    'Gets the number of constraints
    Count = Item.Constraints.Count

    For x = 1 to Count
        'Illustrates how to access a constraint from the collection
        Debug.Print Item.Constraints(x)
    Next

See Also

PropertyGridItemConstraints Collection


%%PageItemTitle%%

PropertyGridItemDate Members

See Also Property Grid ActiveX Control v19.3

PropertyGridItemDate Object

Description

Constructs a PropertyGridItemDate object, PropertyGridItems of type PropertyItemDate are of this type.

For a list of all members defined in this module, see PropertyGridItemDate members.

Object Model

Remarks

Items of type PropertyItemDate include a built-in "date picker" that allows the user to choose the day, month, and year from an intuitive GUI. The date format can be changed using the Format property.

See Also

PropertyGridItemDate Members

Example

Date Sample


%%PageItemTitle%% $$Members$$

PropertyGridItemDate Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridItemDate Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is binded to this PropertyItem
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method AllowNullDate | This method is used allow Null dates to be entered and to set text string to display in the property item when the date is Null.
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Gets/Sets the caption of the item
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItemDate.
Public Property Childs | Gets the collection of child items of this item
Public Property ConstraintEdit | Gets/Sets whether an item with constraints can be edited
Public Property Constraints | Gets the collection of constraints associated with this item
Public Property Day | Get/Set the day of the month.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the item
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | The Format property Gets or Sets the format Date format.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItemDate.
Public Property Month | Get/Set the moth of the year.
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*). (Not used for Date Item)
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyItem is selected.
Public Property Tag | Gets/Sets the Tag of the Propertyitem.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Gets the type of the item
Public Property Value | Gets/Sets the value of the Propertyitem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItemDate.
Public Property Year | Get/Set the year.

See Also

PropertyGridItemDate Overview


%%PageItemTitle%%

PropertyGridItemDate Object

Type
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.
See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

Type
The type of the new item
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)
See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is binded to this PropertyItem

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Return Type

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

NullValue
Text string to display in the property item when the date is Null.
See Also Property Grid ActiveX Control v19.3

AllowNullDate Method

Description

This method is used allow Null dates to be entered and to set text string to display in the property item when the date is Null.

Syntax

Public Sub AllowNullDate( _
   ByVal NullValue As String _
)

Parameters

NullValue
Text string to display in the property item when the date is Null.

Remarks

This method is used allow Null dates to be entered and to set text string to display in the property item when the date is Null.

To set a Date to null, use the Nothing keyword when assigning the value.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemDate Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemDate Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemDate Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemDate Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemDate Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemDate Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItemDate.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemDate object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemDate have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemDate can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemDate can be set with the ValueMetrics property.

See Also

PropertyGridItemDate Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child items of this item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether an item with constraints can be edited

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints associated with this item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Day Property

Description

Get/Set the day of the month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Day() As Long

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemDate Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

The Format property Gets or Sets the format Date format.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

Valid date format string flags:

    • m - Month as decimal number (01  12)
    • d - Day of month as decimal number (01  31)
    • %Y - Year with century, as decimal number

For example, the format string for 05/22/2004 is "%m%d%Y"

Example

[PropertyGridItemDate Sample (Visual Basic)] This sample illustrates how To add an item of Type PropertyItemDate To your grid.

'*********************************************************************
' PropertyItemDate Example
'*********************************************************************
Dim DateItem As PropertyGridItemDate

    'Adds a date item with an initial date of 01/31/2005
    Set DateItem = Category.AddChildItem(PropertyItemDate, "DateItem", "01/31/2005")

    'Sets date format to MM/DD/YYYY
    DateItem.Format = "%m%d%Y"

    'Returns the currently set date formated with the mask MM/DD/YYYY
    Debug.Print "Currently set date (MM/DD/YYYY): " & DateItem.Value

    'Returns the currently set date without a format mask
    Debug.Print "Unformated date (MMDDYYYY): " & DateItem.MaskedText

    'Returns the date using the Month, Day, and Year properties
    Debug.Print "Current Date: " & DateItem.Month & "/" & DateItem.Day & "/" & DateItem.Year

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemDate Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

See Also

PropertyGridItemDate Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemDate Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItemDate.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Month Property

Description

Get/Set the moth of the year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Month() As Long

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemDate Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*). (Not used for Date Item)

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the Propertyitem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemDate Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Gets the type of the item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the Propertyitem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDate Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItemDate.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemDate object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemDate have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemDate can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemDate can be set with the ValueMetrics property.

See Also

PropertyGridItemDate Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemDate Object

See Also Property Grid ActiveX Control v19.3

Year Property

Description

Get/Set the year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Year() As Long

See Also

PropertyGridItemDate Object


%%PageItemTitle%%

PropertyGridItemDouble Members | UseSystemDecimalSymbol Property

See Also Property Grid ActiveX Control v19.3

PropertyGridItemDouble Object

Description

Constructs a PropertyGridItemDouble object, PropertyGridItems of type PropertyItemDouble are of this type.

For a list of all members defined in this module, see PropertyGridItemDouble members.

Object Model

Remarks

The PropertyGridItemDouble object allows data of type double to be entered into the grid. The PropertyGridItemDouble object can use the default decimal point "." to divide the decimal part of the number, or it can use the system defined setting such as a comma "," used in Europe by using the UseSystemDecimalSymbol property.

See Also

PropertyGridItemDouble Members | UseSystemDecimalSymbol Property


%%PageItemTitle%% $$Members$$

PropertyGridItemDouble Overview | UseSystemDecimalSymbol Property

See Also Property Grid ActiveX Control v19.3

PropertyGridItemDouble Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItem.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property ConstraintEdit | Gets/Sets whether a PropertyGridItem that contains constraints can be edited.
Public Property Constraints | Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.
Public Property Tag | Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property UseSystemDecimalSymbol | Specifies which type of symbol is used to divide the whole numbers from the decimal parts.
Public Property Value | Gets/Sets the value of the PropertyGridItem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItem.

See Also

PropertyGridItemDouble Overview | UseSystemDecimalSymbol Property


%%PageItemTitle%%

PropertyGridItemDouble Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Type

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

Return Type

A PropertyGridItem object.

See Also

PropertyGridItemDouble Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemDouble Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

Example

[AddChildItemBinded Sample (Visual Basic)] This sample illustrates how to use the AddChildItemBinded method to bind PropertyGridItems to variables.

    Dim Category As PropertyGridItem, ItemAssemble As PropertyGridItem
    Dim AssembleName As String

    'Variable that the PropertyGridITem will be bound to
    AssembleName = "WindowsApplication1"

    'Category named "Application" is added to the collection of categories of the first property grid
    Set Category = wndPropertyGrid(0).AddCategory("Application")

    'Adds a child property item bound to the variable AssembleName. This child is added to
    'the "Application" category's collection of childs
    Set ItemAssemble = Category.AddChildItemBinded(PropertyItemString, Me, "AssembleName")
    'Change the caption of the property item or the default will be used, the default caption
    'that will be used is the name of the bound variable
    ItemAssemble.Caption = "Name of Application"

See Also

PropertyGridItemDouble Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemDouble Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemDouble Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemDouble Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemDouble Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemDouble Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemDouble Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemDouble Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemDouble Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether a PropertyGridItem that contains constraints can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemDouble Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

For example "%0.5f" would display 5 digits past the decimal place.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemDouble Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

Example

[Assigning an Id to Property Grid Items. (Visual Basic)] This sample illustrates how to assign an Id to a property grid item

'Ids of items
Const ID_STRING_ITEM = 200
Const ID_NUMBER_ITEM = 201

Dim Category As PropertyGridItem
Dim Item As PropertyGridItem

    'Adds a catagory named "Items" to the property grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemString, "StringItem", "String")
    'Assigns an Id to the Item
    Item.Id = ID_STRING_ITEM

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemNumber, "NumberItem", 10)
    'Assigns an Id to the Item
    Item.Id = ID_NUMBER_ITEM

    'Searches the collection of items for the item with Id ID_STRING_ITEM and returns the item
    Set Item = wndPropertyGrid.FindItem(ID_STRING_ITEM)
    If Not Item Is Nothing Then
        'If found, replace the value of the item with "Sample Text"
        Item.Value = "Sample Text"
    End If

See Also

PropertyGridItemDouble Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemDouble Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemDouble Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

Remarks

The Value will not contain any asterisk (*), you can also return the actual text with the MaskedText property.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemDouble Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

UseSystemDecimalSymbol Property

Description

Specifies which type of symbol is used to divide the whole numbers from the decimal parts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseSystemDecimalSymbol() As Boolean

Remarks

Setting UseSystemDecimalSymbol to False causes the decimal point "." to separate the whole numbers from the decimal parts. Setting UseSystemDecimalSymbol to True will cause the system defined symbol to separate the whole numbers from the decimal parts.

For example, when True, a comma "," will be used in Europe to separate the whole numbers from the decimal parts.

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

This is the value displayed in the right half of the property grid item. If an "edit mask" is currently set, this value will include the "edit mask" text as well. Use the MaskedText property to return the value without the "edit mask."

See Also

PropertyGridItemDouble Object


%%PageItemTitle%%

PropertyGridItemDouble Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemDouble Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemFont Members

See Also Property Grid ActiveX Control v19.3

PropertyGridItemFont Object

Description

Constructs a PropertyGridItemFont object, PropertyGridItems of type PropertyItemFont are of this type.

For a list of all members defined in this module, see PropertyGridItemFont members.

Object Model

Remarks

Items of type PropertyItemFont include a built-in "font picker" that allows the user to select the color, font, style, size, and effects of a font. Both the color and the font information will be displayed in the property grid item after the "font picker" is closed. Note that the color property MUST be manually set before the font dialog can be used to edit the font color. It will be disabled until this property is set.

See Also

PropertyGridItemFont Members


%%PageItemTitle%% $$Members$$

PropertyGridItemFont Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridItemFont Object Members

Public Methods

Public Method AddChildItem | Adds a child item
Public Method AddChildItemBinded | Adds a child item that is bound to this property item
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Gets/Sets the caption of the item
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItemFont.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item
Public Property Color | Gets/Sets the font color selected in the color drop-down list in the Font Chooser dialog.
Public Property ConstraintEdit | Gets/Sets whether an item with constraints can be edited
Public Property Constraints | Gets the collection of constraints associated with this item
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the item
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem
Public Property FontBold | Gets\
Public Property FontFaceName | Returns or sets the name of the font in the PropertyGridItemFont object.
Public Property FontItalic | Returns or sets the font as italic or non-italic in the PropertyGridItemFont object.
Public Property FontSize | Returns or sets the font size used in the PropertyGridItemFont object.
Public Property FontStrikeOut | Sets\Retrieves a value that indicates whether text in the PropertyGridItemFont has a line drawn through it.
Public Property FontUnderline | Sets\Retrieves a value that indicates whether text in the PropertyGridItemFont is underlined.
Public Property FontWeight | Returns or sets the weight of the characters that make up a PropertyGridItemFont object. The weight refers to the thickness of the characters, or the Sboldness factor⬝. The higher the value, the bolder the character.
Public Property Format | Gets/Sets the format of the PropertyItem
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItemFont.
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*). (Not used for Font item)
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyItem is selected.
Public Property Tag | Gets/Sets the Tag of the Propertyitem.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Gets the type of the item
Public Property Value | Gets/Sets the value of the Propertyitem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItemFont.

See Also

PropertyGridItemFont Overview


%%PageItemTitle%%

PropertyGridItemFont Object

Type
The type of the new item
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item
See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

Type
The type of the new item
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)
See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to this property item

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemFont Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemFont Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemFont Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemFont Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemFont Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemFont Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItemFont.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemFont object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemFont have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemFont can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemFont can be set with the ValueMetrics property.

See Also

PropertyGridItemFont Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Color Property

Description

Gets/Sets the font color selected in the color drop-down list in the Font Chooser dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

This property MUST be manually set before the font dialog can be used to edit the font color. It will be disabled until this property is set.

Example

[Color Sample (Visual Basic)] This sample illustrates how to set the color property of a PropertyGridItem of type font.

    Dim Category As PropertyGridItem
    Dim Item As PropertyGridItem

    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds a PropertyGridItem that will display the currently selected font, a
    'button is added to the item that will display a FOnt Chooser dialog when clicked
    Set Item = Category.AddChildItem(PropertyItemFont, "FontItem", Me.Font)
    'The color property must manually be set to enable the color property to be selected in the
    'Font Chooser dialog, this must be done even is you are setting the color to black
    Item.Color = vbRed

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether an item with constraints can be edited

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints associated with this item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemFont Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontBold Property

Description

Gets\

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontBold() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontFaceName Property

Description

Returns or sets the name of the font in the PropertyGridItemFont object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontFaceName() As String

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontItalic Property

Description

Returns or sets the font as italic or non-italic in the PropertyGridItemFont object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontItalic() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontSize Property

Description

Returns or sets the font size used in the PropertyGridItemFont object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As Long

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontStrikeOut Property

Description

Sets\Retrieves a value that indicates whether text in the PropertyGridItemFont has a line drawn through it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontStrikeOut() As Boolean

Remarks

The FontStrikeOut property will store the value of the "StrikeOut" check box in the Font Picker dialog box that is displayed for the PropertyGridItemFont object.

When the Font Picker dialog box is displayed, the value stored in the FontStrikeOut property will be used. This will not effect the text caption displayed in the PropertyGrid.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontUnderline Property

Description

Sets\Retrieves a value that indicates whether text in the PropertyGridItemFont is underlined.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontUnderline() As Boolean

Remarks

The FontUnderline property will store the value of the "Underline" check box in the Font Picker dialog box that is displayed for the PropertyGridItemFont object.

When the Font Picker dialog box is displayed, the value stored in the FontUnderline property will be used. This will not effect the text caption displayed in the PropertyGrid.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

FontWeight Property

Description

Returns or sets the weight of the characters that make up a PropertyGridItemFont object. The weight refers to the thickness of the characters, or the Sboldness factor⬝. The higher the value, the bolder the character.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontWeight() As Long

Remarks

The FontWeight property of the PropertyGridItemFont object is set by selecting an item from the Font Style box in the Font Picker dialog box. The Regular and Italic settings have a Weight value of 400 (the default), and the Bold and Bold Italic settings have a Weight value of 700.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Gets/Sets the format of the PropertyItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemFont Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

See Also

PropertyGridItemFont Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemFont Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItemFont.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemFont Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*). (Not used for Font item)

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyItem is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the Propertyitem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemFont Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Gets the type of the item

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the Propertyitem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

See Also

PropertyGridItemFont Object


%%PageItemTitle%%

PropertyGridItemFont Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItemFont.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemFont object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemFont have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemFont can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemFont can be set with the ValueMetrics property.

See Also

PropertyGridItemFont Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemMetrics Members | ValueMetrics Property | CaptionMetrics Property | Icons Property | ImageManagerIcons Object

See Also Property Grid ActiveX Control v19.3

PropertyGridItemMetrics Object

Description

Used to store and group together the general drawing metrics of a PropertyGridItem.

For a list of all members defined in this module, see PropertyGridItemMetrics members.

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemMetrics Members | ValueMetrics Property | CaptionMetrics Property | Icons Property | ImageManagerIcons Object


%%PageItemTitle%% $$Members$$

PropertyGridItemMetrics Overview | ValueMetrics Property | CaptionMetrics Property | Icons Property | ImageManagerIcons Object

See Also Property Grid ActiveX Control v19.3

PropertyGridItemMetrics Object Members

Public Properties

Public Property BackColor | The Background color of a PropertyGridItem.
Public Property DrawTextFormat | Gets\set the text formatting style for the property item.
Public Property Font | Font used to display the text caption\value of the PropertyGridItem.
Public Property ForeColor | The color of the text caption\value of the PropertyGridItem.
Public Property IconIndex | Index of an icon to display in the PropertyGridItem.
Public Property MaxLength | Get\set the maximum length that an item can be.

See Also

PropertyGridItemMetrics Overview | ValueMetrics Property | CaptionMetrics Property | Icons Property | ImageManagerIcons Object


%%PageItemTitle%%

PropertyGridItemMetrics Object | CaptionMetrics Property | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

BackColor Property

Description

The Background color of a PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

PropertyGridItemMetrics Object | CaptionMetrics Property | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemMetrics Object | PropertyItemDrawTextFormat Enumeration

See Also Property Grid ActiveX Control v19.3

DrawTextFormat Property

Description

Gets\set the text formatting style for the property item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextFormat() As PropertyItemDrawTextFormat

Remarks

The DrawTextFormat property uses one or more of the PropertyItemDrawTextFormat flags to display text when not in edit mode.

See Also

PropertyGridItemMetrics Object | PropertyItemDrawTextFormat Enumeration


%%PageItemTitle%%

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property

See Also Property Grid ActiveX Control v19.3

Font Property

Description

Font used to display the text caption\value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property


%%PageItemTitle%%

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property

See Also Property Grid ActiveX Control v19.3

ForeColor Property

Description

The color of the text caption\value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property


%%PageItemTitle%%

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property

See Also Property Grid ActiveX Control v19.3

IconIndex Property

Description

Index of an icon to display in the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

Remarks

The Icon will be displayed to the left of the caption\value. The IconIndex is of an icon stored in the Icons collection.

See Also

PropertyGridItemMetrics Object | ValueMetrics Property | CaptionMetrics Property


%%PageItemTitle%%

PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

MaxLength Property

Description

Get\set the maximum length that an item can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Long

See Also

PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemOption Members | CheckBoxStyle Property

See Also Property Grid ActiveX Control v19.3

PropertyGridItemOption Object

Description

Represents an option button or check box.

For a list of all members defined in this module, see PropertyGridItemOption members.

Object Model

Remarks

The PropertyGridItemOption can be displayed as a check box or a option button. Set CheckBoxStyle to True to use a check box style.

Example

[ItemOption Example (Visual Basic)]

    Dim ItemOption As PropertyGridItemOption
    Set ItemOption = Category.AddChildItem(PropertyItemOption, "Options", 1)
    ItemOption.Constraints.Add "Option 1", 1
    ItemOption.Constraints.Add "Option 2", 2

    Set ItemOption = Category.AddChildItem(PropertyItemOption, "Options", 1 + 2)
    ItemOption.CheckBoxStyle = True
    ItemOption.Constraints.Add "Option 1", 1
    ItemOption.Constraints.Add "Option 2", 2
    'ItemOption.Constraints.Add "Option 3", 4
    'ItemOption.Constraints.Add "Option 4", 8

See Also

PropertyGridItemOption Members | CheckBoxStyle Property


%%PageItemTitle%% $$Members$$

PropertyGridItemOption Overview | CheckBoxStyle Property

See Also Property Grid ActiveX Control v19.3

PropertyGridItemOption Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl | Adds a slider control to the property grid item.
Public Method AddSpinButton | Adds a spin button to the property grid item.
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItem.
Public Property CheckBoxStyle | Specifies whether the Option Item will be displayed as a check box or an option button.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property ConstraintEdit | Gets/Sets whether a PropertyGridItem that contains constraints can be edited.
Public Property Constraints | Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.
Public Property Tag | Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property Value | Gets/Sets the value of the PropertyGridItem.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItem.

See Also

PropertyGridItemOption Overview | CheckBoxStyle Property


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Type

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the new item.

Title

The caption of the new PropertyGridItem.

Value

The initial value of the new item.

Return Type

A PropertyGridItem object.

See Also

PropertyGridItemOption Object | PropertyGridItem Object | AddChildItemBinded Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

Example

[AddChildItemBinded Sample (Visual Basic)] This sample illustrates how to use the AddChildItemBinded method to bind PropertyGridItems to variables.

    Dim Category As PropertyGridItem, ItemAssemble As PropertyGridItem
    Dim AssembleName As String

    'Variable that the PropertyGridITem will be bound to
    AssembleName = "WindowsApplication1"

    'Category named "Application" is added to the collection of categories of the first property grid
    Set Category = wndPropertyGrid(0).AddCategory("Application")

    'Adds a child property item bound to the variable AssembleName. This child is added to
    'the "Application" category's collection of childs
    Set ItemAssemble = Category.AddChildItemBinded(PropertyItemString, Me, "AssembleName")
    'Change the caption of the property item or the default will be used, the default caption
    'that will be used is the name of the bound variable
    ItemAssemble.Caption = "Name of Application"

See Also

PropertyGridItemOption Object | PropertyGridItem Object | AddChildItem Method | InsertChildItem Method

Example

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.


%%PageItemTitle%%

PropertyGridItemOption Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridInplaceSliderControl Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Description

Adds a slider control to the property grid item.

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

Remarks

The slider control will automatically increment or decrement the value this item.

You can move the slider by dragging it, clicking the mouse to either side of the slider, or using the keyboard.

Slider controls are useful when you want to select a discrete value or a set of consecutive values in a range. For example, you could use a Slider to set the size of a displayed image by moving the slider to a given tick mark rather than by typing a number.

See Also

PropertyGridItemOption Object | PropertyGridInplaceSliderControl Object

Example

PropertyGridInplaceSliderControl Object


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridInplaceSpinButton Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Description

Adds a spin button to the property grid item.

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

Remarks

The spin button will automatically increment or decrement the value this item.

See Also

PropertyGridItemOption Object | PropertyGridInplaceSpinButton Object

Example

PropertyGridInplaceSpinButton Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | AddChildItem Method | AddChildItemBinded Method

Index

The position in the collection of items to insert the new item.

Type

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Type of item to insert.

Title

The caption/title to give the item.

Value

The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemOption Object | AddChildItem Method | AddChildItemBinded Method

Example

Adding Items to the Property Grid


%%PageItemTitle%%

PropertyGridItemOption Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemOption Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemOption Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemOption Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridItemMetrics Object | ValueMetrics Property

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemOption Object | PropertyGridItemMetrics Object | ValueMetrics Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

CheckBoxStyle Property

Description

Specifies whether the Option Item will be displayed as a check box or an option button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CheckBoxStyle() As Boolean

Remarks

The PropertyGridItemOption can be displayed as a check box or a option button. Set to True to use a check box.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether a PropertyGridItem that contains constraints can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemOption Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Used with PropertyGridItems of Type Property "Double" and "Date." Gets/Sets the number of digits after the decimal point.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

For example "%0.5f" would display 5 digits past the decimal place.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemOption Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | FindItem Method | Tag Property

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

Example

[Assigning an Id to Property Grid Items. (Visual Basic)] This sample illustrates how to assign an Id to a property grid item

'Ids of items
Const ID_STRING_ITEM = 200
Const ID_NUMBER_ITEM = 201

Dim Category As PropertyGridItem
Dim Item As PropertyGridItem

    'Adds a catagory named "Items" to the property grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemString, "StringItem", "String")
    'Assigns an Id to the Item
    Item.Id = ID_STRING_ITEM

    'Adds an item to the "Items" category
    Set Item = Category.AddChildItem(PropertyItemNumber, "NumberItem", 10)
    'Assigns an Id to the Item
    Item.Id = ID_NUMBER_ITEM

    'Searches the collection of items for the item with Id ID_STRING_ITEM and returns the item
    Set Item = wndPropertyGrid.FindItem(ID_STRING_ITEM)
    If Not Item Is Nothing Then
        'If found, replace the value of the item with "Sample Text"
        Item.Value = "Sample Text"
    End If

See Also

PropertyGridItemOption Object | FindItem Method | Tag Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemOption Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemOption Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

Remarks

The Value will not contain any asterisk (*), you can also return the actual text with the MaskedText property.

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemOption Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

Gets/Sets the value of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

This is the value displayed in the right half of the property grid item. If an "edit mask" is currently set, this value will include the "edit mask" text as well. Use the MaskedText property to return the value without the "edit mask."

See Also

PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGridItemOption Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItem object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItem have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItem can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItem can be set with the ValueMetrics property.

See Also

PropertyGridItemOption Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemPicture Members

See Also Property Grid ActiveX Control v19.3

PropertyGridItemPicture Object

Description

Constructs a PropertyGridItemPicture object, PropertyGridItems of type PropertyItemPicture are of this type.

For a list of all members defined in this module, see PropertyGridItemPicture members.

Object Model

Remarks

Items of type PropertyItemPicture will allow a picture to be loaded into a property grid item. The Value of the item needs to be set to the pointer of a picture object. Supported picture formats include bitmap (.bmp) files, icon (.ico) files, cursor (.cur) files, metafile (.wmf) files, enhanced metafiles (.emf), GIF (.gif) files, and JPEG (.jpg) files. The property grid item will display a small preview thumbnail of the loaded picture and will display the picture type.

See Also

PropertyGridItemPicture Members

Example

Picture Item Sample | PicturePath Sample


%%PageItemTitle%% $$Members$$

PropertyGridItemPicture Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridItemPicture Object Members

Public Methods

Public Method AddChildItem | Adds a child item to this PropertyItem.
Public Method AddChildItemBinded | Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method AddInplaceButton | Add a button to the property grid item.
Public Method AddSliderControl |
Public Method AddSpinButton |
Public Method EnsureVisible | The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.
Public Method GetRect | Returns the top, left, right, and bottom coordinates of the item.
Public Method InsertChildItem | The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.
Public Method InsertChildItemBinded | The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.
Public Method Remove | The Remove method removes an item from the property grid.
Public Method SetMask | Applies the specified Mask to a PropertyGridItem data field.
Public Method StartEdit | Places the item in edit mode.

Public Properties

Public Property AutoComplete | Enables or disabled Auto Completion for this item.
Public Property Caption | Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.
Public Property CaptionMetrics | The metrics used to draw the caption (left column) of the PropertyGridItemPicture.
Public Property Childs | Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.
Public Property ConstraintEdit | Gets/Sets whether a PropertyGridItem that contains constraints can be edited.
Public Property Constraints | Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.
Public Property DefaultValue | Default value of the item.
Public Property Description | Gets/Sets the description of the PropertyGridItem.
Public Property DropDownItemCount | Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.
Public Property EditStyle | Gets\sets the edit style(s) applied to the item.
Public Property Expandable | Enables or disables expanding the item by the user.
Public Property Expanded | Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.
Public Property Flags | Gets/Sets the flags associated with the PropertyItem.
Public Property Format | Used with PropertyGridItems of Type "Double" and "Date."
Public Property Height | Gets\Sets the height of the item.
Public Property Hidden | Gets\sets whether the item is visible.
Public Property Id | The Id property is used to get or set an Id for the item.
Public Property Index | Index of the item.
Public Property InplaceButtons | Collection of in-place buttons for this item.
Public Property MarkupTemplate |
Public Property MaskedText | Gets/Sets the masked text for the PropertyGridItem.
Public Property MultiLinesCount | Gets\Sets the number of lines of text that can be displayed in the item.
Public Property Parent | Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.
Public Property PasswordMask | Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).
Public Property PicturePath | The PicturePath property gets or sets the path to the picture that this item is pointing to.
Public Property PreviewWidth | Gets or sets the width of the preview picture displayed in the grid.
Public Property ReadOnly | Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.
Public Property Selected | Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.
Public Property Tag | Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip text for the item.
Public Property Type | Returns the data type of the property grid item.
Public Property Value | The Value property gets or sets the Handle to the picture pointed to by this picture item.
Public Property ValueMetrics | The metrics used to draw the value (right column) of the PropertyGridItemPicture.

See Also

PropertyGridItemPicture Overview


%%PageItemTitle%%

PropertyGridItemPicture Object | AddChildItemBinded Method | InsertChildItem Method

Type
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.
See Also Property Grid ActiveX Control v19.3

AddChildItem Method

Description

Adds a child item to this PropertyItem.

Syntax

Public Function AddChildItem( _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   Optional ByVal Value As Variant _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the new item.
Title
The caption of the new PropertyGridItem.
Value
The initial value of the new item.

See Also

PropertyGridItemPicture Object | AddChildItemBinded Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemPicture Object | AddChildItem Method | InsertChildItem Method

Type
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)
See Also Property Grid ActiveX Control v19.3

AddChildItemBinded Method

Description

Adds a child item that is bound to the PropertyGridItem. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function AddChildItemBinded( _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
The type of the PropertyGridItem.
Handler
The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.
Property
The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemPicture Object | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemPicture Object

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also Property Grid ActiveX Control v19.3

AddInplaceButton Method

Description

Add a button to the property grid item.

Syntax

Public Function AddInplaceButton( _
   ByVal Id As Integer _
) As PropertyGridInplaceButton

Parameters

Id

Expand button = 100

Combo Button = 101

Or set to anything else to add a custom button.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

AddSliderControl Method

Syntax

Public Function AddSliderControl() As PropertyGridInplaceSliderControl

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

AddSpinButton Method

Syntax

Public Function AddSpinButton() As PropertyGridInplaceSpinButton

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method ensures that an item is visible. If necessary, the method expands the parent item or scrolls the property grid control so that the item is visible.

Syntax

Public Sub EnsureVisible()

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also Property Grid ActiveX Control v19.3

GetRect Method

Description

Returns the top, left, right, and bottom coordinates of the item.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

The left point of the control rectangle.

top

The Top point of the control rectangle.

right

The Right point of the control rectangle.

bottom

The Bottom point of the control rectangle.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | AddChildItem Method | AddChildItemBinded Method

Index
The position in the collection of items to insert the new item.
Type
Type of item to insert.
Title
The caption/title to give the item.
Value
The value to assign to the item.
See Also Property Grid ActiveX Control v19.3

InsertChildItem Method

Description

The InsertChildItem method is used to insert a new PropertyGridItem at a specific position within a collection of items.

Syntax

Public Function InsertChildItem( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Title As String, _
   ByVal Value As Variant _
) As PropertyGridItem

Parameters

Index
The position in the collection of items to insert the new item.
Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.
Type of item to insert.
Title
The caption/title to give the item.
Value
The value to assign to the item.

Return Type

Pointer to the item at the specified index that was inserted into the collection of items.

Remarks

The InsertChildItem method creates a new PropertyGridItem and inserts it at the specified Index in the collection of items. Items can be added to the Categories collection of items or to Child Items collection of items as in the picture below. Items added to the Categories collection of items will be used categories. Items added to a category's collection of child items will be displayed in the category that they are added to.

See Also

PropertyGridItemPicture Object | AddChildItem Method | AddChildItemBinded Method


%%PageItemTitle%%

PropertyGridItemPicture Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method

Index

The position in the collection of items to insert the new item.

Type

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

See Also Property Grid ActiveX Control v19.3

InsertChildItemBinded Method

Description

The InsertChildItemBinded method is used to insert a new PropertyGridItem at a specific position within a collection of items. This means that the PropertyGridItem is bound to a variable, and the value of the item is stored in this variable.

Syntax

Public Function InsertChildItemBinded( _
   ByVal Index As Integer, _
   ByVal Type As PropertyItemType, _
   ByVal Handler As Object, _
   ByVal Property As String _
) As PropertyGridItem

Parameters

Index

The position in the collection of items to insert the new item.

Type
Value | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

The type of the PropertyGridItem.

Handler

The object that "handles" the variable the item is binding to. I.e. The object the variable is defined in.

Property

The name of the variable that will be bound to the PropertyGridItem in string notation (explained below)

Remarks

Bound variables store the values of the property grid items and can be accessed without using the property grid methods and properties. Bound variables allow the property grid to store data in variables. Binding works in only one direction. When the value of a PropertyGridItem is changed, the value of the bound variable will be changed to the PropertyGridItem value. If the value of the variable is changed without using the PropertyGrid, the PropertyGridItem value will not change (You would need to explicitly update the PropertGridItem value with the contents of the variable.) The advantage of binding is that the variable can be used and manipulated without using PropertyGridItem methods and properties.

Important Note: When the binding occurs, the variable name is passed to the method in String Notation. String Notation means the name of the variable is placed in quotation marks, within the quotation marks the variable name can be passed with any combination of spaces and uppercase/lowercase letters, but no extra characters can be added and they must appear in the same order. For example, when binding to the variable AssembleName you could pass the variable as Sassemblename⬝ which is the same as SASSEMBLE n a m e⬝, but SAssemble Names⬝ will not work because an extra Ss⬝ is added. The reason for this is the variable name passed in String Notation will be used as the PropertyGridItem Caption if no caption is explicitly set.

Note: A variable must be declared within an objects code if it will be bound. This means bound variables cannot be declared in a .bas module.

See Also

PropertyGridItemPicture Object | AddChildItemBinded Method | AddChildItem Method | InsertChildItem Method


%%PageItemTitle%%

PropertyGridItemPicture Object | PropertyGridItems Remove Method

See Also Property Grid ActiveX Control v19.3

Remove Method

Description

The Remove method removes an item from the property grid.

Syntax

Public Sub Remove()

Remarks

The Remove method will remove the item, if the item has any children, all child items will be removed as well.

See Also

PropertyGridItemPicture Object | PropertyGridItems Remove Method


%%PageItemTitle%%

PropertyGridItemPicture Object

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Property Grid ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to a PropertyGridItem data field.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal

Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

StartEdit Method

Description

Places the item in edit mode.

Syntax

Public Sub StartEdit()

Remarks

StartEdit will first determine if the item is editable, if it is, then focus will be set to the item and will be placed into edit mode.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

This only applies to items with a constraint list.

Using AutoComplete will cause the dropdown list to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the dropdown list's list of items.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

Sets/gets the caption of the item. This is the text that will be displayed in the description half (left side) of the property grid item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | ValueMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

CaptionMetrics Property

Description

The metrics used to draw the caption (left column) of the PropertyGridItemPicture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CaptionMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemPicture object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemPicture have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemPicture can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemPicture can be set with the ValueMetrics property.

See Also

PropertyGridItemPicture Object | ValueMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Childs Property

Description

Gets the collection of child property grid items added to this item. These items will appear on another level under the property grid item they are added to when the plus "+" button is used to expand the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As PropertyGridItems

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

ConstraintEdit Property

Description

Gets/Sets whether a PropertyGridItem that contains constraints can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Constraints Property

Description

Gets the collection of constraints (list of values to display in a combo list) associated with this property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As PropertyGridItemConstraints

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | HighlightChangedItems Property

See Also Property Grid ActiveX Control v19.3

DefaultValue Property

Description

Default value of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultValue() As String

Remarks

The DefaultValue is the value provided when the item was added with the AddChildItem method.

If HighlightChangedItems is True, the item's value will be displayed in bold text when it is changed from the value that was set with the AddChildItem method.

See Also

PropertyGridItemPicture Object | HighlightChangedItems Property


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Description Property

Description

Gets/Sets the description of the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Description() As String

Remarks

This is the text displayed in the help panel when the item is selected.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets how many items to show in the combobox dropdown before a scrollbar will appear.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Integer

Remarks

This refers to the number of constraint items displayed when the dropdown button is pressed.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

EditStyle Property

Description

Gets\sets the edit style(s) applied to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditStyle() As PropertyItemEditStyle

Remarks

The table below list the available edit styles that can be applied to property grid items.

Edit style | Value | Description
AUTOHSCROLL | 128 | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
AUTOVSCROLL | 64 | Scrolls text up one page when the user presses the ENTER key on the last line.
CENTER | 1 | Centers text in a multiline edit control.
LEFT | 0 | Left-aligns text.
LOWERCASE | 16 | Converts all characters to lowercase as they are typed into the edit control.
MULTILINE | 4 | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
NUMBER | 8192 | Accepts into the edit control only digits to be typed.
PASSWORD | 32 | Displays an asterisk (*) for each character that is typed into the edit control.
RIGHT | 2 | Right-aligns text in a multiline edit control.
UPPERCASE | 8 | Converts all characters to uppercase as they are typed into the edit control.

To apply more than one edit style, the binary equivalent of each value must be combined with a bit-wise OR operation before it is set to the EditStyle property.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Expandable Property

Description

Enables or disables expanding the item by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Flags Property

Description

Gets/Sets the flags associated with the PropertyItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As PropertyItemFlags

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Format Property

Description

Used with PropertyGridItems of Type "Double" and "Date."

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

For example "%0.5f" would display 5 digits past the decimal place.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | VariableItemsHeight Property | MultiLinesCount Property

See Also Property Grid ActiveX Control v19.3

Height Property

Description

Gets\Sets the height of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Integer

Remarks

By default, all property grid items will have the same height. The Height property can be used to assign a custom height to the item. VariableItemsHeight must be True for the items to use the Height property.

Each item can also display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount. VariableItemsHeight must be True to see multi-line text values in the property grid.

See Also

PropertyGridItemPicture Object | VariableItemsHeight Property | MultiLinesCount Property


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Hidden Property

Description

Gets\sets whether the item is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

The Hidden property allows items to be hidden on an individual basis.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | Tag Property | FindItem Method

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to get or set an Id for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id can be used to uniquely identify the property grid item. The FindItem method can be used to search for and item by Id.

To associate any extra data needed for your program with the item, the Tag property can be used.

See Also

PropertyGridItemPicture Object | Tag Property | FindItem Method

Example

Id Property Smaple


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Index Property

Description

Index of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | PropertyGridInplaceButton Object

See Also Property Grid ActiveX Control v19.3

InplaceButtons Property

Description

Collection of in-place buttons for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtons() As PropertyGridInplaceButtons

Remarks

This collection contains all in-place buttons for this item.

See Also

PropertyGridItemPicture Object | PropertyGridInplaceButton Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

MarkupTemplate Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupTemplate() As String

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

MaskedText Property

Description

Gets/Sets the masked text for the PropertyGridItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets/Sets the actual text value for the property grid item without the "edit mask" characters added by the SetMask method.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | VariableItemsHeight Property

See Also Property Grid ActiveX Control v19.3

MultiLinesCount Property

Description

Gets\Sets the number of lines of text that can be displayed in the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLinesCount() As Integer

Remarks

VariableItemsHeight must be True to see multi-line text values in the property grid.

Each item can display multiple lines of text. To enable multi-line support, set the MultiLinesCount property of the item to a number greater than 1. The item will then display the number of lines of text up to MultiLinesCount. The height of the item will automatically be adjusted to accommodate the number of lines of text specified by MultiLinesCount.

To specify that only one line of text can be displayed (default), set MultiLinesCount to 1.

See Also

PropertyGridItemPicture Object | VariableItemsHeight Property


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Parent Property

Description

Gets the parent item of the PropertyGridItem or NULL (Nothing ) if there is none.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Parent() As PropertyGridItem

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

PasswordMask Property

Description

Gets/Sets a Boolean value indicating whether the PropertyGridItem value is displayed with a password mask. It true, all characters are replaced by an asterisk (*).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordMask() As Boolean

Remarks

The Value will not contain any asterisk (*), you can also return the actual text with the MaskedText property.

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

PicturePath Property

Description

The PicturePath property gets or sets the path to the picture that this item is pointing to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PicturePath() As String

Remarks

The handle to the picture is stored in the Value property.

Example

[PicturePath Sample (Visual Basic)] This sample illustrates how to retreive the path to the picture displayed in the picture item.

Private Sub wndPropertyGrid_ValueChanged(ByVal Item As XtremePropertyGrid.IPropertyGridItem)

    If (Item.Type = PropertyItemPicture) Then
        Dim ItemPicture As PropertyGridItemPicture
        Set ItemPicture = Item

        Dim Picture As StdPicture
        Set Picture = Item.Value

        Debug.Print "Path = "; ItemPicture.PicturePath
        Debug.Print "Type = "; Picture.Type; ", Width = "; Picture.Width; ", Height = "; Picture.Height
    End If

End Sub

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

PreviewWidth Property

Description

Gets or sets the width of the preview picture displayed in the grid.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewWidth() As Long

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

ReadOnly Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Selected Property

Description

Gets/Sets a boolean value indicating whether the PropertyGridItem is currently selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Tag Property

Description

Gets/Sets the Tag of the property grid item. Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | Description Property | ToolTipContext Property

See Also Property Grid ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The ToolTipContext property can be used to change the appearance of the tooltips.

See Also

PropertyGridItemPicture Object | Description Property | ToolTipContext Property


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Type Property

Description

Returns the data type of the property grid item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Type() As PropertyItemType

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object

See Also Property Grid ActiveX Control v19.3

Value Property

Description

The Value property gets or sets the Handle to the picture pointed to by this picture item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

See Also

PropertyGridItemPicture Object


%%PageItemTitle%%

PropertyGridItemPicture Object | CaptionMetrics Property | PropertyGridItemMetrics Object

See Also Property Grid ActiveX Control v19.3

ValueMetrics Property

Description

The metrics used to draw the value (right column) of the PropertyGridItemPicture.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ValueMetrics() As PropertyGridItemMetrics

Remarks

The PropertyGridItemPicture object consists of two parts, the caption (left column) and the value (right column). Both the caption and the value of a PropertyGridItemPicture have PropertyGridItemMetrics which allows the forecolor, backcolor, and font to be set individually. Additionally, the caption and value can have an icon displayed by assigning an IconIndex of an icon stored in the Icons collection.

The PropertyGridItemMetrics of the caption of a PropertyGridItemPicture can be set with the CaptionMetrics property.

The PropertyGridItemMetrics of the value of a PropertyGridItemPicture can be set with the ValueMetrics property.

See Also

PropertyGridItemPicture Object | CaptionMetrics Property | PropertyGridItemMetrics Object


%%PageItemTitle%%

PropertyGridItems Members

See Also Property Grid ActiveX Control v19.3

PropertyGridItems Collection

Description

Represents a collection of PropertyItems.

For a list of all members defined in this module, see PropertyGridItems members.

Object Model

See Also

PropertyGridItems Members


%%PageItemTitle%% $$Members$$

PropertyGridItems Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridItems Collection Members

Public Methods

Public Method Clear | Removes all property grid items from the collection.
Public Method Remove | Removes a property grid item from the collection by its index.

Public Properties

Public Property Count | Gets the number of property grid items in the collection of items.
Public Property Item | Gets a property grid item from the collection by its index.

See Also

PropertyGridItems Overview


%%PageItemTitle%%

PropertyGridItems Collection

See Also Property Grid ActiveX Control v19.3

Clear Method

Description

Removes all property grid items from the collection.

Syntax

Public Sub Clear()

See Also

PropertyGridItems Collection


%%PageItemTitle%%

PropertyGridItems Collection | PropertyGridItem Remove Method | PropertyGridItemDate Remove Method | PropertyGridItemFont Remove Method | PropertyGridItemPicture Remove Method

Index
The index of the item to remove.
See Also Property Grid ActiveX Control v19.3

Remove Method

Description

Removes a property grid item from the collection by its index.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
The index of the item to remove.

Remarks

The PropertyGridItems.Remove method requires the Index of the item you wish to remove.

If you do not know the Index of an Item you can use the PropertyGridItem.Remove method to remove a specific Item. Using the PropertyGridItem.Remove method you can easily find an item and then remove it.

See Also

PropertyGridItems Collection | PropertyGridItem Remove Method | PropertyGridItemDate Remove Method | PropertyGridItemFont Remove Method | PropertyGridItemPicture Remove Method


%%PageItemTitle%%

PropertyGridItems Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

Gets the number of property grid items in the collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

PropertyGridItems Collection


%%PageItemTitle%%

PropertyGridItems Collection

Index
The index of the item to retrieve.
See Also Property Grid ActiveX Control v19.3

Item Property

Description

Gets a property grid item from the collection by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As PropertyGridItem

Parameters

Index
The index of the item to retrieve.

See Also

PropertyGridItems Collection


%%PageItemTitle%%

PropertyGridPaintManager Members

See Also Property Grid ActiveX Control v19.3

PropertyGridPaintManager Object

Description

Paint manager object used for drawing a property grid control window.

For a list of all members defined in this module, see PropertyGridPaintManager members.

See Also

PropertyGridPaintManager Members


%%PageItemTitle%% $$Members$$

PropertyGridPaintManager Overview

See Also Property Grid ActiveX Control v19.3

PropertyGridPaintManager Object Members

Public Properties

Public Property BackgroundColor | Background color.
Public Property HelpBackColor | Color of the description background.
Public Property HelpForeColor | Color of the description text.
Public Property HighlightBackColor | Highlighted items background color.
Public Property HighlightForeColor | Highlighted items text color.
Public Property HyperlinkColor | Hyperlink color.
Public Property LineColor | Line color.
Public Property ShadowColor | Shadow color.
Public Property ViewBackColor | Gets/Sets the view backcolor for the PropertyGrid. This is the background color of the PropertyGridItems.
Public Property ViewCategoryForeColor | Color of the category text.
Public Property ViewForeColor | Gets/Sets the view forecolor for the property grid. This is the foreground color of the property grid items.
Public Property ViewReadOnlyForeColor | Color of read-only text.

See Also

PropertyGridPaintManager Overview


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

BackgroundColor Property

Description

Background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

HelpBackColor Property

Description

Color of the description background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpBackColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

HelpForeColor Property

Description

Color of the description text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpForeColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

HighlightBackColor Property

Description

Highlighted items background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightBackColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

HighlightForeColor Property

Description

Highlighted items text color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightForeColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

HyperlinkColor Property

Description

Hyperlink color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HyperlinkColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

LineColor Property

Description

Line color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

ShadowColor Property

Description

Shadow color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadowColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

ViewBackColor Property

Description

Gets/Sets the view backcolor for the PropertyGrid. This is the background color of the PropertyGridItems.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewBackColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

ViewCategoryForeColor Property

Description

Color of the category text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewCategoryForeColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

ViewForeColor Property

Description

Gets/Sets the view forecolor for the property grid. This is the foreground color of the property grid items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewForeColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridPaintManager Object

See Also Property Grid ActiveX Control v19.3

ViewReadOnlyForeColor Property

Description

Color of read-only text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewReadOnlyForeColor() As ULong

See Also

PropertyGridPaintManager Object


%%PageItemTitle%%

PropertyGridUpdateContext Members | BeginUpdate Method | EndUpdate Method

See Also Property Grid ActiveX Control v19.3

PropertyGridUpdateContext Object

Description

The PropertyGridUpdateContext object is used to save the current state of the property grid such as the currently selected item, PropertySort preference, and the expanding state of each item in the grid.

For a list of all members defined in this module, see PropertyGridUpdateContext members.

Remarks

The property grid state information is stored in the PropertyGridUpdateContext object when BeginUpdate is called and after EndUpdate the expanding state of each item, selected item, and sort preference will be restored.

Each time you add a new item or category to the grid, the state of the grid is updated and the grid is redrawn. If you want to delete all items in the grid and then add allot of new items it will be quite slow. To do this, you would call BeginUpdate, then delete all the items. The property grid will be locked until you call EndUpdate.

NOTE: The PropertyGridUpdateContext object is used internally by the Property Grid and has no programmable methods or properties.

Example

[PropertyGridUpdateContext Sample (Visual Basic)] This sample illustrates how to use the PropertyGridUpdateContext object to update large amounts of data in the property grid.

'The UpdateGrid subroutine will clear the current contents of the grid and add
'a large amount of items.
Private Sub UpdateGrid()

    'This is the UpdateContext that the grid will use for the update.
    Dim gridUpdate As PropertyGridUpdateContext

    'Begind the update process. This will lock the Property Grid and the user
    'will not be able to interact with the grid during the update.
    Set gridUpdate = wndPropertyGrid.BeginUpdate

        'Removes all items and categories from the grid.
        wndPropertyGrid.Categories.Clear

        Dim Category As PropertyGridItem, Item As PropertyGridItem
        Dim iCategory As Integer, iItem As Integer

        'This is a stress test loop that will illustrate how much the BeginUpdate and EndUpdate methods can impact a large update.
        'There will be 500 categories, each category will have 100 child items and each category will be expanded.
        'When using the BeginUpdate and EndUpdate methods, this loop should take around 15-30 seconds.
        'Without the BeginUpdate and EndUpdate methods, this loop should take around 4-5 minutes!
        For iCategory = 0 To 200
            Set Category = wndPropertyGrid.AddCategory("Category " & iCategory)
            For iItem = 0 To 100
                Set Item = Category.AddChildItem(PropertyItemBool, "Item " & iItem, True)
            Next
            Category.Expanded = True
        Next

    'Ends the update process. All of the changes made to the grid will now be visible.
    'And the user can now interact with the grid again.
    wndPropertyGrid.EndUpdate gridUpdate

End Sub

See Also

PropertyGridUpdateContext Members | BeginUpdate Method | EndUpdate Method


%%PageItemTitle%% $$Members$$

PropertyGridUpdateContext Overview | BeginUpdate Method | EndUpdate Method

See Also Property Grid ActiveX Control v19.3

PropertyGridUpdateContext Object Members

See Also

PropertyGridUpdateContext Overview | BeginUpdate Method | EndUpdate Method


%%PageItemTitle%%

PropertyGridVerb Members | Add Method | Property Grid Verbs Collection

See Also Property Grid ActiveX Control v19.3

PropertyGridVerb Object

Description

The PropertyGridVerb object represents a verb link that is displayed in the verb panel.

For a list of all members defined in this module, see PropertyGridVerb members.

Remarks

Verbs will be displayed in a separate panel just below the property grid. Verbs are links that can be used to perform actions in your application. When a verb is clicked, the VerbClick event occurs. If both the verb panel and help panel are visible at the same time, the verb panel is displayed above the help panel.

A PropertyGridVerb is a link similar to what is seen in Visual Studio .NET. For example, when the DataGrid control is selected at design time in VS .NET, an AutoFormat link button appears in the Properties window just below the property grid and above the help panel.

The verb panel is displayed when the first verb is added to the property grid's verb collection. To hide the verb panel, all verbs must be removed from the verb collection.

The picture below shows the verbs in the verb panel:

See Also

PropertyGridVerb Members | Add Method | Property Grid Verbs Collection

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%% $$Members$$

PropertyGridVerb Overview | Add Method | Property Grid Verbs Collection

See Also Property Grid ActiveX Control v19.3

PropertyGridVerb Object Members

Public Properties

Public Property Caption | The Caption property gets or sets the text caption of the verb.
Public Property Id | The Id property is used to identify a verb link.

See Also

PropertyGridVerb Overview | Add Method | Property Grid Verbs Collection


%%PageItemTitle%%

PropertyGridVerb Object

See Also Property Grid ActiveX Control v19.3

Caption Property

Description

The Caption property gets or sets the text caption of the verb.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The Caption of the verb is displayed as a link in the verb panel. The caption of the verb is set when the verb is added to the verb panel. The caption of the verb can be changed using the caption property.

The picture below shows the verbs in the verb panel. The caption of the verb links in the picture are "ActiveX - Properties...," "ActiveX - Edit...," and "ActiveX - About...":

See Also

PropertyGridVerb Object

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%%

PropertyGridVerb Object | Verbs Property | VerbClick Event

See Also Property Grid ActiveX Control v19.3

Id Property

Description

The Id property is used to identify a verb link.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

The Id of the verb is used in the VerbClick event to identify which verb was clicked.

See Also

PropertyGridVerb Object | Verbs Property | VerbClick Event

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%%

PropertyGridVerbs Members | PropertyGridVerb Object | Verbs Property

See Also Property Grid ActiveX Control v19.3

PropertyGridVerbs Collection

Description

The PropertyGridVerbs object represent a collection of PropertyGridVerb objects which are displayed in the verb panel. See PropertyGridVerb for a description of verbs.

For a list of all members defined in this module, see PropertyGridVerbs members.

Object Model

Remarks

The PropertyGridVerbs object allows you to add verbs, remove verbs, and return the total number of verbs.

The Property Grid uses the Verbs property which is of type PropertyGridVerbs as a collection of verb links that are displayed in the verb panel.

See Also

PropertyGridVerbs Members | PropertyGridVerb Object | Verbs Property

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%% $$Members$$

PropertyGridVerbs Overview | PropertyGridVerb Object | Verbs Property

See Also Property Grid ActiveX Control v19.3

PropertyGridVerbs Collection Members

Public Methods

Public Method Add | The Add method adds a verb link to the verb panel.
Public Method Clear | The Clear method removes all the verbs from the verb panel.

Public Properties

Public Property Count | The Count property holds the total number of verbs in the verb collection.
Public Property Verb | The Verb property is the collection of PropertyGridVerb objects which are displayed in the verb panel.

See Also

PropertyGridVerbs Overview | PropertyGridVerb Object | Verbs Property


%%PageItemTitle%%

PropertyGridVerbs Collection

Title
The Title is used as the Caption of the verb link.
Id
The Id is the value used to identify the verb link.
See Also Property Grid ActiveX Control v19.3

Add Method

Description

The Add method adds a verb link to the verb panel.

Syntax

Public Sub Add( _
   ByVal Title As String, _
   ByVal Id As Long _
)

Parameters

Title
The Title is used as the Caption of the verb link.
Id
The Id is the value used to identify the verb link.

Remarks

The verb panel is displayed when the first verb is added to the property grid's verb collection. To hide the verb panel, all verbs must be removed from the verb collection.

See Also

PropertyGridVerbs Collection

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%%

PropertyGridVerbs Collection | Verbs Property | Add Method

See Also Property Grid ActiveX Control v19.3

Clear Method

Description

The Clear method removes all the verbs from the verb panel.

Syntax

Public Sub Clear()

Remarks

The Clear method is used to hide the verb panel and remove all of the verbs.

The verb panel is displayed when the first verb is added to the property grid's verb collection. To hide the verb panel, all verbs must be cleared from the verb collection.

Example

[Hideing and Showing the Verb Panel (Visual Basic)] This sample illustrtates how to hide and show the verb panel. This sample assumes that there is a check box control named chkShowVerbs.

'Verb Ids
Const VERB_PROPERTIES = 100
Const VERB_EDIT = 101
Const VERB_ABOUT = 102

Private Sub Form_Load()

    'Adds the verbs to the verb panel and displays the verb panel.
    ShowVerbs

End Sub

Private Sub ShowVerbs()

    'Adds a verb to the property grid's verb collection. This will cause the verb
    'panel to be displayed.
    wndPropertyGrid.Verbs.Add "ActiveX - Properties...", VERB_PROPERTIES
    wndPropertyGrid.Verbs.Add "ActiveX - Edit", VERB_EDIT
    wndPropertyGrid.Verbs.Add "ActiveX - About...", VERB_ABOUT

    'Changes the caption of the first verb.
    wndPropertyGrid.Verbs(1).Caption = "ActiveX - Properties..."

    'Set the height of the verb panel to 50 pixels
    wndPropertyGrid.VerbsHeight = 50

End Sub

'This subroutine is called when the chkShowVerbs check box control is
'clicked. It will hide and show the verb panel.
Private Sub chkShowVerbs_Click()

    If (chkShowVerbs) Then
        'Adds the verbs to the verb panel and displays the verb panel.
        ShowVerbs
    Else
        'Removes all verbs from the verb panel and hides the verb panel.
        wndPropertyGrid.Verbs.Clear
    End If

End Sub

See Also

PropertyGridVerbs Collection | Verbs Property | Add Method


%%PageItemTitle%%

PropertyGridVerbs Collection

See Also Property Grid ActiveX Control v19.3

Count Property

Description

The Count property holds the total number of verbs in the verb collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Example

[Determining the Total Number of Verbs (Visual Basic)] This sample illustrates how to retrieve the total number of verb links added to the verb panel.

    'Prints the total number of verb links
    Debug.Print "Total Number of Verbs: " & wndPropertyGrid.Verbs.Count

See Also

PropertyGridVerbs Collection


%%PageItemTitle%%

PropertyGridVerbs Collection | Verbs Property | Add Method

Index
The verb collection is a one (1) based list of PropertyGridVerb objects. The Index parameter specifies the position in the collection of verbs.
See Also Property Grid ActiveX Control v19.3

Verb Property

Description

The Verb property is the collection of PropertyGridVerb objects which are displayed in the verb panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Verb( _
   ByVal Index As Long _
) As PropertyGridVerb

Parameters

Index
The verb collection is a one (1) based list of PropertyGridVerb objects. The Index parameter specifies the position in the collection of verbs.

Remarks

When a verb is added to the verb panel, the verb is stored in this Verb collection

See Also

PropertyGridVerbs Collection | Verbs Property | Add Method

Example

Adding Verb Links to the Property Grid


%%PageItemTitle%%

ResourceImages Members

See Also Property Grid ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpGridThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Property Grid ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Property Grid ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Property Grid ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpGridThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Property Grid ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Property Grid ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ToolTipContext Members | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration | Font Property | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property

See Also Property Grid ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration | Font Property | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration | Font Property | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property

See Also Property Grid ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Specifies whether to display images in the tooltip window.
Public Method ShowTitleAndDescription | The ShowTitleAndDescription method specifies whether to show the ToolTip and Description of the PropertyGridItem in the tool tip window.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | XTPToolTipIcon Enumeration | XTPToolTipStyle Enumeration | Font Property | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method

See Also Property Grid ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

Example

[How to Detemine if Balloon Tool Tips are Supported (Visual Basic)] This sample illustrates how To determine If Balloon tool tips are supported.

    If Not PropertyGrid.ToolTipContext.IsBalloonStyleSupported Then
        'Requires Internet Explorer 5.0 or Above
        PropertyGrid.ToolTipContext.ShowTitleAndDescription False, xtpToolTipIconNone
        PropertyGrid.ToolTipContext.Style = xtpToolTipStandard
    Else
        PropertyGrid.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo
        PropertyGrid.ToolTipContext.Style = xtpToolTipBalloon
    End If

[How to Detemine if Balloon Tool Tips are Supported in C# (C#)] This sample illustrates how to determine if Balloon tool tips are supported.

    if (!PropertyGrid.ToolTipContext.IsBalloonStyleSupported())
    {
        //Requires Internet Explorer 5.0 or Above
        PropertyGrid.ToolTipContext.ShowTitleAndDescription(false, XtremeCommandBars.XTPToolTipIcon.xtpToolTipIconNone);
        PropertyGrid.ToolTipContext.Style = XtremeCommandBars.XTPToolTipStyle.xtpToolTipStandard;
    }
    else
    {
        PropertyGrid.ToolTipContext.ShowTitleAndDescription(true, XtremeCommandBars.XTPToolTipIcon.xtpToolTipIconInfo);
        PropertyGrid.ToolTipContext.Style = XtremeCommandBars.XTPToolTipStyle.xtpToolTipBalloon;
    }

See Also

ToolTipContext Object | ShowTitleAndDescription Method


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Property Grid ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Property Grid ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a PropertyGridItem or PropertyGridItem id to specify a large image. Set to 0 to display only standard button icons associated with the control.
See Also Property Grid ActiveX Control v19.3

ShowImage Method

Description

Specifies whether to display images in the tooltip window.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a PropertyGridItem or PropertyGridItem id to specify a large image. Set to 0 to display only standard button icons associated with the control.

Remarks

To add an image to a tooltip as seen in Office 2007 style tooltip, which is usually a large image that is a shrunken screen shot of the dialog\function a menu item or button performs, you would simply add another image to the imagemanager that has the same id as the button\menu item plus the ImageBase value. When the ShowImage parameter is True and the ImageBase is greater than 0 then it will automatically add the ImageBase to all control ids when displaying the picture in the tooltips.

The diagram below illustrates how to display an image in the tooltip for a button control. The ImageBase is set to a value of 1000, you can choose any positive non zero number for this. Note that there are 2 images in the ImageManager control, one for the button control, which has an Id of 106 and the second is for the tooltip which has an Id of ImageBase + Control Id. Note, if you set the ImageBase to 0 then the button control image will also be displayed in the tooltip.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | Caption Property | Description Property | IsBalloonStyleSupported Method | ShowTitleAndDescription Method

ShowTitleAndDescription

True to display the ToolTip, Description and Icon (specified by IconTitle) of the PropertyGridItem in the tool tip window.

False to display the text stored in the ToolTip property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
See Also Property Grid ActiveX Control v19.3

ShowTitleAndDescription Method

Description

The ShowTitleAndDescription method specifies whether to show the ToolTip and Description of the PropertyGridItem in the tool tip window.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the ToolTip, Description and Icon (specified by IconTitle) of the PropertyGridItem in the tool tip window.

False to display the text stored in the ToolTip property in the tool tip window. If False, no icon will be displayed in the tool tip window.

IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon [image] will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon [image] will be displayed in the tool tip window.
xtpToolTipIconError | The error icon [image] will be displayed in the tool tip window.

Remarks

Both ToolTip and Description must be set for ShowTitleAndDescription to have an effect. Otherwise only the ToolTip text will be displayed in the tooltip.

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the ToolTip and Description of the PropertyGridItem.

Example

[ShowTitleAndDescription Sample (Visual Basic)] This sample illustrates how to display a tool tip window that displays the ToolTip, Description, and XTPToolTipIcon.

    PropertyGrid.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo

    Set Item = Category.AddChildItem(PropertyItemBool, "SaveOnClose", True)
    Item.Tooltip = "SaveOnClose"
    Item.Description = "Specifies whether to save the document when it is closed."

See Also

ToolTipContext Object | Caption Property | Description Property | IsBalloonStyleSupported Method | ShowTitleAndDescription Method


%%PageItemTitle%%

ToolTipContext Object

See Also Property Grid ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Property Grid ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Tooltip Property | Description Property

See Also Property Grid ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the ToolTip and Description of the PropertyGridItem, the minimum width of the tool tip window can not be smaller that the width of the ToolTip.

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Tooltip Property | Description Property


%%PageItemTitle%%

ToolTipContext Object

See Also Property Grid ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Property Grid ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Property Grid ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip and Description of the PropertyGridItem will be displayed in the tool tip window. If this property is not set, then the ToolTip of the PropertyGridItem will be used.

See the XTPToolTipStyle enumeration for a picture and detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Property Grid ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Property Grid ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

EditorStyle Property | PropertyGridItemColor Object

See Also Property Grid ActiveX Control v19.3

PropertyGridItemColorEditor Enumeration

Description

Specifies which type of color selector is used for a PropertyGridItemColor item.

Members

Member | Description
ItemColorPopup | A popup color selector is used to select colors.
ItemColorStandardDialog | A standard color dialog is used to select colors.
ItemColorExtendedDialog | An extended color dialog is used to select colors.

Remarks

The EditorStyle property uses flags from the PropertyGridItemColorEditor enumeration to specify which type of color selector is displayed. There are three types of color selectors, the first is a simple color popup, the second is a standard color dialog and the third is an extended color dialog.

See Also

EditorStyle Property | PropertyGridItemColor Object


%%PageItemTitle%%

DrawTextFormat Property | PropertyItemEditStyle Enumeration

See Also Property Grid ActiveX Control v19.3

PropertyItemDrawTextFormat Enumeration

Description

Text formatting styles for property grid items.

Members

Member | Description
DrawTextCenter | Centers text horizontally in the rectangle.
DrawTextRight | Aligns text to the right.
DrawTextVcenter | Centers text vertically.
DrawTextBottom | Justifies the text to the bottom of the rectangle.
DrawTextWordBreak | Breaks words. Automatically breaks lines between words if a word would extend past the edge of the item rectangle. A carriage return-linefeed sequence also breaks the line.
DrawTextSingleLine | Displays text on a single line only. Carriage returns and linefeeds do not break the line.
DrawTextNoprefix | An occurrence of the character "&" in a text string is displayed as itself. If DrawTextNoprefix is not set, then the character following "&" in the text string is displayed as an underscored character.

Remarks

The DrawTextFormat property uses a combination of PropertyItemDrawTextFormat flags to display text when not in edit mode. When in edit mode, the PropertyItemEditStyle flags are used.

See Also

DrawTextFormat Property | PropertyItemEditStyle Enumeration


%%PageItemTitle%%

EditStyle Property

See Also Property Grid ActiveX Control v19.3

PropertyItemEditStyle Enumeration

Description

Edit style(s) for property grid items when in edit mode.

Members

Member | Description
EditStyleLeft | Left-aligns text.
EditStyleCenter | Centers text in a multiline edit control.
EditStyleRight | Right-aligns text in a multiline edit control.
EditStyleMultiLine | Designates a multiline edit control. The default is a single-line edit control. This style is automatically applied when the MultiLinesCount property of the item is set to a number greater than 1.
EditStyleUpperCase | Converts all characters to uppercase as they are typed into the edit control.
EditStyleLowerCase | Converts all characters to lowercase as they are typed into the edit control.
EditStyleAutoVscroll | Scrolls text up one page when the user presses the ENTER key on the last line.
EditStyleAutoHscroll | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to the zero position.
EditStyleWantReturn | When using a MultiLineGrid item this allows the user to press Enter instead of Ctrl+Enter for a new line.
EditStyleNumber | Accepts into the edit control only digits to be typed.
EditStyleVScroll | Adds a vertical scrollbar to a multiline edit cotnrol.

Remarks

The PropertyGrid item EditStyle property uses the PropertyItemEditStyle flags to set the edit style for editable items.

See Also

EditStyle Property


%%PageItemTitle%%

PropertyGridItem Flags Property

See Also Property Grid ActiveX Control v19.3

PropertyItemFlags Enumeration

Description

Flags that indicate the different PropertyGridItem styles that can be set.

Members

Member | Description
ItemHasEdit | This adds an edit box to property grid items that are not normally editable, like an added constraint in a combo list. For example, this allows you to place the cursor in a PropertyGridItem with a list of constraints so that you have the ability to edit the contents.
ItemHasExpandButton | This adds an expand button to the property grid item. A small button with three ellipses is displayed and you can use this button to display your own custom dialog for a property grid item.
ItemHasComboButton | This adds a drop-down button to the property grid item. When the button is pressed, it will display all of the data items that were added as constraints.

Remarks

You can assign any combination of style flags to each PropertyGridItem.

You should not set both ItemHasExpandButton and ItemHasComboButton to the same item, only the combo button will be displayed.

See Also

PropertyGridItem Flags Property


%%PageItemTitle%%

PropertyGridItem Type Property | AddChildItem Method | PropertyGridItemOption Object

See Also Property Grid ActiveX Control v19.3

PropertyItemType Enumeration

Description

Specifies the type of a PropertyGridItem.

Members

Member | Description
PropertyItemString | Specifies a PropertyGridItem of type String.
PropertyItemNumber | Specifies a PropertyGridItem of type Number.
PropertyItemBool | Specifies a PropertyGridItem of type Boolean.
PropertyItemColor | Specifies a PropertyGridItem of type Color.
PropertyItemFont | Specifies a PropertyGridItem of type PropertyGridItemFont.
PropertyItemDouble | Specifies a PropertyGridItem of type Double.
PropertyItemDate | Specifies a PropertyGridItem of type PropertyGridItemDate.
PropertyItemPicture | Specifies a PropertyGridItem of type Picture.
PropertyItemEnum | Specifies a PropertyGridItem of type Enum.
PropertyItemEnumFlags | Specifies a PropertyGridItem of type EnumFlags. This will create a Flags value item in the Property Grid control.
PropertyItemCategory | Specifies the PropertyGridItem is a Category.
PropertyItemMultilineString | Specifies a PropertyGridItem that contains a multi line string. When using this property a dropdown button will appear next to the item text that when clicked will display a edit window with the entire line of text.
PropertyItemOption | Specifies a PropertyGridItem of type PropertyGridItemOption.

Remarks

PropertyItemEnum:

A Enum item is used to display a list of constraints. This is very similar to a normal constraint list. The difference is that an Enum constraint list will return the Data of the constraint when selected, where a normal constraint wold return the Caption of the constraint. This means the PropertyGridItem Value property will contains the Data of the constraint, not the Caption of the constraint.

PropertyItemEnumFlags:

A flag item is used to combine multiple boolean values into a single item. When using a flag item, you must add constraints
to the flag item. Each constraint will have a value of TRUE or FALSE. The flag item will have an expand button that when clicked will display all boolean constraints for that item. The value of the flag item will be the sum of all the boolean constraints with a value of TRUE.

NOTE: Constraint values must be in powers of 2 for items of type PropertyItemEnumFlags.

In the PropertyItemEnumFlags example below, the flag item's initial value will be 9, this value is stored in the PropertyGridItem Value property. The string value will be "[Windows 98; Windows 95]" and this value is stored in PropertyGridItem MaskedText property. To set the value of an EnumFlags item, you must set the PropertyGridItem Value property to the sum of one or more constraints. The string value is what is displayed to the user.

PropertyItemCategory:

Adding an item of type PropertyItemCategory to a category will a sub-category. This allows you to create nested categories. You can create as many sub-categories as you want.

PropertyItemColor:

Items of type PropertyItemColor are used to display and retrieve color values. Both the color and RGB numeric equivalent are displayed in the item. A "color picker" dialog will be displayed when the expand button is clicked. The color picker allows the user to choose any of the predefined colors, or they can define a custom color. The picture below displays the PropertyItemColor and the color picker that is displayed when the expand button is pressed.

PropertyItemDate:

Items of type PropertyItemDate include a built-in "date picker" that allows the user to choose the day, month, and year from an intuitive GUI. The date format can be changed using the Format property.

PropertyItemFont:

Items of type PropertyItemFont include a built-in "font picker" that allows the user to select the color, font, style, size, and effects of a font. Both the color and the font information will be displayed in the property grid item after the "font picker" is closed. Note that the color property MUST be manually set before the font dialog can be used to edit the font color. It will be disabled until this property is set.

PropertyItemPicture:

Items of type PropertyItemPicture will allow a picture to be loaded into a property grid item. The Value of the item needs to be set to the pointer of a picture object. Supported picture formats include bitmap (.bmp) files, icon (.ico) files, cursor (.cur) files, metafile (.wmf) files, enhanced metafiles (.emf), GIF (.gif) files, and JPEG (.jpg) files. The property grid item will display a small preview thumbnail of the loaded picture and will display the picture type.

Example

[PropertyItemEnumFlags Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemEnumFlags to your grid.

'*********************************************************************
' PropertyItemEnumFlags Example
'*********************************************************************
Dim Category As PropertyGridItem

'Adds a Category with caption "Items" to the Property Grid
Set Category = wndPropertyGrid.AddCategory("Items")

    Dim ItemFlags As PropertyGridItem

    'Adds an items of type EnumFlags with a default value of 1 + 8 = 9 = [Windows 98; Windows 95]
    Set ItemFlags = Category.AddChildItem(PropertyItemEnumFlags, "Flags", 1 + 8)

    'Adds a constraint that will set all items TRUE or FALSE, note the value of the constraint is the sum
    'of all the other constraints. This item will also be updated when the values of the other constraints
    'have changed.
    ItemFlags.Constraints.Add "All Windows", 1 + 2 + 4 + 8 + 16 + 32

    'Adds some constraint that can have a value of TRUE or FALSE
    ItemFlags.Constraints.Add "Windows 98", 1
    ItemFlags.Constraints.Add "Windows 2000", 2
    ItemFlags.Constraints.Add "Windows XP", 4
    ItemFlags.Constraints.Add "Windows 95", 8
    ItemFlags.Constraints.Add "Windows NT", 16
    ItemFlags.Constraints.Add "Windows 2003", 32

    'This changes the value of the flag item to 21 and the string
    'caption to [Windows 98; Windows XP; Windows NT]
    ItemFlags.Value = 21

    'Returns the sum of all true constraints
    Debug.Print "Flags Item Value = " & ItemFlags.Value

    'Returns a string containing the text of all true constraints
    Debug.Print "Flags Item String = " & ItemFlags.MaskedText

[PropertyItemEnum Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemEnum to your grid.

'*********************************************************************
' PropertyItemEnumFlags Example
'*********************************************************************
Dim Category As PropertyGridItem

'Adds a Category with caption "Items" to the Property Grid
Set Category = wndPropertyGrid.AddCategory("Items")

    Dim ItemEnum As PropertyGridItem

    'Adds a PropertyItemEnum item with a caption of "Enum" and an initial value of 2
    'This will cause the constraint with a value of 2 to be selected
    Set ItemEnum = Category.AddChildItem(PropertyItemEnum, "Enum", 2)

    'Adds some constraints along with a Data value
    ItemEnum.Constraints.Add "Windows 98", 1
    ItemEnum.Constraints.Add "Windows 2000", 2
    ItemEnum.Constraints.Add "Windows XP", 3

    'Returns the Data value of the constraint selected
    Debug.Print "Enum Item Value =" & ItemEnum.Value

    'Returns the String of the constraint selected
    Debug.Print "Enum Item String =" & ItemEnum.MaskedText

[PropertyItemCategory Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemCategory to your grid.

'*********************************************************************
' PropertyItemCategory Example
'*********************************************************************

Dim Category As PropertyGridItem, ItemAppearance As PropertyGridItem
Dim FontAppearance As PropertyGridItem

'Adds a Category with caption "Document Settings" to the Property Grid
Set Category = wndPropertyGrid.AddCategory("Document Settings")

    'Adds a sub-category called "Appearance" to the "Document Settings" category.
    Set ItemAppearance = Category.AddChildItem(PropertyItemCategory, "Appearance", "")

        'Adds a child item to the "Appearance" Category.
        Set FontAppearance = ItemAppearance.AddChildItem(PropertyItemFont, "Window Font", Me.Font)

            'Adds child items to the "Window Font" item.
            FontAppearance.AddChildItem PropertyItemBool, "Bold", Me.Font.Bold
            FontAppearance.AddChildItem PropertyItemBool, "Italic", Me.Font.Italic
            FontAppearance.AddChildItem PropertyItemBool, "Underline", Me.Font.Underline
            FontAppearance.AddChildItem PropertyItemBool, "Strikethrough", Me.Font.Strikethrough
            FontAppearance.AddChildItem PropertyItemString, "Name", Me.Font.Name
            FontAppearance.AddChildItem PropertyItemNumber, "Weight", Me.Font.Weight

[PropertyItemColor Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemColor to your grid.

'*********************************************************************
' PropertyItemColor Example
'*********************************************************************
Dim Category As PropertyGridItem

'Adds a Category with caption "Document Settings" to the Property Grid
Set Category = wndPropertyGrid.AddCategory("Document Settings")

'Adds a color item to the "Document Settings" category.
Category.AddChildItem PropertyItemColor, "ColorItem", RGB(20, 20, 30)

[PropertyItemFont Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemFont to your grid.

'*********************************************************************
' PropertyItemFont Example
'*********************************************************************
Dim Category As PropertyGridItem

'Adds a Category with caption "Items" to the Property Grid
Set Category = wndPropertyGrid.AddCategory("Items")

'Adds a PropertyGridItem that will display the currently selected font, a
'button is added to the item that will display a Font Chooser dialog when clicked.
Set Item = Category.AddChildItem(PropertyItemFont, "FontItem", Me.Font)

'The color property must manually be set to enable the color property to be selected in the
'Font Chooser dialog, this must be done even is you are setting the color to black
Item.Color = vbRed

[PropertyItemDate Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemDate to your grid.

'*********************************************************************
' PropertyItemDate Example
'*********************************************************************
Dim DateItem As PropertyGridItemDate

    'Adds a date item with an initial date of 01/31/2005
    Set DateItem = Category.AddChildItem(PropertyItemDate, "DateItem", "01/31/2005")

    'Sets date format to MM/DD/YYYY
    DateItem.Format = "%m%d%Y"

    'Returns the currently set date formated with the mask MM/DD/YYYY
    Debug.Print "Currently set date (MM/DD/YYYY): " & DateItem.Value

    'Returns the currently set date without a format mask
    Debug.Print "Unformated date (MMDDYYYY): " & DateItem.MaskedText

    'Returns the date using the Month, Day, and Year properties
    Debug.Print "Current Date: " & DateItem.Month & "/" & DateItem.Day & "/" & DateItem.Year

[PropertyItemPicture Sample (Visual Basic)] This sample illustrates how to add an item of type PropertyItemPicture to your grid.

'*********************************************************************
' PropertyItemPicture Example
'*********************************************************************
Dim Category As PropertyGridItem
Dim PictureItem As PropertyGridItem

    'Adds a Category with caption "Items" to the Property Grid
    Set Category = wndPropertyGrid.AddCategory("Items")

    'Adds an item if type PropertyItemPicture to the grid.
    Set PictureItem = Category.AddChildItem PropertyItemPicture, "PictureItem", ""

    Dim AppIcon As Picture

    'Loads an icon
    Set AppIcon = LoadPicture(App.Path + "\Project1.ico")

    'Set the value of PictureItem to the icon loaded into AppIcon
    'This will be the picture displayed in the property grid item.
    PictureItem.Value = AppIcon

See Also

PropertyGridItem Type Property | AddChildItem Method | PropertyGridItemOption Object


%%PageItemTitle%%

PropertyGrid PropertySort Property

See Also Property Grid ActiveX Control v19.3

PropertySort Enumeration

Description

Specifies the grouping\sort styles used to display PropertyGridItems in the PropertyGrid.

Members

Member | Description
Categorized | Groups PropertyGridItems by category. PropertyGridItems are displayed under their respective categories. Categories are displayed in the order they were added.
Alphabetical | PropertyGridItems are sorted alphabetically and categories are not displayed.
NoSort | Disables sorting. PropertyGridItems are not sorted and categories are not displayed. Items are displayed in the order they were added.

See Also

PropertyGrid PropertySort Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Property Grid ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for the Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Property Grid ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | ImageManagerIcons Object

See Also Property Grid ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies when an image/icon/bitmap will be displayed. This is specified when it is added to the PropertyGrid's collection of images.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

If you have the CommandBars component installed you can use the icons added to the ImageManager.

See Also

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | ImageManagerIcons Object


%%PageItemTitle%%

BorderStyle Property

See Also Property Grid ActiveX Control v19.3

XTPPropertyGridBorderStyle Enumeration

Description

Border Style enumeration

Members

Member | Description
xtpGridBorderNone | Without borders.
xtpGridBorderFlat | Black flat borders.
xtpGridBorderStaticEdge | Static edge.
xtpGridBorderClientEdge | Client edge.

See Also

BorderStyle Property


%%PageItemTitle%%

PropertyGrid VisualTheme Property

See Also Property Grid ActiveX Control v19.3

XTPPropertyGridVisualTheme Enumeration

Description

Specifies various visual themes that can be applied to the Property Grid.

Members

Member | Description
xtpGridThemeDefault | Specifies that the property grid will use the default theme.
xtpGridThemeNativeWinXP | Specifies that the property grid will use the native Window XP visual theme.
xtpGridThemeOffice2003 | Specifies that the property grid will use the Office 2003 like theme.
xtpGridThemeCool | Specifies that the property grid will use the "Cool" theme.
xtpGridThemeSimple | Specifies that the property grid will use the "Simple" visual theme.
xtpGridThemeDelphi | Specifies that the property grid will use the Delphi-style visual theme.
xtpGridThemeWhidbey | Specifies that the property grid will use the Visual Studio 2005 "Whidbey" visual theme.
xtpGridThemeOfficeXP | Specifies that the property grid will use the Office XP visual theme.
xtpGridThemeResource | Specifies that the Property Grid will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpGridThemeVisualStudio2010 | Specifies that the property grid will use the Visual Studio 2010 like theme.
xtpGridThemeVisualStudio2012Light | Specifies that the property grid will use the Visual Studio 2012 Light like theme.
xtpGridThemeVisualStudio2012Dark | Specifies that the property grid will use the Visual Studio 2012 Dark like theme.
xtpGridThemeOffice2013 | Specifies that the property grid will use the Office 2013 like theme.
xtpGridThemeOffice2016 | Specifies that the property grid will use the Office 2016 like theme.
xtpGridThemeVisualStudio2015 | Specifies that the property grid will use the Visual Studio 2015 like theme.

Remarks

The XTPPropertyGridVisualTheme enumeration is used to indicate which built-in theme the Property Grid will use.

xtpGridThemeOffice2003 | xtpGridThemeNativeWinXP
xtpGridThemeDelphi | xtpGridThemeWhidbey
xtpGridThemeSimple | xtpGridThemeDefault
xtpGridThemeCool |

Example

[Setting the VisualTheme of the PropertyGrid (Visual Basic)] This sample code illustrates how to change the visual theme of your PropertyGrid to the Office 2003 theme at runtime.

    'Sets the theme to the Office 2003 theme.
    wndPropertyGrid.VisualTheme = xtpGridThemeOffice2003

See Also

PropertyGrid VisualTheme Property


%%PageItemTitle%%

ShowTitleAndDescription Method | Description Property | Tooltip Property

See Also Property Grid ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon [image] will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon [image] will be displayed in the tool tip window.
xtpToolTipIconError | The error icon [image] will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the ToolTip and Description of the CommandBar Control.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

Example

[ShowTitleAndDescription Sample (Visual Basic)] This sample illustrates how to display a tool tip window that displays the ToolTip, Description, and XTPToolTipIcon.

    PropertyGrid.ToolTipContext.ShowTitleAndDescription True, xtpToolTipIconInfo

See Also

ShowTitleAndDescription Method | Description Property | Tooltip Property


%%PageItemTitle%%

Style Property

See Also Property Grid ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTip property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc. The picture below illustrates an RTF tool tip that includes bold text, colored text, underlined text, a new font, and bullets.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


Report Control ActiveX Controls v19.3

Report Control ActiveX Control v19.3
Report Control ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
FieldChooser | FieldChooser ListBox control.
ReportControl | Represents a ReportControl.
TrackControl | Track Control
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DataObject | The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.
DataObjectFiles | A collection of strings which is the type of the Files property on the DataObject object.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IReportNotifications |
IReportNotificationsPopulate |
IReportNotificationsRow |
IReportNotificationsSelectedRows |
IResourceImageList |
MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.
PrintInfo |
PrintPageHeaderFooter | Represents a custom caption string for Print Options which could be customized for a top line of the print header (header -header) and a bottom line (header - footer).
PropExchange | Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
ReportBehavior | Specifies the behavior of the report control when a mouse button or keystroke is performed on a row\group row in the report.
ReportBehaviorRow | Specifies the behavior of the report control rows.
ReportBehaviorRowMouse | Specifies the behavior of the report control mouse used on a row.
ReportBehaviorRowMouseButton | Specifies the behavior of the report control mouse button when used on a row.
ReportColumn | Represents a report column item.
ReportColumnOrder | Represents column order, used for sorting and grouping ReportColumns.
ReportColumns | A collection of ReportColumn objects.
ReportControlGlobalSettings | Report Control Global Settings.
ReportGroupRow | Represents a Group Row in the ReportControl.
ReportHitTestInfo | Used to store information about a given X and Y coordinate supplied to the HitTest method.
ReportHyperlink | Represents a Hyperlink item.
ReportHyperlinks | Collection of hyperlinks.
ReportHyperlinkStyle | Represents the styles used by a Hyperlink item.
ReportInplaceButton | The ReportInplaceButton object is passed as a parameter in the InplaceButtonDown event. This indicates the Column, Item, Row, and Id of the button that was pressed in the InplaceButtonDown event. This is also part of ReportRecordItemEditOptions to modify where the buttons are drawn in the cell using GetInplaceButton and InsideCellButton.
ReportItemButton | Represents an item button and inherits basic functionality ReportItemControl.
ReportItemControl | Represents a generic item control and handles control's behaviour, common for all derived item controls.
ReportItemControls | This class represents array of pointers to ReportItemControl objects.
ReportNavigator | Utility class, handling Report Control items' navigation activities.
ReportNotifications |
ReportNotificationsPopulate |
ReportNotificationsRow |
ReportNotificationsSelectedRows |
ReportPaintManager | Handles most of the drawing activities of the ReportControl.
ReportPrintOptions | Options used to specify how the Report will look when printed.
ReportRecord | Represents a collection of ReportRecordItem objects.
ReportRecordItem | Represents a single cell/item in the ReportControl.
ReportRecordItemConstraint | Represents a constraint that can be added to a ReportRecordItem's collection of constraints.
ReportRecordItemConstraints | Collection of Constraints.
ReportRecordItemEditOptions | EditOptions for ReportRecordItems.
ReportRecordItemMetrics | Used to store and group together the general drawing metrics of a ReportRecordItem.
ReportRecords | Represents a collection of ReportRecord objects
ReportRow | Represents one or more rows in the ReportControl.
ReportRows | Represents a collection of ReportRow objects.
ReportSection | Report section object.
ReportSections | Collection of report sections (header, footer or body).
ReportSelectedRows | Container for currently selected rows.
ReportToolTipInfo | Represents the item, row, and text for a tooltip.
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
SelectedTrackBlocks | Collection of selected blocks and keys in the track control. (Track Control)
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
TrackBlock | Track Block and Track Key Object
TrackControlItem | Track for the track control.
TrackMarker | Track Marker
TrackMarkers | Collection of Track Markers
TrackPaintManager | Handles most of the drawing activities of the TrackControl.
TrackUndoManager | Manager used to Undo and Redo edit operations in the track control. (Track Control)
XtremePrinterInfo | Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.
XtremePrintPreviewOptions | Object that contains options for the print preview window.
Public Enumerations
Enumeration | Description
MarkupCursor |
OLEDragConstants | OLEDrag Constants.
OLEDropConstants | OLE Drop Constants
XTPColorManagerColor | Display element colors.
XTPColumnAlignment | Specifies the alignment of the text/icons in a ReportColumn.
XTPColumnBestFitMode | Column best fit modes.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPGroupRowIconAlignment | Defines the alignment style used for custom icons displayed in a group row.
XTPImageState | Specifies when an image/icon/bitmap will be displayed. This is specified when it is added to the ReportControl's collection of images.
XTPMarkupSmoothingMode | Possible rendering smoothing modes
XTPReportBehavior | Defines the various report behaviors that can be used.
XTPReportBorderStyle | Specifies the the type of border that is placed around the ReportControl.
XTPReportColumnOrderChangedReason | Enumeration of ColumnsChangedEx event reasons.
XTPReportColumnStyle | Specifies the style of the ReportColumn headers.
XTPReportCustomDraw | Used to specify which drawing events, if any, will be executed.
XTPReportDragDrop | Drag and Drop Effects.
XTPReportDrawSortTriangleStyle | Column sort triangle styles.
XTPReportEditStyle | Report cell edit styles.
XTPReportElementRect | Report element rectangle flags.
XTPReportFilterMode | Enumeration of options for RecordsTreeFilterMode method. These are options for filtering the tree.
XTPReportFixedRowsDividerStyle | Represent the Header/Footer rows divider style.
XTPReportFreezeColsDividerStyle | Represents the predefined freeze column line styles.
XTPReportGridStyle | Represents the predefined grid line styles.
XTPReportHitTestInfoCode | Codes used to specify if the ReportControl occupies a given X and Y pixel coordinate, and which part or the ReportControl is positioned at the given pixel.
XTPReportItemButtonState | Image state for item buttons.
XTPReportItemControlAlignment | Control Alignment.
XTPReportItemControlType | Item control types.
XTPReportPaintTheme | Visual theme enumeration
XTPReportScrollMode | Scroll modes for report scrolling.
XTPReportSection | Report section identifiers for report rows (header, footer or body).
XTPReportSelectionChangeType | Selection Changed Actions.
XTPReportTextDecoration | Hyperlink text decoration.
XTPReportTextSearchParms | Text search parameters.
XTPReportTreeStructureStyle | Represent the style of lines used to draw a hierarchical tree structure.
XTPReportWatermarkAlignment | Enumeration of watermark alignment flags
XTPToolTipIcon | Not used in Report Control.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
XTPTrackBlockAlignment | Block alignment styles.
XTPVirtualRowFlags | Flags that specify whether a virtual row has children.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Report Control ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Report Control ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the ReportControl if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the ReportControl control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Report Control ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Report Control ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Report Control ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Report Control ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the ReportControl if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Report Control ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the ReportControl control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Report Control can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Report Control can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Report Control and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

DataObject Members

See Also Report Control ActiveX Control v19.3

DataObject Object

Description

The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.

For a list of all members defined in this module, see DataObject members.

Object Model

Remarks

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

The Report Control supports manual OLE drag and drop events.

See Also

DataObject Members


%%PageItemTitle%% $$Members$$

DataObject Overview

See Also Report Control ActiveX Control v19.3

DataObject Object Members

Public Methods

Public Method Clear | Clears the content of the DataObject object.
Public Method GetData | Returns data from a DataObject object in the form of a variant.
Public Method GetFormat | Returns an boolean value indicating whether an item in the DataObject object matches a specified format.
Public Method SetData | Inserts data into a DataObject object using the specified data format.

Public Properties

Public Property Files Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Overview


%%PageItemTitle%%

DataObject Object

See Also Report Control ActiveX Control v19.3

Clear Method

Description

Clears the content of the DataObject object.

Syntax

Public Sub Clear()

Remarks

This method is available only for component drag sources. If Clear is called from a component drop target, an error is generated.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Report Control ActiveX Control v19.3

GetData Method

Description

Returns data from a DataObject object in the form of a variant.

Syntax

Public Function GetData( _
   ByVal Format As Long _
) As Variant

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)
See Also Report Control ActiveX Control v19.3

GetFormat Method

Description

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

Public Function GetFormat( _
   ByVal Format As Long _
) As Boolean

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

Return Type

The GetFormat method returns True if an item in the DataObject object matches the specified format. Otherwise, it returns False.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Report Control ActiveX Control v19.3

SetData Method

Description

Inserts data into a DataObject object using the specified data format.

Syntax

Public Sub SetData( _
   Optional ByVal vValue As Variant, _
   Optional ByVal Format As Variant _
)

Parameters

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

See Also Report Control ActiveX Control v19.3

Files Property

Description

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Files() As DataObjectFiles

See Also

DataObject Object


%%PageItemTitle%%

DataObjectFiles Members

See Also Report Control ActiveX Control v19.3

DataObjectFiles Collection

Description

A collection of strings which is the type of the Files property on the DataObject object.

For a list of all members defined in this module, see DataObjectFiles members.

Remarks

The DataObjectFiles collection is a collection of strings which represent a set of files which have been selected either through the GetData method, or through selection in an application such as the Windows Explorer.

See Also

DataObjectFiles Members


%%PageItemTitle%% $$Members$$

DataObjectFiles Overview

See Also Report Control ActiveX Control v19.3

DataObjectFiles Collection Members

Public Properties

Public Property Count | Returns the number of objects in a collection.
Public Property Item | Colleciton of items.

See Also

DataObjectFiles Overview


%%PageItemTitle%%

DataObjectFiles Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of objects in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DataObjectFiles Collection

Index
See Also Report Control ActiveX Control v19.3

Item Property

Description

Colleciton of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As String

Parameters

Index

See Also

DataObjectFiles Collection


%%PageItemTitle%%

FieldChooser Members | ReportControl FieldChooser Property | ReportColumn ShowInFieldChooser Property

See Also Report Control ActiveX Control v19.3

FieldChooser Control

Description

FieldChooser ListBox control.

For a list of all members defined in this module, see FieldChooser members.

Object Model

Remarks

The FieldChooser ListBox control allows you to hide and replace columns by dragging and dropping the column headers to/from the FieldChooser ListBox to/from the ReportControl.

If you would like to remove a column, you can simply drag the column header to the FieldChooser Listbox and the column header is placed in the FieldChooser ListBox and it is removed from the ReportControl. To replace any hidden columns, simply drag the column header from the FieldChooser ListBox to the desired location in the ReportControl.

Example

[Associating a FieldChooser control with a ReportControl (Visual Basic)] This samlpe illustratrates how to associate a FieldChooser control with a ReportControl. Once the association has been made, the ReportControl automatically adds column headers to the FieldChooser when they become invisible.

    'Displays a form with a FieldChooser control
    frmFieldChooser.Show 0, Me

    'Associates a FieldChooser control with a ReportControl on another form
    'This is necessary so the ReportControl knows where to find the FieldChooser so it can
    'add and remove column headers.
    wndReportControl.FieldChooser = frmFieldChooser.wndFieldChooser

See Also

FieldChooser Members | ReportControl FieldChooser Property | ReportColumn ShowInFieldChooser Property


%%PageItemTitle%% $$Members$$

FieldChooser Overview | ReportControl FieldChooser Property | ReportColumn ShowInFieldChooser Property

See Also Report Control ActiveX Control v19.3

FieldChooser Control Members

Public Methods

Public Method AboutBox Displays a dialog box that indicates the current version of the control.

Public Properties

Public Property Appearance | Specifies whether the FieldChooser control is drawn with 3D effects.
Public Property BorderStyle | Specifies the border style for the FieldChooser control.
Public Property Enabled | Specifies whether the FieldChooser control can respond to events.
Public Property hWnd | Returns a handle to the FieldChooser control.
Public Property ReCreateReparented |
Public Property SelectedItem | Returns the currently selected column.
Public Property SortAscending | The SortAscending property specifies whether to sort the items in the Field Chooser in alphabetical order.

Events

Public Event ReCreated |
Public Event SelectionChanged | Occurs when a new column is selected from the field chooser.

See Also

FieldChooser Overview | ReportControl FieldChooser Property | ReportColumn ShowInFieldChooser Property


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that indicates the current version of the control.

Syntax

Public Sub AboutBox()

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

Appearance Property

Description

Specifies whether the FieldChooser control is drawn with 3D effects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As Integer

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

BorderStyle Property

Description

Specifies the border style for the FieldChooser control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As Integer

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

Enabled Property

Description

Specifies whether the FieldChooser control can respond to events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

If FALSE, the FieldChooser Control can not respond to events and will not display and column headers in the listbox.

If TRUE, the FieldChooser Control will respond to events.

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

hWnd Property

Description

Returns a handle to the FieldChooser control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

SelectedItem Property

Description

Returns the currently selected column.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelectedItem() As ReportColumn

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

SortAscending Property

Description

The SortAscending property specifies whether to sort the items in the Field Chooser in alphabetical order.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortAscending() As Boolean

Remarks

Set SortAscending to TRUE to sort the items in the Field Chooser in ascending order.

If SortAscending is FALSE then the items in the Field Chooser will appear in the order that they were added to the Report Control.

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

FieldChooser Control


%%PageItemTitle%%

FieldChooser Control

See Also Report Control ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when a new column is selected from the field chooser.

Syntax

Public Event SelectionChanged()

See Also

FieldChooser Control


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Report Control ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Report Control ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Report Control ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Height Property | Width Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Report Control ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Height Property | Width Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Report Control ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Report Control ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Report Control ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Report Control ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Report Control ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Report Control ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Report Control ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members | Icons Property | Icon Property | Icon Property

See Also Report Control ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the ReportControl.

If the SetImageList method is used, the icons will be added the the collection of icons. These icons will be added in the order they appear in the ImageList control.

The collection of icons can be access and used from the ReportControl, ReportColumn, and ReportRecordItem objects. When referencing the icons in the collection of icons, only the index of the icon is needed.

See Also

ImageManagerIcons Members | Icons Property | Icon Property | Icon Property


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview | Icons Property | Icon Property | Icon Property

See Also Report Control ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the collection of images.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview | Icons Property | Icon Property | Icon Property


%%PageItemTitle%%

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | LoadBitmap Method | LoadIcon Method

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Report Control ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the ReportColumn and ReportRecordItem objects.

Only the "Normal" icon is used in the ReportControl. You can add "Hot" and "Disabled" icons, but they will not be used.

Example

[Adding an Icon using the AddIcon method (Visual Basic)] This sample illustrates how to add an icon to the ReportControl using the AddIcon method.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    Column.Icon = 105

    Dim hIcon As IPictureDisp

    'Only the "Normal" state icon is used in the Report control
    Set hIcon = ImageListReport.ListImages(1).ExtractIcon
    wndReportControl.Icons.AddIcon hIcon, 105, xtpImageNormal

See Also

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Report Control ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how To add the icons from one collection To another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Report Control ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Report Control ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | AddIcon Method | LoadIcon Method

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Report Control ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the ReportColumn and ReportRecordItem objects.

Only the "Normal" icon is used in the ReportControl. You can add "Hot" and "Disabled" icons, but they will not be used.

NOTE: You will need to include the bitmap file with your application(exe) if this method is used.

Example

Figure 1 (64x16 bitmap file)

[Adding an icon with the LoadBitmap method (Visual Basic)] This sample illustrates how to use the LoadBitMap method to add icons to the collection of icons used in the ReportControl.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    Column.Icon = 105

    wndReportControl.Icons.LoadBitmap App.Path & "\Icons\selected.bmp", 105, xtpImageNormal
    wndReportControl.Icons.LoadBitmap App.Path & "\Icons\importance.bmp", 110, xtpImageNormal

[Loading icons stored in a single Bitmap file. (Visual Basic)] This sample illustrates how to load multiple icons that are stored in a single Bitmap file.

    'Add this to the General code section
    Const COLUMN_CHECK = 100
    Const COLUMN_IMPORTANCE = 101
    Const COLUMN_FLAG = 102
    Const COLUMN_ATTACHMENT = 103

    'There are 4 icons in the Bitmap file, the bitmap file is 64x16,
    'which contains 4 16x16 icons (See figure 1). You need to make sure that there is
    'an element in the array for each icon in the Bitmap.
    'Width of icons = Width of Bitmap / number of elements in array
    'I.e. Width of icons = 64/4 = 16
    Dim iconArray(1 to 4) As Long
    iconArray(1) = COLUMN_CHECK
    iconArray(2) = COLUMN_IMPORTANCE
    iconArray(3) = COLUMN_FLAG
    iconArray(4) = COLUMN_ATTACHMENT

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    Column.Icon = COLUMN_CHECK
    Set Column = wndReportControl.Columns.Add(COLUMN_IMPORTANCE, "Importance", 18, False)
    Column.Icon = COLUMN_IMPORTANCE
    Set Column = wndReportControl.Columns.Add(COLUMN_FLAG, "Flag Status", 18, False)
    Column.Icon = COLUMN_FLAG
    Set Column = wndReportControl.Columns.Add(COLUMN_ATTACHMENT, "Attachment", 18, False)
    Column.Icon = COLUMN_ATTACHMENT

    'Passing the iconArray for the "Commands" parameter will add an icon to the collection
    'of icons for each item in the array. So Number of icons added = Number of elements in array.
    'Icon width = Total width of Bitmap/Number of elements in array.
    'The icons will be assigned the value of the array elements as an Index.
    wndReportControl.Icons.LoadBitmap App.Path & "\Icons\bmreport.bmp", iconArray, xtpImageNormal

See Also

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | AddIcon Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Report Control ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | AddIcon Method | LoadBitmap Method

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Report Control ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the ReportColumn and ReportRecordItem objects.

Only the "Normal" icon is used in the ReportControl. You can add "Hot" and "Disabled" icons, but they will not be used.

Example

[[New Example] (Visual Basic)]

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    Column.Icon = 105

    wndReportControl.Icons.LoadIcon App.Path & "\Icons\selected.ico", 105, xtpImageNormal

See Also

ImageManagerIcons Collection | ReportColumn Icon Property | ReportRecordItem Icon Property | AddIcon Method | LoadBitmap Method


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Report Control ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Report Control ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Report Control ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Report Control ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Report Control ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

The number of icons in the collection of images.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Use this property to determine how many images are in the collection of icons. This will tell you how many icons are available.

Example

[Retrieve the number of icons in the icon collection (Visual Basic)] This example illustrates how to determine the number of icons that are in the collection of icons.

    Dim imageCount as Long

    imageCount = wndReportControl.Icons.Count

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Report Control ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Report Control ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Report Control ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Report Control ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Report Control ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IReportNotifications Members

See Also Report Control ActiveX Control v19.3

IReportNotifications Object

For a list of all members defined in this module, see IReportNotifications members.

Object Model

See Also

IReportNotifications Members


%%PageItemTitle%% $$Members$$

IReportNotifications Overview

See Also Report Control ActiveX Control v19.3

IReportNotifications Object Members

Public Properties

Public Property Populate
Public Property Row

See Also

IReportNotifications Overview


%%PageItemTitle%%

IReportNotifications Object

See Also Report Control ActiveX Control v19.3

Populate Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Populate() As ReportNotificationsPopulate

See Also

IReportNotifications Object


%%PageItemTitle%%

IReportNotifications Object

See Also Report Control ActiveX Control v19.3

Row Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row() As ReportNotificationsRow

See Also

IReportNotifications Object


%%PageItemTitle%%

IReportNotificationsPopulate Members

See Also Report Control ActiveX Control v19.3

IReportNotificationsPopulate Object

For a list of all members defined in this module, see IReportNotificationsPopulate members.

See Also

IReportNotificationsPopulate Members


%%PageItemTitle%% $$Members$$

IReportNotificationsPopulate Overview

See Also Report Control ActiveX Control v19.3

IReportNotificationsPopulate Object Members

Public Properties

Public Property FocusChangingNotification
Public Property SelectionChangedNotification
Public Property SelectionChangingNotification

See Also

IReportNotificationsPopulate Overview


%%PageItemTitle%%

IReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

FocusChangingNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusChangingNotification() As Boolean

See Also

IReportNotificationsPopulate Object


%%PageItemTitle%%

IReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

SelectionChangedNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionChangedNotification() As Boolean

See Also

IReportNotificationsPopulate Object


%%PageItemTitle%%

IReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

SelectionChangingNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionChangingNotification() As Boolean

See Also

IReportNotificationsPopulate Object


%%PageItemTitle%%

IReportNotificationsRow Members

See Also Report Control ActiveX Control v19.3

IReportNotificationsRow Object

For a list of all members defined in this module, see IReportNotificationsRow members.

See Also

IReportNotificationsRow Members


%%PageItemTitle%% $$Members$$

IReportNotificationsRow Overview

See Also Report Control ActiveX Control v19.3

IReportNotificationsRow Object Members

Public Properties

Public Property RowExpandedNotification

See Also

IReportNotificationsRow Overview


%%PageItemTitle%%

IReportNotificationsRow Object

See Also Report Control ActiveX Control v19.3

RowExpandedNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowExpandedNotification() As Boolean

See Also

IReportNotificationsRow Object


%%PageItemTitle%%

IReportNotificationsSelectedRows Members

See Also Report Control ActiveX Control v19.3

IReportNotificationsSelectedRows Object

For a list of all members defined in this module, see IReportNotificationsSelectedRows members.

See Also

IReportNotificationsSelectedRows Members


%%PageItemTitle%% $$Members$$

IReportNotificationsSelectedRows Overview

See Also Report Control ActiveX Control v19.3

IReportNotificationsSelectedRows Object Members

Public Properties

Public Property AddNotification
Public Property ClearNotification
Public Property RemoveNotification

See Also

IReportNotificationsSelectedRows Overview


%%PageItemTitle%%

IReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

AddNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AddNotification() As Boolean

See Also

IReportNotificationsSelectedRows Object


%%PageItemTitle%%

IReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

ClearNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearNotification() As Boolean

See Also

IReportNotificationsSelectedRows Object


%%PageItemTitle%%

IReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

RemoveNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RemoveNotification() As Boolean

See Also

IReportNotificationsSelectedRows Object


%%PageItemTitle%%

IResourceImageList Members

See Also Report Control ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Report Control ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Report Control ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Report Control ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Report Control ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Report Control ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

MarkupContext Members

See Also Report Control ActiveX Control v19.3

MarkupContext Object

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.

For a list of all members defined in this module, see MarkupContext members.

Object Model

See Also

MarkupContext Members


%%PageItemTitle%% $$Members$$

MarkupContext Overview

See Also Report Control ActiveX Control v19.3

MarkupContext Object Members

Public Methods

Public Method CreateObject |
Public Method CreateSolidBrush |
Public Method CreateThickness |
Public Method FreezeUpdates |
Public Method Parse |
Public Method SetHandler | Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.
Public Method SetMethod | Links a XAML event with a Subroutine or Function in code.
Public Method UnfreezeUpdates |
Public Method ValidateXML |

Public Properties

Public Property DefaultSmoothingMode |
Public Property DefaultTextSmoothingEnabled |
Public Property DpiAware |
Public Property EnableGdiPlus | Enables/disables GDI+ usage for Markup drawing.
Public Property Icons | Collection of icons to use with markup.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.

See Also

MarkupContext Overview


%%PageItemTitle%%

MarkupContext Object

Class
See Also Report Control ActiveX Control v19.3

CreateObject Method

Syntax

Public Function CreateObject( _
   ByVal Class As String _
) As MarkupObject

Parameters

Class

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Color
See Also Report Control ActiveX Control v19.3

CreateSolidBrush Method

Syntax

Public Function CreateSolidBrush( _
   ByVal Color As Long _
) As MarkupSolidColorBrush

Parameters

Color

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

left
top
right
bottom
See Also Report Control ActiveX Control v19.3

CreateThickness Method

Syntax

Public Function CreateThickness( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
) As MarkupThickness

Parameters

left
top
right
bottom

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
See Also Report Control ActiveX Control v19.3

Parse Method

Syntax

Public Function Parse( _
   ByVal Text As String _
) As MarkupUIElement

Parameters

Text

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
See Also Report Control ActiveX Control v19.3

SetHandler Method

Description

Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.

Syntax

Public Sub SetHandler( _
   ByVal Handler As Object _
)

Parameters

Handler
Reference to the parent object.

Remarks

SetHandler enables event handling for a XAML object. This will link XAML events with a Subroutine or Function in code (VB, C#, etc).

Any XML Markup that is in the CheckBox, Button, RadioButton, Label or MarkupLabel control's Caption property will be translated to viewable text. To enable event handling for a XAAML object in one of the controls mentioned above call SetHandler. With SetHandler you only need to specify the Handler of the control and all functions names will be calculated from Markup.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.
See Also Report Control ActiveX Control v19.3

SetMethod Method

Description

Links a XAML event with a Subroutine or Function in code.

Syntax

Public Sub SetMethod( _
   ByVal Handler As Object, _
   ByVal Method As String _
)

Parameters

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

UnfreezeUpdates Method

Syntax

Public Sub UnfreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
See Also Report Control ActiveX Control v19.3

ValidateXML Method

Syntax

Public Function ValidateXML( _
   ByVal Text As String _
) As String

Parameters

Text

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

DefaultSmoothingMode Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultSmoothingMode() As XTPMarkupSmoothingMode

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

DefaultTextSmoothingEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTextSmoothingEnabled() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

DpiAware Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DpiAware() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

EnableGdiPlus Property

Description

Enables/disables GDI+ usage for Markup drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableGdiPlus() As Boolean

Remarks

True to enable; False to disable GDI+.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

Icons Property

Description

Collection of icons to use with markup.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Report Control ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for markup.

See the ToolTipContext object for a complete list of methods and properties.

See Also

MarkupContext Object


%%PageItemTitle%%

PrintInfo Members

See Also Report Control ActiveX Control v19.3

PrintInfo Object

For a list of all members defined in this module, see PrintInfo members.

See Also

PrintInfo Members


%%PageItemTitle%% $$Members$$

PrintInfo Overview

See Also Report Control ActiveX Control v19.3

PrintInfo Object Members

Public Properties

Public Property ContinuePrinting
Public Property CurrentPage
Public Property MaxPage
Public Property PreviewMode
Public Property PrintRectBottom
Public Property PrintRectLeft
Public Property PrintRectRight
Public Property PrintRectTop

See Also

PrintInfo Overview


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

ContinuePrinting Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContinuePrinting() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

CurrentPage Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrentPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

MaxPage Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

PreviewMode Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

PrintRectBottom Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectBottom() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

PrintRectLeft Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectLeft() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

PrintRectRight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectRight() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Report Control ActiveX Control v19.3

PrintRectTop Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectTop() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintPageHeaderFooter Members

See Also Report Control ActiveX Control v19.3

PrintPageHeaderFooter Object

Description

Represents a custom caption string for Print Options which could be customized for a top line of the print header (header -header) and a bottom line (header - footer).

For a list of all members defined in this module, see PrintPageHeaderFooter members.

See Also

PrintPageHeaderFooter Members


%%PageItemTitle%% $$Members$$

PrintPageHeaderFooter Overview

See Also Report Control ActiveX Control v19.3

PrintPageHeaderFooter Object Members

Public Methods

Public Method Clear Clears all the text from the header\footer.

Public Properties

Public Property Font | Font used to display the custom header\footer.
Public Property FormatString | Format string.
Public Property TextCenter | A string to show with center align.
Public Property TextLeft | A string to show with left align.
Public Property TextRight | A string to show with right align.

See Also

PrintPageHeaderFooter Overview


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

Clear Method

Description

Clears all the text from the header\footer.

Syntax

Public Sub Clear()

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

Font Property

Description

Font used to display the custom header\footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

FormatString Property

Description

Format string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormatString() As String

Remarks

&d Date in short format (as specified by Regional Settings in Control Panel)
&D Date in long format (as specified by Regional Settings in Control Panel)

&t Time in the format specified by Regional Settings in Control Panel
&T Time in 24-hour format

&p Current page number
&P Total number of pages

&b The text immediately following these characters as centered.
&b&b The text immediately following the first "&b" as centered, and the text following the second "&b" as right-justified.

&w Window title

&& A single ampersand (&)
\n new line marker

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

TextCenter Property

Description

A string to show with center align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextCenter() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

TextLeft Property

Description

A string to show with left align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLeft() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Report Control ActiveX Control v19.3

TextRight Property

Description

A string to show with right align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextRight() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PropExchange Members

See Also Report Control ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[Loading and Saving to\from a file (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        'Creates a section called "ReportControl" if saving or
        'retieves data from the "ReportControl" node of loading.
        Set pxSection = px.GetSection("ReportControl")

        'Loads or Saves the settings of the ReportControl
        ReportControl.DoPropExchange pxSection

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Report Control ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Report Control ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Report Control ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Report Control ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Report Control ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Report Control ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Report Control ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Report Control ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Report Control ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Report Control ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Report Control ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Report Control ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Report Control ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Report Control ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

ReportBehavior Members | Scheme Property | GroupRow Property | Row Property | ReportBehaviorRow Object | ReportBehaviorRowMouse Object | ReportBehaviorRowMouseButton Object | XTPReportBehavior Enumeration

See Also Report Control ActiveX Control v19.3

ReportBehavior Object

Description

Specifies the behavior of the report control when a mouse button or keystroke is performed on a row\group row in the report.

For a list of all members defined in this module, see ReportBehavior members.

Object Model

Remarks

ReportBehavior allows you to set the behavior of the report control when a mouse button or keystroke is performed on a row\group row in the report (only mouse up and mouse down is supported in 16.2). The Scheme allows the report control's behavior to easily be set to a pre-configured behavior such as Outlook 2010 behavior. A full list of schemes are found in the XTPReportBehavior enumeration. By setting the Scheme to xtpReportBehaviorOutlook2010 you are telling the report control to treat mouse clicks on rows like Outlook 2010 does. For example, in Outlook when you right-click a row, that row will receive temporary focus while a context menu is displayed, then returns focus to the row that had it before when the context menu is dismissed. The Scheme is all that is needed to be set to control the behavior. However, you have complete control over each of these mouse settings.

To customize a behavior scheme you would first set the desired Scheme, then use the GroupRow and Row properties to further customize the scheme. For example, you might like the Outlook 2010 behavior but want to change how the Outlook 2010 behavior handles the LeftButton MouseUp on a GroupRow.

See Also

ReportBehavior Members | Scheme Property | GroupRow Property | Row Property | ReportBehaviorRow Object | ReportBehaviorRowMouse Object | ReportBehaviorRowMouseButton Object | XTPReportBehavior Enumeration


%%PageItemTitle%% $$Members$$

ReportBehavior Overview | Scheme Property | GroupRow Property | Row Property | ReportBehaviorRow Object | ReportBehaviorRowMouse Object | ReportBehaviorRowMouseButton Object | XTPReportBehavior Enumeration

See Also Report Control ActiveX Control v19.3

ReportBehavior Object Members

Public Properties

Public Property Notifications

See Also

ReportBehavior Overview | Scheme Property | GroupRow Property | Row Property | ReportBehaviorRow Object | ReportBehaviorRowMouse Object | ReportBehaviorRowMouseButton Object | XTPReportBehavior Enumeration


%%PageItemTitle%%

ReportBehavior Object

See Also Report Control ActiveX Control v19.3

Notifications Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Notifications() As ReportNotifications

See Also

ReportBehavior Object


%%PageItemTitle%%

ReportBehaviorRow Members

See Also Report Control ActiveX Control v19.3

ReportBehaviorRow Object

Description

Specifies the behavior of the report control rows.

For a list of all members defined in this module, see ReportBehaviorRow members.

See Also

ReportBehaviorRow Members


%%PageItemTitle%% $$Members$$

ReportBehaviorRow Overview

See Also Report Control ActiveX Control v19.3

ReportBehaviorRow Object Members

See Also

ReportBehaviorRow Overview


%%PageItemTitle%%

ReportBehaviorRowMouse Members

See Also Report Control ActiveX Control v19.3

ReportBehaviorRowMouse Object

Description

Specifies the behavior of the report control mouse used on a row.

For a list of all members defined in this module, see ReportBehaviorRowMouse members.

See Also

ReportBehaviorRowMouse Members


%%PageItemTitle%% $$Members$$

ReportBehaviorRowMouse Overview

See Also Report Control ActiveX Control v19.3

ReportBehaviorRowMouse Object Members

See Also

ReportBehaviorRowMouse Overview


%%PageItemTitle%%

ReportBehaviorRowMouseButton Members

See Also Report Control ActiveX Control v19.3

ReportBehaviorRowMouseButton Object

Description

Specifies the behavior of the report control mouse button when used on a row.

For a list of all members defined in this module, see ReportBehaviorRowMouseButton members.

See Also

ReportBehaviorRowMouseButton Members


%%PageItemTitle%% $$Members$$

ReportBehaviorRowMouseButton Overview

See Also Report Control ActiveX Control v19.3

ReportBehaviorRowMouseButton Object Members

See Also

ReportBehaviorRowMouseButton Overview


%%PageItemTitle%%

ReportColumn Members

See Also Report Control ActiveX Control v19.3

ReportColumn Object

Description

Represents a report column item.

For a list of all members defined in this module, see ReportColumn members.

Object Model

See Also

ReportColumn Members


%%PageItemTitle%% $$Members$$

ReportColumn Overview

See Also Report Control ActiveX Control v19.3

ReportColumn Object Members

Public Methods

Public Method BestFit | Fits the provided column width to the longest column item width.
Public Method EnsureVisible | Forces this column to be visible.
Public Method Move | The Move method is used to programmatically move a Column.

Public Properties

Public Property Alignment | Specifies the alignment for the ReportRecordItems that are displayed in the ReportColumn.
Public Property AllowDrag | Allows\Disallows dragging of the column.
Public Property AllowRemove | The AllowRemove property specifies whether the Column can be removed from the Report Control.
Public Property AutoSize | Specifies if column auto sizing is on or off.
Public Property AutoSortWhenGrouped | Gets\sets whether items in the column are automatically sorted when grouped.
Public Property BestFitMode | Gets or sets the best fit mode used.
Public Property Caption | The text caption for the column header.
Public Property DrawFooterDivider | Gets\sets whether the divider is drawn between column footers.
Public Property DrawFooterRowsVGrid | Gets or sets whether to draw a vertical grid line on the right side of column footer rows when a vertical grid line style has been used.
Public Property DrawHeaderDivider | Gets\sets whether the divider is drawn between column headers.
Public Property DrawHeaderRowsVGrid | Gets or sets whether to draw a horizontal grid line on the right side of column footer rows when a horizontal grid line style has been used.
Public Property Editable | Gets\Sets whether the ReportRecordItems in the column can be edited.
Public Property EditOptions | Edit options to be applied to all ReportRecordItems in the column.
Public Property Expanded | Specifies whether the column is in an expanded state.
Public Property Filterable | Gets/sets column filterable mode (TRUE - filterable FALSE - not filterable)
Public Property FooterAlignment | Gets\sets the column footer text alignment.
Public Property FooterFont | Font used to display footer text.
Public Property FooterText | Gets\sets the text that is displayed in the column's footer.
Public Property Groupable | Determines if a column can be grouped.
Public Property HeaderAlignment | Gets\sets the column header text alignment.
Public Property Icon | Id/Index of an icon stored in an ImageList/Collection of icons that is displayed in the column header.
Public Property Index | Current index of the column.
Public Property ItemIndex | Default index of the column. The index of the column within the ReportContol's collection of columns.
Public Property Key | Gets or sets the internal column name which used in serialization to uniquely identify the column rather than column index.
Public Property MaximumWidth | Maximum column width (if set as positive). This only applies when AutoSize is False.
Public Property MinimumWidth | Specifies the minimum width that a column can be sized to if resizable.
Public Property NextVisualBlock | Specifies the number of columns that will be hidden when the column is expanded.
Public Property OldVisibleIndex | Old index of the column.
Public Property PlusMinus | Specifies whether the column will have an arrow button in the column header that allows the column to be expanded.
Public Property Resizable | Indicates whether the column is resizable.
Public Property ShowInFieldChooser | Indicates if a column will appear in the FieldChooser when the column is hidden or in the "Group By Box."
Public Property Sortable | Specified whether the column can be sorted when the user clicks on the column header.
Public Property SortAscending | Specifies how the records in the column are sorted. (ascending or descending order)
Public Property Tag | Used to hold any extra data that might be useful
Public Property Tooltip | Gets\sets the tool tip that is displayed when the mouse cursor is positioned over the column header.
Public Property TreeColumn | Specifies whether the column has ReportRecordItem's that contain an expand\collapse button.
Public Property Visible | Specifies whether the column is visible in the ReportControl.
Public Property VisibleIndex | Visible index of the column, does not include hidden columns.
Public Property Width | Specifies the minimal column width.

See Also

ReportColumn Overview


%%PageItemTitle%%

ReportColumn Object | BestFitMode Property | XTPColumnBestFitMode Enumeration

See Also Report Control ActiveX Control v19.3

BestFit Method

Description

Fits the provided column width to the longest column item width.

Syntax

Public Sub BestFit()

Remarks

Call this method to adjust column width to the width of the widest column item.

See Also

ReportColumn Object | BestFitMode Property | XTPColumnBestFitMode Enumeration


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

EnsureVisible Method

Description

Forces this column to be visible.

Syntax

Public Sub EnsureVisible()

Remarks

This will cause the report control to scroll to this column.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object

Index
The position within the collection of columns to move this column.
See Also Report Control ActiveX Control v19.3

Move Method

Description

The Move method is used to programmatically move a Column.

Syntax

Public Sub Move( _
   ByVal Index As Long _
)

Parameters

Index
The position within the collection of columns to move this column.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | XTPColumnAlignment Enumeration | UseColumnTextAlignment Property | ColumnAlignment Property

See Also Report Control ActiveX Control v19.3

Alignment Property

Description

Specifies the alignment for the ReportRecordItems that are displayed in the ReportColumn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPColumnAlignment

Remarks

Returns or sets the alignment of the column. This will align the Caption or Value that is displayed in the ReportRecordItems that are in the column.

See Also

ReportColumn Object | XTPColumnAlignment Enumeration | UseColumnTextAlignment Property | ColumnAlignment Property

Example

ColumnAlignment Sample


%%PageItemTitle%%

ReportColumn Object | AllowColumnReorder Property

See Also Report Control ActiveX Control v19.3

AllowDrag Property

Description

Allows\Disallows dragging of the column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrag() As Boolean

Remarks

This allows you to specify which columns can and can't be dragged/moved. This is set to TRUE by default.

Example

[Disabling collumn draggin. (Visual Basic)] This sample illustrates how to enable/disable culumn dragging.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'You will not be able to drag this column
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    Column.AllowDrag = False

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).AllowDrag = False

See Also

ReportColumn Object | AllowColumnReorder Property


%%PageItemTitle%%

ReportColumn Object | FieldChooser Property | AllowColumnRemove Property

See Also Report Control ActiveX Control v19.3

AllowRemove Property

Description

The AllowRemove property specifies whether the Column can be removed from the Report Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowRemove() As Boolean

Remarks

Set AllowRemove to TRUE to allow the Column to be removed from the Report Control.

Set AllowRemove to FALSE to disallow the Column from being removed from the Report Control.

Columns that have been removed from the Report Control will be displayed in the Field Chooser.

The AllowColumnRemove property must be TRUE for Columns to be removed from the Report Control.

See Also

ReportColumn Object | FieldChooser Property | AllowColumnRemove Property


%%PageItemTitle%%

ReportColumn Object | Width Property | Resizable Property

See Also Report Control ActiveX Control v19.3

AutoSize Property

Description

Specifies if column auto sizing is on or off.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

Remarks

If TRUE, the width of the column is automatically resized when the ReportControl's client area is resized by the user. If FALSE, the column keeps its initial size that was specified when the column was created.

NOTE: When a column is added, the Resizable parameter is used to set the value for BOTH the Resizable and AutoSize property. If these properties will have a different value, then you will have to change the required value after the column has been added. I.e. When the column was added you specified that Resizable=TRUE, if you require that Autosize = FALSE then you need to add code to change this.

Example

[Enable Column Autosize (Visual Basic)] This sample illustrates how to allow a column to be automatically sized.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'The Resizable parameter sets the value for BOTH the Autosize and Resizable properties
    'Here, we want Resizable off and AutoSize on
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, False)
    'Enable Autosize
    Column.AutoSize = True

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).AutoSize = True

See Also

ReportColumn Object | Width Property | Resizable Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

AutoSortWhenGrouped Property

Description

Gets\sets whether items in the column are automatically sorted when grouped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSortWhenGrouped() As Boolean

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | XTPColumnBestFitMode Enumeration | BestFit Method

See Also Report Control ActiveX Control v19.3

BestFitMode Property

Description

Gets or sets the best fit mode used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BestFitMode() As Long

Remarks

The BestFitMode property uses values from the XTPColumnBestFitMode enumeration to set the columns best fit mode. This will determine if the column will be resized to the width of the longest item for only the visible rows or for all rows.

The currently set mode will be used when the BestFit method is called.

See Also

ReportColumn Object | XTPColumnBestFitMode Enumeration | BestFit Method


%%PageItemTitle%%

ReportColumn Object | Add Column Method

See Also Report Control ActiveX Control v19.3

Caption Property

Description

The text caption for the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

The caption of the column header is set when the column is added to the ReportControl. You can retrieve or change the column header text with the caption property.

Example

[Setting\Changing the text in the column header (Visual Basic)] This sample illustrates how to change the caption of a column. The caption is the text that is displayed in the column header.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'The text in the column header is initially "Name" when created
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'The text in the column header is now changed to "First Name"
    Column.Caption = "First Name"

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).Caption = "First Name"

See Also

ReportColumn Object | Add Column Method


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

DrawFooterDivider Property

Description

Gets\sets whether the divider is drawn between column footers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFooterDivider() As Boolean

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | VerticalGridStyle Property | DrawHeaderRowsVGrid Property

See Also Report Control ActiveX Control v19.3

DrawFooterRowsVGrid Property

Description

Gets or sets whether to draw a vertical grid line on the right side of column footer rows when a vertical grid line style has been used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFooterRowsVGrid() As Boolean

Remarks

When true, the report will draw a vertical grid line on the right side of column footer rows. If VerticalGridStyle is set to xtpGridNoLines then this will have no effect as vertical lines will not be drawn anyway.

See Also

ReportColumn Object | VerticalGridStyle Property | DrawHeaderRowsVGrid Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

DrawHeaderDivider Property

Description

Gets\sets whether the divider is drawn between column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawHeaderDivider() As Boolean

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | DrawFooterRowsVGrid Property | HorizontalGridStyle Property

See Also Report Control ActiveX Control v19.3

DrawHeaderRowsVGrid Property

Description

Gets or sets whether to draw a horizontal grid line on the right side of column footer rows when a horizontal grid line style has been used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawHeaderRowsVGrid() As Boolean

Remarks

When true, the report will draw a horizontal grid line on the right side of column footer rows. If HorizontalGridStyle is set to xtpGridNoLines then this will have no effect as horizontal lines will not be drawn anyway.

See Also

ReportColumn Object | DrawFooterRowsVGrid Property | HorizontalGridStyle Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Editable Property

Description

Gets\Sets whether the ReportRecordItems in the column can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Editable() As Boolean

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

EditOptions Property

Description

Edit options to be applied to all ReportRecordItems in the column.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditOptions() As ReportRecordItemEditOptions

Remarks

These edit options will be used by all items in the column unless you specify a different set of edit option for each individual item.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | PlusMinus Property | NextVisualBlock Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

Expanded Property

Description

Specifies whether the column is in an expanded state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

The Expanded state is only used if PlusMinus is True. PlusMinus specifies whether the column has an arrow icon in the column header that can be clicked to expand the column.

TIP: Use negative numbers to expand\collapse in the opposite direction. For example NextVisualBlock = -3.

The ColumnPlusMinusSign property can be used to display a "+/-" button instead of the arrow button.

See Also

ReportColumn Object | PlusMinus Property | NextVisualBlock Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Filterable Property

Description

Gets/sets column filterable mode (TRUE - filterable FALSE - not filterable)

Property type

Read-write property

Syntax (Visual Basic)

Public Property Filterable() As Boolean

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | ShowFooter Property | ShowHeader Property | HeaderAlignment Property | UseEditTextAlignment Property | UseColumnTextAlignment Property | FooterText Property

See Also Report Control ActiveX Control v19.3

FooterAlignment Property

Description

Gets\sets the column footer text alignment.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterAlignment() As XTPColumnAlignment

See Also

ReportColumn Object | ShowFooter Property | ShowHeader Property | HeaderAlignment Property | UseEditTextAlignment Property | UseColumnTextAlignment Property | FooterText Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

FooterFont Property

Description

Font used to display footer text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterFont() As Font

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | FooterAlignment Property | ShowFooter Property

See Also Report Control ActiveX Control v19.3

FooterText Property

Description

Gets\sets the text that is displayed in the column's footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterText() As String

Remarks

The FooterText for each column will be displayed in the column footer. The ShowFooter property is used to display the footer. This can be used to display data such as column totals. The FooterAlignment property is used to align the FooterText within the footer.

See Also

ReportColumn Object | FooterAlignment Property | ShowFooter Property


%%PageItemTitle%%

ReportColumn Object | ShowGroupBox Property | ShowItemsInGroups Property | SkipGroupsFocus Property

See Also Report Control ActiveX Control v19.3

Groupable Property

Description

Determines if a column can be grouped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Groupable() As Boolean

Remarks

If TRUE, the column can be added to the "Group By" box and the contents of the ReportControl will be grouped by the colum..

If FALSE, the column can't be added to the "Group By" box.

Example

[Making a column not groupable. (Visual Basic)] This sample illustrates how to disable grouping of a column.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'The column can't be added to the Group By box
    Column.GroupBy = False

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).GroupBy = False

See Also

ReportColumn Object | ShowGroupBox Property | ShowItemsInGroups Property | SkipGroupsFocus Property


%%PageItemTitle%%

ReportColumn Object | FooterAlignment Property | Caption Property (Header Text) | ShowHeader Property | ShowFooter Property | UseColumnTextAlignment Property | UseEditTextAlignment Property

See Also Report Control ActiveX Control v19.3

HeaderAlignment Property

Description

Gets\sets the column header text alignment.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderAlignment() As XTPColumnAlignment

See Also

ReportColumn Object | FooterAlignment Property | Caption Property (Header Text) | ShowHeader Property | ShowFooter Property | UseColumnTextAlignment Property | UseEditTextAlignment Property


%%PageItemTitle%%

ReportColumn Object | ImageManagerIcons Object | ReportRecordItem Icon Property

See Also Report Control ActiveX Control v19.3

Icon Property

Description

Id/Index of an icon stored in an ImageList/Collection of icons that is displayed in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As Long

Remarks

This is the value/index/id used to identify the icon within an ImageList/Collection of icons. The icon at the value/index/id of the ImageList/Collection of Icons will be displayed in the column header.

If Icons are in an ImageList: This value corresponds to an icon in the ImageList at the index specified by the Icon property. The index of an ImageList must start at 1 and increments by 1 for each additional icon.

If Icons are stored in the ImageManagerIcons object: This value corresponds Id given to the icon in the collection of icons. The id of an icon added to the ImageManagerIcons object can be any positive integer.

Example

[Using/Assigning icons from an ImageList control. (Visual Basic)] This sample illustrates how to add an icon to a ReportColumn header from an ImageList control.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'The value assigned to the icon property corresponds to the index of an icon in the ImageList
    'I.e. The icon at index=1 in the ImageList will be displayed in the column header.
    Column.Icon = 1

    'The SetImaheList method associates an ImageList with the ReportControl
    wndReportControl.SetImageList ImageListReport

[Using/Assigning icons from a collection of icons. (Visual Basic)] This sample illustrates how to add an icon to a ReportColumn header from a collection of icons.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    'The value assigned to the Icon property is the Id given to the icon when the icon is added
    'to the collection of icons.
    Column.Icon = 105

    Dim hIcon As IPictureDisp

    Set hIcon = ImageListReport.ListImages(1).ExtractIcon

    'The AddIcon method adds icons to the collection of images. You can reference the
    'icons by the Id assigned when you add them.
    'I.e. This icon can be referenced by setting the Icon property to 105.
    wndReportControl.Icons.AddIcon hIcon, 105, xtpImageNormal

[Using/Assigning icons from a CommandBars ImageManager control (Visual Basic)] This sample illustrates how to use icons added to a CommandBars ImageManager control.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    'The value assigned to the Icon property corresponds to the IconId of an icon in the ImageManager control
    Column.Icon = 1

    wndReportControl.Icons = ImageManager.Icons

See Also

ReportColumn Object | ImageManagerIcons Object | ReportRecordItem Icon Property


%%PageItemTitle%%

ReportColumn Object | ItemIndex Property | ReportColumns Object | ReportContol Columns Property

See Also Report Control ActiveX Control v19.3

Index Property

Description

Current index of the column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The Index of the column is the current position of the column within the ReportContol's collection of columns. The Index starts at 0 and increments by 1 for each column in the ReportControl. The Index value will change when the position of the column has changed (I.e. The column is dragged and dropped to another location.).

If a column has been added to the "Group By Box" or is not visible, the ReportControl still keeps the place of the column. This means that the column still exists in the collection of columns and can still be referenced by the ItemIndex which does not change. When a column is moved (I.e. A column has been dragged and dropped to another location.) before/after an invisible column, the index of the invisible will be incremented/decremented.

See Also

ReportColumn Object | ItemIndex Property | ReportColumns Object | ReportContol Columns Property


%%PageItemTitle%%

ReportColumn Object | Find Method | Index Property

See Also Report Control ActiveX Control v19.3

ItemIndex Property

Description

Default index of the column. The index of the column within the ReportContol's collection of columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemIndex() As Long

Remarks

This is the index of the column given when added to the ReportControl's collection of columns. The ItemIndex starts at 0 and increments by 1 for each column in the ReportControl. The ItemIndex will not change when the columns are moved (dragged and dropped to another location).

The ItemIndex is used to find and return a reference to a column. Since the Index of the column might change frequently, the ItemIndex is used when the column needs to be accessed.

Example

[Accessing hidded columns. (Visual Basic)] This sample illustrates how to use the ItemIndex to find columns not visible.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'The ItemIndex is specified when the column is added
    'COLUMN_NAME has been assigned as the ItemIndex
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    Column.Visible = False

    'The Find method will allow you to access hidded columns
    Set Column = wndReportControl.Columns.Find(COLUMN_NAME)
    Column.Visible = True

See Also

ReportColumn Object | Find Method | Index Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Key Property

Description

Gets or sets the internal column name which used in serialization to uniquely identify the column rather than column index.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

Return Type

Internal column name string.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

MaximumWidth Property

Description

Maximum column width (if set as positive). This only applies when AutoSize is False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaximumWidth() As Long

Remarks

Column is not allowed to be resized more than the maximum width. Set to 0 to remove maximum width restriction.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

MinimumWidth Property

Description

Specifies the minimum width that a column can be sized to if resizable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumWidth() As Long

Remarks

MinimumWidth specifies the minimum width the column can be resized to if the column is resizable.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | PlusMinus Property | Expanded Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

NextVisualBlock Property

Description

Specifies the number of columns that will be hidden when the column is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NextVisualBlock() As Long

Remarks

PlusMinus specifies whether the column has an arrow icon in the column header that can be clicked to expand the column. When using PlusMinus, you also need to set the NextVisualBlock property. The NextVisualBlock property specifies how many columns are hidden to the right of the column with PlusMinus = True when the arrow button is pressed. When the columns are hidden, the column with PlusMinus = True will expand to the width of the columns hidden.

TIP: Use negative numbers to expand\collapse in the opposite direction. For example NextVisualBlock = -3.

For example, lets say PlusMinus = True and NextVisualBlock = 3. In this case, when the expand arrow is clicked the 3 columns to the right will be hidden and the column with the expand arrow button will expand to the combined with of the 3 hidden columns.

This can be used to save space. You can allow column widths to small to fully display data, but at the same time alow that data fully visible with the click of a button.

VisibleIndex is the index of the column visually, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

OldVisibleIndex is the old index of the column, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

The ColumnPlusMinusSign property can be used to display a "+/-" button instead of the arrow button.

The Expanded state can be used to determine if the column is expanded.

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

See Also

ReportColumn Object | PlusMinus Property | Expanded Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

ReportColumn Object | VisibleIndex Property | OldVisibleIndex Property | PlusMinus Property | NextVisualBlock Property

See Also Report Control ActiveX Control v19.3

OldVisibleIndex Property

Description

Old index of the column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OldVisibleIndex() As Long

Remarks

OldVisibleIndex is the old index of the column, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

VisibleIndex is the index of the column visually, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

PlusMinus specifies whether the column has an arrow icon in the column header that can be clicked to expand the column. When using PlusMinus, you also need to set the NextVisualBlock property. The NextVisualBlock property specifies how many columns are hidden to the right of the column with PlusMinus = True when the arrow button is pressed. When the columns are hidden, the column with PlusMinus = True will expand to the width of the columns hidden.

For example, lets say PlusMinus = True and NextVisualBlock = 3. In this case, when the expand arrow is clicked the 3 columns to the right will be hidden and the column with the expand arrow button will expand to the combined with of the 3 hidden columns.

This can be used to save space. You can allow column widths to small to fully display data, but at the same time alow that data fully visible with the click of a button.

The Expanded state can be used to determine if the column is expanded.

See Also

ReportColumn Object | VisibleIndex Property | OldVisibleIndex Property | PlusMinus Property | NextVisualBlock Property


%%PageItemTitle%%

ReportColumn Object | Expanded Property | NextVisualBlock Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

PlusMinus Property

Description

Specifies whether the column will have an arrow button in the column header that allows the column to be expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PlusMinus() As Boolean

Remarks

PlusMinus specifies whether the column has an arrow icon in the column header that can be clicked to expand the column. When using PlusMinus, you also need to set the NextVisualBlock property. The NextVisualBlock property specifies how many columns are hidden to the right of the column with PlusMinus = True when the arrow button is pressed. When the columns are hidden, the column with PlusMinus = True will expand to the width of the columns hidden.

TIP: Use negative numbers to expand\collapse in the opposite direction. For example NextVisualBlock = -3.

For example, lets say PlusMinus = True and NextVisualBlock = 3. In this case, when the expand arrow is clicked the 3 columns to the right will be hidden and the column with the expand arrow button will expand to the combined with of the 3 hidden columns.

This can be used to save space. You can allow column widths to small to fully display data, but at the same time alow that data fully visible with the click of a button.

The ColumnPlusMinusSign property can be used to display a "+/-" button instead of the arrow button.

The Expanded state can be used to determine if the column is expanded.

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

See Also

ReportColumn Object | Expanded Property | NextVisualBlock Property | OldVisibleIndex Property | VisibleIndex Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

ReportColumn Object | AutoSize Property

See Also Report Control ActiveX Control v19.3

Resizable Property

Description

Indicates whether the column is resizable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Resizable() As Boolean

Remarks

If TRUE, the user can resize of the column.

If FALSE, the user can't resize the column.

NOTE: When a column is added, the Resizable parameter is used to set the value for BOTH the Resizable and AutoSize property. If these properties will have a different value, then you will have to change the required value after the column has been added. I.e. When the column was added you specified that Resizable=TRUE, if you require that Autosize = FALSE then you need to add code to change this.

Example

[Resizable Sample (Visual Basic)] This sample illustrates how to allow a column to be Resizable.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'The Resizable parameter sets the value for BOTH the Autosize and Resizable properties
    'Here, we want AutoSize off and Resizable on
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, False)
    'Enable Resizable
    Column.Resizable = True

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).Resizable = True

See Also

ReportColumn Object | AutoSize Property


%%PageItemTitle%%

ReportColumn Object | FieldChooser Property | ShowGroupBox Property

See Also Report Control ActiveX Control v19.3

ShowInFieldChooser Property

Description

Indicates if a column will appear in the FieldChooser when the column is hidden or in the "Group By Box."

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowInFieldChooser() As Boolean

Remarks

When a column is hidden or added to the "Group By Box" it will be automatically added to the FieldChooser unless the ShowInFieldChooser property is set to FALSE.

If you would like to have a hidden column that the user can not access and you enable the FieldChooser, then you will need to set the ShowInFieldChooser property to FALSE. By default this property is TRUE.

Example

[Remove column from FieldChooser (Visual Basic)] This sample illustrates how to keep the column from appearing in the FieldChooser when the column is hidden or in th eGroup By Box.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'Setting the visibility to FALSE will cause the column to appear in the FieldChooser
    Column.Visible = False

    'You must set ShowInFieldChooser to False to keep the column from appearing in the
    'Field chooser when the column is not visible or is in the "Group by Box"
    Column.ShowInFieldChooser = False

See Also

ReportColumn Object | FieldChooser Property | ShowGroupBox Property


%%PageItemTitle%%

ReportColumn Object | SortOrder Property | ReportColumnOrder Object | SortAscending Property

See Also Report Control ActiveX Control v19.3

Sortable Property

Description

Specified whether the column can be sorted when the user clicks on the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sortable() As Boolean

Remarks

If TRUE, records can be sorted by this column by clicking on the column header. Each time the column header is clicked the sort order will toggle between ascending and descending. by default, Sortable is TRUE.

If FALSE, records can not be sorted by this column by clicking on the column header. The column can still be sorted, but not by clicking on the column header. If you would like to sort the column when Sortable is FALSE, then you can add the column to the ReportControl's SortOrder, this will allow you to keep a column sorted at all times.

Example

[Disable column sorting by clicking on the column header (Visual Basic)] This sample illustrates how to disable sorting by clicking on the column header.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'The user will can not sort the column by clicking on the column header
    Column.Sortable = False

See Also

ReportColumn Object | SortOrder Property | ReportColumnOrder Object | SortAscending Property


%%PageItemTitle%%

ReportColumn Object | SortOrder Property | ReportColumnOrder Object | Column Sortable Property

See Also Report Control ActiveX Control v19.3

SortAscending Property

Description

Specifies how the records in the column are sorted. (ascending or descending order)

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortAscending() As Boolean

Remarks

If TRUE, the column will be sorted in ascending order when the column is sorted.

If FALSE, the column will be sorted in descending order when the column is sorted.

An arrow icon is displayed on the column header indicating how the column is sorted, an up arrow for ascending and a down arrow foe descending order.

The SortAscending property will not cause the column to be sorted, it only indicates HOW the column will be sorted. To sort the column, you will need to click on the column header or add the column to the ReportControl's SortOrder.

See Also

ReportColumn Object | SortOrder Property | ReportColumnOrder Object | Column Sortable Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Tag Property

Description

Used to hold any extra data that might be useful

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property. You can use this value to identify the Column.

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | ToolTipContext Property | SortByText Property

See Also Report Control ActiveX Control v19.3

Tooltip Property

Description

Gets\sets the tool tip that is displayed when the mouse cursor is positioned over the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

If no Tooltip is set for the column, then the tool tip that will be displayed will be the text stored in the SortByText property and the column caption.

See Also

ReportColumn Object | ToolTipContext Property | SortByText Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

TreeColumn Property

Description

Specifies whether the column has ReportRecordItem's that contain an expand\collapse button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeColumn() As Boolean

Remarks

If TRUE, indicates that some of the ReportRecordItem's contain an expand\collapse button that is used to display more ReportRecordItem's. This allows you to create a hierarchical list of ReportRecordItem's. The expand/collapse button will appear in the column(s) that have the TreeColumn property set to TRUE. The expand/collapse button will only appear if a ReportRecordItem has children.

If FALSE, indicates that no ReportRecordItem's will contain an expand\collapse button. This needs to be TRUE if you want the expand\collapse button to display in this column.

Example

[Adding a child ReportRecordItem. (Visual Basic)] This sample illustrates how to create a hierarchical list of ReportRecordItem's. In this sample two ReportRecords are added. The first ReportRecord will be the parent to the second ReportRecord.

    'Add this to the General code section
    Const COLUMN_ICON = 0
    Const COLUMN_CHECK = 1
    Const COLUMN_SUBJECT = 2
    Const COLUMN_FROM = 3
    Const COLUMN_SENT = 4
    Const COLUMN_SIZE = 5

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_ICON, "Icon", 18, False)
    Column.Icon = 0
    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Check", 18, False)
    Column.Icon = 1
    Set Column = wndReportControl.Columns.Add(COLUMN_SUBJECT, "Subject", 280, True)

    'The TreeColumn property must be TRUE because you want the expand/collapse button to appear
    'in this column
    Column.TreeColumn = True
    wndReportControl.Columns.Add COLUMN_FROM, "From", 180, True
    wndReportControl.Columns.Add COLUMN_SENT, "Sent", 150, True
    wndReportControl.Columns.Add COLUMN_SIZE, "Size", 50, True
    wndReportControl.Columns.Add COLUMN_PRICE, "Price", 80, True

    wndReportControl.SetImageList ImageListReport

    Dim Record As ReportRecord
    Dim ChildRecord As ReportRecord
    Dim Item As ReportRecordItem

    'This is the parent Record that will have a ReportRecordItem
    'added to it's collection of child ReportRecordItems.
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Record.AddItem "RE: Your Invoice"
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

    'This record will be added to the parent record's collection of child
    'ReportRecordItem's. All child records will be displayed when the
    'expand/collapse button is pressed.
    Set ChildRecord = Record.Childs.Add()
        Set Item = ChildRecord.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        ChildRecord.AddItem "RE: Your Invoice"
        ChildRecord.AddItem "Tom Green"
        ChildRecord.AddItem "21/06/2004"
        ChildRecord.AddItem "14k"

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Visible Property

Description

Specifies whether the column is visible in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

If TRUE, the column will be visible in the ReportControl.

If FALSE, the column will not be visible in the ReportControl. The column will then appear in the FieldChooser where it can be dragged and dropped back into the ReportControl and then the Visible property is automatically set to TRUE.

If FALSE, the column will still appear in the ReportControl's collection of columns.

Example

[Making a column invisible / hidding a column (Visual Basic)] This sample illustrates how to hide a column.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    'Setting the visibility to FALSE will cause the column to appear in the FieldChooser
    Column.Visible = False

    'Or you can access the column this way
    wndReportControl.Columns(COLUMN_NAME).Visible = False

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumn Object | NextVisualBlock Property | OldVisibleIndex Property | PlusMinus Property

See Also Report Control ActiveX Control v19.3

VisibleIndex Property

Description

Visible index of the column, does not include hidden columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisibleIndex() As Long

Remarks

VisibleIndex is the index of the column visually, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

OldVisibleIndex is the old index of the column, this is only needed if a column is expanded, this will apply to all columns after the column that is expanded.

PlusMinus specifies whether the column has an arrow icon in the column header that can be clicked to expand the column. When using PlusMinus, you also need to set the NextVisualBlock property. The NextVisualBlock property specifies how many columns are hidden to the right of the column with PlusMinus = True when the arrow button is pressed. When the columns are hidden, the column with PlusMinus = True will expand to the width of the columns hidden.

For example, lets say PlusMinus = True and NextVisualBlock = 3. In this case, when the expand arrow is clicked the 3 columns to the right will be hidden and the column with the expand arrow button will expand to the combined with of the 3 hidden columns.

This can be used to save space. You can allow column widths to small to fully display data, but at the same time alow that data fully visible with the click of a button.

The Expanded state can be used to determine if the column is expanded.

See Also

ReportColumn Object | NextVisualBlock Property | OldVisibleIndex Property | PlusMinus Property


%%PageItemTitle%%

ReportColumn Object

See Also Report Control ActiveX Control v19.3

Width Property

Description

Specifies the minimal column width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

When the column is added, you specify the Width of the column. You can change the Width property at any time.

The column width can not be sized smaller that the value in the Width property. AutoSize must be FALSE if if the value in the Width property will be used.

If AutoSize or Resizable is TRUE, then the column Width can be smaller than the current value.

Example

[Changing column width (Visual Basic)] This sample illustrates how to set and change the column width.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'The initial width is set to 300px, the Resizable parameter is set to FALSE because
    'we do not want AutoSize enabled.
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, False)

    'Enable column resizing, we need to do this because the Resizable parameter in the Add method in the previous
    'line of code set BOTH AutoSize and Resizable to FALSE
    Column.Resizable = True

    'Change the column width from it's initial value of 300px to 400px
    Column.Width = 400

See Also

ReportColumn Object


%%PageItemTitle%%

ReportColumnOrder Members | ReportControl SortOrder Property | GroupsOrder Property

See Also Report Control ActiveX Control v19.3

ReportColumnOrder Collection

Description

Represents column order, used for sorting and grouping ReportColumns.

For a list of all members defined in this module, see ReportColumnOrder members.

Object Model

Remarks

This is a collection of ReportColumn objects, each of which can be referred to by its zero-based index. This is the collection of columns used for the ReportControl's SortOrder or GroupOrder collections. The columns added to this collection determine the order in which the Records\Rows are grouped and sorted. It provides methods to manipulate the list of columns: Adding columns, clear collection, and get the index of a column in the collection by its pointer.

See Also

ReportColumnOrder Members | ReportControl SortOrder Property | GroupsOrder Property


%%PageItemTitle%% $$Members$$

ReportColumnOrder Overview | ReportControl SortOrder Property | GroupsOrder Property

See Also Report Control ActiveX Control v19.3

ReportColumnOrder Collection Members

Public Methods

Public Method Add | Adds a ReportColumn to the collection of sorted and\or grouped columns.
Public Method DeleteAll | Clears all stored order information. Removes all of the columns from the collection of sorted and\or grouped ReportColumn's.
Public Method IndexOf | Returns the index of a ReportColumn within the collection of columns.
Public Method RemoveAt | Removes a column at a specified position from the column SortOrder or GroupsOrder array.

Public Properties

Public Property Column | A collection of ReportColumn objects.
Public Property Count | Returns the number of stored order items.

See Also

ReportColumnOrder Overview | ReportControl SortOrder Property | GroupsOrder Property


%%PageItemTitle%%

ReportColumnOrder Collection | ReportControl SortOrder Property | ReportControl GroupsOrder Property

Column
The ReportColumn to add to the collection of sorted and\or grouped columns.
See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a ReportColumn to the collection of sorted and\or grouped columns.

Syntax

Public Sub Add( _
   ByVal Column As ReportColumn _
)

Parameters

Column
The ReportColumn to add to the collection of sorted and\or grouped columns.

Remarks

This method is used to add columns to the collection of sorted and\or grouped columns which determine how the columns are sorted and grouped within the ReportContol and Group Box. It Adds a new column to the end of the collection, growing the collection by 1.

ReportControl SortOrder:

The Add method is used to add columns to the ReportContol's SortOrder collection of sorted columns. Columns added to the SortOrder collection determine how the columns in the ReportContol are sorted. The columns in the ReportContol are first sorted by the column at index zero (0) in the SortOrder collection, then they are sorted by the column at index one (1), etc...

Group Box:

The Add method is used to add columns to the ReportContol's GroupOrder collection of sorted columns. Columns added to the GroupOrder collection determine how the columns in the ReportContol are grouped/sorted. The columns in the ReportContol are first grouped/sorted by the column at index zero (0) in the GroupOrder collection, then they are grouped/sorted by the column at index one (1), etc...

Example

[Sorting columns in the ReportControl (Visual Basic)] This sample illustrates how to sort the columns in the ReportControl. If you had 8 columns added to the ReportControl, this sample would sort the columns first by the column at Itemindex 7, then by the column at ItemIndex 2, then by the column at ItemIndex 5.

    'This code below will add three columns to the SortOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be sorted by column 7,
    'which has an index of zero (0) in the SortOrder collection. Columns are first sorted
    'in the order that they are added to the SortOrder collection.
    wndReportControl.SortOrder.Add wndReportControl.Columns(7)
    wndReportControl.SortOrder.Add wndReportControl.Columns(2)
    wndReportControl.SortOrder.Add wndReportControl.Columns(5)

    'This will cause the column at index 1 of the SortOrder collection to be sorted
    'in descending order.
    wndReportControl.SortOrder(1).SortAscending = False

    'Any time you add or delete columns to the SortOrder or GroupOrder collections,
    'the Populate method must be called to show the changes in the ReportControl's view.
    wndReportControl.Populate

See Also

ReportColumnOrder Collection | ReportControl SortOrder Property | ReportControl GroupsOrder Property

Example

GroupsOrder Sample


%%PageItemTitle%%

ReportColumnOrder Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Clears all stored order information. Removes all of the columns from the collection of sorted and\or grouped ReportColumn's.

Syntax

Public Sub DeleteAll()

Remarks

Clears all stored order information. This will remove all columns from the collection of sorted ReportColumn's, which will remove any grouping and sorting. This will not effect the GroupCaption, GroupPriority, or SortPriority properties of the ReportRecordItems.

Example

[Removing all Columns from the GroupsOrder and SortOrder collections (Visual Basic)] This sample illustrates how to remove all columns from the ReportControl's collection of SortOrder and GroupOrder columns.

    'Removes all columns from the ReportControl's GroupsOrder collection
    wndReportControl.GroupsOrder.DeleteAll

    'Removes all columns from the ReportControl's SortOrder collection
    wndReportControl.SortOrder.DeleteAll

See Also

ReportColumnOrder Collection


%%PageItemTitle%%

ReportColumnOrder Collection

Column
The column to search for within the ReportControl's collection of SortOrder or GroupOrder columns.
See Also Report Control ActiveX Control v19.3

IndexOf Method

Description

Returns the index of a ReportColumn within the collection of columns.

Syntax

Public Function IndexOf( _
   ByVal Column As ReportColumn _
) As Integer

Parameters

Column
The column to search for within the ReportControl's collection of SortOrder or GroupOrder columns.

Return Type

Index of the specified columns, -1 if the column is not found.

Remarks

Searches for the first occurrence of the given Column, beginning the search at index zero of the collection of columns. This is used to determine is a columns is in one of the ReportControl's SortOrder or GroupOrder collection's, if it is, then the index of that column is returned.

See Also

ReportColumnOrder Collection


%%PageItemTitle%%

ReportColumnOrder Collection | SortOrder Property | GroupsOrder Property | IndexOf Method

Index

Index of a column within the SortOrder or GroupsOrder columns array that indicates the column to remove.

The index of a column within the SortOrder or GroupsOrder arrays can be found using the IndexOf method.

See Also Report Control ActiveX Control v19.3

RemoveAt Method

Description

Removes a column at a specified position from the column SortOrder or GroupsOrder array.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index

Index of a column within the SortOrder or GroupsOrder columns array that indicates the column to remove.

The index of a column within the SortOrder or GroupsOrder arrays can be found using the IndexOf method.

Remarks

The RemoveAt method removes a column from the sort order or from the group order which are stored in the SortOrder and GroupsOrder column arrays.

RemoveAt will not actually remove a column.

The IndexOf method can be used to determine the index of a column within the SortOrder or GroupsOrder columns array. RemoveAt does not use the actual index of a column.

See Also

ReportColumnOrder Collection | SortOrder Property | GroupsOrder Property | IndexOf Method


%%PageItemTitle%%

ReportColumnOrder Collection | GroupsOrder Property | SortOrder Property

Index
The index of a ReportColumn within the collection of ReportColumn objects.
See Also Report Control ActiveX Control v19.3

Column Property

Description

A collection of ReportColumn objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Column( _
   ByVal Index As Long _
) As ReportColumn

Parameters

Index
The index of a ReportColumn within the collection of ReportColumn objects.

Remarks

This is the collection of columns used for the ReportControl's SortOrder or GroupOrder collections. The columns added to this collection determine the order in which the Records\Rows are grouped and sorted.

See Also

ReportColumnOrder Collection | GroupsOrder Property | SortOrder Property

Example

Adding columns to the SortOrder collection | Adding columns to the GroupsOrder colleciton


%%PageItemTitle%%

ReportColumnOrder Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of stored order items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

This tells you how many columns have been added to the ReportControl's SortOrder or GroupOrder.

See Also

ReportColumnOrder Collection


%%PageItemTitle%%

ReportColumns Members | ReportControl Columns Property

See Also Report Control ActiveX Control v19.3

ReportColumns Collection

Description

A collection of ReportColumn objects.

For a list of all members defined in this module, see ReportColumns members.

Object Model

Remarks

Contains a collection of ReportColumn objects. You can add ReportColumn, delete all ReportColumns, and find a ReportColumn in the collection.

The ReportControl contains a collection of columns that is used to add/remove columns from the ReportControl.

See Also

ReportColumns Members | ReportControl Columns Property


%%PageItemTitle%% $$Members$$

ReportColumns Overview | ReportControl Columns Property

See Also Report Control ActiveX Control v19.3

ReportColumns Collection Members

Public Methods

Public Method Add | Adds a ReportColumn to the collection of columns.
Public Method AddEx | Adds a ReportColumn to the collection of columns using an unique identifier.
Public Method DeleteAll | Removes all columns from the ReportControls collection of columns.
Public Method Find | Finds a ReportColumn by its ItemIndex

Public Properties

Public Property Column | A collection of ReportColum objects
Public Property Count | Returns the number of ReportColum objects in the collection

See Also

ReportColumns Overview | ReportControl Columns Property


%%PageItemTitle%%

ReportColumns Collection

ItemIndex
Index used to uniquely identify the column.
Caption
Text displayed in the column header.
Width
Initial width of the column.
Resizable
Specifies whether the column is Resizable AND if AutoSize is enable.
See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a ReportColumn to the collection of columns.

Syntax

Public Function Add( _
   ByVal ItemIndex As Integer, _
   ByVal Caption As String, _
   ByVal Width As Integer, _
   ByVal Resizable As Boolean _
) As ReportColumn

Parameters

ItemIndex
Index used to uniquely identify the column.
Caption
Text displayed in the column header.
Width
Initial width of the column.
Resizable
Specifies whether the column is Resizable AND if AutoSize is enable.

Remarks

Adds a new ReportColumn to the collection, growing the collection by 1.

When ReportRecordItems are added, only ReportRecordItems that have an index that is the same as the ReportColumn's ItemIndex will be displayed in that column.

Example

[Adding a Column (Visual Basic)] This sample illustrates how to add a Column to the ReportControl's collection of columns.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'A new column with a Caption of "Name" is added
    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, False)

See Also

ReportColumns Collection


%%PageItemTitle%%

ReportColumns Collection

ItemIndex
Index used to uniquely identify the column.
Caption
Text displayed in the column header.
InternalName
Internal column name which is used in serialization to unique identify column rather than column index.
Width
Initial width of the column.
Resizable
Specifies whether the column is Resizable AND if AutoSize is enable.
See Also Report Control ActiveX Control v19.3

AddEx Method

Description

Adds a ReportColumn to the collection of columns using an unique identifier.

Syntax

Public Function AddEx( _
   ByVal ItemIndex As Integer, _
   ByVal Caption As String, _
   ByVal InternalName As String, _
   ByVal Width As Integer, _
   ByVal Resizable As Boolean _
) As ReportColumn

Parameters

ItemIndex
Index used to uniquely identify the column.
Caption
Text displayed in the column header.
InternalName
Internal column name which is used in serialization to unique identify column rather than column index.
Width
Initial width of the column.
Resizable
Specifies whether the column is Resizable AND if AutoSize is enable.

Remarks

Adds a new ReportColumn to the collection, growing the collection by 1.

When ReportRecordItems are added, only ReportRecordItems that have an index that is the same as the ReportColumn's ItemIndex will be displayed in that column.

The InternalName (Internal column name) is used as an unique column identifier when serializing column data. If it is empty (and it is for previous versions) - the column index is used as such identifier. But using the index is not a proper way for case when the column data is saved and then some columns are added/deleted or reordered. If you read old data using new columns collection - you will get incorrect results. If the InternalName is set, the column data read will be applied to the column with such name or skipped if no such column exists in the collection. Also the new columns will keep the default/current properties (instead of applying properties read from the old column with the same index).

Example

[AddEx Sample (Visual Basic)] This sample illustrates how to add a Column to the ReportControl's collection of columns using AddEx.

    'Add this to the General code section
    Const COLUMN_NAME = 1

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    'A new column with a Caption of "Name" is added
    Set Column = wndReportControl.Columns.AddEx(COLUMN_NAME, "Name", "NameColumn", 300, False)

See Also

ReportColumns Collection


%%PageItemTitle%%

ReportColumns Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all columns from the ReportControls collection of columns.

Syntax

Public Sub DeleteAll()

Remarks

This will only delete the columns, the data stored in the Records will remain unchanged.

Example

[Removing all Columns from the ReportControl (Visual Basic)] This sample illustrates how to remove all columns from the ReportControl's collection of columns.

    'Removes all columns from the ReportControl
    wndReportControl.Columns.DeleteAll

See Also

ReportColumns Collection


%%PageItemTitle%%

ReportColumns Collection

ItemIndex
ItemIndex of the ReportColumn desired
See Also Report Control ActiveX Control v19.3

Find Method

Description

Finds a ReportColumn by its ItemIndex

Syntax

Public Function Find( _
   ByVal ItemIndex As Long _
) As ReportColumn

Parameters

ItemIndex
ItemIndex of the ReportColumn desired

Return Type

ReportColumn with the specified ItemIndex

Remarks

Searches the collection of columns sequentially to find the first column matching the specified ItemIndex. If no matching found, NULL is returned.

Example

[Finding a Column by ItemIndex. (Visual Basic)] This sample illustrates how to find a column within the ReportControl's collection of columns by it's ItemIndex.

    Dim Column As ReportColumn

    'Finds a column within the ReportControl's collection of columns and
    'returns a reference to the column if found
    Set Column = wndReportControl.Columns.Find(COLUMN_CHECK)

    'The properties of the column can now be accessed
    Column.Resizable = False

See Also

ReportColumns Collection


%%PageItemTitle%%

ReportColumns Collection | ReportControl Columns Property

Index
Index of the ReportColum within the collection of columns
See Also Report Control ActiveX Control v19.3

Column Property

Description

A collection of ReportColum objects

Property type

Read-only property

Syntax (Visual Basic)

Public Property Column( _
   ByVal Index As Long _
) As ReportColumn

Parameters

Index
Index of the ReportColum within the collection of columns

Remarks

This is a collection of ReportColumn objects.

See Also

ReportColumns Collection | ReportControl Columns Property


%%PageItemTitle%%

ReportColumns Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of ReportColum objects in the collection

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Columns that are not currently visible (Columns with the Invisible property set to True, and Column headers in the FieldChooser and Group By box) will be included in the count.

See Also

ReportColumns Collection


%%PageItemTitle%%

ReportControl Members

See Also Report Control ActiveX Control v19.3

ReportControl Control

Description

Represents a ReportControl.

For a list of all members defined in this module, see ReportControl members.

Object Model

Remarks

A "report control" is a window that displays a hierarchical list of items, such as emails in the inbox. Each item is called a ReportRow and consists of its properties and corresponding ReportRecord, which contains all the corresponding data (mostly text). Each Row item (as well as Record) can have a list of sub items associated with it. By clicking a Row item, the user can expand and collapse the associated list of sub items.

The ReportRecords collection holds all the ReportRecord objects that are assigned to the ReportControl. It could be accessible via

Records property. The records in this collection are referred to as the root records. Any record that is subsequently added to a root record is referred to as a child record. Because each ReportRecord can contain a collection of other ReportRecord objects, you might find it difficult to determine your location in the tree structure when you iterate through the collection.

Record nodes can be expanded to display the next level of child records. The user can expand the ReportRecord by clicking the plus-sign (+) button, if one is displayed, or you can expand the ReportRecord by setting the Expanded property to True.

You can collapse the child ReportRecord level by setting the Expanded property to False, or the user can press the minus-sign (-) button, if one is displayed.

Each record contains an array of record items which are implemented with ReportRecordItem and its descendants.

Each ReportRecordItem has an association with corresponding ReportColumn item. The item will be shown below the corresponding column header depending on its position in report control columns array. If a column does not have an associated item in the record, there will be an empty item shown in the corresponding cell.

The Columns array is represented by ReportColumns collection and could be accessed via Columns property.

As a finalization of adding data to the report control, which means adding columns and records, the Populate method should be called. It performs population of control rows with data - creates a rows tree if necessary, rebuilds groups if grouping if enabled, and sorts rows on a specified manner.

You can also change the appearance of the ReportControl control by setting some of its display and style properties. Also the ReportControl has the ability to store and restore its settings, which includes all columns with their settings, and some required control's settings.

See Also

ReportControl Members


%%PageItemTitle%% $$Members$$

ReportControl Overview

See Also Report Control ActiveX Control v19.3

ReportControl Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that indicates the current version of the control.
Public Method AddRecord | Adds a record to the report.
Public Method AddRecordEx | Adds record to records collection and associates a row with it.
Public Method AddRecordEx2 | Adds record to records collection and associates a row with it.
Public Method AddRecordEx3 | Adds record to records collection and associates a row with it.
Public Method ClearContent | Clears all memory from the report.
Public Method CollapseAll | Collapses all rows.
Public Method Copy | Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will remain.
Public Method CreateIconViewAndRowNumberColumn | A combination of the CreateIconViewColumn and CreateRowNumberColumn.
Public Method CreateIconViewColumn | Creates an icon column for to be used in IconView (similar to icon view in Explorer).
Public Method CreatePrintView | If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Report.
Public Method CreateRecords | Creates an empty ReportRecords collection.
Public Method CreateRecordsFromDropArray | Creates a ReportRecords collection object from a ByteArray.
Public Method CreateRowNumberColumn | Create a row number column.
Public Method Cut | Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will be removed.
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method DragRecords | Prepare records to be dropped into the Report Control.
Public Method EditItem | The EditItem method is used to set focus to a specific row and column so that it can be edited.
Public Method EnableDragDrop |
Public Method EnableToolTips | The EnableToolTips method enables or disables the use of tool tips in the ReportControl.
Public Method ExpandAll | Expands all rows (have children but are not visible) that are collapsed.
Public Method GetElementRect | Retrieves a report element rectangle.
Public Method HitTest | Returns hit test information for a given X and Y pixel on the screen.
Public Method IconViewRowNumberSetup | Combination of the IconViewSetup and ShowRowNumber methods.
Public Method IconViewSetup | Specifies from which column to display text in IconView. It also specifies the icon used for all items in IconView.
Public Method InsertRecord | Inserts a record into the report.
Public Method IsShowIconWhenEditing | determines if icons are displayed for an item will be visible while the item is getting edited.
Public Method LoadSettings | Loads the ReportColumn settings of the ReportControl from a string.
Public Method Paste | Reads records from the clipboard and adds them to records collection.
Public Method Populate | Populates the ReportControl's with ReportRow collection with the data contained in the ReportRecords
Public Method PopulateFooterRows | Performs control's footer rows population, creating view from the data.
Public Method PopulateHeaderRows | Performs control's header rows population, creating view from the data.
Public Method PrintPreview | Display a print preview window.
Public Method PrintPreviewExt | Runs printpreview in non-maximized mode with given screen position and size.
Public Method PrintReport | Prints the current Report view.
Public Method PrintReport2 | Prints the current Report view with the option to print immediately without showing any dialogs or needing any HDC handle.
Public Method ReCalc | Updates the results of a given Formula for an item.
Public Method Redraw | Redraws the ReportControl
Public Method RemoveRecordEx | Removes a Row in the report by specifying the attached ReportRecord.
Public Method RemoveRowEx | Removes a Row in the report.
Public Method SaveSettings | Saves the ReportColumn settings of the ReportControl.
Public Method SetCustomDraw | The SetCustomDraw method is used to specify which of the three custom draw events should be executed when the rows and items are drawn.
Public Method SetFieldChooserHandle | Associates a FieldChooser control with the ReportControl
Public Method SetIconViewToDefaults | Resets all IconView parameters to their defaults (should be called after a Clear\DeleteAll columns\rows).
Public Method SetImageList | Associates an ImageList with the ReportContol.
Public Method SetScrollBars | Sets custom ScrollBars from the SuitePackage to be used by the ReportControl.
Public Method SetVirtualMode | The SetVirtualMode method is used to enable virtual mode of the Report Control.
Public Method SetWatermarkBitmap | Sets a watermark bitmap to be shown in the report control background from a resource.
Public Method SetWatermarkBitmapFromFile | Sets a watermark bitmap to be shown in the report control background using a bmp file.
Public Method ShowIconWhenEditing | Specify whether icons displayed for an item will be visible while the item is getting edited.
Public Method ShowPrintPageSetup | Displays a custom "Page Setup" print dialog for the Report.
Public Method ShowRowNumber | Shows a column that displays the row numbers.
Public Method UpdateRecord | Updates a record that has been modified to the current grouping and sorting..

Public Properties

Public Property AllowColumnRemove | Specifies whether ReportColumns can be removed from the ReportControl
Public Property AllowColumnReorder | Specifies whether ReportColumns can be reordered in the ReportControl
Public Property AllowColumnResize | Specifies whether ReportColumns can be resized
Public Property AllowColumnSort | Specifies whether ReportColumns can be sorted
Public Property AllowEdit | Allows the text in all ReportRecordItems to be edited.
Public Property AllowEditPreview | Allows the preview rows to be edited by the user.
Public Property AllowGroup | Specifies whether to allow grouping.
Public Property AllowSelectionCheck | Specifies whether to allow a check box to be checked using the right mouse button.
Public Property AllowSort | Specifies whether to allow sorting.
Public Property AutoColumnSizing | Specifies if AutoColumnSizing should be used.
Public Property AutoVScrollTimerResolution | Gets or sets the vertical scrolling timer resolution.
Public Property Behavior | Specifies the behavior of the report control when a mouse button or keystroke is performed on a row\group row in the report.
Public Property BorderStyle | The type of border style that is placed around the ReportControl
Public Property CanCopy | Indicates whether a Copy operation can be performed.
Public Property CanCut | Indicates whether a Cut operation can be performed.
Public Property CanPaste | Indicates whether a Paste operation can be performed.
Public Property Columns | The ReportControl's collection of ReportColumn objects.
Public Property CustomTitle | Used for unique title - e.g. for PrintJob name.
Public Property DataManager | Gets or sets the report data manager.
Public Property DefaultRowFreeHeight |
Public Property DesktopTrackerMode | Specifies whether to use Vista Tracker Mode (On or Off). This fixes desktop flicker.
Public Property DisableReorderColumnsCount | Gets or sets the count of the columns at the left side where reordering is disabled.
Public Property DragSensitivityX | Horizontal sensitivity of Drag'n'Drop operation in pixels. Default value is 3.
Public Property DragSensitivityY | Vertical sensitivity of Drag'n'Drop operation in pixels. Default value is 3.
Public Property EditMode | Indicates whether the in-place edit control is currently active (visible and focused).
Public Property EditOnClick | Determine whether a ReportRecorditem can be edited by single-clicking on the item.
Public Property EditOnDelayClick | Enables or disables the delay click edit feature for ReportRecordItems (like editing a file name in Windows explorer).
Public Property EditOnDoubleClick | Specifies whether a ReportRecordItem can be edited by double-clicking on the item.
Public Property Enabled | Gets or sets a value indicating whether the ReportControl can respond to user interaction.
Public Property EnableMarkup | Enables the use of XAML to display text in the report control.
Public Property EnsureFocusedRowVisible | Gets or sets whether focused rows will be forced visible.
Public Property FastDeselectMode | Specifies whether all selected rows can quickly be de-selected with the click of a mouse.
Public Property FieldChooser | Associates a FieldChooser control with the ReportControl
Public Property FilterHiddenColumns | Specifies whether to search filter text in hidden columns.
Public Property FilterSeparatorStrict | Specifies whether text filtering will be strict.
Public Property FilterText | The FilterText property is used to filter the rows in the Report Control by one or more text strings.
Public Property FocusedColumn | The FocusedColumn property returns a reference to the Column that contains the ReportRecordItem (SubItem) that currently has focus in the ReportControl.
Public Property FocusedRow | Returns a reference to the row that currently has focus in the ReportControl.
Public Property FocusSubItems | Specifies whether the individual ReportRecordItem will show focus when an item in a row is clicked.
Public Property FooterRecords | Returns the collection of the footer records.
Public Property FooterRows | Returns the collection of the report footer rows.
Public Property FooterRowsAllowAccess | Specifies whether to allows user to move selection to footer rows.
Public Property FooterRowsAllowEdit | Allows the text in all Footer Row ReportRecordItems to be edited.
Public Property FooterRowsAllowGroup | Specifies whether to allow grouping in footer rows.
Public Property FooterRowsAllowSort | Specifies whether to allow sorting in footer rows.
Public Property FooterRowsEnableSelection | Enables or disables selection in footer rows.
Public Property ForcePagination | Specifies whether to force the report to be split up into "pages" while in print preview mode. This also effects the page count that is displayed when the printer dialog is displayed say printing pages 1-*.
Public Property FreeHeightMode | Allows row height to be changed using the mouse to drag to a new height.
Public Property FreezeColumnsAbs | Gets or sets whether the freeze column is absolute or relative (applies when columns are dragged\moved).
Public Property FreezeColumnsCount | Gets\Sets the number of columns that are frozen when the report is scrolled horizontally.
Public Property FullColumnScrolling | Specifies whether full column scrolling will be used. (depreciated, see note)
Public Property GroupsOrder | A collection of ReportColumns used to determine how the ReportControl is grouped. (I.e. First by column A in ascending order, then by column B in descending order, etc...)
Public Property HeaderRecords | Returns the collection of the header records.
Public Property HeaderRows | Returns the collection of the report header rows.
Public Property HeaderRowsAllowAccess | Specifies whether to allows user to move selection to header rows.
Public Property HeaderRowsAllowEdit | Allows the text in all Header Row ReportRecordItems to be edited.
Public Property HeaderRowsAllowGroup | Specifies whether to allow grouping in header rows.
Public Property HeaderRowsAllowSort | Specifies whether to allow sorting in header rows.
Public Property HeaderRowsEnableSelection | Enables or disables selection in header rows.
Public Property HideColumnAfterGroupBoxDrop | Causes Column Drag & Drop into the Group Box to behave like Drag & Drop + Ctrl.
Public Property HScrollStep | Gets\sets the amount of pixels the report is scrolled when the horizontal scroll bar buttons are clicked.
Public Property hWnd | The hWnd property returns the handle to the Report Control.
Public Property Icons | A collection of icons that can be used in ReportRecordItem and ReportColumn objects.
Public Property IconView | Displays or hides Icon View, a view similar to the Icon View in Windows Explorer.
Public Property InitialSelectionEnable | Specifies whether the first row in the report will become selected when initially populated.
Public Property InplaceEditHwnd | Returns the handle to the currently used In-place Edit control.
Public Property LeftOffset | Gets or sets the horizontal scroll position.
Public Property LockExpand | Specifies whether collapsing/expanding rows is locked.
Public Property MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.
Public Property MaxColumnWidth | Get or set the maximum column width for all columns.
Public Property MovePivot | Gets or sets whether the freeze column is displayed when columns are added to the group by box.
Public Property MultipleSelection | Specifies whether multiple ReportRows can be selected at the same time in the ReportControl.
Public Property MultiSelectionMode | Enables/disables the multiple selection mode for the control.
Public Property Navigator | Object used to handle navigation activities in the Report Control.
Public Property OLEDropAbove | When using OLEDragDrop, this will tell whether the drop marker is above or below the current row.
Public Property OLEDropMode | The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.
Public Property OverrideThemeMetrics | Specifies whether to allow themes to override control metrics. This is True by default.
Public Property PaintManager | Returns the ReportPaintManager object used for drawing the ReportControl
Public Property PinFooterRows | Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.
Public Property PinFooterRowsPrinted | Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.
Public Property PopulatedRecordsCount | The current number of records displayed in the report.
Public Property PreviewMode | Specifies whether PreviewMode is enabled.
Public Property PrintGroupRowIcon | Specifies whether the group row expand\collapse icons should be displayed.
Public Property PrintOptions | Options that specify how the Report should look when sent to a print device.
Public Property PrintPreviewOptions | Object that contains options for the print preview window.
Public Property Records | The ReportControl's collection of ReportRecord objects.
Public Property RecordsTreeFilterMode | Gets or sets the filtering mode for the Record tree.
Public Property ReCreateReparented |
Public Property ReleaseOnDestroy | Before destroying, check until WM_DESTROY handling is complete.
Public Property RightToLeft | Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.
Public Property RightToLeftReading | Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).
Public Property Rows | The ReportControl's collection of ReportRow objects.
Public Property ScrollMode | Gets or sets the scroll mode for the report control.
Public Property ScrollModeH | Gets or sets the scroll mode for horizontal scrolling in the report control.Gets or sets the scroll mode for the report control.
Public Property ScrollModeV | Gets or sets the scroll mode for vertical scrolling in the report control.
Public Property Sections | Collection of report sections (header, footer or body).
Public Property SelectedRows | The collection of currently selected rows in the ReportControl.
Public Property SelectionEnable | Gets or sets whether rows will become selected when clicked or navigated with the arrow keys.
Public Property SelectionExcludeGroupRows | Specifies whether group rows will be included in the selection when the collapse (+/-) button is pressed while selecting multiple rows.
Public Property SendContextMenuForWholeHeaderArea | Gets or sets whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header or column headers.
Public Property ShowFooter | Shows\Hides the report column footer.
Public Property ShowFooterRows | Hides or shows the footer rows.
Public Property ShowGroupBox | Specifies whether the Group By box is shown at the top of the ReportControl.
Public Property ShowHeader | The ShowHeader property is used to hide or display the Column Headers in the Report Control.
Public Property ShowHeaderRows | Hides or shows the header rows.
Public Property ShowItemsInGroups | Specifies whether the ReportRecordItems will be automatically shown in groups when a column is sorted.
Public Property ShowRowFocus | Specifies whether to draw a focus rectangle around the focused row.
Public Property SkipGroupsFocus | Specifies whether groups are skipped when navigating the ReportControl with the Up and Down keys.
Public Property SortLocale | Specifies how text, dates, times, and currencies are sorted based on local.
Public Property SortOrder | A collection of ReportColumns used to determine how the ReportControl is sorted. (I.e. First by column A in ascending order, then by column B in descending order, etc...)
Public Property SortRecordChildren | Specifies whether to apply the sort order to record children.
Public Property StrictBestFit | Specifies that BestFitMode will only be used in non-autosize mode (when AutoSize is False).
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TopRowIndex | The TopRowIndex property will either return the index of the top most row or it will scroll a row until it is the top most row in the report control view.
Public Property TrapTabKey | Specifies whether the TAB key will invoke the BeginEdit event when an item begins to be edited by the user (This allows the application to trap\see the TAB key was pressed instead of the report's internat edit controls eating this message).
Public Property UnrestrictedDragDrop | Specifies whether child rows can be dropped to any position, not just among sibling child records.
Public Property VisualTheme | Gets or sets the theme for the report
Public Property WatermarkAlignment | Gets or sets the alignment of the watermark.

Events

Public Event BeforeCopyToText | Occurs before all text data from a record is copied to the clipboard.
Public Event BeforeDrawRow | Occurs before each ReportRecordItem is drawn in each ReportRow.
Public Event BeforePaste | Occurs after creating new record using binary data read from the clipboard, but before the record is added to the report.
Public Event BeforePasteFromText | Occurs before a record that contains ONLY text data is inserted\pasted into the report.
Public Event BeginDrag | Occurs when records start to be dragged from\within the Report Control.
Public Event BeginEdit | Occurs when the user begins to edit an item.
Public Event ColumnClick | Occurs when a ReportColumn header or Report Header Area is right-clicked in the ReportControl.
Public Event ColumnOrderChangedEx | Occurs when the order of the columns change.
Public Event ColumnWidthChanged | Occurs when the width of a column has changed.
Public Event ConstraintSelecting | Occurs when a constraints list is navigated with the keyboard arrow keys.
Public Event DragDropCompleted | Occurs when the drag and drop operation has completed.
Public Event DragOverRecords | Occurs when the user is dragging records over other record.
Public Event DrawItem | Occurs when a ReportRecordItem is drawn.
Public Event DrawPreviewItem | Occurs when the preview item for each ReportRow is drawn.
Public Event DropRecordsEx | Occurs when records are dropped into a Report Control but before they are actually added to the report.
Public Event EditCanceled | Occurs when in-place editing is canceled and value is not changed.
Public Event FocusChanging | Occurs before a user selects a row or a column.
Public Event GetToolTipInfo | Occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed.
Public Event GiveFeedback | Called during drag operations, provides visual feedback during drag-and-drop operations.
Public Event GroupOrderChangedEx | Occurs when the user changes the columns group order of report control.
Public Event HScroll | Occurs when the report has been horizontally scrolled.
Public Event HyperlinkClick | Occurs when a hyperlink in an item is clicked.
Public Event InplaceButtonDown | Occurs when a combo button or expand button that was added by the developer is clicked in an editable ReportRecordItem.
Public Event InplaceEditChanging | Occurs when an in-place button is used to edit an item's value.
Public Event ItemButtonClick | Occurs when an ReportItemControl button is clicked
Public Event ItemCheck | Occurs when a checkbox of a ReportRecordItem is clicked.
Public Event KeyDown | Occurs when a key is pressed on the keyboard and the ReportControl has focus.
Public Event KeyUp | Occurs when a key on the keyboard has been released (after being pressed) and the ReportControl has focus.
Public Event MeasurePreviewItem | Occurs before a Preview Item is drawn.
Public Event MeasureRow | Occurs before a row is drawn.
Public Event MouseDown | Occurs when a button on the mouse is pressed anywhere on the ReportControl.
Public Event MouseMove | Occurs when the mouse pointer is moved anywhere over the ReportControl.
Public Event MouseUp | Occurs when a button on the mouse has been released anywhere on the ReportControl.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event PlusMinusClick | Occurs when a plus\minus button is clicked.
Public Event PreviewKeyDown | Occurs immediately before the KeyDown event.
Public Event RecordsDropped | Occurs once records have been dropped onto the report and the records have actually been added to the report and the report has been updated.
Public Event ReCreated |
Public Event RequestEdit | Occurs when an item\cell enters edit mode.
Public Event RowDblClick | Occurs when a ReportRecordItem in a ReportRow is double-clicked.
Public Event RowExpanded | Occurs when a ReportRow is expanded.
Public Event RowHeightChanged |
Public Event RowRClick | Occurs when a ReportRecordItem in a ReportRow is right-clicked.
Public Event SelectionChanged | Occurs when a row is selected in the ReportControl.
Public Event SelectionChanging | Occurs when the selection is in t he process of changing in the ReportControl.
Public Event SortOrderChanged | Occurs when the column sort order is changed.
Public Event ValueChanged | Occurs when the value of a ReportRecordItem has changed.
Public Event ValueChanging | Occurs after the value of an item has been changed by the user, but before the new value has been set to the item.
Public Event VScroll | Occurs when the report has been vertically scrolled.

See Also

ReportControl Overview


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that indicates the current version of the control.

Syntax

Public Sub AboutBox()

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | AddRecordEx Method | AddRecordEx2 Method | AddRecordEx3 Method

See Also Report Control ActiveX Control v19.3

AddRecord Method

Description

Adds a record to the report.

Syntax

Public Function AddRecord() As ReportRecord

Remarks

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

ReportControl Control | AddRecordEx Method | AddRecordEx2 Method | AddRecordEx3 Method


%%PageItemTitle%%

ReportControl Control | AddRecordEx2 Method | AddRecordEx3 Method | AddRecord Method

Record
Record data with items.
See Also Report Control ActiveX Control v19.3

AddRecordEx Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx( _
   ByVal Record As ReportRecord _
)

Parameters

Record
Record data with items.

Remarks

Use AddRecordEx if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

ReportControl Control | AddRecordEx2 Method | AddRecordEx3 Method | AddRecord Method


%%PageItemTitle%%

ReportControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx3 Method

Record
Record data with items.
pParentRecord
Parent record.
See Also Report Control ActiveX Control v19.3

AddRecordEx2 Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx2( _
   ByVal Record As ReportRecord, _
   ByVal pParentRecord As ReportRecord _
)

Parameters

Record
Record data with items.
pParentRecord
Parent record.

Return Type

Use AddRecordEx2 if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

ReportControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx3 Method


%%PageItemTitle%%

ReportControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx2 Method

Record
Record data with items.
pParentRecord
Parent record.
ChildIndex
Child index of the record to be inserted at.
See Also Report Control ActiveX Control v19.3

AddRecordEx3 Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx3( _
   ByVal Record As ReportRecord, _
   ByVal pParentRecord As ReportRecord, _
   ByVal ChildIndex As Variant _
)

Parameters

Record
Record data with items.
pParentRecord
Parent record.
ChildIndex
Child index of the record to be inserted at.

Return Type

Use AddRecordEx3 if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

ReportControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx2 Method


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ClearContent Method

Description

Clears all memory from the report.

Syntax

Public Sub ClearContent()

Remarks

This will clear all memory (rows, items, everything) from the report control.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

CollapseAll Method

Description

Collapses all rows.

Syntax

Public Sub CollapseAll()

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePasteFromText Event | BeforePaste Event

See Also Report Control ActiveX Control v19.3

Copy Method

Description

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will remain.

Syntax

Public Sub Copy()

Remarks

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. The selected records will remain in the report.

The text record data will be stored in a tab delimeted string.

The BeforeCopyToText event will occur before the data is actually sent to the clipboard which will allow the data to be modified if needed.

After a successful Copy, the Paste method can be used to paste the record(s) back into a report. This will insert duplicate records if the original selected records are still present.

See Also

ReportControl Control | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePasteFromText Event | BeforePaste Event


%%PageItemTitle%%

ReportControl Control | CreateIconViewColumn Method | CreateRowNumberColumn Method

bUseForRecordNumbers
True to create a record number column, False to only create a Icon View column.
nRecordNumbersWidth
Width of record column if created.
See Also Report Control ActiveX Control v19.3

CreateIconViewAndRowNumberColumn Method

Description

A combination of the CreateIconViewColumn and CreateRowNumberColumn.

Syntax

Public Sub CreateIconViewAndRowNumberColumn( _
   Optional ByVal bUseForRecordNumbers As Boolean = False, _
   Optional ByVal nRecordNumbersWidth As Integer = 0 _
)

Parameters

bUseForRecordNumbers
True to create a record number column, False to only create a Icon View column.
nRecordNumbersWidth
Width of record column if created.

Remarks

Note: You can call this multiple times if originally the record number column wasnt added, it will reuse columns if they are already created.

See descriptions for CreateIconViewColumn and CreateRowNumberColumn. This was added per customer request, you will most likely want to use the two methods mentioned above.

See Also

ReportControl Control | CreateIconViewColumn Method | CreateRowNumberColumn Method


%%PageItemTitle%%

ReportControl Control | IconViewSetup Method | IconView Property | BeforeDrawRow Event

See Also Report Control ActiveX Control v19.3

CreateIconViewColumn Method

Description

Creates an icon column for to be used in IconView (similar to icon view in Explorer).

Syntax

Public Sub CreateIconViewColumn()

Remarks

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

ReportControl Control | IconViewSetup Method | IconView Property | BeforeDrawRow Event


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

CreatePrintView Method

Description

If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Report.

Syntax

Public Function CreatePrintView() As Unknown

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | ReportRecord Object | XTPReportDragDrop Enumeration | BeginDrag Event | DropRecords Event

See Also Report Control ActiveX Control v19.3

CreateRecords Method

Description

Creates an empty ReportRecords collection.

Syntax

Public Function CreateRecords() As ReportRecords

Return Type

An empty ReportRecords collection.

Remarks

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

Notes:

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

ReportControl Control | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | ReportRecord Object | XTPReportDragDrop Enumeration | BeginDrag Event | DropRecords Event

Example

Drag and Drop Sample


%%PageItemTitle%%

ReportControl Control | CreateRecords Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

ByteArray
An array of bytes which represent a ReportRecords collection object.
See Also Report Control ActiveX Control v19.3

CreateRecordsFromDropArray Method

Description

Creates a ReportRecords collection object from a ByteArray.

Syntax

Public Function CreateRecordsFromDropArray( _
   ByVal ByteArray As Variant _
) As ReportRecords

Parameters

ByteArray
An array of bytes which represent a ReportRecords collection object.

Return Type

Returns a ReportRecords collection object containing records that were stored on the system clipboard.

Remarks

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

ReportControl Control | CreateRecords Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

ReportControl Control | ShowRowNumber Method

Width
Width of column.
See Also Report Control ActiveX Control v19.3

CreateRowNumberColumn Method

Description

Create a row number column.

Syntax

Public Sub CreateRowNumberColumn( _
   ByVal Width As Integer _
)

Parameters

Width
Width of column.

Remarks

CreateRowNumberColumn creates a row number column. This column will contain the row number in it. The number will correspond to the rows before any grouping and sorting are applied. Note that this column is not sortable.

You need to use ShowRowNumber to show or hide the column. ShowRowNumber simply shows a new number column as the first column in the report.

See Also

ReportControl Control | ShowRowNumber Method

Example

ShowRowNumber Method


%%PageItemTitle%%

ReportControl Control | Copy Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event

See Also Report Control ActiveX Control v19.3

Cut Method

Description

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will be removed.

Syntax

Public Sub Cut()

Remarks

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. The selected records will NOT remain in the report.

The text record data will be stored in a tab delimeted string.

The BeforeCopyToText event will occur before the data is actually sent to the clipboard which will allow the data to be modified if needed.

After a successful Cut, the Paste method can be used to paste the record(s) back into a report.

See Also

ReportControl Control | Copy Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event


%%PageItemTitle%%

ReportControl Control

pPX
PropExchange object to exchange data with.
See Also Report Control ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

ReportControl Control

Example

PropExchange Sample


%%PageItemTitle%%

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Records
A ReportRecords collection containing the records to be dropped into the Report Control
See Also Report Control ActiveX Control v19.3

DragRecords Method

Description

Prepare records to be dropped into the Report Control.

Syntax

Public Function DragRecords( _
   ByVal Records As ReportRecords _
) As Long

Parameters

Records
A ReportRecords collection containing the records to be dropped into the Report Control

Return Type

Returns a the results of a Drop operation. Returns 1 if the control key is pressed and the the Drop effect is vbDropEffectCopy, returns 2 is the Drop effect is vbDropEffectMove, and returns 0 if the Esc key is pressed or the drop is not successful (vbDropEffectNone).

Remarks

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

ReportControl Control

Row
Reference to the ReportRow that contains the item that will be edited.
Column
Reference to the ReportColumn that contains the item that will be edited.
See Also Report Control ActiveX Control v19.3

EditItem Method

Description

The EditItem method is used to set focus to a specific row and column so that it can be edited.

Syntax

Public Sub EditItem( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn _
)

Parameters

Row
Reference to the ReportRow that contains the item that will be edited.
Column
Reference to the ReportColumn that contains the item that will be edited.

Remarks

The item that will be edited is the item where the specified ReportRow and ReportColumn intersect. The EditItem method will allow the item to be edited without making the item editable.

If the item to be edited is not currently in the report view, the rows will scroll until the item is visible in the report view.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

ClipboardString
A unique string used to identify the format of the items copied to the clipboard, for example, "ReportSample:frmDragDrop". This string must be used for all Report Controls that will receive objects of this type.
dragDrop
Specifies the type of drop operations Report Control will support. The table above lists the values for dragDrop with a description of each.
See Also Report Control ActiveX Control v19.3

EnableDragDrop Method

Syntax

Public Function EnableDragDrop( _
   ByVal ClipboardString As String, _
   ByVal dragDrop As XTPReportDragDrop _
) As Integer

Parameters

ClipboardString
A unique string used to identify the format of the items copied to the clipboard, for example, "ReportSample:frmDragDrop". This string must be used for all Report Controls that will receive objects of this type.
dragDrop
Value | Description
xtpReportAllowDrop | Allow all drop operations. This allows items to be dropped into the Report Control.
xtpReportAllowDragCopy | Allow copy operation. Please see Note 1 in Remarks section of XTPReportDragDrop.
xtpReportAllowDragMove | Allow move operation. Please see Note 2 in Remarks section of XTPReportDragDrop.
xtpReportAllowDrag | Allow all drag operations. This is a combination of both xtpReportAllowDragCopy and xtpReportAllowDragMove.
xtpReportDontDropAsText | Do not drag record as plain text.
Specifies the type of drop operations Report Control will support. The table above lists the values for dragDrop with a description of each.

Return Type

Returns an integer value that is used to indicate whether an item in the DataObject object matches the specified ClipboardString format. The DataObject is a parameter in OLEDrag events for controls that contains the data on the clipboard.

Remarks

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

Example

[Drag and Drop Sample (Visual Basic)] This sample illustrate how to implement drag and drop support in the Report Control. This sample is the complete code for a form that contain a single ListBox control and a single Report Control. The name of the ListBox is 'lstItems' and the name of the Report control is 'wdnReport'.

Option Explicit

'An integer value that will be used to indicate whether an item in the DataObject object matches the
'specified ClipboardString(Parameter in EnableDrageDrop) format. The DataObject is a parameter in OLEDrag events for controls
'that contains the data on the clipboard.
Dim cfRecords As Integer

Private Sub Form_Load()
    'Adds 3 items to the List Control
    lstItems.AddItem "Item 1"
    lstItems.AddItem "Item 2"
    lstItems.AddItem "Item 3"

    'Do not allow columns to be removed from the Report Control
    wndReport.AllowColumnRemove = False

    'Add a column named "Items" to the Report Control
    wndReport.Columns.Add 0, "Items", 50, True

    Dim Str As String, i As Long

    'Add 4 records\rows to the Report Control
    For i = 4 To 8
        Dim Record As ReportRecord
        Dim Item As ReportRecordItem

        Set Record = wndReport.Records.Add

        Str = "Item " & CStr(i)
        Set Item = Record.AddItem(Str)
    Next i

    'Adds the records the Report Control
    wndReport.Populate

    'To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop
    'does two things, first it sets a clipboard string that will be used to indicate the type of data
    'that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when
    'dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop
    'enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must
    'be used for all Report Control's when calling EnableDragDrop.
    '
    'Below, the clipboard string is "ReportSample:frmDragDrop" and we are allowing all drag and drop operations
    cfRecords = wndReport.EnableDragDrop("ReportSample:frmDragDrop", xtpReportAllowDrag Or xtpReportAllowDrop)
End Sub

Sub ClearListSelection()
    Dim i As Long
    For i = 0 To lstItems.ListCount - 1
        lstItems.Selected(i) = False
    Next
End Sub

'The Mouse_Mouve event will be used to prepare records to be dropped into the report.
Private Sub lstItems_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    'If the left mouse button is pressed while in the List Control
    If (Button And vbLeftButton) Then

        Dim Records As ReportRecords

        'CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop
        'operations. The new ReportRecords collection is used to create a collection of ReportRecord
        'objects to be dropped into the Report Control or to retrieve records that have been dragged
        'out of the Report Control.
        '
        'Below, a records collection is created that will contain a record for each item that
        'is currently selected in the list control
        Set Records = wndReport.CreateRecords

        Dim i As Long

        'Loop through all items in the List Control
        For i = 0 To lstItems.ListCount - 1

            'If the list item is selected, then add it to then create a record for it
            'in the records colleciton
            If lstItems.Selected(i) Then

                Dim Record As ReportRecord

                'Add a new record to the records collection
                Set Record = Records.Add
                Record.AddItem lstItems.List(i)

                Debug.Print "Added " & i
            End If
        Next

        'The DragRecords method is used to prepare records to be dropped into the Report Control.
        'DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that
        'have been prepared using DragRecords will be added to the Report when the items are dropped
        'into the Report Control. Typically DragRecords would be used in the MouseMove event of the
        'control from which items are being dragged. The Report Control will automatically add the
        'new records to the report once they have been dropped.
        '
        'Below, the Records collection is filled with a record that corresponds to each item that is
        'currently selected in the List Control. If the items are dropped into the Report Control, then
        'all records contained in the Records collection will be added to the report.
        '
        'Now Data.GetFormat(cfRecords) will return True as some Records have been added to the clipboard
        wndReport.DragRecords Records

    End If
End Sub

'The OLEDragDrop event will be used to add items to the List Control that have been dragged from the Report Control
Private Sub lstItems_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)

    'If the format of the data on the clipboard is of type "ReportSample:frmDragDrop" as set with EnableDragDrop
    If Data.GetFormat(cfRecords) Then

        'Create a ByteArray
        Dim byteData() As Byte

        'Retrieve the Records collection from the clipboard, the data is stored as a ByteArray
        byteData = Data.GetData(cfRecords)

        Dim Records As ReportRecords

        'The CreateRecordsFromDropArray method is used when retrieving records that have been dragged
        'from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the
        'Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords
        'collection created by CreateRecords.
        '
        'Below, the Records collection is populated by the records that were copied to the clipboard
        Set Records = wndReport.CreateRecordsFromDropArray(byteData)

        'If there were some records on the clipboard
        If (Not Records Is Nothing) Then

            'Unselect all items in the list control
            ClearListSelection

            Dim i As Long

            'Add a list item for each record that was on the clipboard
            For i = 0 To Records.Count - 1
                lstItems.AddItem Records(i).Item(0).Value
                lstItems.Selected(lstItems.ListCount - 1) = True
            Next

        End If

        'If the ctrl key was pressed when the items were dropped, then the drag operation was a Copy
        'Else, a Move operation is performed
        If ((Shift And 2) = 0) Then
            Effect = vbDropEffectMove
        Else
            Effect = vbDropEffectCopy
        End If

    End If

End Sub

'The OLEDragOver event is used to detect when items are dragged over the list control
Private Sub lstItems_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)
    Effect = 0

    'If the format of the data on the clipboard is of type "ReportSample:frmDragDrop" as set with EnableDragDrop
    If Data.GetFormat(cfRecords) Then

        'If the ctrl key is pressed when items are dragged over the list control, then the drag operation is Copy
        'Else, a Move operation is performed
        If ((Shift And 2) = 0) Then
            Effect = vbDropEffectMove
        Else
            Effect = vbDropEffectCopy
        End If
    End If
End Sub

'The BeginDrag event occurs when records are being dragged from the Report Control, and provides a
'ReportRecords collection containing all of the selected records when the drag operation started.
Private Sub wndReport_BeginDrag(ByVal Records As XtremeReportControl.IReportRecords)
    Debug.Print "Begin Drag. Records.Count = " & Records.Count
End Sub

'The DropRecords event occurs when records are dropped into a Report Control, and provides a
'ReportRecords collection containing all of the records that will be dropped into the Report Control.
'This gives the opportunity to modify the ReportRecords collection before they are actually added
'to the Report Control.
Private Sub wndReport_DropRecords(ByVal Records As XtremeReportControl.IReportRecords)
    Debug.Print "Drop Records. Records.Count = " & Records.Count
End Sub

See Also

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration


%%PageItemTitle%%

ReportControl Control

Enable

TRUE to enable tool tips.

FALSE to disable tool tips.

See Also Report Control ActiveX Control v19.3

EnableToolTips Method

Description

The EnableToolTips method enables or disables the use of tool tips in the ReportControl.

Syntax

Public Sub EnableToolTips( _
   ByVal Enable As Boolean _
)

Parameters

Enable

TRUE to enable tool tips.

FALSE to disable tool tips.

Remarks

By default, when the width of a column is too small to fully display the text of an item a tool tip is displayed on mouse over that contains the entire text.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

bRecursive
True to expand all collapsed rows recursively, False to only expand top level collapsed rows.
See Also Report Control ActiveX Control v19.3

ExpandAll Method

Description

Expands all rows (have children but are not visible) that are collapsed.

Syntax

Public Sub ExpandAll( _
   ByVal bRecursive As Boolean _
)

Parameters

bRecursive
True to expand all collapsed rows recursively, False to only expand top level collapsed rows.

Remarks

This can be done on the top level only or recursively.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | XTPReportElementRect Enumeration

Flags
Report element rectangle to return.
left
[out] Left coordinate of report element specified in Flags.
top
[out] Top coordinate of report element specified in Flags.
right
[out] Right coordinate of report element specified in Flags.
bottom
[out] Bottom coordinate of report element specified in Flags.
See Also Report Control ActiveX Control v19.3

GetElementRect Method

Description

Retrieves a report element rectangle.

Syntax

Public Sub GetElementRect( _
   ByVal Flags As XTPReportElementRect, _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

Flags
Value | Description
xtpReportElementRectReportArea | Report rows area.
xtpReportElementRectGroupByArea | GroupBy box area.
xtpReportElementRectHeaderArea | Column header area.
xtpReportElementRectFooterArea | Footer area.
xtpReportElementRectHeaderRecordsArea | Header records area.
xtpReportElementRectFooterRecordsArea | Footer records area.
xtpReportElementRectHeaderRecordsDividerArea | Header records divider area.
xtpReportElementRectFooterRecordsDividerArea | Footer records divider area.
Report element rectangle to return.
left
[out] Left coordinate of report element specified in Flags.
top
[out] Top coordinate of report element specified in Flags.
right
[out] Right coordinate of report element specified in Flags.
bottom
[out] Bottom coordinate of report element specified in Flags.

Remarks

GetElementRect allows you to get the coordinates of the bounding rectangle for all element sin the Report Control.

See Also

ReportControl Control | XTPReportElementRect Enumeration


%%PageItemTitle%%

ReportControl Control | ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration

x
X coordinate
y
Y coordinate
See Also Report Control ActiveX Control v19.3

HitTest Method

Description

Returns hit test information for a given X and Y pixel on the screen.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As ReportHitTestInfo

Parameters

x
X coordinate
y
Y coordinate

Return Type

ReportHitTestInfo about the give X and Y coordinates.

Remarks

Use this method to determine if the ReportControl it at a given X and Y coordinate and which part of the ReportControl is positioned at the given pixel (Row, item, column, group box, etc...).

This method can also be used to return a reference to rows, items, and columns that are at a given X and Y coordinate.

THe HitTest method is really useful in mouse events to return the exact row, column, and item that was clicked. The name can be misleading, you do not need to use the HitTest method in a mouse event.

Example

[HitTest Sample (Visual Basic)] This sample illustrates hoe you could use the HitTest mehtod in a MouseDown event.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)
    Dim hitColumn As ReportColumn
    Dim hitRow As ReportRow
    Dim hitItem As ReportRecordItem

    'The MouseDown event is being used to illustrate how the HitTest method can be used. The HitTest method does not have
    'to be used with a mouse event, it can be used to test any X and Y coordinate on the screen to see if the ReportControl
    'occupies these pixes and what part of the ReportControl is at the specified pixel (Group Box, Row, Item, etc).
    'If it is dertermined that a ReportControl component is at the X and Y coordinates, the HitTest method can return a
    'reference to that component (Column, Row, Record, Item, etc...).

    'Determines which part of the ReportControl the mouse was positioned over when clicked.
    Select Case wndReportControl.HitTest(X, Y).ht
        'If MouseDown while positioned anywhere over the Group Box (Even over Column Headers in Group Box)
        Case xtpHitTestGroupBox:
            Debug.Print "MouseDown in Group Box"
        'If MouseDown while positioned anywhere over the ColumnHeader area. This does NOT include
        'column header in the Group Box
        Case xtpHitTestHeader:
            Debug.Print "MouseDown in Column Header Area (Not in Group Box)"
        'If MouseDown while positioned over the Report Area, this would includ, rows, columns, items, goup rows, expand buttons
        Case xtpHitTestReportArea:
            Debug.Print "MouseDown in Report Area"
        'This case will never happen, Unknown is returned when HitTest is called and the mouse is positioned
        'over an area outside of the report control
        Case xtpHitTestUnknown:
            Debug.Print "Mouse is in an Unknown Area"
    End Select

    'Returns a reference to the column cliked
    'Determines which column the mouse is positioned over on MouseDown, this will also be executed
    'if the column header in the Group By box is clicked. This will be true if any item in the column
    'is clicked, not just column headers.
    Set hitColumn = wndReportControl.HitTest(X, Y).Column
    If Not hitColumn Is Nothing Then
        Debug.Print "MouseDown on Column header: " & hitColumn.Caption
    End If

    'Returns a reference to the row clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitRow = wndReportControl.HitTest(X, Y).Row
    If Not hitRow Is Nothing Then
        If hitRow.GroupRow Then
            Debug.Print "MouseDown on GroupRow"
        Else
            Debug.Print "MouseDown on Row # " & hitRow.Index
        End If
    End If

    'Returns a reference to the item clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitItem = wndReportControl.HitTest(X, Y).Item
    If Not hitItem Is Nothing Then
        If Not wndReportControl.PreviewMode Then
            Debug.Print "MouseDown on Item: " & hitItem.Value & " in column: " & hitColumn.Caption
        ElseIf Not (hitRow.Record.PreviewText = "") Then
            Debug.Print "MouseDown on PreviewText"
        End If
    End If
End Sub

See Also

ReportControl Control | ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration


%%PageItemTitle%%

ReportControl Control | IconViewSetup Method | ShowRowNumber Method | StartRecOrRowNumber Property | StartRecOrRowNumber Property

ColumnIndex
Column from which to display the caption data in IconView.
IconIndex
Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.
bUseForRowNumber
True to create a record number column, False to only create a Icon View column.
nRecordNumbersWidth
Width of record column if created.
See Also Report Control ActiveX Control v19.3

IconViewRowNumberSetup Method

Description

Combination of the IconViewSetup and ShowRowNumber methods.

Syntax

Public Sub IconViewRowNumberSetup( _
   ByVal ColumnIndex As Integer, _
   ByVal IconIndex As Integer, _
   ByVal bUseForRowNumber As Boolean, _
   ByVal nRecordNumbersWidth As Integer _
)

Parameters

ColumnIndex
Column from which to display the caption data in IconView.
IconIndex
Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.
bUseForRowNumber
True to create a record number column, False to only create a Icon View column.
nRecordNumbersWidth
Width of record column if created.

Remarks

See descriptions for IconViewSetup and ShowRowNumber. This was added per customer request, you will most likely want to use the two methods mentioned above.

See Also

ReportControl Control | IconViewSetup Method | ShowRowNumber Method | StartRecOrRowNumber Property | StartRecOrRowNumber Property


%%PageItemTitle%%

ReportControl Control | BeforeDrawRow Event | IconView Property | CreateIconViewColumn Method

ColumnIndex
Column from which to display the caption data in IconView.
IconIndex
Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.
See Also Report Control ActiveX Control v19.3

IconViewSetup Method

Description

Specifies from which column to display text in IconView. It also specifies the icon used for all items in IconView.

Syntax

Public Sub IconViewSetup( _
   ByVal ColumnIndex As Integer, _
   ByVal IconIndex As Integer _
)

Parameters

ColumnIndex
Column from which to display the caption data in IconView.
IconIndex
Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.

Remarks

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

ReportControl Control | BeforeDrawRow Event | IconView Property | CreateIconViewColumn Method


%%PageItemTitle%%

ReportControl Control

Index
Position within the collection of records to insert the record.
See Also Report Control ActiveX Control v19.3

InsertRecord Method

Description

Inserts a record into the report.

Syntax

Public Function InsertRecord( _
   ByVal Index As Long _
) As ReportRecord

Parameters

Index
Position within the collection of records to insert the record.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

IsShowIconWhenEditing Method

Description

determines if icons are displayed for an item will be visible while the item is getting edited.

Syntax

Public Function IsShowIconWhenEditing() As Boolean

Return Type

True if the icon is shown while editing, False if the icon is hidden while editing.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | SaveSettings Method

Profile
String that contains a stored layout.
See Also Report Control ActiveX Control v19.3

LoadSettings Method

Description

Loads the ReportColumn settings of the ReportControl from a string.

Syntax

Public Sub LoadSettings( _
   ByVal Profile As String _
)

Parameters

Profile
String that contains a stored layout.

Example

[Loead ReportColumn setting from a file (Visual Basic)] This sample illustrates how to load the ReportColumn settings from a string stored in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    On Error Resume Next:

        sFile = "c:\Layout.300"
        FreeF = FreeFile
        sLayout = Space(FileLen(sFile))
        Open sFile For Binary As #FreeF
        Get #FreeF, , sLayout
        Close #FreeF
        On Error GoTo 0
        wndReportControl.LoadSettings sLayout

See Also

ReportControl Control | SaveSettings Method


%%PageItemTitle%%

ReportControl Control | Copy Method | Cut Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event

See Also Report Control ActiveX Control v19.3

Paste Method

Description

Reads records from the clipboard and adds them to records collection.

Syntax

Public Sub Paste()

Remarks

Reads records stored in binary and text format from the clipboard and adds them to records collection.

The BeforePaste event will occur before a record is inserted that contains ANY binary data such as images.

The BeforePasteFromText event will occur before a record is inserted that contains ONLY text data.

See Also

ReportControl Control | Copy Method | Cut Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

Populate Method

Description

Populates the ReportControl's with ReportRow collection with the data contained in the ReportRecords

Syntax

Public Sub Populate()

Remarks

ReportRows(which are associated with a ReportRecord) will not be added to the ReportControl's view until the Populate method is called.

The changes made to the GroupsOrder or SortOrder collections will only take effect after the Populate method is called.

Populate can be called after each record is added, or after you are done adding all records. If at any time you add or delete ReportRecords, the changes will not be visible until the Populate method is called.

Example

[Populate Sample (Visual Basic)]

    'Any time you add or delete rows(by removing the attached record), you must call the
    'Populate method so the ReportControl will display the changes.
    'If rows are added, the rows will remain hidden until Populate is called.
    'If rows are deleted, the rows will remain visible until Populate is called.
    wndReportControl.Populate

See Also

ReportControl Control

Example

Using Populate after adding rows\records | Using Populate after removing records\rows


%%PageItemTitle%%

ReportControl Control | Populate Method | PopulateHeaderRows Method | AddRecordEx Method | RemoveRecordEx Method | UpdateRecord Method

See Also Report Control ActiveX Control v19.3

PopulateFooterRows Method

Description

Performs control's footer rows population, creating view from the data.

Syntax

Public Sub PopulateFooterRows()

Remarks

Use PopulateFooterRows to populate control's footer rows collection with the data containing in FooterRecords collection. Useful when main rows are controlled through AddRecordEx/RemoveRecordEx/UpdateRecord methods.

See Also

ReportControl Control | Populate Method | PopulateHeaderRows Method | AddRecordEx Method | RemoveRecordEx Method | UpdateRecord Method


%%PageItemTitle%%

ReportControl Control | UpdateRecord Method | RemoveRecordEx Method | AddRecordEx Method | PopulateFooterRows Method | Populate Method

See Also Report Control ActiveX Control v19.3

PopulateHeaderRows Method

Description

Performs control's header rows population, creating view from the data.

Syntax

Public Sub PopulateHeaderRows()

Remarks

Use PopulateHeaderRows to populate control's header rows collection with the data containing in HeaderRecords collection. Useful when main rows are controlled through AddRecordEx/RemoveRecordEx/UpdateRecord methods.

See Also

ReportControl Control | UpdateRecord Method | RemoveRecordEx Method | AddRecordEx Method | PopulateFooterRows Method | Populate Method


%%PageItemTitle%%

ReportControl Control

ShowPrintDialog
True to show print preview dialog before displaying.
See Also Report Control ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Sub PrintPreview( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
yBottom
The height of the Print Preview window in pixels.
See Also Report Control ActiveX Control v19.3

PrintPreviewExt Method

Description

Runs printpreview in non-maximized mode with given screen position and size.

Syntax

Public Sub PrintPreviewExt( _
   ByVal ShowPrintDialog As Boolean, _
   ByVal xLeft As Integer, _
   ByVal yTop As Integer, _
   ByVal xRight As Integer, _
   ByVal yBottom As Integer _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
yBottom
The height of the Print Preview window in pixels.

Remarks

You have the option to pass position and size of the print preview window instead of always Maximized. Maximized is the default size.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

lHDC

A device context for a Printer object.

Use 0 to let the ReportControl auto-detect printer settings and display a dialog for printing.

See Also Report Control ActiveX Control v19.3

PrintReport Method

Description

Prints the current Report view.

Syntax

Public Sub PrintReport( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the ReportControl auto-detect printer settings and display a dialog for printing.

Remarks

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

Example

[PrintReport Sample (Visual Basic)] This sample illustrates how to print the current Report view.

'Printing using the default printer dialog
    wndReportControl.PrintReport 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndReportControl.PrintReport .hDC
        End If
    End With

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

ShowPrintDialog
True to display a print dialog before the report is printed. False to send the report directly to the printer.
See Also Report Control ActiveX Control v19.3

PrintReport2 Method

Description

Prints the current Report view with the option to print immediately without showing any dialogs or needing any HDC handle.

Syntax

Public Sub PrintReport2( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog
True to display a print dialog before the report is printed. False to send the report directly to the printer.

Remarks

PrintReport2 does pretty much the same thing as PrintReport only is does not required you to get the real DC handle from an ActiveX control making it easier to use.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | Formula Property

bSet
True to only update the formula in the selected cell, False to update all formula calls in the column (a formula cell must have focus).
See Also Report Control ActiveX Control v19.3

ReCalc Method

Description

Updates the results of a given Formula for an item.

Syntax

Public Sub ReCalc( _
   ByVal bSet As Boolean _
)

Parameters

bSet
True to only update the formula in the selected cell, False to update all formula calls in the column (a formula cell must have focus).

Remarks

You can use the keys F5 and Shift + F5 to call ReCalc (True) and ReCalc (False).

Note: A record item with a formula must have focus for ReCalc to work.

See Also

ReportControl Control | Formula Property


%%PageItemTitle%%

ReportControl Control | ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

Redraw Method

Description

Redraws the ReportControl

Syntax

Public Sub Redraw()

Remarks

This method needs to be called any time you change a property in the ReportPaintManager. This is required to redraw the visual changes that you make to the ReportControl. For example, you would need to call the Redraw method after you change the grid line style.

Example

[Redraw Sample (Visual Basic)] This sample illustrates how to use the Redraw method.

    wndReportControl.PaintManager.VerticalGridStyle = xtpGridLargeDots
    wndReportControl.PaintManager.HorizontalGridStyle = xtpGridSmallDots
    wndReportControl.PaintManager.ColumnStyle = xtpColumnShaded

    'The Redraw method must be called to apply the new style to the ReportControl
    wndReportControl.Redraw

See Also

ReportControl Control | ReportPaintManager Object


%%PageItemTitle%%

ReportControl Control

Record
ReportRecord of the row to remove.
See Also Report Control ActiveX Control v19.3

RemoveRecordEx Method

Description

Removes a Row in the report by specifying the attached ReportRecord.

Syntax

Public Function RemoveRecordEx( _
   ByVal Record As ReportRecord _
) As Boolean

Parameters

Record
ReportRecord of the row to remove.

Return Type

True if successful, False otherwise.

Remarks

RemoveRecordEx will remove both the specified ReportRecord and the row the record belongs to along with and children the row might have.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
ReportRow to remove.
See Also Report Control ActiveX Control v19.3

RemoveRowEx Method

Description

Removes a Row in the report.

Syntax

Public Function RemoveRowEx( _
   ByVal Row As ReportRow _
) As Boolean

Parameters

Row
ReportRow to remove.

Return Type

True if successful, False otherwise.

Remarks

RemoveRowEx will remove both the specified ReportRow and the record attached to the row and children the row might have.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | LoadSettings Method

See Also Report Control ActiveX Control v19.3

SaveSettings Method

Description

Saves the ReportColumn settings of the ReportControl.

Syntax

Public Function SaveSettings() As String

Remarks

You can store the string in a file to load a particular layout. This will save all columns with their settings and some required ReportControl settings.

Example

[Saving ReportColumn settings (Visual Basic)] This sample illustrates how to save the ReportColumn settings to a string and store it in a file to be loaded at anytime.

    Dim FreeF As Integer, sFile As String, sLayout As String

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    Kill sFile
    Open sFile For Binary As #FreeF
    Put #FreeF, , wndReportControl.SaveSettings
    Close #FreeF

See Also

ReportControl Control | LoadSettings Method


%%PageItemTitle%%

ReportControl Control | SetVirtualMode Method | XTPReportCustomDraw Enumeration

Flags
Indicates which events to enable.
See Also Report Control ActiveX Control v19.3

SetCustomDraw Method

Description

The SetCustomDraw method is used to specify which of the three custom draw events should be executed when the rows and items are drawn.

Syntax

Public Sub SetCustomDraw( _
   ByVal Flags As XTPReportCustomDraw _
)

Parameters

Flags
Value | Description
xtpCustomDrawItem | MeasurePreviewItemDrawItem event.
xtpCustomMeasureRow | MeasureRow event.
xtpCustomBeforeDrawRow | BeforeDrawRow event.
xtpCustomDrawPreviewItem | DrawPreviewItem event.
xtpCustomMeasurePreviewItem | MeasurePreviewItem event.
Indicates which events to enable.

Remarks

The SetCustomDraw method is used to enable or disable the DrawItem, MeasureRow, and BeforeDrawRow events.

Any combination of the events can be enabled at the same time. Custom drawing can be accomplished by enabling these events.

By default, all three events are disabled. If all three events are enabled, the drawing of the items can be considerably slower depending on what operations are done in the events.

Note: When using Virtual Mode, it is requires that the SetCustomDraw method is used to specify the xtpCustomBeforeDrawRow event is called.

See Also

ReportControl Control | SetVirtualMode Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

ReportControl Control

hWnd
Handle to the FieldChooser control to attache to the ReportControl.
See Also Report Control ActiveX Control v19.3

SetFieldChooserHandle Method

Description

Associates a FieldChooser control with the ReportControl

Syntax

Public Sub SetFieldChooserHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the FieldChooser control to attache to the ReportControl.

Remarks

The SetFieldChooserHandle method does exactly the same thig as the FieldChooser property. It was only added for compatibility with special environments such as using ActiveX with Visual C++.

You must associate the FieldChooser control with the ReportControl so the ReportControl knows which FieldChooser control to add\remove column headers to\from.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

SetIconViewToDefaults Method

Description

Resets all IconView parameters to their defaults (should be called after a Clear\DeleteAll columns\rows).

Syntax

Public Sub SetIconViewToDefaults()

Remarks

Allows you to remove all columns from a report AFTER an Iconview has been added and still be able to re-add the Iconview later. This should be called after a Clear\DeleteAll columns\rows is called if a IconView was created.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | Icons Property | ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method

ImageList
Name of the ImageList
See Also Report Control ActiveX Control v19.3

SetImageList Method

Description

Associates an ImageList with the ReportContol.

Syntax

Public Sub SetImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
Name of the ImageList

Remarks

This allows you to use images from the imagelist in your ReportControl.

Example

[Adding images from an ImageList (Visual Basic)] This sample illustrates how to add images from an ImageList.

    'This will add the images from the imagelist to the ReportControl's collection of images
    'The images will be added to the ReportControl's Icons collection in the order that they
    'are in the imagelist. The icons will be added at index zero (0) and increment by 1 for
    'each additional image in the imagelist.
    wndReportControl.SetImageList ImageListReport

See Also

ReportControl Control | Icons Property | ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ReportControl Control

hScrollBar
Handle to a horizontal scrollbar control from the SuitePackage.
vScrollBar
Handle to a vertical scrollbar control from the SuitePackage.
See Also Report Control ActiveX Control v19.3

SetScrollBars Method

Description

Sets custom ScrollBars from the SuitePackage to be used by the ReportControl.

Syntax

Public Sub SetScrollBars( _
   ByVal hScrollBar As Integer, _
   ByVal vScrollBar As Integer _
)

Parameters

hScrollBar
Handle to a horizontal scrollbar control from the SuitePackage.
vScrollBar
Handle to a vertical scrollbar control from the SuitePackage.

Remarks

This is necessary for applying custom themed scroll bars to the report control.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

RowCount
Numbers of rows in the virtual report.
FieldCount
See Also Report Control ActiveX Control v19.3

SetVirtualMode Method

Description

The SetVirtualMode method is used to enable virtual mode of the Report Control.

Syntax

Public Sub SetVirtualMode( _
   ByVal RowCount As Integer, _
   Optional ByVal FieldCount As Integer = 0 _
)

Parameters

RowCount
Numbers of rows in the virtual report.
FieldCount

Remarks

VirtualMode should be used when there will be a very large number of rows in the Report Control. VirtualMode can be used with any number of rows, but it is recommended that VirtualMode be used if adding more than 10,000 rows. Adding more than 10,000 rows in normal mode becomes quite slow. Using VirtualMode will dramatically increase performance.

VirtualMode does not require you to manually create the rows and records, all you need to do is fill in the record data in the BeforeDrawRow event when the record is being displayed.

When using VirtualMode, the rows that will be displayed should be stored internally in an Array that can easily be accessed by the Report Control.

The following steps should be followed when working in VirtualMode:

1. Create your own array(dim) with the records that you want to show in the Report Control. Each "row" in the array will represent a row in the Report Control. Each element in the "row" of a multi-dimensional array will represent a record in a row.

2. Call SetVirtualMode, specifying the number of rows that will be in the Report Control.

3. Call the SetCustomDraw method and specify that the xtpBeforeDrawRow event will be executed. By default, this event is not called.

4. Use the BeforeDrawRow event to manually fill in the records for each row. Only records modified in the BeforeDrawRow event will become visible.

5. Call Populate to adjust the scroll bars with the current virtual record count.

6. Each time the number of rows increases or decreases you must call VirtualMode #ofRows to indicate the new row count.

Note: You can not group rows or use the tree view while in virtual mode.

Example

[Virtual Mode Sample (Visual Basic)] This sample illustrates how to use Virtual Mode in the Report Control.

'Index of columns
Const ITEM_NUMBER = 0
Const LIST_PRICE = 1
Const SALE_PRICE = 2
Const SAVINGS = 3

'Records array to display in Report Control
Dim OwnArray(1, 20000) As Long

Private Sub Form_Load()
    Dim Record As ReportRecord

    Dim i As Long

    'Ramdomly generates 20,000 records to display in the Virtual Report
    For i = 0 To 20000
        'Randomly generate List Price
        OwnArray(0, i) = Rnd * 20000
        'Randomly generate Sale Price
        OwnArray(1, i) = OwnArray(0, i) - Rnd * (OwnArray(0, i) / 2)
    Next i

    'Adds 4 columns to the Report Control
    wndReportControl.Columns.Add ITEM_NUMBER, "Item Number", 50, True
    wndReportControl.Columns.Add LIST_PRICE, "List Price", 50, True
    wndReportControl.Columns.Add SALE_PRICE, "Sale Price", 50, True
    wndReportControl.Columns.Add SAVINGS, "Savings", 50, True

    'Tells the Report Control to use Virtual Mode and that there will be 20,000 rows
    'The row count must be updated when the row count changes.
    wndReportControl.SetVirtualMode 20000

    'Adds a single "template" record to the Report Control. This template records is used
    'for all records in the Virtual Report. The contents of each record are filled in during
    'the BeforeDrawRow event.
    Set Record = wndReportControl.Records(0)
    Record.AddItem ""
    Record.AddItem ""
    Record.AddItem ""
    Record.AddItem ""

    'Updates the Report
    wndReportControl.Populate

    'Tells the Report Control to execute the BeforeDrawRow event,
    'By default, this event is not executed.
    wndReportControl.SetCustomDraw xtpCustomBeforeDrawRow

End Sub

'When working in Virtual Mode, Row.Index should correspond to an element in the array that holds the
'records to display in the Report Control.
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As IReportRow, _
    ByVal Item As IReportRecordItem, ByVal Metrics As IReportRecordItemMetrics)

    'Determine which column the record is in
    Select Case Item.Index
        Case ITEM_NUMBER:
            'Displays data for the ITEM_NUMBER column
            'Displays the current row number, this corresponds to an element in OwnArray
            Metrics.Text = "Item # " & Row.Index
        Case LIST_PRICE:
            'Displays data for the LIST_PRICE column
            Metrics.Text = "$ " & OwnArray(0, Row.Index)
        Case SALE_PRICE:
            'Displays data for the SALE_PRICE column
            Metrics.Text = "$ " & OwnArray(1, Row.Index)
        Case SAVINGS:
            'Displays data for the SAVINGS column
            Metrics.Text = "$ " & (OwnArray(0, Row.Index) - OwnArray(1, Row.Index))
    End Select

End Sub

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property

Handle
Bitmap handle.
Transparency
Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.
See Also Report Control ActiveX Control v19.3

SetWatermarkBitmap Method

Description

Sets a watermark bitmap to be shown in the report control background from a resource.

Syntax

Public Function SetWatermarkBitmap( _
   ByVal Handle As Long, _
   ByVal Transparency As Integer _
) As Boolean

Parameters

Handle
Bitmap handle.
Transparency
Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

Return Type

True if the watermark bitmap was successfully added or removed, False otherwise.

See Also

ReportControl Control | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property


%%PageItemTitle%%

ReportControl Control | SetWatermarkBitmap Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property

Path
Path to the bitmap file (bmp) to use for the watermark.
Transparency
Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.
See Also Report Control ActiveX Control v19.3

SetWatermarkBitmapFromFile Method

Description

Sets a watermark bitmap to be shown in the report control background using a bmp file.

Syntax

Public Function SetWatermarkBitmapFromFile( _
   ByVal Path As String, _
   ByVal Transparency As Integer _
) As Boolean

Parameters

Path
Path to the bitmap file (bmp) to use for the watermark.
Transparency
Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

Return Type

True if the watermark bitmap was successfully added or removed, False otherwise.

See Also

ReportControl Control | SetWatermarkBitmap Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property


%%PageItemTitle%%

ReportControl Control

bShow
True to show icon wile editing, False to hide it while editing.
See Also Report Control ActiveX Control v19.3

ShowIconWhenEditing Method

Description

Specify whether icons displayed for an item will be visible while the item is getting edited.

Syntax

Public Sub ShowIconWhenEditing( _
   ByVal bShow As Boolean _
)

Parameters

bShow
True to show icon wile editing, False to hide it while editing.

Remarks

ShowIconWhenEditing and IsShowIconWhenEditing allow you to specify whether icons displayed for an item will be visible while the item is getting edited. (Icon is not editable).

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ShowPrintPageSetup Method

Description

Displays a custom "Page Setup" print dialog for the Report.

Syntax

Public Function ShowPrintPageSetup() As Boolean

Remarks

The ShowPrintPageSetup method displays a custom "Page Setup" print dialog for the Report. The ShowPrintPageSetup dialog allows users to change all the properties of the PrintOptions object. All settings are stored in the PrintOptions property after the dialog has been closed. When PrintReport is called, it will use the settings in PrintOptions to print the current view.

The PrintOptions property is used to customize how the Report is printed when PrintReport is called. With PrintOptions you can change the page margins, header font, and several other options. All of these options can be changed by the user by displaying the ShowPrintPageSetup dialog.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | CreateRowNumberColumn Method | StartRecOrRowNumber Property | RecOrRowNumber Property

bSet
True to show the row number column, False to hide it.
See Also Report Control ActiveX Control v19.3

ShowRowNumber Method

Description

Shows a column that displays the row numbers.

Syntax

Public Sub ShowRowNumber( _
   ByVal bSet As Boolean _
)

Parameters

bSet
True to show the row number column, False to hide it.

Remarks

ShowRowNumber simply shows a new number column as the first column in the report. This column will contain the row number in it. The number will correspond to the rows before any grouping and sorting are applied. Note that this column is not sortable.

StartRecOrRowNumber specifies whether numbers in the column get sorted (displays record number) or are "set in stone" and never move (displays row number).

StartRecOrRowNumber specifies the starting row number for the column.

Example

Private Sub mnuRowNumberColumn_Click()
mnuRowNumberColumn.Checked = Not mnuRowNumberColumn.Checked

If mnuRowNumberColumn.Checked Then
wndReportControl.CreateRowNumberColumn 30
wndReportControl.ShowRowNumber True
Else
wndReportControl.ShowRowNumber False
End If

End Sub

See Also

ReportControl Control | CreateRowNumberColumn Method | StartRecOrRowNumber Property | RecOrRowNumber Property


%%PageItemTitle%%

ReportControl Control | Records Property

Record
Record data with items.
UpdateChildren
If True, the children will be updated as well.
See Also Report Control ActiveX Control v19.3

UpdateRecord Method

Description

Updates a record that has been modified to the current grouping and sorting..

Syntax

Public Sub UpdateRecord( _
   ByVal Record As ReportRecord, _
   ByVal UpdateChildren As Boolean _
)

Parameters

Record
Record data with items.
UpdateChildren
If True, the children will be updated as well.

Remarks

Call UpdateRecord if you modified a record and want it to be updated accordingly to the current grouping and sorting.

See Also

ReportControl Control | Records Property


%%PageItemTitle%%

ReportControl Control | ReportColumn Visible Property | ReportColumn AllowDrag Property

See Also Report Control ActiveX Control v19.3

AllowColumnRemove Property

Description

Specifies whether ReportColumns can be removed from the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnRemove() As Boolean

Remarks

If True, the column headers can be removed from the ReportControl. To remove a column, the column header must be clicked on and dragged to an area on the screen that does not have any column headers and is not the Group By box (I.e. Dragging the column header over the rows or over the toolbar.). When the column header is over an area that the column can be removed, an "X"

is displayed over the column header indicating that you can drop the column header and it will be removed. Once a column is removed, the Visible property is set to False. To replace the column, set the Visible property to True, or drag the column header from the FieldChooser if ShowInFieldChooser is True for the column.

If False, the "X" will never appear and it does not matter where the column is dropped, it will not be removed.

Example

[AllowColumnRemove Sample (Visual Basic)] This sample illustrates how to disable colum removal.

    'This will not allow columns to be removed by a drag and drop
    wndReportControl.AllowColumnRemove = False

See Also

ReportControl Control | ReportColumn Visible Property | ReportColumn AllowDrag Property


%%PageItemTitle%%

ReportControl Control | ReportColumn AllowDrag Property

See Also Report Control ActiveX Control v19.3

AllowColumnReorder Property

Description

Specifies whether ReportColumns can be reordered in the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnReorder() As Boolean

Remarks

If True, column headers can be reordered in the ReportControl by dragging and dropping them to another location. When the column header is in a location that it can be dropped, two red arrow point to the new location the column header can be dropped. See picture below.

If False, the red arrows will not be displayed and the column header can not be moved to another location.

Example

[AllowColumnReorder Sampleq (Visual Basic)] This sample illustrates how to disable column reordering by a drag and drop.

    'This will not allow columns to be reordered by a drag and drop
    wndReportControl.AllowColumnReorder = False

See Also

ReportControl Control | ReportColumn AllowDrag Property


%%PageItemTitle%%

ReportControl Control | ReportColumn Resizable Property

See Also Report Control ActiveX Control v19.3

AllowColumnResize Property

Description

Specifies whether ReportColumns can be resized

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnResize() As Boolean

Remarks

If True and the Resizable property is True, columns can be resized by dragging the border of the column header to the desired size. When the mouse pointer is in a position that will allow the column to be resized, the mouse pointer is changed to a splitter. See picture below.

If False, columns can only be resized via code. The mouse pointer will never change to the splitter, so the columns can not be resized with the mouse.

Example

[AllowColumnResize Sample (Visual Basic)] This sample illustrates how to disable column resizing by the user. This will not allow them to resize the column by dragging the borders of the column with the mouse.

    'This will not allow columns to be resized with the mouse
    wndReportControl.AllowColumnResize = False

See Also

ReportControl Control | ReportColumn Resizable Property


%%PageItemTitle%%

ReportControl Control | ReportColumn Sortable Property | SortOrderChanged Event | SortOrder Property | ReportColumnOrder Object

See Also Report Control ActiveX Control v19.3

AllowColumnSort Property

Description

Specifies whether ReportColumns can be sorted

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnSort() As Boolean

Remarks

If False, this will only disables column sorting by clicking on the column header, you can still sort the columns by adding them to the SortOrder collection.

If True, the columns Sortable property must also be true. When true, the column header can be clicked and the column will toggle between ascending and descending order. An arrow icon is displayed on the column header indicating how the column is sorted, an up arrow for ascending and a down arrow foe descending order.

Example

[AllowColumnSort Sample (Visual Basic)] This sample illustrates how to disable column sorting by clicking on the column headers. Columns can still be sorted by adden them to the SortOrder collection.

    'This will disable column sorting by clicking on the column header
    wndReportControl.AllowColumnSort = False

See Also

ReportControl Control | ReportColumn Sortable Property | SortOrderChanged Event | SortOrder Property | ReportColumnOrder Object


%%PageItemTitle%%

ReportControl Control | AllowEdit Property | EditOptions Property | Editable Property | EditOptions Property | Editable Property

See Also Report Control ActiveX Control v19.3

AllowEdit Property

Description

Allows the text in all ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEdit() As Boolean

Remarks

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

ReportControl Control | AllowEdit Property | EditOptions Property | Editable Property | EditOptions Property | Editable Property


%%PageItemTitle%%

ReportControl Control | PreviewMode Property

See Also Report Control ActiveX Control v19.3

AllowEditPreview Property

Description

Allows the preview rows to be edited by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEditPreview() As Boolean

Remarks

Use PreviewMode to display preview rows.

See Also

ReportControl Control | PreviewMode Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

AllowGroup Property

Description

Specifies whether to allow grouping.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowGroup() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

AllowSelectionCheck Property

Description

Specifies whether to allow a check box to be checked using the right mouse button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowSelectionCheck() As Boolean

Remarks

If True, you can use right button click to change check box state for selection.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

AllowSort Property

Description

Specifies whether to allow sorting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowSort() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportColumn AutoSize Property

See Also Report Control ActiveX Control v19.3

AutoColumnSizing Property

Description

Specifies if AutoColumnSizing should be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoColumnSizing() As Boolean

Remarks

If True, all columns are sized to fill the entire width of the ReportControl. When the ReportControl is resized, the Columns will automatically be resized to fit the new size of the RepotControl.

If False, the columns will use the width they were assigned when they were created, or whatever value is stored in the columns width property. The columns widths my occupy more or less that the total width of the ReportControl. If the total width of the columns exceeds the width of the ReportControl, then those columns will not be visible. When the ReportControl is resized, the size of the columns will not be effected.

You can also set each columns AutoSize property manually.

Example

[AutoColumnSizing Sample (Visual Basic)]

    wndReportControl.AutoColumnSizing = False

See Also

ReportControl Control | ReportColumn AutoSize Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

AutoVScrollTimerResolution Property

Description

Gets or sets the vertical scrolling timer resolution.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoVScrollTimerResolution() As Long

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

Behavior Property

Description

Specifies the behavior of the report control when a mouse button or keystroke is performed on a row\group row in the report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Behavior() As ReportBehavior

Remarks

See ReportBehavior for more details.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | XTPReportBorderStyle Enumeration

See Also Report Control ActiveX Control v19.3

BorderStyle Property

Description

The type of border style that is placed around the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As XTPReportBorderStyle

Remarks

This is the border of the entire ReportControl, this does not apply to the columns and rows.

See Also

ReportControl Control | XTPReportBorderStyle Enumeration


%%PageItemTitle%%

ReportControl Control | CanCut Property | CanPaste Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanCopy Property

Description

Indicates whether a Copy operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

One or more records must be selected before a Copy can be performed.

Once a record is copied, the CanPaste property should be checked to see if the Paste method can be used to paste the record back into the report.

See Also

ReportControl Control | CanCut Property | CanPaste Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

ReportControl Control | CanCopy Property | CanPaste Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanCut Property

Description

Indicates whether a Cut operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

One or more records must be selected before a Cut can be performed.

Once a record is cut, the CanPaste property should be checked to see if the Paste method can be used to paste the record back into the report.

See Also

ReportControl Control | CanCopy Property | CanPaste Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

ReportControl Control | CanCopy Property | CanCut Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanPaste Property

Description

Indicates whether a Paste operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

Remarks

CanPaste will be True after a successful Copy or Cut operation.

See Also

ReportControl Control | CanCopy Property | CanCut Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

ReportControl Control | ReportColumn Object | ReportColumns Add Method

See Also Report Control ActiveX Control v19.3

Columns Property

Description

The ReportControl's collection of ReportColumn objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Columns() As ReportColumns

Remarks

This is a collection of all the ReportColumn objects that have been added to the ReportControl. This is where all of the columns of the ReportControl are stored.

See Also

ReportControl Control | ReportColumn Object | ReportColumns Add Method

Example

Adding a Column | Finding a Column | Changing the Caption of a Column


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

CustomTitle Property

Description

Used for unique title - e.g. for PrintJob name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTitle() As String

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DataManager Property

Description

Gets or sets the report data manager.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DataManager() As ReportDataManager

Remarks

Use this member to retrieve and access the data manager.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DefaultRowFreeHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultRowFreeHeight() As Integer

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DesktopTrackerMode Property

Description

Specifies whether to use Vista Tracker Mode (On or Off). This fixes desktop flicker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DesktopTrackerMode() As Boolean

Remarks

This should be False for Windows XP and True for Windows Vista. This is needed because it causes the Desktop to flicker if the correct for the the OS used is not properly set.

The tracker is used for such actions like resizing columns (also rows under special mode) and so on. This flag allows you to set the Vista Tracker Mode On or Off. By default it is False.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DisableReorderColumnsCount Property

Description

Gets or sets the count of the columns at the left side where reordering is disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableReorderColumnsCount() As Long

Remarks

Use DisableReorderColumnsCount to set the count of the columns at the left side where reordering is disabled.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DragSensitivityX Property

Description

Horizontal sensitivity of Drag'n'Drop operation in pixels. Default value is 3.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DragSensitivityX() As Integer

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

DragSensitivityY Property

Description

Vertical sensitivity of Drag'n'Drop operation in pixels. Default value is 3.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DragSensitivityY() As Integer

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | Navigator Property | ReportNavigator Object

See Also Report Control ActiveX Control v19.3

EditMode Property

Description

Indicates whether the in-place edit control is currently active (visible and focused).

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditMode() As Boolean

Remarks

The EditMode property is used to indicate when an item is in edit mode. This is nice to know when using the Navigator object to navigate the report via code.

See Also

ReportControl Control | Navigator Property | ReportNavigator Object


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

EditOnClick Property

Description

Determine whether a ReportRecorditem can be edited by single-clicking on the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnClick() As Boolean

Remarks

It True, when the ReportRecordItem is single-clicked, the item will become editable. The entire ReportControl or the specific ReportRecordItem must have the AllowEdit property set to True for this to work.

If False, the item must be double-clicked to become editable.

Example

[EditOnClick Sample (Visual Basic)]

    wndReportControl.EditOnClick = True

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

EditOnDelayClick Property

Description

Enables or disables the delay click edit feature for ReportRecordItems (like editing a file name in Windows explorer).

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnDelayClick() As Boolean

Return Type

A Boolean value denoting whether the delay click edit is enabled or not, True if enabled and False if not.

Remarks

Set to True to enable the delay click edit and False to turn off this feature. This feature acts like editing a file name in Windows explorer, a delayed click will put items into edit mode.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

EditOnDoubleClick Property

Description

Specifies whether a ReportRecordItem can be edited by double-clicking on the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnDoubleClick() As Boolean

Return Type

True if items can be edited with a double-click, False otherwise.

Remarks

If True, when the ReportRecordItem is double-clicked, the item will become editable. The entire ReportControl or the specific ReportRecordItem must have the AllowEdit property set to True for this to work.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value indicating whether the ReportControl can respond to user interaction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

With the Enabled property, you can enable or disable the ReportControl at run time.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

EnableMarkup Property

Description

Enables the use of XAML to display text in the report control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

EnsureFocusedRowVisible Property

Description

Gets or sets whether focused rows will be forced visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnsureFocusedRowVisible() As Boolean

Return Type

True focused rows will be forced visible, otherwise false.

Remarks

If True, when a ReportRecordItem is focused, the entire row will become visible.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FastDeselectMode Property

Description

Specifies whether all selected rows can quickly be de-selected with the click of a mouse.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FastDeselectMode() As Boolean

Return Type

Default is False. If True - when you click on an empty space in the report's bottom or right area (left for RTL case) it will deselect all rowa - like Windows Explorer or List Control without Full Row Selection style.

Remarks

If True - when you click on an empty space in the report's bottom or right area (left for RTL case) it will deselect all rowa - like Windows Explorer or List Control without Full Row Selection style.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FieldChooser Object

See Also Report Control ActiveX Control v19.3

FieldChooser Property

Description

Associates a FieldChooser control with the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property FieldChooser() As FieldChooser

Remarks

You must associate the FieldChooser control with the ReportControl so the ReportControl knows which FieldChooser control to add\remove column headers to\from.

Example

[FieldChooser Sample (Visual Basic)] This sample illustrates how to associate a FieldChooser control with a ReportControl. This sample assumes that the FieldChooser control is placed on a separate form named frmFieldChooser.

    'This code will display the form that has the FieldChooser control on it
    frmFieldChooser.Show 0, Me

    'This code associates the FieldChooser control with the ReportControl, this is
    'necessary so the ReportControl knows where to find the FieldChooser so it can
    'add and remove column headers.
    wndReportControl.FieldChooser = frmFieldChooser.wndFieldChooser

See Also

ReportControl Control | FieldChooser Object


%%PageItemTitle%%

ReportControl Control | FilterText Property | Populate Method

See Also Report Control ActiveX Control v19.3

FilterHiddenColumns Property

Description

Specifies whether to search filter text in hidden columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterHiddenColumns() As Boolean

Remarks

This option is disabled by default. If true, rows will also be filtered using thext from hidden columns. You must call the Populate method to update rows after a filter has been applied.

See Also

ReportControl Control | FilterText Property | Populate Method


%%PageItemTitle%%

ReportControl Control | FilterText Property | FilterHiddenColumns Property

See Also Report Control ActiveX Control v19.3

FilterSeparatorStrict Property

Description

Specifies whether text filtering will be strict.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterSeparatorStrict() As Boolean

Remarks

FilterSeparatorStrict specifies whether text filtering will compare text in the FilterText property using the logical "AND" or the logical "OR" if the FilterText property contains strings separated by spaces,

The FilterText property is used to hold a string that is used to filter the rows in the Report control. Only the rows that have RecordItems with a Caption that contains the text stored in FilterText will be displayed.

Placing a space between words in the filter sting will cause the rows to be filtered by multiple strings. Each RecordItem in a Row will be searched for each word in the filter string individually. The filter string is not case sensitive and will the order in which the words appear in the filter string does not matter.

For example, ( FilterSeparatorStrict = False) if the filter string was "Dog cat bird HORSE", only rows that contain any combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case do not matter. In this case, "Bird Dog" will be a match, "Bird Pig" would not as "Pig" is not in the string.

( FilterSeparatorStrict = True) if the filter string was "Dog cat bird HORSE", only rows that contain an EXACT combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case DO matter. In this case, "Bird Dog" will NOT match as the order of the words do not match exactly, "bird HORSE" would match as this combination of text matched exactly in both spelling and order .

The PopulatedRecordsCount property will return the total number of records currently in the report after a filter string is applied.

See Also

ReportControl Control | FilterText Property | FilterHiddenColumns Property


%%PageItemTitle%%

ReportControl Control | PopulatedRecordsCount Property | FilterHiddenColumns Property | FilterSeparatorStrict Property

See Also Report Control ActiveX Control v19.3

FilterText Property

Description

The FilterText property is used to filter the rows in the Report Control by one or more text strings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterText() As String

Remarks

The FilterText property is used to hold a string that is used to filter the rows in the Report control. Only the rows that have RecordItems with a Caption that contains the text stored in FilterText will be displayed.

Placing a space between words in the filter sting will cause the rows to be filtered by multiple strings. Each RecordItem in a Row will be searched for each word in the filter string individually. The filter string is not case sensitive and will the order in which the words appear in the filter string does not matter.

For example, if the filter string was "Dog cat bird HORSE", only rows that contain any combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case do not matter.

The PopulatedRecordsCount property will return the total number of records currently in the report after a filter string is applied.

Example

[FilterText Sample (Visual Basic)] This sample illustrates how to use the FilterText property to filter the rows shown in the Report Control with a filter string. This sample assumes that there is a text box named txtFilter.

'On KeyUp update Report Control
Private Sub txtFilter_KeyUp(KeyCode As Integer, Shift As Integer)

    'Filters the Report Control with the text in the TextBox control.
    frmReportControl.wndReportControl.FilterText = txtFilter.Text

    'Update Report Control
    frmReportControl.wndReportControl.Populate
End Sub

See Also

ReportControl Control | PopulatedRecordsCount Property | FilterHiddenColumns Property | FilterSeparatorStrict Property


%%PageItemTitle%%

ReportControl Control | FocusSubItems Property | FocusedRow Property

See Also Report Control ActiveX Control v19.3

FocusedColumn Property

Description

The FocusedColumn property returns a reference to the Column that contains the ReportRecordItem (SubItem) that currently has focus in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusedColumn() As ReportColumn

Remarks

The FocusedColumn property holds a reference to the column that contains the ReportRecordItem that currently has focus. The FocusSubItems property must be TRUE to use the FocusedColumn property. If FocusSubItems is FALSE, then the FocusedColumn property will never get set.

Example

[FocusedColumn Sample (Visual Basic)] This sample illustrates how to determine the column of the currently focused item.

    'Subitems can receive focus
    wndReportControl.FocusSubItems = True

    Private Sub wndReportControl_SelectionChanged()

        If Not wndReportControl.FocusedColumn Is Nothing Then
            'Column with subitem that currently has focus
            Debug.Print "Focused Column " & wndReportControl.FocusedColumn.Caption
        End If

    End Sub

See Also

ReportControl Control | FocusSubItems Property | FocusedRow Property


%%PageItemTitle%%

ReportControl Control | TopRowIndex Property

See Also Report Control ActiveX Control v19.3

FocusedRow Property

Description

Returns a reference to the row that currently has focus in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusedRow() As ReportRow

Remarks

Only one row can have focus at a time, the focused row will have bold rectangle placed around the entire row indicating which row has focus.

A focused row is not the same as a selected row. Multiple rows can be selected, but only one can have focus.

Example

[FocusedRow Sample (Visual Basic)] This sample illustrates one way to use the FocusedRow property. This sample used the FocusedRow to access and change the properties of the row.

'This event occurs each time the selection changes
Private Sub wndReportControl_SelectionChanged()
    'If the focused row's Tag value is "UnRead" then execute this code
    If wndReportControl.FocusedRow.Record(0).Tag = "UnRead" Then
        'Remove the bold font of the focus row\record
        wndReportControl.FocusedRow.Record(0).Bold = False
        'Replace the row's Tag as being "Read"
        wndReportControl.FocusedRow.Record(0).Tag = "Read"
    End If
End Sub

See Also

ReportControl Control | TopRowIndex Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FocusSubItems Property

Description

Specifies whether the individual ReportRecordItem will show focus when an item in a row is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusSubItems() As Boolean

Remarks

If True, when a ReportRecordItem is clicked, the entire row will become highlighted except the individual item that was clicked.

If False, the entire row will become highlighted when an item is clicked, including the item that was clicked.

Example

[FocusSubItems Sample (Visual Basic)]

    wndReportControl.FocusSubItems = True

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | Populate Method | FooterRows Property | FooterRowsAllowEdit Property | Add Method | Insert Method | ReportRecords Object

See Also Report Control ActiveX Control v19.3

FooterRecords Property

Description

Returns the collection of the footer records.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FooterRecords() As ReportRecords

Remarks

This collection only contains ReportRecord objects that are in the FooterRows section of the report.

Use this collection if you want to retrieve and access the collection of report footer records. You may then perform standard operations on the collection like adding, removing, etc.

This is a collection of all the ReportRecord objects that have been added to the footer rows of the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | Populate Method | FooterRows Property | FooterRowsAllowEdit Property | Add Method | Insert Method | ReportRecords Object


%%PageItemTitle%%

ReportControl Control | FooterRecords Property | FooterRowsAllowEdit Property | Populate Method

See Also Report Control ActiveX Control v19.3

FooterRows Property

Description

Returns the collection of the report footer rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FooterRows() As ReportRows

Remarks

This collection only contains ReportRow objects objects in the FooterRows section of the report. Use this collection to retrieve and access to the collection of report footer rows. Note that the rows collection could be rebuilt automatically on executing the Populate method.

This is a collection of all the ReportRow objects that have been added to the ReportControl's FooterRows. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | FooterRecords Property | FooterRowsAllowEdit Property | Populate Method


%%PageItemTitle%%

ReportControl Control | HeaderRowsAllowAccess Property

See Also Report Control ActiveX Control v19.3

FooterRowsAllowAccess Property

Description

Specifies whether to allows user to move selection to footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowAccess() As Boolean

See Also

ReportControl Control | HeaderRowsAllowAccess Property


%%PageItemTitle%%

ReportControl Control | FooterRecords Property | FooterRows Property

See Also Report Control ActiveX Control v19.3

FooterRowsAllowEdit Property

Description

Allows the text in all Footer Row ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowEdit() As Boolean

Remarks

This applies only to ReportRecordItems that are in the FooterRows.

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

ReportControl Control | FooterRecords Property | FooterRows Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FooterRowsAllowGroup Property

Description

Specifies whether to allow grouping in footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowGroup() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FooterRowsAllowSort Property

Description

Specifies whether to allow sorting in footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowSort() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | HeaderRowsEnableSelection Property

See Also Report Control ActiveX Control v19.3

FooterRowsEnableSelection Property

Description

Enables or disables selection in footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsEnableSelection() As Boolean

See Also

ReportControl Control | HeaderRowsEnableSelection Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ForcePagination Property

Description

Specifies whether to force the report to be split up into "pages" while in print preview mode. This also effects the page count that is displayed when the printer dialog is displayed say printing pages 1-*.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForcePagination() As Boolean

Remarks

ForcePagination is for those that choose not to use non-continues print mode (ForcePagination = False). By default, print preview does not know how many pages the report is, therefore it can't be viewed in "pages" in print preview. This is because it is in continuous print mode. The print preview dialog will only get confused if you click "next page" because to the printer and the preview window it is just looking at one large page. For example if you have a report that would take 10 pages of paper to print, the printer and preview window still see that as 1 continuous page. In this case if you print the printer dialog will say something like "Printing Pages 1/*" or something similar.

Now consider the case where you want to know exactly what each page will look like in print preview, the number of pages, and have the preview window show the preparation for a proper print. In this case you want ForcePagination to be True. The benefit to this is now you can view each page in print preview, you know how many pages will be required, you can now print a range of pages (i.e. pages 3-8) and the printer dialog will tell you which page is currently printing with a message like "Printing Pages 8/20". One final benefit is header and footer information if you use them.

Now there is a cost to getting all this information. Non-continuous mode (ForcePagination = True) will take time to "Paginate" to document. If it is a small report, this cost is minimal. If it is a large report the cost can be quite high. Really the only time you would wan continuous mode (ForcePagination = False) is when speed becomes a factor in really large reports.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FreeHeightMode Property

Description

Allows row height to be changed using the mouse to drag to a new height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreeHeightMode() As Boolean

Remarks

If True, you can use the mouse to drag the bottom border of the selected row to resize it (give it a new height), much like you do when resizing a column.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FreezeColumnsCount Property | MovePivot Property

See Also Report Control ActiveX Control v19.3

FreezeColumnsAbs Property

Description

Gets or sets whether the freeze column is absolute or relative (applies when columns are dragged\moved).

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColumnsAbs() As Boolean

Remarks

The following explanation assumes there are 3 frozen columns.

If FreezeColumnsAbs is False, when a column is dragged and dropped into the first 3 columns the new column becomes frozen and the 3rd column will become unfrozen.

If FreezeColumnsAbs is True, the 3rd column (column with divider after it), the divider will remain next to the 3rd column no matter where it is dragged or other columns are dragged. The divider becomes "stuck" to the last column in the original freeze count.

Example

[Visual Basic]

    wndReportControl.FreezeColumnsCount = 3
    wndReportControl.FreezeColumnsAbs = True

See Also

ReportControl Control | FreezeColumnsCount Property | MovePivot Property


%%PageItemTitle%%

ReportControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

FreezeColumnsCount Property

Description

Gets\Sets the number of columns that are frozen when the report is scrolled horizontally.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColumnsCount() As Long

Remarks

FreezeColumnsCount holds the number of columns that are currently frozen. You can only freeze columns on the left of the report, and you can not freeze more columns than are displayed in the report.

By freezing a column, the column will not scroll when scrolling horizintally. You can only freeze coluumns starting at the left-most side of the report. Multiple columns can be frozen, but they must be in consecutive order starting from the left. Automatic column sizing must me disabled to freeze columns, with automatic column sizing enabled, there will never be a horizontal scroll bar.

The animation below illustrates a report where the first 3 columns are frozen. Notice how the do not move as the report is scrolled horizontally left and right.

Example

[Freeze Columns Sample (Visual Basic)] This sample illustrates how to freeze columns on the left side of the report while the report is scrolled horizontally.

wndReportControl.AutoColumnSizing = False
wndReportControl.FreezeColumnsCount = 3

See Also

ReportControl Control | AutoColumnSizing Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

FullColumnScrolling Property

Description

Specifies whether full column scrolling will be used. (depreciated, see note)

Property type

Read-write property

Syntax (Visual Basic)

Public Property FullColumnScrolling() As Boolean

Remarks

Important note: FullColumnScrolling is now depreciated and you should use ScrollMode or ScrollModeH to set horizontal scrolling.

When FullColumnScrolling is True, if the user is pressing the left or right scroll buttons or dragging the scroll thumb button in the center of the horizontal scroll bar the Report will jump to next/previous column - not just 1 pixel.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

GroupsOrder Property

Description

A collection of ReportColumns used to determine how the ReportControl is grouped. (I.e. First by column A in ascending order, then by column B in descending order, etc...)

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupsOrder() As ReportColumnOrder

Remarks

The order in which the columns are added to the collection of group columns determine the

precedence. This is used to group the columns via code.

Column grouping order can be changed by simply dragging and dropping the column headers in the Group By box.

Example

[Grouping columns in the ReportControl (Visual Basic)] This sample illustrates how to group the columns in the ReportControl. If you had 8 columns added to the ReportControl, this sample would group the columns first by the column at Itemindex 7 and then by the column at ItemIndex 2.

    'This code below will add two columns to the GroupOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be grouped by column 7,
    'which has an index of zero (0) in the GroupOrder collection. Columns are first grouped
    'in the order that they are added to the GroupOrder collection.
    wndReportControl.GroupsOrder.Add wndReportControl.Columns(7)
    wndReportControl.GroupsOrder.Add wndReportControl.Columns(2)

    'This will cause the column at index 0 of the GroupOrder collection to be displayed
    'in descending order.
    wndReportControl.GroupsOrder(0).SortAscending = False

See Also

ReportControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

ReportControl Control | HeaderRows Property | HeaderRowsAllowEdit Property | Populate Method | Add Method | Insert Method | ReportRecords Object

See Also Report Control ActiveX Control v19.3

HeaderRecords Property

Description

Returns the collection of the header records.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderRecords() As ReportRecords

Remarks

This collection only contains ReportRecord objects that are in the HeaderRows section of the report.

Use this collection if you want to retrieve and access the collection of report header records. You may then perform standard operations on the collection like adding, removing, etc.

This is a collection of all the ReportRecord objects that have been added to the header rows of the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | HeaderRows Property | HeaderRowsAllowEdit Property | Populate Method | Add Method | Insert Method | ReportRecords Object


%%PageItemTitle%%

ReportControl Control | HeaderRecords Property | HeaderRowsAllowEdit Property | Populate Method

See Also Report Control ActiveX Control v19.3

HeaderRows Property

Description

Returns the collection of the report header rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderRows() As ReportRows

Remarks

This collection only contains ReportRow objects objects in the HeaderRows section of the report. Use this collection to retrieve and access to the collection of report header rows. Note that the rows collection could be rebuilt automatically on executing the Populate method.

This is a collection of all the ReportRow objects that have been added to the ReportControl's HeaderRows. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | HeaderRecords Property | HeaderRowsAllowEdit Property | Populate Method


%%PageItemTitle%%

ReportControl Control | FooterRowsAllowAccess Property

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowAccess Property

Description

Specifies whether to allows user to move selection to header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowAccess() As Boolean

See Also

ReportControl Control | FooterRowsAllowAccess Property


%%PageItemTitle%%

ReportControl Control | HeaderRows Property | HeaderRecords Property

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowEdit Property

Description

Allows the text in all Header Row ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowEdit() As Boolean

Remarks

This applies only to ReportRecordItems that are in the HeaderRows.

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

ReportControl Control | HeaderRows Property | HeaderRecords Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowGroup Property

Description

Specifies whether to allow grouping in header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowGroup() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowSort Property

Description

Specifies whether to allow sorting in header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowSort() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FooterRowsEnableSelection Property

See Also Report Control ActiveX Control v19.3

HeaderRowsEnableSelection Property

Description

Enables or disables selection in header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsEnableSelection() As Boolean

See Also

ReportControl Control | FooterRowsEnableSelection Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

HideColumnAfterGroupBoxDrop Property

Description

Causes Column Drag & Drop into the Group Box to behave like Drag & Drop + Ctrl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideColumnAfterGroupBoxDrop() As Boolean

Remarks

When false the Control key will need to be pressed to hide the column when dropped.

HideColumnAfterGroupBoxDrop is used to reverse the current behavior when a column is dropped into the group box. By defaut the Control key must be pressed to keep the column visible.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

HScrollStep Property

Description

Gets\sets the amount of pixels the report is scrolled when the horizontal scroll bar buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollStep() As Long

Remarks

By default the report is scrolled by 1 pixel when the horizontal scroll bar is clicked. If you want the report to scroll faster you need to increase HScrollStep.

Note: HScrollStep is only used when ScrollMode or ScrollModeH is set to xtpReportScrollModeSmooth.

Note: AutoColumnSizing must be False for the horizontal scroll bar to be visible, by default it is True.

See Also

ReportControl Control | AutoColumnSizing Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

hWnd Property

Description

The hWnd property returns the handle to the Report Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | AddIcon Method | SetImageList Method | LoadBitmap Method | LoadIcon Method

See Also Report Control ActiveX Control v19.3

Icons Property

Description

A collection of icons that can be used in ReportRecordItem and ReportColumn objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

Icons must be added to this collection using the AddIcon, LoadBitmap, LoadIcon, or SetImageList methods before they can be used in the ReportControl.

Important note: The IconId can not be zero (0), when using the AddIcon, LoadBitmap, and LoadIcon methods, you can not assign an IconId of zero, the IconId must be a positive integer. When adding icons using the SetImageList method, the first icon in the imagelist will have an IconId of 1 if not other icons have already been added.

See Also

ReportControl Control | AddIcon Method | SetImageList Method | LoadBitmap Method | LoadIcon Method

Example

Add icons using the AddIcon Method | Add icons using the LoadBitmap Method | Add icons using the LoadIcon Method | Using images from and ImageList | Assigning an Icon to a ReportColumn | Assigning an Icon to a ReportRecordItem


%%PageItemTitle%%

ReportControl Control | IconViewSetup Method | BeforeDrawRow Event | CreateIconViewColumn Method

See Also Report Control ActiveX Control v19.3

IconView Property

Description

Displays or hides Icon View, a view similar to the Icon View in Windows Explorer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconView() As Boolean

Remarks

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

ReportControl Control | IconViewSetup Method | BeforeDrawRow Event | CreateIconViewColumn Method


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

InitialSelectionEnable Property

Description

Specifies whether the first row in the report will become selected when initially populated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InitialSelectionEnable() As Boolean

Remarks

Use InitialSelectionEnable to stop the report from automatically selecting the first row after populate. By default this is true.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

InplaceEditHwnd Property

Description

Returns the handle to the currently used In-place Edit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceEditHwnd() As Integer

Remarks

This is the handle to the edit control that is used when using an in-place edit control.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

LeftOffset Property

Description

Gets or sets the horizontal scroll position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LeftOffset() As Integer

Remarks

This method takes effect only if auto column sizing is disabled.

See Also

ReportControl Control | AutoColumnSizing Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

LockExpand Property

Description

Specifies whether collapsing/expanding rows is locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LockExpand() As Boolean

Return Type

True if collapsing/expanding rows is locked.

Remarks

When True, the user can't expand or collapse rows.

Example

This can be thought of as a "Fixed" group feature. Where grouping is allowed but all groups are always expanded, the +/- buttons are hidden and clicking group rows will not expand\collapse them.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

MarkupContext Property

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

MaxColumnWidth Property

Description

Get or set the maximum column width for all columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxColumnWidth() As Integer

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FreezeColumnsCount Property

See Also Report Control ActiveX Control v19.3

MovePivot Property

Description

Gets or sets whether the freeze column is displayed when columns are added to the group by box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MovePivot() As Boolean

See Also

ReportControl Control | FreezeColumnsCount Property


%%PageItemTitle%%

ReportControl Control | ReportRow Selected Property | SelectedRows Property | ReportSelectedRows Object

See Also Report Control ActiveX Control v19.3

MultipleSelection Property

Description

Specifies whether multiple ReportRows can be selected at the same time in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultipleSelection() As Boolean

Remarks

If True, multiple rows can be selected at the same time.

If False, only a single row can be selected at the same time.

A ReportRow is selected when the user clicks on the row, or when add method is used. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows.

Selected rows can be retrieved through the ReportControl's collection of SelectedRows.

Example

[Allowing multiple row selection (Visual Basic)] This sample illustrates how to allow multiple row selection in the ReportControl.

    'This will allow multiple ReportRow objects to be selected at the same time
    'in the ReportControl.
    wndReportControl.MultipleSelection = True

See Also

ReportControl Control | ReportRow Selected Property | SelectedRows Property | ReportSelectedRows Object


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

MultiSelectionMode Property

Description

Enables/disables the multiple selection mode for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelectionMode() As Boolean

Remarks

If MultiSelectionMode is true the report acts like a ListBox - if you click new item it will not deselect the previous item. This is just as if you were holding the Ctrl key while clicking rows.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | BeginEdit Method | MoveDown Method | MoveFirstColumn Method | MoveFirstRow Method | MoveLastColumn Method | MoveLastRow Method | MoveLeft Method | MovePageDown Method | MovePageUp Method | MoveRight Method | MoveToColumn Method | MoveToRow Method | MoveUp Method

See Also Report Control ActiveX Control v19.3

Navigator Property

Description

Object used to handle navigation activities in the Report Control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Navigator() As ReportNavigator

Remarks

Used to navigate the rows and columns in the report via code. This allows you to perform actions like switch to a specific item and begin edit mode, or to select a specific group of rows, etc.

See Also

ReportControl Control | BeginEdit Method | MoveDown Method | MoveFirstColumn Method | MoveFirstRow Method | MoveLastColumn Method | MoveLastRow Method | MoveLeft Method | MovePageDown Method | MovePageUp Method | MoveRight Method | MoveToColumn Method | MoveToRow Method | MoveUp Method


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

OLEDropAbove Property

Description

When using OLEDragDrop, this will tell whether the drop marker is above or below the current row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OLEDropAbove() As Boolean

Return Type

True if the drop marker is displayed above the row, False if it is displayed below the row. Default is True.

Remarks

OLEDropAbove will ALWAYS be true, unless the marker is currently displayed under a row.

See Also

ReportControl Control

Example

OLEDragDrop Sample


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

OLEDropMode Property

Description

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

ReportControl Control

Example

OLEDragDrop Sample


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

OverrideThemeMetrics Property

Description

Specifies whether to allow themes to override control metrics. This is True by default.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OverrideThemeMetrics() As Boolean

Remarks

True to allow themes to override control metrics.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

PaintManager Property

Description

Returns the ReportPaintManager object used for drawing the ReportControl

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As ReportPaintManager

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FooterRecords Property | FooterRows Property | FooterRowsAllowEdit Property | ShowFooter Property | ShowFooterRows Property

See Also Report Control ActiveX Control v19.3

PinFooterRows Property

Description

Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PinFooterRows() As Boolean

Remarks

When true, there will be no space between the last body row and the footer rows. The footer rows will appear immediately under the last body row regardless of how few body rows there might be.

See Also

ReportControl Control | FooterRecords Property | FooterRows Property | FooterRowsAllowEdit Property | ShowFooter Property | ShowFooterRows Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

PinFooterRowsPrinted Property

Description

Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PinFooterRowsPrinted() As Boolean

Return Type

Returns True if footer records are pinned to the body rows. False if footer records are docked to the footer.

Remarks

If set to True footer records will be displayed immediately after the body rows.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FilterText Property

See Also Report Control ActiveX Control v19.3

PopulatedRecordsCount Property

Description

The current number of records displayed in the report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PopulatedRecordsCount() As Integer

Remarks

PopulatedRecordsCount is intended to be used to quickly calculate the number of records that was filtered using the FilterText property.

When FilterText is set to "", then PopulatedRecordsCount will equal ReportControl.Records.Count.

The total number of records filtered using the FilterText property is the difference of ReportControl.Records.Count minus PopulatedRecordsCount.

See Also

ReportControl Control | FilterText Property


%%PageItemTitle%%

ReportControl Control | ReportRecord PreviewText Property | MaxPreviewLines Property | PreviewTextFont Property

See Also Report Control ActiveX Control v19.3

PreviewMode Property

Description

Specifies whether PreviewMode is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

Remarks

If True, the Maximum Number of lines of text stored in the PreviewText property will be displayed for each ReportRecord.

Example

[How to turn on PreviewMode (Visual Basic)] This sample illustrates how to enable PreviewMode. With PreviewMode enabled, the text stored in the PreviewText property will be displayed for each ReportRecord.

    'This will cause PreviewText to be displayed for each ReportRecord in the ReportControl
    wndReportControl.PreviewMode = True

See Also

ReportControl Control | ReportRecord PreviewText Property | MaxPreviewLines Property | PreviewTextFont Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

PrintGroupRowIcon Property

Description

Specifies whether the group row expand\collapse icons should be displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintGroupRowIcon() As Boolean

Remarks

This is useful to hide the collapse-expand icon in group rows for print or print preview mode.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

PrintOptions Property

Description

Options that specify how the Report should look when sent to a print device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintOptions() As ReportPrintOptions

Remarks

The PrintOptions property allows you to manually set the Print Options that can be set using the "Page Setup" dialog that ShowPrintPageSetup displays. These options effect how the Report looks when printed.

Using PrintOptions, you can access print options such as page margins, page header, header font, etc.

See the ReportPrintOptions members for a detailed descriptions of each print option that can be set.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

PrintPreviewOptions Property

Description

Object that contains options for the print preview window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintPreviewOptions() As XtremePrintPreviewOptions

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportRecords Object | ReportRecord Object | ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Records Property

Description

The ReportControl's collection of ReportRecord objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Records() As ReportRecords

Remarks

This is a collection of all the ReportRecord objects that have been added to the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | ReportRecords Object | ReportRecord Object | ReportRecordItem Object

Example

Adding a Record | Removing a Record | Adding Items to a Record


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

RecordsTreeFilterMode Property

Description

Gets or sets the filtering mode for the Record tree.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecordsTreeFilterMode() As XTPReportFilterMode

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ReleaseOnDestroy Property

Description

Before destroying, check until WM_DESTROY handling is complete.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReleaseOnDestroy() As Boolean

Remarks

Set to True for environments such as Gupta that do not automatically release the instance of the control when closing the form.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | RevertAlignment Property | RightToLeftReading Property

See Also Report Control ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the ReportControl (Column Order, Reading Order, Scrollbars, etc) are displayed from right to left.

The RightToLeftReading property will change the reading order of the text independently of RightToLeft. When RightToLeft is set to True, RightToLeftReading is also set to True and can be changed if desired.

Example

[Enable RTL mode for the ReportControl. (Visual Basic)] This sample illustrates how to enable RTL mode for the ReportControl.

    'Set the ReportControl to RTL mode
    ReportControl.RightToLeft = True

See Also

ReportControl Control | RevertAlignment Property | RightToLeftReading Property


%%PageItemTitle%%

ReportControl Control | RightToLeft Property

See Also Report Control ActiveX Control v19.3

RightToLeftReading Property

Description

Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeftReading() As Boolean

Remarks

All RightToLeftReading does is change the position of symbols in the text from the right side to the left and visa versa. For example, "100$" is displayed when RightToLeftReading is False and "$100" when RightToLeftReading is True.

To use RightToLeftReading, RTL reading support must be installed on the computer. To do so, go into the "Regional and language Options" dialog from the Control Panel. Select the "Languages" tab and make sure the "Install files for complex script and right-to-left languages" and "Install files for East Asian languages" check boxed are checked.

The picture below is what the "Regional and language Options" should look like.

RightToLeftReading is set to True when RightToLeft is set to True.

See Also

ReportControl Control | RightToLeft Property


%%PageItemTitle%%

ReportControl Control | ReportRows Object | ReportRow Object

See Also Report Control ActiveX Control v19.3

Rows Property

Description

The ReportControl's collection of ReportRow objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Rows() As ReportRows

Remarks

This is a collection of all the ReportRow objects that have been added to the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

ReportControl Control | ReportRows Object | ReportRow Object

Example

Expanded a Row | Accessing the Record Associated with a Row


%%PageItemTitle%%

ReportControl Control | ScrollModeH Property | ScrollModeV Property | XTPReportScrollMode Enumeration | FullColumnScrolling Property | HScrollStep Property

See Also Report Control ActiveX Control v19.3

ScrollMode Property

Description

Gets or sets the scroll mode for the report control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollMode() As XTPReportScrollMode

Return Type

A value from the XTPReportScrollMode enumeration that specifies the current scroll mode for the report. By default ScrollMode will return xtpReportScrollModeNone.

Remarks

The report control can be scrolled in "smooth" or "block" mode. Smooth scrolling as the name implies will scroll the contents smoothly where the content will not "jump". Block scrolling will cause the report to "jump" to the top\left of the next row (scrolling vertically) or column (scrolling horizontally).

The report allows the scroll mode to be set independently for vertical and horizontal scrolling. When setting the scroll mode using ScrollMode it set BOTH the horizontal and vertical scroll mode. ScrollMode will return xtpReportScrollModeNone if the ScrollModeH (horizontal) and ScrollModeV (vertical) scroll modes are different. By default ScrollMode will return xtpReportScrollModeNone. Default value for ScrollModeH is xtpReportScrollModeSmooth and ScrollModeV is xtpReportScrollModeBlock.

Note HScrollStep is only used when ScrollMode or ScrollModeH is set to xtpReportScrollModeSmooth.

Important note: FullColumnScrolling is now depreciated and you should use ScrollMode or ScrollModeH to set horizontal scrolling.

Example

wndReportControl.ScrollMode = xtpReportScrollModeSmooth

See Also

ReportControl Control | ScrollModeH Property | ScrollModeV Property | XTPReportScrollMode Enumeration | FullColumnScrolling Property | HScrollStep Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ScrollModeH Property

Description

Gets or sets the scroll mode for horizontal scrolling in the report control.Gets or sets the scroll mode for the report control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollModeH() As XTPReportScrollMode

Return Type

A value from the XTPReportScrollMode enumeration that specifies the current scroll mode for horizontal scrolling in the report. Default is xtpReportScrollModeSmooth.

Remarks

The report control can be scrolled in "smooth" or "block" mode. Smooth scrolling as the name implies will scroll the contents smoothly where the content will not "jump". Block scrolling will cause the report to "jump" to the top\left of the next row (scrolling vertically) or column (scrolling horizontally).

The report allows the scroll mode to be set independently for vertical and horizontal scrolling. When setting the scroll mode using ScrollMode it set BOTH the horizontal and vertical scroll mode. ScrollMode will return xtpReportScrollModeNone if the ScrollModeH (horizontal) and ScrollModeV (vertical) scroll modes are different. By default ScrollMode will return xtpReportScrollModeNone. Default value for ScrollModeH is xtpReportScrollModeSmooth and ScrollModeV is xtpReportScrollModeBlock.

Note HScrollStep is only used when ScrollMode or ScrollModeH is set to xtpReportScrollModeSmooth.

Important note: FullColumnScrolling is now depreciated and you should use ScrollMode or ScrollModeH to set horizontal scrolling.

Example

wndReportControl.ScrollModeH = xtpReportScrollModeSmooth

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ScrollMode Property | ScrollModeH Property

See Also Report Control ActiveX Control v19.3

ScrollModeV Property

Description

Gets or sets the scroll mode for vertical scrolling in the report control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollModeV() As XTPReportScrollMode

Return Type

A value from the XTPReportScrollMode enumeration that specifies the current scroll mode for vertical scrolling in the report. Default is xtpReportScrollModeBlock.

Remarks

The report control can be scrolled in "smooth" or "block" mode. Smooth scrolling as the name implies will scroll the contents smoothly where the content will not "jump". Block scrolling will cause the report to "jump" to the top\left of the next row (scrolling vertically) or column (scrolling horizontally).

The report allows the scroll mode to be set independently for vertical and horizontal scrolling. When setting the scroll mode using ScrollMode it set BOTH the horizontal and vertical scroll mode. ScrollMode will return xtpReportScrollModeNone if the ScrollModeH (horizontal) and ScrollModeV (vertical) scroll modes are different. By default ScrollMode will return xtpReportScrollModeNone. Default value for ScrollModeH is xtpReportScrollModeSmooth and ScrollModeV is xtpReportScrollModeBlock.

Note HScrollStep is only used when ScrollMode or ScrollModeH is set to xtpReportScrollModeSmooth.

Important note: FullColumnScrolling is now depreciated and you should use ScrollMode or ScrollModeH to set horizontal scrolling.

Example

wndReportControl.ScrollModeV = xtpReportScrollModeSmooth

See Also

ReportControl Control | ScrollMode Property | ScrollModeH Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

Sections Property

Description

Collection of report sections (header, footer or body).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Sections() As ReportSections

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportSelectedRows Object | ReportSelectedRows Add Method

See Also Report Control ActiveX Control v19.3

SelectedRows Property

Description

The collection of currently selected rows in the ReportControl.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelectedRows() As ReportSelectedRows

Remarks

A ReportRow is selected when the user clicks on the row, or when add method is used. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows. Multiple row selection can be enabled or disabled.

See Also

ReportControl Control | ReportSelectedRows Object | ReportSelectedRows Add Method

Example

Selecting Rows via code using the Add method | Using the RemoveAt method to remove Selected rows


%%PageItemTitle%%

ReportControl Control | ShowRowFocus Property

See Also Report Control ActiveX Control v19.3

SelectionEnable Property

Description

Gets or sets whether rows will become selected when clicked or navigated with the arrow keys.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionEnable() As Boolean

Remarks

If SelectionEnable is true, then rows will become selected when focused. If False, then the row will not become selected. When ShowRowFocus is true you will still see a focus rectangle drawn around the selected item.

See Also

ReportControl Control | ShowRowFocus Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

SelectionExcludeGroupRows Property

Description

Specifies whether group rows will be included in the selection when the collapse (+/-) button is pressed while selecting multiple rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionExcludeGroupRows() As Boolean

Remarks

SelectionExcludeGroupRows allows you to specify whether the group row that is expanded\collapsed during multiple row selection will get included in the selection.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ColumnClick Event

See Also Report Control ActiveX Control v19.3

SendContextMenuForWholeHeaderArea Property

Description

Gets or sets whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header or column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SendContextMenuForWholeHeaderArea() As Boolean

Remarks

Column headers refers to the headers at the top of the columns. This setting was added for users who use AutoColumnSizing = False. In this case there might be a large area of column header with no column. SendContextMenuForWholeHeaderArea = True will still send ColumnClick on this area, False will not send this event.

In our ReportSample set AutoColumnSizing = False, then re size window really large. Now set SendContextMenuForWholeHeaderArea True\False and right click each time in header on far right to see how to use this property.

See Also

ReportControl Control | ColumnClick Event


%%PageItemTitle%%

ReportControl Control | FooterText Property | FooterAlignment Property

See Also Report Control ActiveX Control v19.3

ShowFooter Property

Description

Shows\Hides the report column footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFooter() As Boolean

Remarks

The column footer is similar to the column header except that it is displayed at the bottom of the column. Text can be placed in the footer for each column. This can be used to display data such as column totals. The FooterText property is used to set the text for each column's footer.

See Also

ReportControl Control | FooterText Property | FooterAlignment Property


%%PageItemTitle%%

ReportControl Control | ShowHeaderRows Property | FooterRows Property | FooterRecords Property | FooterRowsAllowEdit Property

See Also Report Control ActiveX Control v19.3

ShowFooterRows Property

Description

Hides or shows the footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFooterRows() As Boolean

See Also

ReportControl Control | ShowHeaderRows Property | FooterRows Property | FooterRecords Property | FooterRowsAllowEdit Property


%%PageItemTitle%%

ReportControl Control | ReportColumn Groupable Property | FieldChooser Object | ShowItemsInGroups Property

See Also Report Control ActiveX Control v19.3

ShowGroupBox Property

Description

Specifies whether the Group By box is shown at the top of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGroupBox() As Boolean

Remarks

The Group By box allows the rows\records to be grouped simply by dragging the column headers into the box in the desired order. And columns added to the GroupsOrder collection will be displayed in the Group by box.

Example

[Displaying the Broup By box (Visual Basic)] This sample illustrates how to display the Group By box at the top of the ReportControl. The Group By box allows ReportColumn headers to be added to group the rows in the ReportControl.

    'This will cause the Group By box to be displayed at the top of the ReportControl
    wndReportControl.ShowGroupBox = True

See Also

ReportControl Control | ReportColumn Groupable Property | FieldChooser Object | ShowItemsInGroups Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ShowHeader Property

Description

The ShowHeader property is used to hide or display the Column Headers in the Report Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHeader() As Boolean

Remarks

Set ShowHeader to FALSE to hide the Column headers.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ShowFooterRows Property | HeaderRows Property | HeaderRecords Property | HeaderRowsAllowEdit Property

See Also Report Control ActiveX Control v19.3

ShowHeaderRows Property

Description

Hides or shows the header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHeaderRows() As Boolean

See Also

ReportControl Control | ShowFooterRows Property | HeaderRows Property | HeaderRecords Property | HeaderRowsAllowEdit Property


%%PageItemTitle%%

ReportControl Control | SortPriority Property | GroupPriority Property | GroupCaption Property | ShowGroupBox Property

See Also Report Control ActiveX Control v19.3

ShowItemsInGroups Property

Description

Specifies whether the ReportRecordItems will be automatically shown in groups when a column is sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowItemsInGroups() As Boolean

Remarks

If True, when a column header is clicked on to be sorted, that column is automatically added to the Group By box and the rows are grouped by that header. Rows can only be automatically grouped by one column at a time, when another column header is clicked, the rows are then grouped by that column.

You can also use the ReportControl's SortOrder to determine how the rows\records will be grouped. The records\rows in the ReportControl will automatically be grouped by the first column that was added to the ReportControl's SortOrder. If no columns were added to the ReportControl's SortOrder, then the rows\records will not be grouped.

After the rows\records are grouped, they are sorted according to their SortPriority.

Example

[ShowItemsInGroups Sample (Visual Basic)] This sample illustrates how to use the ShowItemsInGroups property.

    'This code below will add three columns to the SortOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be sorted by column 7,
    'which has an index of zero (0) in the SortOrder collection. Columns are first sorted
    'in the order that they are added to the SortOrder collection.
    wndReportControl.SortOrder.Add wndReportControl.Columns(7)
    wndReportControl.SortOrder.Add wndReportControl.Columns(2)
    wndReportControl.SortOrder.Add wndReportControl.Columns(5)

    'This will cause the column at index 0 of the SortOrder collection to be sorted
    'in descending order.
    wndReportControl.SortOrder(1).SortAscending = False

    'This will cause the rows\records to be grouped according to the column arrangement
    'in the ReportControl's SortOrder column collection.
    'In this sample, the rows\records will first be grouped by column 7, then by column 2
    'in desecnding order, and last by column 5.
    wndReportControl.ShowItemsInGroups = True

See Also

ReportControl Control | SortPriority Property | GroupPriority Property | GroupCaption Property | ShowGroupBox Property


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ShowRowFocus Property

Description

Specifies whether to draw a focus rectangle around the focused row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowRowFocus() As Boolean

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

SkipGroupsFocus Property

Description

Specifies whether groups are skipped when navigating the ReportControl with the Up and Down keys.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SkipGroupsFocus() As Boolean

Remarks

By default, SkipGroupFocus is True. If True, when navigating the rows with the Up and Down keys in the ReportControl the group headings will be skipped and the next non-group heading row will be selected.

If False, when navigating the rows with the Up and Down keys in the ReportControl all rows will be selected, even group headings.

SkipGroupFocus also effects selection when using the mouse. When selecting multiple rows and SkipGroupFocus is False all groups rows will become selected, if True, then group rows won't be selected.

Example

[Disabling SkipGroupsFocus (Visual Basic)] This sample illustrates how to disable SkipGroupFocus. This will allow GroupRows to have focus when using the Up and Down arrow keys to select rows in the ReportControl.

    'This will disable SkipGroupsFocus, now GroupRows can have focus
    'When the Up and Down keys are used to navigate the rows in the
    'ReportControl.
    wndReportControl.SkipGroupsFocus = False

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

SortLocale Property

Description

Specifies how text, dates, times, and currencies are sorted based on local.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortLocale() As Long

Remarks

By default, the report control will sort using the computers currently set local. To change this, the LCID for the desired local must be set using the SortLocale property. The LCID for your local can be looked up in the MSDN documentation.

The LCID property specifies how text, dates, times, and currencies are formatted. LCIDs are not the same for each geographical locale. Some locales format dates as YY-MM-DD and some format dates as MM-DD-YYYY. The LCID property is read/write.

Example

[[New Example] (Visual Basic)]

    'Uses the Norwegian sorting rules
    wndReportControl.SortLocale = 1044

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

SortOrder Property

Description

A collection of ReportColumns used to determine how the ReportControl is sorted. (I.e. First by column A in ascending order, then by column B in descending order, etc...)

Property type

Read-only property

Syntax (Visual Basic)

Public Property SortOrder() As ReportColumnOrder

Remarks

The order in which the columns are added to the collection of sort columns determine the

precedence.

Example

[Sorting columns in the ReportControl (Visual Basic)] This sample illustrates how to sort the columns in the ReportControl. If you had 8 columns added to the ReportControl, this sample would sort the columns first by the column at Itemindex 7, then by the column at ItemIndex 2, then by the column at ItemIndex 5.

    'This code below will add three columns to the SortOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be sorted by column 7,
    'which has an index of zero (0) in the SortOrder collection. Columns are first sorted
    'in the order that they are added to the SortOrder collection.
    wndReportControl.SortOrder.Add wndReportControl.Columns(7)
    wndReportControl.SortOrder.Add wndReportControl.Columns(2)
    wndReportControl.SortOrder.Add wndReportControl.Columns(5)

    'This will cause the column at index 0 of the SortOrder collection to be sorted
    'in descending order.
    wndReportControl.SortOrder(1).SortAscending = False

See Also

ReportControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

ReportControl Control | SortOrder Property

See Also Report Control ActiveX Control v19.3

SortRecordChildren Property

Description

Specifies whether to apply the sort order to record children.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortRecordChildren() As Boolean

Remarks

This will cause the children records of the ReportColumns to be sorted as well. First by the parent column, then the children rows will get sorted.

See Also

ReportControl Control | SortOrder Property


%%PageItemTitle%%

ReportControl Control | BestFitMode Property | AutoSize Property

See Also Report Control ActiveX Control v19.3

StrictBestFit Property

Description

Specifies that BestFitMode will only be used in non-autosize mode (when AutoSize is False).

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrictBestFit() As Boolean

See Also

ReportControl Control | BestFitMode Property | AutoSize Property


%%PageItemTitle%%

ReportControl Control | ToolTipContext Object | MaxTipWidth Property | Style Property | TipBkColor Property | TipTextColor Property

See Also Report Control ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for CommandBar controls. This includes both menu items and toolbar items.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ReportControl Control | ToolTipContext Object | MaxTipWidth Property | Style Property | TipBkColor Property | TipTextColor Property


%%PageItemTitle%%

ReportControl Control | FocusedRow Property

See Also Report Control ActiveX Control v19.3

TopRowIndex Property

Description

The TopRowIndex property will either return the index of the top most row or it will scroll a row until it is the top most row in the report control view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopRowIndex() As Long

Remarks

When setting a value to the TopRowIndex property, the system scrolls the report control view until either the item with the specified Index appears at the top of the view or the maximum scroll range has been reached (For example, the item might be the last item, so it can not be scrolled to the top, but it will be scrolled into view). This will force the row with the provided index to be the top most row in the view.

When retrieving a value from the TopRowIndex property, the index of the top most row is returned.

Example

[TopRowIndex Sample (Visual Basic)] This sample illustrates how to use the TopRowIndex property to retrieve the index of the top most row and to foce a row to be the top most row.

    'Forces the row with index of 20 to be the top most row int he report view.
    wndReportControl.TopRowIndex = 20

    'Retrieves the index of the top most row
    Debug.Print "Index of top row: " & wndReportControl.TopRowIndex

See Also

ReportControl Control | FocusedRow Property


%%PageItemTitle%%

ReportControl Control | AllowEdit Property | EditOnClick Property | BeginEdit Event

See Also Report Control ActiveX Control v19.3

TrapTabKey Property

Description

Specifies whether the TAB key will invoke the BeginEdit event when an item begins to be edited by the user (This allows the application to trap\see the TAB key was pressed instead of the report's internat edit controls eating this message).

Property type

Read-write property

Syntax (Visual Basic)

Public Property TrapTabKey() As Boolean

Remarks

With this flag set in the case of AllowEdit = True and EditOnClick = True, a mouse click will immediately open the combo box or start editing in an edit box. However a TAB key press will just make next item selection without a call to BeginEdit so the application can trap this move and do something.

See Also

ReportControl Control | AllowEdit Property | EditOnClick Property | BeginEdit Event


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

UnrestrictedDragDrop Property

Description

Specifies whether child rows can be dropped to any position, not just among sibling child records.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UnrestrictedDragDrop() As Boolean

Return Type

Default is False. Set to True to allow a chile row to be dropped anywhere in the report.

Remarks

If True, and a child row is dropped outside it's sibling child rows it will become a new parent row at the dropped location.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

VisualTheme Property

Description

Gets or sets the theme for the report

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPReportPaintTheme

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | SetWatermarkBitmap Method | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration

See Also Report Control ActiveX Control v19.3

WatermarkAlignment Property

Description

Gets or sets the alignment of the watermark.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WatermarkAlignment() As XTPReportWatermarkAlignment

Remarks

WatermarkAlignment uses these flags from the WatermarkAlignment enumeration to modify the watermark alignment.

See Also

ReportControl Control | SetWatermarkBitmap Method | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration


%%PageItemTitle%%

ReportControl Control | BeforePaste Event | BeforePasteFromText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record
Pointer to the ReportRecord that contains the text values that will be copied to the clipboard.
strText
Tab delimited string that contains all the text data from the Record before it has been copied to the clipboard.
CancelOperation
Set to True to cancel the copy operation. No will be copied to the clipboard.
See Also Report Control ActiveX Control v19.3

BeforeCopyToText Event

Description

Occurs before all text data from a record is copied to the clipboard.

Syntax

Public Event BeforeCopyToText( _
   ByVal Record As ReportRecord, _
   ByRef strText As String, _
   ByRef CancelOperation As Variant _
)

Parameters

Record
Pointer to the ReportRecord that contains the text values that will be copied to the clipboard.
strText
Tab delimited string that contains all the text data from the Record before it has been copied to the clipboard.
CancelOperation
Set to True to cancel the copy operation. No will be copied to the clipboard.

Remarks

The BeforeCopyToText event allows the record data (strText) to be customized before is is copied to the clipboard.

See Also

ReportControl Control | BeforePaste Event | BeforePasteFromText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

ReportControl Control | Redraw Method | MeasureRow Event | DrawItem Event | SetCustomDraw Method | XTPReportCustomDraw Enumeration

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
Item
The ReportRecordItem in the ReportRow that is about to be drawn.
Metrics
Dynamic metrics (backcolor, forecolor, text, font) of the ReportRecordItem about to be drawn.
See Also Report Control ActiveX Control v19.3

BeforeDrawRow Event

Description

Occurs before each ReportRecordItem is drawn in each ReportRow.

Syntax

Public Event BeforeDrawRow( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal Metrics As ReportRecordItemMetrics _
)

Parameters

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
Item
The ReportRecordItem in the ReportRow that is about to be drawn.
Metrics
Dynamic metrics (backcolor, forecolor, text, font) of the ReportRecordItem about to be drawn.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

Occurs before each ReportRecordItem is drawn. This event is executed for each ReportRecordItem in the ReportControl when the Redraw method is called.

On mouse over, this event is trigger for the individual ReportRecordItem that the mouse is currently over and will be called each time the mouse moves. Any time the ReportControl needs to be redrawn, this event is triggered.

The Metrics parameter is used for dynamic metrics only. This object is used to group together and store the general drawing metrics of the ReportRecordItem stored in the Item parameter, such as the forecolor, backcolor, font, and text of the ReportRecordItem.

See Also

ReportControl Control | Redraw Method | MeasureRow Event | DrawItem Event | SetCustomDraw Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

ReportControl Control | BeforePasteFromText Event | BeforeCopyToText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record
Pointer to the new ReportRecord that will contain the binary data.
CancelOperation
Set to True to cancel the paste operation. No record will be inserted into the report.
See Also Report Control ActiveX Control v19.3

BeforePaste Event

Description

Occurs after creating new record using binary data read from the clipboard, but before the record is added to the report.

Syntax

Public Event BeforePaste( _
   ByVal Record As ReportRecord, _
   ByRef CancelOperation As Variant _
)

Parameters

Record
Pointer to the new ReportRecord that will contain the binary data.
CancelOperation
Set to True to cancel the paste operation. No record will be inserted into the report.

Remarks

The BeforePaste event allows the record (Record) to be customized before the new record is inserted into the report.

See Also

ReportControl Control | BeforePasteFromText Event | BeforeCopyToText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

ReportControl Control | BeforeCopyToText Event | BeforePaste Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record
Pointer to the new ReportRecord that will contain the text data.
strText
String that contains record items values delimited by tabs.
CancelOperation
Set to True to cancel the paste operation. No record will be inserted into the report.
See Also Report Control ActiveX Control v19.3

BeforePasteFromText Event

Description

Occurs before a record that contains ONLY text data is inserted\pasted into the report.

Syntax

Public Event BeforePasteFromText( _
   ByVal Record As ReportRecord, _
   ByRef strText As String, _
   ByRef CancelOperation As Variant _
)

Parameters

Record
Pointer to the new ReportRecord that will contain the text data.
strText
String that contains record items values delimited by tabs.
CancelOperation
Set to True to cancel the paste operation. No record will be inserted into the report.

Remarks

The BeforePasteFromText event allows the record (Record) and record data (strText) to be customized before the new record is inserted into the report.

See Also

ReportControl Control | BeforeCopyToText Event | BeforePaste Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | DropRecords Event | XTPReportDragDrop Enumeration

Records
ReportRecords collection containing all of the records that will be dragged. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.
See Also Report Control ActiveX Control v19.3

BeginDrag Event

Description

Occurs when records start to be dragged from\within the Report Control.

Syntax

Public Event BeginDrag( _
   ByVal Records As ReportRecords _
)

Parameters

Records
ReportRecords collection containing all of the records that will be dragged. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

Remarks

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

Notes:

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

CreateRecordsis primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecordswith the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

See Also

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

ReportControl Control | InplaceEditHwnd Property

Row
Reference to the ReportRow that contains the ReportRecordItem that is beginning editing.
Column
Reference to the ReportColumn that contains the ReportRecordItem that is beginning editing.
Item
Reference to the ReportRecordItem that is beginning editing.
See Also Report Control ActiveX Control v19.3

BeginEdit Event

Description

Occurs when the user begins to edit an item.

Syntax

Public Event BeginEdit( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
Reference to the ReportRow that contains the ReportRecordItem that is beginning editing.
Column
Reference to the ReportColumn that contains the ReportRecordItem that is beginning editing.
Item
Reference to the ReportRecordItem that is beginning editing.

See Also

ReportControl Control | InplaceEditHwnd Property


%%PageItemTitle%%

ReportControl Control | SendContextMenuForWholeHeaderArea Property

Column
The ReportColumn that was right-clicked
See Also Report Control ActiveX Control v19.3

ColumnClick Event

Description

Occurs when a ReportColumn header or Report Header Area is right-clicked in the ReportControl.

Syntax

Public Event ColumnClick( _
   ByVal Column As ReportColumn _
)

Parameters

Column
The ReportColumn that was right-clicked

Remarks

This can be used to display a context menu when the column header has been right-clicked.

The SendContextMenuForWholeHeaderArea property specifies whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header, not just the column headers.

See Also

ReportControl Control | SendContextMenuForWholeHeaderArea Property


%%PageItemTitle%%

ReportControl Control

Column
Affected column.
Reason
Reason the event occured (The reason a column's order has changed.).
See Also Report Control ActiveX Control v19.3

ColumnOrderChangedEx Event

Description

Occurs when the order of the columns change.

Syntax

Public Event ColumnOrderChangedEx( _
   ByVal Column As ReportColumn, _
   ByVal Reason As XTPReportColumnOrderChangedReason _
)

Parameters

Column
Affected column.
Reason
Value | Description
xtpReportColumnChangeOther | Neither column order nor group order is changed.
xtpReportColumnOrderChanged | Column order changed.
xtpReportColumnGroupOrderChanged | Group order changed.
xtpReportColumnOrderChangedMask | A mask for order change flags.
xtpReportColumnAdded | A column is added to the column list.
xtpReportColumnRemoved | A column is removed from the column list.
xtpReportColumnPropExchange | The column properties changed during properties exchange procedure.
xtpReportColumnCaptionChanged | The column caption is changed.
xtpReportColumnWidthChanged | The column width is changed.
xtpReportColumnShown | A column visibility property is changed to "visible".
xtpReportColumnHidden | A column visibility property is changed to "hidden".
xtpReportColumnMoved | A column is moved.
xtpReportColumnAddedToGroupby | A column is added to the GroupBy box.
xtpReportColumnRemovedFromGroupby | A column is removed from the GroupBy box.
xtpReportColumnAddedToFieldChooser | A column is added to the Field Chooser.
xtpReportColumnRemovedFromFieldChooser | A column is removed from the Field Chooser.
xtpReportColumnChangeMask | A mask for column change flags.
Reason the event occured (The reason a column's order has changed.).

Remarks

This event occurs when a columns order is changed by the user dragging the column to another position, when a column header is dragged into the Group By box, when the order of the column headers change in the Group By box, when a column header is clicked on and/or dragged in the FieldChooser, and when a column header is added to the FieldChooser.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Column
Reference to the ReportColumn in which the column width was changed.
PrevWidth
Previous width of the column.
NewWidth
New width of the column.
See Also Report Control ActiveX Control v19.3

ColumnWidthChanged Event

Description

Occurs when the width of a column has changed.

Syntax

Public Event ColumnWidthChanged( _
   ByVal Column As ReportColumn, _
   ByVal PrevWidth As Integer, _
   ByVal NewWidth As Integer _
)

Parameters

Column
Reference to the ReportColumn in which the column width was changed.
PrevWidth
Previous width of the column.
NewWidth
New width of the column.

Remarks

Occurs when the width of a column has changed. This can happen when the user changes the width or when the Report Control automatically changes the width.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
Row that contains the constraint list currently being navigated.
Column
Column that contains the constraint list currently being navigated.
Item
Item that contains the constraint list currently being navigated.
Constraint
Currently selected constraint in the constraint list.
See Also Report Control ActiveX Control v19.3

ConstraintSelecting Event

Description

Occurs when a constraints list is navigated with the keyboard arrow keys.

Syntax

Public Event ConstraintSelecting( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByVal Constraint As ReportRecordItemConstraint _
)

Parameters

Row
Row that contains the constraint list currently being navigated.
Column
Column that contains the constraint list currently being navigated.
Item
Item that contains the constraint list currently being navigated.
Constraint
Currently selected constraint in the constraint list.

Remarks

Occurs when a constraints list is navigated with the keyboard arrow keys.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | EnableDragDrop Method | DragRecords Method | BeginDrag Event | DropRecordsEx Event

Records
ReportRecords collection containing all of the records that have been dragged or dropped.
dropEffect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
See Also Report Control ActiveX Control v19.3

DragDropCompleted Event

Description

Occurs when the drag and drop operation has completed.

Syntax

Public Event DragDropCompleted( _
   ByVal Records As ReportRecords, _
   ByVal dropEffect As Long _
)

Parameters

Records
ReportRecords collection containing all of the records that have been dragged or dropped.
dropEffect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

See Also

ReportControl Control | EnableDragDrop Method | DragRecords Method | BeginDrag Event | DropRecordsEx Event


%%PageItemTitle%%

ReportControl Control

TargetRecord
Reference to the ReportRecord that is currently being dragged over.
Records
Collection of ReportRecords being dragged.
Above
Specifies if the records will be dropped above or below the TargetRecord.
x
x-coordinate of the mouse cursor,
y
y-coordinate of the mouse cursor,
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.
See Also Report Control ActiveX Control v19.3

DragOverRecords Event

Description

Occurs when the user is dragging records over other record.

Syntax

Public Event DragOverRecords( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal state As Integer _
)

Parameters

TargetRecord
Reference to the ReportRecord that is currently being dragged over.
Records
Collection of ReportRecords being dragged.
Above
Specifies if the records will be dropped above or below the TargetRecord.
x
x-coordinate of the mouse cursor,
y
y-coordinate of the mouse cursor,
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | MeasureRow Event

Row
The ReportRow that contains the ReportRecordItem that is currently being drawn.
Column
The ReportColumn that that contains the items that is currently being drawn.
Item
The ReportRecordItem in the ReportRow that is currently being drawn.
hDC
Window device context for WinApi drawing calls.
left
Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
top
Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
right
Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
bottom
Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

See Also Report Control ActiveX Control v19.3

DrawItem Event

Description

Occurs when a ReportRecordItem is drawn.

Syntax

Public Event DrawItem( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByVal hDC As Integer, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long, _
   ByRef DoDefault As Boolean _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem that is currently being drawn.
Column
The ReportColumn that that contains the items that is currently being drawn.
Item
The ReportRecordItem in the ReportRow that is currently being drawn.
hDC
Window device context for WinApi drawing calls.
left
Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
top
Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
right
Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
bottom
Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

The DrawItem event can be used to do custom drawing such as drawing a progress bar in the item. To do custom drawing, DoDefault must be False.

See Also

ReportControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | MeasureRow Event


%%PageItemTitle%%

ReportControl Control | PreviewItem Property

Row
The ReportRow that contains the preview row that is currently being drawn.
Item
The "special" ReportRecordItem that represents the data displayed in the preview row. See PreviewItem for more details.
hDC
Window device context for WinApi drawing calls.
left
Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
top
Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
right
Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
bottom
Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

See Also Report Control ActiveX Control v19.3

DrawPreviewItem Event

Description

Occurs when the preview item for each ReportRow is drawn.

Syntax

Public Event DrawPreviewItem( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal hDC As Integer, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long, _
   ByRef DoDefault As Boolean _
)

Parameters

Row
The ReportRow that contains the preview row that is currently being drawn.
Item
The "special" ReportRecordItem that represents the data displayed in the preview row. See PreviewItem for more details.
hDC
Window device context for WinApi drawing calls.
left
Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
top
Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.
right
Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
bottom
Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.
DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

See Also

ReportControl Control | PreviewItem Property


%%PageItemTitle%%

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | XTPReportDragDrop Enumeration | RecordsDropped Event

TargetRecord
Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.
Records
ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.
Above
Specifies if the records were dropped above or below the TargetRecord.
See Also Report Control ActiveX Control v19.3

DropRecordsEx Event

Description

Occurs when records are dropped into a Report Control but before they are actually added to the report.

Syntax

Public Event DropRecordsEx( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean _
)

Parameters

TargetRecord
Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.
Records
ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.
Above
Specifies if the records were dropped above or below the TargetRecord.

Remarks

The DropRecordsEx event occurs when records are dropped into a Report Control but before they are actually added to the report, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

The RecordsDropped event occurs once the records have actually been added to the report and the report has been updated.

Notes:

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

See Also

ReportControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | XTPReportDragDrop Enumeration | RecordsDropped Event

Example

Drag and Drop Sample


%%PageItemTitle%%

ReportControl Control

Row
Item's row pointer
Column
Item's column pointer
Item
Pointer to the associated item.
See Also Report Control ActiveX Control v19.3

EditCanceled Event

Description

Occurs when in-place editing is canceled and value is not changed.

Syntax

Public Event EditCanceled( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
Item's row pointer
Column
Item's column pointer
Item
Pointer to the associated item.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | FocusChanged Event | SelectionChanged Event

NewRow
Reference to the new ReportRow which has been selected.
NewColumn
Reference to the new ReportColumn which has been selected.
NewItem
Reference to the new ReportRecordItem which has been selected.
Cancel
Set to True to cancel the selection operation.
See Also Report Control ActiveX Control v19.3

FocusChanging Event

Description

Occurs before a user selects a row or a column.

Syntax

Public Event FocusChanging( _
   ByVal NewRow As ReportRow, _
   ByVal NewColumn As ReportColumn, _
   ByVal NewItem As ReportRecordItem, _
   ByRef Cancel As Boolean _
)

Parameters

NewRow
Reference to the new ReportRow which has been selected.
NewColumn
Reference to the new ReportColumn which has been selected.
NewItem
Reference to the new ReportRecordItem which has been selected.
Cancel
Set to True to cancel the selection operation.

Remarks

Before the user selects a row in the ReportControl, it fires the FocusChanging event. The SelectionChanged event is fired when the focus has changed.

See Also

ReportControl Control | FocusChanged Event | SelectionChanged Event


%%PageItemTitle%%

ReportControl Control | ReportToolTipInfo Object

toolTipInfo
Contains a reference to the item, row, and text for the tooltip.
See Also Report Control ActiveX Control v19.3

GetToolTipInfo Event

Description

Occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed.

Syntax

Public Event GetToolTipInfo( _
   ByVal toolTipInfo As ReportToolTipInfo _
)

Parameters

toolTipInfo
Contains a reference to the item, row, and text for the tooltip.

Remarks

GetToolTipInfo occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed. You can view and edit the text that will be displayed in the tool tip using the ToolTipText property of ReportToolTipInfo.

Tooltips are only displayed for items with text that is not totally visible.

See Also

ReportControl Control | ReportToolTipInfo Object


%%PageItemTitle%%

ReportControl Control

Effect

Effect of a drop operation.

DROPEFFECT_NONE: 0 - Drop target cannot accept the data.
DROPEFFECT_COPY: 1 - Drop results in a copy. The original data is untouched by the drag source.
DROPEFFECT_MOVE: 2 - Drag source should remove the data.
DROPEFFECT_LINK: 4 - Drag source should create a link to the original data.

DragStarted
True if the drag operation has been started.
Cancel
True to cancel the operation.
See Also Report Control ActiveX Control v19.3

GiveFeedback Event

Description

Called during drag operations, provides visual feedback during drag-and-drop operations.

Syntax

Public Event GiveFeedback( _
   ByVal Effect As Long, _
   ByVal DragStarted As Boolean, _
   ByRef Cancel As Boolean _
)

Parameters

Effect

Effect of a drop operation.

DROPEFFECT_NONE: 0 - Drop target cannot accept the data.
DROPEFFECT_COPY: 1 - Drop results in a copy. The original data is untouched by the drag source.
DROPEFFECT_MOVE: 2 - Drag source should remove the data.
DROPEFFECT_LINK: 4 - Drag source should create a link to the original data.

DragStarted
True if the drag operation has been started.
Cancel
True to cancel the operation.

Remarks

This event enables a source application to give visual feedback to the end user during a drag-and-drop operation by providing the Drag Drop functions with an enumeration value specifying the visual effect.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Column
Reason
See Also Report Control ActiveX Control v19.3

GroupOrderChangedEx Event

Description

Occurs when the user changes the columns group order of report control.

Syntax

Public Event GroupOrderChangedEx( _
   ByVal Column As ReportColumn, _
   ByVal Reason As XTPReportColumnOrderChangedReason _
)

Parameters

Column
Reason
Value | Description
xtpReportColumnChangeOther | Neither column order nor group order is changed.
xtpReportColumnOrderChanged | Column order changed.
xtpReportColumnGroupOrderChanged | Group order changed.
xtpReportColumnOrderChangedMask | A mask for order change flags.
xtpReportColumnAdded | A column is added to the column list.
xtpReportColumnRemoved | A column is removed from the column list.
xtpReportColumnPropExchange | The column properties changed during properties exchange procedure.
xtpReportColumnCaptionChanged | The column caption is changed.
xtpReportColumnWidthChanged | The column width is changed.
xtpReportColumnShown | A column visibility property is changed to "visible".
xtpReportColumnHidden | A column visibility property is changed to "hidden".
xtpReportColumnMoved | A column is moved.
xtpReportColumnAddedToGroupby | A column is added to the GroupBy box.
xtpReportColumnRemovedFromGroupby | A column is removed from the GroupBy box.
xtpReportColumnAddedToFieldChooser | A column is added to the Field Chooser.
xtpReportColumnRemovedFromFieldChooser | A column is removed from the Field Chooser.
xtpReportColumnChangeMask | A mask for column change flags.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Section
Section that was scrolled.
Position
Current position of the scrollbar.
See Also Report Control ActiveX Control v19.3

HScroll Event

Description

Occurs when the report has been horizontally scrolled.

Syntax

Public Event HScroll( _
   ByVal Section As Long, _
   ByVal Position As Long _
)

Parameters

Section
Section that was scrolled.
Position
Current position of the scrollbar.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
Row that contains the clicked hyperlink.
Item
Item that contains the clicked hyperlink.
HyperlinkIndex
Index of the clicked hyperlink.
See Also Report Control ActiveX Control v19.3

HyperlinkClick Event

Description

Occurs when a hyperlink in an item is clicked.

Syntax

Public Event HyperlinkClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal HyperlinkIndex As Long _
)

Parameters

Row
Row that contains the clicked hyperlink.
Item
Item that contains the clicked hyperlink.
HyperlinkIndex
Index of the clicked hyperlink.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportInplaceButton Object | Column Property | Id Property | Item Property | Row Property

Button

[out] A ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. The Id indicates the type of button pressed.

See Also Report Control ActiveX Control v19.3

InplaceButtonDown Event

Description

Occurs when a combo button or expand button that was added by the developer is clicked in an editable ReportRecordItem.

Syntax

Public Event InplaceButtonDown( _
   ByVal Button As ReportInplaceButton _
)

Parameters

Button

[out] A ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. The Id indicates the type of button pressed.

Remarks

The Button parameter is a ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. This can be used to determine the Column, Item, and Row the button is in, and the Id indicates the type of button pressed.

See Also

ReportControl Control | ReportInplaceButton Object | Column Property | Id Property | Item Property | Row Property


%%PageItemTitle%%

ReportControl Control | InplaceButtonDown Event | InplaceEditHwnd Property

Row
ReportRow that contains the ReportRecordItem that is currently getting edited.
Column
ReportColumn that contains the ReportRecordItem that is currently getting edited.
Item
ReportRecordItem that contains the in-place button that is currently getting edited.
NewValue
The new value of the item with the changed that have been made.
Cancel
Set to True to cancel the edit operation.
See Also Report Control ActiveX Control v19.3

InplaceEditChanging Event

Description

Occurs when an in-place button is used to edit an item's value.

Syntax

Public Event InplaceEditChanging( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef NewValue As String, _
   ByRef Cancel As Boolean _
)

Parameters

Row
ReportRow that contains the ReportRecordItem that is currently getting edited.
Column
ReportColumn that contains the ReportRecordItem that is currently getting edited.
Item
ReportRecordItem that contains the in-place button that is currently getting edited.
NewValue
The new value of the item with the changed that have been made.
Cancel
Set to True to cancel the edit operation.

See Also

ReportControl Control | InplaceButtonDown Event | InplaceEditHwnd Property


%%PageItemTitle%%

ReportControl Control

Row
Row of the button that was clicked.
Item
Item the the button belongs to for the button that was clicked.
Button
Button that was clicked.
See Also Report Control ActiveX Control v19.3

ItemButtonClick Event

Description

Occurs when an ReportItemControl button is clicked

Syntax

Public Event ItemButtonClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal Button As ReportItemControl _
)

Parameters

Row
Row of the button that was clicked.
Item
Item the the button belongs to for the button that was clicked.
Button
Button that was clicked.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ReportRecordItem HasCheckbox Property

Row
The ReportRow that contains the ReportRecordItem that was clicked.
Item
The ReportRecordItem that contains the checkbox that was clicked.
See Also Report Control ActiveX Control v19.3

ItemCheck Event

Description

Occurs when a checkbox of a ReportRecordItem is clicked.

Syntax

Public Event ItemCheck( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem that was clicked.
Item
The ReportRecordItem that contains the checkbox that was clicked.

Remarks

This event is not triggered if the checkbox is check via code.

See Also

ReportControl Control | ReportRecordItem HasCheckbox Property


%%PageItemTitle%%

ReportControl Control | FocusedRow Property | PreviewKeyDown Event

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed
See Also Report Control ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed on the keyboard and the ReportControl has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed

Remarks

This can be used in conjunction with the FocusedRow property to perform actions on the currently focused ReportRow and ReportRecordItems when a key or key combination is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

The PreviewKeyDown event will occur immediately BEFORE the KeyDown event is fired to give you a chance to cancel or filter a key press if needed.

Example

[KeyDown event sample (Visual Basic)] This sample illustrates how to use the KeyDown event to check/un-check the checkbox of a ReportRecordItem in the currently focus ReportRow.

Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next

    'If the SpaceBar is pressed, then toggle the state of the checkbox in
    'the first record of the focused row
    If (KeyCode = 32) Then
        Dim Item As ReportRecordItem
        'Returns a reference to the row that currently has focus
        Set Item = wndReportControl.FocusedRow.Record(0)
        Item.Checked = Not Item.Checked
    End If
End Sub

See Also

ReportControl Control | FocusedRow Property | PreviewKeyDown Event


%%PageItemTitle%%

ReportControl Control

KeyCode
ASCII code for the key that was released.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed
See Also Report Control ActiveX Control v19.3

KeyUp Event

Description

Occurs when a key on the keyboard has been released (after being pressed) and the ReportControl has focus.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
ASCII code for the key that was released.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed

Remarks

Occurs after a key has been pressed and then released.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | SetCustomDraw Method | XTPReportCustomDraw Enumeration

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
hDC
Window device context for WinApi drawing calls.
Width
Width of the row.
Height
Height of the Row.
See Also Report Control ActiveX Control v19.3

MeasurePreviewItem Event

Description

Occurs before a Preview Item is drawn.

Syntax

Public Event MeasurePreviewItem( _
   ByVal Row As ReportRow, _
   ByVal hDC As Integer, _
   ByVal Width As Integer, _
   ByRef Height As Integer _
)

Parameters

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
hDC
Window device context for WinApi drawing calls.
Width
Width of the row.
Height
Height of the Row.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

This event occurs before the BeforeDrawRow event and returns the bounding rectangle of the row that will be drawn. These coordinates can be used for custom drawing.

See Also

ReportControl Control | SetCustomDraw Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

ReportControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | DrawItem Event

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
hDC
Window device context for WinApi drawing calls.
Width
Width of the row.
Height
Height of the Row.
See Also Report Control ActiveX Control v19.3

MeasureRow Event

Description

Occurs before a row is drawn.

Syntax

Public Event MeasureRow( _
   ByVal Row As ReportRow, _
   ByVal hDC As Integer, _
   ByVal Width As Integer, _
   ByRef Height As Integer _
)

Parameters

Row
The ReportRow that contains the next ReportRecordItem to be drawn.
hDC
Window device context for WinApi drawing calls.
Width
Width of the row.
Height
Height of the Row.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

This event occurs before the BeforeDrawRow event and returns the bounding rectangle of the row that will be drawn. These coordinates can be used for custom drawing.

See Also

ReportControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | DrawItem Event


%%PageItemTitle%%

ReportControl Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Report Control ActiveX Control v19.3

MouseDown Event

Description

Occurs when a button on the mouse is pressed anywhere on the ReportControl.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ReportControl Control

Example

HitTest Method


%%PageItemTitle%%

ReportControl Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Report Control ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved anywhere over the ReportControl.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Report Control ActiveX Control v19.3

MouseUp Event

Description

Occurs when a button on the mouse has been released anywhere on the ReportControl.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | OLEDragOver Event | OLEDropMode Property | OLEDropAbove Property

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
See Also Report Control ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

Example

[Drag and Drop from and external source (Visual Basic)] This sample illustrates how to drag and drop custom items into the report control. This sample assume this is a List View named wndListView.

Dim DragListItem As ListItem

Private Sub Form_Load()
    wndReportControl.Columns.Add 0, "Files", 100, True

    wndListView.ListItems.Add , , "File 1"
    wndListView.ListItems.Add , , "File 2"
    wndListView.ListItems.Add , , "File 3"
End Sub

Private Sub wndListView_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Button = vbLeftButton) Then
        Dim Item As ListItem
        Set Item = wndListView.HitTest(x, y)
        If (Not Item Is Nothing) Then
            Set DragListItem = Item
            wndListView.OLEDrag
            Set DragListItem = Nothing
        End If
    End If

End Sub

Private Sub wndListView_OLEStartDrag(Data As MSComctlLib.DataObject, AllowedEffects As Long)
    If Not DragListItem Is Nothing Then
        AllowedEffects = vbDropEffectCopy
        Data.SetData DragListItem.Text, vbCFText
    End If
End Sub

Private Sub wndListView_OLEDragDrop(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
        For Each File In Data.Files
            wndListView.ListItems.Add , , File
        Next
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndListView_OLEDragOver(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single, state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndReportControl_OLEDragDrop(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single)
Dim Record As ReportRecord

    If Data.GetFormat(vbCFText) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)

        Dim ht As ReportHitTestInfo

        Set ht = wndReportControl.HitTest(x / Screen.TwipsPerPixelX, y / Screen.TwipsPerPixelY)
        Dim Index As Long
        Index = wndReportControl.Records.Count

        If (Not ht.Row Is Nothing) Then
            If (Not ht.Row.Record Is Nothing) Then
                Index = ht.Row.Record.Index
                Dim RowLeft As Long, RowTop As Long, RowRight As Long, RowBottom As Long
                ht.Row.GetRect RowLeft, RowTop, RowRight, RowBottom
                If (RowTop + RowBottom) / 2 < y / Screen.TwipsPerPixelY Then Index = Index + 1
            End If
        End If

        Set Record = wndReportControl.Records.Insert(Index)

         Record.AddItem Text

        wndReportControl.Populate
    ElseIf Data.GetFormat(vbCFFiles) Then
        For Each File In Data.Files
            Set Record = wndReportControl.Records.Add
            Record.AddItem File
        Next
        wndReportControl.Populate
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndReportControl_OLEDragOver(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

[Drop file names from windows explorer using ReportControl_OLEDragDrop (Visual Basic)] This sample illustrates how to drag and drop file names from a Windows Explorer window into the Report using the ReportControl_OLEDragDrop event.

'Credits: to Karl E. Peterson (http://www.mvps.org/vb) for the FileInfo classes used.
'Credits: to Peter59 in Codejock Forums for the base sample we modified

Option Explicit

Private Const Modulname = "frmMain"
Dim xX As Integer, yY As Integer
Dim bAbove As Boolean

Private Sub Form_Load()

    InitReportControl

End Sub 'Form_Load()

Private Sub Form_Resize()
    wndReportControl.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight
End Sub 'Form_Resize()

Private Sub InitReportControl()

    With wndReportControl
        .PaintManager.ColumnStyle = xtpColumnResource
        .PaintManager.NoItemsText = "Drop files here..."

        .OLEDropMode = xtpOLEDropManual
        .EnableDragDrop "AUselessString", xtpReportAllowDrop
    End With

    With wndReportControl.Columns
        .Add 0, "FileNo", 30, True
        .Add 1, "Fullname", 150, True
        .Add 2, "Path", 150, True
        .Add 3, "Name", 150, True
    End With

    bAbove = True

    wndReportControl.SortedDragDrop = True

End Sub 'InitReportControl()

Private Sub wndReportControl_MouseMove(Button As Integer, Shift As Integer, x As Long, y As Long)
    xX = x
    yY = y
End Sub

Private Sub wndReportControl_OLEDragDrop(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single)

    Debug.Print "wndReportControl_OLEDragDrop..."

    If Data.GetFormat(vbCFFiles) Then

        Dim DroppedFiles As XtremeReportControl.DataObjectFiles
        Dim rptRec As XtremeReportControl.ReportRecord
        Dim rptRowDrop As XtremeReportControl.ReportRow

        Dim i As Integer, offset As Integer

        offset = 0
        Set rptRowDrop = Nothing

        If Not wndReportControl.HitTest(xX, yY).Row Is Nothing Then
            Set rptRowDrop = wndReportControl.HitTest(xX, yY).Row
            bAbove = False
        Else
            Select Case wndReportControl.HitTest(xX, yY).ht
                Case xtpHitTestReportArea:
                    bAbove = False
                Case xtpHitTestGroupBox, xtpHitTestHeader:
                    bAbove = True
                Case Default:
                    bAbove = False
            End Select
        End If

        Set DroppedFiles = Data.Files

        If (DroppedFiles Is Nothing) Then Exit Sub

        If Not rptRowDrop Is Nothing Then
            offset = rptRowDrop.Record.Index
        End If

        wndReportControl.SelectedRows.DeleteAll

        For i = 0 To DroppedFiles.Count - 1
            '-- add a new ReportRecord to the collection of records
            Set rptRec = New ReportRecord

            With rptRec
                .AddItem i + 1 + offset
                .AddItem DroppedFiles(i + 1)
                .AddItem GetPathPart(DroppedFiles(i + 1))
                .AddItem GetNamePart(DroppedFiles(i + 1))
            End With

            If wndReportControl.Records.Count = 0 Or bAbove = True Then
                wndReportControl.Records.InsertAt 0, rptRec
            ElseIf bAbove = False Then
                If rptRowDrop Is Nothing Then
                    wndReportControl.Records.InsertAt wndReportControl.Records.Count, rptRec
                Else
                    If wndReportControl.OLEDropAbove Then
                        wndReportControl.Records.InsertAt (offset), rptRec
                    Else
                        wndReportControl.Records.InsertAt (offset + 1), rptRec
                    End If
                End If
            End If

        Next i

        wndReportControl.Populate

    End If

End Sub 'wndReportControl_OLEDragDrop()

Private Sub wndReportControl_OLEDragOver(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal state As Integer)

End Sub 'wndReportControl_OLEDragOver()

Public Function GetNamePart(sFile As String) As String

    Dim iPos As Long

    On Error Goto Err_GetNamePart

    '-- search last backslash
    iPos = InStrRev(sFile, "\", -1, vbBinaryCompare)

    If iPos > 0 Then
        GetNamePart = Mid$(sFile, iPos + 1)
    Else
        GetNamePart = sFile
    End If

Exit_GetNamePart:
    Exit Function

Err_GetNamePart:
    MsgBox "Error: " & Err.Number & ". " & Err.Description, , Modulname & "_GetNamePart"
    Resume Exit_GetNamePart

End Function 'GetNamePart()

Public Function GetPathPart(sFile As String) As String

    Dim iPos As Long

    On Error Goto Err_GetPathPart

    '-- search last backslash
    iPos = InStrRev(sFile, "\", -1, vbBinaryCompare)

    If iPos > 0 Then
        GetPathPart = Left$(sFile, iPos)
    Else
        GetPathPart = sFile
    End If

Exit_GetPathPart:
    Exit Function

Err_GetPathPart:
    MsgBox "Error: " & Err.Number & ". " & Err.Description, , Modulname & "_GetPathPart"
    Resume Exit_GetPathPart

End Function 'GetPathPart()

See Also

ReportControl Control | OLEDragOver Event | OLEDropMode Property | OLEDropAbove Property


%%PageItemTitle%%

ReportControl Control | OLEDragDrop Event | OLEDropAbove Property | OLEDropMode Property

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.
See Also Report Control ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also

ReportControl Control | OLEDragDrop Event | OLEDropAbove Property | OLEDropMode Property

Example

OLEDragDrop Sample


%%PageItemTitle%%

ReportControl Control

Column
Column that contains the plus\minus button that was clicked.
See Also Report Control ActiveX Control v19.3

PlusMinusClick Event

Description

Occurs when a plus\minus button is clicked.

Syntax

Public Event PlusMinusClick( _
   ByVal Column As ReportColumn _
)

Parameters

Column
Column that contains the plus\minus button that was clicked.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | KeyDown Event

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed
Cancel
Set to True to cancel the KeyDown event from occuring.
See Also Report Control ActiveX Control v19.3

PreviewKeyDown Event

Description

Occurs immediately before the KeyDown event.

Syntax

Public Event PreviewKeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer, _
   ByRef Cancel As Boolean _
)

Parameters

KeyCode
ASCII code for the key that was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed
Cancel
Set to True to cancel the KeyDown event from occuring.

Remarks

The PreviewKeyDown event will occur immediately BEFORE the KeyDown event is fired to give you a chance to cancel or filter a key press if needed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ReportControl Control | KeyDown Event


%%PageItemTitle%%

ReportControl Control | DropRecordsEx Event

TargetRecord
Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.
Records
ReportRecords collection containing all of the records that will be dropped into the Report Control.
Above
Specifies if the records were dropped above or below the TargetRecord.
See Also Report Control ActiveX Control v19.3

RecordsDropped Event

Description

Occurs once records have been dropped onto the report and the records have actually been added to the report and the report has been updated.

Syntax

Public Event RecordsDropped( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean _
)

Parameters

TargetRecord
Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.
Records
ReportRecords collection containing all of the records that will be dropped into the Report Control.
Above
Specifies if the records were dropped above or below the TargetRecord.

Remarks

The RecordsDropped event occurs once the records have actually been added to the report and the report has been updated.

The DropRecordsEx event occurs when records are dropped into a Report Control but before they are actually added to the report, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

ReportControl Control | DropRecordsEx Event


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
The ReportRow that contains the ReportRecordItem that has entered edit mode.
Column
The ReportColumn that contains the ReportRecordItem that has entered edit mode.
Item
The ReportRecordItem that has entered edit mode.
Cancel
Set to True to cancel the edit request.
See Also Report Control ActiveX Control v19.3

RequestEdit Event

Description

Occurs when an item\cell enters edit mode.

Syntax

Public Event RequestEdit( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef Cancel As Boolean _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem that has entered edit mode.
Column
The ReportColumn that contains the ReportRecordItem that has entered edit mode.
Item
The ReportRecordItem that has entered edit mode.
Cancel
Set to True to cancel the edit request.

Remarks

The RequestEdit event occurs when an editable item enters edit mode or when an item with a checkbox is checked\unchecked.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
The ReportRow that contains the ReportRecordItem that was double-clicked.
Item
The ReportRecordItem that was double-clicked.
See Also Report Control ActiveX Control v19.3

RowDblClick Event

Description

Occurs when a ReportRecordItem in a ReportRow is double-clicked.

Syntax

Public Event RowDblClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem that was double-clicked.
Item
The ReportRecordItem that was double-clicked.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
The ReportRow that was expanded.
See Also Report Control ActiveX Control v19.3

RowExpanded Event

Description

Occurs when a ReportRow is expanded.

Syntax

Public Event RowExpanded( _
   ByVal Row As ReportRow _
)

Parameters

Row
The ReportRow that was expanded.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
PrevHeight
NewHeight
See Also Report Control ActiveX Control v19.3

RowHeightChanged Event

Syntax

Public Event RowHeightChanged( _
   ByVal Row As ReportRow, _
   ByVal PrevHeight As Integer, _
   ByVal NewHeight As Integer _
)

Parameters

Row
PrevHeight
NewHeight

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
The ReportRow that contains the ReportRecordItem that was right-clicked.
Item
The ReportRecordItem that was right-clicked.
See Also Report Control ActiveX Control v19.3

RowRClick Event

Description

Occurs when a ReportRecordItem in a ReportRow is right-clicked.

Syntax

Public Event RowRClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem that was right-clicked.
Item
The ReportRecordItem that was right-clicked.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | SortOrderChanged Event | FocusChanging Event

See Also Report Control ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when a row is selected in the ReportControl.

Syntax

Public Event SelectionChanged()

Remarks

Occurs when a row is clicked by a mouse button and when a row is selected by moving the Up and Down arrow keys. The FocusChanging event occurs right before the selection has changed.

See Also

ReportControl Control | SortOrderChanged Event | FocusChanging Event


%%PageItemTitle%%

ReportControl Control

NewRow
Reference to the row added, removed or cleared to/from the selection.
ChangeType
The type of selection being performed.
Cancel
Set to True to cancel the operation.
See Also Report Control ActiveX Control v19.3

SelectionChanging Event

Description

Occurs when the selection is in t he process of changing in the ReportControl.

Syntax

Public Event SelectionChanging( _
   ByVal NewRow As ReportRow, _
   ByVal ChangeType As XTPReportSelectionChangeType, _
   ByRef Cancel As Boolean _
)

Parameters

NewRow
Reference to the row added, removed or cleared to/from the selection.
ChangeType
Value | Description
xtpReportSelectionAdd | Row will be added to selected rows collection.
xtpReportSelectionRemove | Row will be removed from selected rows collection.
xtpReportSelectionClear | The selected rows collection will be cleared.
The type of selection being performed.
Cancel
Set to True to cancel the operation.

Remarks

This event can be used to catch when a row is added to/from the current selection or when the selection is being cleared. Set Cancel to True to cancel the action.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

See Also Report Control ActiveX Control v19.3

SortOrderChanged Event

Description

Occurs when the column sort order is changed.

Syntax

Public Event SortOrderChanged()

Remarks

Occurs when the sort order is changed when the user clicks on the column headers to sort by a particular column.

This event is not triggered if the sort order is changed via code.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control

Row
ReportRow of the ReportRecordItem who's value has changed.
Column
ReportColumn of the ReportRecordItem.
Item
ReportRecordItem who's value has changed.
See Also Report Control ActiveX Control v19.3

ValueChanged Event

Description

Occurs when the value of a ReportRecordItem has changed.

Syntax

Public Event ValueChanged( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row
ReportRow of the ReportRecordItem who's value has changed.
Column
ReportColumn of the ReportRecordItem.
Item
ReportRecordItem who's value has changed.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControl Control | ValueChanged Event

Row
The ReportRow that contains the ReportRecordItem who's value is changing.
Column
The ReportColumn that contains the ReportRecordItem who's value is changing.
Item
The ReportRecordItem who's value is changing.
NewValue
The value the item is changing to. This will be the new value for the item if the operation is not canceled.
Cancel
Set to True to cancel the changes made to the items value.
See Also Report Control ActiveX Control v19.3

ValueChanging Event

Description

Occurs after the value of an item has been changed by the user, but before the new value has been set to the item.

Syntax

Public Event ValueChanging( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef NewValue As Variant, _
   ByRef Cancel As Boolean _
)

Parameters

Row
The ReportRow that contains the ReportRecordItem who's value is changing.
Column
The ReportColumn that contains the ReportRecordItem who's value is changing.
Item
The ReportRecordItem who's value is changing.
NewValue
The value the item is changing to. This will be the new value for the item if the operation is not canceled.
Cancel
Set to True to cancel the changes made to the items value.

Remarks

Occurs after the value of an item has been changed by the user, but before the new value has been set to the item. This allows the new value to be checked and canceled or modified if needed.

The ValueChanged event will occur immediately after the ValueChanging event.

See Also

ReportControl Control | ValueChanged Event


%%PageItemTitle%%

ReportControl Control

Section
Section that was scrolled.
Position
Current position of the scrollbar.
See Also Report Control ActiveX Control v19.3

VScroll Event

Description

Occurs when the report has been vertically scrolled.

Syntax

Public Event VScroll( _
   ByVal Section As Long, _
   ByVal Position As Long _
)

Parameters

Section
Section that was scrolled.
Position
Current position of the scrollbar.

See Also

ReportControl Control


%%PageItemTitle%%

ReportControlGlobalSettings Members

See Also Report Control ActiveX Control v19.3

ReportControlGlobalSettings Object

Description

Report Control Global Settings.

For a list of all members defined in this module, see ReportControlGlobalSettings members.

Object Model

See Also

ReportControlGlobalSettings Members


%%PageItemTitle%% $$Members$$

ReportControlGlobalSettings Overview

See Also Report Control ActiveX Control v19.3

ReportControlGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange | Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
Public Method FreeBatchExtraData | Call this method when rows use batch memory allocation to check all allocated blocks and deallocate block which are completely free.
Public Method UseBatchAllocation | Call this method to enable batch allocation feature for report rows.
Public Method UseReportCustomHeap | Tells the report control to create its own memory heap instead of letting MFC allocate memory (In standard mode, not virtual).

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property Icons | Global icon collection used to store icons for the report control.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed ReportControl OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Report Control OCX is used.
Public Property UseResourceFileLocale | True to use the resource language for date and time formatting as opposed to using the system settings.
Public Property Version | Returns the current Report Control version as a string.

See Also

ReportControlGlobalSettings Overview


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object | UseBatchAllocation Method

See Also Report Control ActiveX Control v19.3

FreeBatchExtraData Method

Description

Call this method when rows use batch memory allocation to check all allocated blocks and deallocate block which are completely free.

Syntax

Public Sub FreeBatchExtraData()

Remarks

When UseBatchAllocation is used to enable batch memory allocation you can call FreeBatchExtraData to check all allocated blocks and deallocate block which are completely free.

See Also

ReportControlGlobalSettings Object | UseBatchAllocation Method


%%PageItemTitle%%

ReportControlGlobalSettings Object | FreeBatchExtraData Method

See Also Report Control ActiveX Control v19.3

UseBatchAllocation Method

Description

Call this method to enable batch allocation feature for report rows.

Syntax

Public Function UseBatchAllocation() As Boolean

Return Type

True if batch allocation feature is enabled for report rows, False otherwise.

Remarks

Batch allocation means that memory will not be allocated for each object created, but for many objects at one time (for 1024 objects by default). Then any new allocations will take memory from this big block. New blocks will be allocated when necessary. This increase performance and reduces heap fragmentation. This batch allocation mechanism is responsible for the allocation/deallocation of blocks of memory from the heap and it internally organizes the free/busy lists of memory pieces (keeps track of objects in memory blocks). When an object is deleted, its memory stored in the block is freed and used for new objects. When all memory pieces from a block are free, it may be deallocated from the heap automatically by a call to FreeBatchExtraData, UseBatchAllocation must be called on initialization before any report object allocations are created.

See Also

ReportControlGlobalSettings Object | FreeBatchExtraData Method


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

UseReportCustomHeap Method

Description

Tells the report control to create its own memory heap instead of letting MFC allocate memory (In standard mode, not virtual).

Syntax

Public Function UseReportCustomHeap() As Boolean

Return Type

Returns True if the report control to creates its own memory heap to store report resources.

Remarks

Typically it should be fine to allow MFC to allocate memory, but in some cases if you are working with really large data set that you are removing and loading on a regular basis memory is not released and UseReportCustomHeap should be used. UseReportCustomHeap tells the report control to create its own memory heap instead of letting MFC allocate memory. This is only really needed when adding and removing large numbers of rows over and over again. The problem is that MFC will allocate memory for the rows created, but it must create a whole page in memory and this page may also have memory for some other processes in windows, not just the report control. So when it comes time to delete the rows the report related memory is marked for deletion, but the page can not be removed as there are other windows processes using it. This is how MFC works and is not a bug. This is why after deleting large amounts of records the memory does not appear to get released. To overcome this short comming of MFC you can use UseReportCustomHeap for the report control to create its own memory heap so that it can release all memory related to the rows in the remove when they are removed.

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object | Color Property

See Also Report Control ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

ReportControlGlobalSettings Object | Color Property


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

Icons Property

Description

Global icon collection used to store icons for the report control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed ReportControl OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all pre-set strings such as 'There are no items to display'

This code should be placed in the Form_Initialize event of the main form.

Example

[Translation Sample (Visual Basic)] This sample illustrates how to use a rescource file to change the language used to display text in your application. This will translate all pre-set strings such as 'There are no items to display'

Private Sub Form_Initialize()
    ReportControlGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpColumnResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Report Control OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

UseResourceFileLocale Property

Description

True to use the resource language for date and time formatting as opposed to using the system settings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseResourceFileLocale() As Boolean

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportControlGlobalSettings Object

See Also Report Control ActiveX Control v19.3

Version Property

Description

Returns the current Report Control version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

ReportControlGlobalSettings Object


%%PageItemTitle%%

ReportGroupRow Members | GroupRow Property

See Also Report Control ActiveX Control v19.3

ReportGroupRow Object

Description

Represents a Group Row in the ReportControl.

For a list of all members defined in this module, see ReportGroupRow members.

Object Model

Remarks

A GroupRow of the ReportControl is a row which has no associated ReportRecord, but has a special text caption instead. The special text caption depends on whether the GroupCaption property has been set for the ReportRecordItems that belong to the group. If a GroupCaption has been set, then that is displayed as the special text, otherwise, the caption of the ReportColumn is used.

You might need to test if a row is a GroupRow when iterating through the ReportControl's collection of rows to determine if the row has a Record you can access, if your rows are grouped and you try to access the Record of a GroupRow, your program will crash.

The GroupRowIconAlignment and GroupRowIcon property are used to display icons in a group row.

See Also

ReportGroupRow Members | GroupRow Property


%%PageItemTitle%% $$Members$$

ReportGroupRow Overview | GroupRow Property

See Also Report Control ActiveX Control v19.3

ReportGroupRow Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force the row to become visible.
Public Method GetRect | The GetRect method returns the coordinates of the bounding rectangle for the GroupRow.

Public Properties

Public Property Childs | A collection of ReportRow objects.
Public Property Expanded | Specifies whether the group row is expanded.
Public Property GroupCaption | The text that is displayed for the group row.
Public Property GroupFormat | Stores the string used for extra formatting of the caption text.
Public Property GroupFormula | Excel-like Calculations (i.e. sum of all rows) to be performed and displayed in the item's caption.
Public Property GroupRow | Indicates whether the row is a group row.
Public Property Index | The index of the GroupRow within the ReportControl's collection of rows.
Public Property NextSiblingRow | The NextSiblingRow property returns the next sibling row of this row.
Public Property ParentRow | Reference to the parent row if this row is a child.
Public Property Selected | Specifies whether the ReportGroupRow is currently selected (shaded).

See Also

ReportGroupRow Overview | GroupRow Property


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force the row to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the row is visible. This will scroll the rows in the Report Control until the row is visible.

FocusedRow uses EnsureVisible to when setting the focus to a new row..

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.
See Also Report Control ActiveX Control v19.3

GetRect Method

Description

The GetRect method returns the coordinates of the bounding rectangle for the GroupRow.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.

Return Type

Returns the coordinates of the bounding rectangle of the group row.

Remarks

Call the GetRect method to determine the coordinates of the region where this row is drawn on the parent window. GetRect returns the coordinates of the upper-left and lower-right corners of the bounding rectangle.

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object | Expanded Property | NextSiblingRow Property | TreeColumn Property

See Also Report Control ActiveX Control v19.3

Childs Property

Description

A collection of ReportRow objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As ReportRows

Remarks

Used to access all children rows of this row.

See Also

ReportGroupRow Object | Expanded Property | NextSiblingRow Property | TreeColumn Property


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

Expanded Property

Description

Specifies whether the group row is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

Group rows have an expand\collapse button indicating that there are more rows to display. The expanded property can be set to True or False to expand\collapse (hide\show) the child rows. It can also be used to determine if the group row is expanded\collapsed.

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object | GroupCaption Property

See Also Report Control ActiveX Control v19.3

GroupCaption Property

Description

The text that is displayed for the group row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupCaption() As String

Remarks

The ReportGroupRow::GroupCaption property holds the text caption for the group of rows.

When rows are grouped, the caption of the column is displayed as the group caption in the GroupRow. If you specify a GroupCaption for each ReportRecordItem, the GroupCaption text will be displayed instead of the caption of the column.

You can use the ReportRecordItem::GroupCaption property to "sub group" your ReportRecordItems when the column they belong to has been grouped. The ReportRecordItems will be "sub grouped" by the value in GroupCaption when the column they belong to is grouped.

See Also

ReportGroupRow Object | GroupCaption Property


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

GroupFormat Property

Description

Stores the string used for extra formatting of the caption text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupFormat() As String

Remarks

Formatting Numbers:

If the format string is set, the caption text will be formatted accordingly to this format string before drawing it. Format string is uses a C - like style, see sprintf() C++ function.

Only the "%s" type is supported with the Format method. This means that the Format method will only format strings and treats all numeric values as strings. If a numeric format is desired and can not be displayed properly as a string, then do not enter a Format string, you will need to manually format your data and set this to the Caption property in the desired string format.

Example Format strings and how they will effect the output (If no Caption has been set).

Format string | Item Value | Output
"$ %s" | 3.15 | "$ 3.15"
"%s%%" | 25 | "25%"
"$ % 8s" | 4.3 | "$ 4.3"
" $ %.4s" | 20.2536 | "$ 20.2"
"%09s" | .1253 | "0000.1253"
"%06.4s" | 3.14325 | "003.14"
"My name is %s" | John | "My name is John"
"The %s crossed the road" | chicken | "The chicken crossed the road"

Formatting Dates:

If the item will hold a date value, the Format property can be used to format the date.

The following are valid format flags for date values:

    • "%a" Abbreviated weekday name
    • "%A" Full weekday name
    • "%b" Abbreviated month name
    • "%B" Full month name
    • "%c" Date and time representation appropriate for locale
    • "%d" Day of month as decimal number (01 - 31)
    • "%H" Hour in 24-hour format (00 - 23)
    • "%I" Hour in 12-hour format (01 - 12)
    • "%j" Day of year as decimal number (001 - 366)
    • "%m" Month as decimal number (01 - 12)
    • "%M" Minute as decimal number (00 - 59)
    • "%p" Current locale's A.M./P.M. indicator for 12-hour clock
    • "%S" Second as decimal number (00 - 59)
    • "%U" Week of year as decimal number, with Sunday as first day of week (00 - 53)
    • "%w" Weekday as decimal number (0 - 6; Sunday is 0)
    • "%W" Week of year as decimal number, with Monday as first day of week (00 - 53)
    • %x" Date representation for current locale
    • "%X" Time representation for current locale
    • "%y" Year without century, as decimal number (00 - 99)
    • "%Y" Year with century, as decimal number
    • "%z", "%Z" Time-zone name or abbreviation; no characters if time zone is unknown
    • "%%" Percent sign
    • "%#c" Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".
    • "%#x" Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".
    • "%#d", "%#H", "%#I", "%#j", "%#m", "%#M", "%#S", "%#U", "%#w", "%#W", "%#y", "%#Y" Remove leading zeros (if any).

Example

[Number Format Sample (Visual Basic)] This sample illustrates how to use the Format method to format numbers.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a new record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        'Adds a ReportRecordItem with a value of "RE: Your Invoice" to the new ReportRecord referenced in the Record variable
        Record.AddItem "RE: Your Invoice"
        'Adds a ReportRecordItem with a value of "John Smith" to the new ReportRecord referenced in the Record variable
        Record.AddItem "John Smith"
        'Adds a ReportRecordItem with a value of "19/06/2004" to the new ReportRecord referenced in the Record variable
        Record.AddItem "19/06/2004"

        'Adds a ReportRecordItem with a value of "25" to the new ReportRecord referenced in the Record variable
        Set Item = Record.AddItem ("25")
            'The value of "25" will now be displayed in the format "25 kb"
            Item.Format = "%s kb"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object | ReCalc Method

See Also Report Control ActiveX Control v19.3

GroupFormula Property

Description

Excel-like Calculations (i.e. sum of all rows) to be performed and displayed in the item's caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupFormula() As String

Remarks

Formula support to ReportRecordItem.

If presented - The Item Caption will show the results of the calculations based on the given Formula.

Examples -

SUM(R2C3:R8C4) - given range
SUM(R*C3:R*C4) - means all rows (parent rows only in case of hierarchy)
SUM(R2C*:R8C*) - means all columns
SUM(R*C*:R*C*) - means all
given item always excluded from the loop - no circular refs

similar for child records
SUMSUB(R2C3:R8C4) - given range for childs
SUMSUB(R*C3:R*C4) - means all childs rows
SUMSUB(R2C*:R8C*) - means all columns
SUMSUB(R*C*:R*C*) - means all

so parent item can show subtotal
and bottom item can show total by all

If the user is doing data entry run-time in an interactive way - they will need to press F5 to call Recalc in the end and they will see the results.

You can call Recalc at any time to re-calculate the values in the cells.

See Also

ReportGroupRow Object | ReCalc Method


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

GroupRow Property

Description

Indicates whether the row is a group row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupRow() As Boolean

Remarks

Since this object is a GroupRow, the GroupRow property will always return True.

A GroupRow of the ReportControl is a row which has no associated ReportRecord, but has a special text caption instead. The special text caption depends on whether the GroupCaption property has been set for the ReportRecordItems that belong to the group. If a GroupCaption has been set, then that is displayed as the special text, otherwise, the caption of the ReportColumn is used.

You might need to test if a row is a GroupRow when iterating through the ReportControl's collection of rows to determine if the row has a Record you can access, if your rows are grouped and you try to access the Record of a GroupRow, your program will crash.

Example

[How to Determine if a Row is a GroupRow. (Visual Basic)] This sample illustrates how you could use the GroupRow property to test if a row is a group row.

    Dim Row As ReportRow
    Dim GroupRow As ReportGroupRow

    'Iterate through the ReportControl's collection of ReportRow objects
    For Each Row In wndReportControl.Rows
        'If the row is not a GroupRow then execute this code
        'If the rows are grouped, this check has to be made before working with
        'the ReportRecord of the row
        If Row.GroupRow = False Then
           'Print the cpation of the 4th ReportRecordItem of the attached ReportRecord
           Debug.Print "Record Caption: " & Row.Record.Item(3).Caption
        Else
            Set GroupRow = Row
            Debug.Print "Group Caption: " & GroupRow.GroupCaption
        End If
    Next

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

The index of the GroupRow within the ReportControl's collection of rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

NextSiblingRow Property

Description

The NextSiblingRow property returns the next sibling row of this row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NextSiblingRow() As ReportRow

Remarks

NextSiblingRow holds a pointer to the next sibling row of this row. The next sibling row will be returned regardless of whether the child rows of a row are expanded. The NextSiblingRow for a GroupRow will be the first ReportRow in the group.

Note that GroupRows can be both a parent and sibling to "normal" rows.

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

ParentRow Property

Description

Reference to the parent row if this row is a child.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentRow() As ReportRow

Remarks

The ParentRow can be used to determine if the row is a child. It can also be used to find the parent of a child row so the children can be expanded\hidden. By setting the expanded property of the parent to False, all children will be hidden.

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportGroupRow Object

See Also Report Control ActiveX Control v19.3

Selected Property

Description

Specifies whether the ReportGroupRow is currently selected (shaded).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Remarks

A ReportGroupRow is selected when the user clicks on the row. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows. Multiple row selection can be enabled or disabled.

Selected rows can be retrieved through the ReportControl's collection of SelectedRows.

See Also

ReportGroupRow Object


%%PageItemTitle%%

ReportHitTestInfo Members

See Also Report Control ActiveX Control v19.3

ReportHitTestInfo Object

Description

Used to store information about a given X and Y coordinate supplied to the HitTest method.

For a list of all members defined in this module, see ReportHitTestInfo members.

Object Model

Remarks

Information such as if the ReportControl is positioned at a given X and Y coordinate, what part of the ReportControl (GroupBox, Column Header, Report Area) is at the given X and Y coordinate, and the specific Column, Row, Record, and Items can be returned at a given X and Y coordinate.

See Also

ReportHitTestInfo Members

Example

HitTest Method


%%PageItemTitle%% $$Members$$

ReportHitTestInfo Overview

See Also Report Control ActiveX Control v19.3

ReportHitTestInfo Object Members

Public Properties

Public Property Block | Gets a reference to the Block at the given X and Y coordinates. (Track Control)
Public Property Column | Returns the Column at the given X and Y coordinates.
Public Property ht | Returns the specific part of the ReportControl at a given X and Y coordinate.
Public Property Item | Returns the Item at the given X and Y coordinates.
Public Property Row | Returns the ReportRow at the given X and Y coordinates.
Public Property TrackPosition | Returns the current Time Line position within a TrackControlItem at the given X and Y coordinates. (Track Control)

See Also

ReportHitTestInfo Overview


%%PageItemTitle%%

ReportHitTestInfo Object

See Also Report Control ActiveX Control v19.3

Block Property

Description

Gets a reference to the Block at the given X and Y coordinates. (Track Control)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Block() As TrackBlock

Return Type

This will return a reference to the TrackBlock at the given X and Y coordinates.

Remarks

This is useful if you need to get the reference to a block inside a track at a given point, like in a MouseDown event.

Example

Private Sub TrackControl_MouseDown(Button As Integer, Shift As Integer, x As Long, y As Long)

Select Case TrackControl.HitTest(x, y).ht
Case xtpHitTestBlock:
Debug.Print "MouseDown on " & TrackControl.HitTest(x, y).Block.Tooltip & " Block"
End Select
End Sub

See Also

ReportHitTestInfo Object


%%PageItemTitle%%

ReportHitTestInfo Object | HitTest Method

See Also Report Control ActiveX Control v19.3

Column Property

Description

Returns the Column at the given X and Y coordinates.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Column() As ReportColumn

Remarks

This will also return a reference to a column header in the Group Box. If the X and Y coordinate is located anywhere in the column (column header, items in the column), a reference will be returned to that column.

Example

[HitTest Column Sample (Visual Basic)] This sample illustrates how to return a reference to a column at a given X and Y coordinate.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)
    Dim hitColumn As ReportColumn

    'Returns a reference to the column cliked
    'Determines which column the mouse is positioned over on MouseDown, this will also be executed
    'if the column header in the Group By box is clicked. This will be true if any item in the column
    'is clicked, not just column headers.
    Set hitColumn = wndReportControl.HitTest(X, Y).Column
    If Not hitColumn Is Nothing Then
        Debug.Print "MouseDown on Column header: " & hitColumn.Caption
    End If

End Sub

See Also

ReportHitTestInfo Object | HitTest Method


%%PageItemTitle%%

ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration

See Also Report Control ActiveX Control v19.3

ht Property

Description

Returns the specific part of the ReportControl at a given X and Y coordinate.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ht() As XTPReportHitTestInfoCode

Remarks

This can be very useful in mouse event to determine what part of the ReportControl the mouse is positioned over for a particular event.

Example

[HitTest Ht Sample (Visual Basic)] This sample illustrates how to determine which part of the ReportControl, If any, occupies any given pixel.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)

    'Determines which part of the ReportControl the mouse was positioned over when clicked.
    Select Case wndReportControl.HitTest(X, Y).ht
        'If MouseDown while positioned anywhere over the Group Box (Even over Column Headers in Group Box)
        Case xtpHitTestGroupBox:
            Debug.Print "MouseDown in Group Box"
        'If MouseDown while positioned anywhere over the ColumnHeader area. This does NOT include
        'column header in the Group Box
        Case xtpHitTestHeader:
            Debug.Print "MouseDown in Column Header Area (Not in Group Box)"
        'If MouseDown while positioned over the Report Area, this would includ, rows, columns, items, goup rows, expand buttons
        Case xtpHitTestReportArea:
            Debug.Print "MouseDown in Report Area"
        'This case will never happen, Unknown is returned when HitTest is called and the mouse is positioned
        'over an area outside of the report control
        Case xtpHitTestUnknown:
            Debug.Print "Mouse is in an Unknown Area"
    End Select

End Sub

See Also

ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration


%%PageItemTitle%%

ReportHitTestInfo Object | HitTest Method

See Also Report Control ActiveX Control v19.3

Item Property

Description

Returns the Item at the given X and Y coordinates.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As ReportRecordItem

Example

[HitTest Item Sample (Visual Basic)] This sample illustrates how to return a reference to an Item at a given X and Y coordinate.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)
    Dim hitRow As ReportRow
    Dim hitItem As ReportRecordItem

    'Returns a reference to the row clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitRow = wndReportControl.HitTest(X, Y).Row

    'Returns a reference to the item clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitItem = wndReportControl.HitTest(X, Y).Item
    If Not hitItem Is Nothing Then
        If Not wndReportControl.PreviewMode Then
            Debug.Print "MouseDown on Item: " & hitItem.Value & " in column: " & hitColumn.Caption
        ElseIf Not (hitRow.Record.PreviewText = "") Then
            Debug.Print "MouseDown on PreviewText"
        End If
    End If
End Sub

See Also

ReportHitTestInfo Object | HitTest Method


%%PageItemTitle%%

ReportHitTestInfo Object | HitTest Method

See Also Report Control ActiveX Control v19.3

Row Property

Description

Returns the ReportRow at the given X and Y coordinates.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row() As ReportRow

Example

[HitTest Row Sample (Visual Basic)] This sample illustrates how to return a reference to a ReportRow at a given X and Y coordinate.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)
    Dim hitRow As ReportRow

    'Returns a reference to the row clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitRow = wndReportControl.HitTest(X, Y).Row
    If Not hitRow Is Nothing Then
        If hitRow.GroupRow Then
            Debug.Print "MouseDown on GroupRow"
        Else
            Debug.Print "MouseDown on Row # " & hitRow.Index
        End If
    End If

End Sub

See Also

ReportHitTestInfo Object | HitTest Method


%%PageItemTitle%%

ReportHitTestInfo Object

See Also Report Control ActiveX Control v19.3

TrackPosition Property

Description

Returns the current Time Line position within a TrackControlItem at the given X and Y coordinates. (Track Control)

Property type

Read-only property

Syntax (Visual Basic)

Public Property TrackPosition() As Long

Return Type

Current position in "time" in a TrackControlItem at the given X and Y coordinates, Returns 0 if the item at the given X and Y coordinates is not a TrackControlItem.

Remarks

TrackPosition converts the current X coordinate of the mouse to the current position in "time" in the Time Line for the Track Control.

This is very helpful if you want to add a Block or Key to a track simply by clicking the mouse on a track.

Example

Dim pX As Integer

Private Sub TrackControl_MouseDown(Button As Integer, Shift As Integer, x As Long, y As Long)

'Get the current "time" the mouse was clicked at
pX = TrackControl.HitTest(x, y).TrackPosition
End Sub

'Add a new block at the specified time

Private Sub mnuAddBlock_Click()
Dim Block As TrackBlock
Set Block = pClickedTrack.AddBlock(False, pX, 50)
End Sub

See Also

ReportHitTestInfo Object


%%PageItemTitle%%

ReportHyperlink Members

See Also Report Control ActiveX Control v19.3

ReportHyperlink Object

Description

Represents a Hyperlink item.

For a list of all members defined in this module, see ReportHyperlink members.

See Also

ReportHyperlink Members


%%PageItemTitle%% $$Members$$

ReportHyperlink Overview

See Also Report Control ActiveX Control v19.3

ReportHyperlink Object Members

Public Properties

Public Property HyperTextBegin | Position in the item text to begin the link.
Public Property HyperTextLen | Total number of characters in the text link.

See Also

ReportHyperlink Overview


%%PageItemTitle%%

ReportHyperlink Object

See Also Report Control ActiveX Control v19.3

HyperTextBegin Property

Description

Position in the item text to begin the link.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HyperTextBegin() As Long

See Also

ReportHyperlink Object


%%PageItemTitle%%

ReportHyperlink Object

See Also Report Control ActiveX Control v19.3

HyperTextLen Property

Description

Total number of characters in the text link.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HyperTextLen() As Long

See Also

ReportHyperlink Object


%%PageItemTitle%%

ReportHyperlinks Members

See Also Report Control ActiveX Control v19.3

ReportHyperlinks Collection

Description

Collection of hyperlinks.

For a list of all members defined in this module, see ReportHyperlinks members.

Object Model

Remarks

Used to hold one or more hyperlinks for a report item.

See Also

ReportHyperlinks Members


%%PageItemTitle%% $$Members$$

ReportHyperlinks Overview

See Also Report Control ActiveX Control v19.3

ReportHyperlinks Collection Members

Public Methods

Public Method AddHyperlink | Adds a hyperlink item to the collection.
Public Method Remove | Removes a specified hyperlink item from the colleciton.
Public Method RemoveAll | Removes all hyperlink items from the collection.

Public Properties

Public Property Count | Total number of hyperlink items for a report item.
Public Property Item | Collection of hyperlink items in a report item.

See Also

ReportHyperlinks Overview


%%PageItemTitle%%

ReportHyperlinks Collection

HyperTextBegin
Position in the report item's text to begin the hyperlink.
HyperTextLen
Total length of the hyperlink.
See Also Report Control ActiveX Control v19.3

AddHyperlink Method

Description

Adds a hyperlink item to the collection.

Syntax

Public Function AddHyperlink( _
   ByVal HyperTextBegin As Long, _
   ByVal HyperTextLen As Long _
) As ReportHyperlink

Parameters

HyperTextBegin
Position in the report item's text to begin the hyperlink.
HyperTextLen
Total length of the hyperlink.

See Also

ReportHyperlinks Collection


%%PageItemTitle%%

ReportHyperlinks Collection

Index
See Also Report Control ActiveX Control v19.3

Remove Method

Description

Removes a specified hyperlink item from the colleciton.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index

See Also

ReportHyperlinks Collection


%%PageItemTitle%%

ReportHyperlinks Collection

See Also Report Control ActiveX Control v19.3

RemoveAll Method

Description

Removes all hyperlink items from the collection.

Syntax

Public Sub RemoveAll()

See Also

ReportHyperlinks Collection


%%PageItemTitle%%

ReportHyperlinks Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Total number of hyperlink items for a report item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ReportHyperlinks Collection


%%PageItemTitle%%

ReportHyperlinks Collection

Index
See Also Report Control ActiveX Control v19.3

Item Property

Description

Collection of hyperlink items in a report item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ReportHyperlink

Parameters

Index

See Also

ReportHyperlinks Collection


%%PageItemTitle%%

ReportHyperlinkStyle Members

See Also Report Control ActiveX Control v19.3

ReportHyperlinkStyle Object

Description

Represents the styles used by a Hyperlink item.

For a list of all members defined in this module, see ReportHyperlinkStyle members.

See Also

ReportHyperlinkStyle Members


%%PageItemTitle%% $$Members$$

ReportHyperlinkStyle Overview

See Also Report Control ActiveX Control v19.3

ReportHyperlinkStyle Object Members

Public Properties

Public Property Color | Gets or sets the color of the hyperlink text.
Public Property TextDecoration | Gets or sets the text decoration (underlined) of the hyperlink text.

See Also

ReportHyperlinkStyle Overview


%%PageItemTitle%%

ReportHyperlinkStyle Object

See Also Report Control ActiveX Control v19.3

Color Property

Description

Gets or sets the color of the hyperlink text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

The current color.

See Also

ReportHyperlinkStyle Object


%%PageItemTitle%%

ReportHyperlinkStyle Object

See Also Report Control ActiveX Control v19.3

TextDecoration Property

Description

Gets or sets the text decoration (underlined) of the hyperlink text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextDecoration() As XTPReportTextDecoration

Return Type

Returns the current text decoration.

See Also

ReportHyperlinkStyle Object


%%PageItemTitle%%

ReportInplaceButton Members | InplaceButtonDown Event | GetInplaceButton Method | InplaceButtonsCount Property | ReportRecordItemEditOptions Object | InsideCellButton Property

See Also Report Control ActiveX Control v19.3

ReportInplaceButton Object

Description

The ReportInplaceButton object is passed as a parameter in the InplaceButtonDown event. This indicates the Column, Item, Row, and Id of the button that was pressed in the InplaceButtonDown event. This is also part of ReportRecordItemEditOptions to modify where the buttons are drawn in the cell using GetInplaceButton and InsideCellButton.

For a list of all members defined in this module, see ReportInplaceButton members.

Object Model

See Also

ReportInplaceButton Members | InplaceButtonDown Event | GetInplaceButton Method | InplaceButtonsCount Property | ReportRecordItemEditOptions Object | InsideCellButton Property


%%PageItemTitle%% $$Members$$

ReportInplaceButton Overview | InplaceButtonDown Event | GetInplaceButton Method | InplaceButtonsCount Property | ReportRecordItemEditOptions Object | InsideCellButton Property

See Also Report Control ActiveX Control v19.3

ReportInplaceButton Object Members

Public Methods

Public Method GetRect Gets the position of the inplace button.

Public Properties

Public Property Column | The column that contains the item which had a button pressed.
Public Property IconIndex | Index of icon to display in the button.
Public Property Id | Specifies the type of the button.
Public Property InsideCellButton | Gets or sets whether to place the button inside the cell rectangle or outside (starting at the right edge of the cell).
Public Property Item | The item that contains the button that was pressed.
Public Property ItemsShowInDroplist | Specifies the number of items shown in the droplist before a scrollbar is used.
Public Property Row | The row that contains the item which had a in-place button pressed.
Public Property SpinButtonMax | Gets or sets the maximum spin button value.
Public Property SpinButtonMin | Gets or sets the minimum spin button value.
Public Property SpinButtonStep | Gets or sets the number of steps the spin button will increase\descrease when the buttons are clicked.

See Also

ReportInplaceButton Overview | InplaceButtonDown Event | GetInplaceButton Method | InplaceButtonsCount Property | ReportRecordItemEditOptions Object | InsideCellButton Property


%%PageItemTitle%%

ReportInplaceButton Object

left
Left coordinate of the button.
top
Top coordinate of the button.
right
Right coordinate of the button.
bottom
Bottom coordinate of the button.
See Also Report Control ActiveX Control v19.3

GetRect Method

Description

Gets the position of the inplace button.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
Left coordinate of the button.
top
Top coordinate of the button.
right
Right coordinate of the button.
bottom
Bottom coordinate of the button.

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object | InplaceButtonDown Event

See Also Report Control ActiveX Control v19.3

Column Property

Description

The column that contains the item which had a button pressed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Column() As ReportColumn

See Also

ReportInplaceButton Object | InplaceButtonDown Event


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

IconIndex Property

Description

Index of icon to display in the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object | InplaceButtonDown Event

See Also Report Control ActiveX Control v19.3

Id Property

Description

Specifies the type of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

Specifies which type of button.

Id = 100 for a ExpandButton.

Id = 101 for a ComboButton.

See Also

ReportInplaceButton Object | InplaceButtonDown Event


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

InsideCellButton Property

Description

Gets or sets whether to place the button inside the cell rectangle or outside (starting at the right edge of the cell).

Property type

Read-write property

Syntax (Visual Basic)

Public Property InsideCellButton() As Boolean

Remarks

By default, when an item that has an in-place button is clicked the drop-down button is displayed on the outside of the cell starting at the right edge. Set InsideCellButton to true to drawn the button on the inside of the cell.

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object | InplaceButtonDown Event

See Also Report Control ActiveX Control v19.3

Item Property

Description

The item that contains the button that was pressed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As ReportRecordItem

See Also

ReportInplaceButton Object | InplaceButtonDown Event


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

ItemsShowInDroplist Property

Description

Specifies the number of items shown in the droplist before a scrollbar is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemsShowInDroplist() As Long

Return Type

The number of items shown in the droplist before a scrollbar is used. Default is 10 items.

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object | InplaceButtonDown Event

See Also Report Control ActiveX Control v19.3

Row Property

Description

The row that contains the item which had a in-place button pressed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row() As ReportRow

See Also

ReportInplaceButton Object | InplaceButtonDown Event


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

SpinButtonMax Property

Description

Gets or sets the maximum spin button value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpinButtonMax() As Long

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

SpinButtonMin Property

Description

Gets or sets the minimum spin button value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpinButtonMin() As Long

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

SpinButtonStep Property

Description

Gets or sets the number of steps the spin button will increase\descrease when the buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpinButtonStep() As Long

See Also

ReportInplaceButton Object


%%PageItemTitle%%

ReportItemButton Members

See Also Report Control ActiveX Control v19.3

ReportItemButton Object

Description

Represents an item button and inherits basic functionality ReportItemControl.

For a list of all members defined in this module, see ReportItemButton members.

See Also

ReportItemButton Members


%%PageItemTitle%% $$Members$$

ReportItemButton Overview

See Also Report Control ActiveX Control v19.3

ReportItemButton Object Members

Public Methods

Public Method GetIconIndex | Retrieves the icon index for a given item control state.
Public Method GetRect | Get the rectangle occupied by the item control.
Public Method SetIconIndex | Sets the icon index for a specified control state.
Public Method SetSize | Sets the rectangle occupied by the item control.

Public Properties

Public Property Alignment | Gets or Sets the item control alignment.
Public Property Caption | Gets or sets the item control caption.
Public Property CaptionColor | Gets or sets the item control caption color.
Public Property Enable | Enables or disables the item control.
Public Property Font | Gets or sets the item control caption font.
Public Property Height | Gets or sets the item control height.
Public Property Index | Gets\sets the index of the item control.
Public Property Themed | Gets or sets whether the control is themed.
Public Property Type | Gets or sets the type of the item control.
Public Property Width | Gets or sets the item control width.

See Also

ReportItemButton Overview


%%PageItemTitle%%

ReportItemButton Object | XTPReportItemButtonState Enumeration

state

Item control state, for which icon index is retrieved. Buttons use values from XTPReportItemButtonState.

See Also Report Control ActiveX Control v19.3

GetIconIndex Method

Description

Retrieves the icon index for a given item control state.

Syntax

Public Function GetIconIndex( _
   ByVal state As Long _
) As Long

Parameters

state

Item control state, for which icon index is retrieved. Buttons use values from XTPReportItemButtonState.

Return Type

Icon index for a given item control state.

See Also

ReportItemButton Object | XTPReportItemButtonState Enumeration


%%PageItemTitle%%

ReportItemButton Object

left

Left coordinate of the item.

top

Top coordinate of the item.

right

Right coordinate of the item.

bottom

Bottom coordinate of the item.

See Also Report Control ActiveX Control v19.3

GetRect Method

Description

Get the rectangle occupied by the item control.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left

Left coordinate of the item.

top

Top coordinate of the item.

right

Right coordinate of the item.

bottom

Bottom coordinate of the item.

Return Type

Item control rectangle.

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object | XTPReportItemButtonState Enumeration

state

Item control state. For buttons, use a value from XTPReportItemButtonState.

IconIndex

Icon index for specified state.

See Also Report Control ActiveX Control v19.3

SetIconIndex Method

Description

Sets the icon index for a specified control state.

Syntax

Public Sub SetIconIndex( _
   ByVal state As Long, _
   ByVal IconIndex As Long _
)

Parameters

state

Item control state. For buttons, use a value from XTPReportItemButtonState.

IconIndex

Icon index for specified state.

Remarks

The icon specified for the certain state is drawn during control drawing. If no icon is specified for a certain state, the icon for state = 0 is drawn. If no icon is specified for any state, no icon is drawn.

See Also

ReportItemButton Object | XTPReportItemButtonState Enumeration


%%PageItemTitle%%

ReportItemButton Object

cx

Bottom left corner of the control.

cy

Top right corner of ther control.

See Also Report Control ActiveX Control v19.3

SetSize Method

Description

Sets the rectangle occupied by the item control.

Syntax

Public Sub SetSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

Bottom left corner of the control.

cy

Top right corner of ther control.

Remarks

If size is (<=0, <=0), the control occupies entire cell.

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Alignment Property

Description

Gets or Sets the item control alignment.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPReportItemControlAlignment

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Caption Property

Description

Gets or sets the item control caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

CaptionColor Property

Description

Gets or sets the item control caption color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionColor() As ULong

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Enable Property

Description

Enables or disables the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enable() As Boolean

Remarks

If the control is disabled, it is drawn as disabled and does not react on user input.

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Font Property

Description

Gets or sets the item control caption font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Height Property

Description

Gets or sets the item control height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

Gets\sets the index of the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Themed Property

Description

Gets or sets whether the control is themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Themed() As Boolean

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemButton Object | XTPReportItemControlType Enumeration

See Also Report Control ActiveX Control v19.3

Type Property

Description

Gets or sets the type of the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As Long

Remarks

Can be a value from XTPReportItemControlType.

See Also

ReportItemButton Object | XTPReportItemControlType Enumeration


%%PageItemTitle%%

ReportItemButton Object

See Also Report Control ActiveX Control v19.3

Width Property

Description

Gets or sets the item control width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ReportItemButton Object


%%PageItemTitle%%

ReportItemControl Members

See Also Report Control ActiveX Control v19.3

ReportItemControl Object

Description

Represents a generic item control and handles control's behaviour, common for all derived item controls.

For a list of all members defined in this module, see ReportItemControl members.

See Also

ReportItemControl Members


%%PageItemTitle%% $$Members$$

ReportItemControl Overview

See Also Report Control ActiveX Control v19.3

ReportItemControl Object Members

Public Methods

Public Method GetIconIndex | Retrieves the icon index for a given item control state.
Public Method GetRect | Get the rectangle occupied by the item control.
Public Method SetIconIndex | Sets the icon index for a specified control state.
Public Method SetSize | Sets the rectangle occupied by the item control.

Public Properties

Public Property Alignment | Gets or Sets the item control alignment.
Public Property Caption | Gets or sets the item control caption.
Public Property CaptionColor | Gets or sets the item control caption color.
Public Property Enable | Enables or disables the item control.
Public Property Font | Gets or sets the item control caption font.
Public Property Height | Gets or sets the item control height.
Public Property Index | Gets\sets the index of the item control.
Public Property Themed | Gets or sets whether the control is themed.
Public Property Type | Gets or sets the type of the item control.
Public Property Width | Gets or sets the item control width.

See Also

ReportItemControl Overview


%%PageItemTitle%%

ReportItemControl Object | XTPReportItemButtonState Enumeration

state
Item control state, for which icon index is retrieved. Buttons use values from XTPReportItemButtonState.
See Also Report Control ActiveX Control v19.3

GetIconIndex Method

Description

Retrieves the icon index for a given item control state.

Syntax

Public Function GetIconIndex( _
   ByVal state As Long _
) As Long

Parameters

state
Item control state, for which icon index is retrieved. Buttons use values from XTPReportItemButtonState.

Return Type

Icon index for a given item control state.

See Also

ReportItemControl Object | XTPReportItemButtonState Enumeration


%%PageItemTitle%%

ReportItemControl Object

left
Left coordinate of the item.
top
Top coordinate of the item.
right
Right coordinate of the item.
bottom
Bottom coordinate of the item.
See Also Report Control ActiveX Control v19.3

GetRect Method

Description

Get the rectangle occupied by the item control.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
Left coordinate of the item.
top
Top coordinate of the item.
right
Right coordinate of the item.
bottom
Bottom coordinate of the item.

Return Type

Item control rectangle.

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object | XTPReportItemButtonState Enumeration

state
Item control state. For buttons, use a value from XTPReportItemButtonState.
IconIndex
Icon index for specified state.
See Also Report Control ActiveX Control v19.3

SetIconIndex Method

Description

Sets the icon index for a specified control state.

Syntax

Public Sub SetIconIndex( _
   ByVal state As Long, _
   ByVal IconIndex As Long _
)

Parameters

state
Item control state. For buttons, use a value from XTPReportItemButtonState.
IconIndex
Icon index for specified state.

Remarks

The icon specified for the certain state is drawn during control drawing. If no icon is specified for a certain state, the icon for state = 0 is drawn. If no icon is specified for any state, no icon is drawn.

See Also

ReportItemControl Object | XTPReportItemButtonState Enumeration


%%PageItemTitle%%

ReportItemControl Object

cx
Bottom left corner of the control.
cy
Top right corner of ther control.
See Also Report Control ActiveX Control v19.3

SetSize Method

Description

Sets the rectangle occupied by the item control.

Syntax

Public Sub SetSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Bottom left corner of the control.
cy
Top right corner of ther control.

Remarks

If size is (<=0, <=0), the control occupies entire cell.

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Alignment Property

Description

Gets or Sets the item control alignment.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPReportItemControlAlignment

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Caption Property

Description

Gets or sets the item control caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

CaptionColor Property

Description

Gets or sets the item control caption color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionColor() As ULong

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Enable Property

Description

Enables or disables the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enable() As Boolean

Remarks

If the control is disabled, it is drawn as disabled and does not react on user input.

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Font Property

Description

Gets or sets the item control caption font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Height Property

Description

Gets or sets the item control height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

Gets\sets the index of the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Themed Property

Description

Gets or sets whether the control is themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Themed() As Boolean

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControl Object | XTPReportItemControlType Enumeration

See Also Report Control ActiveX Control v19.3

Type Property

Description

Gets or sets the type of the item control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As Long

Remarks

Can be a value from XTPReportItemControlType.

See Also

ReportItemControl Object | XTPReportItemControlType Enumeration


%%PageItemTitle%%

ReportItemControl Object

See Also Report Control ActiveX Control v19.3

Width Property

Description

Gets or sets the item control width.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ReportItemControl Object


%%PageItemTitle%%

ReportItemControls Members

See Also Report Control ActiveX Control v19.3

ReportItemControls Collection

Description

This class represents array of pointers to ReportItemControl objects.

For a list of all members defined in this module, see ReportItemControls members.

Object Model

See Also

ReportItemControls Members


%%PageItemTitle%% $$Members$$

ReportItemControls Overview

See Also Report Control ActiveX Control v19.3

ReportItemControls Collection Members

Public Methods

Public Method AddButton | Adds new control to control list.
Public Method RemoveAll | Removes all controls from the list.
Public Method RemoveAt | Removes a control at a specific index.

Public Properties

Public Property Count | Total number of items in the list.
Public Property Item | Collection of items.

See Also

ReportItemControls Overview


%%PageItemTitle%%

ReportItemControls Collection

Index
See Also Report Control ActiveX Control v19.3

AddButton Method

Description

Adds new control to control list.

Syntax

Public Function AddButton( _
   ByVal Index As Long _
) As ReportItemButton

Parameters

Index

See Also

ReportItemControls Collection


%%PageItemTitle%%

ReportItemControls Collection

See Also Report Control ActiveX Control v19.3

RemoveAll Method

Description

Removes all controls from the list.

Syntax

Public Sub RemoveAll()

See Also

ReportItemControls Collection


%%PageItemTitle%%

ReportItemControls Collection

Index
INdex of item to remove.
See Also Report Control ActiveX Control v19.3

RemoveAt Method

Description

Removes a control at a specific index.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
INdex of item to remove.

See Also

ReportItemControls Collection


%%PageItemTitle%%

ReportItemControls Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Total number of items in the list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ReportItemControls Collection


%%PageItemTitle%%

ReportItemControls Collection

Index
See Also Report Control ActiveX Control v19.3

Item Property

Description

Collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ReportItemControl

Parameters

Index

See Also

ReportItemControls Collection


%%PageItemTitle%%

ReportNavigator Members | Navigator Property

See Also Report Control ActiveX Control v19.3

ReportNavigator Object

Description

Utility class, handling Report Control items' navigation activities.

For a list of all members defined in this module, see ReportNavigator members.

Remarks

The Navigator property uses this object to navigate the report via code.

See Also

ReportNavigator Members | Navigator Property


%%PageItemTitle%% $$Members$$

ReportNavigator Overview | Navigator Property

See Also Report Control ActiveX Control v19.3

ReportNavigator Object Members

Public Methods

Public Method BeginEdit | Call this method to start editing the currently focused item (puts the item in edit mode).
Public Method MoveDown | Moves the focus and\or selection down one row. Simulates pressing the down arrow key to navigate the report rows.
Public Method MoveFirstColumn | Moves focus to the first Focusable ReportRecordItem in the currently selected row.
Public Method MoveFirstRow | Moves the focus and\or selection to the first row in the report. Simulates pressing the Home key when navigating the report rows.
Public Method MoveFirstVisibleRow | Moves the focused row to the first visible body row of the report.
Public Method MoveLastColumn | Moves focus to the last Focusable ReportRecordItem in the currently selected row.
Public Method MoveLastRow | Moves the focus and\or selection to the last row in the report. Simulates pressing the End key when navigating the report rows.
Public Method MoveLastVisibleRow | Moves the focused row to the last visible body row of the report.
Public Method MoveLeft | Moves focus to the item to the immediate left of the currently focused item in the currently selected row.
Public Method MovePageDown | Moves the focus and\or selection down one page. Simulates pressing the PageDown key to navigate the report rows.
Public Method MovePageUp | Moves the focus and\or selection up one page. Simulates pressing the PageUp key to navigate the report rows.
Public Method MoveRight | Moves focus to the item to the immediate right of the currently focused item in the currently selected row.
Public Method MoveToColumn | Moves focus to the item in the specified column of the currently selected row.
Public Method MoveToRow | Moves the focus and\or selection to a specified row index.
Public Method MoveUp | Moves the focus and\or selection up one row. Simulates pressing the up arrow key to navigate the report rows.

Public Properties

Public Property CurrentFocusInFootersRows | Gets whether the focused row belongs to the footer rows or moves focus (selected row) to the footer rows.
Public Property CurrentFocusInHeadersRows | Gets whether the focused row belongs to the header rows or moves focus (selected row) to the header rows.

See Also

ReportNavigator Overview | Navigator Property


%%PageItemTitle%%

ReportNavigator Object

See Also Report Control ActiveX Control v19.3

BeginEdit Method

Description

Call this method to start editing the currently focused item (puts the item in edit mode).

Syntax

Public Sub BeginEdit()

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Down Arrow key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected as well as the next row. The next row will become both focused AND selected.

When False, the current selection will be lost and the next row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Down Arrow key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the next row. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MoveDown Method

Description

Moves the focus and\or selection down one row. Simulates pressing the down arrow key to navigate the report rows.

Syntax

Public Sub MoveDown( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Down Arrow key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected as well as the next row. The next row will become both focused AND selected.

When False, the current selection will be lost and the next row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Down Arrow key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the next row. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

The MoveDown method is used to move focus and\or selection to the next row. It is used to simulate pressing the Down Arrow key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the next row without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object | Focusable Property | FocusSubItems Property | ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

MoveFirstColumn Method

Description

Moves focus to the first Focusable ReportRecordItem in the currently selected row.

Syntax

Public Sub MoveFirstColumn()

Remarks

To use MoveFirstColumn, FocusSubItems must be True as is will focus the first Focusable ReportRecordItem in the currently selected row. Note that if the item in the first column has Focusable set to False, then focus will move to the first item than can receive focus.

See Also

ReportNavigator Object | Focusable Property | FocusSubItems Property | ReportRecordItem Object


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Home key while holding the Shift key to navigate the rows. This will cause the currently selected row and all rows above the current row to become selected. The first row in the report will be given focus.

When False, the current selection will be lost and the first row in the report row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Home key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while focus is moved to the first row in the report. The first row will not become selected, only focused.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MoveFirstRow Method

Description

Moves the focus and\or selection to the first row in the report. Simulates pressing the Home key when navigating the report rows.

Syntax

Public Sub MoveFirstRow( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Home key while holding the Shift key to navigate the rows. This will cause the currently selected row and all rows above the current row to become selected. The first row in the report will be given focus.

When False, the current selection will be lost and the first row in the report row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Home key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while focus is moved to the first row in the report. The first row will not become selected, only focused.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

The MoveFirstRow method is used to move focus and\or selection to the first row in the report. It is used to simulate pressing the Home key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the first row without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object | MoveLastVisibleRow Method | CurrentFocusInFootersRows Property | CurrentFocusInHeadersRows Property

See Also Report Control ActiveX Control v19.3

MoveFirstVisibleRow Method

Description

Moves the focused row to the first visible body row of the report.

Syntax

Public Sub MoveFirstVisibleRow()

Remarks

Call this method if you want to move the focused row to the first visible target row. This will not move focus into the header rows.

See Also

ReportNavigator Object | MoveLastVisibleRow Method | CurrentFocusInFootersRows Property | CurrentFocusInHeadersRows Property


%%PageItemTitle%%

ReportNavigator Object | ReportRecordItem Object | Focusable Property | FocusSubItems Property

See Also Report Control ActiveX Control v19.3

MoveLastColumn Method

Description

Moves focus to the last Focusable ReportRecordItem in the currently selected row.

Syntax

Public Sub MoveLastColumn()

Remarks

To use MoveLastColumn, FocusSubItems must be True as is will focus the last Focusable ReportRecordItem in the currently selected row. Note that if the item in the last column has Focusable set to False, then focus will move to the last item than can receive focus.

See Also

ReportNavigator Object | ReportRecordItem Object | Focusable Property | FocusSubItems Property


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Home key while holding the Shift key to navigate the rows. This will cause the currently selected row and all rows above the current row to become selected. The first row in the report will be given focus.

When False, the current selection will be lost and the last row in the report row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Home key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while focus is moved to the first row in the report. The first row will not become selected, only focused.

Note: If SelectBlock is True, then IgnoreSelection will be ignored

See Also Report Control ActiveX Control v19.3

MoveLastRow Method

Description

Moves the focus and\or selection to the last row in the report. Simulates pressing the End key when navigating the report rows.

Syntax

Public Sub MoveLastRow( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Home key while holding the Shift key to navigate the rows. This will cause the currently selected row and all rows above the current row to become selected. The first row in the report will be given focus.

When False, the current selection will be lost and the last row in the report row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Home key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while focus is moved to the first row in the report. The first row will not become selected, only focused.

Note: If SelectBlock is True, then IgnoreSelection will be ignored

Remarks

The MoveFirstRow method is used to move focus and\or selection to the first row in the report. It is used to simulate pressing the Home key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the first row without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object | MoveFirstVisibleRow Method | CurrentFocusInFootersRows Property | CurrentFocusInHeadersRows Property

See Also Report Control ActiveX Control v19.3

MoveLastVisibleRow Method

Description

Moves the focused row to the last visible body row of the report.

Syntax

Public Sub MoveLastVisibleRow()

Remarks

Call this method if you want to move the focused row to the last visible target row. This will not move focus into the footer rows.

See Also

ReportNavigator Object | MoveFirstVisibleRow Method | CurrentFocusInFootersRows Property | CurrentFocusInHeadersRows Property


%%PageItemTitle%%

ReportNavigator Object | FocusSubItems Property | MoveRight Method | MoveLastColumn Method | MoveFirstColumn Method

SelectBlock
Not Used ***Added for possible future functionality***
IgnoreSelection
Not Used ***Added for possible future functionality***
See Also Report Control ActiveX Control v19.3

MoveLeft Method

Description

Moves focus to the item to the immediate left of the currently focused item in the currently selected row.

Syntax

Public Sub MoveLeft( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock
Not Used ***Added for possible future functionality***
IgnoreSelection
Not Used ***Added for possible future functionality***

Remarks

To use MoveLeft, FocusSubItems must be True. If the ReportRecordItem to the immediate left has has Focusable set to False, then focus will be moved to the first column to the left of the focused column that has Focusable set to True. If there are no more items to the left , then focus will be given to the item in the last column of the previous row.

See Also

ReportNavigator Object | FocusSubItems Property | MoveRight Method | MoveLastColumn Method | MoveFirstColumn Method


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the PageDown key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected down to the row 1 page down. The row 1 page down will become both focused AND selected.

When False, the current selection will be lost and the row 1 page down will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the PageDown key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the row 1 page down. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MovePageDown Method

Description

Moves the focus and\or selection down one page. Simulates pressing the PageDown key to navigate the report rows.

Syntax

Public Sub MovePageDown( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the PageDown key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected down to the row 1 page down. The row 1 page down will become both focused AND selected.

When False, the current selection will be lost and the row 1 page down will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the PageDown key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the row 1 page down. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

Call the MovePageDown method if you want to move focus to a row, moving down by 1 page (an count of rows visible in a view equal 1 page).

The MovePageDown method is used to move focus and\or selection down one page. It is used to simulate pressing the PageDown key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the next page without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the PageUp key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected up to the row 1 page up. The row 1 page up will become both focused AND selected.

When False, the current selection will be lost and the row 1 page up will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the PageUp key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the row 1 page up. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MovePageUp Method

Description

Moves the focus and\or selection up one page. Simulates pressing the PageUp key to navigate the report rows.

Syntax

Public Sub MovePageUp( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the PageUp key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected up to the row 1 page up. The row 1 page up will become both focused AND selected.

When False, the current selection will be lost and the row 1 page up will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the PageUp key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the row 1 page up. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

Call the MovePageUp method if you want to move focus to a row, moving up by 1 page (an count of rows visible in a view equal 1 page).

The MovePageUp method is used to move focus and\or selection up one page. It is used to simulate pressing the PageDown key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the next page without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object | MoveLeft Method | MoveFirstColumn Method | MoveLastColumn Method | Focusable Property | FocusSubItems Property

SelectBlock
Not Used ***Added for possible future functionality***
IgnoreSelection
Not Used ***Added for possible future functionality***
See Also Report Control ActiveX Control v19.3

MoveRight Method

Description

Moves focus to the item to the immediate right of the currently focused item in the currently selected row.

Syntax

Public Sub MoveRight( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock
Not Used ***Added for possible future functionality***
IgnoreSelection
Not Used ***Added for possible future functionality***

Remarks

To use MoveRight, FocusSubItems must be True. If the ReportRecordItem to the immediate right has has Focusable set to False, then focus will be moved to the first column to the right of the focused column that has Focusable set to True. If there are no more items to the right , then focus will be given to the item in the first column of the next row.

See Also

ReportNavigator Object | MoveLeft Method | MoveFirstColumn Method | MoveLastColumn Method | Focusable Property | FocusSubItems Property


%%PageItemTitle%%

ReportNavigator Object | FocusSubItems Property | Focusable Property | MoveFirstColumn Method | MoveLastColumn Method | MoveLeft Method | MoveRight Method

ColumnIndex
Index of the column to focus.
ClearIfNonFocusable

Used to indicate which action to perform if the column specified by ColumnIndex has an item with Focusable set to False.

Set to True to clear focus from all items in the currently selected row if the column specified by ColumnIndex has an item with Focusable set to False.

Set to False to return focus back to the previously focused item in the currently selected row if the column specified by ColumnIndex has an item with Focusable set to False. This means the focused item will not change.

See Also Report Control ActiveX Control v19.3

MoveToColumn Method

Description

Moves focus to the item in the specified column of the currently selected row.

Syntax

Public Sub MoveToColumn( _
   ByVal ColumnIndex As Long, _
   Optional ByVal ClearIfNonFocusable As Boolean = False _
)

Parameters

ColumnIndex
Index of the column to focus.
ClearIfNonFocusable

Used to indicate which action to perform if the column specified by ColumnIndex has an item with Focusable set to False.

Set to True to clear focus from all items in the currently selected row if the column specified by ColumnIndex has an item with Focusable set to False.

Set to False to return focus back to the previously focused item in the currently selected row if the column specified by ColumnIndex has an item with Focusable set to False. This means the focused item will not change.

Remarks

To use MoveToColumn, FocusSubItems must be True.

See Also

ReportNavigator Object | FocusSubItems Property | Focusable Property | MoveFirstColumn Method | MoveLastColumn Method | MoveLeft Method | MoveRight Method


%%PageItemTitle%%

ReportNavigator Object

RowIndex
Index of the row to move focus to.
SelectBlock

When True, simulates holding down the Shift key. This will select all rows up to the row specified by RowIndex.

When False, the current selection will be lost and the new row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This will leave the current row selection and focus the specified row at RowIndex. The row will become focus, but not selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MoveToRow Method

Description

Moves the focus and\or selection to a specified row index.

Syntax

Public Sub MoveToRow( _
   ByVal RowIndex As Long, _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

RowIndex
Index of the row to move focus to.
SelectBlock

When True, simulates holding down the Shift key. This will select all rows up to the row specified by RowIndex.

When False, the current selection will be lost and the new row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This will leave the current row selection and focus the specified row at RowIndex. The row will become focus, but not selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

Call this method if you want to move the currently focused row to the specified RowIndex. The MoveToRow method is used to move focus and\or selection to the specified RowIndex. This can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the specified RowIndex without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Up Arrow key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected as well as the previous row. The previous row will become both focused AND selected.

When False, the current selection will be lost and the previous row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Up Arrow key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the previous row. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

See Also Report Control ActiveX Control v19.3

MoveUp Method

Description

Moves the focus and\or selection up one row. Simulates pressing the up arrow key to navigate the report rows.

Syntax

Public Sub MoveUp( _
   Optional ByVal SelectBlock As Boolean = False, _
   Optional ByVal IgnoreSelection As Boolean = False _
)

Parameters

SelectBlock

When True, simulates holding down the Shift key. This would be equivalent to pressing the Up Arrow key while holding the Shift key to navigate the rows. This will cause the currently selected row(s) to remain selected as well as the previous row. The previous row will become both focused AND selected.

When False, the current selection will be lost and the previous row will become both focused and selected.

IgnoreSelection

When True, simulates holding down the Control(Ctrl) key. This would be equivalent to pressing the Up Arrow key while holding the Control key to navigate the rows. This will cause the currently selected row(s) to remain selected while moving focus to the previous row. The new focused row will not become selected.

Note: If SelectBlock is True, then IgnoreSelection will be ignored.

Remarks

The MoveUp method is used to move focus and\or selection to the previous row. It is used to simulate pressing the Up Arrow key and can be combined with the Shift or Control simulated keys to select multiple rows or move the focus to the previous row without selecting the row.

See Also

ReportNavigator Object


%%PageItemTitle%%

ReportNavigator Object | CurrentFocusInHeadersRows Property

See Also Report Control ActiveX Control v19.3

CurrentFocusInFootersRows Property

Description

Gets whether the focused row belongs to the footer rows or moves focus (selected row) to the footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CurrentFocusInFootersRows() As Boolean

Remarks

The CurrentFocusInFootersRows and CurrentFocusInHeadersRows properties are updated automatically when you change a focused row by mouse or keyboard so that you always know if the focus is in the header rows, body rows or footer rows. If both above properties are False - focused row belongs to the body rows.

If you manually set CurrentFocusInFootersRows or CurrentFocusInHeadersRows to True or False - this will also Move/Remove focus to/from the Headers/Footers rows.

See Also

ReportNavigator Object | CurrentFocusInHeadersRows Property


%%PageItemTitle%%

ReportNavigator Object | CurrentFocusInFootersRows Property

See Also Report Control ActiveX Control v19.3

CurrentFocusInHeadersRows Property

Description

Gets whether the focused row belongs to the header rows or moves focus (selected row) to the header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CurrentFocusInHeadersRows() As Boolean

Remarks

The CurrentFocusInFootersRows and CurrentFocusInHeadersRows properties are updated automatically when you change a focused row by mouse or keyboard so that you always know if the focus is in the header rows, body rows or footer rows. If both above properties are False - focused row belongs to the body rows.

If you manually set CurrentFocusInFootersRows or CurrentFocusInHeadersRows to True or False - this will also Move/Remove focus to/from the Headers/Footers rows.

See Also

ReportNavigator Object | CurrentFocusInFootersRows Property


%%PageItemTitle%%

ReportNotifications Members

See Also Report Control ActiveX Control v19.3

ReportNotifications Object

For a list of all members defined in this module, see ReportNotifications members.

Object Model

See Also

ReportNotifications Members


%%PageItemTitle%% $$Members$$

ReportNotifications Overview

See Also Report Control ActiveX Control v19.3

ReportNotifications Object Members

Public Properties

Public Property Populate
Public Property Row

See Also

ReportNotifications Overview


%%PageItemTitle%%

ReportNotifications Object

See Also Report Control ActiveX Control v19.3

Populate Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Populate() As ReportNotificationsPopulate

See Also

ReportNotifications Object


%%PageItemTitle%%

ReportNotifications Object

See Also Report Control ActiveX Control v19.3

Row Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row() As ReportNotificationsRow

See Also

ReportNotifications Object


%%PageItemTitle%%

ReportNotificationsPopulate Members

See Also Report Control ActiveX Control v19.3

ReportNotificationsPopulate Object

For a list of all members defined in this module, see ReportNotificationsPopulate members.

See Also

ReportNotificationsPopulate Members


%%PageItemTitle%% $$Members$$

ReportNotificationsPopulate Overview

See Also Report Control ActiveX Control v19.3

ReportNotificationsPopulate Object Members

Public Properties

Public Property FocusChangingNotification
Public Property SelectionChangedNotification
Public Property SelectionChangingNotification

See Also

ReportNotificationsPopulate Overview


%%PageItemTitle%%

ReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

FocusChangingNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusChangingNotification() As Boolean

See Also

ReportNotificationsPopulate Object


%%PageItemTitle%%

ReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

SelectionChangedNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionChangedNotification() As Boolean

See Also

ReportNotificationsPopulate Object


%%PageItemTitle%%

ReportNotificationsPopulate Object

See Also Report Control ActiveX Control v19.3

SelectionChangingNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionChangingNotification() As Boolean

See Also

ReportNotificationsPopulate Object


%%PageItemTitle%%

ReportNotificationsRow Members

See Also Report Control ActiveX Control v19.3

ReportNotificationsRow Object

For a list of all members defined in this module, see ReportNotificationsRow members.

See Also

ReportNotificationsRow Members


%%PageItemTitle%% $$Members$$

ReportNotificationsRow Overview

See Also Report Control ActiveX Control v19.3

ReportNotificationsRow Object Members

Public Properties

Public Property RowExpandedNotification

See Also

ReportNotificationsRow Overview


%%PageItemTitle%%

ReportNotificationsRow Object

See Also Report Control ActiveX Control v19.3

RowExpandedNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowExpandedNotification() As Boolean

See Also

ReportNotificationsRow Object


%%PageItemTitle%%

ReportNotificationsSelectedRows Members

See Also Report Control ActiveX Control v19.3

ReportNotificationsSelectedRows Object

For a list of all members defined in this module, see ReportNotificationsSelectedRows members.

See Also

ReportNotificationsSelectedRows Members


%%PageItemTitle%% $$Members$$

ReportNotificationsSelectedRows Overview

See Also Report Control ActiveX Control v19.3

ReportNotificationsSelectedRows Object Members

Public Properties

Public Property AddNotification
Public Property ClearNotification
Public Property RemoveNotification

See Also

ReportNotificationsSelectedRows Overview


%%PageItemTitle%%

ReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

AddNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property AddNotification() As Boolean

See Also

ReportNotificationsSelectedRows Object


%%PageItemTitle%%

ReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

ClearNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearNotification() As Boolean

See Also

ReportNotificationsSelectedRows Object


%%PageItemTitle%%

ReportNotificationsSelectedRows Object

See Also Report Control ActiveX Control v19.3

RemoveNotification Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property RemoveNotification() As Boolean

See Also

ReportNotificationsSelectedRows Object


%%PageItemTitle%%

ReportPaintManager Members

See Also Report Control ActiveX Control v19.3

ReportPaintManager Object

Description

Handles most of the drawing activities of the ReportControl.

For a list of all members defined in this module, see ReportPaintManager members.

Object Model

Remarks

The ReportPaintManager object stores all settings needed to change the look and feel of the ReportControl. You can set the fonts, colors, and styles for the different objects in the ReportControl.

You can use this object to provide several different "skins" for your ReportControl.

The ReportPaintManager object stores the settings about:

  • Caption, Normal Text, and Preview Text fonts
  • Grid Lines Styles
  • Shade Group Headings
  • Shade sorted columns
  • Column Styles
  • Text displayed in the "Group By" box when empty
  • Text displayed when there are no items to show in the ReportControl
  • Set maximum number of preview lines when in preview mode
  • Set the indentation of preview lines when in preview mode

See Also

ReportPaintManager Members


%%PageItemTitle%% $$Members$$

ReportPaintManager Overview

See Also Report Control ActiveX Control v19.3

ReportPaintManager Object Members

Public Methods

Public Method RefreshMetrics | Initializes all drawings defaults (fonts, colors, etc.). Most of them are system defaults.
Public Method SetPreviewIndent | Sets the indentation for the preview text while in preview mode.

Public Properties

Public Property AllowMergeCells | Specifies whether to allow merged cells in the report.
Public Property AlternativeBackgroundColor | Color used for alternating rows when UseAlternativeBackground is true.
Public Property BackColor | The background color of the ReportControl.
Public Property BaseParentRecordIndent | Gets or sets the initial number of pixels a parent node will be indented when in a group.
Public Property BaseTreeIndent | Specifies the indentation placed before the text of each parent node in a hierarchical tree structure.
Public Property BoldText |
Public Property BoldTextHighlight |
Public Property CaptionBackColor | The background color of the column headers.
Public Property CaptionBackGradientColorDark | The "Dark" color in the color gradient used for the background color of "normal" column headers.
Public Property CaptionBackGradientColorLight | The "Light" color in the color gradient used for the background color of "normal" column headers.
Public Property CaptionFont | Font used to display the caption of ReportColumn headers.
Public Property CaptionForeColor | The forecolor\caption color of the column headers.
Public Property CleanTooltip | Specifies whether to display markup tooltips as normal text without markup tags or formatting.
Public Property CollapseText | Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the collapsed state in the column header.
Public Property ColumnHotGradientColorDark | The "Dark" color in the color gradient used for the background color of "hot" column headers.
Public Property ColumnHotGradientColorLight | The "Light" color in the color gradient used for the background color of "hot" column headers.
Public Property ColumnOffice2007CustomThemeBaseColor | Gets or sets a custom color to use as the base color for the Office 2007 column style theme.
Public Property ColumnPlusMinusSign | Specifies whether to use a "+/-" button instead on an arrow button in the column header when a PlusMinus button is used to expand\collapse columns.
Public Property ColumnPushedGradientColorDark | The "Dark" color in the color gradient used for the background color of "pushed" column headers.
Public Property ColumnPushedGradientColorLight | The "Light" color in the color gradient used for the background color of "pushed" column headers.
Public Property ColumnShadowGradient | The color used to draw the shadow of a column.
Public Property ColumnStyle | Stores the style used to display ReportColumn headers.
Public Property ColumnWidthWYSIWYG | Allows the report to be printed as seen (WYSIWYG).
Public Property CompactText | Specifies whether text has preference over icons when a column is to narrow to display both.
Public Property DrawGridForEmptySpace | Gets or sets wether grid lines will be drawn after the body of rows to fill the empty space.
Public Property DrawSortTriangleAlways | The DrawSortTriangleAlways property specifies when the sort triangle is drawn.
Public Property DrawSortTriangleStyle | Specifies the style of the column sort triangle when the column is sorted.
Public Property ExpandText | Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the expanded state in the column header.
Public Property FixedInplaceButtonHeight | Specifies whether the paint manager supports fixed height of in-place buttons.
Public Property FixedRowHeight | Gets\sets whether multi-line rows are allowed.
Public Property FooterRowsDividerColor | Gets or sets the color of the footer divider lines.
Public Property FooterRowsDividerStyle | Gets or sets the style of the footer divider lines.
Public Property ForceDynamicMarkupForCell | Forces markup rendering for item captions in Virtual Mode.
Public Property ForceShowDropMarker | Specifies whether to force the Show Drop Marker when dragging and dropping.
Public Property ForceShowTooltip | Specifies whether to force tooltips to always be displayed, even when not normally needed.
Public Property ForeColor | The foreground\text color of the ReportControl.
Public Property FormulaSubSumColor | Gets\sets the color for Formula SubSum fields.
Public Property FormulaSumColor | Gets\sets the color for Formula Sum fields.
Public Property FreezeColsDividerColor | Color of the freeze column divider.
Public Property FreezeColsDividerStyle | Style of the freeze column divider.
Public Property Glyphs | Returns point to additional image list with Glyphs.
Public Property GrayIfDisable | Specifies whether to draw the report using "normal" colors or standard Windows disabled colors when the report control disabled.
Public Property GridLineColor | The color used to draw grid lines.
Public Property GroupBoxBackColor | The background color of the "Group By" box.
Public Property GroupByNoItemsTextColor | Color used to display the "No Items" text message displayed in the "Group By" box when no groups are added.
Public Property GroupForeColor | The color of text in group rows.
Public Property GroupGridLineHeight | Gets or sets the height of the group grid lines.
Public Property GroupIndentColor | The color of the group indent shading.
Public Property GroupRowTextBold | Gets\sets whether the text displayed in group rows will be displayed in bold type.
Public Property GroupShadeBackColor | The color used to shade group headings when ShadeGroupHeadings is True.
Public Property GroupShadeBorderColor | The color used to draw the grid line border of group rows when ShadeGroupHeadings is True.
Public Property GroupShadeForeColor | The text color of text displayed in Group Rows when ShadeGroupHeadings is True.
Public Property HeaderHeight | Specifies the height of the column headers of the report.
Public Property HeaderRowsDividerColor | Gets or sets the color of the header divider lines.
Public Property HeaderRowsDividerStyle | Gets or sets the style of the header divider lines.
Public Property HideSelection | Determines whether the currently selected rows will remain shaded when the ReportControl loses focus.
Public Property HighlightBackColor | The background color of selected rows.
Public Property HighlightForeColor | The text color of selected rows.
Public Property HorizontalGridStyle | Style used to draw horizontal grid lines.
Public Property HotDividerColor | Gets\sets the color of the arrows used to show where a column can be dropped when dragging a column header.
Public Property HotTracking | Gets\set whether hot tracking is used while moving the mouse over the column header when using the "Explorer" or "Office 2003" column styles.
Public Property HyperlinkHoverStyle | Gets or sets the style for hovered hyper links.
Public Property HyperlinkStyle | Gets or sets the style for hyper links.
Public Property InvertColumnOnClick | Gets\sets whether the column header will appear "inverted" when clicked.
Public Property LastColumnWidthWYSIWYG | Special flag, not normally used.
Public Property MaxPreviewLines | The maximum number of lines of the PreviewText that will be displayed while in PreviewMode.
Public Property MoveScrollbarOnFixedColumnsIndent | Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.
Public Property NoFieldsAvailableText | The "No Fields Available" text message displayed in the Field Chooser when no Column Headers are present.
Public Property NoGroupByText | The "No Items" text message displayed in the "Group By" box when no groups are added.
Public Property NoItemsText | The "No Items" text message displayed in the ReportControl when there are no visible rows.
Public Property PreviewTextColor | The foreground\text color of the Preview Text.
Public Property PreviewTextFont | Font used to display the PreviewTextFont of a ReportRecord while in PreviewMode.
Public Property PrintPageRectangle | Specifies whether to print the black rectangle around the report.
Public Property PrintWatermark | Specifies whether to print the watermark of the report (if a watermark is used).
Public Property RecOrRowNumber | Specifies whether numbers in the Number column get sorted (displays record number) or are "set in stone" and never move (displays row number).
Public Property RevertAlignment | Reverts the alignment of column content.
Public Property SelectedRowBackColor | Gets or sets the selected row background color.
Public Property SelectedRowForeColor | Gets or sets the selected row text color.
Public Property ShadeGroupHeadings | Specifies whether group headings in the ReportControl will be shaded.
Public Property ShadeSortColor | Specifies the color used to shade sorted columns.
Public Property ShadeSortColumn | Specifies whether the ReportRecordItems of a sorted column will be shaded.
Public Property ShowLockIcon | Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True).
Public Property ShowNonActiveInPlaceButton | Specifies whether to show NonActive InPlace Buttons (Combo, Expand, Spin) all the time.
Public Property ShowWYSIWYGMarkers | Specifies whether to show or hide the page marker when using ColumnWidthWYSIWYG after printing.
Public Property SortByDecreasingText | Gets or sets the text added to a columns tooltip when it is sorted (decreasing).
Public Property SortByIncreasingText | Gets or sets the text added to a columns tooltip when it is sorted (increasing).
Public Property SortByText | Get\sets a string which contains customized "Sort By" text for displaying in sortable column header tooltips.
Public Property SortTriangleOffsetFromRight | Gets or sets the number of pixels the sort arrow will be drawn from the right edge of the column header.
Public Property StartRecOrRowNumber | Specifies the starting row number for the Number column if used.
Public Property TextFont | Font used to display the text/caption of the ReportRecordItems
Public Property TextIndentForGroupRowsWithNoIcon | Gets or sets the text indent for group rows if no group icon is used.
Public Property ThemedInplaceButtons | Specifies whether in-place buttons will be themed.
Public Property TreeColumnLineLength | Gets or sets the extra line length to apply to tree column lines if there is no expand button.
Public Property TreeIndent | Specifies the indentation placed before the text of each child node in a hierarchical tree structure.
Public Property TreeStructureStyle | Specifies the style of lines drawn when using a hierarchical tree structure.
Public Property UseAlternativeBackground | Specifies whether to alternate the background color of the rows.
Public Property UseColumnTextAlignment | The UseColumnTextAlignment property specifies whether the text in the column header will use the ReportColumn.Alignment setting to align the header caption.
Public Property UseDropMarker | Specifies whether to show drop markers (red insertion lines) while dragging something into the report.
Public Property UseEditTextAlignment | Specifies whether the ReportColumn.Alignment setting is automatically applied to items when in edit mode.
Public Property UseGroupRowSelectionState | Specifies whether to add a "selection" checkbox in the group row next to the expand\collapse button that indicates the selection status of child records.
Public Property UseShellIcon | Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True). This property will use the lock icon from SHELL32.DLL.
Public Property UseUpperCaseCaptions |
Public Property VerticalGridStyle | Style used to draw vertical grid lines.

See Also

ReportPaintManager Overview


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

RefreshMetrics Method

Description

Initializes all drawings defaults (fonts, colors, etc.). Most of them are system defaults.

Syntax

Public Sub RefreshMetrics()

Example

[RefreshMetrics Sample (Visual Basic)]

    ReportControlGlobalSettings.ColorManager.SystemTheme = xtpSystemThemeOlive
    wndReportControl.PaintManager.RefreshMetrics
    wndReportControl.Redraw

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | RecordItem PreviewText Property | PreviewTextFont Property | ReportControl PreviewMode Property

left
Left indentation.
top
Top indentation.
right
Right indentation.
bottom
Bottom indentation.
See Also Report Control ActiveX Control v19.3

SetPreviewIndent Method

Description

Sets the indentation for the preview text while in preview mode.

Syntax

Public Sub SetPreviewIndent( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
)

Parameters

left
Left indentation.
top
Top indentation.
right
Right indentation.
bottom
Bottom indentation.

Remarks

If text has been added to the PreviewText property and PreviewMode is enabled, a preview row is added to the bottom of each ReportRecord and the text stored in the PreviewText property will be shown. The SetPreviewIndent method specified the size of the indentation of the PreviewText.

The left, top, bottom, and right parameters can be thought of as the amount of "cell padding" placed around the PreviewText.

Example

[Setting the preview text indentation (Visual Basic)] This sample illustrates how to set the indentation used when displaying the preview text for each ReportRecord.

    'This sample illustrates how to add PreviewText to a ReportRecord
    'And how to change the indentation used when displaying the PreviewText
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a ReportRecord with 5 ReportRecordItems
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Record.AddItem "RE: Your Invoice"
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

        'The text added to the PreviewText property will be displayed under this ReportRecord
        'when in preview mode
        Record.PreviewText = "RE: Your Invoice (From: John Smith)" & vbCrLf & "19/06/2004"

        'This will cause the text stored in the PreviewText property to be displayed
        'with the specified indentation. This is similar to "cell padding."
        'You can specify the amount of "padding" placed around the preview text.
        'The text will be indented 20px from the Left
        'The text will be indented 5px from the Top
        'The text will be indented 0px from the right
        'The text will be indented 5px from the Bottom
        wndReportControl.SetPreviewIndent 20, 5, 0, 5

See Also

ReportPaintManager Object | RecordItem PreviewText Property | PreviewTextFont Property | ReportControl PreviewMode Property


%%PageItemTitle%%

ReportPaintManager Object | MergeItems Method

See Also Report Control ActiveX Control v19.3

AllowMergeCells Property

Description

Specifies whether to allow merged cells in the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMergeCells() As Boolean

Return Type

True to allow merged cells, False to restrict them.

Remarks

Cells can be merged both horizontally, and vertically.

See Also

ReportPaintManager Object | MergeItems Method

Example

Merged Cells Sample


%%PageItemTitle%%

ReportPaintManager Object | UseAlternativeBackground Property

See Also Report Control ActiveX Control v19.3

AlternativeBackgroundColor Property

Description

Color used for alternating rows when UseAlternativeBackground is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlternativeBackgroundColor() As ULong

Remarks

See UseAlternativeBackground.

See Also

ReportPaintManager Object | UseAlternativeBackground Property


%%PageItemTitle%%

ReportPaintManager Object | ReportRecordItem BackColor Property

See Also Report Control ActiveX Control v19.3

BackColor Property

Description

The background color of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This is the background color for the entire ReportControl. All ReportRecordItems will use this as their backcolor unless the value is manually changed. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ReportControl BackColor Sample (Visual Basic)] This sample illustratres how to change the BackColor for the entire ReportControl.

    'This will change the BackColor of the ReportControl to a shade of gray
    wndReportControl.PaintManager.BackColor = RGB (224, 224, 224)

See Also

ReportPaintManager Object | ReportRecordItem BackColor Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

BaseParentRecordIndent Property

Description

Gets or sets the initial number of pixels a parent node will be indented when in a group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseParentRecordIndent() As Integer

Return Type

The initial number of pixels a parent node will be indented when in a group.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | TreeIndent Property

See Also Report Control ActiveX Control v19.3

BaseTreeIndent Property

Description

Specifies the indentation placed before the text of each parent node in a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseTreeIndent() As Boolean

Remarks

Indentation is represented in Pixels.

Use TreeIndent for child indentation.

Example

[Parent Indent Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of parent and child nodes.

    'Parent nodes will be indented by 10 pixels
    wndReportControl.PaintManager.BaseTreeIndent = 10

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

ReportPaintManager Object | TreeIndent Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

BoldText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldText() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

BoldTextHighlight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldTextHighlight() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackColor Property

Description

The background color of the column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackColor() As ULong

Remarks

This color is also used as the backcolor of the text and column headers displayed in the "Group By" box and column headers in the FieldChooser. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[CaptionBackColor Sample (Visual Basic)] This sample illustratres how to change the BackColor of column headers.

    'This will change the BackColor of column headers to yellow
    wndReportControl.PaintManager.CaptionBackColor = vbYellow

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "normal" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackGradientColorDark() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "normal" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackGradientColorLight() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ReportColumn Caption Property

See Also Report Control ActiveX Control v19.3

CaptionFont Property

Description

Font used to display the caption of ReportColumn headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

Remarks

This font is also used to display the text in the "Group By" box and to display column headers in the FieldChooser.

Example

[Setting the caption font (Visual Basic)] This sample illustrates how to change the font used to display text in column headers, the FieldChooser, and the Group By box.

    Dim CaptionFont As StdFont
    Set CaptionFont = Me.Font
    CaptionFont.Size = 7
    CaptionFont.Bold = True

    'Applies the newly created font to the ReportControl's caption font
    Set wndReportControl.PaintManager.CaptionFont = CaptionFont

See Also

ReportPaintManager Object | ReportColumn Caption Property


%%PageItemTitle%%

ReportPaintManager Object | ReportColumn Caption Property

See Also Report Control ActiveX Control v19.3

CaptionForeColor Property

Description

The forecolor\caption color of the column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionForeColor() As ULong

Remarks

This color is also used as the forecolor\caption color of the column headers in the "Group By" box and column headers in the FieldChooser. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[[New Example] (Visual Basic)] This sample illustratres how to change the ForeColor\Caption color of column headers.

    'This will change the ForeColor\Caption color of column headers to Red
    wndReportControl.PaintManager.CaptionForeColor = vbRed

See Also

ReportPaintManager Object | ReportColumn Caption Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

CleanTooltip Property

Description

Specifies whether to display markup tooltips as normal text without markup tags or formatting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CleanTooltip() As Boolean

Remarks

Specifies whether to display markup tooltips as normal text without markup tags or formatting. Just as if not markup was added, just plain text.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | ExpandText Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

CollapseText Property

Description

Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the collapsed state in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CollapseText() As String

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

wndReportControl.PaintManager.CollapseText = "Collapse Me"
wndReportControl.PaintManager.ExpandText = "Expand Me"

See Also

ReportPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | ExpandText Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnHotGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "hot" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnHotGradientColorDark() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnHotGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "hot" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnHotGradientColorLight() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ColumnStyle Property

See Also Report Control ActiveX Control v19.3

ColumnOffice2007CustomThemeBaseColor Property

Description

Gets or sets a custom color to use as the base color for the Office 2007 column style theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnOffice2007CustomThemeBaseColor() As ULong

Remarks

The Office 2007 column style must be set for ColumnOffice2007CustomThemeBaseColor to have any effect. This will change the base color used to display the Office 2007 theme.

Example

[Custom Office 2007 Theme Sample (Visual Basic)]

    wndReportControl.PaintManager.ColumnStyle = xtpColumnResource
    wndReportControl.PaintManager.ColumnOffice2007CustomThemeBaseColor = vbRed
    wndReportControl.Redraw

See Also

ReportPaintManager Object | ColumnStyle Property


%%PageItemTitle%%

ReportPaintManager Object | PlusMinus Property

See Also Report Control ActiveX Control v19.3

ColumnPlusMinusSign Property

Description

Specifies whether to use a "+/-" button instead on an arrow button in the column header when a PlusMinus button is used to expand\collapse columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPlusMinusSign() As Boolean

See Also

ReportPaintManager Object | PlusMinus Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnPushedGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "pushed" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPushedGradientColorDark() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnPushedGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "pushed" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPushedGradientColorLight() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnShadowGradient Property

Description

The color used to draw the shadow of a column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnShadowGradient() As ULong

Remarks

The shadow is drawn as a gradient with ColumnShadowGradient being the base color for this gradient.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | XTPReportColumnStyle Enumeration

See Also Report Control ActiveX Control v19.3

ColumnStyle Property

Description

Stores the style used to display ReportColumn headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnStyle() As XTPReportColumnStyle

Remarks

This does not effect column headers in the FieldChooser and Group By box.

Example

[Changing the ReportColumn header style (Visual Basic)] This sample illustrates how to change the style of the ReportColumn headers.

    'The column headers in the ReportControl will use the "shaded" style
    wndReportControl.PaintManager.ColumnStyle = xtpColumnShaded

See Also

ReportPaintManager Object | XTPReportColumnStyle Enumeration


%%PageItemTitle%%

ReportPaintManager Object | ShowWYSIWYGMarkers Property

See Also Report Control ActiveX Control v19.3

ColumnWidthWYSIWYG Property

Description

Allows the report to be printed as seen (WYSIWYG).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnWidthWYSIWYG() As Boolean

Remarks

When True, the report will print on as many pages as needed to print the columns with the widths displayed on the screen. If False, all columns are condensed to fit on a single page.

After printing a red "WYSISYG Marker" is drawn on top of the column header to indicate actual page boundaries. What you see before the red marker will fit on a single page, what is after the marker will go on the next page, etc. This makes it easy to adjust the width of columns or the window so that the printout will look exactly as you want it to look. This marker will continue to be shown after printing\print preview. You can turn the marker off using ShowWYSIWYGMarkers.

See Also

ReportPaintManager Object | ShowWYSIWYGMarkers Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

CompactText Property

Description

Specifies whether text has preference over icons when a column is to narrow to display both.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CompactText() As Boolean

Remarks

By default, if a column has an Icon, the Icon is displayed first, then the text. If CompactText is True, then the text will be displayed unless there is enough room to display both the icon and the text.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawGridForEmptySpace Property

Description

Gets or sets wether grid lines will be drawn after the body of rows to fill the empty space.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawGridForEmptySpace() As Boolean

Remarks

If True, the report control fills the empty space (if any) after the body rows with grid lines.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawSortTriangleAlways Property

Description

The DrawSortTriangleAlways property specifies when the sort triangle is drawn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawSortTriangleAlways() As Boolean

Remarks

If DrawSortTriangleAlways is TRUE, the sort triangle displayed in column headers when a column is sorted will always be displayed as long as the column size is large enough to drawn the triangle.

If DrawSortTriangleAlways is FALSE, the triangle will be removed when the column size is too small to display both the caption and triangle, this will cause only the caption will be drawn. If the column size is too small to display the entire caption, the caption will be abbreviated with ellipses.

By default, is TRUE.

Example

[DrawSortTriangleAlways Sample (Visual Basic)] This sample illustrates how to hide the sort triangle the the column width is too small to display both the column caption and the sort arrow.

    'The sort triangle will be hidden if the column width is too small to display both
    'the caption and sort arrow.
    wndReportControl.PaintManager.DrawSortTriangleAlways = False

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawSortTriangleStyle Property

Description

Specifies the style of the column sort triangle when the column is sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawSortTriangleStyle() As XTPReportDrawSortTriangleStyle

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | CollapseText Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

ExpandText Property

Description

Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the expanded state in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandText() As String

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

wndReportControl.PaintManager.CollapseText = "Collapse Me"
wndReportControl.PaintManager.ExpandText = "Expand Me"

See Also

ReportPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | CollapseText Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

FixedInplaceButtonHeight Property

Description

Specifies whether the paint manager supports fixed height of in-place buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedInplaceButtonHeight() As Boolean

Remarks

By default this is False. Set to True to allow the height of the in-place button to resize to the height of each individual row.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | XTPColumnAlignment Enumeration | Alignment Property

See Also Report Control ActiveX Control v19.3

FixedRowHeight Property

Description

Gets\sets whether multi-line rows are allowed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedRowHeight() As Boolean

Remarks

The column alignment must be set to xtpAlignmentWorkBreak to specify that the text should "wrap" in a column if the width of the column is not wide enough to display the entire contents of the item.

In combination with the xtpAlignmentWorkBreak flag, FixedRowHeight must be False to allow multi-line rows.

If FixedRowHeight is True, then an ellipse (...) will be displayed on the same line to indicate all text is not visible and all rows will be the same height.

See Also

ReportPaintManager Object | XTPColumnAlignment Enumeration | Alignment Property


%%PageItemTitle%%

ReportPaintManager Object | FooterRowsDividerStyle Property | HeaderRowsDividerColor Property | HeaderRowsDividerStyle Property

See Also Report Control ActiveX Control v19.3

FooterRowsDividerColor Property

Description

Gets or sets the color of the footer divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsDividerColor() As ULong

See Also

ReportPaintManager Object | FooterRowsDividerStyle Property | HeaderRowsDividerColor Property | HeaderRowsDividerStyle Property


%%PageItemTitle%%

ReportPaintManager Object | HeaderRowsDividerStyle Property | HeaderRowsDividerColor Property | FooterRowsDividerColor Property

See Also Report Control ActiveX Control v19.3

FooterRowsDividerStyle Property

Description

Gets or sets the style of the footer divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsDividerStyle() As XTPReportFixedRowsDividerStyle

See Also

ReportPaintManager Object | HeaderRowsDividerStyle Property | HeaderRowsDividerColor Property | FooterRowsDividerColor Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceDynamicMarkupForCell Property

Description

Forces markup rendering for item captions in Virtual Mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceDynamicMarkupForCell() As Boolean

Remarks

Only for virtual mode! You have to set the Caption of the Item to have markup.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceShowDropMarker Property

Description

Specifies whether to force the Show Drop Marker when dragging and dropping.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceShowDropMarker() As Boolean

Remarks

This is for ext drag and drop to indicate a mode.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceShowTooltip Property

Description

Specifies whether to force tooltips to always be displayed, even when not normally needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceShowTooltip() As Boolean

Remarks

Normally tooltips are only shown for text not fully visible. This will force the tip to display even if the text is fully visible.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ReportRecordItem ForeColor Property

See Also Report Control ActiveX Control v19.3

ForeColor Property

Description

The foreground\text color of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Remarks

This is the foreground color for the entire ReportControl. All ReportRecordItems will use this as their forecolor unless the value is manually changed. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ReportControl ForeColor\Text Color Sample (Visual Basic)] This sample illustratres how to change the ForeColor\text color for the entire ReportControl.

    'This will change the ForeColor\text color of the ReportControl to red
    wndReportControl.PaintManager.ForeColor = vbRed

See Also

ReportPaintManager Object | ReportRecordItem ForeColor Property


%%PageItemTitle%%

ReportPaintManager Object | Formula Property

See Also Report Control ActiveX Control v19.3

FormulaSubSumColor Property

Description

Gets\sets the color for Formula SubSum fields.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormulaSubSumColor() As ULong

See Also

ReportPaintManager Object | Formula Property


%%PageItemTitle%%

ReportPaintManager Object | Formula Property

See Also Report Control ActiveX Control v19.3

FormulaSumColor Property

Description

Gets\sets the color for Formula Sum fields.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormulaSumColor() As ULong

See Also

ReportPaintManager Object | Formula Property


%%PageItemTitle%%

ReportPaintManager Object | FreezeColumnsCount Property | FreezeColsDividerStyle Property

See Also Report Control ActiveX Control v19.3

FreezeColsDividerColor Property

Description

Color of the freeze column divider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColsDividerColor() As ULong

See Also

ReportPaintManager Object | FreezeColumnsCount Property | FreezeColsDividerStyle Property


%%PageItemTitle%%

ReportPaintManager Object | FreezeColsDividerColor Property | FreezeColumnsCount Property | XTPReportFreezeColsDividerStyle Enumeration

See Also Report Control ActiveX Control v19.3

FreezeColsDividerStyle Property

Description

Style of the freeze column divider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColsDividerStyle() As Long

Remarks

Uses a flag from the XTPReportFreezeColsDividerStyle enumeration to set the style.

See Also

ReportPaintManager Object | FreezeColsDividerColor Property | FreezeColumnsCount Property | XTPReportFreezeColsDividerStyle Enumeration


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

Glyphs Property

Description

Returns point to additional image list with Glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Glyphs() As ImageManagerIcons

Remarks

Aditional image list usually used for bitmaps of collapsed icons, etc.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

GrayIfDisable Property

Description

Specifies whether to draw the report using "normal" colors or standard Windows disabled colors when the report control disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GrayIfDisable() As Boolean

Remarks

When False, when the report control is disabled the report will still look enabled to the user but won't respond to input. This is like a "Read-Only" mode, only you can't even scroll the report.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | HorizontalGridStyle Property | VerticalGridStyle Property

See Also Report Control ActiveX Control v19.3

GridLineColor Property

Description

The color used to draw grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridLineColor() As ULong

Remarks

This is the color used to draw the grid lines in the ReportControl. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GridLineColor Sample (Visual Basic)] This sample illustrates how to change the color of the grid lines.

    'Grid lines will be drawn in blue
    wndReportControl.PaintManager.GridLineColor = vbBlue

See Also

ReportPaintManager Object | HorizontalGridStyle Property | VerticalGridStyle Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupBoxBackColor Property

Description

The background color of the "Group By" box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupBoxBackColor() As ULong

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupByNoItemsTextColor Property

Description

Color used to display the "No Items" text message displayed in the "Group By" box when no groups are added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupByNoItemsTextColor() As ULong

Remarks

If the Group By box is visible, and no ReportColumn headers have been added, then the text stored in NoGroupByText will be displayed in the Group By box. By default, the message "Drag a Column Header Here to Group by that Column" will be displayed.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | GroupCaption Property

See Also Report Control ActiveX Control v19.3

GroupForeColor Property

Description

The color of text in group rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupForeColor() As ULong

Remarks

This is the forecolor\text color for text displayed in group rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

You can change the text by setting the GroupCaption property of the ReportRecordItems.

Example

[GroupForeColor Sample (Visual Basic)] This sample illustrates how to change the color used to display text in group rows. You can change the text by setting the GroupCaption property of the ReportRecordItems.

    'This will change the ForeColor\text color of text displayed in group rows to green
    wndReportControl.PaintManager.GroupForeColor = vbGreen

See Also

ReportPaintManager Object | GroupCaption Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupGridLineHeight Property

Description

Gets or sets the height of the group grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupGridLineHeight() As Integer

Return Type

The height of the group grid lines.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupIndentColor Property

Description

The color of the group indent shading.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupIndentColor() As ULong

Remarks

Returns or sets the color used to shade indentation area when rows are grouped. The indentation area is usually visible when rows are grouped by multiple columns. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupIndentColor Sample (Visual Basic)] This sample illustrates how to change the color used to shad the group indention area when rows are grouped.

    'This will shade the group indent area in red
    wndReportControl.PaintManager.GroupIndentColor = vbRed

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | GroupBoxBackColor Property | GroupForeColor Property | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property | GroupShadeForeColor Property

See Also Report Control ActiveX Control v19.3

GroupRowTextBold Property

Description

Gets\sets whether the text displayed in group rows will be displayed in bold type.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupRowTextBold() As Boolean

Remarks

This only effects the text of group rows.

See Also

ReportPaintManager Object | GroupBoxBackColor Property | GroupForeColor Property | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property | GroupShadeForeColor Property


%%PageItemTitle%%

ReportPaintManager Object | ShadeGroupHeadings Property

See Also Report Control ActiveX Control v19.3

GroupShadeBackColor Property

Description

The color used to shade group headings when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeBackColor() As ULong

Remarks

This applies to the shading of group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ShadeGroupHeadings Sample (Visual Basic)] This sample illustrates how to change the GroupShadeBackColor.

    'Allows Group headings to be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True
    'Changes the color of the group headings to blue
    wndReportControl.PaintManager.GroupShadeBackColor = vbBlue

See Also

ReportPaintManager Object | ShadeGroupHeadings Property


%%PageItemTitle%%

ReportPaintManager Object | GroupRow Property

See Also Report Control ActiveX Control v19.3

GroupShadeBorderColor Property

Description

The color used to draw the grid line border of group rows when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeBorderColor() As ULong

Remarks

This applies to the color of the grid line border of group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupShadeBorderColor Sample (Visual Basic)] This sample illustrates how to change the GroupShadeBorderColor. The border of a group row is the line drawn under the group headers.

    'Changes the color of the border for group rows to red
    wndReportControl.PaintManager.GroupShadeBorderColor = vbRed

See Also

ReportPaintManager Object | GroupRow Property


%%PageItemTitle%%

ReportPaintManager Object | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property

See Also Report Control ActiveX Control v19.3

GroupShadeForeColor Property

Description

The text color of text displayed in Group Rows when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeForeColor() As ULong

Remarks

This applies to the shading of text in the group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupShadeForeColor Sample (Visual Basic)] This sample illustrates how to change the GroupShadeForeColor.

    'Allows Group headings to be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True
    'Changes the color of the group headings to blue
    wndReportControl.PaintManager.GroupShadeForeColor = vbBlue

See Also

ReportPaintManager Object | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HeaderHeight Property

Description

Specifies the height of the column headers of the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderHeight() As Long

Return Type

The height of the column headers of the report.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | FooterRowsDividerColor Property | FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property

See Also Report Control ActiveX Control v19.3

HeaderRowsDividerColor Property

Description

Gets or sets the color of the header divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsDividerColor() As ULong

See Also

ReportPaintManager Object | FooterRowsDividerColor Property | FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property


%%PageItemTitle%%

ReportPaintManager Object | FooterRowsDividerStyle Property | FooterRowsDividerColor Property | HeaderRowsDividerColor Property

See Also Report Control ActiveX Control v19.3

HeaderRowsDividerStyle Property

Description

Gets or sets the style of the header divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsDividerStyle() As XTPReportFixedRowsDividerStyle

See Also

ReportPaintManager Object | FooterRowsDividerStyle Property | FooterRowsDividerColor Property | HeaderRowsDividerColor Property


%%PageItemTitle%%

ReportPaintManager Object | ReportRow Selected Property | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | ReportSelectedRows Count Property

See Also Report Control ActiveX Control v19.3

HideSelection Property

Description

Determines whether the currently selected rows will remain shaded when the ReportControl loses focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

Remarks

When the ReportControl loses focus, you can choose whether the currently selected rows remain shaded. By default, this property is FALSE. If FALSE, the currently selected rows will remain shaded when the ReportControl loses focus. If TRUE, the current selection (shading only, the rows will still be visible without shading) will be hidden when the ReportControl losses focus, the selection will become visible when the ReportControl regains focus. This will not hide the rows, it only hides the shading that indicates which rows are selected.

Example

[How to remove the shading from the currently selected rows when the ReportControl looses focus (Visual Basic)] This sample illustrates how to remove the shading from the currently selected rows when the ReportControl looses focus. The shading will return when the ReportControl regains focus.

    'This code causes the shading from the currently selected rows to hide when
    'the ReportControl looses focus.
    wndReportControl.PaintManager.HideSelection = True

See Also

ReportPaintManager Object | ReportRow Selected Property | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | ReportSelectedRows Count Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HighlightBackColor Property

Description

The background color of selected rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightBackColor() As ULong

Remarks

This is the background color for selected rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HighlightForeColor Property

Description

The text color of selected rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightForeColor() As ULong

Remarks

This is the forecolor\text color for text displayed in selected rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | XTPReportGridStyle Enumeration | VerticalGridStyle Property

See Also Report Control ActiveX Control v19.3

HorizontalGridStyle Property

Description

Style used to draw horizontal grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalGridStyle() As XTPReportGridStyle

Remarks

You can choose from several predefined line styles.

Example

[Changing the horizontal grid line style (Visual Basic)] This sample illustrates how to change the vertical grid line style

    'Horizontal grid lines will be drawn as dashes
    wndReportControl.PaintManager.HorizontalGridStyle = xtpGridDashes

See Also

ReportPaintManager Object | XTPReportGridStyle Enumeration | VerticalGridStyle Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HotDividerColor Property

Description

Gets\sets the color of the arrows used to show where a column can be dropped when dragging a column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotDividerColor() As ULong

Remarks

Specifies the color of the arrows used to show where a column can be dropped when dragging a column header.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ColumnStyle Property

See Also Report Control ActiveX Control v19.3

HotTracking Property

Description

Gets\set whether hot tracking is used while moving the mouse over the column header when using the "Explorer" or "Office 2003" column styles.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

The column style must be "Explorer" or "Office 2003" to use hot tracking.

"Explorer" column style using hot tracking.

"Office 2003" column style using hot tracking.

See Also

ReportPaintManager Object | ColumnStyle Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HyperlinkHoverStyle Property

Description

Gets or sets the style for hovered hyper links.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HyperlinkHoverStyle() As ReportHyperlinkStyle

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

HyperlinkStyle Property

Description

Gets or sets the style for hyper links.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HyperlinkStyle() As ReportHyperlinkStyle

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

InvertColumnOnClick Property

Description

Gets\sets whether the column header will appear "inverted" when clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InvertColumnOnClick() As Boolean

Remarks

Column clicked with InvertColumnOnClick = True

Column clicked with InvertColumnOnClick = False

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

LastColumnWidthWYSIWYG Property

Description

Special flag, not normally used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LastColumnWidthWYSIWYG() As Boolean

Remarks

If next column is the "last resizable" column, but not an "auto size" column - then resize it too.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | PreviewText Property | PreviewMode Property | PreviewTextFont Property

See Also Report Control ActiveX Control v19.3

MaxPreviewLines Property

Description

The maximum number of lines of the PreviewText that will be displayed while in PreviewMode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPreviewLines() As Long

Remarks

You can add as many lines of text in the PreviewText property, only the number of lines specified in MaxPreviewLines will be displayed wile in PreviewMode.

Example

[How to change the maximum number of preview text lines that are displayed (Visual Basic)] This sample illustrates how to change the maximum number of lines that will be displayed from the preview text while in PrevieMode.

    'This sample illustrates how to add PreviewText to a ReportRecord
    'And how to change the number of lines that will be displayed while in PreviewMode
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record
    Set Record = wndReportControl.Records.Add

    'Only 2 lines of the PreviewText will be displayed
    wndReportControl.PaintManager.MaxPreviewLines = 2

    'Only the first 2 lines will be displayed while in PreviewMode
    'Because MaxPreviewLines has been set to 2.
    Record.PreviewText = "RE: Your Invoice (From: John Smith)" & _
                         vbCrLf & "John Smith" & _
                         vbCrLf & "19/06/2004" & _
                         vbCrLf & "18K"

     Set Item = Record.AddItem("")
         Item.HasCheckbox = True
         Item.Checked = False
     Record.AddItem "RE: Your Invoice"
     Record.AddItem "John Smith"
     Record.AddItem "19/06/2004"
     Record.AddItem "18k"

See Also

ReportPaintManager Object | PreviewText Property | PreviewMode Property | PreviewTextFont Property


%%PageItemTitle%%

ReportPaintManager Object | FreezeColumnsCount Property | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

MoveScrollbarOnFixedColumnsIndent Property

Description

Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MoveScrollbarOnFixedColumnsIndent() As Boolean

Remarks

Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.

See Also

ReportPaintManager Object | FreezeColumnsCount Property | AutoColumnSizing Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

NoFieldsAvailableText Property

Description

The "No Fields Available" text message displayed in the Field Chooser when no Column Headers are present.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoFieldsAvailableText() As String

Example

[NoFieldsAvailableText Sample (Visual Basic)] This sample illustrates how to change the message displayed when the Field Chooser box is empty.

    'This code causes the text message displayed in an empty Field Chooser box
    'to display the word "Empty"
    wndReportControl.PaintManager.NoFieldsAvailableText = "Empty"

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ShowGroupBox

See Also Report Control ActiveX Control v19.3

NoGroupByText Property

Description

The "No Items" text message displayed in the "Group By" box when no groups are added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoGroupByText() As String

Remarks

If the Group By box is visible, and no ReportColumn headers have been added, then the text stored in NoGroupByText will be displayed in the Group By box. By default, the message "Drag a Column Header Here to Group by that Column" will be displayed.

Example

[Customizing the message in the Group By box when no items are inside. (Visual Basic)] This sample illustrates how to change the default message displayed in the Group By box when no items are inside.

    'Changed the default text displayed in the Group By box when no columns have been added
    wndReportControl.PaintManager.NoGroupByText = "Drag a Column Header Here"

See Also

ReportPaintManager Object | ShowGroupBox


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

NoItemsText Property

Description

The "No Items" text message displayed in the ReportControl when there are no visible rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoItemsText() As String

Example

[Customizing the No Items message displayed in the ReportControl when there are no visible rows (Visual Basic)] This sample illustrates how to change the default message displayed in the ReportControl when no rows are visible.

    'Changed the default text displayed in the ReportControl when there are no visible rows
    wndReportControl.PaintManager.NoItemsText = "There are no items to display!"

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | PreviewText Property | PreviewMode Property

See Also Report Control ActiveX Control v19.3

PreviewTextColor Property

Description

The foreground\text color of the Preview Text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewTextColor() As ULong

Remarks

This is the forecolor\text color for the Preview Text displayed when in PreviewMode. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

You can change the text by setting the Preview Text property of a ReportRecord.

See Also

ReportPaintManager Object | PreviewText Property | PreviewMode Property


%%PageItemTitle%%

ReportPaintManager Object | PreviewMode Property | ReportRecord PreviewText Property

See Also Report Control ActiveX Control v19.3

PreviewTextFont Property

Description

Font used to display the PreviewTextFont of a ReportRecord while in PreviewMode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewTextFont() As Font

Remarks

This text will only be visible while in PreviewMode.

Example

[Setting the PreviewTextFont (Visual Basic)] This sample illustrates how to set the font used to display the preview text of a ReportRecord while in PreviewMode.

    Dim PreviewTextFont As StdFont
    Set PreviewTextFont = Me.Font
    PreviewTextFont.Size = 8
    PreviewTextFont.Italic = True

    'Applies the newly created font to the ReportControl's PreviewTextFont
    Set wndReportControl.PaintManager.PreviewTextFont = PreviewTextFont

See Also

ReportPaintManager Object | PreviewMode Property | ReportRecord PreviewText Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

PrintPageRectangle Property

Description

Specifies whether to print the black rectangle around the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintPageRectangle() As Boolean

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

PrintWatermark Property

Description

Specifies whether to print the watermark of the report (if a watermark is used).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintWatermark() As Boolean

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ShowRowNumber Method | StartRecOrRowNumber Property

See Also Report Control ActiveX Control v19.3

RecOrRowNumber Property

Description

Specifies whether numbers in the Number column get sorted (displays record number) or are "set in stone" and never move (displays row number).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecOrRowNumber() As Boolean

Remarks

When the Number column displays the record number the numbers in the column will move based on the sort order. If displaying by row number the rows numbers always stay the same.

See Also

ReportPaintManager Object | ShowRowNumber Method | StartRecOrRowNumber Property


%%PageItemTitle%%

ReportPaintManager Object | Column Alignment Property | RightToLeft Property | RightToLeftReading Property

See Also Report Control ActiveX Control v19.3

RevertAlignment Property

Description

Reverts the alignment of column content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RevertAlignment() As Boolean

Remarks

When True, RevertAlignment will revert the current Column Alignment setting. If the current column alignment is Left, then Right will be used. This has no effect on columns aligned in the center.

RevertAlignment can be useful if column alignment should "look" the same after using RightToLeft or RightToLeftReading for Right-To-Left (RTL) languages.

See Also

ReportPaintManager Object | Column Alignment Property | RightToLeft Property | RightToLeftReading Property


%%PageItemTitle%%

ReportPaintManager Object | SelectedRowForeColor Property

See Also Report Control ActiveX Control v19.3

SelectedRowBackColor Property

Description

Gets or sets the selected row background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedRowBackColor() As ULong

Remarks

Can be useful when the report loses focus and you do not want the color of the focused row to change.

See Also

ReportPaintManager Object | SelectedRowForeColor Property


%%PageItemTitle%%

ReportPaintManager Object | SelectedRowBackColor Property

See Also Report Control ActiveX Control v19.3

SelectedRowForeColor Property

Description

Gets or sets the selected row text color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedRowForeColor() As ULong

Remarks

Can be useful when the report loses focus and you do not want the color of the focused row to change.

See Also

ReportPaintManager Object | SelectedRowBackColor Property


%%PageItemTitle%%

ReportPaintManager Object | ShowGroupBox Property | Groupable Property | ShowItemsInGroups Property | GroupsOrder Property | GroupShadeBackColor Property

See Also Report Control ActiveX Control v19.3

ShadeGroupHeadings Property

Description

Specifies whether group headings in the ReportControl will be shaded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeGroupHeadings() As Boolean

Remarks

This applies to the group header rows that appear in the ReportControl when the rows are grouped.

Example

[Shading group headings in the ReportControl (Visual Basic)] This sample illustrates how to shade the group headers.

    'Group headings will be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True

See Also

ReportPaintManager Object | ShowGroupBox Property | Groupable Property | ShowItemsInGroups Property | GroupsOrder Property | GroupShadeBackColor Property


%%PageItemTitle%%

ReportPaintManager Object | ReportColumn Sortable Property | ReportControl SortOrder Property | ShadeSortColumn Property

See Also Report Control ActiveX Control v19.3

ShadeSortColor Property

Description

Specifies the color used to shade sorted columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeSortColor() As ULong

Remarks

Returns or sets the color used to shade sorted columns when the ShadeSortColumn property is True. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ShadeSortColor Sample (Visual Basic)] This sample illustrates how to change the color used to shade sorted columns.

    'Sorted columns will be shaded in red
    wndReportControl.PaintManager.ShadeSortColor = vbRed

See Also

ReportPaintManager Object | ReportColumn Sortable Property | ReportControl SortOrder Property | ShadeSortColumn Property


%%PageItemTitle%%

ReportPaintManager Object | ReportControl ReportColumnOrder Object | ReportControl SortOrder Property | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

ShadeSortColumn Property

Description

Specifies whether the ReportRecordItems of a sorted column will be shaded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeSortColumn() As Boolean

Remarks

By default, each column that is sorted will be shaded.

If TRUE, the ReportRecordItems in the column will appear shaded when the column is sorted.

If FALSE, the ReportRecordItems will not appear shaded when the column is sorted.

Example

[Enable/Disable column shading when the column is sorted (Visual Basic)] This sample illustrates how to disable column shading when the column is sorted.

    'Columns will not appear shaded when they are sorted
    wndReportControl.PaintManager.ShadeSortColumn = False

See Also

ReportPaintManager Object | ReportControl ReportColumnOrder Object | ReportControl SortOrder Property | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

ReportPaintManager Object | Editable Property | AllowEdit Property | UseShellIcon Property

See Also Report Control ActiveX Control v19.3

ShowLockIcon Property

Description

Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLockIcon() As Boolean

Remarks

If you set wndReportControl.AllowEdit = True but disable some items from edit Record.Item(1).Editable = False, the Report will show a small lock icon inside cells.

If you wold prefer to use the lock icon stored in the Windows shell icons (SHELL32.DLL) use UseShellIcon.

See Also

ReportPaintManager Object | Editable Property | AllowEdit Property | UseShellIcon Property


%%PageItemTitle%%

ReportPaintManager Object | CreateEditOptions Method | ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

ShowNonActiveInPlaceButton Property

Description

Specifies whether to show NonActive InPlace Buttons (Combo, Expand, Spin) all the time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowNonActiveInPlaceButton() As Boolean

Remarks

Set to True to show NonActive InPlace Buttons (Combo, Expand, Spin). By default, NonActive buttons are not displayed and the item must be clicked to display the button.

See Also

ReportPaintManager Object | CreateEditOptions Method | ReportInplaceButton Object


%%PageItemTitle%%

ReportPaintManager Object | ColumnWidthWYSIWYG Property

See Also Report Control ActiveX Control v19.3

ShowWYSIWYGMarkers Property

Description

Specifies whether to show or hide the page marker when using ColumnWidthWYSIWYG after printing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWYSIWYGMarkers() As Boolean

Remarks

When ColumnWidthWYSIWYG is True, the report will print on as many pages as needed to print the columns with the widths displayed on the screen. If False, all columns are condensed to fit on a single page.

After printing a red "WYSISYG Page Marker" is drawn on top of the column header to indicate actual page boundaries. What you see before the red marker will fit on a single page, what is after the marker will go on the next page, etc. This makes it easy to adjust the width of columns or the window so that the printout will look exactly as you want it to look. This marker will continue to be shown after printing\print preview. You can turn the marker off using ShowWYSIWYGMarkers.

See Also

ReportPaintManager Object | ColumnWidthWYSIWYG Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

SortByDecreasingText Property

Description

Gets or sets the text added to a columns tooltip when it is sorted (decreasing).

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByDecreasingText() As String

Remarks

Allows you to edit\remove "decreasing" text added to a columns tooltip when it is sorted. Set to "" to remove.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

SortByIncreasingText Property

Description

Gets or sets the text added to a columns tooltip when it is sorted (increasing).

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByIncreasingText() As String

Remarks

Allows you to edit\remove "decreasing" text added to a columns tooltip when it is sorted. Set to "" to remove.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | Sortable Property | AllowColumnSort Property

See Also Report Control ActiveX Control v19.3

SortByText Property

Description

Get\sets a string which contains customized "Sort By" text for displaying in sortable column header tooltips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByText() As String

Remarks

SortByText is the text string that is displayed in the tooltip window for column headers when no tooltip is set for the column. The tooltip normally reads "SortBy: + Column Caption". If the column tooltip is not set, then the tooltip displayed when the mouse cursor is positioned over a column will be "SortByText + Column Caption".

For SortByText to be used, the column must not have a tooltip set and AllowColumnSort must be True and Sortable must be True.

See Also

ReportPaintManager Object | Sortable Property | AllowColumnSort Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

SortTriangleOffsetFromRight Property

Description

Gets or sets the number of pixels the sort arrow will be drawn from the right edge of the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortTriangleOffsetFromRight() As Boolean

Return Type

The number of pixels the sort arrow will be drawn from the right edge of the column header.

Remarks

This allows you to change the position the sort arrow is drawn.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | RecOrRowNumber Property | ShowRowNumber Method | IconViewRowNumberSetup Method

See Also Report Control ActiveX Control v19.3

StartRecOrRowNumber Property

Description

Specifies the starting row number for the Number column if used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartRecOrRowNumber() As Long

Remarks

Default is 0.

See Also

ReportPaintManager Object | RecOrRowNumber Property | ShowRowNumber Method | IconViewRowNumberSetup Method


%%PageItemTitle%%

ReportPaintManager Object | ReportRecordItem Caption Property

See Also Report Control ActiveX Control v19.3

TextFont Property

Description

Font used to display the text/caption of the ReportRecordItems

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextFont() As Font

Remarks

This is the font used to display the text/caption of all the ReportRecordItems in the ReportControl.

You can change the font for each individual ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

Example

[Setting the font used to display the text/caption of ReportRecordItems (Visual Basic)] This sample illustrates how to change the font used to display the text\caption of the ReportRecordItems.

    Dim TextFont As StdFont
    Set TextFont = Me.Font
    TextFont.Size = 6
    TextFont.Bold = True

    'Applies the newly created font to the ReportControl's text font
    Set wndReportControl.PaintManager.TextFont = TextFont

See Also

ReportPaintManager Object | ReportRecordItem Caption Property

Example

Changing the font in each individual ReportRecordItem


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

TextIndentForGroupRowsWithNoIcon Property

Description

Gets or sets the text indent for group rows if no group icon is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextIndentForGroupRowsWithNoIcon() As Integer

Return Type

Indent in pixels.

Remarks

TextIndentForGroupRowsWithNoIcon allows you to specify text indent if no group icon is used.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

ThemedInplaceButtons Property

Description

Specifies whether in-place buttons will be themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedInplaceButtons() As Boolean

Remarks

In-place buttons include the "..." button and the combo box drop down button.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

TreeColumnLineLength Property

Description

Gets or sets the extra line length to apply to tree column lines if there is no expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeColumnLineLength() As Integer

Return Type

The extra line length to apply to tree column lines if there is no expand button.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | BaseTreeIndent Property

See Also Report Control ActiveX Control v19.3

TreeIndent Property

Description

Specifies the indentation placed before the text of each child node in a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeIndent() As Long

Remarks

Indentation is represented in Pixels.

Use BaseTreeIndent for parent indentation.

Example

[TreeIndent Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of child nodes.

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

ReportPaintManager Object | BaseTreeIndent Property


%%PageItemTitle%%

ReportPaintManager Object | XTPReportTreeStructureStyle Enumeration

See Also Report Control ActiveX Control v19.3

TreeStructureStyle Property

Description

Specifies the style of lines drawn when using a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeStructureStyle() As XTPReportTreeStructureStyle

Remarks

A line using the specified style will be drawn from the parent node to each child node in the tree structure.

Example

[TreeStructureStyle Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of child nodes.

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

ReportPaintManager Object | XTPReportTreeStructureStyle Enumeration


%%PageItemTitle%%

ReportPaintManager Object | AlternativeBackgroundColor Property

See Also Report Control ActiveX Control v19.3

UseAlternativeBackground Property

Description

Specifies whether to alternate the background color of the rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseAlternativeBackground() As Boolean

Remarks

AlternativeBackgroundColor is the color used for alternating row color when UseAlternativeBackground is True.

See Also

ReportPaintManager Object | AlternativeBackgroundColor Property


%%PageItemTitle%%

ReportPaintManager Object | Alignment Property | Caption Property | XTPColumnAlignment Enumeration

See Also Report Control ActiveX Control v19.3

UseColumnTextAlignment Property

Description

The UseColumnTextAlignment property specifies whether the text in the column header will use the ReportColumn.Alignment setting to align the header caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseColumnTextAlignment() As Boolean

See Also

ReportPaintManager Object | Alignment Property | Caption Property | XTPColumnAlignment Enumeration


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

UseDropMarker Property

Description

Specifies whether to show drop markers (red insertion lines) while dragging something into the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseDropMarker() As Boolean

Return Type

True to display the drop markers, False to hide them. Default is True.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | Alignment Property

See Also Report Control ActiveX Control v19.3

UseEditTextAlignment Property

Description

Specifies whether the ReportColumn.Alignment setting is automatically applied to items when in edit mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseEditTextAlignment() As Boolean

Remarks

When UseEditTextAlignment is True, all items will use the Column Alignment setting to align text when in edit mode.

See Also

ReportPaintManager Object | Alignment Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

UseGroupRowSelectionState Property

Description

Specifies whether to add a "selection" checkbox in the group row next to the expand\collapse button that indicates the selection status of child records.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseGroupRowSelectionState() As Boolean

Remarks

The selection box is useful to see if child items are selected in collapsed groups.

If all child items are selected, then the selection box will be checked.

If only some of the child items are selection, then the selection box will have a grayed out check mark.

If no child items are selected, then the selection box will not be checked.

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | ShowLockIcon Property | Editable Property | AllowEdit Property

See Also Report Control ActiveX Control v19.3

UseShellIcon Property

Description

Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True). This property will use the lock icon from SHELL32.DLL.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseShellIcon() As Boolean

Remarks

If you set wndReportControl.AllowEdit = True but disable some items from edit Record.Item(1).Editable = False, the Report will show a small lock icon inside cells.

If you wold prefer to use the lock icon stored in Codejock resources, use ShowLockIcon. This version looks better on most modern OS.

See Also

ReportPaintManager Object | ShowLockIcon Property | Editable Property | AllowEdit Property


%%PageItemTitle%%

ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

UseUpperCaseCaptions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseUpperCaseCaptions() As Boolean

See Also

ReportPaintManager Object


%%PageItemTitle%%

ReportPaintManager Object | XTPReportGridStyle Enumeration | HorizontalGridStyle Property

See Also Report Control ActiveX Control v19.3

VerticalGridStyle Property

Description

Style used to draw vertical grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalGridStyle() As XTPReportGridStyle

Remarks

You can choose from several predefined line styles.

Example

[Changing the vertical grid line style (Visual Basic)] This sample illustrates how to change the vertical grid line style

    'Vertical grid lines will be drawn as small dots
    wndReportControl.PaintManager.VerticalGridStyle = xtpGridSmallDots

See Also

ReportPaintManager Object | XTPReportGridStyle Enumeration | HorizontalGridStyle Property


%%PageItemTitle%%

ReportPrintOptions Members

See Also Report Control ActiveX Control v19.3

ReportPrintOptions Object

Description

Options used to specify how the Report will look when printed.

For a list of all members defined in this module, see ReportPrintOptions members.

Object Model

See Also

ReportPrintOptions Members


%%PageItemTitle%% $$Members$$

ReportPrintOptions Overview

See Also Report Control ActiveX Control v19.3

ReportPrintOptions Object Members

Public Properties

Public Property BlackWhiteContrast | Level of black and white contrast.
Public Property BlackWhitePrinting | Gets\sets whether to print in grey scale.
Public Property Footer | Footer of the printed report.
Public Property Header | Header of the printed report.
Public Property Landscape | Gets or sets a value indicating whether the report is printed in landscape or portrait orientation.
Public Property MarginBottom | Bottom margin of the printed report.
Public Property MarginLeft | Left margin of the printed report.
Public Property MarginRight | Right margin of the printed report.
Public Property MarginsMeasureMetrics | Specifies whether the printed margins are calculated using millimeters or inches.
Public Property MarginTop | Top margin of the printed report.
Public Property PrinterInfo | Printer device name, driver and port number.
Public Property RepeatFooterRows | Specifies whether the footer row will be printed on all pages.
Public Property RepeatHeaderRows | Specifies whether the header row will be printed on all pages.

See Also

ReportPrintOptions Overview


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

BlackWhiteContrast Property

Description

Level of black and white contrast.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhiteContrast() As Long

Remarks

Values range from 0 to 255.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

BlackWhitePrinting Property

Description

Gets\sets whether to print in grey scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhitePrinting() As Boolean

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

Footer Property

Description

Footer of the printed report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Footer() As PrintPageHeaderFooter

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

Header Property

Description

Header of the printed report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As PrintPageHeaderFooter

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

Landscape Property

Description

Gets or sets a value indicating whether the report is printed in landscape or portrait orientation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Landscape() As Boolean

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

MarginBottom Property

Description

Bottom margin of the printed report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginBottom() As Long

Remarks

Gets\sets the distance between the bottom of the page and the bottom of the report printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

MarginLeft Property

Description

Left margin of the printed report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginLeft() As Long

Remarks

Gets\sets the distance between the left edge of the page and the left edge of the report printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

MarginRight Property

Description

Right margin of the printed report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginRight() As Long

Remarks

Gets\sets the distance between the right edge of the page and the right edge of the report printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

MarginsMeasureMetrics Property

Description

Specifies whether the printed margins are calculated using millimeters or inches.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarginsMeasureMetrics() As Boolean

Remarks

Retrieves the system of measurement for the users local. This value is True if the metric system is used and False if the U.S. system is used.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

MarginTop Property

Description

Top margin of the printed report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginTop() As Long

Remarks

Gets\sets the distance between the top of the page and the top of the report(or header if it is displayed) printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object

See Also Report Control ActiveX Control v19.3

PrinterInfo Property

Description

Printer device name, driver and port number.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrinterInfo() As XtremePrinterInfo

See Also

ReportPrintOptions Object


%%PageItemTitle%%

ReportPrintOptions Object | RepeatHeaderRows Property

See Also Report Control ActiveX Control v19.3

RepeatFooterRows Property

Description

Specifies whether the footer row will be printed on all pages.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RepeatFooterRows() As Boolean

Remarks

If True, the footer row will be printed on every page.

See Also

ReportPrintOptions Object | RepeatHeaderRows Property


%%PageItemTitle%%

ReportPrintOptions Object | RepeatFooterRows Property

See Also Report Control ActiveX Control v19.3

RepeatHeaderRows Property

Description

Specifies whether the header row will be printed on all pages.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RepeatHeaderRows() As Boolean

Remarks

If True, the header row will be printed on every page.

See Also

ReportPrintOptions Object | RepeatFooterRows Property


%%PageItemTitle%%

ReportRecord Members

See Also Report Control ActiveX Control v19.3

ReportRecord Collection

Description

Represents a collection of ReportRecordItem objects.

For a list of all members defined in this module, see ReportRecord members.

Object Model

Remarks

A collection of ReportRecordItems is one record in the ReportControl. The record is then associated with a ReportRow so it can be displayed as a row in the ReportControl.

The ReportRecord can be thought of as a row (The ReportRecord is actually attached to a ReportRow and the row displays the ReportRecordItem stored in the ReportRecord ), and the ReportRecordItem can be thought of as the individual cells in the row.

See Also

ReportRecord Members


%%PageItemTitle%% $$Members$$

ReportRecord Overview

See Also Report Control ActiveX Control v19.3

ReportRecord Collection Members

Public Methods

Public Method AddItem | Adds a ReportRecordItem to the collection of items
Public Method AddItemEx | Adds an entire track or ReportRecordItem to this ReportRecord. (Track Control)
Public Method DeleteAll | Removes all ReportRecordItems from the ReportRecord\row's collection of ReportRecordItems

Public Properties

Public Property Bookmark | Sets a bookmark to the data source record.
Public Property Childs | A collection of ReportRecords displayed when the expand\collapse button is expanded.
Public Property Expanded | Specifies if the expand\collapse button is expanded if an expand\collapse button exists.
Public Property FreeHeight |
Public Property Index | The index of the ReportRecord within a collection of ReportRecords
Public Property Item | Returns a ReportRecordItem by its index from the collection of ReportRecordItem
Public Property ItemCount | Returns the number of items inside the record.
Public Property ParentRecord | Reference to the parent rows record if this record is in a child row.
Public Property PreviewItem | Returns a pointer to the ReportRecordItem that contains the preview item for the record when PreviewMode is enabled.
Public Property PreviewText | The text displayed for the ReportRecord while in PreviewMode
Public Property Records | Returns the parent records for this record.
Public Property Tag | Used to hold any extra data that might be useful
Public Property Visible | Specifies whether the ReportRecord is visible

See Also

ReportRecord Overview


%%PageItemTitle%%

ReportRecord Collection | ReportRecordItem Object

Value
The data you wish to store in the ReportRecordItem
See Also Report Control ActiveX Control v19.3

AddItem Method

Description

Adds a ReportRecordItem to the collection of items

Syntax

Public Function AddItem( _
   ByVal Value As Variant _
) As ReportRecordItem

Parameters

Value
The data you wish to store in the ReportRecordItem

Remarks

If applicable (I.e. the value is text, number, etc...), the value will be displayed in the ReportRecordItem if no caption has been set.

Example

[Adding ReportRecordItems to a ReportRecord (Visual Basic)] This sample illustrates how to add ReportRecordItems to a ReportRecord.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a new record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        'Adds a ReportRecordItem to the new ReportRecord referenced in the Record variable
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        'Adds a ReportRecordItem with a value of "RE: Your Invoice" to the new ReportRecord referenced in the Record variable
        Record.AddItem "RE: Your Invoice"
        'Adds a ReportRecordItem with a value of "John Smith" to the new ReportRecord referenced in the Record variable
        Record.AddItem "John Smith"
        'Adds a ReportRecordItem with a value of "19/06/2004" to the new ReportRecord referenced in the Record variable
        Record.AddItem "19/06/2004"
        'Adds a ReportRecordItem with a value of "18k" to the new ReportRecord referenced in the Record variable
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

See Also

ReportRecord Collection | ReportRecordItem Object


%%PageItemTitle%%

ReportRecord Collection | TrackControlItem Object

Item
Reference to the ReportRecordItem to add. To add a track to a record simply pass in a TrackControlItem.
See Also Report Control ActiveX Control v19.3

AddItemEx Method

Description

Adds an entire track or ReportRecordItem to this ReportRecord. (Track Control)

Syntax

Public Sub AddItemEx( _
   ByVal Item As ReportRecordItem _
)

Parameters

Item
Reference to the ReportRecordItem to add. To add a track to a record simply pass in a TrackControlItem.

Remarks

AddItemEx is used to add entire ReportRecordItem or TrackControlItem to a record.

The following applies to adding tracks to a record:

Tracks are what hold the blocks and keys. A track is a special item that is added to a regular ReportRecord.

Dim TrackItem As TrackControlItem
Dim Record As ReportRecord
Dim Block As TrackBlock

Set Record = TrackControl.Records.Add

Record.AddItem 1
Record.AddItem 1
Record.AddItem 1

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem
Set Block = TrackItem.AddBlock(False, 15, 25)

The code above adds a track to the track control. It adds 3 normal items, then it adds a TrackControlItem. You must first create a track item before you can use it using the CreateTrackItem method. Once it is created you can then add this new track item to the record using AddItemEx. This will add your track so you can then add blocks and keys.

See Also

ReportRecord Collection | TrackControlItem Object


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all ReportRecordItems from the ReportRecord\row's collection of ReportRecordItems

Syntax

Public Sub DeleteAll()

Remarks

Removes all ReportRecordItems from this ReportRecord's collection of collection of ReportRecordItems. This only removes the items in the collection of ReportRecordItems, the ReportRecord\Row will still remain. If the Record\Row is visible, then a blank Record\Row will be left, you can then add some new ReportRecordItems. Any child items will still remain and the expand\collapse button will still appear on the new item.

Example

[ReportRecord DeleteAll method Sample (Visual Basic)] This sample illustrates how to use the ReportRecord DeleteAll method to remove all ReportRecordItems from a ReportRecord\Row so new ReportRecordItems can be added.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Gets a reference to the ReportRecord in the 1st row
    Set Record = wndReportControl.Rows(0).Record
        'Removes all ReportRecordItems from the ReportRecord
        Record.DeleteAll
        'Add new items to the ReportRecord
        Set Item = Record.AddItem("")
            Item.Icon = 2
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Record.AddItem "RE: Toolkit Pro"
        Record.AddItem "Tom Brown"
        Record.AddItem "10/15/2004"
        Record.AddItem "25k"

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

Bookmark Property

Description

Sets a bookmark to the data source record.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bookmark() As Variant

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection | Expanded Property | TreeColumn Property

See Also Report Control ActiveX Control v19.3

Childs Property

Description

A collection of ReportRecords displayed when the expand\collapse button is expanded.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As ReportRecords

Remarks

The records that are added to this child collection of records will be displayed when the expand\collapse button is pressed. The expand\collapse button is displayed if there are some children in the collection and the TreeColumn property of the ReportColumn the record is in is True, then an expand\collapse button will be drawn. The button can be pressed to display\hide the child ReportRecords.

Example

[Accessing Child Record\Rows (Visual Basic)] This sample illustrates how to add a child record\row to the report control, and how you can access the child record\rows.

    Dim Record As ReportRecord
    Dim ChildRecord As ReportRecord
    Dim Item As ReportRecordItem

    'This is the parent Record that will have a ReportRecordItem
    'added to it's collection of child ReportRecordItems.
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Record.AddItem "RE: Your Invoice"
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

    'This record will be added to the parent record's collection of child
    'ReportRecordItem's. All child records will be displayed when the
    'expand/collapse button is pressed.
    Set ChildRecord = Record.Childs.Add()
        Set Item = ChildRecord.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        ChildRecord.AddItem "RE: Your Invoice"
        ChildRecord.AddItem "Tom Green"
        ChildRecord.AddItem "21/06/2004"
        ChildRecord.AddItem "14k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'This code is changing the caption of the 3rd item of the 1st child of the 1st record\row
    wndReportControl.Records(0).Childs(0).Item(2).Caption = "Child Record"

    'This is another way to access the same child record\rows.
    'This code is changing the caption of the 3rd item of the 1st child of the 1st record\row
    wndReportControl.Rows(0).Childs(0).Record.Item(2).Caption = "Child Record"

See Also

ReportRecord Collection | Expanded Property | TreeColumn Property


%%PageItemTitle%%

ReportRecord Collection | ReportColumn TreeColumn Property

See Also Report Control ActiveX Control v19.3

Expanded Property

Description

Specifies if the expand\collapse button is expanded if an expand\collapse button exists.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

If a ReportRecord has children and the TreeColumn property of the ReportColumn that the record is in is True, then an expand\collapse button will be drawn. The button can be pressed to display\hide the child ReportRecords.

Example

[Expanded Sample (Visual Basic)] This sample illustrates how to determine if a record\row has been expanded\collapsed.

    'This code will tell us if the 1st record\row is expanded
    Debug.Print wndReportControl.Records(0).Expanded

    'This is another way to access the same data.
    'This code will tell us if the 1st record\row is expanded
    Debug.Print wndReportControl.Rows(0).Expanded

See Also

ReportRecord Collection | ReportColumn TreeColumn Property


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

FreeHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreeHeight() As Long

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

Index Property

Description

The index of the ReportRecord within a collection of ReportRecords

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

You can access the ReportRecord within the ReportControl's collection of ReportRecords by it's index.

Example

[Accessing Records via Index (Visual Basic)] This sample illustrates how to access the Records in the ReportControl's collection of Records by its index.

    'This will access the 1st Record's ReportRecordItem's
    wndReportControl.Records(0).Item(1).GroupCaption = "Mail From CodeJock Software"

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

Index
Index of a ReportRecordItem within the collection
See Also Report Control ActiveX Control v19.3

Item Property

Description

Returns a ReportRecordItem by its index from the collection of ReportRecordItem

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ReportRecordItem

Parameters

Index
Index of a ReportRecordItem within the collection

Remarks

The ReportRecord can be thought of as a row (The ReportRecord is actually attached to a ReportRow and the row displays the ReportRecordItem stored in the ReportRecord), and the ReportRecordItem can be thought of as the individual cells in the row.

Each ReportRecordItem has to be added to a ReportRecord before it can be used in the ReportControl. The ReportRecord contains a collection of ReportRecordItems, the records are referenced the value in index. The first ReportRecordItem added to the collection has an index of zero, the index is incremented by 1 for each ReportRecordItem added. The index of the ReportRecordItems in the collection corresponds with the ItemIndex of a ReportColumn. The ReportRecordItem will be displayed in the column that has an ItemIndex that is the same as the index in the ReportRecordItem collection.

You can use the Insert and RemoveAt methods to insert and remove ReportRecordItems from the collection.

Example

[ReportRecord Item Sample (Visual Basic)] This sample illustrates one way to use the ReportRecord Item property. This sample mimics the Read function of most email programs, you place a checkmark in the rows you want to mark as Read and then click the Mark as Read button.

    'For this sample, assume that records are added in the format below,
    'The first ReportRecordItem contains an image, the second contains a checkbox
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record
    Set Record = wndReportControl.Records.Add
    'Adds a ReportRecordItem that displays an Icon
    Set Item = Record.AddItem("")
        'Assign a "Un-Read" icon
        Item.Icon = 2
    'Adds a ReportRecordItem that displays a checkbox
    Set Item = Record.AddItem("")
        Item.HasCheckbox = True
        Item.Checked = False
    Record.AddItem "RE: Your Invoice"
    Record.AddItem "John Smith"
    Record.AddItem "19/06/2004"
    Record.AddItem "18k"

    wndReportControl.Populate

'When this command button is clicked, all rows\records that have a check mark
'in the checkbox in the second ReportRecordItem will be marked as "Read" and the
'icon will be changed, and the checkmark is removed
Private Sub cmdMarkAsRead_Click()
    Dim Record As ReportRecord
    Dim Row As ReportRow

    For Each Row In wndReportControl.Rows
        'This line of code is accessing the 2nd ReportRecordItem of the ReportRecord\Row
        'You can access each individual ReportRecordItem by its index (starting at zero)
        'through the Item property
        If Row.Record.Item(1).Checked Then
            'Change the ReportRecordItem's Icon to a "Read" icon
            Row.Record.Item(0).Icon = 3
            'Remove the chack mark from the ReportRecordItem's checkbox
            Row.Record.Item(1).Checked = False
            'Mark the ReportRecord as "Read"
            Row.Record.Tag = "Read"
        End If
    Next

   'Update the ReportControl to show changes
   wndReportControl.Redraw
End Sub

'This event occurs before the rows are drawn and is used to midify the style of the ReportRecordItem's before they are displayed.
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)
    'If the ReportRecord was marked as "Read", then change the BackColor of its ReportRecordItem's
    'to a shade of gray.
    If Row.Record.Tag = "Read" Then
        Metrics.BackColor = RGB(224, 224, 224)
    End If

    'If the ReportRecord was marked as "UnRead", then change the BackColor of its ReportRecordItem's
    'to white.
    If Row.Record.Tag = "UnRead" Then
        Metrics.BackColor = RGB(255, 255, 255)
    End If
End Sub

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

ItemCount Property

Description

Returns the number of items inside the record.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemCount() As Long

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection | FindRowInTree Method

See Also Report Control ActiveX Control v19.3

ParentRecord Property

Description

Reference to the parent rows record if this record is in a child row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentRecord() As ReportRecord

Remarks

If the ReportRecord attached to the row does not have any children, then the ParentRecord is Nothing\NULL. ParentRecord can be used to determine if the record is in a child row. It can also be used to find the record in the parent row of a child row so the children can be expanded\hidden.

ParentRecord might be useful when using the FindRowInTree method.

See Also

ReportRecord Collection | FindRowInTree Method


%%PageItemTitle%%

ReportRecord Collection | PreviewMode Property

See Also Report Control ActiveX Control v19.3

PreviewItem Property

Description

Returns a pointer to the ReportRecordItem that contains the preview item for the record when PreviewMode is enabled.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PreviewItem() As ReportRecordItem

Remarks

This can be useful to retrieve the EditOptions of the preview text record to allow it to be edited, etc...

See Also

ReportRecord Collection | PreviewMode Property


%%PageItemTitle%%

ReportRecord Collection | Changing the PreviewTextFont | MaxPreviewLines Property | PreviewMode Property

See Also Report Control ActiveX Control v19.3

PreviewText Property

Description

The text displayed for the ReportRecord while in PreviewMode

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewText() As String

Remarks

When you click on a ReportRecordItem, your program might open up a document. This might be used to display the first few lines of the document, or some other useful information about the document.

Example

[PreviewText Sample (Visual Basic)] This Sample illustrates how to add PreviewText that is displayed in PreviewMode to a Row\Record.

    'This sample illustrates how to add PreviewText to a ReportRecord
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record
    Set Record = wndReportControl.Records.Add

    'Adds the text that will be displayed while in PreviewMode
    Record.PreviewText = "RE: Your Invoice (From: John Smith)" & _
                         vbCrLf & "John Smith" & _
                         vbCrLf & "19/06/2004" & _
                         vbCrLf & "18K"

     Set Item = Record.AddItem("")
         Item.HasCheckbox = True
         Item.Checked = False
     Record.AddItem "RE: Your Invoice"
     Record.AddItem "John Smith"
     Record.AddItem "19/06/2004"
     Record.AddItem "18k"

See Also

ReportRecord Collection | Changing the PreviewTextFont | MaxPreviewLines Property | PreviewMode Property


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

Records Property

Description

Returns the parent records for this record.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Records() As ReportRecords

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

Tag Property

Description

Used to hold any extra data that might be useful

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property. You can use this value to identify the Rows.

Example

[Tag Property Sample (Visual Basic)] This sample illustrates how you could use the Tag property.

    Dim Record As ReportRecord

    'Adds a record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
    'You can place any useful data to your program in the Tag property
    'You can use this value to Identify your Rows
    Record.Tag = 1

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'If the Tag value is 1, then hide the row
    For Each Record in wndReportControl.Records
        If Record.Tag = 1 Then
            Records.Visible = False
        End If
     Next

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecord Collection

See Also Report Control ActiveX Control v19.3

Visible Property

Description

Specifies whether the ReportRecord is visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

If False, the ReportRow that is associated with the ReportRecord will not be visible in the ReportControl.

Example

[Visible Sample (Visual Basic)] This sample illustrates how to determine if a Row is visible in the ReportControl, it also shows how to hide\show a Row in the ReportControl.

    'This will hide the 1st Row in the ReportControl
    wndReportControl.Records(0).Visible = False

    'This will display whether the 1st Row is visible
    Debug.Print wndReportControl.Records(0).Visible

See Also

ReportRecord Collection


%%PageItemTitle%%

ReportRecordItem Members

See Also Report Control ActiveX Control v19.3

ReportRecordItem Object

Description

Represents a single cell/item in the ReportControl.

For a list of all members defined in this module, see ReportRecordItem members.

Object Model

See Also

ReportRecordItem Members


%%PageItemTitle%% $$Members$$

ReportRecordItem Overview

See Also Report Control ActiveX Control v19.3

ReportRecordItem Object Members

Public Methods

Public Method CreateEditOptions Creates a personal set of edit options for the individual ReportRecordItem.

Public Properties

Public Property Alignment | Item alignment.
Public Property BackColor | The background color of the ReportRecordItem.
Public Property Bold | Specifies whether the caption of the ReportRecordItem is displayed in bold type.
Public Property CanEditCheckboxItem | Specifies whether the user can edit an item that has a check box.
Public Property Caption | The text displayed in the ReportRecordItem.
Public Property CheckboxState | Gets\set the state of the checkbox if the item has a checkbox.
Public Property Checked | Specifies whether the CheckBox is checked if the ReportRecordItem contains a CheckBox.
Public Property Editable | Gets\Sets whether the item can be edited.
Public Property EditOptions | Edit options for the individual ReportRecordItem.
Public Property Focusable | Specifies whether the ReportRecordItem can have focus.
Public Property ForeColor | The color used to display the text/caption of the ReportRecordItem.
Public Property Format | Stores the string used for extra formatting of the caption text.
Public Property Formula | Excel-like Calculations (i.e. sum of all rows) to be performed and displayed in the item's caption.
Public Property GroupCaption | Specifies the text that is displayed as the group caption when the column the ReportRecordItem is in has been grouped.
Public Property GroupPriority | Specifies the priority/order in which groups of ReportRecordItems will be displayed.
Public Property HasCheckbox | Specifies whether the ReportRecordItem contains a CheckBox.
Public Property Hyperlinks | Collection of hyperlinks for this item.
Public Property Icon | The id\index of an icon in an ImageList\collection of icons that will be displayed in the ReportRecordItem.
Public Property Index | The index of the ReportRecordItem within a ReportRecord's collection of ReportRecordItem.
Public Property ItemControls | Collection of inplace controls for this report item.
Public Property MarkupUIElement |
Public Property Record | Returns the ReportRecord that this ReportRecordItem belongs to.
Public Property SortPriority | Specifies the priority/order in which ReportRecordItems are sorted within a column.
Public Property Tag | Stores any extra data needed for your program.
Public Property Tooltip | Gets\sets the tool tip that is displayed when the mouse cursor is positioned over the ReportRecordItem.
Public Property TristateCheckbox | Specifies wether the checkbox uses 3 states or 2 states (three states are 'Off','On' and 'Mixed').
Public Property Value | The current value of the ReportRecordItem.

See Also

ReportRecordItem Overview


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

CreateEditOptions Method

Description

Creates a personal set of edit options for the individual ReportRecordItem.

Syntax

Public Sub CreateEditOptions()

Remarks

If this method is not called, the EditOptions of it's ReportColumn are used. Use this when you want the individual item to have different options than given to the entire column.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Alignment Property

Description

Item alignment.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPColumnAlignment

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | ReportPaintManager BackColor Property

See Also Report Control ActiveX Control v19.3

BackColor Property

Description

The background color of the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This property returns or sets the BackColor of the ReportRecordItem. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property. By default, the value is -1 which will cause the ReportRecordItem to use the BackColor of the ReportControl.

Example

[Setting the BackColor of a ReportRecordItem (Visual Basic)] This sample illustrates how to change the BackColor of a ReportRecordItem at runtime and when the item is created.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Set Item = Record.AddItem("RE: Your Invoice")
            'Sets the BackColor to a shade of grey using the RGB function
            'This is how the BackColor is set when the ReportRecordItem is created
            'This will change the BackColor of "RE: Your Invoice" to grey.
            Item.BackColor = RGB(178, 180, 191)
            'Sets the ForeColor to a shade of red using the Hexadecimal value for red
            'This is how the ForeColor is set when the ReportRecordItem is created
            'This will change the text color of "RE: Your Invoice" to red.
            Item.ForeColor = &HFF
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'This code will change the BackColor of the 3rd ReportRecordItem in the
    '1st ReportRecord\Row at runtime. This will change the text color of "John Smith" to yellow
    'and the BackColor to blue.
    wndReportControl.Records(0).Item(2).BackColor = vbBlue
    wndReportControl.Records(0).Item(2).ForeColor = vbYellow

See Also

ReportRecordItem Object | ReportPaintManager BackColor Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Bold Property

Description

Specifies whether the caption of the ReportRecordItem is displayed in bold type.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

CanEditCheckboxItem Property

Description

Specifies whether the user can edit an item that has a check box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CanEditCheckboxItem() As Boolean

Return Type

True if the item is editable, False if only the check box can be checked.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | TextColor Property | ReportRecordItemMetrics ForeColor Property | ReportPaintManager CaptionFont Property

See Also Report Control ActiveX Control v19.3

Caption Property

Description

The text displayed in the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

This is the text that is displayed in the ReportRecordItem. If no caption is assigned, the information stored in the value property will be displayed in the ReportRecordItem if possible.

Example

[Adding a Caption to a ReportRecordItem (Visual Basic)] This sample illustrates how to add a Caption to a ReportRecordItem at runtime and when the item is added to the ReportControl.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False

        'Adds a ReportRecordItem with a value of "RE: Your Invoice"
        Set Item = Record.AddItem("RE: Your Invoice")
            'Sets the texts that will be displayed in the ReportRecordItem to "Important - Read Now"
            'If the caption is not set, then the value of the ReportRecordItem, which is "RE: Your Invoice" is displayed
            Item.Caption = "Important - Read Now!"
            Item.BackColor = RGB(178, 180, 191)
            Item.ForeColor = &HFF
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'This code will change the Cpaption of the 2nd ReportRecordItem in the
    '1st ReportRecord\Row at runtime. This will change the text displayed from "Important - Read Now!"
    'to "Blocked Spam".
    wndReportControl.Records(0).Item(1).Caption = "Blocked Spam"

See Also

ReportRecordItem Object | TextColor Property | ReportRecordItemMetrics ForeColor Property | ReportPaintManager CaptionFont Property


%%PageItemTitle%%

ReportRecordItem Object | HasCheckbox Property | TristateCheckbox Property | Checked Property

See Also Report Control ActiveX Control v19.3

CheckboxState Property

Description

Gets\set the state of the checkbox if the item has a checkbox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CheckboxState() As Integer

Remarks

To display a checkbox in the iten set the HasCheckbox property to True.

States of the checkbox:

0 - Off

1 - Checked

2 - Mixed

See Also

ReportRecordItem Object | HasCheckbox Property | TristateCheckbox Property | Checked Property


%%PageItemTitle%%

ReportRecordItem Object | HasCheckbox Property

See Also Report Control ActiveX Control v19.3

Checked Property

Description

Specifies whether the CheckBox is checked if the ReportRecordItem contains a CheckBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

Remarks

If TRUE, and the ReportRecordItem contains a CheckBox, then the checkbox will have a check mark. You can use this property to determine if the CheckBoxhas a check mark (Is checked) .

If FALSE, then there is no check mark in the CheckBox. You can set this property to false to remove a check mark.

If the ReportRecordItem does not have a CheckBox, then setting this property has not effect. However, you can still set this property for your own use.

Example

[Checked Sample (Visual Basic)] This sample illustrates how you can use the Checked property to check and un-check a ReportRecordItem checkbox.

'The KeyDown event can be used to execute code for various key combinations
Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next

    'If the SpaceBar is pressed (Spacebar keycode = 32), execute this code
    'Record(0) contains a ReportRecordItem with HasCheckBox = True, this code
    'will toggle the checkmark in the checkbox of the row that currently has
    'focus when the SpaceBar is pressed.
    If (KeyCode = 32) Then
        Dim Item As ReportRecordItem

        'Item will now contain a reference to 1st ReportRecordItem
        Set Item = wndReportControl.FocusedRow.Record(0)

        'Toggles the checkmark in the checkbox
        Item.Checked = Not Item.Checked
    End If

End Sub

See Also

ReportRecordItem Object | HasCheckbox Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Editable Property

Description

Gets\Sets whether the item can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Editable() As Boolean

Remarks

Specifies whether an editbox and\or combobox and\or checkbox can be used to edit the item.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

EditOptions Property

Description

Edit options for the individual ReportRecordItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditOptions() As ReportRecordItemEditOptions

Remarks

If no edit options are specified, then the edit options of the column will be used for this item. You must call CreateEditOptions before these edit option can be set.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Focusable Property

Description

Specifies whether the ReportRecordItem can have focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Focusable() As Boolean

Remarks

This will override the FocusSubItems setting which only allows individual items to receive focus. The Focusable property specifies whether the item can receive focus, if False, the item can not be edited and and combo or expand buttons will not be displayed.

Example

[Focusable Sample (Visual Basic)]

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Add an item to the Record
    Set Item = Record.AddItem("RE: Sales Question")
    'Specifies that the ReportRecordItem can not receive focus
    Item.Focusable = False

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | ReportPaintManager ForeColor Property

See Also Report Control ActiveX Control v19.3

ForeColor Property

Description

The color used to display the text/caption of the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Remarks

This property returns or sets the ForeColor of the ReportRecordItem. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property. By default, the value is -1 which will cause the ReportRecordItem to use the ForeColor of the ReportControl.

Example

[Setting the ForeColor of a ReportRecordItem (Visual Basic)] This sample illustrates how to change the ForeColor of a ReportRecordItem at runtime and when the item is created.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Set Item = Record.AddItem("RE: Your Invoice")
            'Sets the BackColor to a shade of grey using the RGB function
            'This is how the BackColor is set when the ReportRecordItem is created
            'This will change the BackColor of "RE: Your Invoice" to grey.
            Item.BackColor = RGB(178, 180, 191)
            'Sets the ForeColor to a shade of red using the Hexadecimal value for red
            'This is how the ForeColor is set when the ReportRecordItem is created
            'This will change the text color of "RE: Your Invoice" to red.
            Item.ForeColor = &HFF
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'This code will change the BackColor of the 3rd ReportRecordItem in the
    '1st ReportRecord\Row at runtime. This will change the text color of "John Smith" to yellow
    'and the BackColor to blue.
    wndReportControl.Records(0).Item(2).BackColor = vbBlue
    wndReportControl.Records(0).Item(2).ForeColor = vbYellow

See Also

ReportRecordItem Object | ReportPaintManager ForeColor Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Format Property

Description

Stores the string used for extra formatting of the caption text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As String

Remarks

Formatting Numbers:

If the format string is set, the caption text will be formatted accordingly to this format string before drawing it. Format string is uses a C - like style, see sprintf() C++ function.

Only the "%s" type is supported with the Format method. This means that the Format method will only format strings and treats all numeric values as strings. If a numeric format is desired and can not be displayed properly as a string, then do not enter a Format string, you will need to manually format your data and set this to the Caption property in the desired string format.

Example Format strings and how they will effect the output (If no Caption has been set).

Format string | Item Value | Output
"$ %s" | 3.15 | "$ 3.15"
"%s%%" | 25 | "25%"
"$ % 8s" | 4.3 | "$ 4.3"
" $ %.4s" | 20.2536 | "$ 20.2"
"%09s" | .1253 | "0000.1253"
"%06.4s" | 3.14325 | "003.14"
"My name is %s" | John | "My name is John"
"The %s crossed the road" | chicken | "The chicken crossed the road"

Formatting Dates:

If the item will hold a date value, the Format property can be used to format the date.

The following are valid format flags for date values:

    • "%a" Abbreviated weekday name
    • "%A" Full weekday name
    • "%b" Abbreviated month name
    • "%B" Full month name
    • "%c" Date and time representation appropriate for locale
    • "%d" Day of month as decimal number (01 - 31)
    • "%H" Hour in 24-hour format (00 - 23)
    • "%I" Hour in 12-hour format (01 - 12)
    • "%j" Day of year as decimal number (001 - 366)
    • "%m" Month as decimal number (01 - 12)
    • "%M" Minute as decimal number (00 - 59)
    • "%p" Current locale's A.M./P.M. indicator for 12-hour clock
    • "%S" Second as decimal number (00 - 59)
    • "%U" Week of year as decimal number, with Sunday as first day of week (00 - 53)
    • "%w" Weekday as decimal number (0 - 6; Sunday is 0)
    • "%W" Week of year as decimal number, with Monday as first day of week (00 - 53)
    • %x" Date representation for current locale
    • "%X" Time representation for current locale
    • "%y" Year without century, as decimal number (00 - 99)
    • "%Y" Year with century, as decimal number
    • "%z", "%Z" Time-zone name or abbreviation; no characters if time zone is unknown
    • "%%" Percent sign
    • "%#c" Long date and time representation, appropriate for current locale. For example: "Tuesday, March 14, 1995, 12:41:29".
    • "%#x" Long date representation, appropriate to current locale. For example: "Tuesday, March 14, 1995".
    • "%#d", "%#H", "%#I", "%#j", "%#m", "%#M", "%#S", "%#U", "%#w", "%#W", "%#y", "%#Y" Remove leading zeros (if any).

Example

[Number Format Sample (Visual Basic)] This sample illustrates how to use the Format method to format numbers.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a new record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        'Adds a ReportRecordItem with a value of "RE: Your Invoice" to the new ReportRecord referenced in the Record variable
        Record.AddItem "RE: Your Invoice"
        'Adds a ReportRecordItem with a value of "John Smith" to the new ReportRecord referenced in the Record variable
        Record.AddItem "John Smith"
        'Adds a ReportRecordItem with a value of "19/06/2004" to the new ReportRecord referenced in the Record variable
        Record.AddItem "19/06/2004"

        'Adds a ReportRecordItem with a value of "25" to the new ReportRecord referenced in the Record variable
        Set Item = Record.AddItem ("25")
            'The value of "25" will now be displayed in the format "25 kb"
            Item.Format = "%s kb"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | ReCalc Method

See Also Report Control ActiveX Control v19.3

Formula Property

Description

Excel-like Calculations (i.e. sum of all rows) to be performed and displayed in the item's caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Formula() As String

Remarks

Formula support to ReportRecordItem.

If presented - The Item Caption will show the results of the calculations based on the given Formula.

Examples -

SUM(R2C3:R8C4) - given range
SUM(R*C3:R*C4) - means all rows (parent rows only in case of hierarchy)
SUM(R2C*:R8C*) - means all columns
SUM(R*C*:R*C*) - means all
given item always excluded from the loop - no circular refs

similar for child records
SUMSUB(R2C3:R8C4) - given range for childs
SUMSUB(R*C3:R*C4) - means all childs rows
SUMSUB(R2C*:R8C*) - means all columns
SUMSUB(R*C*:R*C*) - means all

so parent item can show subtotal
and bottom item can show total by all

If the user is doing data entry run-time in an interactive way - they will need to press F5 to call Recalc in the end and they will see the results.

You can call Recalc at any time to re-calculate the values in the cells.

See Also

ReportRecordItem Object | ReCalc Method


%%PageItemTitle%%

ReportRecordItem Object | ReportColumn Caption Property | ReportColumn Groupable Property | ReportControl ShowGroupBox Property | ReportControl ShowItemsInGroups Property | ReportControl SkipGroupsFocus Property | ReportControl GroupsOrder Property

See Also Report Control ActiveX Control v19.3

GroupCaption Property

Description

Specifies the text that is displayed as the group caption when the column the ReportRecordItem is in has been grouped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupCaption() As String

Remarks

When a column that the ReportRecordItem belongs to has been grouped, the caption of the column is displayed as the group caption. If you specify a GroupCaption for the ReportRecordItem, the GroupCaption text will be displayed instead of the caption of the column.

You can use the GroupCaption to "sub group" your ReportRecordItems when the column they belong to has been grouped. The ReportRecordItems will be "sub grouped" by the value in GroupCaption when the column they belong to is grouped.

See Also

ReportRecordItem Object | ReportColumn Caption Property | ReportColumn Groupable Property | ReportControl ShowGroupBox Property | ReportControl ShowItemsInGroups Property | ReportControl SkipGroupsFocus Property | ReportControl GroupsOrder Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

GroupPriority Property

Description

Specifies the priority/order in which groups of ReportRecordItems will be displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupPriority() As Integer

Remarks

Groups will be displayed in order of GroupPriority. A GroupPriority of zero (0) has the highest priority. The priority decreases as the GroupPriority increases. A GroupPriority of 5 has higher priority than a GroupPriority of 10.

When groups are displayed in ascending order, groups with items of the highest priority are displayed first.

ReportRecordItems will appear in "sub groups" according to the GroupPriority, even if no Groupcaption has been set.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | Checked Property | TristateCheckbox Property | CheckboxState Property

See Also Report Control ActiveX Control v19.3

HasCheckbox Property

Description

Specifies whether the ReportRecordItem contains a CheckBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HasCheckbox() As Boolean

Remarks

The caption of the ReportRecordItem will not be displayed when a CheckBox is present. The Checked property is used to check\uncheck the CheckBox, it is also used to determine if the CheckBox is checked.

See Also

ReportRecordItem Object | Checked Property | TristateCheckbox Property | CheckboxState Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Hyperlinks Property

Description

Collection of hyperlinks for this item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Hyperlinks() As ReportHyperlinks

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | ImageManagerIcons Object | ReportControl SetImageList Method | ReportColumn Icon Property

See Also Report Control ActiveX Control v19.3

Icon Property

Description

The id\index of an icon in an ImageList\collection of icons that will be displayed in the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As Long

Remarks

If a value is set, this icon will be displayed in the item.

This is the value/index/id used to identify the icon within an ImageList/Collection of icons. The icon at the value/index/id of the ImageList/Collection of Icons will be displayed in the ReportRecordItem.

If Icons are in an ImageList: This value corresponds to an icon in the ImageList at the index specified by the Icon property. The index of an ImageList must start at 1 and increments by 1 for each additional icon.

If Icons are stored in the ImageManagerIcons object: This value corresponds Id given to the icon in the collection of icons. The id of an icon added to the ImageManagerIcons object can be any positive integer.

See Also

ReportRecordItem Object | ImageManagerIcons Object | ReportControl SetImageList Method | ReportColumn Icon Property


%%PageItemTitle%%

ReportRecordItem Object | ReportRecord Object | Collection of ReportRecords Property | ReportRecords Object | ReportRecords Insert Method | ReportRecords RemoveAt Method

See Also Report Control ActiveX Control v19.3

Index Property

Description

The index of the ReportRecordItem within a ReportRecord's collection of ReportRecordItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

Each ReportRecordItem has to be added to a ReportRecord before it can be used in the ReportControl. The ReportRecord contains a collection of ReportRecordItems, the records are referenced by an index. The first ReportRecordItem added to the collection has an index of zero, the index is incremented by 1 for each ReportRecordItem added. The index of the ReportRecordItems in the collection corresponds with the ItemIndex of a ReportColumn. The ReportRecordItem will be displayed in the column that has an ItemIndex that is the same as the index in the ReportRecordItem collection.

You can use the Insert and RemoveAt methods to insert and remove ReportRecordItems from the collection.

See Also

ReportRecordItem Object | ReportRecord Object | Collection of ReportRecords Property | ReportRecords Object | ReportRecords Insert Method | ReportRecords RemoveAt Method


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

ItemControls Property

Description

Collection of inplace controls for this report item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ItemControls() As ReportItemControls

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

MarkupUIElement Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupUIElement() As MarkupUIElement

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Record Property

Description

Returns the ReportRecord that this ReportRecordItem belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Record() As ReportRecord

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

SortPriority Property

Description

Specifies the priority/order in which ReportRecordItems are sorted within a column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortPriority() As Integer

Remarks

ReportRecordItems with be sorted by SortPriority first, then the standard sorting rules apply. A SortPriority of zero (0) has the highest priority. The priority decreases as the SortPriority increases. A SortPriority of 5 has higher priority than a SortPriority of 10.

Records are sorted by priority, then they are sub sorted in ascending\descending order.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

You can use this property to assign an identification string to an object without affecting any of its other property settings or causing side effects.

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItem Object | ToolTipContext Property

See Also Report Control ActiveX Control v19.3

Tooltip Property

Description

Gets\sets the tool tip that is displayed when the mouse cursor is positioned over the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

If no Tooltip is set, then nothing will be displayed when the mouse cursor is placed over the ReportRecordItem.

There are two types of tool tips for a ReportRecordItem:

The first simply is a "Continuation" of an item when the width of the column is too small to display the entire caption of the item. The "continuation" is a normal rectangular tooltip that displays the entire caption of the ReportRecordItem. The "continuation" tool tip does not use the ToolTipContext formatting, it will always be rectangular. This tool tip will not be displayed if a Tooltip is set for the ReportRecordItem. The "continuation" tooltip is only displayed in the column width is too small to display the caption of the item.

The second tool tip is the text that is stored in the Tooltip property. This tool tip will use the ToolTipContext formatting. This tool tip will be displayed when ever the mouse cursor is positioned over the ReportRecordItem, regardless of the column width.

See Also

ReportRecordItem Object | ToolTipContext Property


%%PageItemTitle%%

ReportRecordItem Object | CheckboxState Property | HasCheckbox Property | Checked Property

See Also Report Control ActiveX Control v19.3

TristateCheckbox Property

Description

Specifies wether the checkbox uses 3 states or 2 states (three states are 'Off','On' and 'Mixed').

Property type

Read-write property

Syntax (Visual Basic)

Public Property TristateCheckbox() As Boolean

Remarks

To display a checkbox in the iten set the HasCheckbox property to True.

The CheckboxState property will tell you the current state of the checkbox:

0 - Off

1 - Checked

2 - Mixed

See Also

ReportRecordItem Object | CheckboxState Property | HasCheckbox Property | Checked Property


%%PageItemTitle%%

ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Value Property

Description

The current value of the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

Returns or sets the Value of the ReportRecordItem. You can assign just about any type of data to this property. If no caption is assigned, the value will be displayed in the ReportRecordItem if possible.

Example

[Setting the Value of a ReportControlItem (Visual Basic)] This sample illustrates how to set the Value of a ReportRecordItem at runtime and when the item is added to the ReportControl.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record\row to the ReportContol
    Set Record = wndReportControl.Records.Add

        'When a ReportRecordItem is added, that parameter passed to the AddItem method will be the Value of
        'the ReportRecordItem.

        'Adds a ReportRecordItem with no value, this item will only display a checkbox, the state of the
        'checkbox can be found with the Checked property
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        'Adds a ReportRecordItem with a value of "RE: Your Invoice"
        Record.AddItem "RE: Your Invoice"
        'Adds a ReportRecordItem with a value of "John Smith"
        Record.AddItem "John Smith"
        'Adds a ReportRecordItem with a value of "19/06/2004"
        Record.AddItem "19/06/2004"
        'Adds a ReportRecordItem with a value of "18k"
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

    'This code will change the Value of the 5th ReportRecordItem in the
    '1st ReportRecord\Row at runtime. This will change the Value from "18K"
    'to "50K".
    wndReportControl.Records(0).Item(4).Value = "50K"

See Also

ReportRecordItem Object


%%PageItemTitle%%

ReportRecordItemConstraint Members

See Also Report Control ActiveX Control v19.3

ReportRecordItemConstraint Object

Description

Represents a constraint that can be added to a ReportRecordItem's collection of constraints.

For a list of all members defined in this module, see ReportRecordItemConstraint members.

See Also

ReportRecordItemConstraint Members


%%PageItemTitle%% $$Members$$

ReportRecordItemConstraint Overview

See Also Report Control ActiveX Control v19.3

ReportRecordItemConstraint Object Members

Public Properties

Public Property Caption | The text that is displayed for the constraint.
Public Property Data | Integer value of the constraint.
Public Property Index | Returns the index of the constraint within the collection of constraints.

See Also

ReportRecordItemConstraint Overview


%%PageItemTitle%%

ReportRecordItemConstraint Object

See Also Report Control ActiveX Control v19.3

Caption Property

Description

The text that is displayed for the constraint.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ReportRecordItemConstraint Object


%%PageItemTitle%%

ReportRecordItemConstraint Object

See Also Report Control ActiveX Control v19.3

Data Property

Description

Integer value of the constraint.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Data() As Long

See Also

ReportRecordItemConstraint Object


%%PageItemTitle%%

ReportRecordItemConstraint Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

Returns the index of the constraint within the collection of constraints.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

ReportRecordItemConstraint Object


%%PageItemTitle%%

ReportRecordItemConstraints Members

See Also Report Control ActiveX Control v19.3

ReportRecordItemConstraints Collection

Description

Collection of Constraints.

For a list of all members defined in this module, see ReportRecordItemConstraints members.

Object Model

Remarks

Object used to store the constraints added to a ReportRecordItem or Column.

See Also

ReportRecordItemConstraints Members


%%PageItemTitle%% $$Members$$

ReportRecordItemConstraints Overview

See Also Report Control ActiveX Control v19.3

ReportRecordItemConstraints Collection Members

Public Methods

Public Method Add | Adds a constraint to the ReportRecordItem's and\or ReportColumn's collection of constraints.
Public Method DeleteAll | Removes all the constraint items from the collection of constraints.

Public Properties

Public Property Constraint | The collection of constraints added to the ReportColumn and\or ReportRecordItem.
Public Property Count | Returns the total number of constraints added to the ReportRecordItem and\or ReportColulmn.

See Also

ReportRecordItemConstraints Overview


%%PageItemTitle%%

ReportRecordItemConstraints Collection

Caption
Text that is displayed to the user for this constraint.
Data
Numeric data value for this constraint.
See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a constraint to the ReportRecordItem's and\or ReportColumn's collection of constraints.

Syntax

Public Sub Add( _
   ByVal Caption As String, _
   ByVal Data As Long _
)

Parameters

Caption
Text that is displayed to the user for this constraint.
Data
Numeric data value for this constraint.

Remarks

If a combo button is added, all the constraints that have been added will be displayed in the drop-down list.

If constraints are added to a column, then the list of constraints will be added to each item in that column.

Constraints can also be added to each individual item so that the constraint list can be different for each item in the same column. Constraints added to an individual item will override the constraints added to the column, this way you can set the entire column to have a specific list of constraints. This might be useful if certain rows of data require a different set of constraints.

Example

[Adding Constraints to an Entire Column (Visual Basic)] This sample illustrates how to add constraints to all items in a column.

    Dim COLUMN_IMPORTANCE = 1

    Dim Column As ReportColumn

    'Adds a column to the ReportControl
    Set Column = wndReportControl.Columns.Add(COLUMN_IMPORTANCE, "Importants", 18, False)

    'Adds some contraints that will be displayed when the combo button is clicked
    'All items in this column will have the same constraints
    Column.EditOptions.Constraints.Add "Low", taskImportanceLow
    Column.EditOptions.Constraints.Add "Normal", taskImportanceNormal
    Column.EditOptions.Constraints.Add "High", taskImportanceHigh

    Column.EditOptions.AllowEdit = False
    Column.EditOptions.ConstraintEdit = True

    'Adds a combo button
    Column.EditOptions.AddComboButton

[Adding Contrains to a Single ReportRecordItem (Visual Basic)] This sample illustrates how to add a list of constraints to an individual ReportRecordItem.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    Set Record = wndReportControl.Records.Add()

    Set Item = Record.AddItem("")

    'Adds some contraints that will be displayed when the combo button is clicked.
    'This list of constraints will overrite any constraints added to the column this item was added to.
    Item.EditOptions.Constraints.Add "Normal", taskImportanceNormal
    Item.EditOptions.Constraints.Add "Top Secret", taskImportanceTopSecret

See Also

ReportRecordItemConstraints Collection


%%PageItemTitle%%

ReportRecordItemConstraints Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all the constraint items from the collection of constraints.

Syntax

Public Sub DeleteAll()

Example

[DeleteAll Sample (Visual Basic)] This sample illustrates how to remove all the contraints added to a ReportColumn and/or ReportRecordItem.

    'Removes all constrains from the collection
    Column.EditOptions.Constraints.DeleteAll

See Also

ReportRecordItemConstraints Collection


%%PageItemTitle%%

ReportRecordItemConstraints Collection

Index
The index of the constraint within the collection of constraints.
See Also Report Control ActiveX Control v19.3

Constraint Property

Description

The collection of constraints added to the ReportColumn and\or ReportRecordItem.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraint( _
   ByVal Index As Long _
) As ReportRecordItemConstraint

Parameters

Index
The index of the constraint within the collection of constraints.

Remarks

If a combo button is added, all the constraints in this collection will be displayed in the drop-down list. The add method is used to add constraints to this collection.

See Also

ReportRecordItemConstraints Collection

Example

Adding Constraints Using the Add Method


%%PageItemTitle%%

ReportRecordItemConstraints Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the total number of constraints added to the ReportRecordItem and\or ReportColulmn.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Example

[Constraint Count Sample (Visual Basic)] This sample illustrates how to determine the number of constraints added to a column or item.

    Dim COLUMN_IMPORTANCE = 1

    Dim Column As ReportColumn

    'Adds a column to the ReportControl
    Set Column = wndReportControl.Columns.Add(COLUMN_IMPORTANCE, "Importants", 18, False)

    'Adds some contraints that will be displayed when the combo button is clicked
    'All items in this column will have the same constraints
    Column.EditOptions.Constraints.Add "Low", taskImportanceLow
    Column.EditOptions.Constraints.Add "Normal", taskImportanceNormal
    Column.EditOptions.Constraints.Add "High", taskImportanceHigh

    Column.EditOptions.AllowEdit = False
    Column.EditOptions.ConstraintEdit = True

    'Adds a combo button
    Column.EditOptions.AddComboButton

    'Displays the number of constraints added to the ReportColumns collection of constraints
    Debug.Print Column.EditOptions.Constraints.Count

See Also

ReportRecordItemConstraints Collection


%%PageItemTitle%%

ReportRecordItemEditOptions Members

See Also Report Control ActiveX Control v19.3

ReportRecordItemEditOptions Object

Description

EditOptions for ReportRecordItems.

For a list of all members defined in this module, see ReportRecordItemEditOptions members.

Object Model

Remarks

Used to add a combo box and expand box. This is where the constraint list for the combo box is stored.

See Also

ReportRecordItemEditOptions Members


%%PageItemTitle%% $$Members$$

ReportRecordItemEditOptions Overview

See Also Report Control ActiveX Control v19.3

ReportRecordItemEditOptions Object Members

Public Methods

Public Method AddComboButton | Adds a combo button to the ReportRecordItem.
Public Method AddExpandButton | Adds a expand button to the ReportRecordItem.
Public Method AddSpinButton | Adds a spin button to the ReportRecordItem.
Public Method GetInplaceButton | Returns the ReportInplaceButton at the specified index.
Public Method RemoveButtons | Removes all buttons from an item.

Public Properties

Public Property AllowEdit | Specifies whether an Edit control is used for the item.
Public Property ConstraintEdit | Specifies whether data not declared in the list of constraints can be entered into the edit box.
Public Property Constraints | Collection of constraints that are displayed when the combo button is pressed.
Public Property EditControlStyle | Gets\set the text formatting style for the ReportRecordItem.
Public Property ExpandOnSelect |
Public Property InplaceButtonsCount | Returns the number of in-place buttons added to the item. Since indexes are zero-based, the size is 1 greater than the largest index.
Public Property MaxLength | Gets\sets the maximum number of characters that can be entered when editing an item.
Public Property SelectTextOnEdit | Specifies whether the text in a cell will become highlighted\selected when focus has been given to the item and it is editable.

See Also

ReportRecordItemEditOptions Overview


%%PageItemTitle%%

ReportRecordItemEditOptions Object | AddExpandButton Method | RemoveButtons Method

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.
See Also Report Control ActiveX Control v19.3

AddComboButton Method

Description

Adds a combo button to the ReportRecordItem.

Syntax

Public Function AddComboButton( _
   Optional ByVal bInside As Boolean = False _
) As ReportInplaceButton

Parameters

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.

Return Type

Returns a reference to the ReportInplaceButton just added.

Remarks

This adds a drop-down combo button to the ReportRecordItem. When the button is pressed, it will display all of the data items that were added as ReportRecordItemConstraints.

Example

[Comobo Button (Visual Basic)] This sample illustrates how to add a combo button to a ReportRecordItem. When Clicked, the list of added ReportRecordItemContraints will be displayed.

    Dim Column As ReportColumn

    'Adds a column to the ReportControl
    Set Column = wndReportControl.Columns.Add(COLUMN_STATUS, "Status", 100, True)

    'This will add a combo button to the ReportRecordItem
    Column.EditOptions.AddComboButton

    'This will add the contraints that will be displayed when the combo button is clicked
    Column.EditOptions.Constraints.Add "Not Started", taskStatusNotStarted
    Column.EditOptions.Constraints.Add "In Progress", taskStatusInProgress
    Column.EditOptions.Constraints.Add "Completed", taskStatusCompleted
    Column.EditOptions.Constraints.Add "Waiting on someone else", taskStatusWaiting
    Column.EditOptions.Constraints.Add "Deferred", taskStatusDeferred

    'This will allow the text in the editbox to be changed
    Column.EditOptions.ConstraintEdit = True

See Also

ReportRecordItemEditOptions Object | AddExpandButton Method | RemoveButtons Method


%%PageItemTitle%%

ReportRecordItemEditOptions Object | AddComboButton Method | RemoveButtons Method

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.
See Also Report Control ActiveX Control v19.3

AddExpandButton Method

Description

Adds a expand button to the ReportRecordItem.

Syntax

Public Function AddExpandButton( _
   Optional ByVal bInside As Boolean = False _
) As ReportInplaceButton

Parameters

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.

Return Type

Returns a reference to the ReportInplaceButton just added.

Remarks

This adds an expand button to the ReportRecordItem. A small button with three ellipses is displayed and you can use this button to display your own custom dialog.

Example

[ExpandButton Sample (Visual Basic)] This sample illustrates how to use the Expand Button.

Const COLUMN_PROPERTIES = 5

Private Sub wndReportControl_InplaceButtonDown(ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Button As Long)
    'If the expand button of a column in the properties culumn is cliked, the the properties dialog is displayed
    If (Button = 100 And Item.Index = COLUMN_PROPERTIES) Then
        frmProperties.Show
    End If
End Sub

See Also

ReportRecordItemEditOptions Object | AddComboButton Method | RemoveButtons Method


%%PageItemTitle%%

ReportRecordItemEditOptions Object | InplaceButtonDown Event | ValueChanging Event

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.
See Also Report Control ActiveX Control v19.3

AddSpinButton Method

Description

Adds a spin button to the ReportRecordItem.

Syntax

Public Function AddSpinButton( _
   Optional ByVal bInside As Boolean = False _
) As ReportInplaceButton

Parameters

bInside
True to draw the button on the inside of the cell. False to draw the button on the outside of the cell.

Return Type

Returns a reference to the ReportInplaceButton just added.

Remarks

A spin control with two buttons is displayed and you can use this button to change the cell numeric value. You can use the InplaceButtonDown and ValueChanging events to determine the new value and compare it to the old value to determine which button was pressed (up or down arrow).

See Also

ReportRecordItemEditOptions Object | InplaceButtonDown Event | ValueChanging Event


%%PageItemTitle%%

ReportRecordItemEditOptions Object | InplaceButtonsCount Property | ReportInplaceButton Object | InplaceButtonDown Event | InsideCellButton Property

nIndex
Index of the ReportInplaceButton to return.
See Also Report Control ActiveX Control v19.3

GetInplaceButton Method

Description

Returns the ReportInplaceButton at the specified index.

Syntax

Public Function GetInplaceButton( _
   ByVal nIndex As Long _
) As ReportInplaceButton

Parameters

nIndex
Index of the ReportInplaceButton to return.

Return Type

Returns the ReportInplaceButton at the specified index.

Remarks

The ReportInplaceButton object indicates the Column, Item, Row, and Id of the button. This will also allow you to modify where the button is drawn in the cell using the InsideCellButton property.

Example

[GetInplaceButton Sample (Visual Basic)] This sample illustrates how to use GetInplaceButton to specify that the in-place button is drawn on the inside of the cell.

    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_SUBJECT, "Subject", 200, True)
    Column.Alignment = xtpAlignmentWordBreak
    Column.EditOptions.AddComboButton
    Column.EditOptions.GetInplaceButton(0).InsideCellButton = True

See Also

ReportRecordItemEditOptions Object | InplaceButtonsCount Property | ReportInplaceButton Object | InplaceButtonDown Event | InsideCellButton Property


%%PageItemTitle%%

ReportRecordItemEditOptions Object | AddComboButton Method | AddExpandButton Method

See Also Report Control ActiveX Control v19.3

RemoveButtons Method

Description

Removes all buttons from an item.

Syntax

Public Sub RemoveButtons()

Remarks

Removes both the Combo Button and Expand Button from an item if they have been added.

See Also

ReportRecordItemEditOptions Object | AddComboButton Method | AddExpandButton Method


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

AllowEdit Property

Description

Specifies whether an Edit control is used for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEdit() As Boolean

Remarks

If an edit control is not used, the user can still change the value throught a combo box

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

ConstraintEdit Property

Description

Specifies whether data not declared in the list of constraints can be entered into the edit box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConstraintEdit() As Boolean

Remarks

If True, then you can only choose from the list of constraints added.

If False, then you can type a custom response not listed in the list of constraints.

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

Constraints Property

Description

Collection of constraints that are displayed when the combo button is pressed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Constraints() As ReportRecordItemConstraints

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object | Caption Property

See Also Report Control ActiveX Control v19.3

EditControlStyle Property

Description

Gets\set the text formatting style for the ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditControlStyle() As XTPReportEditStyle

Remarks

Text Style | Value | Description
Top | 0 | Top-justifies text.
Left | 0 | Aligns text to the left.
Center | 1 | Centers text horizontally in the rectangle.
Right | 2 | Aligns text to the right.
Vertical Center | 4 | Centers text vertically.
Bottom | 8 | Justifies the text to the bottom of the rectangle.
WordBreak | 16 | Breaks words. EditControlStyle automatically breaks lines between words if a word would extend past the edge of the item rectangle. A carriage return-linefeed sequence also breaks the line.
Single Line | 32 | Displays text on a single line only. Carriage returns and linefeeds do not break the line.

See Also

ReportRecordItemEditOptions Object | Caption Property


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

ExpandOnSelect Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandOnSelect() As Boolean

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

InplaceButtonsCount Property

Description

Returns the number of in-place buttons added to the item. Since indexes are zero-based, the size is 1 greater than the largest index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceButtonsCount() As Long

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

MaxLength Property

Description

Gets\sets the maximum number of characters that can be entered when editing an item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Long

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemEditOptions Object

See Also Report Control ActiveX Control v19.3

SelectTextOnEdit Property

Description

Specifies whether the text in a cell will become highlighted\selected when focus has been given to the item and it is editable.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectTextOnEdit() As Boolean

See Also

ReportRecordItemEditOptions Object


%%PageItemTitle%%

ReportRecordItemMetrics Members | ReportRecordItem Object | BeforeDrawRow Event

See Also Report Control ActiveX Control v19.3

ReportRecordItemMetrics Object

Description

Used to store and group together the general drawing metrics of a ReportRecordItem.

For a list of all members defined in this module, see ReportRecordItemMetrics members.

Remarks

This is used for dynamic metrics only. This object is used to group together and store the general drawing metrics of a ReportRecordItem, such as the forecolor, backcolor, font, and text of each ReportRecordItem. Dynamic metrics means that value set for the forecolor, backcolor, font, and text of each ReportRecordItem does not effect the original values of the ReportRecordItem.

This object is used in the BeforeDrawRow event to access the general drawing metrics of a ReportRecordItem before it is drawn.

See Also

ReportRecordItemMetrics Members | ReportRecordItem Object | BeforeDrawRow Event


%%PageItemTitle%% $$Members$$

ReportRecordItemMetrics Overview | ReportRecordItem Object | BeforeDrawRow Event

See Also Report Control ActiveX Control v19.3

ReportRecordItemMetrics Object Members

Public Properties

Public Property BackColor | The background color of a ReportRecordItem.
Public Property ColumnAlignment | Coulimn alignment used for the ReportRecordItems that are displayed in the ReportColumn.
Public Property Font | Font used to display the text/caption of a ReportRecordItem.
Public Property ForeColor | The color of the the text/caption of a ReportRecordItem.
Public Property GroupRowIcon | Id of an icon to display in a group row.
Public Property GroupRowIconAlignment | Specifies the icon alignment within a group row.
Public Property ItemIcon | Item icon index.
Public Property Text | The text/caption of a ReportRecordItem.
Public Property VirtualRowFlags | Row flags for virtual mode.
Public Property VirtualRowLevel | Row level for virtual mode.

See Also

ReportRecordItemMetrics Overview | ReportRecordItem Object | BeforeDrawRow Event


%%PageItemTitle%%

ReportRecordItemMetrics Object | ReportRecordItem BackColor Property | ReportControl BeforeDrawRow Event

See Also Report Control ActiveX Control v19.3

BackColor Property

Description

The background color of a ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This property will contain a reference to the BackColor of a ReportRecordItem when the BeforeDrawRow event is executed. You can then edit the color and it will modify the BackColor of the ReportRecordItem.

Example

[Modifying the BackColor of a ReportRecordItem (Visual Basic)] This sample illustrates how to modify the BackColor of a ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

'This event is called for each ReportRecordItem in each ReportRow before it is drawn
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, _
                                           ByVal Item As XtremeReportControl.IReportRecordItem, _
                                           ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

    'This block of code is only executed if the index of the ReportRow the ReportRecordItem is on is
    'an even number. This will cause the code to be executed for every other row. So the BackColor
    'of all ReportRecordItems in a ReportRow will be modified.
    If (Row.Index Mod 2 = 0) Then
        'This will change the BackColor of the ReportRecordItem
        Metrics.BackColor = RGB(255, 245, 255)
    End If

End Sub

See Also

ReportRecordItemMetrics Object | ReportRecordItem BackColor Property | ReportControl BeforeDrawRow Event


%%PageItemTitle%%

ReportRecordItemMetrics Object

See Also Report Control ActiveX Control v19.3

ColumnAlignment Property

Description

Coulimn alignment used for the ReportRecordItems that are displayed in the ReportColumn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnAlignment() As XTPColumnAlignment

Remarks

Returns or sets the alignment of the column. This will align the Caption or Value that is displayed in the ReportRecordItems that are in the column.

See Also

ReportRecordItemMetrics Object


%%PageItemTitle%%

ReportRecordItemMetrics Object | ReportRecordItemMetrics Text Property | ReportRecordItem Caption Property | CaptionFont Property | TextFont Property | PreviewTextFont Property

See Also Report Control ActiveX Control v19.3

Font Property

Description

Font used to display the text/caption of a ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

This property allows you to change the font properties of the text/caption of a ReportRecordItem when the BeforeDrawRow event is executed.

Example

[Changing the font used to display text in a ReportRecordItem (Visual Basic)] This sample illustrates how to change the font used to display the text in each individual ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

'This constant is declared in the General code section
Const COLUMN_MODIFIED = 4

Dim fntStrike as StdFont
'Retrieve the currently set font for text in ReportRecordItems
Set fntStrike = wndReportControl.PaintManager.TextFont
'Add the strikethrough property to the current font
fntStrike.Strikethrough = True

'This event is called for each ReportRecordItem in each ReportRow before it is drawn
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

    'This block of code only executes if the ReportRecordItem is in the ReportColumn
    'with an Index of COLUMN_MODIFIED
    If (Item.Index = COLUMN_MODIFIED) Then
        'If the value of the ReportRecordItem is 6/18/2002, then change the font used to display
        'text.
        If (Item.Value = #6/18/2002#) Then
            Set Metrics.Font = fntStrike
        End If
    End If

End Sub

See Also

ReportRecordItemMetrics Object | ReportRecordItemMetrics Text Property | ReportRecordItem Caption Property | CaptionFont Property | TextFont Property | PreviewTextFont Property


%%PageItemTitle%%

ReportRecordItemMetrics Object | ReportRecordItem ForeColor Property

See Also Report Control ActiveX Control v19.3

ForeColor Property

Description

The color of the the text/caption of a ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Remarks

This property will contain a reference to the ForeColor of a ReportRecordItem when the BeforeDrawRow event is executed. You can then edit the color and it will modify the ForeColor of the ReportRecordItem. The ForeColor is the color of the text/caption.

Example

[Modifying the text color of a ReportRecordItem (Visual Basic)] This sample illustrates how to modify the text color of a ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

'This event is called for each ReportRecordItem in each ReportRow before it is drawn
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, _
                                           ByVal Item As XtremeReportControl.IReportRecordItem, _
                                           ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

    'This block of code is only executed if the index of the ReportRow the ReportRecordItem is on is
    'an even number. This will cause the code to be executed for every other row. So the ForeColor
    'of all ReportRecordItems in a ReportRow will be modified.
    If (Row.Index Mod 2 = 0) Then
        'This will change the ForeColor (text color) of the ReportRecordItem to red
        Metrics.ForeColor = vbRed
    End If

End Sub

See Also

ReportRecordItemMetrics Object | ReportRecordItem ForeColor Property


%%PageItemTitle%%

ReportRecordItemMetrics Object | XTPGroupRowIconAlignment Enumeration | GroupRowIconAlignment Property | Icons Property

See Also Report Control ActiveX Control v19.3

GroupRowIcon Property

Description

Id of an icon to display in a group row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupRowIcon() As Long

Remarks

GroupRowIcon is the Id of an icon stored in the Report Control's collection of icons. This icon will be displayed in a group row using the specifed GroupRowIconAlignment.

See Also

ReportRecordItemMetrics Object | XTPGroupRowIconAlignment Enumeration | GroupRowIconAlignment Property | Icons Property

Example

Adding an Icon to a Group Row


%%PageItemTitle%%

ReportRecordItemMetrics Object | XTPGroupRowIconAlignment Enumeration | GroupRowIcon Property

See Also Report Control ActiveX Control v19.3

GroupRowIconAlignment Property

Description

Specifies the icon alignment within a group row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupRowIconAlignment() As XTPGroupRowIconAlignment

Remarks

Any combination of XTPGroupRowIconAlignment flags can be used to set the alignment of an icon added to a group row. This alignment applies to a custom icon that is added with the GroupRowIcon property, not the "+" and "-" button.

See Also

ReportRecordItemMetrics Object | XTPGroupRowIconAlignment Enumeration | GroupRowIcon Property

Example

Adding an Icon to a Group Row


%%PageItemTitle%%

ReportRecordItemMetrics Object

See Also Report Control ActiveX Control v19.3

ItemIcon Property

Description

Item icon index.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemIcon() As Integer

See Also

ReportRecordItemMetrics Object


%%PageItemTitle%%

ReportRecordItemMetrics Object | ReportRecordItem Caption Property

See Also Report Control ActiveX Control v19.3

Text Property

Description

The text/caption of a ReportRecordItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

This property will contain a reference to the caption of a ReportRecordItem when the BeforeDrawRow event is executed. This will only modify the caption of the ReportRecordItem, the value will remain unchanged.

Note: If not caption has been set, then the value of the ReportRecordItem is displayed.

Example

[Changing the text\caption of a ReportRecordItem (Visual Basic)] This sample illustrates how to change the text\caption of a ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

'This constant is declared in the General code section
Const COLUMN_SIZE = 4

'This event is called for each ReportRecordItem in each ReportRow before it is drawn
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, _
                                           ByVal Item As XtremeReportControl.IReportRecordItem, _
                                           ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

    'This block of code is only executed if the value of the ReportRecordItem is less than 1024 ans
    'the ReportRecordItem is in the ReportColumn with index COLUMN_SIZE.
    If ((Item.Index = COLUMN_SIZE) AND (Item.Value < 1024)) Then
        'This will asign the value of the ReportRecordItem and "KB" to the text/caption of the ReportRecordItem.
        'This will NOT modify the value of the ReportRecordItem
        Metrics.Text = Item.Value & " KB"
    End If

End Sub

See Also

ReportRecordItemMetrics Object | ReportRecordItem Caption Property


%%PageItemTitle%%

ReportRecordItemMetrics Object | SetVirtualMode Method | XTPVirtualRowFlags Enumeration

See Also Report Control ActiveX Control v19.3

VirtualRowFlags Property

Description

Row flags for virtual mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VirtualRowFlags() As XTPVirtualRowFlags

See Also

ReportRecordItemMetrics Object | SetVirtualMode Method | XTPVirtualRowFlags Enumeration


%%PageItemTitle%%

ReportRecordItemMetrics Object | VirtualRowFlags Property | SetVirtualMode Method

See Also Report Control ActiveX Control v19.3

VirtualRowLevel Property

Description

Row level for virtual mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VirtualRowLevel() As Integer

See Also

ReportRecordItemMetrics Object | VirtualRowFlags Property | SetVirtualMode Method


%%PageItemTitle%%

ReportRecords Members

See Also Report Control ActiveX Control v19.3

ReportRecords Collection

Description

Represents a collection of ReportRecord objects

For a list of all members defined in this module, see ReportRecords members.

Object Model

See Also

ReportRecords Members


%%PageItemTitle%% $$Members$$

ReportRecords Overview

See Also Report Control ActiveX Control v19.3

ReportRecords Collection Members

Public Methods

Public Method Add | Adds a new ReportRecord to the collection of records
Public Method DeleteAll | Removes all records and rows from the collection of records
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method FindRecordItem | Call this method to search for a record item by text.
Public Method Insert | Inserts a new record\row at the specified position in the collection of records
Public Method InsertAt | Inserts an existing record in the specified position.
Public Method MergeItems | Merges 2 or more items in the report.
Public Method RemoveAt | Removes the record and row at the specified position in the collection of records

Public Properties

Public Property CaseSensitive | Specifies whether string comparisons are case-sensitive.
Public Property Count | Returns the number of ReportRecord objects in the collection of records .
Public Property Record | A collection of ReportRecord objects. Returns the specified ReportRecord in the collection of records.

See Also

ReportRecords Overview


%%PageItemTitle%%

ReportRecords Collection

See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a new ReportRecord to the collection of records

Syntax

Public Function Add() As ReportRecord

Return Type

Reference to the newly added ReportRecord

Remarks

Adds a new ReportRecord to the end of the record collection. The add method will also add a new ReportRow to the ReportControl's collection of rows and the new ReportRecord is referenced by the ReportRow's Record property. The new ReportRow will display the ReportRecord's ReportRecordItems.

Example

[Adding a new ReportRecord\ReportRow to the ReportControl (Visual Basic)] This sample illustrates how to add a new ReportRecord\ReportRow to the ReportControl.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a new record\row to the ReportContol
    Set Record = wndReportControl.Records.Add
        'Adds a ReportRecordItem to the new ReportRecord referenced in the Record variable
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        'Adds a ReportRecordItem with a value of "RE: Your Invoice" to the new ReportRecord referenced in the Record variable
        Record.AddItem "RE: Your Invoice"
        'Adds a ReportRecordItem with a value of "John Smith" to the new ReportRecord referenced in the Record variable
        Record.AddItem "John Smith"
        'Adds a ReportRecordItem with a value of "19/06/2004" to the new ReportRecord referenced in the Record variable
        Record.AddItem "19/06/2004"
        'Adds a ReportRecordItem with a value of "18k" to the new ReportRecord referenced in the Record variable
        Record.AddItem "18k"

    'Add the record\row to the ReportControl
    wndReportControl.Populate

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all records and rows from the collection of records

Syntax

Public Sub DeleteAll()

Remarks

Removes all ReportRecord's\rows from the ReportContol's collection of records. This will remove all rows that are attached to the records.

Example

[ReportRecords DeleteAll method Sample (Visual Basic)] This sample ilustrates how to remove all records\rows from the ReportControl.

    'Delete all Records\rows from the ReportControl's collection of ReportRecords.
    wndReportControl.Records.DeleteAll

    'Update ReportControl's view with changes
    wndReportControl.Populate

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection

pPX

PropExchange object to exchange data with.

See Also Report Control ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX

PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

ReportRecords Collection

Example

PropExchange Sample


%%PageItemTitle%%

ReportRecords Collection

StartRecord
Starting record index.
EndRecord
End record index.
StartColumn
Starting column index.
EndColumn
End column index.
Record
Record index to start search from.
Item
Record item index to start search from.
Text
Search text.
Flags
Search parameters.
See Also Report Control ActiveX Control v19.3

FindRecordItem Method

Description

Call this method to search for a record item by text.

Syntax

Public Function FindRecordItem( _
   ByVal StartRecord As Long, _
   ByVal EndRecord As Long, _
   ByVal StartColumn As Long, _
   ByVal EndColumn As Long, _
   ByVal Record As Long, _
   ByVal Item As Long, _
   ByVal Text As String, _
   ByVal Flags As XTPReportTextSearchParms _
) As ReportRecordItem

Parameters

StartRecord
Starting record index.
EndRecord
End record index.
StartColumn
Starting column index.
EndColumn
End column index.
Record
Record index to start search from.
Item
Record item index to start search from.
Text
Search text.
Flags
Value | Description
xtpReportTextSearchExactPhrase | Search exact phrase.
xtpReportTextSearchMatchCase | Match case during search.
xtpReportTextSearchBackward | Search backwards.
xtpReportTextSearchExactStart | Search phrase where the start of the phrase matches exactly. For those familiar with grep this is just like using the "^" to state that the text must start with the specified search.
Search parameters.

Return Type

Report record item found or Nothing otherwise.

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection | InsertAt Method

Index
The position in the collection of records to insert this record.
See Also Report Control ActiveX Control v19.3

Insert Method

Description

Inserts a new record\row at the specified position in the collection of records

Syntax

Public Function Insert( _
   ByVal Index As Long _
) As ReportRecord

Parameters

Index
The position in the collection of records to insert this record.

Return Type

A reference to the record inserted at the value of Index.

Remarks

Insert will create a new record at the specified index. To move an existing ReportRecord use the InsertAt method.

Example

[Using the Insert method to add a new Record (Visual Basic)] This Sample illustrates how to use the Insert method to add a new Record\Row in a specific row.

    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Inserts a new Record\Row in the 6th row of the ReportControl
    Set Record = wndReportControl.Records.Insert(5)

    Set Item = Record.AddItem("")
        Item.HasCheckbox = True
        Item.Checked = False
    Record.AddItem "RE: Your Invoice"
    Record.AddItem "John Smith"
    Record.AddItem "19/06/2004"
    Record.AddItem "18k"

    wndReportControl.Populate

See Also

ReportRecords Collection | InsertAt Method


%%PageItemTitle%%

ReportRecords Collection | Insert Method

Index
Index to insert record at.
Record
Record to be inserted.
See Also Report Control ActiveX Control v19.3

InsertAt Method

Description

Inserts an existing record in the specified position.

Syntax

Public Sub InsertAt( _
   ByVal Index As Long, _
   ByVal Record As ReportRecord _
)

Parameters

Index
Index to insert record at.
Record
Record to be inserted.

Remarks

InsertAt will move an existing ReportRecord to the specified index. To create a new record at a specific index use the Insert method.

See Also

ReportRecords Collection | Insert Method


%%PageItemTitle%%

ReportRecords Collection

RecordFrom
Index of the record to start the merge. Will be the same as RecordTo if merging cells horizontally.
RecordTo
Index of the record to end the merge. Will be the same as RecordFrom if merging cells horizontally.
ColumnFrom
Index of the column to start the merge. Will be the same as ColumnTo if merging cells vertically.
ColumnTo
Index of the column to end the merge. Will be the same as ColumnFrom if merging cells vertically.
See Also Report Control ActiveX Control v19.3

MergeItems Method

Description

Merges 2 or more items in the report.

Syntax

Public Sub MergeItems( _
   ByVal RecordFrom As Long, _
   ByVal RecordTo As Long, _
   ByVal ColumnFrom As Long, _
   ByVal ColumnTo As Long _
)

Parameters

RecordFrom
Index of the record to start the merge. Will be the same as RecordTo if merging cells horizontally.
RecordTo
Index of the record to end the merge. Will be the same as RecordFrom if merging cells horizontally.
ColumnFrom
Index of the column to start the merge. Will be the same as ColumnTo if merging cells vertically.
ColumnTo
Index of the column to end the merge. Will be the same as ColumnFrom if merging cells vertically.

Remarks

MergeItems allows cells in the report to be merged both vertically and horizontally.

Important information about merging:

-Merged cells supports sorting and reordering.

-When merging, ONLY the data in the first merged cell is used.

-If a column is moved that contains a merged cell then that merged cell will also display the same data that is displayed in the first merged cell.

-To clear all the merged cells call MergeItems(Null, Null, Null, Null)

-Merged cells use the record index NOT the row index.

Example

Option Explicit

' Constants used to identify columns, this will be the column ItemIndex
Const COLUMN_SURVEY = 0
Const COLUMN_VS6 = 1
Const COLUMN_VS2005 = 2
Const COLUMN_VS2008 = 3
Const COLUMN_VS2010 = 4

Private Sub Form_Load()

Dim Column As ReportColumn

Set Column = wndReportControl.Columns.Add(COLUMN_SURVEY, "A", 200, True)
Column.Alignment = xtpAlignmentWordBreak

Set Column = wndReportControl.Columns.Add(COLUMN_VS6, "B", 100, True)
Set Column = wndReportControl.Columns.Add(COLUMN_VS2005, "C", 100, True)
Set Column = wndReportControl.Columns.Add(COLUMN_VS2008, "D", 100, True)
Set Column = wndReportControl.Columns.Add(COLUMN_VS2010, "E", 100, True)

AddData "Visual Studio Survey", "Version", "1", "2", "3"
AddData "Number of Users", "VS 6", "VS 2005", "VS 2008", "VS 2010"
AddData "", "50", "25", "70", "150"

wndReportControl.Records.MergeItems 0, 0, COLUMN_VS6, COLUMN_VS2010
wndReportControl.Records.MergeItems 1, 2, COLUMN_SURVEY, COLUMN_SURVEY

' Set other ReportControl options
wndReportControl.PaintManager.VerticalGridStyle = xtpGridSolid
wndReportControl.PaintManager.HorizontalGridStyle = xtpGridSolid
wndReportControl.AllowEdit = False
wndReportControl.FocusSubItems = True
wndReportControl.AllowColumnRemove = False
wndReportControl.PaintManager.FixedRowHeight = False

wndReportControl.PaintManager.DrawGridForEmptySpace = True

wndReportControl.FocusSubItems = False
wndReportControl.ShowRowFocus = False
wndReportControl.PaintManager.HighlightForeColor = vbBlack
wndReportControl.PaintManager.HighlightBackColor = vbWhite

' Apply changes
wndReportControl.Populate

End Sub

Private Sub Form_Resize()
' Resize ReportControl if a form is resized by user
On Error Resume Next
wndReportControl.Move 0, 0, ScaleWidth, ScaleHeight
End Sub

Private Sub mnuClose_Click()
' Close form and unload it's contests
Unload Me
End Sub

Sub AddData(survey As Variant, vs6 As Variant, vs2005 As Variant, vs2008 As Variant, vs2010 As Variant)

Dim Record As ReportRecord
Dim Item As ReportRecordItem

Set Record = wndReportControl.Records.Add
Set Item = Record.AddItem(survey)
Item.Alignment = xtpAlignmentCenter
Set Item = Record.AddItem(vs6)
Item.Alignment = xtpAlignmentCenter
Set Item = Record.AddItem(vs2005)
Item.Alignment = xtpAlignmentCenter
Set Item = Record.AddItem(vs2008)
Item.Alignment = xtpAlignmentCenter
Set Item = Record.AddItem(vs2010)
Item.Alignment = xtpAlignmentCenter

End Sub

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection

Index
The position in the collection of records of the record to remove\delete.
See Also Report Control ActiveX Control v19.3

RemoveAt Method

Description

Removes the record and row at the specified position in the collection of records

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
The position in the collection of records of the record to remove\delete.

Remarks

Removes\deletes a row\record by its index. To remove a row from the ReportControl, the Record attached to the row must be removed. This will permanently remove the row\record from the ReportControl's collection of rows and collection of records.

Example

[Using the RemoveAt method to remove a row (Visual Basic)] This sample illustrates how to remove a row from the ReportControl. To remove a row, you must remove the Record that is attached to the row. This sample used the KeyDown event to determine when the Delete key is pressed, if the Delete key is pressed, all selected rows are removed.

'You can use the KeyDown event to determine when the delete key is pressed, then you can
'remove any selected rows from the ReportControl
Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next

   'If the delete key is pressed (Delete's keycode = 46) then remove all selected rows
   If (KeyCode = 46) Then
        Dim Row As ReportRow
        'Enumerate through each selected row in the ReportControls collection of selected rows
        For Each Row In wndReportControl.SelectedRows
            'Removes the selected row, to remove a row you must remove the record attached to the row
            wndReportControl.Records.RemoveAt (Row.Record.Index)
        Next

        'Any time you add or delete rows(by removing the attached record), you must call the
        'Populate method so the ReportControl will display the changes, the rows will remain
        'visible until the Populate method is called
        wndReportControl.Populate
    End If
End Sub

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection

See Also Report Control ActiveX Control v19.3

CaseSensitive Property

Description

Specifies whether string comparisons are case-sensitive.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaseSensitive() As Boolean

Remarks

CaseSensitive allows you to specify whether string comparisons are case-sensitive. For example, this is used when sorting a column.

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of ReportRecord objects in the collection of records .

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

The count only includes the number of records in the collection of records. If any records in the collection contain children, these records are not included in the count.

Example

[Retieving the ReportRecord count (Visual Basic)] This example illustrates how to determine the number of records that are in the ReportControl's collection of ReportRecord objects.

    Dim recordCount as Long

    recordCount = wndReportControl.Records.Count

See Also

ReportRecords Collection


%%PageItemTitle%%

ReportRecords Collection | ReportControl's collection of Records

Index
Index of the desired ReportRecord in the collection of records
See Also Report Control ActiveX Control v19.3

Record Property

Description

A collection of ReportRecord objects. Returns the specified ReportRecord in the collection of records.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Record( _
   ByVal Index As Long _
) As ReportRecord

Parameters

Index
Index of the desired ReportRecord in the collection of records

Remarks

Valid Index values range from 0 to Count -1.

Example

[Accessing Rows\Records (Visual Basic)]

    'This will change the BackColor of the 4th item in the 1st row\record
    wndReportControl.Records(0).Item(3).BackColor = vbBlue

    'This will expand the 1st row\record, displaying the child rows\records
    wndReportControl.Records(0).Expanded = True

See Also

ReportRecords Collection | ReportControl's collection of Records


%%PageItemTitle%%

ReportRow Members | ReportRows Object | ReportRecord Object | ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

ReportRow Object

Description

Represents one or more rows in the ReportControl.

For a list of all members defined in this module, see ReportRow members.

Object Model

Remarks

Each ReportRow has an associated ReportRecord. Each ReportRow can have a collection of ReportRows that can be expanded\collapsed when the row is clicked on displaying the rows in the collection.

Rows are added using the add method and removed using the RemoveAt method.

See Also

ReportRow Members | ReportRows Object | ReportRecord Object | ReportRecordItem Object


%%PageItemTitle%% $$Members$$

ReportRow Overview | ReportRows Object | ReportRecord Object | ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

ReportRow Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force the row to become visible.
Public Method GetItemRect | The GetItemRect method returns the coordinates of the bounding rectangle for the specified ReportRecordItem in the Row.
Public Method GetItemRectAsMerged |
Public Method GetRect | The GetRect method returns the coordinates of the bounding rectangle for the Row.

Public Properties

Public Property Childs | A collection of ReportRow objects.
Public Property Expanded | Specifies whether the row is expanded in a tree view.
Public Property GroupRow | Indicates whether the ReportRow is a group row.
Public Property Index | The index of the ReportRow within the ReportControl's collection of rows.
Public Property NextSiblingRow | The NextSiblingRow property returns the next sibling row of this row.
Public Property ParentRow | Reference to the parent row if this row is a child.
Public Property Record | Reference to the associated ReportRecord.
Public Property RowTreeLevel | Gets\sets the Tree Level of the row.
Public Property Section | Returns the section the row belongs to (header, footer or body).
Public Property Selected | Specifies whether the ReportRow is currently selected (shaded).

See Also

ReportRow Overview | ReportRows Object | ReportRecord Object | ReportRecordItem Object


%%PageItemTitle%%

ReportRow Object | FocusedRow Property

See Also Report Control ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force the row to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the row is visible. This will scroll the rows in the Report Control until the row is visible.

FocusedRow uses EnsureVisible to when setting the focus to a new row..

See Also

ReportRow Object | FocusedRow Property


%%PageItemTitle%%

ReportRow Object

Item
Reference to a ReportRecordItem in the ReportRow.
left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.
See Also Report Control ActiveX Control v19.3

GetItemRect Method

Description

The GetItemRect method returns the coordinates of the bounding rectangle for the specified ReportRecordItem in the Row.

Syntax

Public Sub GetItemRect( _
   ByVal Item As ReportRecordItem, _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

Item
Reference to a ReportRecordItem in the ReportRow.
left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.

Return Type

Returns the coordinates of the bounding rectangle for the specified ReportRecordItem in the Row.

Remarks

Call the GetItemRect method to determine the coordinates of the region where the specified ReportRecordItem in this row. GetItemRect returns the coordinates of the upper-left and lower-right corners of the bounding rectangle for the specified ReportRecordItem in the Row.

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object

Item
left
top
right
bottom
AsMerged
See Also Report Control ActiveX Control v19.3

GetItemRectAsMerged Method

Syntax

Public Sub GetItemRectAsMerged( _
   ByVal Item As ReportRecordItem, _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long, _
   ByVal AsMerged As Boolean _
)

Parameters

Item
left
top
right
bottom
AsMerged

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.
See Also Report Control ActiveX Control v19.3

GetRect Method

Description

The GetRect method returns the coordinates of the bounding rectangle for the Row.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top
Specifies the y-coordinate of the upper-left corner of a rectangle.
right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.

Return Type

Returns the coordinates of the bounding rectangle of the row.

Remarks

Call the GetRect method to determine the coordinates of the region where this row is drawn on the parent window. GetRect returns the coordinates of the upper-left and lower-right corners of the bounding rectangle.

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object | TreeColumn Property | Expanded Property

See Also Report Control ActiveX Control v19.3

Childs Property

Description

A collection of ReportRow objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Childs() As ReportRows

Remarks

Used to access all children rows of this row.

See Also

ReportRow Object | TreeColumn Property | Expanded Property


%%PageItemTitle%%

ReportRow Object | TreeColumn Property | ReportRecord Expanded Property

See Also Report Control ActiveX Control v19.3

Expanded Property

Description

Specifies whether the row is expanded in a tree view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

If a row has children, then an expand\collapse button is displayed indicating that there are more rows to display. The expanded property can be set to True or False to expand\collapse the child rows. It can also be used to determine if a row is expanded\collapsed.

This property corresponds to the Expanded property of the attached ReportRecord. If you change the ReportRow Expanded property, the Expanded property of the attached ReportRecord is updated with this value.

Using the ReportRow Expanded property, you will not have to call the Populate method to see the changes. The ReportRow Expanded property should be used if you are expanding or collapsing rows at runtime.

The ReportRecord Expanded property should be used if you want a row to be expanded as it is added. This will cause the row to be expanded the first time the Populate method is called. The Populate will need to be called if you use the ReportRecord Expanded property to expand/collapse the rows.

Example

[Expanded Sample (Visual Basic)] This sample illustrates how to determine if a record\row has been expanded\collapsed.

    'This code will tell us if the 1st record\row is expanded
    Debug.Print wndReportControl.Records(0).Expanded

    'This is another way to access the same data.
    'This code will tell us if the 1st record\row is expanded
    Debug.Print wndReportControl.Rows(0).Expanded

See Also

ReportRow Object | TreeColumn Property | ReportRecord Expanded Property


%%PageItemTitle%%

ReportRow Object | ReportColumn Caption Property

See Also Report Control ActiveX Control v19.3

GroupRow Property

Description

Indicates whether the ReportRow is a group row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupRow() As Boolean

Remarks

A GroupRow of the ReportControl is a row which has no associated ReportRecord, but has a special text caption instead. The special text caption depends on whether the GroupCaption property has been set for the ReportRecordItems that belong to the group. If a GroupCaption has been set, then that is displayed as the special text, otherwise, the caption of the ReportColumn is used.

You might need to test is a row if a GroupRow when iterating through the ReportControl's collection of rows to determine if the row has a Record you can access, if your rows are grouped and you try to access the Record of a GroupRow, your program will crash.

Example

[GroupRow sample (Visual Basic)] This sample illustrates how you could use the GroupRow property to test if a row is a group row.

    Dim Row As ReportRow

    'Iterate through the ReportControl's collection of ReportRow objects
    For Each Row In wndReportControl.Rows
        'If the row is not a GroupRow then execute this code
        'If the rows are grouped, this check has to be made before working with
        'the ReportRecord of the row
        If Row.GroupRow = False Then
           'Print the value of the 3rd ReportRecordItem of the attached ReportRecord
           Debug.Print "Record Value: " & Row.Record.Item(2).Value
        End If
    Next

See Also

ReportRow Object | ReportColumn Caption Property


%%PageItemTitle%%

ReportRow Object | ReportControl Row Collection

See Also Report Control ActiveX Control v19.3

Index Property

Description

The index of the ReportRow within the ReportControl's collection of rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Example

[ReportRow Index Sample (Visual Basic)] This sample illustrates a way to use the index of a row within the ReportControls collection of ReportRow objects.

    Dim Record As ReportRecord

    'This will allow you to reference the ReportRecord attached to the 2nd
    'row (index starts at zero).
    Set Record = wndReportControl.Rows(1).Record

    'Changes the caption of the 3rd (index starts at zero) ReportRecordItem
    Record.Item(2).Caption = "Re: Hello"

See Also

ReportRow Object | ReportControl Row Collection


%%PageItemTitle%%

ReportRow Object

See Also Report Control ActiveX Control v19.3

NextSiblingRow Property

Description

The NextSiblingRow property returns the next sibling row of this row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NextSiblingRow() As ReportRow

Remarks

NextSiblingRow holds a pointer to the next sibling row of the row. The next sibling row will be returned regardless of whether the child rows of a row are expanded.

Note that Group Rows can be both a parent and sibling to "normal" rows.

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object

See Also Report Control ActiveX Control v19.3

ParentRow Property

Description

Reference to the parent row if this row is a child.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentRow() As ReportRow

Remarks

If the ReportRecord attached to the row does not have any children, then the ParentRow is Nothing\NULL. ParentRow can be used to determine if the row is a child. It can also be used to find the parent of a child row so the children can be expanded\hidden. By setting the expanded property of the parent to False, all children will be hidden.

Example

[ParentRow sample (Visual Basic)] This sample illustrates one way to use the ParentRow property. The KeyDown event is used to determine when both the Delete and Ctrl keys are pressed, then the currently selected row along with all parent and sibling rows are removed.

'The KeyDown event can be used to determine if any key combination has been pressed
Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)

    'If both the Delete key and the Ctrl key are pressed, execute this code
    If (KeyCode = 46 And Shift = 2) Then

        'If a row has focus, then execute this code
        If Not wndReportControl.FocusedRow Is Nothing Then

            'If the row with focus has a ParentRow, then execute this code
            If Not wndReportControl.FocusedRow.ParentRow Is Nothing Then
                Dim Row As ReportRow
                Set Row = wndReportControl.FocusedRow.ParentRow

                'Determine the root(row with no ParentRow) ParentRow to ALL childen, this may iterate several
                'times before the root (row with no ParentRow) ParentRow has been found.
                While Not Row.ParentRow Is Nothing
                    Set Row = Row.ParentRow
                Wend

                'Delete the root row. This will delete the root row and ALL children rows.
                'The RemoveAt method is used to remove the Records attached to the root row,
                'which removes all child records.
                wndReportControl.Records.RemoveAt Row.Index
            Else
                'This row has no ParentRow, so it is already the root row and can be removed
                'with no further action
                wndReportControl.Records.RemoveAt wndReportControl.FocusedRow.Index
            End If

            'Any time you add or delete rows(by removing the attached record), you must call the
            'Populate method so the ReportControl will display the changes, the rows will remain
            'visible until the Populate method is called
            wndReportControl.Populate
        End If
    End If

End Sub

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object | Addin a row using the Add Method

See Also Report Control ActiveX Control v19.3

Record Property

Description

Reference to the associated ReportRecord.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Record() As ReportRecord

Remarks

A ReportRecord needs to be associated with a ReportRow before it can be shown in the ReportControl. The ReportRecordItems associated with the ReportRecord are the individual cells that are displayed in the ReportColumns of the ReportControl.

Rows are added using the add method and removed using the RemoveAt method. When a record is added, it is automatically attached to a row and is accessed through the Record property. By removing or adding a ReportRecord, you are adding or removing a ReportRow that displays the ReportRecord information.

Example

[Accessing the ReportRecordItems of a ReportRecord/ReportRow (Visual Basic)] This sample illustrates how to access the individual ReportRecordItems of a ReportRecord\ReportRow.

'The KeyDown event can be used to determine when the SpaceBar (SpaceBar keycode = 32) is pressed.
Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next

    'If the spacebar is pressed, execute this code
    If (KeyCode = 32) Then
        Dim Item As ReportRecordItem
        'wndReportControl.FocusedRow is a ReportRow object, the first ReportRecordItem of
        'the attached ReportRecord is retreived and a reference is placed into the Item variable
        Set Item = wndReportControl.FocusedRow.Record(0)

        'Toggles the state of the ReportRecordItem's checkbox (removes/replaces the chack mark)
        Item.Checked = Not Item.Checked

        'Or you can access the Checked property of the ReportRecordItem directly
        wndReportControl.FocusedRow.Record(0).Checked = Not wndReportControl.FocusedRow.Record(0).Checked
    End If
End Sub

See Also

ReportRow Object | Addin a row using the Add Method

Example

Removing a Row using the RemoveAt Method


%%PageItemTitle%%

ReportRow Object

See Also Report Control ActiveX Control v19.3

RowTreeLevel Property

Description

Gets\sets the Tree Level of the row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowTreeLevel() As Integer

Remarks

Useful in virtual mode when having more than one level of children.

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object

See Also Report Control ActiveX Control v19.3

Section Property

Description

Returns the section the row belongs to (header, footer or body).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Section() As ReportSection

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

XTPReportSection is used to identify which section the row is in.

See Also

ReportRow Object


%%PageItemTitle%%

ReportRow Object | ReportSelectedRows Object | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | Collection of Rows Property | Hide Selected Rows Property | MultipleSelection Property | ReportControl's collection of SelectedRows

See Also Report Control ActiveX Control v19.3

Selected Property

Description

Specifies whether the ReportRow is currently selected (shaded).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Remarks

A ReportRow is selected when the user clicks on the row, or when the add method is used. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows. Multiple row selection can be enabled or disabled.

Selected rows can be retrieved through the ReportControl's collection of SelectedRows.

Example

[Selecting a ReportRow via the Selected Property (Visual Basic)] This sample illustrates how to make a Row(s) selected via code using the Selected property.

    'This will cause the 4th and 7th (Row index starts at zero) rows in the ReportControl to become selected.
    'The rows will appear shaded (grey) indicating that the rows are selected.
    wndReportControl.Rows(3).Selected = True
    wndReportControl.Rows(6).Selected = True

See Also

ReportRow Object | ReportSelectedRows Object | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | Collection of Rows Property | Hide Selected Rows Property | MultipleSelection Property | ReportControl's collection of SelectedRows

Example

Selecting Rows via code using the Add Method | Using the RemoveAt method to remove Selected rows


%%PageItemTitle%%

ReportRows Members

See Also Report Control ActiveX Control v19.3

ReportRows Collection

Description

Represents a collection of ReportRow objects.

For a list of all members defined in this module, see ReportRows members.

Object Model

Remarks

Rows are added using the add method and removed using the RemoveAt method.

See Also

ReportRows Members


%%PageItemTitle%% $$Members$$

ReportRows Overview

See Also Report Control ActiveX Control v19.3

ReportRows Collection Members

Public Methods

Public Method FindRecordItemByRows | Searches the report rows for the specified string.
Public Method FindRow | Finds and returns a ReportRow that corresponds with a specific ReportRecord.
Public Method FindRowInTree | Finds and returns a ReportRow that corresponds with a specific ReportRecord, this method also searches child rows when in tree view.

Public Properties

Public Property Count | Returns the number of ReportRow objects in the ReportControl's collection of rows
Public Property Row | A collection of ReportRow objects.

See Also

ReportRows Overview


%%PageItemTitle%%

ReportRows Collection

StartIndex
Index of Row to start searching from.
EndIndex
Index of last row to search.
StartColumn
Index of Column to start searching from.
EndColumn
Index of last column to search.
Record
Index of Record to start searching from.
Item
Index of Item to start searching from.
Text
Search string.
Flags
Search option flags.
See Also Report Control ActiveX Control v19.3

FindRecordItemByRows Method

Description

Searches the report rows for the specified string.

Syntax

Public Function FindRecordItemByRows( _
   ByVal StartIndex As Long, _
   ByVal EndIndex As Long, _
   ByVal StartColumn As Long, _
   ByVal EndColumn As Long, _
   ByVal Record As Long, _
   ByVal Item As Long, _
   ByVal Text As String, _
   ByVal Flags As XTPReportTextSearchParms _
) As ReportRecordItem

Parameters

StartIndex
Index of Row to start searching from.
EndIndex
Index of last row to search.
StartColumn
Index of Column to start searching from.
EndColumn
Index of last column to search.
Record
Index of Record to start searching from.
Item
Index of Item to start searching from.
Text
Search string.
Flags
Value | Description
xtpReportTextSearchExactPhrase | Search exact phrase.
xtpReportTextSearchMatchCase | Match case during search.
xtpReportTextSearchBackward | Search backwards.
xtpReportTextSearchExactStart | Search phrase where the start of the phrase matches exactly. For those familiar with grep this is just like using the "^" to state that the text must start with the specified search.
Search option flags.

Return Type

If a match is found, a reference to the ReportRecordItem that contains the search string. If no match is found, returns null.

Remarks

Allows specific rows and columns to be searched. This can be used in a "Find Next" search by starting a new search starting from the last successful search.

See Also

ReportRows Collection


%%PageItemTitle%%

ReportRows Collection

Record
A ReportRecord object to search for.
See Also Report Control ActiveX Control v19.3

FindRow Method

Description

Finds and returns a ReportRow that corresponds with a specific ReportRecord.

Syntax

Public Function FindRow( _
   ByVal Record As ReportRecord _
) As ReportRow

Parameters

Record
A ReportRecord object to search for.

Return Type

Returns the ReportRow that corresponds to the ReportRecord that was searched for.

If the row could not be found, the null is returned.

Remarks

The FindRow method is used to find the ReportRow that a specific ReportRecord currently belong to. The FindRow method is is needed because the row can change based on how the items are sorted, grouped, or if some items are hidden.

See Also

ReportRows Collection


%%PageItemTitle%%

ReportRows Collection | FindRow Method | ParentRecord Property

Record
A ReportRecord object to search for.
See Also Report Control ActiveX Control v19.3

FindRowInTree Method

Description

Finds and returns a ReportRow that corresponds with a specific ReportRecord, this method also searches child rows when in tree view.

Syntax

Public Function FindRowInTree( _
   ByVal Record As ReportRecord _
) As ReportRow

Parameters

Record
A ReportRecord object to search for.

Return Type

Returns the ReportRow that corresponds to the ReportRecord that was searched for.

If the row could not be found, the null is returned.

Remarks

The FindRowInTree method is used to find the ReportRow that a specific ReportRecord currently belong to including child rows when in tree view. The FindRowInTree method is is needed because the FindRow method only searches parent rows, not children.

See Also

ReportRows Collection | FindRow Method | ParentRecord Property


%%PageItemTitle%%

ReportRows Collection | ReportRow Object

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of ReportRow objects in the ReportControl's collection of rows

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

This tells you how many rows have been added to the ReportControl. Invisible rows (Child rows that have not yet visible because the parent row has not been expanded) are NOT included in the count.

Example

[Retrieving the ReportRow count (Visual Basic)] This example illustrates how to determine the number of rows that are in the ReportControl's collection of ReportRow objects.

    Dim rowCount as Long

    rowCount = wndReportControl.Rows.Count

See Also

ReportRows Collection | ReportRow Object


%%PageItemTitle%%

ReportRows Collection | ReportRow Object | ReportControl's Collection of Rows

Index
Index of a ReportRow within the collection of rows.
See Also Report Control ActiveX Control v19.3

Row Property

Description

A collection of ReportRow objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row( _
   ByVal Index As Long _
) As ReportRow

Parameters

Index
Index of a ReportRow within the collection of rows.

Remarks

A collection of ReportRow objects. Each ReportRow has an associated ReportRecord. Each ReportRow can have a collection of ReportRows that can be expanded\collapsed when the row is clicked on displaying the rows in the collection.

Rows are added using the add method and removed using the RemoveAt method.

See Also

ReportRows Collection | ReportRow Object | ReportControl's Collection of Rows

Example

Adding a Row to the ReportControl


%%PageItemTitle%%

ReportSection Members

See Also Report Control ActiveX Control v19.3

ReportSection Object

Description

Report section object.

For a list of all members defined in this module, see ReportSection members.

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

See Also

ReportSection Members


%%PageItemTitle%% $$Members$$

ReportSection Overview

See Also Report Control ActiveX Control v19.3

ReportSection Object Members

Public Properties

Public Property AllowAccess | Specifies whether the user can move selection to rows in this report section.
Public Property AllowEdit | Allows the text in ALL ReportRecordItem(s) to be edited in this report section.
Public Property AllowFilter | Enables or disables filtering of rows in this report section.
Public Property AllowGroup | Enables or disables grouping of rows in this report section.
Public Property AllowSort | Enables or disables sorting of rows in this report section.
Public Property Index | Index of the report section.

See Also

ReportSection Overview


%%PageItemTitle%%

ReportSection Object

See Also Report Control ActiveX Control v19.3

AllowAccess Property

Description

Specifies whether the user can move selection to rows in this report section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowAccess() As Boolean

Return Type

TRUE - selection of rows is allowed, FALSE otherwise.

Remarks

Specifies whether the user can move selection to rows in this section.

See Also

ReportSection Object


%%PageItemTitle%%

ReportSection Object

See Also Report Control ActiveX Control v19.3

AllowEdit Property

Description

Allows the text in ALL ReportRecordItem(s) to be edited in this report section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEdit() As Boolean

Return Type

TRUE if the record items are editable, otherwise FALSE.

Remarks

This will add an edit box to the item where the text can be edited.

See Also

ReportSection Object


%%PageItemTitle%%

ReportSection Object

See Also Report Control ActiveX Control v19.3

AllowFilter Property

Description

Enables or disables filtering of rows in this report section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowFilter() As Boolean

Return Type

TRUE if filtering of rows is allowed, otherwise FALSE.

See Also

ReportSection Object


%%PageItemTitle%%

ReportSection Object

See Also Report Control ActiveX Control v19.3

AllowGroup Property

Description

Enables or disables grouping of rows in this report section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowGroup() As Boolean

Return Type

TRUE if grouping of rows is allowed, otherwise FALSE.

See Also

ReportSection Object


%%PageItemTitle%%

ReportSection Object

See Also Report Control ActiveX Control v19.3

AllowSort Property

Description

Enables or disables sorting of rows in this report section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowSort() As Boolean

Return Type

TRUE if sorting of rows is allowed, otherwise FALSE.

See Also

ReportSection Object


%%PageItemTitle%%

ReportSection Object | XTPReportSection Enumeration

See Also Report Control ActiveX Control v19.3

Index Property

Description

Index of the report section.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

XTPReportSection is used to identify which section the row is in.

See Also

ReportSection Object | XTPReportSection Enumeration


%%PageItemTitle%%

ReportSections Members

See Also Report Control ActiveX Control v19.3

ReportSections Object

Description

Collection of report sections (header, footer or body).

For a list of all members defined in this module, see ReportSections members.

Object Model

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

See Also

ReportSections Members


%%PageItemTitle%% $$Members$$

ReportSections Overview

See Also Report Control ActiveX Control v19.3

ReportSections Object Members

Public Properties

Public Property Count | Returns the number of report sections that are in the report.
Public Property Section | Gets the specified ReportSection from the collection of sections.

See Also

ReportSections Overview


%%PageItemTitle%%

ReportSections Object

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of report sections that are in the report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the number of report sections that are in the report.

Remarks

By default there will be 1 section in the report.

See Also

ReportSections Object


%%PageItemTitle%%

ReportSections Object

Index
Index of the section to return.
See Also Report Control ActiveX Control v19.3

Section Property

Description

Gets the specified ReportSection from the collection of sections.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Section( _
   ByVal Index As Long _
) As ReportSection

Parameters

Index
Index of the section to return.

Return Type

Reference tot he specified ReportSection.

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

See Also

ReportSections Object


%%PageItemTitle%%

ReportSelectedRows Members | ReportControl SelectedRows Property | ReportControl SelectedRows Property | ReportRow Selected Property

See Also Report Control ActiveX Control v19.3

ReportSelectedRows Collection

Description

Container for currently selected rows.

For a list of all members defined in this module, see ReportSelectedRows members.

Object Model

Remarks

Encapsulates a collection of ReportRow objects that represent the selected rows in a ReportControl.

You can add selected rows or un-select all currently selected rows.

See Also

ReportSelectedRows Members | ReportControl SelectedRows Property | ReportControl SelectedRows Property | ReportRow Selected Property


%%PageItemTitle%% $$Members$$

ReportSelectedRows Overview | ReportControl SelectedRows Property | ReportControl SelectedRows Property | ReportRow Selected Property

See Also Report Control ActiveX Control v19.3

ReportSelectedRows Collection Members

Public Methods

Public Method Add | Adds a ReportRow to the current selection of selected rows.
Public Method DeleteAll | Removes all rows from the selection. (Un-selects rows, does not delete them)

Public Properties

Public Property Count | Returns the number of currently selected rows.
Public Property Row | A collection of ReportRow objects. Contains a collection of all selected rows.

See Also

ReportSelectedRows Overview | ReportControl SelectedRows Property | ReportControl SelectedRows Property | ReportRow Selected Property


%%PageItemTitle%%

ReportSelectedRows Collection | ReportRow Selected Property | ReportControl's collection of SelectedRows

Row
Reference to the ReportRow that will be added to the selection.
See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a ReportRow to the current selection of selected rows.

Syntax

Public Sub Add( _
   ByVal Row As ReportRow _
)

Parameters

Row
Reference to the ReportRow that will be added to the selection.

Remarks

Adding a ReportRow will cause the row to be shaded and the ReportRow's selected property is changed to True. Selected rows can be accessed through the ReportControl's collection of SelectedRows.

Example

[Selecting Rows via code using the Add method (Visual Basic)] This sample illustrates how to make a Row(s) selected via code using the Add Method.

    'This will cause the 2nd and 6th row in the ReportControl to become selected.
    'The rows will appear shaded (grey) indicating that the rows are selected.
    wndReportControl.SelectedRows.Add wndReportControl.Rows(1)
    wndReportControl.SelectedRows.Add wndReportControl.Rows(5)

See Also

ReportSelectedRows Collection | ReportRow Selected Property | ReportControl's collection of SelectedRows

Example

Selecting Rows via code using the Selected Property | Using the RemoveAt method to remove Selected rows


%%PageItemTitle%%

ReportSelectedRows Collection | ReportControl SelectedRows Property | ReportRow Selected Property

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all rows from the selection. (Un-selects rows, does not delete them)

Syntax

Public Sub DeleteAll()

Remarks

This will not remove\delete the rows from the ReportControl. It only "Un-selects" the rows from the ReportControl's collection of SelectedRows. All rows that were selected and shaded will return to their normal color and the selected property will be set to False. The row will still remain in the ReportControl's view.

Example

[Un-selecting rows (Visual Basic)] This sample illustrates how to Un-select all currently selected rows in the ReportControl's view.

    'This will "un-select" all currently selected rows
    wndReportControl.SelectedRows.DeleteAll

See Also

ReportSelectedRows Collection | ReportControl SelectedRows Property | ReportRow Selected Property

Example

Using the RemoveAt Method to Remove a row


%%PageItemTitle%%

ReportSelectedRows Collection | ReportControl SelectedRows Property | ReportControl MultipleSelection Property

See Also Report Control ActiveX Control v19.3

Count Property

Description

Returns the number of currently selected rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Call this method to retrieve the number of rows in the collection of selected rows.

Example

[How to determine the current number of selected rows (Visual Basic)] This sample illustrates how to determine the current number of rows selected in the ReportControl.

    Dim rowsSelected as Long

    'This will return the number of currently selected rows in the ReportControl
    rowsSelected = wndReportControl.SelectedRows.Count
    Debug.Print "You currently have selected " & rowsSelected & " rows in the ReportControl."

See Also

ReportSelectedRows Collection | ReportControl SelectedRows Property | ReportControl MultipleSelection Property


%%PageItemTitle%%

ReportSelectedRows Collection | MultipleSelection Property

Index
Index of a ReportRow within the collection of rows.
See Also Report Control ActiveX Control v19.3

Row Property

Description

A collection of ReportRow objects. Contains a collection of all selected rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row( _
   ByVal Index As Long _
) As ReportRow

Parameters

Index
Index of a ReportRow within the collection of rows.

Remarks

A collection of ReportRow objects that are currently selected. The MultipleSelection property can be used to specify whether multiple ReportRows can be selected at the same time in the ReportControl.

Rows are added using the add method and removed using the RemoveAt method.

See Also

ReportSelectedRows Collection | MultipleSelection Property


%%PageItemTitle%%

ReportToolTipInfo Members

See Also Report Control ActiveX Control v19.3

ReportToolTipInfo Object

Description

Represents the item, row, and text for a tooltip.

For a list of all members defined in this module, see ReportToolTipInfo members.

Object Model

Remarks

Contains a reference to the item, row, and text for the tooltip.

See Also

ReportToolTipInfo Members


%%PageItemTitle%% $$Members$$

ReportToolTipInfo Overview

See Also Report Control ActiveX Control v19.3

ReportToolTipInfo Object Members

Public Properties

Public Property Item | Returns a pointer to current ReportRecordItem object.
Public Property Row | Returns a pointer to current ReportRow object.
Public Property Text | Gets a reference to the tool tip text string object to that can be customized. It contains default tool tip text unless changed.

See Also

ReportToolTipInfo Overview


%%PageItemTitle%%

ReportToolTipInfo Object

See Also Report Control ActiveX Control v19.3

Item Property

Description

Returns a pointer to current ReportRecordItem object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As ReportRecordItem

See Also

ReportToolTipInfo Object


%%PageItemTitle%%

ReportToolTipInfo Object

See Also Report Control ActiveX Control v19.3

Row Property

Description

Returns a pointer to current ReportRow object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Row() As ReportRow

See Also

ReportToolTipInfo Object


%%PageItemTitle%%

ReportToolTipInfo Object

See Also Report Control ActiveX Control v19.3

Text Property

Description

Gets a reference to the tool tip text string object to that can be customized. It contains default tool tip text unless changed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

Use this property to change the tool tip to a custom tip.

See Also

ReportToolTipInfo Object


%%PageItemTitle%%

ResourceImages Members

See Also Report Control ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpColumnResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Report Control ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method LoadFromFile Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Report Control ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpColumnResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Report Control ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Report Control ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

SelectedTrackBlocks Members | SelectedBlocks Property | Selected Property

See Also Report Control ActiveX Control v19.3

SelectedTrackBlocks Collection

Description

Collection of selected blocks and keys in the track control. (Track Control)

For a list of all members defined in this module, see SelectedTrackBlocks members.

Object Model

Remarks

This collection holds a reference to all the blocks and keys that are currently selected in the tack control. The TrackControl.SelectedBlocks property uses this collection to store selected blocks and keys.

A block or key uses the Selected property to show when it is selected.

See Also

SelectedTrackBlocks Members | SelectedBlocks Property | Selected Property


%%PageItemTitle%% $$Members$$

SelectedTrackBlocks Overview | SelectedBlocks Property | Selected Property

See Also Report Control ActiveX Control v19.3

SelectedTrackBlocks Collection Members

Public Methods

Public Method DeleteAll Un-select all blocks.

Public Properties

Public Property Block | Collection of currently selected blocks and keys.
Public Property Count | Number of currently selected blocks and keys.

See Also

SelectedTrackBlocks Overview | SelectedBlocks Property | Selected Property


%%PageItemTitle%%

SelectedTrackBlocks Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Un-select all blocks.

Syntax

Public Sub DeleteAll()

Remarks

This will un-select all currently selected block and keys.

See Also

SelectedTrackBlocks Collection


%%PageItemTitle%%

SelectedTrackBlocks Collection

Index
Index of a block or key to return.
See Also Report Control ActiveX Control v19.3

Block Property

Description

Collection of currently selected blocks and keys.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Block( _
   ByVal Index As Integer _
) As TrackBlock

Parameters

Index
Index of a block or key to return.

Return Type

Reference to the specified TrackBlock.

Remarks

This is the collection of blocks and keys that are currently selected in the track control. It can be useful to perform operations such as deleting all selected blocks.

Private Sub mnuDeleteAllBlocks_Click()
Dim Block As TrackBlock

For Each Block In TrackControl.SelectedBlocks
Block.Item.RemoveBlock Block.Index
Next
End Sub

See Also

SelectedTrackBlocks Collection


%%PageItemTitle%%

SelectedTrackBlocks Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Number of currently selected blocks and keys.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Returns the number of currently selected blocks and keys.

See Also

SelectedTrackBlocks Collection


%%PageItemTitle%%

ToolTipContext Members

See Also Report Control ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members


%%PageItemTitle%% $$Members$$

ToolTipContext Overview

See Also Report Control ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Not used for this control.
Public Method ShowTitleAndDescription | Not used in Report Control.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Report Control ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Report Control ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
ImageBase
See Also Report Control ActiveX Control v19.3

ShowImage Method

Description

Not used for this control.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
ImageBase

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowTitleAndDescription
IconTitle
See Also Report Control ActiveX Control v19.3

ShowTitleAndDescription Method

Description

Not used in Report Control.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription
IconTitle

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the Caption of the control will be used.

See the XTPToolTipStyle enumeration for a picture and detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Report Control ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object


%%PageItemTitle%%

TrackBlock Members | AllowBlockScale Property | AllowBlockRemove Property

See Also Report Control ActiveX Control v19.3

TrackBlock Object

Description

Track Block and Track Key Object

For a list of all members defined in this module, see TrackBlock members.

Object Model

Remarks

The TrackBlock object is used to represent both Blocks and Keys.

Track Blocks are a visual representation of units of time in a track. They can have both a minimum and maximum time period. For example, a given block can represent 25 units of time, but can no less than 15 and no more than 30 units of time.

Dim TrackItem As TrackControlItem
Dim Block As TrackBlock

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem

Set Block = TrackItem.AddBlock( False, 15, 25)
Block.MinLength = 15
Block.MaxLength = 30
Block.Color = RGB(255, 219, 117)

The code above adds a block that represents 25 time units. It is placed within the track at 15 time units. Also note the the first parameter of AddBlock is False, which indicates we are adding a block as opposed to a key.

If AllowBlockScale is False, the block will not be able to be resized by the user and MinLength and MaxLength will be ignored.

When AllowBlockRemove is True, blocks can be dragged from one track to a different track. When False, blocks can only be moved within the same track.

AllowBlockMove specifies whether the user can move blocks and keys. When False, keys and blocks can't be moved, but they can be resized\scaled. Use AllowBlockScale to restrict block resizing.

Blocks can also be different different heights and set to different vertical alignments within the track. This is used just as a visual aid to make different blocks in the track visually different from each other.

Block.HeightPercent = 0.5

Block.VerticalAlignment = xtpTrackBlockCenter

The code above simply makes the block 50% the size of the track height and vertically aligns the block in the center of the track.

Keys are used simply as "notes" or reference points in the track. They can be added anywhere in the track to make note of some event at the given moment in time.

TrackItem.AddBlock(True, 70, 0)

The code above will add a key at time unit 70, the last parameter, size, is ignored when adding keys. Note the first parameter is True, which tells AddBlock to add a key as opposed to a block.

A block or key uses the Selected property to show when it is selected.

It is important to note not all properties are used when the TrackBlock represents a Key. Properties not used by a key are HeightPercent, Length, MaxLength and MinLength.

See Also

TrackBlock Members | AllowBlockScale Property | AllowBlockRemove Property


%%PageItemTitle%% $$Members$$

TrackBlock Overview | AllowBlockScale Property | AllowBlockRemove Property

See Also Report Control ActiveX Control v19.3

TrackBlock Object Members

Public Properties

Public Property Caption | Gets or sets a caption to display inside a block.
Public Property Color | Gets or sets the color of the Block or Key.
Public Property DescriptionText | Sets/Gets the description text of the Block or Key.
Public Property HeightFixed | Specifies what height to fix the block to.
Public Property HeightPercent | Sets the height of the block in relation to the height of the track.
Public Property Index | Index of this block or key inside the track.
Public Property IsKey | Returns whether this is a Block or Key.
Public Property Item | Reference to the Track this block or key belongs to.
Public Property Length | Current length of time this block represents in the time line.
Public Property Locked | Gets or sets whether this block or key is locked.
Public Property MaxLength | Maximum length that this block can represent in the time line.
Public Property MinLength | Minimum length that this block can represent in the time line.
Public Property Position | Gets or sets the position in the time line the block or key is currently positioned at.
Public Property Selected | Gets or sets whether this block or key is selected.
Public Property Tooltip | Gets or sets the tooltip for this block or key.
Public Property VerticalAlignment | Gets or sets the vertical alignment of the block or key within the track.

See Also

TrackBlock Overview | AllowBlockScale Property | AllowBlockRemove Property


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

Caption Property

Description

Gets or sets a caption to display inside a block.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

The caption to display inside the block.

Remarks

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

Color Property

Description

Gets or sets the color of the Block or Key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Return Type

Color of the Block or Key.

Example

Dim Block As TrackBlock
Set Block = TrackItem.AddBlock(False, 70, 100)
Block.Color = RGB(255, 219, 117)

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

DescriptionText Property

Description

Sets/Gets the description text of the Block or Key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DescriptionText() As String

Return Type

String containing the description for this Block or Key.

Remarks

This property is used to store any text that is needed to describe the block or key. For example, if it is a key you can use this to store notes made as to why the key was added.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

HeightFixed Property

Description

Specifies what height to fix the block to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeightFixed() As Integer

Remarks

Specifies the height as a percentage of which to fix the block so it doesn't suto size.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

HeightPercent Property

Description

Sets the height of the block in relation to the height of the track.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeightPercent() As Double

Return Type

Height percentage the block will use.

Remarks

Height percentage is represented on a scale from 0.0 (0)

Blocks can also be different different heights and set to different vertical alignments within the track. This is used just as a visual aid to make different blocks in the track visually different from each other.

Block.HeightPercent = 0.5

The code above simply makes the block 50% the size of the track height.

It is important to note not all properties are used when the TrackBlock represents a Key. Properties not used by a key are HeightPercent, Length, MaxLength and MinLength.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object | TrackControlItem Block Property | TrackControlItem Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

Index of this block or key inside the track.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Integer

Return Type

Index of this block or key inside the track.

See Also

TrackBlock Object | TrackControlItem Block Property | TrackControlItem Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

IsKey Property

Description

Returns whether this is a Block or Key.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsKey() As Boolean

Return Type

Returns True if this is a Key, False if this is a Block.

Remarks

IsKey will tell if the TrackBlock object represents a Block or Key.

he TrackBlock object is used to represent both Blocks and Keys.

Track Blocks are a visual representation of units of time in a track. They can have both a minimum and maximum time period. For example, a given block can represent 25 units of time, but can no less than 15 and no more than 30 units of time.

Dim TrackItem As TrackControlItem
Dim Block As TrackBlock

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem

Set Block = TrackItem.AddBlock( False, 15, 25)
Block.MinLength = 15
Block.MaxLength = 30
Block.Color = RGB(255, 219, 117)

The code above adds a block that represents 25 time units. It is placed within the track at 15 time units. Also note the the first parameter of AddBlock is False, which indicates we are adding a block as opposed to a key.

Blocks can also be different different heights and set to different vertical alignments within the track. This is used just as a visual aid to make different blocks in the track visually different from each other.

Block.HeightPercent = 0.5

The code above simply makes the block 50% the size of the track height.

Keys are used simply as "notes" or reference points in the track. They can be added anywhere in the track to make note of some event at the given moment in time.

TrackItem.AddBlock(True, 70, 0)

The code above will add a key at time unit 70, the last parameter, size, is ignored when adding keys. Note the first parameter is True, which tells AddBlock to add a key as opposed to a block.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

Item Property

Description

Reference to the Track this block or key belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item() As TrackControlItem

Return Type

Reference to the Track this block or key belongs to.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object | MaxLength Property | MinLength Property

See Also Report Control ActiveX Control v19.3

Length Property

Description

Current length of time this block represents in the time line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Length() As Integer

Return Type

Current length of time this block represents in the time line.

Remarks

Length is the current length of time this block represents in the time line. The length of a block can be lengthened or shortened by moving the mouse to the edge of the block and dragging the edge to a new length. The length is constrained by the MaxLength and MinLength properties.

It is important to note not all properties are used when the TrackBlock represents a Key. Properties not used by a key are HeightPercent, Length, MaxLength and MinLength.

See Also

TrackBlock Object | MaxLength Property | MinLength Property


%%PageItemTitle%%

TrackBlock Object | FlexibleDrag Property

See Also Report Control ActiveX Control v19.3

Locked Property

Description

Gets or sets whether this block or key is locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Return Type

True if locked, False if unlocked.

Remarks

If a Block or Key is locked it can't be moved. This only means Block that are locked can't be dragged to be moved, this won't effect how FlexibleDrag works. If FlexibleDrag is used, other longer blocks can be dragged between locked blocks which will move the locked blocks if there is room in the track.

See Also

TrackBlock Object | FlexibleDrag Property


%%PageItemTitle%%

TrackBlock Object | Length Property | MinLength Property | AllowBlockScale Property

See Also Report Control ActiveX Control v19.3

MaxLength Property

Description

Maximum length that this block can represent in the time line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Integer

Return Type

Maximum length that this block can represent in the time line.

Remarks

Length is the current length of time this block represents in the time line. The length of a block can be lengthened or shortened by moving the mouse to the edge of the block and dragging the edge to a new length. The length is constrained by the MaxLength and MinLength properties.

If AllowBlockScale is False, the block will not be able to be resized by the user and MinLength and MaxLength will be ignored.

It is important to note not all properties are used when the TrackBlock represents a Key. Properties not used by a key are HeightPercent, Length, MaxLength and MinLength.

See Also

TrackBlock Object | Length Property | MinLength Property | AllowBlockScale Property


%%PageItemTitle%%

TrackBlock Object | Length Property | MaxLength Property | AllowBlockScale Property

See Also Report Control ActiveX Control v19.3

MinLength Property

Description

Minimum length that this block can represent in the time line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinLength() As Integer

Return Type

Minimum length that this block can represent in the time line.

Remarks

Length is the current length of time this block represents in the time line. The length of a block can be lengthened or shortened by moving the mouse to the edge of the block and dragging the edge to a new length. The length is constrained by the MaxLength and MinLength properties.

If AllowBlockScale is False, the block will not be able to be resized by the user and MinLength and MaxLength will be ignored.

It is important to note not all properties are used when the TrackBlock represents a Key. Properties not used by a key are HeightPercent, Length, MaxLength and MinLength.

See Also

TrackBlock Object | Length Property | MaxLength Property | AllowBlockScale Property


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

Position Property

Description

Gets or sets the position in the time line the block or key is currently positioned at.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As Integer

Return Type

The position in the time line the block or key is currently positioned at.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object | SelectedTrackBlocks Object | SelectedBlocks Property

See Also Report Control ActiveX Control v19.3

Selected Property

Description

Gets or sets whether this block or key is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Return Type

True if this block or key is currently selected, False if this block or key is not selected.

See Also

TrackBlock Object | SelectedTrackBlocks Object | SelectedBlocks Property


%%PageItemTitle%%

TrackBlock Object

See Also Report Control ActiveX Control v19.3

Tooltip Property

Description

Gets or sets the tooltip for this block or key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Return Type

The tooltip for this block or key.

Remarks

If a tooltip is set, then this text will be displayed in a tooltip when the mouse is hovered above the block or key.

See Also

TrackBlock Object


%%PageItemTitle%%

TrackBlock Object | XTPTrackBlockAlignment Enumeration

See Also Report Control ActiveX Control v19.3

VerticalAlignment Property

Description

Gets or sets the vertical alignment of the block or key within the track.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalAlignment() As XTPTrackBlockAlignment

Return Type

A flag from the XTPTrackBlockAlignment enumeration that represent the current vertical alignment.

Remarks

VerticalAlignment is used for keys and blocks with a height that is not 100 the size of the track height and vertically aligns the block in the center of the track.

See Also

TrackBlock Object | XTPTrackBlockAlignment Enumeration


%%PageItemTitle%%

TrackControl Members

See Also Report Control ActiveX Control v19.3

TrackControl Control

Description

Track Control

For a list of all members defined in this module, see TrackControl members.

Object Model

Remarks

The Track Control is an extension to the Report Control. It can do basically everything the the Report Control can do with the addition of a Track Control.

What can it be used for?

The use for this new control can be thought of like this: just imagine it as an editor for video, each block is a small clip or video effect or some music track, by moving the blocks you are arranging the order of them.

Or for those into game development, it can be thought of as holding the screen scenes of a video game.

Of course it can be used for any purpose, but those are 2 scenarios where developers in the movie, music or game field could benefit.

What components make up the tack control?

Below is an image that shows the various components that make up the track control.

What Objects, Methods and Properties are used to create tracks in the track control?

The following code is used to work with the components in the track control. All help will be in reference to units of time, but you can think of time units as whatever you wish.

***Note all the code snippets are taken from the COMPLETE sample at the bottom of the topic so that you can see how to initialize the variables, etc...***

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 200
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 200 units of time

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 100
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 100 units of time out of the 200 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

The Track Control uses a special item type call a TrackControlItem. This item is used to hold blocks and keys. CreateTrackItem will create a new TrackControlItem that can be added to a ReportRecord using the AddItemEx method. Once the TrackControlItem is added to the ReportRecord it will be displayed in the Track Control.

Tracks are what hold the blocks and keys. A track is a special item that is added to a regular ReportRecord.

Dim TrackItem As TrackControlItem
Dim Record As ReportRecord
Dim Block As TrackBlock

Set Record = TrackControl.Records.Add

Record.AddItem 1
Record.AddItem 1
Record.AddItem 1

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem
Set Block = TrackItem.AddBlock(False, 15, 25)

The code above adds a track to the track control. It adds 3 normal columns, then it adds a track item. You must first create a track item before you can use it using the CreateTrackItem method. Once it is created you can then add this new track item to the record using AddItemEx. This will add your track so you can then add blocks and keys.

Markers are used for block alignment, blocks can be "snapped" to the left or right of these markers.

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

The code above adds 3 markers to the track control. These markers are placed in the time line at the specified time unit, in this case, at 20, 70 and 90 units of time.

Keys are used simply as "notes" or reference points in the track. They can be added anywhere in the track to make note of some event at the given moment in time.

TrackItem.AddBlock(True, 70, 0)

The code above will add a key at time unit 70, the last parameter, size, is ignored when adding keys. Note the first parameter is True, which tells AddBlock to add a key as opposed to a block.

Blocks are a visual representation of units of time in a track. They can have both a minimum and maximum time period. For example, a given block can represent 25 units of time, but can no less than 15 and no more than 30 units of time.

Dim TrackItem As TrackControlItem
Dim Block As TrackBlock

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem

Set Block = TrackItem.AddBlock(False, 15, 25)
Block.MinLength = 15
Block.MaxLength = 30
Block.Color = RGB(255, 219, 117)

The code above adds a block that represents 25 time units. It is placed within the track at 15 time units. Also note the the first parameter of AddBlock is False, which indicates we are adding a block as opposed to a key.

If AllowBlockScale is False, the block will not be able to be resized by the user and MinLength and MaxLength will be ignored.

When AllowBlockRemove is True, blocks can be dragged from one track to a different track. When False, blocks can only be moved within the same track.

AllowBlockMove specifies whether the user can move blocks and keys. When False, keys and blocks can't be moved, but they can be resized\scaled. Use AllowBlockScale to restrict block resizing.

When FlexibleDrag is True, the track control will re-position blocks to allow room for a block to be dragged to the specified location. When False a block can only be dragged to a location if there is enough room to fit the block without moving the others that are already there.

Blocks can also be different different heights and set to different vertical alignments within the track. This is used just as a visual aid to make different blocks in the track visually different from each other.

Block.HeightPercent = 0.5

Block.VerticalAlignment = xtpTrackBlockCenter

The code above simply makes the block 50% the size of the track height and vertically aligns the block in the center of the track.

A block or key uses the Selected property to show when it is selected.

Example

[Track Control Sample (Visual Basic)] This sample shows how to create a simple track control.

Private Sub Form_Load()
    Dim Column As ReportColumn
    Set Column = TrackControl.Columns.Add(0, "Column 0", 100, True)
    Set Column = TrackControl.Columns.Add(1, "Column 1", 100, True)
    Set Column = TrackControl.Columns.Add(2, "Column 2", 100, True)
    Set Column = TrackControl.Columns.Add(3, "", 500, True)
    Column.AllowDrag = False

    Dim TrackItem As TrackControlItem
    Dim Record As ReportRecord
    Dim Block As TrackBlock
    Dim Key As TrackBlock
    Dim i As Integer

    Dim ColorTable
    ColorTable = Array(RGB(138, 168, 228), _
        RGB(255, 219, 117), _
        RGB(189, 205, 159), _
        RGB(240, 158, 159), _
        RGB(186, 166, 225), _
        RGB(154, 191, 180), _
        RGB(247, 182, 131), _
        RGB(216, 171, 192))

    For i = 1 To 20
        Set Record = TrackControl.Records.Add

        Record.AddItem i
        Record.AddItem i
        Record.AddItem i

        Set TrackItem = TrackControl.CreateTrackItem
        Record.AddItemEx TrackItem

        Set Block = TrackItem.AddBlock(False, 70 * Rnd(), 10 + Rnd() * 30)
        Block.Color = ColorTable(Rnd() * 7)

        If (i Mod 3) = 0 Then
            Dim iK As Integer
            For iK = 0 To 3
                    Set Key = TrackItem.AddBlock(True, 70 * Rnd(), 0)
                    Key.Color = ColorTable(Rnd() * 7)
                    Key.Tooltip = "Key # " & iK

                    If iK = 0 Then
                        Key.VerticalAlignment = 0
                    ElseIf iK = 1 Then
                        Key.VerticalAlignment = 4
                    Else
                        Key.VerticalAlignment = 8
                    End If
            Next iK
        End If
    Next i

    Dim Marker As TrackMarker
    Set Marker = TrackControl.Markers.Add(20, "0")
    Marker.Caption = "Caption 1"
    TrackControl.Markers.Add 70, "2"
    TrackControl.Markers.Add 90, "3"

    TrackControl.TimeLineMax = 200
    TrackControl.TimeLinePosition = 30
    TrackControl.ViewPortMax = 100
    TrackControl.FlexibleDrag = True

    TrackControl.PaintManager.VerticalGridStyle = xtpGridSolid
    TrackControl.SnapToBlocks = True
    TrackControl.FreeHeightMode = True
    TrackControl.AutoColumnSizing = True

    TrackControl.MaxColumnWidth = 300

    TrackControl.Populate

    wndSlider.Value = (100 - (TrackControl.ViewPortMax - TrackControl.ViewPortMin) * 100 / (TrackControl.TimeLineMax - TrackControl.TimeLineMin))
End Sub

See Also

TrackControl Members


%%PageItemTitle%% $$Members$$

TrackControl Overview

See Also Report Control ActiveX Control v19.3

TrackControl Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that indicates the current version of the control.
Public Method AddRecord | Adds a record to the report.
Public Method AddRecordEx | Adds record to records collection and associates a row with it.
Public Method AddRecordEx2 | Adds record to records collection and associates a row with it.
Public Method AddRecordEx3 | Adds record to records collection and associates a row with it.
Public Method ClearContent | Clears all memory from the report.
Public Method CollapseAll | Collapses all rows.
Public Method Copy | Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will remain.
Public Method CreateIconViewAndRowNumberColumn | A combination of the CreateIconViewColumn and CreateRowNumberColumn.
Public Method CreateIconViewColumn | Creates an icon column for to be used in IconView (similar to icon view in Explorer).
Public Method CreatePrintView | If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Report.
Public Method CreateRecords | Creates an empty ReportRecords collection.
Public Method CreateRecordsFromDropArray | Creates a ReportRecords collection object from a ByteArray.
Public Method CreateRowNumberColumn | Create a row number column.
Public Method CreateTrackItem | Creates a TrackControlItem (Track) that can be added to the Track Control. (Track Control)
Public Method Cut | Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will be removed.
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method DragRecords | Prepare records to be dropped into the Report Control.
Public Method EditItem | The EditItem method is used to set focus to a specific row and column so that it can be edited.
Public Method EnableDragDrop |
Public Method EnableToolTips | The EnableToolTips method enables or disables the use of tool tips in the ReportControl.
Public Method ExpandAll | Expands all rows (have children but are not visible) that are collapsed.
Public Method GetElementRect | Retrieves a report element rectangle.
Public Method HitTest | Returns hit test information for a given X and Y pixel on the screen.
Public Method IconViewRowNumberSetup | Combination of the IconViewSetup and ShowRowNumber methods.
Public Method IconViewSetup | Specifies from which column to display text in IconView. It also specifies the icon used for all items in IconView.
Public Method InsertRecord | Inserts a record into the report.
Public Method IsShowIconWhenEditing | determines if icons are displayed for an item will be visible while the item is getting edited.
Public Method LoadSettings | Loads the ReportColumn settings of the ReportControl from a string.
Public Method Paste | Reads records from the clipboard and adds them to records collection.
Public Method Populate | Populates the ReportControl's with ReportRow collection with the data contained in the ReportRecords
Public Method PopulateFooterRows | Performs control's footer rows population, creating view from the data.
Public Method PopulateHeaderRows | Performs control's header rows population, creating view from the data.
Public Method PrintPreview | Display a print preview window.
Public Method PrintPreviewExt | Runs printpreview in non-maximized mode with given screen position and size.
Public Method PrintReport | Prints the current Report view.
Public Method PrintReport2 | Prints the current Report view with the option to print immediately without showing any dialogs or needing any HDC handle.
Public Method ReCalc | Updates the results of a given Formula for an item.
Public Method Redraw | Redraws the ReportControl
Public Method ReleaseSort |
Public Method RemoveRecordEx | Removes a Row in the report by specifying the attached ReportRecord.
Public Method RemoveRowEx | Removes a Row in the report.
Public Method SaveSettings | Saves the ReportColumn settings of the ReportControl.
Public Method SetCustomDraw | The SetCustomDraw method is used to specify which of the three custom draw events should be executed when the rows and items are drawn.
Public Method SetFieldChooserHandle | Associates a FieldChooser control with the ReportControl
Public Method SetIconViewToDefaults | Resets all IconView parameters to their defaults (should be called after a Clear\DeleteAll columns\rows).
Public Method SetImageList | Associates an ImageList with the ReportContol.
Public Method SetScrollBars | Sets custom ScrollBars from the SuitePackage to be used by the ReportControl.
Public Method SetVirtualMode | The SetVirtualMode method is used to enable virtual mode of the Report Control.
Public Method SetWatermarkBitmap | Sets a watermark bitmap to be shown in the report control background from a resource.
Public Method SetWatermarkBitmapFromFile | Sets a watermark bitmap to be shown in the report control background using a bmp file.
Public Method ShowIconWhenEditing | Specify whether icons displayed for an item will be visible while the item is getting edited.
Public Method ShowPrintPageSetup | Displays a custom "Page Setup" print dialog for the Report.
Public Method ShowRowNumber | Shows a column that displays the row numbers.
Public Method UnSort |
Public Method UpdateRecord | Updates a record that has been modified to the current grouping and sorting..

Public Properties

Public Property AllowBlockMove | Specifies whether the user can move blocks and keys. (Track Control)
Public Property AllowBlockRemove | Specifies whether the user can move blocks from one track to another. (Track Control)
Public Property AllowBlockScale | Specifies whether the user can resize a block. (Track Control)
Public Property AllowColumnRemove | Specifies whether ReportColumns can be removed from the ReportControl
Public Property AllowColumnReorder | Specifies whether ReportColumns can be reordered in the ReportControl
Public Property AllowColumnResize | Specifies whether ReportColumns can be resized
Public Property AllowColumnSort | Specifies whether ReportColumns can be sorted
Public Property AllowEdit | Allows the text in all ReportRecordItems to be edited.
Public Property AllowEditPreview | Allows the preview rows to be edited by the user.
Public Property AllowSelectionCheck | Specifies whether to allow a check box to be checked using the right mouse button.
Public Property AutoColumnSizing | Specifies if AutoColumnSizing should be used.
Public Property AutoVScrollTimerResolution | Gets or sets the vertical scrolling timer resolution.
Public Property BorderStyle | The type of border style that is placed around the ReportControl
Public Property CanCopy | Indicates whether a Copy operation can be performed.
Public Property CanCut | Indicates whether a Cut operation can be performed.
Public Property CanPaste | Indicates whether a Paste operation can be performed.
Public Property Columns | The ReportControl's collection of ReportColumn objects.
Public Property CustomTitle | Used for unique title - e.g. for PrintJob name.
Public Property DataManager | Gets or sets the report data manager.
Public Property DesktopTrackerMode | Specifies whether to use Vista Tracker Mode (On or Off). This fixes desktop flicker.
Public Property DisableReorderColumnsCount | Gets or sets the count of the columns at the left side where reordering is disabled.
Public Property EditMode | Indicates whether the in-place edit control is currently active (visible and focused).
Public Property EditOnClick | Determine whether a ReportRecorditem can be edited by single-clicking on the item.
Public Property EditOnDelayClick | Enables or disables the delay click edit feature for ReportRecordItems (like editing a file name in Windows explorer).
Public Property EditOnDoubleClick | Specifies whether a ReportRecordItem can be edited by double-clicking on the item.
Public Property Enabled | Gets or sets a value indicating whether the ReportControl can respond to user interaction.
Public Property EnableMarkup | Enables the use of XAML to display text in the report control.
Public Property EnsureFocusedRowVisible | Gets or sets whether focused rows will be forced visible.
Public Property FastDeselectMode | Specifies whether all selected rows can quickly be de-selected with the click of a mouse.
Public Property FieldChooser | Associates a FieldChooser control with the ReportControl
Public Property FilterHiddenColumns | Specifies whether to search filter text in hidden columns.
Public Property FilterSeparatorStrict | Specifies whether text filtering will be strict.
Public Property FilterText | The FilterText property is used to filter the rows in the Report Control by one or more text strings.
Public Property FlexibleDrag | Enables or disables flexible dragging of blocks in the track control. (Track Control)
Public Property FocusedColumn | The FocusedColumn property returns a reference to the Column that contains the ReportRecordItem (SubItem) that currently has focus in the ReportControl.
Public Property FocusedRow | Returns a reference to the row that currently has focus in the ReportControl.
Public Property FocusSubItems | Specifies whether the individual ReportRecordItem will show focus when an item in a row is clicked.
Public Property FooterRecords | Returns the collection of the footer records.
Public Property FooterRows | Returns the collection of the report footer rows.
Public Property FooterRowsAllowAccess | Specifies whether to allows user to move selection to footer rows.
Public Property FooterRowsAllowEdit | Allows the text in all Footer Row ReportRecordItems to be edited.
Public Property FooterRowsEnableSelection | Enables or disables selection in footer rows.
Public Property ForcePagination | Specifies whether to force the report to be split up into "pages" while in print preview mode. This also effects the page count that is displayed when the printer dialog is displayed say printing pages 1-*.
Public Property FreeHeightMode | Allows row height to be changed using the mouse to drag to a new height.
Public Property FreezeColumnsAbs | Gets or sets whether the freeze column is absolute or relative (applies when columns are dragged\moved).
Public Property FreezeColumnsCount | Gets\Sets the number of columns that are frozen when the report is scrolled horizontally.
Public Property FullColumnScrolling | Specifies whether full column scrolling will be used. (depreciated, see note)
Public Property GroupsOrder | A collection of ReportColumns used to determine how the ReportControl is grouped. (I.e. First by column A in ascending order, then by column B in descending order, etc...)
Public Property HeaderRecords | Returns the collection of the header records.
Public Property HeaderRows | Returns the collection of the report header rows.
Public Property HeaderRowsAllowAccess | Specifies whether to allows user to move selection to header rows.
Public Property HeaderRowsAllowEdit | Allows the text in all Header Row ReportRecordItems to be edited.
Public Property HeaderRowsEnableSelection | Enables or disables selection in header rows.
Public Property HideColumnAfterGroupBoxDrop | Causes Column Drag & Drop into the Group Box to behave like Drag & Drop + Ctrl.
Public Property HScrollStep | Gets\sets the amount of pixels the report is scrolled when the horizontal scroll bar buttons are clicked.
Public Property hWnd | The hWnd property returns the handle to the Report Control.
Public Property Icons | A collection of icons that can be used in ReportRecordItem and ReportColumn objects.
Public Property IconView | Displays or hides Icon View, a view similar to the Icon View in Windows Explorer.
Public Property InitialSelectionEnable | Specifies whether the first row in the report will become selected when initially populated.
Public Property InplaceEditHwnd | Returns the handle to the currently used In-place Edit control.
Public Property LeftOffset | Gets or sets the horizontal scroll position.
Public Property Markers | Collection of marked used by the Track Control. (Track Control)
Public Property MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.
Public Property MaxColumnWidth | Get or set the maximum column width for all columns.
Public Property MovePivot | Gets or sets whether the freeze column is displayed when columns are added to the group by box.
Public Property MultipleSelection | Specifies whether multiple ReportRows can be selected at the same time in the ReportControl.
Public Property MultiSelectionMode | Enables/disables the multiple selection mode for the control.
Public Property Navigator | Object used to handle navigation activities in the Report Control.
Public Property OLEDropAbove | When using OLEDragDrop, this will tell whether the drop marker is above or below the current row.
Public Property OLEDropMode | The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.
Public Property OverrideThemeMetrics |
Public Property PaintManager |
Public Property PinFooterRows | Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.
Public Property PopulatedRecordsCount | The current number of records displayed in the report.
Public Property PreviewMode | Specifies whether PreviewMode is enabled.
Public Property PrintGroupRowIcon | Specifies whether the group row expand\collapse icons should be displayed.
Public Property PrintOptions | Options that specify how the Report should look when sent to a print device.
Public Property PrintPreviewOptions | Object that contains options for the print preview window.
Public Property Records | The ReportControl's collection of ReportRecord objects.
Public Property RecordsTreeFilterMode | Gets or sets the filtering mode for the Record tree.
Public Property ReCreateReparented |
Public Property ReleaseOnDestroy | Before destroying, check until WM_DESTROY handling is complete.
Public Property RightToLeft | Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.
Public Property RightToLeftReading | Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).
Public Property Rows | The ReportControl's collection of ReportRow objects.
Public Property ScaleOnResize | Specifies whether to scale the track control view area when resizing the track control. (Track Control)
Public Property SelectedBlocks | Collection of selected blocks and keys in the track control. (Track Control)
Public Property SelectedRows | The collection of currently selected rows in the ReportControl.
Public Property SelectionEnable | Gets or sets whether rows will become selected when clicked or navigated with the arrow keys.
Public Property SelectionExcludeGroupRows | Specifies whether group rows will be included in the selection when the collapse (+/-) button is pressed while selecting multiple rows.
Public Property SendContextMenuForWholeHeaderArea | Gets or sets whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header or column headers.
Public Property ShowFooter | Shows\Hides the report column footer.
Public Property ShowFooterRows | Hides or shows the footer rows.
Public Property ShowGroupBox | Specifies whether the Group By box is shown at the top of the ReportControl.
Public Property ShowHeader | The ShowHeader property is used to hide or display the Column Headers in the Report Control.
Public Property ShowHeaderRows | Hides or shows the header rows.
Public Property ShowItemsInGroups | Specifies whether the ReportRecordItems will be automatically shown in groups when a column is sorted.
Public Property ShowRowFocus | Specifies whether to draw a focus rectangle around the focused row.
Public Property ShowTimeLinePosition | Specifies whether to show or hide the time line position marker. (Track Control)
Public Property ShowWorkArea | Specifies whether to display the work area in the track control. (Track Control)
Public Property SkipGroupsFocus | Specifies whether groups are skipped when navigating the ReportControl with the Up and Down keys.
Public Property SnapMargin | Specifies the margin that a block must be dragged into before it will snap to another block or snap to a marker. (Track Control)
Public Property SnapToBlocks | Gets or sets whether blocks getting dragged will "snap" to other adjacent blocks. (Track Control)
Public Property SnapToMarkers | Gets or sets whether blocks getting dragged will "snap" to markers. (Track Control)
Public Property SortedDragDrop |
Public Property SortLocale | Specifies how text, dates, times, and currencies are sorted based on local.
Public Property SortOrder | A collection of ReportColumns used to determine how the ReportControl is sorted. (I.e. First by column A in ascending order, then by column B in descending order, etc...)
Public Property SortRecordChildren | Specifies whether to apply the sort order to record children.
Public Property StrictBestFit | Specifies that BestFitMode will only be used in non-autosize mode (when AutoSize is False).
Public Property TimeLineMax | Gets or sets the maximum value the time line can represent. (Track Control)
Public Property TimeLineMin | Gets or sets the minimum value the time line can represent. (Track Control)
Public Property TimeLinePosition | Gets or sets the position of the Time Line Marker.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TopRowIndex | The TopRowIndex property will either return the index of the top most row or it will scroll a row until it is the top most row in the report control view.
Public Property TrapTabKey | Specifies whether the TAB key will invoke the BeginEdit event when an item begins to be edited by the user (This allows the application to trap\see the TAB key was pressed instead of the report's internat edit controls eating this message).
Public Property UndoManager | Manager used to Undo and Redo edit operations in the track control. (Track Control)
Public Property UnrestrictedDragDrop | Specifies whether child rows can be dropped to any position, not just among sibling child records.
Public Property ViewPortMax | Gets or sets the maximum value that represents the portion (zoom\scale) of the time line that will be in view. (Track Control)
Public Property ViewPortMin | Gets or sets the minimum value that represents the portion (zoom\scale) of the time line that will be in view. (Track Control)
Public Property VisualTheme |
Public Property WatermarkAlignment | Gets or sets the alignment of the watermark.
Public Property WorkAreaMax | Gets or sets the maximum value of the current work area within the time line. (Track Control)
Public Property WorkAreaMin | Gets or sets the minimum value of the current work area within the time line. (Track Control)

Events

Public Event BeforeCopyToText | Occurs before all text data from a record is copied to the clipboard.
Public Event BeforeDrawRow | Occurs before each ReportRecordItem is drawn in each ReportRow.
Public Event BeforePaste | Occurs after creating new record using binary data read from the clipboard, but before the record is added to the report.
Public Event BeforePasteFromText | Occurs before a record that contains ONLY text data is inserted\pasted into the report.
Public Event BeginDrag | Occurs when records start to be dragged from\within the Report Control.
Public Event BeginEdit | Occurs when the user begins to edit an item.
Public Event BlockChanged | Occurs when a block or key in the track control has changed size or position. (Track Control)
Public Event ColumnClick | Occurs when a ReportColumn header or Report Header Area is right-clicked in the ReportControl.
Public Event ColumnOrderChangedEx | Occurs when the order of the columns change.
Public Event ColumnWidthChanged | Occurs when the width of a column has changed.
Public Event ConstraintSelecting | Occurs when a constraints list is navigated with the keyboard arrow keys.
Public Event DragDropCompleted | Occurs when the drag and drop operation has completed.
Public Event DragOverRecords | Occurs when the user is dragging records over other record.
Public Event DrawItem | Occurs when a ReportRecordItem is drawn.
Public Event DrawPreviewItem | Occurs when the preview item for each ReportRow is drawn.
Public Event DropRecordsEx | Occurs when records are dropped into a Report Control but before they are actually added to the report.
Public Event EditCanceled | Occurs when in-place editing is canceled and value is not changed.
Public Event FocusChanging | Occurs before a user selects a row or a column.
Public Event GetToolTipInfo | Occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed.
Public Event GiveFeedback |
Public Event GroupOrderChangedEx | Occurs when the user changes the columns group order of report control.
Public Event HScroll |
Public Event HyperlinkClick | Occurs when a hyperlink in an item is clicked.
Public Event InplaceButtonDown | Occurs when a combo button or expand button that was added by the developer is clicked in an editable ReportRecordItem.
Public Event InplaceEditChanging | Occurs when an in-place button is used to edit an item's value.
Public Event ItemButtonClick | Occurs when an ReportItemControl button is clicked
Public Event ItemCheck | Occurs when a checkbox of a ReportRecordItem is clicked.
Public Event KeyDown | Occurs when a key is pressed on the keyboard and the ReportControl has focus.
Public Event KeyUp | Occurs when a key on the keyboard has been released (after being pressed) and the ReportControl has focus.
Public Event MarkerChanged | Occurs when a marker in the time line has changed size or position. (Track Control)
Public Event MeasurePreviewItem | Occurs before a Preview Item is drawn.
Public Event MeasureRow | Occurs before a row is drawn.
Public Event MouseDown | Occurs when a button on the mouse is pressed anywhere on the ReportControl.
Public Event MouseMove | Occurs when the mouse pointer is moved anywhere over the ReportControl.
Public Event MouseUp | Occurs when a button on the mouse has been released anywhere on the ReportControl.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event PlusMinusClick | Occurs when a plus\minus button is clicked.
Public Event PreviewKeyDown | Occurs immediately before the KeyDown event.
Public Event RecordsDropped | Occurs once records have been dropped onto the report and the records have actually been added to the report and the report has been updated.
Public Event ReCreated |
Public Event RequestEdit | Occurs when an item\cell enters edit mode.
Public Event RowDblClick | Occurs when a ReportRecordItem in a ReportRow is double-clicked.
Public Event RowExpanded | Occurs when a ReportRow is expanded.
Public Event RowRClick | Occurs when a ReportRecordItem in a ReportRow is right-clicked.
Public Event SelectedBlocksChanged | Occurs when a different block or key is selected in the track control. (Track Control)
Public Event SelectionChanged | Occurs when a row is selected in the ReportControl.
Public Event SelectionChanging |
Public Event SliderChanged | Occurs when the time line slider has changed size or position. (Track Control)
Public Event SortOrderChanged | Occurs when the column sort order is changed.
Public Event TimeLineLabel | Occurs when a time line label needs to be drawn.
Public Event TimeLinePositionChanged | Occurs when the time line position marker has changed. (Track Control)
Public Event ValueChanged | Occurs when the value of a ReportRecordItem has changed.
Public Event ValueChanging | Occurs after the value of an item has been changed by the user, but before the new value has been set to the item.
Public Event VScroll |

See Also

TrackControl Overview


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that indicates the current version of the control.

Syntax

Public Sub AboutBox()

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | AddRecordEx Method | AddRecordEx2 Method | AddRecordEx3 Method

See Also Report Control ActiveX Control v19.3

AddRecord Method

Description

Adds a record to the report.

Syntax

Public Function AddRecord() As ReportRecord

Remarks

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

TrackControl Control | AddRecordEx Method | AddRecordEx2 Method | AddRecordEx3 Method


%%PageItemTitle%%

TrackControl Control | AddRecordEx2 Method | AddRecordEx3 Method | AddRecord Method

Record

Record data with items.

See Also Report Control ActiveX Control v19.3

AddRecordEx Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx( _
   ByVal Record As ReportRecord _
)

Parameters

Record

Record data with items.

Remarks

Use AddRecordEx if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

TrackControl Control | AddRecordEx2 Method | AddRecordEx3 Method | AddRecord Method


%%PageItemTitle%%

TrackControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx3 Method

Record

Record data with items.

pParentRecord

Parent record.

See Also Report Control ActiveX Control v19.3

AddRecordEx2 Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx2( _
   ByVal Record As ReportRecord, _
   ByVal pParentRecord As ReportRecord _
)

Parameters

Record

Record data with items.

pParentRecord

Parent record.

Return Type

Use AddRecordEx2 if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

TrackControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx3 Method


%%PageItemTitle%%

TrackControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx2 Method

Record

Record data with items.

pParentRecord

Parent record.

ChildIndex

Child index of the record to be inserted at.

See Also Report Control ActiveX Control v19.3

AddRecordEx3 Method

Description

Adds record to records collection and associates a row with it.

Syntax

Public Sub AddRecordEx3( _
   ByVal Record As ReportRecord, _
   ByVal pParentRecord As ReportRecord, _
   ByVal ChildIndex As Variant _
)

Parameters

Record

Record data with items.

pParentRecord

Parent record.

ChildIndex

Child index of the record to be inserted at.

Return Type

Use AddRecordEx3 if you want to add a data record to the report control's internal storage and associate a row with it.

The are 4 versions of AddRecord to give you allot of flexibility when adding records.

See Also

TrackControl Control | AddRecord Method | AddRecordEx Method | AddRecordEx2 Method


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ClearContent Method

Description

Clears all memory from the report.

Syntax

Public Sub ClearContent()

Remarks

This will clear all memory (rows, items, everything) from the report control.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

CollapseAll Method

Description

Collapses all rows.

Syntax

Public Sub CollapseAll()

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePasteFromText Event | BeforePaste Event

See Also Report Control ActiveX Control v19.3

Copy Method

Description

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will remain.

Syntax

Public Sub Copy()

Remarks

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. The selected records will remain in the report.

The text record data will be stored in a tab delimeted string.

The BeforeCopyToText event will occur before the data is actually sent to the clipboard which will allow the data to be modified if needed.

After a successful Copy, the Paste method can be used to paste the record(s) back into a report. This will insert duplicate records if the original selected records are still present.

See Also

TrackControl Control | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePasteFromText Event | BeforePaste Event


%%PageItemTitle%%

TrackControl Control | CreateIconViewColumn Method | CreateRowNumberColumn Method

bUseForRecordNumbers

True to create a record number column, False to only create a Icon View column.

nRecordNumbersWidth

Width of record column if created.

See Also Report Control ActiveX Control v19.3

CreateIconViewAndRowNumberColumn Method

Description

A combination of the CreateIconViewColumn and CreateRowNumberColumn.

Syntax

Public Sub CreateIconViewAndRowNumberColumn( _
   Optional ByVal bUseForRecordNumbers As Boolean = False, _
   Optional ByVal nRecordNumbersWidth As Integer = 0 _
)

Parameters

bUseForRecordNumbers

True to create a record number column, False to only create a Icon View column.

nRecordNumbersWidth

Width of record column if created.

Remarks

Note: You can call this multiple times if originally the record number column wasnt added, it will reuse columns if they are already created.

See descriptions for CreateIconViewColumn and CreateRowNumberColumn. This was added per customer request, you will most likely want to use the two methods mentioned above.

See Also

TrackControl Control | CreateIconViewColumn Method | CreateRowNumberColumn Method


%%PageItemTitle%%

TrackControl Control | IconViewSetup Method | IconView Property | BeforeDrawRow Event

See Also Report Control ActiveX Control v19.3

CreateIconViewColumn Method

Description

Creates an icon column for to be used in IconView (similar to icon view in Explorer).

Syntax

Public Sub CreateIconViewColumn()

Remarks

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

TrackControl Control | IconViewSetup Method | IconView Property | BeforeDrawRow Event


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

CreatePrintView Method

Description

If the CommandBars control is used, CreatePrintView allows the CommandBars Control's PrintPreview control to be used to display the Report.

Syntax

Public Function CreatePrintView() As Unknown

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | ReportRecord Object | XTPReportDragDrop Enumeration | BeginDrag Event | DropRecords Event

See Also Report Control ActiveX Control v19.3

CreateRecords Method

Description

Creates an empty ReportRecords collection.

Syntax

Public Function CreateRecords() As ReportRecords

Return Type

An empty ReportRecords collection.

Remarks

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

Notes:

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

TrackControl Control | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | ReportRecord Object | XTPReportDragDrop Enumeration | BeginDrag Event | DropRecords Event

Example

Drag and Drop Sample


%%PageItemTitle%%

TrackControl Control | CreateRecords Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

ByteArray

An array of bytes which represent a ReportRecords collection object.

See Also Report Control ActiveX Control v19.3

CreateRecordsFromDropArray Method

Description

Creates a ReportRecords collection object from a ByteArray.

Syntax

Public Function CreateRecordsFromDropArray( _
   ByVal ByteArray As Variant _
) As ReportRecords

Parameters

ByteArray

An array of bytes which represent a ReportRecords collection object.

Return Type

Returns a ReportRecords collection object containing records that were stored on the system clipboard.

Remarks

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

TrackControl Control | CreateRecords Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

TrackControl Control | ShowRowNumber Method

Width

Width of column.

See Also Report Control ActiveX Control v19.3

CreateRowNumberColumn Method

Description

Create a row number column.

Syntax

Public Sub CreateRowNumberColumn( _
   ByVal Width As Integer _
)

Parameters

Width

Width of column.

Remarks

CreateRowNumberColumn creates a row number column. This column will contain the row number in it. The number will correspond to the rows before any grouping and sorting are applied. Note that this column is not sortable.

You need to use ShowRowNumber to show or hide the column. ShowRowNumber simply shows a new number column as the first column in the report.

See Also

TrackControl Control | ShowRowNumber Method

Example

ShowRowNumber Method


%%PageItemTitle%%

TrackControl Control | AddBlock Method | TrackControlItem Object | AddItemEx Method

See Also Report Control ActiveX Control v19.3

CreateTrackItem Method

Description

Creates a TrackControlItem (Track) that can be added to the Track Control. (Track Control)

Syntax

Public Function CreateTrackItem() As TrackControlItem

Return Type

Reference to a new TrackControlItem.

Remarks

The Track Control uses a special item type call a TrackControlItem. This item is used to hold blocks and keys. CreateTrackItem will create a new TrackControlItem that can be added to a ReportRecord using the AddItemEx method. Once the TrackControlItem is added to the ReportRecord it will be displayed in the Track Control.

The following applies to adding tracks to a record:

Tracks are what hold the blocks and keys. A track is a special item that is added to a regular ReportRecord.

Dim TrackItem As TrackControlItem
Dim Record As ReportRecord
Dim Block As TrackBlock

Set Record = TrackControl.Records.Add

Record.AddItem 1
Record.AddItem 1
Record.AddItem 1

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem
Set Block = TrackItem.AddBlock(False, 15, 25)

The code above adds a track to the track control. It adds 3 normal items, then it adds a TrackControlItem. You must first create a track item before you can use it using the CreateTrackItem method. Once it is created you can then add this new track item to the record using AddItemEx. This will add your track so you can then add blocks and keys.

See Also

TrackControl Control | AddBlock Method | TrackControlItem Object | AddItemEx Method


%%PageItemTitle%%

TrackControl Control | Copy Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event

See Also Report Control ActiveX Control v19.3

Cut Method

Description

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. Selected records will be removed.

Syntax

Public Sub Cut()

Remarks

Copies the data (in the Binary and Text data formats) from all currently selected records to the clipboard. The selected records will NOT remain in the report.

The text record data will be stored in a tab delimeted string.

The BeforeCopyToText event will occur before the data is actually sent to the clipboard which will allow the data to be modified if needed.

After a successful Cut, the Paste method can be used to paste the record(s) back into a report.

See Also

TrackControl Control | Copy Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event


%%PageItemTitle%%

TrackControl Control

pPX

PropExchange object to exchange data with.

See Also Report Control ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX

PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

TrackControl Control

Example

PropExchange Sample


%%PageItemTitle%%

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Records

A ReportRecords collection containing the records to be dropped into the Report Control

See Also Report Control ActiveX Control v19.3

DragRecords Method

Description

Prepare records to be dropped into the Report Control.

Syntax

Public Function DragRecords( _
   ByVal Records As ReportRecords _
) As Long

Parameters

Records

A ReportRecords collection containing the records to be dropped into the Report Control

Return Type

Returns a the results of a Drop operation. Returns 1 if the control key is pressed and the the Drop effect is vbDropEffectCopy, returns 2 is the Drop effect is vbDropEffectMove, and returns 0 if the Esc key is pressed or the drop is not successful (vbDropEffectNone).

Remarks

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

TrackControl Control

Row

Reference to the ReportRow that contains the item that will be edited.

Column

Reference to the ReportColumn that contains the item that will be edited.

See Also Report Control ActiveX Control v19.3

EditItem Method

Description

The EditItem method is used to set focus to a specific row and column so that it can be edited.

Syntax

Public Sub EditItem( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn _
)

Parameters

Row

Reference to the ReportRow that contains the item that will be edited.

Column

Reference to the ReportColumn that contains the item that will be edited.

Remarks

The item that will be edited is the item where the specified ReportRow and ReportColumn intersect. The EditItem method will allow the item to be edited without making the item editable.

If the item to be edited is not currently in the report view, the rows will scroll until the item is visible in the report view.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration

ClipboardString

A unique string used to identify the format of the items copied to the clipboard, for example, "ReportSample:frmDragDrop". This string must be used for all Report Controls that will receive objects of this type.

dragDrop

Specifies the type of drop operations Report Control will support. The table above lists the values for dragDrop with a description of each.

See Also Report Control ActiveX Control v19.3

EnableDragDrop Method

Syntax

Public Function EnableDragDrop( _
   ByVal ClipboardString As String, _
   ByVal dragDrop As XTPReportDragDrop _
) As Integer

Parameters

ClipboardString

A unique string used to identify the format of the items copied to the clipboard, for example, "ReportSample:frmDragDrop". This string must be used for all Report Controls that will receive objects of this type.

dragDrop
Value | Description
xtpReportAllowDrop | Allow all drop operations. This allows items to be dropped into the Report Control.
xtpReportAllowDragCopy | Allow copy operation. Please see Note 1 in Remarks section of XTPReportDragDrop.
xtpReportAllowDragMove | Allow move operation. Please see Note 2 in Remarks section of XTPReportDragDrop.
xtpReportAllowDrag | Allow all drag operations. This is a combination of both xtpReportAllowDragCopy and xtpReportAllowDragMove.
xtpReportDontDropAsText | Do not drag record as plain text.

Specifies the type of drop operations Report Control will support. The table above lists the values for dragDrop with a description of each.

Return Type

Returns an integer value that is used to indicate whether an item in the DataObject object matches the specified ClipboardString format. The DataObject is a parameter in OLEDrag events for controls that contains the data on the clipboard.

Remarks

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

Notes:

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

Example

[Drag and Drop Sample (Visual Basic)] This sample illustrate how to implement drag and drop support in the Report Control. This sample is the complete code for a form that contain a single ListBox control and a single Report Control. The name of the ListBox is 'lstItems' and the name of the Report control is 'wdnReport'.

Option Explicit

'An integer value that will be used to indicate whether an item in the DataObject object matches the
'specified ClipboardString(Parameter in EnableDrageDrop) format. The DataObject is a parameter in OLEDrag events for controls
'that contains the data on the clipboard.
Dim cfRecords As Integer

Private Sub Form_Load()
    'Adds 3 items to the List Control
    lstItems.AddItem "Item 1"
    lstItems.AddItem "Item 2"
    lstItems.AddItem "Item 3"

    'Do not allow columns to be removed from the Report Control
    wndReport.AllowColumnRemove = False

    'Add a column named "Items" to the Report Control
    wndReport.Columns.Add 0, "Items", 50, True

    Dim Str As String, i As Long

    'Add 4 records\rows to the Report Control
    For i = 4 To 8
        Dim Record As ReportRecord
        Dim Item As ReportRecordItem

        Set Record = wndReport.Records.Add

        Str = "Item " & CStr(i)
        Set Item = Record.AddItem(Str)
    Next i

    'Adds the records the Report Control
    wndReport.Populate

    'To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop
    'does two things, first it sets a clipboard string that will be used to indicate the type of data
    'that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when
    'dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop
    'enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must
    'be used for all Report Control's when calling EnableDragDrop.
    '
    'Below, the clipboard string is "ReportSample:frmDragDrop" and we are allowing all drag and drop operations
    cfRecords = wndReport.EnableDragDrop("ReportSample:frmDragDrop", xtpReportAllowDrag Or xtpReportAllowDrop)
End Sub

Sub ClearListSelection()
    Dim i As Long
    For i = 0 To lstItems.ListCount - 1
        lstItems.Selected(i) = False
    Next
End Sub

'The Mouse_Mouve event will be used to prepare records to be dropped into the report.
Private Sub lstItems_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    'If the left mouse button is pressed while in the List Control
    If (Button And vbLeftButton) Then

        Dim Records As ReportRecords

        'CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop
        'operations. The new ReportRecords collection is used to create a collection of ReportRecord
        'objects to be dropped into the Report Control or to retrieve records that have been dragged
        'out of the Report Control.
        '
        'Below, a records collection is created that will contain a record for each item that
        'is currently selected in the list control
        Set Records = wndReport.CreateRecords

        Dim i As Long

        'Loop through all items in the List Control
        For i = 0 To lstItems.ListCount - 1

            'If the list item is selected, then add it to then create a record for it
            'in the records colleciton
            If lstItems.Selected(i) Then

                Dim Record As ReportRecord

                'Add a new record to the records collection
                Set Record = Records.Add
                Record.AddItem lstItems.List(i)

                Debug.Print "Added " & i
            End If
        Next

        'The DragRecords method is used to prepare records to be dropped into the Report Control.
        'DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that
        'have been prepared using DragRecords will be added to the Report when the items are dropped
        'into the Report Control. Typically DragRecords would be used in the MouseMove event of the
        'control from which items are being dragged. The Report Control will automatically add the
        'new records to the report once they have been dropped.
        '
        'Below, the Records collection is filled with a record that corresponds to each item that is
        'currently selected in the List Control. If the items are dropped into the Report Control, then
        'all records contained in the Records collection will be added to the report.
        '
        'Now Data.GetFormat(cfRecords) will return True as some Records have been added to the clipboard
        wndReport.DragRecords Records

    End If
End Sub

'The OLEDragDrop event will be used to add items to the List Control that have been dragged from the Report Control
Private Sub lstItems_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)

    'If the format of the data on the clipboard is of type "ReportSample:frmDragDrop" as set with EnableDragDrop
    If Data.GetFormat(cfRecords) Then

        'Create a ByteArray
        Dim byteData() As Byte

        'Retrieve the Records collection from the clipboard, the data is stored as a ByteArray
        byteData = Data.GetData(cfRecords)

        Dim Records As ReportRecords

        'The CreateRecordsFromDropArray method is used when retrieving records that have been dragged
        'from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the
        'Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords
        'collection created by CreateRecords.
        '
        'Below, the Records collection is populated by the records that were copied to the clipboard
        Set Records = wndReport.CreateRecordsFromDropArray(byteData)

        'If there were some records on the clipboard
        If (Not Records Is Nothing) Then

            'Unselect all items in the list control
            ClearListSelection

            Dim i As Long

            'Add a list item for each record that was on the clipboard
            For i = 0 To Records.Count - 1
                lstItems.AddItem Records(i).Item(0).Value
                lstItems.Selected(lstItems.ListCount - 1) = True
            Next

        End If

        'If the ctrl key was pressed when the items were dropped, then the drag operation was a Copy
        'Else, a Move operation is performed
        If ((Shift And 2) = 0) Then
            Effect = vbDropEffectMove
        Else
            Effect = vbDropEffectCopy
        End If

    End If

End Sub

'The OLEDragOver event is used to detect when items are dragged over the list control
Private Sub lstItems_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)
    Effect = 0

    'If the format of the data on the clipboard is of type "ReportSample:frmDragDrop" as set with EnableDragDrop
    If Data.GetFormat(cfRecords) Then

        'If the ctrl key is pressed when items are dragged over the list control, then the drag operation is Copy
        'Else, a Move operation is performed
        If ((Shift And 2) = 0) Then
            Effect = vbDropEffectMove
        Else
            Effect = vbDropEffectCopy
        End If
    End If
End Sub

'The BeginDrag event occurs when records are being dragged from the Report Control, and provides a
'ReportRecords collection containing all of the selected records when the drag operation started.
Private Sub wndReport_BeginDrag(ByVal Records As XtremeReportControl.IReportRecords)
    Debug.Print "Begin Drag. Records.Count = " & Records.Count
End Sub

'The DropRecords event occurs when records are dropped into a Report Control, and provides a
'ReportRecords collection containing all of the records that will be dropped into the Report Control.
'This gives the opportunity to modify the ReportRecords collection before they are actually added
'to the Report Control.
Private Sub wndReport_DropRecords(ByVal Records As XtremeReportControl.IReportRecords)
    Debug.Print "Drop Records. Records.Count = " & Records.Count
End Sub

See Also

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | BeginDrag Event | DropRecords Event | XTPReportDragDrop Enumeration


%%PageItemTitle%%

TrackControl Control

Enable

TRUE to enable tool tips.

FALSE to disable tool tips.

See Also Report Control ActiveX Control v19.3

EnableToolTips Method

Description

The EnableToolTips method enables or disables the use of tool tips in the ReportControl.

Syntax

Public Sub EnableToolTips( _
   ByVal Enable As Boolean _
)

Parameters

Enable

TRUE to enable tool tips.

FALSE to disable tool tips.

Remarks

By default, when the width of a column is too small to fully display the text of an item a tool tip is displayed on mouse over that contains the entire text.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

bRecursive

True to expand all collapsed rows recursively, False to only expand top level collapsed rows.

See Also Report Control ActiveX Control v19.3

ExpandAll Method

Description

Expands all rows (have children but are not visible) that are collapsed.

Syntax

Public Sub ExpandAll( _
   ByVal bRecursive As Boolean _
)

Parameters

bRecursive

True to expand all collapsed rows recursively, False to only expand top level collapsed rows.

Remarks

This can be done on the top level only or recursively.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | XTPReportElementRect Enumeration

Flags

Report element rectangle to return.

left

[out] Left coordinate of report element specified in Flags.

top

[out] Top coordinate of report element specified in Flags.

right

[out] Right coordinate of report element specified in Flags.

bottom

[out] Bottom coordinate of report element specified in Flags.

See Also Report Control ActiveX Control v19.3

GetElementRect Method

Description

Retrieves a report element rectangle.

Syntax

Public Sub GetElementRect( _
   ByVal Flags As XTPReportElementRect, _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

Flags
Value | Description
xtpReportElementRectReportArea | Report rows area.
xtpReportElementRectGroupByArea | GroupBy box area.
xtpReportElementRectHeaderArea | Column header area.
xtpReportElementRectFooterArea | Footer area.
xtpReportElementRectHeaderRecordsArea | Header records area.
xtpReportElementRectFooterRecordsArea | Footer records area.
xtpReportElementRectHeaderRecordsDividerArea | Header records divider area.
xtpReportElementRectFooterRecordsDividerArea | Footer records divider area.

Report element rectangle to return.

left

[out] Left coordinate of report element specified in Flags.

top

[out] Top coordinate of report element specified in Flags.

right

[out] Right coordinate of report element specified in Flags.

bottom

[out] Bottom coordinate of report element specified in Flags.

Remarks

GetElementRect allows you to get the coordinates of the bounding rectangle for all element sin the Report Control.

See Also

TrackControl Control | XTPReportElementRect Enumeration


%%PageItemTitle%%

TrackControl Control | ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration

x

X coordinate

y

Y coordinate

See Also Report Control ActiveX Control v19.3

HitTest Method

Description

Returns hit test information for a given X and Y pixel on the screen.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As ReportHitTestInfo

Parameters

x

X coordinate

y

Y coordinate

Return Type

ReportHitTestInfo about the give X and Y coordinates.

Remarks

Use this method to determine if the ReportControl it at a given X and Y coordinate and which part of the ReportControl is positioned at the given pixel (Row, item, column, group box, etc...).

This method can also be used to return a reference to rows, items, and columns that are at a given X and Y coordinate.

THe HitTest method is really useful in mouse events to return the exact row, column, and item that was clicked. The name can be misleading, you do not need to use the HitTest method in a mouse event.

Example

[HitTest Sample (Visual Basic)] This sample illustrates hoe you could use the HitTest mehtod in a MouseDown event.

Private Sub wndReportControl_MouseDown(Button As Integer, Shift As Integer, X As Long, Y As Long)
    Dim hitColumn As ReportColumn
    Dim hitRow As ReportRow
    Dim hitItem As ReportRecordItem

    'The MouseDown event is being used to illustrate how the HitTest method can be used. The HitTest method does not have
    'to be used with a mouse event, it can be used to test any X and Y coordinate on the screen to see if the ReportControl
    'occupies these pixes and what part of the ReportControl is at the specified pixel (Group Box, Row, Item, etc).
    'If it is dertermined that a ReportControl component is at the X and Y coordinates, the HitTest method can return a
    'reference to that component (Column, Row, Record, Item, etc...).

    'Determines which part of the ReportControl the mouse was positioned over when clicked.
    Select Case wndReportControl.HitTest(X, Y).ht
        'If MouseDown while positioned anywhere over the Group Box (Even over Column Headers in Group Box)
        Case xtpHitTestGroupBox:
            Debug.Print "MouseDown in Group Box"
        'If MouseDown while positioned anywhere over the ColumnHeader area. This does NOT include
        'column header in the Group Box
        Case xtpHitTestHeader:
            Debug.Print "MouseDown in Column Header Area (Not in Group Box)"
        'If MouseDown while positioned over the Report Area, this would includ, rows, columns, items, goup rows, expand buttons
        Case xtpHitTestReportArea:
            Debug.Print "MouseDown in Report Area"
        'This case will never happen, Unknown is returned when HitTest is called and the mouse is positioned
        'over an area outside of the report control
        Case xtpHitTestUnknown:
            Debug.Print "Mouse is in an Unknown Area"
    End Select

    'Returns a reference to the column cliked
    'Determines which column the mouse is positioned over on MouseDown, this will also be executed
    'if the column header in the Group By box is clicked. This will be true if any item in the column
    'is clicked, not just column headers.
    Set hitColumn = wndReportControl.HitTest(X, Y).Column
    If Not hitColumn Is Nothing Then
        Debug.Print "MouseDown on Column header: " & hitColumn.Caption
    End If

    'Returns a reference to the row clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitRow = wndReportControl.HitTest(X, Y).Row
    If Not hitRow Is Nothing Then
        If hitRow.GroupRow Then
            Debug.Print "MouseDown on GroupRow"
        Else
            Debug.Print "MouseDown on Row # " & hitRow.Index
        End If
    End If

    'Returns a reference to the item clicked
    'Determines which row the mouse was positioned over on mousedown.
    Set hitItem = wndReportControl.HitTest(X, Y).Item
    If Not hitItem Is Nothing Then
        If Not wndReportControl.PreviewMode Then
            Debug.Print "MouseDown on Item: " & hitItem.Value & " in column: " & hitColumn.Caption
        ElseIf Not (hitRow.Record.PreviewText = "") Then
            Debug.Print "MouseDown on PreviewText"
        End If
    End If
End Sub

See Also

TrackControl Control | ReportHitTestInfo Object | ReportHitTestInfoCode Enumeration


%%PageItemTitle%%

TrackControl Control | IconViewSetup Method | ShowRowNumber Method | StartRecOrRowNumber Property | StartRecOrRowNumber Property

ColumnIndex

Column from which to display the caption data in IconView.

IconIndex

Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.

bUseForRowNumber

True to create a record number column, False to only create a Icon View column.

nRecordNumbersWidth

Width of record column if created.

See Also Report Control ActiveX Control v19.3

IconViewRowNumberSetup Method

Description

Combination of the IconViewSetup and ShowRowNumber methods.

Syntax

Public Sub IconViewRowNumberSetup( _
   ByVal ColumnIndex As Integer, _
   ByVal IconIndex As Integer, _
   ByVal bUseForRowNumber As Boolean, _
   ByVal nRecordNumbersWidth As Integer _
)

Parameters

ColumnIndex

Column from which to display the caption data in IconView.

IconIndex

Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.

bUseForRowNumber

True to create a record number column, False to only create a Icon View column.

nRecordNumbersWidth

Width of record column if created.

Remarks

See descriptions for IconViewSetup and ShowRowNumber. This was added per customer request, you will most likely want to use the two methods mentioned above.

See Also

TrackControl Control | IconViewSetup Method | ShowRowNumber Method | StartRecOrRowNumber Property | StartRecOrRowNumber Property


%%PageItemTitle%%

TrackControl Control | BeforeDrawRow Event | IconView Property | CreateIconViewColumn Method

ColumnIndex

Column from which to display the caption data in IconView.

IconIndex

Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.

See Also Report Control ActiveX Control v19.3

IconViewSetup Method

Description

Specifies from which column to display text in IconView. It also specifies the icon used for all items in IconView.

Syntax

Public Sub IconViewSetup( _
   ByVal ColumnIndex As Integer, _
   ByVal IconIndex As Integer _
)

Parameters

ColumnIndex

Column from which to display the caption data in IconView.

IconIndex

Index of an icon in the image manager to display for all items in IconView. See description below on how to change icons for individual items.

Remarks

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

TrackControl Control | BeforeDrawRow Event | IconView Property | CreateIconViewColumn Method


%%PageItemTitle%%

TrackControl Control

Index

Position within the collection of records to insert the record.

See Also Report Control ActiveX Control v19.3

InsertRecord Method

Description

Inserts a record into the report.

Syntax

Public Function InsertRecord( _
   ByVal Index As Long _
) As ReportRecord

Parameters

Index

Position within the collection of records to insert the record.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

IsShowIconWhenEditing Method

Description

determines if icons are displayed for an item will be visible while the item is getting edited.

Syntax

Public Function IsShowIconWhenEditing() As Boolean

Return Type

True if the icon is shown while editing, False if the icon is hidden while editing.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | SaveSettings Method

Profile

String that contains a stored layout.

See Also Report Control ActiveX Control v19.3

LoadSettings Method

Description

Loads the ReportColumn settings of the ReportControl from a string.

Syntax

Public Sub LoadSettings( _
   ByVal Profile As String _
)

Parameters

Profile

String that contains a stored layout.

Example

[Loead ReportColumn setting from a file (Visual Basic)] This sample illustrates how to load the ReportColumn settings from a string stored in a file.

    Dim FreeF As Integer, sFile As String, sLayout As String

    On Error Resume Next:

        sFile = "c:\Layout.300"
        FreeF = FreeFile
        sLayout = Space(FileLen(sFile))
        Open sFile For Binary As #FreeF
        Get #FreeF, , sLayout
        Close #FreeF
        On Error GoTo 0
        wndReportControl.LoadSettings sLayout

See Also

TrackControl Control | SaveSettings Method


%%PageItemTitle%%

TrackControl Control | Copy Method | Cut Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event

See Also Report Control ActiveX Control v19.3

Paste Method

Description

Reads records from the clipboard and adds them to records collection.

Syntax

Public Sub Paste()

Remarks

Reads records stored in binary and text format from the clipboard and adds them to records collection.

The BeforePaste event will occur before a record is inserted that contains ANY binary data such as images.

The BeforePasteFromText event will occur before a record is inserted that contains ONLY text data.

See Also

TrackControl Control | Copy Method | Cut Method | CanCopy Property | CanCut Property | CanPaste Property | BeforeCopyToText Event | BeforePaste Event | BeforePasteFromText Event


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

Populate Method

Description

Populates the ReportControl's with ReportRow collection with the data contained in the ReportRecords

Syntax

Public Sub Populate()

Remarks

ReportRows(which are associated with a ReportRecord) will not be added to the ReportControl's view until the Populate method is called.

The changes made to the GroupsOrder or SortOrder collections will only take effect after the Populate method is called.

Populate can be called after each record is added, or after you are done adding all records. If at any time you add or delete ReportRecords, the changes will not be visible until the Populate method is called.

Example

[Populate Sample (Visual Basic)]

    'Any time you add or delete rows(by removing the attached record), you must call the
    'Populate method so the ReportControl will display the changes.
    'If rows are added, the rows will remain hidden until Populate is called.
    'If rows are deleted, the rows will remain visible until Populate is called.
    wndReportControl.Populate

See Also

TrackControl Control

Example

Using Populate after adding rows\records | Using Populate after removing records\rows


%%PageItemTitle%%

TrackControl Control | Populate Method | PopulateHeaderRows Method | AddRecordEx Method | RemoveRecordEx Method | UpdateRecord Method

See Also Report Control ActiveX Control v19.3

PopulateFooterRows Method

Description

Performs control's footer rows population, creating view from the data.

Syntax

Public Sub PopulateFooterRows()

Remarks

Use PopulateFooterRows to populate control's footer rows collection with the data containing in FooterRecords collection. Useful when main rows are controlled through AddRecordEx/RemoveRecordEx/UpdateRecord methods.

See Also

TrackControl Control | Populate Method | PopulateHeaderRows Method | AddRecordEx Method | RemoveRecordEx Method | UpdateRecord Method


%%PageItemTitle%%

TrackControl Control | UpdateRecord Method | RemoveRecordEx Method | AddRecordEx Method | PopulateFooterRows Method | Populate Method

See Also Report Control ActiveX Control v19.3

PopulateHeaderRows Method

Description

Performs control's header rows population, creating view from the data.

Syntax

Public Sub PopulateHeaderRows()

Remarks

Use PopulateHeaderRows to populate control's header rows collection with the data containing in HeaderRecords collection. Useful when main rows are controlled through AddRecordEx/RemoveRecordEx/UpdateRecord methods.

See Also

TrackControl Control | UpdateRecord Method | RemoveRecordEx Method | AddRecordEx Method | PopulateFooterRows Method | Populate Method


%%PageItemTitle%%

TrackControl Control

ShowPrintDialog

True to show print preview dialog before displaying.

See Also Report Control ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Sub PrintPreview( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog

True to show print preview dialog before displaying.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

ShowPrintDialog

True to show print preview dialog before displaying.

xLeft

The x-coordinate of the Print Preview window's left edge in pixels.

yTop

The y-coordinate of the Print Preview window's top edge in pixels.

xRight
yBottom

The height of the Print Preview window in pixels.

See Also Report Control ActiveX Control v19.3

PrintPreviewExt Method

Description

Runs printpreview in non-maximized mode with given screen position and size.

Syntax

Public Sub PrintPreviewExt( _
   ByVal ShowPrintDialog As Boolean, _
   ByVal xLeft As Integer, _
   ByVal yTop As Integer, _
   ByVal xRight As Integer, _
   ByVal yBottom As Integer _
)

Parameters

ShowPrintDialog

True to show print preview dialog before displaying.

xLeft

The x-coordinate of the Print Preview window's left edge in pixels.

yTop

The y-coordinate of the Print Preview window's top edge in pixels.

xRight
yBottom

The height of the Print Preview window in pixels.

Remarks

You have the option to pass position and size of the print preview window instead of always Maximized. Maximized is the default size.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

lHDC

A device context for a Printer object.

Use 0 to let the ReportControl auto-detect printer settings and display a dialog for printing.

See Also Report Control ActiveX Control v19.3

PrintReport Method

Description

Prints the current Report view.

Syntax

Public Sub PrintReport( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the ReportControl auto-detect printer settings and display a dialog for printing.

Remarks

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

Example

[PrintReport Sample (Visual Basic)] This sample illustrates how to print the current Report view.

'Printing using the default printer dialog
    wndReportControl.PrintReport 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndReportControl.PrintReport .hDC
        End If
    End With

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

ShowPrintDialog

True to display a print dialog before the report is printed. False to send the report directly to the printer.

See Also Report Control ActiveX Control v19.3

PrintReport2 Method

Description

Prints the current Report view with the option to print immediately without showing any dialogs or needing any HDC handle.

Syntax

Public Sub PrintReport2( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog

True to display a print dialog before the report is printed. False to send the report directly to the printer.

Remarks

PrintReport2 does pretty much the same thing as PrintReport only is does not required you to get the real DC handle from an ActiveX control making it easier to use.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Formula Property

bSet

True to only update the formula in the selected cell, False to update all formula calls in the column (a formula cell must have focus).

See Also Report Control ActiveX Control v19.3

ReCalc Method

Description

Updates the results of a given Formula for an item.

Syntax

Public Sub ReCalc( _
   ByVal bSet As Boolean _
)

Parameters

bSet

True to only update the formula in the selected cell, False to update all formula calls in the column (a formula cell must have focus).

Remarks

You can use the keys F5 and Shift + F5 to call ReCalc (True) and ReCalc (False).

Note: A record item with a formula must have focus for ReCalc to work.

See Also

TrackControl Control | Formula Property


%%PageItemTitle%%

TrackControl Control | ReportPaintManager Object

See Also Report Control ActiveX Control v19.3

Redraw Method

Description

Redraws the ReportControl

Syntax

Public Sub Redraw()

Remarks

This method needs to be called any time you change a property in the ReportPaintManager. This is required to redraw the visual changes that you make to the ReportControl. For example, you would need to call the Redraw method after you change the grid line style.

Example

[Redraw Sample (Visual Basic)] This sample illustrates how to use the Redraw method.

    wndReportControl.PaintManager.VerticalGridStyle = xtpGridLargeDots
    wndReportControl.PaintManager.HorizontalGridStyle = xtpGridSmallDots
    wndReportControl.PaintManager.ColumnStyle = xtpColumnShaded

    'The Redraw method must be called to apply the new style to the ReportControl
    wndReportControl.Redraw

See Also

TrackControl Control | ReportPaintManager Object


%%PageItemTitle%%

TrackControl Control

Record

ReportRecord of the row to remove.

See Also Report Control ActiveX Control v19.3

RemoveRecordEx Method

Description

Removes a Row in the report by specifying the attached ReportRecord.

Syntax

Public Function RemoveRecordEx( _
   ByVal Record As ReportRecord _
) As Boolean

Parameters

Record

ReportRecord of the row to remove.

Return Type

True if successful, False otherwise.

Remarks

RemoveRecordEx will remove both the specified ReportRecord and the row the record belongs to along with and children the row might have.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

ReportRow to remove.

See Also Report Control ActiveX Control v19.3

RemoveRowEx Method

Description

Removes a Row in the report.

Syntax

Public Function RemoveRowEx( _
   ByVal Row As ReportRow _
) As Boolean

Parameters

Row

ReportRow to remove.

Return Type

True if successful, False otherwise.

Remarks

RemoveRowEx will remove both the specified ReportRow and the record attached to the row and children the row might have.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | LoadSettings Method

See Also Report Control ActiveX Control v19.3

SaveSettings Method

Description

Saves the ReportColumn settings of the ReportControl.

Syntax

Public Function SaveSettings() As String

Remarks

You can store the string in a file to load a particular layout. This will save all columns with their settings and some required ReportControl settings.

Example

[Saving ReportColumn settings (Visual Basic)] This sample illustrates how to save the ReportColumn settings to a string and store it in a file to be loaded at anytime.

    Dim FreeF As Integer, sFile As String, sLayout As String

    sFile = "c:\Layout.000"
    FreeF = FreeFile
    Kill sFile
    Open sFile For Binary As #FreeF
    Put #FreeF, , wndReportControl.SaveSettings
    Close #FreeF

See Also

TrackControl Control | LoadSettings Method


%%PageItemTitle%%

TrackControl Control | SetVirtualMode Method | XTPReportCustomDraw Enumeration

Flags

Indicates which events to enable.

See Also Report Control ActiveX Control v19.3

SetCustomDraw Method

Description

The SetCustomDraw method is used to specify which of the three custom draw events should be executed when the rows and items are drawn.

Syntax

Public Sub SetCustomDraw( _
   ByVal Flags As XTPReportCustomDraw _
)

Parameters

Flags
Value | Description
xtpCustomDrawItem | MeasurePreviewItemDrawItem event.
xtpCustomMeasureRow | MeasureRow event.
xtpCustomBeforeDrawRow | BeforeDrawRow event.
xtpCustomDrawPreviewItem | DrawPreviewItem event.
xtpCustomMeasurePreviewItem | MeasurePreviewItem event.

Indicates which events to enable.

Remarks

The SetCustomDraw method is used to enable or disable the DrawItem, MeasureRow, and BeforeDrawRow events.

Any combination of the events can be enabled at the same time. Custom drawing can be accomplished by enabling these events.

By default, all three events are disabled. If all three events are enabled, the drawing of the items can be considerably slower depending on what operations are done in the events.

Note: When using Virtual Mode, it is requires that the SetCustomDraw method is used to specify the xtpCustomBeforeDrawRow event is called.

See Also

TrackControl Control | SetVirtualMode Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

TrackControl Control

hWnd

Handle to the FieldChooser control to attache to the ReportControl.

See Also Report Control ActiveX Control v19.3

SetFieldChooserHandle Method

Description

Associates a FieldChooser control with the ReportControl

Syntax

Public Sub SetFieldChooserHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

Handle to the FieldChooser control to attache to the ReportControl.

Remarks

The SetFieldChooserHandle method does exactly the same thig as the FieldChooser property. It was only added for compatibility with special environments such as using ActiveX with Visual C++.

You must associate the FieldChooser control with the ReportControl so the ReportControl knows which FieldChooser control to add\remove column headers to\from.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SetIconViewToDefaults Method

Description

Resets all IconView parameters to their defaults (should be called after a Clear\DeleteAll columns\rows).

Syntax

Public Sub SetIconViewToDefaults()

Remarks

Allows you to remove all columns from a report AFTER an Iconview has been added and still be able to re-add the Iconview later. This should be called after a Clear\DeleteAll columns\rows is called if a IconView was created.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Icons Property | ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method

ImageList

Name of the ImageList

See Also Report Control ActiveX Control v19.3

SetImageList Method

Description

Associates an ImageList with the ReportContol.

Syntax

Public Sub SetImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList

Name of the ImageList

Remarks

This allows you to use images from the imagelist in your ReportControl.

Example

[Adding images from an ImageList (Visual Basic)] This sample illustrates how to add images from an ImageList.

    'This will add the images from the imagelist to the ReportControl's collection of images
    'The images will be added to the ReportControl's Icons collection in the order that they
    'are in the imagelist. The icons will be added at index zero (0) and increment by 1 for
    'each additional image in the imagelist.
    wndReportControl.SetImageList ImageListReport

See Also

TrackControl Control | Icons Property | ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

TrackControl Control

hScrollBar

Handle to a horizontal scrollbar control from the SuitePackage.

vScrollBar

Handle to a vertical scrollbar control from the SuitePackage.

See Also Report Control ActiveX Control v19.3

SetScrollBars Method

Description

Sets custom ScrollBars from the SuitePackage to be used by the ReportControl.

Syntax

Public Sub SetScrollBars( _
   ByVal hScrollBar As Integer, _
   ByVal vScrollBar As Integer _
)

Parameters

hScrollBar

Handle to a horizontal scrollbar control from the SuitePackage.

vScrollBar

Handle to a vertical scrollbar control from the SuitePackage.

Remarks

This is necessary for applying custom themed scroll bars to the report control.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

RowCount

Numbers of rows in the virtual report.

FieldCount
See Also Report Control ActiveX Control v19.3

SetVirtualMode Method

Description

The SetVirtualMode method is used to enable virtual mode of the Report Control.

Syntax

Public Sub SetVirtualMode( _
   ByVal RowCount As Integer, _
   Optional ByVal FieldCount As Integer = 0 _
)

Parameters

RowCount

Numbers of rows in the virtual report.

FieldCount

Remarks

VirtualMode should be used when there will be a very large number of rows in the Report Control. VirtualMode can be used with any number of rows, but it is recommended that VirtualMode be used if adding more than 10,000 rows. Adding more than 10,000 rows in normal mode becomes quite slow. Using VirtualMode will dramatically increase performance.

VirtualMode does not require you to manually create the rows and records, all you need to do is fill in the record data in the BeforeDrawRow event when the record is being displayed.

When using VirtualMode, the rows that will be displayed should be stored internally in an Array that can easily be accessed by the Report Control.

The following steps should be followed when working in VirtualMode:

1. Create your own array(dim) with the records that you want to show in the Report Control. Each "row" in the array will represent a row in the Report Control. Each element in the "row" of a multi-dimensional array will represent a record in a row.

2. Call SetVirtualMode, specifying the number of rows that will be in the Report Control.

3. Call the SetCustomDraw method and specify that the xtpBeforeDrawRow event will be executed. By default, this event is not called.

4. Use the BeforeDrawRow event to manually fill in the records for each row. Only records modified in the BeforeDrawRow event will become visible.

5. Call Populate to adjust the scroll bars with the current virtual record count.

6. Each time the number of rows increases or decreases you must call VirtualMode #ofRows to indicate the new row count.

Note: You can not group rows or use the tree view while in virtual mode.

Example

[Virtual Mode Sample (Visual Basic)] This sample illustrates how to use Virtual Mode in the Report Control.

'Index of columns
Const ITEM_NUMBER = 0
Const LIST_PRICE = 1
Const SALE_PRICE = 2
Const SAVINGS = 3

'Records array to display in Report Control
Dim OwnArray(1, 20000) As Long

Private Sub Form_Load()
    Dim Record As ReportRecord

    Dim i As Long

    'Ramdomly generates 20,000 records to display in the Virtual Report
    For i = 0 To 20000
        'Randomly generate List Price
        OwnArray(0, i) = Rnd * 20000
        'Randomly generate Sale Price
        OwnArray(1, i) = OwnArray(0, i) - Rnd * (OwnArray(0, i) / 2)
    Next i

    'Adds 4 columns to the Report Control
    wndReportControl.Columns.Add ITEM_NUMBER, "Item Number", 50, True
    wndReportControl.Columns.Add LIST_PRICE, "List Price", 50, True
    wndReportControl.Columns.Add SALE_PRICE, "Sale Price", 50, True
    wndReportControl.Columns.Add SAVINGS, "Savings", 50, True

    'Tells the Report Control to use Virtual Mode and that there will be 20,000 rows
    'The row count must be updated when the row count changes.
    wndReportControl.SetVirtualMode 20000

    'Adds a single "template" record to the Report Control. This template records is used
    'for all records in the Virtual Report. The contents of each record are filled in during
    'the BeforeDrawRow event.
    Set Record = wndReportControl.Records(0)
    Record.AddItem ""
    Record.AddItem ""
    Record.AddItem ""
    Record.AddItem ""

    'Updates the Report
    wndReportControl.Populate

    'Tells the Report Control to execute the BeforeDrawRow event,
    'By default, this event is not executed.
    wndReportControl.SetCustomDraw xtpCustomBeforeDrawRow

End Sub

'When working in Virtual Mode, Row.Index should correspond to an element in the array that holds the
'records to display in the Report Control.
Private Sub wndReportControl_BeforeDrawRow(ByVal Row As IReportRow, _
    ByVal Item As IReportRecordItem, ByVal Metrics As IReportRecordItemMetrics)

    'Determine which column the record is in
    Select Case Item.Index
        Case ITEM_NUMBER:
            'Displays data for the ITEM_NUMBER column
            'Displays the current row number, this corresponds to an element in OwnArray
            Metrics.Text = "Item # " & Row.Index
        Case LIST_PRICE:
            'Displays data for the LIST_PRICE column
            Metrics.Text = "$ " & OwnArray(0, Row.Index)
        Case SALE_PRICE:
            'Displays data for the SALE_PRICE column
            Metrics.Text = "$ " & OwnArray(1, Row.Index)
        Case SAVINGS:
            'Displays data for the SAVINGS column
            Metrics.Text = "$ " & (OwnArray(0, Row.Index) - OwnArray(1, Row.Index))
    End Select

End Sub

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property

Handle

Bitmap handle.

Transparency

Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

See Also Report Control ActiveX Control v19.3

SetWatermarkBitmap Method

Description

Sets a watermark bitmap to be shown in the report control background from a resource.

Syntax

Public Function SetWatermarkBitmap( _
   ByVal Handle As Long, _
   ByVal Transparency As Integer _
) As Boolean

Parameters

Handle

Bitmap handle.

Transparency

Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

Return Type

True if the watermark bitmap was successfully added or removed, False otherwise.

See Also

TrackControl Control | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property


%%PageItemTitle%%

TrackControl Control | SetWatermarkBitmap Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property

Path

Path to the bitmap file (bmp) to use for the watermark.

Transparency

Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

See Also Report Control ActiveX Control v19.3

SetWatermarkBitmapFromFile Method

Description

Sets a watermark bitmap to be shown in the report control background using a bmp file.

Syntax

Public Function SetWatermarkBitmapFromFile( _
   ByVal Path As String, _
   ByVal Transparency As Integer _
) As Boolean

Parameters

Path

Path to the bitmap file (bmp) to use for the watermark.

Transparency

Level of transparency. Values can be 0 - 255 with 0 being totally transparent and 255 being totally visible.

Return Type

True if the watermark bitmap was successfully added or removed, False otherwise.

See Also

TrackControl Control | SetWatermarkBitmap Method | XTPReportWatermarkAlignment Enumeration | WatermarkAlignment Property


%%PageItemTitle%%

TrackControl Control

bShow

True to show icon wile editing, False to hide it while editing.

See Also Report Control ActiveX Control v19.3

ShowIconWhenEditing Method

Description

Specify whether icons displayed for an item will be visible while the item is getting edited.

Syntax

Public Sub ShowIconWhenEditing( _
   ByVal bShow As Boolean _
)

Parameters

bShow

True to show icon wile editing, False to hide it while editing.

Remarks

ShowIconWhenEditing and IsShowIconWhenEditing allow you to specify whether icons displayed for an item will be visible while the item is getting edited. (Icon is not editable).

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ShowPrintPageSetup Method

Description

Displays a custom "Page Setup" print dialog for the Report.

Syntax

Public Function ShowPrintPageSetup() As Boolean

Remarks

The ShowPrintPageSetup method displays a custom "Page Setup" print dialog for the Report. The ShowPrintPageSetup dialog allows users to change all the properties of the PrintOptions object. All settings are stored in the PrintOptions property after the dialog has been closed. When PrintReport is called, it will use the settings in PrintOptions to print the current view.

The PrintOptions property is used to customize how the Report is printed when PrintReport is called. With PrintOptions you can change the page margins, header font, and several other options. All of these options can be changed by the user by displaying the ShowPrintPageSetup dialog.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | CreateRowNumberColumn Method | StartRecOrRowNumber Property | RecOrRowNumber Property

bSet

True to show the row number column, False to hide it.

See Also Report Control ActiveX Control v19.3

ShowRowNumber Method

Description

Shows a column that displays the row numbers.

Syntax

Public Sub ShowRowNumber( _
   ByVal bSet As Boolean _
)

Parameters

bSet

True to show the row number column, False to hide it.

Remarks

ShowRowNumber simply shows a new number column as the first column in the report. This column will contain the row number in it. The number will correspond to the rows before any grouping and sorting are applied. Note that this column is not sortable.

StartRecOrRowNumber specifies whether numbers in the column get sorted (displays record number) or are "set in stone" and never move (displays row number).

StartRecOrRowNumber specifies the starting row number for the column.

Example

Private Sub mnuRowNumberColumn_Click()
mnuRowNumberColumn.Checked = Not mnuRowNumberColumn.Checked

If mnuRowNumberColumn.Checked Then
wndReportControl.CreateRowNumberColumn 30
wndReportControl.ShowRowNumber True
Else
wndReportControl.ShowRowNumber False
End If

End Sub

See Also

TrackControl Control | CreateRowNumberColumn Method | StartRecOrRowNumber Property | RecOrRowNumber Property


%%PageItemTitle%%

TrackControl Control | Records Property

Record

Record data with items.

UpdateChildren

If True, the children will be updated as well.

See Also Report Control ActiveX Control v19.3

UpdateRecord Method

Description

Updates a record that has been modified to the current grouping and sorting..

Syntax

Public Sub UpdateRecord( _
   ByVal Record As ReportRecord, _
   ByVal UpdateChildren As Boolean _
)

Parameters

Record

Record data with items.

UpdateChildren

If True, the children will be updated as well.

Remarks

Call UpdateRecord if you modified a record and want it to be updated accordingly to the current grouping and sorting.

See Also

TrackControl Control | Records Property


%%PageItemTitle%%

TrackControl Control | AllowBlockScale Property | TrackBlock Object

See Also Report Control ActiveX Control v19.3

AllowBlockMove Property

Description

Specifies whether the user can move blocks and keys. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowBlockMove() As Boolean

Return Type

True if blocks and keys can be moved, False if blocks and keys can't be moved.

Remarks

AllowBlockMove specifies whether the user can move blocks and keys. When False, keys and blocks can't be moved, but they can be resized\scaled. Use AllowBlockScale to restrict block resizing.

See Also

TrackControl Control | AllowBlockScale Property | TrackBlock Object


%%PageItemTitle%%

TrackControl Control | TrackBlock Object | AllowBlockMove Property

See Also Report Control ActiveX Control v19.3

AllowBlockRemove Property

Description

Specifies whether the user can move blocks from one track to another. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowBlockRemove() As Boolean

Return Type

If True (default), blocks can be dragged from one track to a different track. If False, blocks can only be moved within the same track.

Remarks

When AllowBlockRemove is True, blocks can be dragged from one track to a different track. When False, blocks can only be moved within the same track.

TrackControl.AllowBlockRemove = True

See Also

TrackControl Control | TrackBlock Object | AllowBlockMove Property


%%PageItemTitle%%

TrackControl Control | AddBlock Method | TrackBlock Object | MaxLength Property | MinLength Property | AllowBlockMove Property

See Also Report Control ActiveX Control v19.3

AllowBlockScale Property

Description

Specifies whether the user can resize a block. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowBlockScale() As Boolean

Return Type

True (default) if the user can resize blocks, False if the user can't resize blocks.

Remarks

When False, the blocks can still be dragged around like normal, only they can be resized.

See Also

TrackControl Control | AddBlock Method | TrackBlock Object | MaxLength Property | MinLength Property | AllowBlockMove Property


%%PageItemTitle%%

TrackControl Control | ReportColumn Visible Property | ReportColumn AllowDrag Property

See Also Report Control ActiveX Control v19.3

AllowColumnRemove Property

Description

Specifies whether ReportColumns can be removed from the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnRemove() As Boolean

Remarks

If True, the column headers can be removed from the ReportControl. To remove a column, the column header must be clicked on and dragged to an area on the screen that does not have any column headers and is not the Group By box (I.e. Dragging the column header over the rows or over the toolbar.). When the column header is over an area that the column can be removed, an "X"

is displayed over the column header indicating that you can drop the column header and it will be removed. Once a column is removed, the Visible property is set to False. To replace the column, set the Visible property to True, or drag the column header from the FieldChooser if ShowInFieldChooser is True for the column.

If False, the "X" will never appear and it does not matter where the column is dropped, it will not be removed.

Example

[AllowColumnRemove Sample (Visual Basic)] This sample illustrates how to disable colum removal.

    'This will not allow columns to be removed by a drag and drop
    wndReportControl.AllowColumnRemove = False

See Also

TrackControl Control | ReportColumn Visible Property | ReportColumn AllowDrag Property


%%PageItemTitle%%

TrackControl Control | ReportColumn AllowDrag Property

See Also Report Control ActiveX Control v19.3

AllowColumnReorder Property

Description

Specifies whether ReportColumns can be reordered in the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnReorder() As Boolean

Remarks

If True, column headers can be reordered in the ReportControl by dragging and dropping them to another location. When the column header is in a location that it can be dropped, two red arrow point to the new location the column header can be dropped. See picture below.

If False, the red arrows will not be displayed and the column header can not be moved to another location.

Example

[AllowColumnReorder Sampleq (Visual Basic)] This sample illustrates how to disable column reordering by a drag and drop.

    'This will not allow columns to be reordered by a drag and drop
    wndReportControl.AllowColumnReorder = False

See Also

TrackControl Control | ReportColumn AllowDrag Property


%%PageItemTitle%%

TrackControl Control | ReportColumn Resizable Property

See Also Report Control ActiveX Control v19.3

AllowColumnResize Property

Description

Specifies whether ReportColumns can be resized

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnResize() As Boolean

Remarks

If True and the Resizable property is True, columns can be resized by dragging the border of the column header to the desired size. When the mouse pointer is in a position that will allow the column to be resized, the mouse pointer is changed to a splitter. See picture below.

If False, columns can only be resized via code. The mouse pointer will never change to the splitter, so the columns can not be resized with the mouse.

Example

[AllowColumnResize Sample (Visual Basic)] This sample illustrates how to disable column resizing by the user. This will not allow them to resize the column by dragging the borders of the column with the mouse.

    'This will not allow columns to be resized with the mouse
    wndReportControl.AllowColumnResize = False

See Also

TrackControl Control | ReportColumn Resizable Property


%%PageItemTitle%%

TrackControl Control | ReportColumn Sortable Property | SortOrderChanged Event | SortOrder Property | ReportColumnOrder Object

See Also Report Control ActiveX Control v19.3

AllowColumnSort Property

Description

Specifies whether ReportColumns can be sorted

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnSort() As Boolean

Remarks

If False, this will only disables column sorting by clicking on the column header, you can still sort the columns by adding them to the SortOrder collection.

If True, the columns Sortable property must also be true. When true, the column header can be clicked and the column will toggle between ascending and descending order. An arrow icon is displayed on the column header indicating how the column is sorted, an up arrow for ascending and a down arrow foe descending order.

Example

[AllowColumnSort Sample (Visual Basic)] This sample illustrates how to disable column sorting by clicking on the column headers. Columns can still be sorted by adden them to the SortOrder collection.

    'This will disable column sorting by clicking on the column header
    wndReportControl.AllowColumnSort = False

See Also

TrackControl Control | ReportColumn Sortable Property | SortOrderChanged Event | SortOrder Property | ReportColumnOrder Object


%%PageItemTitle%%

TrackControl Control | AllowEdit Property | EditOptions Property | Editable Property | EditOptions Property | Editable Property

See Also Report Control ActiveX Control v19.3

AllowEdit Property

Description

Allows the text in all ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEdit() As Boolean

Remarks

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

TrackControl Control | AllowEdit Property | EditOptions Property | Editable Property | EditOptions Property | Editable Property


%%PageItemTitle%%

TrackControl Control | PreviewMode Property

See Also Report Control ActiveX Control v19.3

AllowEditPreview Property

Description

Allows the preview rows to be edited by the user.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowEditPreview() As Boolean

Remarks

Use PreviewMode to display preview rows.

See Also

TrackControl Control | PreviewMode Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

AllowSelectionCheck Property

Description

Specifies whether to allow a check box to be checked using the right mouse button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowSelectionCheck() As Boolean

Remarks

If True, you can use right button click to change check box state for selection.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportColumn AutoSize Property

See Also Report Control ActiveX Control v19.3

AutoColumnSizing Property

Description

Specifies if AutoColumnSizing should be used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoColumnSizing() As Boolean

Remarks

If True, all columns are sized to fill the entire width of the ReportControl. When the ReportControl is resized, the Columns will automatically be resized to fit the new size of the RepotControl.

If False, the columns will use the width they were assigned when they were created, or whatever value is stored in the columns width property. The columns widths my occupy more or less that the total width of the ReportControl. If the total width of the columns exceeds the width of the ReportControl, then those columns will not be visible. When the ReportControl is resized, the size of the columns will not be effected.

You can also set each columns AutoSize property manually.

Example

[AutoColumnSizing Sample (Visual Basic)]

    wndReportControl.AutoColumnSizing = False

See Also

TrackControl Control | ReportColumn AutoSize Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

AutoVScrollTimerResolution Property

Description

Gets or sets the vertical scrolling timer resolution.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoVScrollTimerResolution() As Long

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | XTPReportBorderStyle Enumeration

See Also Report Control ActiveX Control v19.3

BorderStyle Property

Description

The type of border style that is placed around the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As XTPReportBorderStyle

Remarks

This is the border of the entire ReportControl, this does not apply to the columns and rows.

See Also

TrackControl Control | XTPReportBorderStyle Enumeration


%%PageItemTitle%%

TrackControl Control | CanCut Property | CanPaste Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanCopy Property

Description

Indicates whether a Copy operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

Remarks

One or more records must be selected before a Copy can be performed.

Once a record is copied, the CanPaste property should be checked to see if the Paste method can be used to paste the record back into the report.

See Also

TrackControl Control | CanCut Property | CanPaste Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

TrackControl Control | CanCopy Property | CanPaste Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanCut Property

Description

Indicates whether a Cut operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

Remarks

One or more records must be selected before a Cut can be performed.

Once a record is cut, the CanPaste property should be checked to see if the Paste method can be used to paste the record back into the report.

See Also

TrackControl Control | CanCopy Property | CanPaste Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

TrackControl Control | CanCopy Property | CanCut Property | Copy Method | Cut Method | Paste Method

See Also Report Control ActiveX Control v19.3

CanPaste Property

Description

Indicates whether a Paste operation can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

Remarks

CanPaste will be True after a successful Copy or Cut operation.

See Also

TrackControl Control | CanCopy Property | CanCut Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

TrackControl Control | ReportColumn Object | ReportColumns Add Method

See Also Report Control ActiveX Control v19.3

Columns Property

Description

The ReportControl's collection of ReportColumn objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Columns() As ReportColumns

Remarks

This is a collection of all the ReportColumn objects that have been added to the ReportControl. This is where all of the columns of the ReportControl are stored.

See Also

TrackControl Control | ReportColumn Object | ReportColumns Add Method

Example

Adding a Column | Finding a Column | Changing the Caption of a Column


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

CustomTitle Property

Description

Used for unique title - e.g. for PrintJob name.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTitle() As String

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

DataManager Property

Description

Gets or sets the report data manager.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DataManager() As ReportDataManager

Remarks

Use this member to retrieve and access the data manager.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

DesktopTrackerMode Property

Description

Specifies whether to use Vista Tracker Mode (On or Off). This fixes desktop flicker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DesktopTrackerMode() As Boolean

Remarks

This should be False for Windows XP and True for Windows Vista. This is needed because it causes the Desktop to flicker if the correct for the the OS used is not properly set.

The tracker is used for such actions like resizing columns (also rows under special mode) and so on. This flag allows you to set the Vista Tracker Mode On or Off. By default it is False.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

DisableReorderColumnsCount Property

Description

Gets or sets the count of the columns at the left side where reordering is disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableReorderColumnsCount() As Long

Remarks

Use DisableReorderColumnsCount to set the count of the columns at the left side where reordering is disabled.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Navigator Property | ReportNavigator Object

See Also Report Control ActiveX Control v19.3

EditMode Property

Description

Indicates whether the in-place edit control is currently active (visible and focused).

Property type

Read-only property

Syntax (Visual Basic)

Public Property EditMode() As Boolean

Remarks

The EditMode property is used to indicate when an item is in edit mode. This is nice to know when using the Navigator object to navigate the report via code.

See Also

TrackControl Control | Navigator Property | ReportNavigator Object


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

EditOnClick Property

Description

Determine whether a ReportRecorditem can be edited by single-clicking on the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnClick() As Boolean

Remarks

It True, when the ReportRecordItem is single-clicked, the item will become editable. The entire ReportControl or the specific ReportRecordItem must have the AllowEdit property set to True for this to work.

If False, the item must be double-clicked to become editable.

Example

[EditOnClick Sample (Visual Basic)]

    wndReportControl.EditOnClick = True

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

EditOnDelayClick Property

Description

Enables or disables the delay click edit feature for ReportRecordItems (like editing a file name in Windows explorer).

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnDelayClick() As Boolean

Return Type

A Boolean value denoting whether the delay click edit is enabled or not, True if enabled and False if not.

Remarks

Set to True to enable the delay click edit and False to turn off this feature. This feature acts like editing a file name in Windows explorer, a delayed click will put items into edit mode.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

EditOnDoubleClick Property

Description

Specifies whether a ReportRecordItem can be edited by double-clicking on the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EditOnDoubleClick() As Boolean

Return Type

True if items can be edited with a double-click, False otherwise.

Remarks

If True, when the ReportRecordItem is double-clicked, the item will become editable. The entire ReportControl or the specific ReportRecordItem must have the AllowEdit property set to True for this to work.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value indicating whether the ReportControl can respond to user interaction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

With the Enabled property, you can enable or disable the ReportControl at run time.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

EnableMarkup Property

Description

Enables the use of XAML to display text in the report control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

EnsureFocusedRowVisible Property

Description

Gets or sets whether focused rows will be forced visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnsureFocusedRowVisible() As Boolean

Return Type

True focused rows will be forced visible, otherwise false.

Remarks

If True, when a ReportRecordItem is focused, the entire row will become visible.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

FastDeselectMode Property

Description

Specifies whether all selected rows can quickly be de-selected with the click of a mouse.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FastDeselectMode() As Boolean

Return Type

Default is False. If True - when you click on an empty space in the report's bottom or right area (left for RTL case) it will deselect all rowa - like Windows Explorer or List Control without Full Row Selection style.

Remarks

If True - when you click on an empty space in the report's bottom or right area (left for RTL case) it will deselect all rowa - like Windows Explorer or List Control without Full Row Selection style.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FieldChooser Object

See Also Report Control ActiveX Control v19.3

FieldChooser Property

Description

Associates a FieldChooser control with the ReportControl

Property type

Read-write property

Syntax (Visual Basic)

Public Property FieldChooser() As FieldChooser

Remarks

You must associate the FieldChooser control with the ReportControl so the ReportControl knows which FieldChooser control to add\remove column headers to\from.

Example

[FieldChooser Sample (Visual Basic)] This sample illustrates how to associate a FieldChooser control with a ReportControl. This sample assumes that the FieldChooser control is placed on a separate form named frmFieldChooser.

    'This code will display the form that has the FieldChooser control on it
    frmFieldChooser.Show 0, Me

    'This code associates the FieldChooser control with the ReportControl, this is
    'necessary so the ReportControl knows where to find the FieldChooser so it can
    'add and remove column headers.
    wndReportControl.FieldChooser = frmFieldChooser.wndFieldChooser

See Also

TrackControl Control | FieldChooser Object


%%PageItemTitle%%

TrackControl Control | FilterText Property | Populate Method

See Also Report Control ActiveX Control v19.3

FilterHiddenColumns Property

Description

Specifies whether to search filter text in hidden columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterHiddenColumns() As Boolean

Remarks

This option is disabled by default. If true, rows will also be filtered using thext from hidden columns. You must call the Populate method to update rows after a filter has been applied.

See Also

TrackControl Control | FilterText Property | Populate Method


%%PageItemTitle%%

TrackControl Control | FilterText Property | FilterHiddenColumns Property

See Also Report Control ActiveX Control v19.3

FilterSeparatorStrict Property

Description

Specifies whether text filtering will be strict.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterSeparatorStrict() As Boolean

Remarks

FilterSeparatorStrict specifies whether text filtering will compare text in the FilterText property using the logical "AND" or the logical "OR" if the FilterText property contains strings separated by spaces,

The FilterText property is used to hold a string that is used to filter the rows in the Report control. Only the rows that have RecordItems with a Caption that contains the text stored in FilterText will be displayed.

Placing a space between words in the filter sting will cause the rows to be filtered by multiple strings. Each RecordItem in a Row will be searched for each word in the filter string individually. The filter string is not case sensitive and will the order in which the words appear in the filter string does not matter.

For example, ( FilterSeparatorStrict = False) if the filter string was "Dog cat bird HORSE", only rows that contain any combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case do not matter. In this case, "Bird Dog" will be a match, "Bird Pig" would not as "Pig" is not in the string.

( FilterSeparatorStrict = True) if the filter string was "Dog cat bird HORSE", only rows that contain an EXACT combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case DO matter. In this case, "Bird Dog" will NOT match as the order of the words do not match exactly, "bird HORSE" would match as this combination of text matched exactly in both spelling and order .

The PopulatedRecordsCount property will return the total number of records currently in the report after a filter string is applied.

See Also

TrackControl Control | FilterText Property | FilterHiddenColumns Property


%%PageItemTitle%%

TrackControl Control | PopulatedRecordsCount Property | FilterHiddenColumns Property | FilterSeparatorStrict Property

See Also Report Control ActiveX Control v19.3

FilterText Property

Description

The FilterText property is used to filter the rows in the Report Control by one or more text strings.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterText() As String

Remarks

The FilterText property is used to hold a string that is used to filter the rows in the Report control. Only the rows that have RecordItems with a Caption that contains the text stored in FilterText will be displayed.

Placing a space between words in the filter sting will cause the rows to be filtered by multiple strings. Each RecordItem in a Row will be searched for each word in the filter string individually. The filter string is not case sensitive and will the order in which the words appear in the filter string does not matter.

For example, if the filter string was "Dog cat bird HORSE", only rows that contain any combination of the words "dog," "cat," "bird," and "horse" would be displayed. The order and case do not matter.

The PopulatedRecordsCount property will return the total number of records currently in the report after a filter string is applied.

Example

[FilterText Sample (Visual Basic)] This sample illustrates how to use the FilterText property to filter the rows shown in the Report Control with a filter string. This sample assumes that there is a text box named txtFilter.

'On KeyUp update Report Control
Private Sub txtFilter_KeyUp(KeyCode As Integer, Shift As Integer)

    'Filters the Report Control with the text in the TextBox control.
    frmReportControl.wndReportControl.FilterText = txtFilter.Text

    'Update Report Control
    frmReportControl.wndReportControl.Populate
End Sub

See Also

TrackControl Control | PopulatedRecordsCount Property | FilterHiddenColumns Property | FilterSeparatorStrict Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

FlexibleDrag Property

Description

Enables or disables flexible dragging of blocks in the track control. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlexibleDrag() As Boolean

Return Type

False (default) if flexible drag is not allowed, True if flexible drag is allowed

Remarks

When FlexibleDrag is True, the track control will re-position blocks to allow room for a block to be dragged to the specified location. When False a block can only be dragged to a location if there is enough room to fit the block without moving the others that are already there.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FocusSubItems Property | FocusedRow Property

See Also Report Control ActiveX Control v19.3

FocusedColumn Property

Description

The FocusedColumn property returns a reference to the Column that contains the ReportRecordItem (SubItem) that currently has focus in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusedColumn() As ReportColumn

Remarks

The FocusedColumn property holds a reference to the column that contains the ReportRecordItem that currently has focus. The FocusSubItems property must be TRUE to use the FocusedColumn property. If FocusSubItems is FALSE, then the FocusedColumn property will never get set.

Example

[FocusedColumn Sample (Visual Basic)] This sample illustrates how to determine the column of the currently focused item.

    'Subitems can receive focus
    wndReportControl.FocusSubItems = True

    Private Sub wndReportControl_SelectionChanged()

        If Not wndReportControl.FocusedColumn Is Nothing Then
            'Column with subitem that currently has focus
            Debug.Print "Focused Column " & wndReportControl.FocusedColumn.Caption
        End If

    End Sub

See Also

TrackControl Control | FocusSubItems Property | FocusedRow Property


%%PageItemTitle%%

TrackControl Control | TopRowIndex Property

See Also Report Control ActiveX Control v19.3

FocusedRow Property

Description

Returns a reference to the row that currently has focus in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusedRow() As ReportRow

Remarks

Only one row can have focus at a time, the focused row will have bold rectangle placed around the entire row indicating which row has focus.

A focused row is not the same as a selected row. Multiple rows can be selected, but only one can have focus.

Example

[FocusedRow Sample (Visual Basic)] This sample illustrates one way to use the FocusedRow property. This sample used the FocusedRow to access and change the properties of the row.

'This event occurs each time the selection changes
Private Sub wndReportControl_SelectionChanged()
    'If the focused row's Tag value is "UnRead" then execute this code
    If wndReportControl.FocusedRow.Record(0).Tag = "UnRead" Then
        'Remove the bold font of the focus row\record
        wndReportControl.FocusedRow.Record(0).Bold = False
        'Replace the row's Tag as being "Read"
        wndReportControl.FocusedRow.Record(0).Tag = "Read"
    End If
End Sub

See Also

TrackControl Control | TopRowIndex Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

FocusSubItems Property

Description

Specifies whether the individual ReportRecordItem will show focus when an item in a row is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusSubItems() As Boolean

Remarks

If True, when a ReportRecordItem is clicked, the entire row will become highlighted except the individual item that was clicked.

If False, the entire row will become highlighted when an item is clicked, including the item that was clicked.

Example

[FocusSubItems Sample (Visual Basic)]

    wndReportControl.FocusSubItems = True

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Populate Method | FooterRows Property | FooterRowsAllowEdit Property | Add Method | Insert Method | ReportRecords Object

See Also Report Control ActiveX Control v19.3

FooterRecords Property

Description

Returns the collection of the footer records.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FooterRecords() As ReportRecords

Remarks

This collection only contains ReportRecord objects that are in the FooterRows section of the report.

Use this collection if you want to retrieve and access the collection of report footer records. You may then perform standard operations on the collection like adding, removing, etc.

This is a collection of all the ReportRecord objects that have been added to the footer rows of the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | Populate Method | FooterRows Property | FooterRowsAllowEdit Property | Add Method | Insert Method | ReportRecords Object


%%PageItemTitle%%

TrackControl Control | FooterRecords Property | FooterRowsAllowEdit Property | Populate Method

See Also Report Control ActiveX Control v19.3

FooterRows Property

Description

Returns the collection of the report footer rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FooterRows() As ReportRows

Remarks

This collection only contains ReportRow objects objects in the FooterRows section of the report. Use this collection to retrieve and access to the collection of report footer rows. Note that the rows collection could be rebuilt automatically on executing the Populate method.

This is a collection of all the ReportRow objects that have been added to the ReportControl's FooterRows. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | FooterRecords Property | FooterRowsAllowEdit Property | Populate Method


%%PageItemTitle%%

TrackControl Control | HeaderRowsAllowAccess Property

See Also Report Control ActiveX Control v19.3

FooterRowsAllowAccess Property

Description

Specifies whether to allows user to move selection to footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowAccess() As Boolean

See Also

TrackControl Control | HeaderRowsAllowAccess Property


%%PageItemTitle%%

TrackControl Control | FooterRecords Property | FooterRows Property

See Also Report Control ActiveX Control v19.3

FooterRowsAllowEdit Property

Description

Allows the text in all Footer Row ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsAllowEdit() As Boolean

Remarks

This applies only to ReportRecordItems that are in the FooterRows.

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

TrackControl Control | FooterRecords Property | FooterRows Property


%%PageItemTitle%%

TrackControl Control | HeaderRowsEnableSelection Property

See Also Report Control ActiveX Control v19.3

FooterRowsEnableSelection Property

Description

Enables or disables selection in footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsEnableSelection() As Boolean

See Also

TrackControl Control | HeaderRowsEnableSelection Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ForcePagination Property

Description

Specifies whether to force the report to be split up into "pages" while in print preview mode. This also effects the page count that is displayed when the printer dialog is displayed say printing pages 1-*.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForcePagination() As Boolean

Remarks

ForcePagination is for those that choose not to use non-continues print mode (ForcePagination = False). By default, print preview does not know how many pages the report is, therefore it can't be viewed in "pages" in print preview. This is because it is in continuous print mode. The print preview dialog will only get confused if you click "next page" because to the printer and the preview window it is just looking at one large page. For example if you have a report that would take 10 pages of paper to print, the printer and preview window still see that as 1 continuous page. In this case if you print the printer dialog will say something like "Printing Pages 1/*" or something similar.

Now consider the case where you want to know exactly what each page will look like in print preview, the number of pages, and have the preview window show the preparation for a proper print. In this case you want ForcePagination to be True. The benefit to this is now you can view each page in print preview, you know how many pages will be required, you can now print a range of pages (i.e. pages 3-8) and the printer dialog will tell you which page is currently printing with a message like "Printing Pages 8/20". One final benefit is header and footer information if you use them.

Now there is a cost to getting all this information. Non-continuous mode (ForcePagination = True) will take time to "Paginate" to document. If it is a small report, this cost is minimal. If it is a large report the cost can be quite high. Really the only time you would wan continuous mode (ForcePagination = False) is when speed becomes a factor in really large reports.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

FreeHeightMode Property

Description

Allows row height to be changed using the mouse to drag to a new height.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreeHeightMode() As Boolean

Remarks

If True, you can use the mouse to drag the bottom border of the selected row to resize it (give it a new height), much like you do when resizing a column.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FreezeColumnsCount Property | MovePivot Property

See Also Report Control ActiveX Control v19.3

FreezeColumnsAbs Property

Description

Gets or sets whether the freeze column is absolute or relative (applies when columns are dragged\moved).

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColumnsAbs() As Boolean

Remarks

The following explanation assumes there are 3 frozen columns.

If FreezeColumnsAbs is False, when a column is dragged and dropped into the first 3 columns the new column becomes frozen and the 3rd column will become unfrozen.

If FreezeColumnsAbs is True, the 3rd column (column with divider after it), the divider will remain next to the 3rd column no matter where it is dragged or other columns are dragged. The divider becomes "stuck" to the last column in the original freeze count.

Example

[Visual Basic]

    wndReportControl.FreezeColumnsCount = 3
    wndReportControl.FreezeColumnsAbs = True

See Also

TrackControl Control | FreezeColumnsCount Property | MovePivot Property


%%PageItemTitle%%

TrackControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

FreezeColumnsCount Property

Description

Gets\Sets the number of columns that are frozen when the report is scrolled horizontally.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColumnsCount() As Long

Remarks

FreezeColumnsCount holds the number of columns that are currently frozen. You can only freeze columns on the left of the report, and you can not freeze more columns than are displayed in the report.

By freezing a column, the column will not scroll when scrolling horizintally. You can only freeze coluumns starting at the left-most side of the report. Multiple columns can be frozen, but they must be in consecutive order starting from the left. Automatic column sizing must me disabled to freeze columns, with automatic column sizing enabled, there will never be a horizontal scroll bar.

The animation below illustrates a report where the first 3 columns are frozen. Notice how the do not move as the report is scrolled horizontally left and right.

Example

[Freeze Columns Sample (Visual Basic)] This sample illustrates how to freeze columns on the left side of the report while the report is scrolled horizontally.

wndReportControl.AutoColumnSizing = False
wndReportControl.FreezeColumnsCount = 3

See Also

TrackControl Control | AutoColumnSizing Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

FullColumnScrolling Property

Description

Specifies whether full column scrolling will be used. (depreciated, see note)

Property type

Read-write property

Syntax (Visual Basic)

Public Property FullColumnScrolling() As Boolean

Remarks

Important note: FullColumnScrolling is now depreciated and you should use ScrollMode or ScrollModeH to set horizontal scrolling.

When FullColumnScrolling is True, if the user is pressing the left or right scroll buttons or dragging the scroll thumb button in the center of the horizontal scroll bar the Report will jump to next/previous column - not just 1 pixel.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

GroupsOrder Property

Description

A collection of ReportColumns used to determine how the ReportControl is grouped. (I.e. First by column A in ascending order, then by column B in descending order, etc...)

Property type

Read-only property

Syntax (Visual Basic)

Public Property GroupsOrder() As ReportColumnOrder

Remarks

The order in which the columns are added to the collection of group columns determine the

precedence. This is used to group the columns via code.

Column grouping order can be changed by simply dragging and dropping the column headers in the Group By box.

Example

[Grouping columns in the ReportControl (Visual Basic)] This sample illustrates how to group the columns in the ReportControl. If you had 8 columns added to the ReportControl, this sample would group the columns first by the column at Itemindex 7 and then by the column at ItemIndex 2.

    'This code below will add two columns to the GroupOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be grouped by column 7,
    'which has an index of zero (0) in the GroupOrder collection. Columns are first grouped
    'in the order that they are added to the GroupOrder collection.
    wndReportControl.GroupsOrder.Add wndReportControl.Columns(7)
    wndReportControl.GroupsOrder.Add wndReportControl.Columns(2)

    'This will cause the column at index 0 of the GroupOrder collection to be displayed
    'in descending order.
    wndReportControl.GroupsOrder(0).SortAscending = False

See Also

TrackControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

TrackControl Control | HeaderRows Property | HeaderRowsAllowEdit Property | Populate Method | Add Method | Insert Method | ReportRecords Object

See Also Report Control ActiveX Control v19.3

HeaderRecords Property

Description

Returns the collection of the header records.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderRecords() As ReportRecords

Remarks

This collection only contains ReportRecord objects that are in the HeaderRows section of the report.

Use this collection if you want to retrieve and access the collection of report header records. You may then perform standard operations on the collection like adding, removing, etc.

This is a collection of all the ReportRecord objects that have been added to the header rows of the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | HeaderRows Property | HeaderRowsAllowEdit Property | Populate Method | Add Method | Insert Method | ReportRecords Object


%%PageItemTitle%%

TrackControl Control | HeaderRecords Property | HeaderRowsAllowEdit Property | Populate Method

See Also Report Control ActiveX Control v19.3

HeaderRows Property

Description

Returns the collection of the report header rows.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderRows() As ReportRows

Remarks

This collection only contains ReportRow objects objects in the HeaderRows section of the report. Use this collection to retrieve and access to the collection of report header rows. Note that the rows collection could be rebuilt automatically on executing the Populate method.

This is a collection of all the ReportRow objects that have been added to the ReportControl's HeaderRows. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | HeaderRecords Property | HeaderRowsAllowEdit Property | Populate Method


%%PageItemTitle%%

TrackControl Control | FooterRowsAllowAccess Property

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowAccess Property

Description

Specifies whether to allows user to move selection to header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowAccess() As Boolean

See Also

TrackControl Control | FooterRowsAllowAccess Property


%%PageItemTitle%%

TrackControl Control | HeaderRows Property | HeaderRecords Property

See Also Report Control ActiveX Control v19.3

HeaderRowsAllowEdit Property

Description

Allows the text in all Header Row ReportRecordItems to be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsAllowEdit() As Boolean

Remarks

This applies only to ReportRecordItems that are in the HeaderRows.

If False, then any editing features will not be used. The Combo button and Expand buttons will not be displayed.

If True, then all ReportRecordItems can be edited, you will need to set the EditOptions to false for each column that can not be edited, or you can set the EditOptions for each individual ReportRecordItem.

See Also

TrackControl Control | HeaderRows Property | HeaderRecords Property


%%PageItemTitle%%

TrackControl Control | FooterRowsEnableSelection Property

See Also Report Control ActiveX Control v19.3

HeaderRowsEnableSelection Property

Description

Enables or disables selection in header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsEnableSelection() As Boolean

See Also

TrackControl Control | FooterRowsEnableSelection Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

HideColumnAfterGroupBoxDrop Property

Description

Causes Column Drag & Drop into the Group Box to behave like Drag & Drop + Ctrl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideColumnAfterGroupBoxDrop() As Boolean

Remarks

When false the Control key will need to be pressed to hide the column when dropped.

HideColumnAfterGroupBoxDrop is used to reverse the current behavior when a column is dropped into the group box. By defaut the Control key must be pressed to keep the column visible.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

HScrollStep Property

Description

Gets\sets the amount of pixels the report is scrolled when the horizontal scroll bar buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollStep() As Long

Remarks

By default the report is scrolled by 1 pixel when the horizontal scroll bar is clicked. If you want the report to scroll faster you need to increase HScrollStep.

Note: HScrollStep is only used when ScrollMode or ScrollModeH is set to xtpReportScrollModeSmooth.

Note: AutoColumnSizing must be False for the horizontal scroll bar to be visible, by default it is True.

See Also

TrackControl Control | AutoColumnSizing Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

hWnd Property

Description

The hWnd property returns the handle to the Report Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | AddIcon Method | SetImageList Method | LoadBitmap Method | LoadIcon Method

See Also Report Control ActiveX Control v19.3

Icons Property

Description

A collection of icons that can be used in ReportRecordItem and ReportColumn objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

Icons must be added to this collection using the AddIcon, LoadBitmap, LoadIcon, or SetImageList methods before they can be used in the ReportControl.

Important note: The IconId can not be zero (0), when using the AddIcon, LoadBitmap, and LoadIcon methods, you can not assign an IconId of zero, the IconId must be a positive integer. When adding icons using the SetImageList method, the first icon in the imagelist will have an IconId of 1 if not other icons have already been added.

See Also

TrackControl Control | AddIcon Method | SetImageList Method | LoadBitmap Method | LoadIcon Method

Example

Add icons using the AddIcon Method | Add icons using the LoadBitmap Method | Add icons using the LoadIcon Method | Using images from and ImageList | Assigning an Icon to a ReportColumn | Assigning an Icon to a ReportRecordItem


%%PageItemTitle%%

TrackControl Control | IconViewSetup Method | BeforeDrawRow Event | CreateIconViewColumn Method

See Also Report Control ActiveX Control v19.3

IconView Property

Description

Displays or hides Icon View, a view similar to the Icon View in Windows Explorer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconView() As Boolean

Remarks

The report's Icon View is similar to the icon view in Windows Explorer. CreateIconViewColumn is used to create a separate icon column that is separate from the other columns in the report. This icon column will remain hidden until IconView is used to display the icon column. All normal columns are hidden when the icon column is displayed, you need to use IconView to display either the icon column or the normal columns, you can't display both at the same time.

You can display text under each icon in the icon column. To do this you would use the IconViewSetup method to choose from which normal column text will be displayed. The IconViewSetup method is also used to specify which icon from the image manager should be displayed for all items in the icon column. This will use the specified icon for each item in the icon column. You can override the default icon using BeforeDrawRow.

Another great feature of using BeforeDrawRow is that you can access all records associated with the current icon view item. This proves very useful when in BeforeDrawRow as you can read the record information to update the text\icon for the icon column item or use that information to do something else.

CreateIconViewColumn is automatically called internally when calling IconViewSetup. You only need to call CreateIconViewColumn if you choose not to use IconViewSetup.

Example

wndReportControl.ShowGroupBox = False
wndReportControl.GroupsOrder.DeleteAll

wndReportControl.CreateIconViewColumn
wndReportControl.IconViewSetup 3, COLUMN_IMPORTANCE_ICON
wndReportControl.IconView = True

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

If wndReportControl.IconView Then
If Not Row.GroupRow Then
Metrics.ItemIcon = Row.Record(1).Icon
End If
End If

End Sub

See Also

TrackControl Control | IconViewSetup Method | BeforeDrawRow Event | CreateIconViewColumn Method


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

InitialSelectionEnable Property

Description

Specifies whether the first row in the report will become selected when initially populated.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InitialSelectionEnable() As Boolean

Remarks

Use InitialSelectionEnable to stop the report from automatically selecting the first row after populate. By default this is true.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

InplaceEditHwnd Property

Description

Returns the handle to the currently used In-place Edit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property InplaceEditHwnd() As Integer

Remarks

This is the handle to the edit control that is used when using an in-place edit control.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

LeftOffset Property

Description

Gets or sets the horizontal scroll position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LeftOffset() As Integer

Remarks

This method takes effect only if auto column sizing is disabled.

See Also

TrackControl Control | AutoColumnSizing Property


%%PageItemTitle%%

TrackControl Control | TrackMarkers Add Method

See Also Report Control ActiveX Control v19.3

Markers Property

Description

Collection of marked used by the Track Control. (Track Control)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Markers() As TrackMarkers

Return Type

Reference to the collection of TrackMarkers.

Remarks

Markers are used for block alignment, blocks can be "snapped" to the left or right of these markers.

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

The code above adds 3 markers to the track control. These markers are placed in the time line at the specified time unit, in this case, at 20, 70 and 90 units of time. Markers can be moved by the user by simply dragging the marker to a new location on the time line.

See Also

TrackControl Control | TrackMarkers Add Method


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

MarkupContext Property

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

MaxColumnWidth Property

Description

Get or set the maximum column width for all columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxColumnWidth() As Integer

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FreezeColumnsCount Property

See Also Report Control ActiveX Control v19.3

MovePivot Property

Description

Gets or sets whether the freeze column is displayed when columns are added to the group by box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MovePivot() As Boolean

See Also

TrackControl Control | FreezeColumnsCount Property


%%PageItemTitle%%

TrackControl Control | ReportRow Selected Property | SelectedRows Property | ReportSelectedRows Object

See Also Report Control ActiveX Control v19.3

MultipleSelection Property

Description

Specifies whether multiple ReportRows can be selected at the same time in the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultipleSelection() As Boolean

Remarks

If True, multiple rows can be selected at the same time.

If False, only a single row can be selected at the same time.

A ReportRow is selected when the user clicks on the row, or when add method is used. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows.

Selected rows can be retrieved through the ReportControl's collection of SelectedRows.

Example

[Allowing multiple row selection (Visual Basic)] This sample illustrates how to allow multiple row selection in the ReportControl.

    'This will allow multiple ReportRow objects to be selected at the same time
    'in the ReportControl.
    wndReportControl.MultipleSelection = True

See Also

TrackControl Control | ReportRow Selected Property | SelectedRows Property | ReportSelectedRows Object


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

MultiSelectionMode Property

Description

Enables/disables the multiple selection mode for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelectionMode() As Boolean

Remarks

If MultiSelectionMode is true the report acts like a ListBox - if you click new item it will not deselect the previous item. This is just as if you were holding the Ctrl key while clicking rows.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | BeginEdit Method | MoveDown Method | MoveFirstColumn Method | MoveFirstRow Method | MoveLastColumn Method | MoveLastRow Method | MoveLeft Method | MovePageDown Method | MovePageUp Method | MoveRight Method | MoveToColumn Method | MoveToRow Method | MoveUp Method

See Also Report Control ActiveX Control v19.3

Navigator Property

Description

Object used to handle navigation activities in the Report Control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Navigator() As ReportNavigator

Remarks

Used to navigate the rows and columns in the report via code. This allows you to perform actions like switch to a specific item and begin edit mode, or to select a specific group of rows, etc.

See Also

TrackControl Control | BeginEdit Method | MoveDown Method | MoveFirstColumn Method | MoveFirstRow Method | MoveLastColumn Method | MoveLastRow Method | MoveLeft Method | MovePageDown Method | MovePageUp Method | MoveRight Method | MoveToColumn Method | MoveToRow Method | MoveUp Method


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

OLEDropAbove Property

Description

When using OLEDragDrop, this will tell whether the drop marker is above or below the current row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OLEDropAbove() As Boolean

Return Type

True if the drop marker is displayed above the row, False if it is displayed below the row. Default is True.

Remarks

OLEDropAbove will ALWAYS be true, unless the marker is currently displayed under a row.

See Also

TrackControl Control

Example

OLEDragDrop Sample


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

OLEDropMode Property

Description

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

TrackControl Control

Example

OLEDragDrop Sample


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

OverrideThemeMetrics Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OverrideThemeMetrics() As Boolean

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

PaintManager Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As TrackPaintManager

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FooterRecords Property | FooterRows Property | FooterRowsAllowEdit Property | ShowFooter Property | ShowFooterRows Property

See Also Report Control ActiveX Control v19.3

PinFooterRows Property

Description

Specifies whether to pin footer records to the last body row. By default, footer records are docked to the footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PinFooterRows() As Boolean

Remarks

When true, there will be no space between the last body row and the footer rows. The footer rows will appear immediately under the last body row regardless of how few body rows there might be.

See Also

TrackControl Control | FooterRecords Property | FooterRows Property | FooterRowsAllowEdit Property | ShowFooter Property | ShowFooterRows Property


%%PageItemTitle%%

TrackControl Control | FilterText Property

See Also Report Control ActiveX Control v19.3

PopulatedRecordsCount Property

Description

The current number of records displayed in the report.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PopulatedRecordsCount() As Integer

Remarks

PopulatedRecordsCount is intended to be used to quickly calculate the number of records that was filtered using the FilterText property.

When FilterText is set to "", then PopulatedRecordsCount will equal ReportControl.Records.Count.

The total number of records filtered using the FilterText property is the difference of ReportControl.Records.Count minus PopulatedRecordsCount.

See Also

TrackControl Control | FilterText Property


%%PageItemTitle%%

TrackControl Control | ReportRecord PreviewText Property | MaxPreviewLines Property | PreviewTextFont Property

See Also Report Control ActiveX Control v19.3

PreviewMode Property

Description

Specifies whether PreviewMode is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

Remarks

If True, the Maximum Number of lines of text stored in the PreviewText property will be displayed for each ReportRecord.

Example

[How to turn on PreviewMode (Visual Basic)] This sample illustrates how to enable PreviewMode. With PreviewMode enabled, the text stored in the PreviewText property will be displayed for each ReportRecord.

    'This will cause PreviewText to be displayed for each ReportRecord in the ReportControl
    wndReportControl.PreviewMode = True

See Also

TrackControl Control | ReportRecord PreviewText Property | MaxPreviewLines Property | PreviewTextFont Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

PrintGroupRowIcon Property

Description

Specifies whether the group row expand\collapse icons should be displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintGroupRowIcon() As Boolean

Remarks

This is useful to hide the collapse-expand icon in group rows for print or print preview mode.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

PrintOptions Property

Description

Options that specify how the Report should look when sent to a print device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintOptions() As ReportPrintOptions

Remarks

The PrintOptions property allows you to manually set the Print Options that can be set using the "Page Setup" dialog that ShowPrintPageSetup displays. These options effect how the Report looks when printed.

Using PrintOptions, you can access print options such as page margins, page header, header font, etc.

See the ReportPrintOptions members for a detailed descriptions of each print option that can be set.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

PrintPreviewOptions Property

Description

Object that contains options for the print preview window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintPreviewOptions() As XtremePrintPreviewOptions

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportRecords Object | ReportRecord Object | ReportRecordItem Object

See Also Report Control ActiveX Control v19.3

Records Property

Description

The ReportControl's collection of ReportRecord objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Records() As ReportRecords

Remarks

This is a collection of all the ReportRecord objects that have been added to the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | ReportRecords Object | ReportRecord Object | ReportRecordItem Object

Example

Adding a Record | Removing a Record | Adding Items to a Record


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

RecordsTreeFilterMode Property

Description

Gets or sets the filtering mode for the Record tree.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecordsTreeFilterMode() As XTPReportFilterMode

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ReleaseOnDestroy Property

Description

Before destroying, check until WM_DESTROY handling is complete.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReleaseOnDestroy() As Boolean

Remarks

Set to True for environments such as Gupta that do not automatically release the instance of the control when closing the form.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | RevertAlignment Property | RightToLeftReading Property

See Also Report Control ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the CommandBars elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the ReportControl (Column Order, Reading Order, Scrollbars, etc) are displayed from right to left.

The RightToLeftReading property will change the reading order of the text independently of RightToLeft. When RightToLeft is set to True, RightToLeftReading is also set to True and can be changed if desired.

Example

[Enable RTL mode for the ReportControl. (Visual Basic)] This sample illustrates how to enable RTL mode for the ReportControl.

    'Set the ReportControl to RTL mode
    ReportControl.RightToLeft = True

See Also

TrackControl Control | RevertAlignment Property | RightToLeftReading Property


%%PageItemTitle%%

TrackControl Control | RightToLeft Property

See Also Report Control ActiveX Control v19.3

RightToLeftReading Property

Description

Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeftReading() As Boolean

Remarks

All RightToLeftReading does is change the position of symbols in the text from the right side to the left and visa versa. For example, "100$" is displayed when RightToLeftReading is False and "$100" when RightToLeftReading is True.

To use RightToLeftReading, RTL reading support must be installed on the computer. To do so, go into the "Regional and language Options" dialog from the Control Panel. Select the "Languages" tab and make sure the "Install files for complex script and right-to-left languages" and "Install files for East Asian languages" check boxed are checked.

The picture below is what the "Regional and language Options" should look like.

RightToLeftReading is set to True when RightToLeft is set to True.

See Also

TrackControl Control | RightToLeft Property


%%PageItemTitle%%

TrackControl Control | ReportRows Object | ReportRow Object

See Also Report Control ActiveX Control v19.3

Rows Property

Description

The ReportControl's collection of ReportRow objects.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Rows() As ReportRows

Remarks

This is a collection of all the ReportRow objects that have been added to the ReportControl. ReportRecord objects are attached to a ReportRow object when they are added, that is why there is no add method for rows, it is already done when the ReportRecord is added.

See Also

TrackControl Control | ReportRows Object | ReportRow Object

Example

Expanded a Row | Accessing the Record Associated with a Row


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ScaleOnResize Property

Description

Specifies whether to scale the track control view area when resizing the track control. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScaleOnResize() As Boolean

Return Type

True to scale the view when the track control is resized, False to keep the scale of the view the same as the track control is resized.

Remarks

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Selected Property

See Also Report Control ActiveX Control v19.3

SelectedBlocks Property

Description

Collection of selected blocks and keys in the track control. (Track Control)

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelectedBlocks() As SelectedTrackBlocks

Return Type

Reference to the collection of all selected blocks and keys in the track control.

Remarks

This is the collection of blocks and keys that are currently selected in the track control. It can be useful to perform operations such as deleting all selected blocks.

Private Sub mnuDeleteAllBlocks_Click()
Dim Block As TrackBlock

For Each Block In TrackControl.SelectedBlocks
Block.Item.RemoveBlock Block.Index
Next
End Sub

A block or key uses the Selected property to show when it is selected.

See Also

TrackControl Control | Selected Property


%%PageItemTitle%%

TrackControl Control | ReportSelectedRows Object | ReportSelectedRows Add Method

See Also Report Control ActiveX Control v19.3

SelectedRows Property

Description

The collection of currently selected rows in the ReportControl.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelectedRows() As ReportSelectedRows

Remarks

A ReportRow is selected when the user clicks on the row, or when add method is used. Selected rows will appear shaded.

You can select multiple rows at a time by holding down the Shift or Ctrl keys while you click on the rows. Multiple row selection can be enabled or disabled.

See Also

TrackControl Control | ReportSelectedRows Object | ReportSelectedRows Add Method

Example

Selecting Rows via code using the Add method | Using the RemoveAt method to remove Selected rows


%%PageItemTitle%%

TrackControl Control | ShowRowFocus Property

See Also Report Control ActiveX Control v19.3

SelectionEnable Property

Description

Gets or sets whether rows will become selected when clicked or navigated with the arrow keys.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionEnable() As Boolean

Remarks

If SelectionEnable is true, then rows will become selected when focused. If False, then the row will not become selected. When ShowRowFocus is true you will still see a focus rectangle drawn around the selected item.

See Also

TrackControl Control | ShowRowFocus Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SelectionExcludeGroupRows Property

Description

Specifies whether group rows will be included in the selection when the collapse (+/-) button is pressed while selecting multiple rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionExcludeGroupRows() As Boolean

Remarks

SelectionExcludeGroupRows allows you to specify whether the group row that is expanded\collapsed during multiple row selection will get included in the selection.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ColumnClick Event

See Also Report Control ActiveX Control v19.3

SendContextMenuForWholeHeaderArea Property

Description

Gets or sets whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header or column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SendContextMenuForWholeHeaderArea() As Boolean

Remarks

Column headers refers to the headers at the top of the columns. This setting was added for users who use AutoColumnSizing = False. In this case there might be a large area of column header with no column. SendContextMenuForWholeHeaderArea = True will still send ColumnClick on this area, False will not send this event.

In our ReportSample set AutoColumnSizing = False, then re size window really large. Now set SendContextMenuForWholeHeaderArea True\False and right click each time in header on far right to see how to use this property.

See Also

TrackControl Control | ColumnClick Event


%%PageItemTitle%%

TrackControl Control | FooterText Property | FooterAlignment Property

See Also Report Control ActiveX Control v19.3

ShowFooter Property

Description

Shows\Hides the report column footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFooter() As Boolean

Remarks

The column footer is similar to the column header except that it is displayed at the bottom of the column. Text can be placed in the footer for each column. This can be used to display data such as column totals. The FooterText property is used to set the text for each column's footer.

See Also

TrackControl Control | FooterText Property | FooterAlignment Property


%%PageItemTitle%%

TrackControl Control | ShowHeaderRows Property | FooterRows Property | FooterRecords Property | FooterRowsAllowEdit Property

See Also Report Control ActiveX Control v19.3

ShowFooterRows Property

Description

Hides or shows the footer rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowFooterRows() As Boolean

See Also

TrackControl Control | ShowHeaderRows Property | FooterRows Property | FooterRecords Property | FooterRowsAllowEdit Property


%%PageItemTitle%%

TrackControl Control | ReportColumn Groupable Property | FieldChooser Object | ShowItemsInGroups Property

See Also Report Control ActiveX Control v19.3

ShowGroupBox Property

Description

Specifies whether the Group By box is shown at the top of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowGroupBox() As Boolean

Remarks

The Group By box allows the rows\records to be grouped simply by dragging the column headers into the box in the desired order. And columns added to the GroupsOrder collection will be displayed in the Group by box.

Example

[Displaying the Broup By box (Visual Basic)] This sample illustrates how to display the Group By box at the top of the ReportControl. The Group By box allows ReportColumn headers to be added to group the rows in the ReportControl.

    'This will cause the Group By box to be displayed at the top of the ReportControl
    wndReportControl.ShowGroupBox = True

See Also

TrackControl Control | ReportColumn Groupable Property | FieldChooser Object | ShowItemsInGroups Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ShowHeader Property

Description

The ShowHeader property is used to hide or display the Column Headers in the Report Control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHeader() As Boolean

Remarks

Set ShowHeader to FALSE to hide the Column headers.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ShowFooterRows Property | HeaderRows Property | HeaderRecords Property | HeaderRowsAllowEdit Property

See Also Report Control ActiveX Control v19.3

ShowHeaderRows Property

Description

Hides or shows the header rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHeaderRows() As Boolean

See Also

TrackControl Control | ShowFooterRows Property | HeaderRows Property | HeaderRecords Property | HeaderRowsAllowEdit Property


%%PageItemTitle%%

TrackControl Control | SortPriority Property | GroupPriority Property | GroupCaption Property | ShowGroupBox Property

See Also Report Control ActiveX Control v19.3

ShowItemsInGroups Property

Description

Specifies whether the ReportRecordItems will be automatically shown in groups when a column is sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowItemsInGroups() As Boolean

Remarks

If True, when a column header is clicked on to be sorted, that column is automatically added to the Group By box and the rows are grouped by that header. Rows can only be automatically grouped by one column at a time, when another column header is clicked, the rows are then grouped by that column.

You can also use the ReportControl's SortOrder to determine how the rows\records will be grouped. The records\rows in the ReportControl will automatically be grouped by the first column that was added to the ReportControl's SortOrder. If no columns were added to the ReportControl's SortOrder, then the rows\records will not be grouped.

After the rows\records are grouped, they are sorted according to their SortPriority.

Example

[ShowItemsInGroups Sample (Visual Basic)] This sample illustrates how to use the ShowItemsInGroups property.

    'This code below will add three columns to the SortOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be sorted by column 7,
    'which has an index of zero (0) in the SortOrder collection. Columns are first sorted
    'in the order that they are added to the SortOrder collection.
    wndReportControl.SortOrder.Add wndReportControl.Columns(7)
    wndReportControl.SortOrder.Add wndReportControl.Columns(2)
    wndReportControl.SortOrder.Add wndReportControl.Columns(5)

    'This will cause the column at index 0 of the SortOrder collection to be sorted
    'in descending order.
    wndReportControl.SortOrder(1).SortAscending = False

    'This will cause the rows\records to be grouped according to the column arrangement
    'in the ReportControl's SortOrder column collection.
    'In this sample, the rows\records will first be grouped by column 7, then by column 2
    'in desecnding order, and last by column 5.
    wndReportControl.ShowItemsInGroups = True

See Also

TrackControl Control | SortPriority Property | GroupPriority Property | GroupCaption Property | ShowGroupBox Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ShowRowFocus Property

Description

Specifies whether to draw a focus rectangle around the focused row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowRowFocus() As Boolean

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | TimeLinePosition Property

See Also Report Control ActiveX Control v19.3

ShowTimeLinePosition Property

Description

Specifies whether to show or hide the time line position marker. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTimeLinePosition() As Boolean

Return Type

True to display the time line marker, False to hide the time line marker.

Remarks

ShowTimeLinePosition specifies whether to show or hide the time line position marker.

See Also

TrackControl Control | TimeLinePosition Property


%%PageItemTitle%%

TrackControl Control | WorkAreaMax Property | WorkAreaMin Property

See Also Report Control ActiveX Control v19.3

ShowWorkArea Property

Description

Specifies whether to display the work area in the track control. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWorkArea() As Boolean

Return Type

True to show the work area, False to hide the work area.

Remarks

If False, the shaded work area and slider will be hidden.

See Also

TrackControl Control | WorkAreaMax Property | WorkAreaMin Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SkipGroupsFocus Property

Description

Specifies whether groups are skipped when navigating the ReportControl with the Up and Down keys.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SkipGroupsFocus() As Boolean

Remarks

By default, SkipGroupFocus is True. If True, when navigating the rows with the Up and Down keys in the ReportControl the group headings will be skipped and the next non-group heading row will be selected.

If False, when navigating the rows with the Up and Down keys in the ReportControl all rows will be selected, even group headings.

SkipGroupFocus also effects selection when using the mouse. When selecting multiple rows and SkipGroupFocus is False all groups rows will become selected, if True, then group rows won't be selected.

Example

[Disabling SkipGroupsFocus (Visual Basic)] This sample illustrates how to disable SkipGroupFocus. This will allow GroupRows to have focus when using the Up and Down arrow keys to select rows in the ReportControl.

    'This will disable SkipGroupsFocus, now GroupRows can have focus
    'When the Up and Down keys are used to navigate the rows in the
    'ReportControl.
    wndReportControl.SkipGroupsFocus = False

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | SnapToBlocks Property | SnapToMarkers Property

See Also Report Control ActiveX Control v19.3

SnapMargin Property

Description

Specifies the margin that a block must be dragged into before it will snap to another block or snap to a marker. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property SnapMargin() As Integer

Return Type

The margin, in pixels, that a block must be dragged into before it will snap to another block or snap to a marker.

Remarks

SnapMargin specifies the margin, in pixels, that a block must be dragged into before it will snap to another block or snap to a marker.

When dragging a block it will attempt to "snap" to the nearest adjacent block or marker once the block being dragged enters the "SnapMargin" of the marker or block.

TrackControl.SnapMargin = 10
TrackControl.SnapToBlocks = True
TrackControl.SnapToMarkers = True

See Also

TrackControl Control | SnapToBlocks Property | SnapToMarkers Property


%%PageItemTitle%%

TrackControl Control | SnapMargin Property | SnapToMarkers Property

See Also Report Control ActiveX Control v19.3

SnapToBlocks Property

Description

Gets or sets whether blocks getting dragged will "snap" to other adjacent blocks. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property SnapToBlocks() As Boolean

Return Type

True to snap to other blocks, False to not snap to other blocks.

Remarks

When SnapToBlocks is True, while dragging a block it will attempt to "snap" to the nearest adjacent block once the block being dragged enters the "SnapMargin" of the block.

The SnapMargin specifies the margin, in pixels, that a block must be dragged into before it will snap to another block or snap to a marker.

TrackControl.SnapMargin = 10
TrackControl.SnapToBlocks = True
TrackControl.SnapToMarkers = True

See Also

TrackControl Control | SnapMargin Property | SnapToMarkers Property


%%PageItemTitle%%

TrackControl Control | SnapMargin Property | SnapToBlocks Property

See Also Report Control ActiveX Control v19.3

SnapToMarkers Property

Description

Gets or sets whether blocks getting dragged will "snap" to markers. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property SnapToMarkers() As Boolean

Return Type

True to snap to other markers, False to not snap to other markers.

Remarks

When SnapToMarkers is True, while dragging a block it will attempt to "snap" to the nearest marker once the block being dragged enters the "SnapMargin" of the marker.

The SnapMargin specifies the margin, in pixels, that a block must be dragged into before it will snap to another block or snap to a marker.

TrackControl.SnapMargin = 10
TrackControl.SnapToBlocks = True
TrackControl.SnapToMarkers = True

See Also

TrackControl Control | SnapMargin Property | SnapToBlocks Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SortLocale Property

Description

Specifies how text, dates, times, and currencies are sorted based on local.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortLocale() As Long

Remarks

By default, the report control will sort using the computers currently set local. To change this, the LCID for the desired local must be set using the SortLocale property. The LCID for your local can be looked up in the MSDN documentation.

The LCID property specifies how text, dates, times, and currencies are formatted. LCIDs are not the same for each geographical locale. Some locales format dates as YY-MM-DD and some format dates as MM-DD-YYYY. The LCID property is read/write.

Example

[[New Example] (Visual Basic)]

    'Uses the Norwegian sorting rules
    wndReportControl.SortLocale = 1044

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

SortOrder Property

Description

A collection of ReportColumns used to determine how the ReportControl is sorted. (I.e. First by column A in ascending order, then by column B in descending order, etc...)

Property type

Read-only property

Syntax (Visual Basic)

Public Property SortOrder() As ReportColumnOrder

Remarks

The order in which the columns are added to the collection of sort columns determine the

precedence.

Example

[Sorting columns in the ReportControl (Visual Basic)] This sample illustrates how to sort the columns in the ReportControl. If you had 8 columns added to the ReportControl, this sample would sort the columns first by the column at Itemindex 7, then by the column at ItemIndex 2, then by the column at ItemIndex 5.

    'This code below will add three columns to the SortOrder collection of coluns.
    'This will cause the columns in the ReportControl to first be sorted by column 7,
    'which has an index of zero (0) in the SortOrder collection. Columns are first sorted
    'in the order that they are added to the SortOrder collection.
    wndReportControl.SortOrder.Add wndReportControl.Columns(7)
    wndReportControl.SortOrder.Add wndReportControl.Columns(2)
    wndReportControl.SortOrder.Add wndReportControl.Columns(5)

    'This will cause the column at index 0 of the SortOrder collection to be sorted
    'in descending order.
    wndReportControl.SortOrder(1).SortAscending = False

See Also

TrackControl Control | ReportColumnOrder Object | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

TrackControl Control | SortOrder Property

See Also Report Control ActiveX Control v19.3

SortRecordChildren Property

Description

Specifies whether to apply the sort order to record children.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortRecordChildren() As Boolean

Remarks

This will cause the children records of the ReportColumns to be sorted as well. First by the parent column, then the children rows will get sorted.

See Also

TrackControl Control | SortOrder Property


%%PageItemTitle%%

TrackControl Control | BestFitMode Property | AutoSize Property

See Also Report Control ActiveX Control v19.3

StrictBestFit Property

Description

Specifies that BestFitMode will only be used in non-autosize mode (when AutoSize is False).

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrictBestFit() As Boolean

See Also

TrackControl Control | BestFitMode Property | AutoSize Property


%%PageItemTitle%%

TrackControl Control | ViewPortMin Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property

See Also Report Control ActiveX Control v19.3

TimeLineMax Property

Description

Gets or sets the maximum value the time line can represent. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeLineMax() As Integer

Return Type

The maximum value the time line can represent.

Remarks

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

See Also

TrackControl Control | ViewPortMin Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property


%%PageItemTitle%%

TrackControl Control | TimeLineMax Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property

See Also Report Control ActiveX Control v19.3

TimeLineMin Property

Description

Gets or sets the minimum value the time line can represent. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeLineMin() As Integer

Return Type

The minimum value the time line can represent.

Remarks

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

See Also

TrackControl Control | TimeLineMax Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property


%%PageItemTitle%%

TrackControl Control | TimeLineMax Property | TimeLineMin Property | ViewPortMax Property | ViewPortMin Property | ShowTimeLinePosition Property

See Also Report Control ActiveX Control v19.3

TimeLinePosition Property

Description

Gets or sets the position of the Time Line Marker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeLinePosition() As Integer

Return Type

The position of the Time Line Marker.

Remarks

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

See Also

TrackControl Control | TimeLineMax Property | TimeLineMin Property | ViewPortMax Property | ViewPortMin Property | ShowTimeLinePosition Property


%%PageItemTitle%%

TrackControl Control | ToolTipContext Object | MaxTipWidth Property | Style Property | TipBkColor Property | TipTextColor Property

See Also Report Control ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for CommandBar controls. This includes both menu items and toolbar items.

See the ToolTipContext object for a complete list of methods and properties.

See Also

TrackControl Control | ToolTipContext Object | MaxTipWidth Property | Style Property | TipBkColor Property | TipTextColor Property


%%PageItemTitle%%

TrackControl Control | FocusedRow Property

See Also Report Control ActiveX Control v19.3

TopRowIndex Property

Description

The TopRowIndex property will either return the index of the top most row or it will scroll a row until it is the top most row in the report control view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopRowIndex() As Long

Remarks

When setting a value to the TopRowIndex property, the system scrolls the report control view until either the item with the specified Index appears at the top of the view or the maximum scroll range has been reached (For example, the item might be the last item, so it can not be scrolled to the top, but it will be scrolled into view). This will force the row with the provided index to be the top most row in the view.

When retrieving a value from the TopRowIndex property, the index of the top most row is returned.

Example

[TopRowIndex Sample (Visual Basic)] This sample illustrates how to use the TopRowIndex property to retrieve the index of the top most row and to foce a row to be the top most row.

    'Forces the row with index of 20 to be the top most row int he report view.
    wndReportControl.TopRowIndex = 20

    'Retrieves the index of the top most row
    Debug.Print "Index of top row: " & wndReportControl.TopRowIndex

See Also

TrackControl Control | FocusedRow Property


%%PageItemTitle%%

TrackControl Control | AllowEdit Property | EditOnClick Property | BeginEdit Event

See Also Report Control ActiveX Control v19.3

TrapTabKey Property

Description

Specifies whether the TAB key will invoke the BeginEdit event when an item begins to be edited by the user (This allows the application to trap\see the TAB key was pressed instead of the report's internat edit controls eating this message).

Property type

Read-write property

Syntax (Visual Basic)

Public Property TrapTabKey() As Boolean

Remarks

With this flag set in the case of AllowEdit = True and EditOnClick = True, a mouse click will immediately open the combo box or start editing in an edit box. However a TAB key press will just make next item selection without a call to BeginEdit so the application can trap this move and do something.

See Also

TrackControl Control | AllowEdit Property | EditOnClick Property | BeginEdit Event


%%PageItemTitle%%

TrackControl Control | Clear Method | Redo Method | Undo Method | CanRedo Property | CanUndo Property

See Also Report Control ActiveX Control v19.3

UndoManager Property

Description

Manager used to Undo and Redo edit operations in the track control. (Track Control)

Property type

Read-only property

Syntax (Visual Basic)

Public Property UndoManager() As TrackUndoManager

Return Type

Reference to the TrackUndoManager.

Remarks

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

See Also

TrackControl Control | Clear Method | Redo Method | Undo Method | CanRedo Property | CanUndo Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

UnrestrictedDragDrop Property

Description

Specifies whether child rows can be dropped to any position, not just among sibling child records.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UnrestrictedDragDrop() As Boolean

Return Type

Default is False. Set to True to allow a chile row to be dropped anywhere in the report.

Remarks

If True, and a child row is dropped outside it's sibling child rows it will become a new parent row at the dropped location.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ViewPortMin Property

See Also Report Control ActiveX Control v19.3

ViewPortMax Property

Description

Gets or sets the maximum value that represents the portion (zoom\scale) of the time line that will be in view. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewPortMax() As Integer

Return Type

The maximum value that represents the portion (zoom\scale) of the time line that will be in view.

Remarks

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

See Also

TrackControl Control | ViewPortMin Property


%%PageItemTitle%%

TrackControl Control | ViewPortMax Property

See Also Report Control ActiveX Control v19.3

ViewPortMin Property

Description

Gets or sets the minimum value that represents the portion (zoom\scale) of the time line that will be in view. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewPortMin() As Integer

Return Type

The minimum value that represents the portion (zoom\scale) of the time line that will be in view.

Remarks

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

Specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

See Also

TrackControl Control | ViewPortMax Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

VisualTheme Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPReportPaintTheme

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | SetWatermarkBitmap Method | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration

See Also Report Control ActiveX Control v19.3

WatermarkAlignment Property

Description

Gets or sets the alignment of the watermark.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WatermarkAlignment() As XTPReportWatermarkAlignment

Remarks

WatermarkAlignment uses these flags from the WatermarkAlignment enumeration to modify the watermark alignment.

See Also

TrackControl Control | SetWatermarkBitmap Method | SetWatermarkBitmapFromFile Method | XTPReportWatermarkAlignment Enumeration


%%PageItemTitle%%

TrackControl Control | WorkAreaMin Property

See Also Report Control ActiveX Control v19.3

WorkAreaMax Property

Description

Gets or sets the maximum value of the current work area within the time line. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkAreaMax() As Integer

Return Type

The maximum value of the current work area within the time line.

Remarks

The WorkArea specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

WorkAreaMin can be thought of as the starting position in the time line for the Work Area, and WorkAreaMax can be thought of as the end position in the time line for the Work Area.

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

See Also

TrackControl Control | WorkAreaMin Property


%%PageItemTitle%%

TrackControl Control | WorkAreaMax Property

See Also Report Control ActiveX Control v19.3

WorkAreaMin Property

Description

Gets or sets the minimum value of the current work area within the time line. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkAreaMin() As Integer

Return Type

The minimum value of the current work area within the time line.

Remarks

The WorkArea specifies the current work area within the time line. This area has it's own scroll bar at the top of the tracks that allows it to be moved as the user desires. The work area is displayed in the shaded area under the work area scroll bar.

TrackControl.WorkAreaMax = 75
TrackControl.WorkAreaMin = 25

This code specifies an work area of 50 units of time. The initial position of the work area will be from 25 units of time to 75 units of time. The user can move this using the scroll bar, as well as adjust the units of time it represents.

WorkAreaMin can be thought of as the starting position in the time line for the Work Area, and WorkAreaMax can be thought of as the end position in the time line for the Work Area.

The Time Line can represent any amount of time. Because of this, it is very likely you will not want to view the entire time line in the current view. For example, the time line might represent a 60 minute movie where the time units are in seconds. In that case the timeline would go from 0 to 3600, where you are likely only wanting to see 60 seconds in full view.

To create the scenario from above, you set the minimum and maximum time line values and the amount of time in the current view (ViewPort).

Setting the Time Line Bounds, this will set the total length of the time line:

TrackControl.TimeLineMax = 3600
TrackControl.TimeLineMin = 0

This code sets the time line with a range of 0 to 3600 units of time

The current position of time in the time line is indicated with the Time Line Position.

TrackControl.TimeLinePosition = 50

The time line position tracker simply shows the current position in time, for example, it can be used to show the current time in a movie playing as it progresses through the track.

Specifying the portion (zoom\scale) of the time line that will be in view, which we call the View Port:

TrackControl.ViewPortMax = 60
TrackControl.ViewPortMin = 0

This code sets the View Port to show only 60 units of time out of the 3600 units of time set above.

See Also

TrackControl Control | WorkAreaMax Property


%%PageItemTitle%%

TrackControl Control | BeforePaste Event | BeforePasteFromText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record

Pointer to the ReportRecord that contains the text values that will be copied to the clipboard.

strText

Tab delimited string that contains all the text data from the Record before it has been copied to the clipboard.

CancelOperation

Set to True to cancel the copy operation. No will be copied to the clipboard.

See Also Report Control ActiveX Control v19.3

BeforeCopyToText Event

Description

Occurs before all text data from a record is copied to the clipboard.

Syntax

Public Event BeforeCopyToText( _
   ByVal Record As ReportRecord, _
   ByRef strText As String, _
   ByRef CancelOperation As Variant _
)

Parameters

Record

Pointer to the ReportRecord that contains the text values that will be copied to the clipboard.

strText

Tab delimited string that contains all the text data from the Record before it has been copied to the clipboard.

CancelOperation

Set to True to cancel the copy operation. No will be copied to the clipboard.

Remarks

The BeforeCopyToText event allows the record data (strText) to be customized before is is copied to the clipboard.

See Also

TrackControl Control | BeforePaste Event | BeforePasteFromText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

TrackControl Control | Redraw Method | MeasureRow Event | DrawItem Event | SetCustomDraw Method | XTPReportCustomDraw Enumeration

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

Item

The ReportRecordItem in the ReportRow that is about to be drawn.

Metrics

Dynamic metrics (backcolor, forecolor, text, font) of the ReportRecordItem about to be drawn.

See Also Report Control ActiveX Control v19.3

BeforeDrawRow Event

Description

Occurs before each ReportRecordItem is drawn in each ReportRow.

Syntax

Public Event BeforeDrawRow( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal Metrics As ReportRecordItemMetrics _
)

Parameters

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

Item

The ReportRecordItem in the ReportRow that is about to be drawn.

Metrics

Dynamic metrics (backcolor, forecolor, text, font) of the ReportRecordItem about to be drawn.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

Occurs before each ReportRecordItem is drawn. This event is executed for each ReportRecordItem in the ReportControl when the Redraw method is called.

On mouse over, this event is trigger for the individual ReportRecordItem that the mouse is currently over and will be called each time the mouse moves. Any time the ReportControl needs to be redrawn, this event is triggered.

The Metrics parameter is used for dynamic metrics only. This object is used to group together and store the general drawing metrics of the ReportRecordItem stored in the Item parameter, such as the forecolor, backcolor, font, and text of the ReportRecordItem.

See Also

TrackControl Control | Redraw Method | MeasureRow Event | DrawItem Event | SetCustomDraw Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

TrackControl Control | BeforePasteFromText Event | BeforeCopyToText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record

Pointer to the new ReportRecord that will contain the binary data.

CancelOperation

Set to True to cancel the paste operation. No record will be inserted into the report.

See Also Report Control ActiveX Control v19.3

BeforePaste Event

Description

Occurs after creating new record using binary data read from the clipboard, but before the record is added to the report.

Syntax

Public Event BeforePaste( _
   ByVal Record As ReportRecord, _
   ByRef CancelOperation As Variant _
)

Parameters

Record

Pointer to the new ReportRecord that will contain the binary data.

CancelOperation

Set to True to cancel the paste operation. No record will be inserted into the report.

Remarks

The BeforePaste event allows the record (Record) to be customized before the new record is inserted into the report.

See Also

TrackControl Control | BeforePasteFromText Event | BeforeCopyToText Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

TrackControl Control | BeforeCopyToText Event | BeforePaste Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property

Record

Pointer to the new ReportRecord that will contain the text data.

strText

String that contains record items values delimited by tabs.

CancelOperation

Set to True to cancel the paste operation. No record will be inserted into the report.

See Also Report Control ActiveX Control v19.3

BeforePasteFromText Event

Description

Occurs before a record that contains ONLY text data is inserted\pasted into the report.

Syntax

Public Event BeforePasteFromText( _
   ByVal Record As ReportRecord, _
   ByRef strText As String, _
   ByRef CancelOperation As Variant _
)

Parameters

Record

Pointer to the new ReportRecord that will contain the text data.

strText

String that contains record items values delimited by tabs.

CancelOperation

Set to True to cancel the paste operation. No record will be inserted into the report.

Remarks

The BeforePasteFromText event allows the record (Record) and record data (strText) to be customized before the new record is inserted into the report.

See Also

TrackControl Control | BeforeCopyToText Event | BeforePaste Event | Copy Method | Cut Method | Paste Method | CanCopy Property | CanCut Property | CanPaste Property


%%PageItemTitle%%

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | DropRecords Event | XTPReportDragDrop Enumeration

Records

ReportRecords collection containing all of the records that will be dragged. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

See Also Report Control ActiveX Control v19.3

BeginDrag Event

Description

Occurs when records start to be dragged from\within the Report Control.

Syntax

Public Event BeginDrag( _
   ByVal Records As ReportRecords _
)

Parameters

Records

ReportRecords collection containing all of the records that will be dragged. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

Remarks

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

Notes:

The DropRecords event occurs when records are dropped into a Report Control, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

CreateRecordsis primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecordswith the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

See Also

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | DropRecords Event | XTPReportDragDrop Enumeration

Example

Drag and Drop Sample


%%PageItemTitle%%

TrackControl Control | InplaceEditHwnd Property

Row

Reference to the ReportRow that contains the ReportRecordItem that is beginning editing.

Column

Reference to the ReportColumn that contains the ReportRecordItem that is beginning editing.

Item

Reference to the ReportRecordItem that is beginning editing.

See Also Report Control ActiveX Control v19.3

BeginEdit Event

Description

Occurs when the user begins to edit an item.

Syntax

Public Event BeginEdit( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

Reference to the ReportRow that contains the ReportRecordItem that is beginning editing.

Column

Reference to the ReportColumn that contains the ReportRecordItem that is beginning editing.

Item

Reference to the ReportRecordItem that is beginning editing.

See Also

TrackControl Control | InplaceEditHwnd Property


%%PageItemTitle%%

TrackControl Control | TrackBlock IsKey Property

Block
Reference to the block or key that was changed.
See Also Report Control ActiveX Control v19.3

BlockChanged Event

Description

Occurs when a block or key in the track control has changed size or position. (Track Control)

Syntax

Public Event BlockChanged( _
   ByVal Block As TrackBlock _
)

Parameters

Block
Reference to the block or key that was changed.

Remarks

BlockChanged occurs when a block or key in the track control has changed size or position. Use TrackBlock IsKey to determine if the TrackBlock represents a block or a key.

See Also

TrackControl Control | TrackBlock IsKey Property


%%PageItemTitle%%

TrackControl Control | SendContextMenuForWholeHeaderArea Property

Column

The ReportColumn that was right-clicked

See Also Report Control ActiveX Control v19.3

ColumnClick Event

Description

Occurs when a ReportColumn header or Report Header Area is right-clicked in the ReportControl.

Syntax

Public Event ColumnClick( _
   ByVal Column As ReportColumn _
)

Parameters

Column

The ReportColumn that was right-clicked

Remarks

This can be used to display a context menu when the column header has been right-clicked.

The SendContextMenuForWholeHeaderArea property specifies whether the ColumnClick event will be called when the right mouse button is click anywhere over the report header, not just the column headers.

See Also

TrackControl Control | SendContextMenuForWholeHeaderArea Property


%%PageItemTitle%%

TrackControl Control

Column

Affected column.

Reason

Reason the event occured (The reason a column's order has changed.).

See Also Report Control ActiveX Control v19.3

ColumnOrderChangedEx Event

Description

Occurs when the order of the columns change.

Syntax

Public Event ColumnOrderChangedEx( _
   ByVal Column As ReportColumn, _
   ByVal Reason As XTPReportColumnOrderChangedReason _
)

Parameters

Column

Affected column.

Reason
Value | Description
xtpReportColumnChangeOther | Neither column order nor group order is changed.
xtpReportColumnOrderChanged | Column order changed.
xtpReportColumnGroupOrderChanged | Group order changed.
xtpReportColumnOrderChangedMask | A mask for order change flags.
xtpReportColumnAdded | A column is added to the column list.
xtpReportColumnRemoved | A column is removed from the column list.
xtpReportColumnPropExchange | The column properties changed during properties exchange procedure.
xtpReportColumnCaptionChanged | The column caption is changed.
xtpReportColumnWidthChanged | The column width is changed.
xtpReportColumnShown | A column visibility property is changed to "visible".
xtpReportColumnHidden | A column visibility property is changed to "hidden".
xtpReportColumnMoved | A column is moved.
xtpReportColumnAddedToGroupby | A column is added to the GroupBy box.
xtpReportColumnRemovedFromGroupby | A column is removed from the GroupBy box.
xtpReportColumnAddedToFieldChooser | A column is added to the Field Chooser.
xtpReportColumnRemovedFromFieldChooser | A column is removed from the Field Chooser.
xtpReportColumnChangeMask | A mask for column change flags.

Reason the event occured (The reason a column's order has changed.).

Remarks

This event occurs when a columns order is changed by the user dragging the column to another position, when a column header is dragged into the Group By box, when the order of the column headers change in the Group By box, when a column header is clicked on and/or dragged in the FieldChooser, and when a column header is added to the FieldChooser.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Column

Reference to the ReportColumn in which the column width was changed.

PrevWidth

Previous width of the column.

NewWidth

New width of the column.

See Also Report Control ActiveX Control v19.3

ColumnWidthChanged Event

Description

Occurs when the width of a column has changed.

Syntax

Public Event ColumnWidthChanged( _
   ByVal Column As ReportColumn, _
   ByVal PrevWidth As Integer, _
   ByVal NewWidth As Integer _
)

Parameters

Column

Reference to the ReportColumn in which the column width was changed.

PrevWidth

Previous width of the column.

NewWidth

New width of the column.

Remarks

Occurs when the width of a column has changed. This can happen when the user changes the width or when the Report Control automatically changes the width.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

Row that contains the constraint list currently being navigated.

Column

Column that contains the constraint list currently being navigated.

Item

Item that contains the constraint list currently being navigated.

Constraint

Currently selected constraint in the constraint list.

See Also Report Control ActiveX Control v19.3

ConstraintSelecting Event

Description

Occurs when a constraints list is navigated with the keyboard arrow keys.

Syntax

Public Event ConstraintSelecting( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByVal Constraint As ReportRecordItemConstraint _
)

Parameters

Row

Row that contains the constraint list currently being navigated.

Column

Column that contains the constraint list currently being navigated.

Item

Item that contains the constraint list currently being navigated.

Constraint

Currently selected constraint in the constraint list.

Remarks

Occurs when a constraints list is navigated with the keyboard arrow keys.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | EnableDragDrop Method | DragRecords Method | BeginDrag Event | DropRecordsEx Event

Records

ReportRecords collection containing all of the records that have been dragged or dropped.

dropEffect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

See Also Report Control ActiveX Control v19.3

DragDropCompleted Event

Description

Occurs when the drag and drop operation has completed.

Syntax

Public Event DragDropCompleted( _
   ByVal Records As ReportRecords, _
   ByVal dropEffect As Long _
)

Parameters

Records

ReportRecords collection containing all of the records that have been dragged or dropped.

dropEffect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

See Also

TrackControl Control | EnableDragDrop Method | DragRecords Method | BeginDrag Event | DropRecordsEx Event


%%PageItemTitle%%

TrackControl Control

TargetRecord

Reference to the ReportRecord that is currently being dragged over.

Records

Collection of ReportRecords being dragged.

Above

Specifies if the records will be dropped above or below the TargetRecord.

x

x-coordinate of the mouse cursor,

y

y-coordinate of the mouse cursor,

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also Report Control ActiveX Control v19.3

DragOverRecords Event

Description

Occurs when the user is dragging records over other record.

Syntax

Public Event DragOverRecords( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal state As Integer _
)

Parameters

TargetRecord

Reference to the ReportRecord that is currently being dragged over.

Records

Collection of ReportRecords being dragged.

Above

Specifies if the records will be dropped above or below the TargetRecord.

x

x-coordinate of the mouse cursor,

y

y-coordinate of the mouse cursor,

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | MeasureRow Event

Row

The ReportRow that contains the ReportRecordItem that is currently being drawn.

Column

The ReportColumn that that contains the items that is currently being drawn.

Item

The ReportRecordItem in the ReportRow that is currently being drawn.

hDC

Window device context for WinApi drawing calls.

left

Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

top

Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

right

Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

bottom

Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

See Also Report Control ActiveX Control v19.3

DrawItem Event

Description

Occurs when a ReportRecordItem is drawn.

Syntax

Public Event DrawItem( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByVal hDC As Integer, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long, _
   ByRef DoDefault As Boolean _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem that is currently being drawn.

Column

The ReportColumn that that contains the items that is currently being drawn.

Item

The ReportRecordItem in the ReportRow that is currently being drawn.

hDC

Window device context for WinApi drawing calls.

left

Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

top

Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

right

Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

bottom

Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

The DrawItem event can be used to do custom drawing such as drawing a progress bar in the item. To do custom drawing, DoDefault must be False.

See Also

TrackControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | MeasureRow Event


%%PageItemTitle%%

TrackControl Control | PreviewItem Property

Row

The ReportRow that contains the preview row that is currently being drawn.

Item

The "special" ReportRecordItem that represents the data displayed in the preview row. See PreviewItem for more details.

hDC

Window device context for WinApi drawing calls.

left

Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

top

Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

right

Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

bottom

Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

See Also Report Control ActiveX Control v19.3

DrawPreviewItem Event

Description

Occurs when the preview item for each ReportRow is drawn.

Syntax

Public Event DrawPreviewItem( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal hDC As Integer, _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long, _
   ByRef DoDefault As Boolean _
)

Parameters

Row

The ReportRow that contains the preview row that is currently being drawn.

Item

The "special" ReportRecordItem that represents the data displayed in the preview row. See PreviewItem for more details.

hDC

Window device context for WinApi drawing calls.

left

Specifies the x-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

top

Specifies the y-coordinate of the upper-left corner of the bounding rectangle that the item is drawn in.

right

Specifies the x-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

bottom

Specifies the y-coordinate of the lower-right corner of the bounding rectangle that the item is drawn in.

DoDefault

True to allow the ReportControl to draw the item normally.

False to do custom drawing. For example, drawing a progress bar in the item or changing the text.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

See Also

TrackControl Control | PreviewItem Property


%%PageItemTitle%%

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | XTPReportDragDrop Enumeration | RecordsDropped Event

TargetRecord

Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.

Records

ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

Above

Specifies if the records were dropped above or below the TargetRecord.

See Also Report Control ActiveX Control v19.3

DropRecordsEx Event

Description

Occurs when records are dropped into a Report Control but before they are actually added to the report.

Syntax

Public Event DropRecordsEx( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean _
)

Parameters

TargetRecord

Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.

Records

ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

Above

Specifies if the records were dropped above or below the TargetRecord.

Remarks

The DropRecordsEx event occurs when records are dropped into a Report Control but before they are actually added to the report, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

The RecordsDropped event occurs once the records have actually been added to the report and the report has been updated.

Notes:

The BeginDrag event occurs when records are being dragged from the Report Control, and provides a ReportRecords collection containing all of the selected records when the drag operation started. This gives the opportunity to modify the ReportRecords collection before they are actually added to the clipboard.

CreateRecords is primarily used to create an empty ReportRecords collection in Drag and Drop operations. The new ReportRecords collection is used to create a collection of ReportRecord objects to be dropped into the Report Control or to retrieve records that have been dragged out of the Report Control.

The CreateRecordsFromDropArray method is used when retrieving records that have been dragged from the Report Control. CreateRecordsFromDropArray accepts the ByteArray returned from the Data.GetData parameter from any control's OLEDragDrop event and populates a ReportRecords collection created by CreateRecords with the records stored on the clipboard.

The DragRecords method is used to prepare records to be dropped into the Report Control. DragRecords accepts a ReportRecords collection created by CreateRecords. Any records that have been prepared using DragRecords will be added to the Report when the items are dropped into the Report Control. Typically DragRecords would be used in the MouseMove event of the control from which items are being dragged. The Report Control will automatically add the new records to the report once they have been dropped.

To enable Drag and Drop in a Report Control the EnableDragDrop method must be used. EnableDragDrop does two things, first it sets a clipboard string that will be used to indicate the type of data that is copied to the clipboard. Second, it sets the drag and drop effects that are allowed when dragging items to\from the report control. The available effects are stored in the XTPReportDragDrop enumeration. If dragging items to\from one or more Report Control's, the same clipboard string must be used for all Report Control's when calling EnableDragDrop.

See Also

TrackControl Control | CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | XTPReportDragDrop Enumeration | RecordsDropped Event

Example

Drag and Drop Sample


%%PageItemTitle%%

TrackControl Control

Row

Item's row pointer

Column

Item's column pointer

Item

Pointer to the associated item.

See Also Report Control ActiveX Control v19.3

EditCanceled Event

Description

Occurs when in-place editing is canceled and value is not changed.

Syntax

Public Event EditCanceled( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

Item's row pointer

Column

Item's column pointer

Item

Pointer to the associated item.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | FocusChanged Event | SelectionChanged Event

NewRow

Reference to the new ReportRow which has been selected.

NewColumn

Reference to the new ReportColumn which has been selected.

NewItem

Reference to the new ReportRecordItem which has been selected.

Cancel

Set to True to cancel the selection operation.

See Also Report Control ActiveX Control v19.3

FocusChanging Event

Description

Occurs before a user selects a row or a column.

Syntax

Public Event FocusChanging( _
   ByVal NewRow As ReportRow, _
   ByVal NewColumn As ReportColumn, _
   ByVal NewItem As ReportRecordItem, _
   ByRef Cancel As Boolean _
)

Parameters

NewRow

Reference to the new ReportRow which has been selected.

NewColumn

Reference to the new ReportColumn which has been selected.

NewItem

Reference to the new ReportRecordItem which has been selected.

Cancel

Set to True to cancel the selection operation.

Remarks

Before the user selects a row in the ReportControl, it fires the FocusChanging event. The SelectionChanged event is fired when the focus has changed.

See Also

TrackControl Control | FocusChanged Event | SelectionChanged Event


%%PageItemTitle%%

TrackControl Control | ReportToolTipInfo Object

toolTipInfo

Contains a reference to the item, row, and text for the tooltip.

See Also Report Control ActiveX Control v19.3

GetToolTipInfo Event

Description

Occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed.

Syntax

Public Event GetToolTipInfo( _
   ByVal toolTipInfo As ReportToolTipInfo _
)

Parameters

toolTipInfo

Contains a reference to the item, row, and text for the tooltip.

Remarks

GetToolTipInfo occurs before a tooltip is displayed in the report given you a chance to edit it before it is displayed. You can view and edit the text that will be displayed in the tool tip using the ToolTipText property of ReportToolTipInfo.

Tooltips are only displayed for items with text that is not totally visible.

See Also

TrackControl Control | ReportToolTipInfo Object


%%PageItemTitle%%

TrackControl Control

Effect
DragStarted
Cancel
See Also Report Control ActiveX Control v19.3

GiveFeedback Event

Syntax

Public Event GiveFeedback( _
   ByVal Effect As Long, _
   ByVal DragStarted As Boolean, _
   ByRef Cancel As Boolean _
)

Parameters

Effect
DragStarted
Cancel

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Column
Reason
See Also Report Control ActiveX Control v19.3

GroupOrderChangedEx Event

Description

Occurs when the user changes the columns group order of report control.

Syntax

Public Event GroupOrderChangedEx( _
   ByVal Column As ReportColumn, _
   ByVal Reason As XTPReportColumnOrderChangedReason _
)

Parameters

Column
Reason
Value | Description
xtpReportColumnChangeOther | Neither column order nor group order is changed.
xtpReportColumnOrderChanged | Column order changed.
xtpReportColumnGroupOrderChanged | Group order changed.
xtpReportColumnOrderChangedMask | A mask for order change flags.
xtpReportColumnAdded | A column is added to the column list.
xtpReportColumnRemoved | A column is removed from the column list.
xtpReportColumnPropExchange | The column properties changed during properties exchange procedure.
xtpReportColumnCaptionChanged | The column caption is changed.
xtpReportColumnWidthChanged | The column width is changed.
xtpReportColumnShown | A column visibility property is changed to "visible".
xtpReportColumnHidden | A column visibility property is changed to "hidden".
xtpReportColumnMoved | A column is moved.
xtpReportColumnAddedToGroupby | A column is added to the GroupBy box.
xtpReportColumnRemovedFromGroupby | A column is removed from the GroupBy box.
xtpReportColumnAddedToFieldChooser | A column is added to the Field Chooser.
xtpReportColumnRemovedFromFieldChooser | A column is removed from the Field Chooser.
xtpReportColumnChangeMask | A mask for column change flags.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Section
Position
See Also Report Control ActiveX Control v19.3

HScroll Event

Syntax

Public Event HScroll( _
   ByVal Section As Long, _
   ByVal Position As Long _
)

Parameters

Section
Position

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

Row that contains the clicked hyperlink.

Item

Item that contains the clicked hyperlink.

HyperlinkIndex

Index of the clicked hyperlink.

See Also Report Control ActiveX Control v19.3

HyperlinkClick Event

Description

Occurs when a hyperlink in an item is clicked.

Syntax

Public Event HyperlinkClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal HyperlinkIndex As Long _
)

Parameters

Row

Row that contains the clicked hyperlink.

Item

Item that contains the clicked hyperlink.

HyperlinkIndex

Index of the clicked hyperlink.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportInplaceButton Object | Column Property | Id Property | Item Property | Row Property

Button

[out] A ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. The Id indicates the type of button pressed.

See Also Report Control ActiveX Control v19.3

InplaceButtonDown Event

Description

Occurs when a combo button or expand button that was added by the developer is clicked in an editable ReportRecordItem.

Syntax

Public Event InplaceButtonDown( _
   ByVal Button As ReportInplaceButton _
)

Parameters

Button

[out] A ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. The Id indicates the type of button pressed.

Remarks

The Button parameter is a ReportInplaceButton object that contains the Column, Item, Row, and Id of the button that was pressed. This can be used to determine the Column, Item, and Row the button is in, and the Id indicates the type of button pressed.

See Also

TrackControl Control | ReportInplaceButton Object | Column Property | Id Property | Item Property | Row Property


%%PageItemTitle%%

TrackControl Control | InplaceButtonDown Event | InplaceEditHwnd Property

Row

ReportRow that contains the ReportRecordItem that is currently getting edited.

Column

ReportColumn that contains the ReportRecordItem that is currently getting edited.

Item

ReportRecordItem that contains the in-place button that is currently getting edited.

NewValue

The new value of the item with the changed that have been made.

Cancel

Set to True to cancel the edit operation.

See Also Report Control ActiveX Control v19.3

InplaceEditChanging Event

Description

Occurs when an in-place button is used to edit an item's value.

Syntax

Public Event InplaceEditChanging( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef NewValue As String, _
   ByRef Cancel As Boolean _
)

Parameters

Row

ReportRow that contains the ReportRecordItem that is currently getting edited.

Column

ReportColumn that contains the ReportRecordItem that is currently getting edited.

Item

ReportRecordItem that contains the in-place button that is currently getting edited.

NewValue

The new value of the item with the changed that have been made.

Cancel

Set to True to cancel the edit operation.

See Also

TrackControl Control | InplaceButtonDown Event | InplaceEditHwnd Property


%%PageItemTitle%%

TrackControl Control

Row

Row of the button that was clicked.

Item

Item the the button belongs to for the button that was clicked.

Button

Button that was clicked.

See Also Report Control ActiveX Control v19.3

ItemButtonClick Event

Description

Occurs when an ReportItemControl button is clicked

Syntax

Public Event ItemButtonClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem, _
   ByVal Button As ReportItemControl _
)

Parameters

Row

Row of the button that was clicked.

Item

Item the the button belongs to for the button that was clicked.

Button

Button that was clicked.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ReportRecordItem HasCheckbox Property

Row

The ReportRow that contains the ReportRecordItem that was clicked.

Item

The ReportRecordItem that contains the checkbox that was clicked.

See Also Report Control ActiveX Control v19.3

ItemCheck Event

Description

Occurs when a checkbox of a ReportRecordItem is clicked.

Syntax

Public Event ItemCheck( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem that was clicked.

Item

The ReportRecordItem that contains the checkbox that was clicked.

Remarks

This event is not triggered if the checkbox is check via code.

See Also

TrackControl Control | ReportRecordItem HasCheckbox Property


%%PageItemTitle%%

TrackControl Control | FocusedRow Property | PreviewKeyDown Event

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

See Also Report Control ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed on the keyboard and the ReportControl has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

Remarks

This can be used in conjunction with the FocusedRow property to perform actions on the currently focused ReportRow and ReportRecordItems when a key or key combination is pressed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

The PreviewKeyDown event will occur immediately BEFORE the KeyDown event is fired to give you a chance to cancel or filter a key press if needed.

Example

[KeyDown event sample (Visual Basic)] This sample illustrates how to use the KeyDown event to check/un-check the checkbox of a ReportRecordItem in the currently focus ReportRow.

Private Sub wndReportControl_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next

    'If the SpaceBar is pressed, then toggle the state of the checkbox in
    'the first record of the focused row
    If (KeyCode = 32) Then
        Dim Item As ReportRecordItem
        'Returns a reference to the row that currently has focus
        Set Item = wndReportControl.FocusedRow.Record(0)
        Item.Checked = Not Item.Checked
    End If
End Sub

See Also

TrackControl Control | FocusedRow Property | PreviewKeyDown Event


%%PageItemTitle%%

TrackControl Control

KeyCode

ASCII code for the key that was released.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

See Also Report Control ActiveX Control v19.3

KeyUp Event

Description

Occurs when a key on the keyboard has been released (after being pressed) and the ReportControl has focus.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

ASCII code for the key that was released.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

Remarks

Occurs after a key has been pressed and then released.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | Markers Property | TrackMarker Object

Marker

Reference to the TrackMarker that was moved.

See Also Report Control ActiveX Control v19.3

MarkerChanged Event

Description

Occurs when a marker in the time line has changed size or position. (Track Control)

Syntax

Public Event MarkerChanged( _
   ByVal Marker As TrackMarker _
)

Parameters

Marker

Reference to the TrackMarker that was moved.

Remarks

MarkerChanged occurs when a marker in the time line has changed size or position.

See Also

TrackControl Control | Markers Property | TrackMarker Object


%%PageItemTitle%%

TrackControl Control | SetCustomDraw Method | XTPReportCustomDraw Enumeration

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

hDC

Window device context for WinApi drawing calls.

Width

Width of the row.

Height

Height of the Row.

See Also Report Control ActiveX Control v19.3

MeasurePreviewItem Event

Description

Occurs before a Preview Item is drawn.

Syntax

Public Event MeasurePreviewItem( _
   ByVal Row As ReportRow, _
   ByVal hDC As Integer, _
   ByVal Width As Integer, _
   ByRef Height As Integer _
)

Parameters

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

hDC

Window device context for WinApi drawing calls.

Width

Width of the row.

Height

Height of the Row.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

This event occurs before the BeforeDrawRow event and returns the bounding rectangle of the row that will be drawn. These coordinates can be used for custom drawing.

See Also

TrackControl Control | SetCustomDraw Method | XTPReportCustomDraw Enumeration


%%PageItemTitle%%

TrackControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | DrawItem Event

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

hDC

Window device context for WinApi drawing calls.

Width

Width of the row.

Height

Height of the Row.

See Also Report Control ActiveX Control v19.3

MeasureRow Event

Description

Occurs before a row is drawn.

Syntax

Public Event MeasureRow( _
   ByVal Row As ReportRow, _
   ByVal hDC As Integer, _
   ByVal Width As Integer, _
   ByRef Height As Integer _
)

Parameters

Row

The ReportRow that contains the next ReportRecordItem to be drawn.

hDC

Window device context for WinApi drawing calls.

Width

Width of the row.

Height

Height of the Row.

Remarks

Note: By default, this event will not occur. The SetCustomDraw method must be used to enable this event.

This event occurs before the BeforeDrawRow event and returns the bounding rectangle of the row that will be drawn. These coordinates can be used for custom drawing.

See Also

TrackControl Control | XTPReportCustomDraw Enumeration | SetCustomDraw Method | BeforeDrawRow Event | DrawItem Event


%%PageItemTitle%%

TrackControl Control

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

x

X coordinate of the mouse pointer.

y

Y coordinate of the mouse pointer.

See Also Report Control ActiveX Control v19.3

MouseDown Event

Description

Occurs when a button on the mouse is pressed anywhere on the ReportControl.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.

x

X coordinate of the mouse pointer.

y

Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TrackControl Control

Example

HitTest Method


%%PageItemTitle%%

TrackControl Control

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved

x

X coordinate of the mouse pointer

y

Y coordinate of the mouse pointer

See Also Report Control ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved anywhere over the ReportControl.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved

x

X coordinate of the mouse pointer

y

Y coordinate of the mouse pointer

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.

x

X coordinate of the mouse pointer.

y

Y coordinate of the mouse pointer.

See Also Report Control ActiveX Control v19.3

MouseUp Event

Description

Occurs when a button on the mouse has been released anywhere on the ReportControl.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Code indicating which button on the mouse was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.

x

X coordinate of the mouse pointer.

y

Y coordinate of the mouse pointer.

Remarks

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | OLEDragOver Event | OLEDropMode Property | OLEDropAbove Property

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Report Control ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

Example

[Drag and Drop from and external source (Visual Basic)] This sample illustrates how to drag and drop custom items into the report control. This sample assume this is a List View named wndListView.

Dim DragListItem As ListItem

Private Sub Form_Load()
    wndReportControl.Columns.Add 0, "Files", 100, True

    wndListView.ListItems.Add , , "File 1"
    wndListView.ListItems.Add , , "File 2"
    wndListView.ListItems.Add , , "File 3"
End Sub

Private Sub wndListView_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Button = vbLeftButton) Then
        Dim Item As ListItem
        Set Item = wndListView.HitTest(x, y)
        If (Not Item Is Nothing) Then
            Set DragListItem = Item
            wndListView.OLEDrag
            Set DragListItem = Nothing
        End If
    End If

End Sub

Private Sub wndListView_OLEStartDrag(Data As MSComctlLib.DataObject, AllowedEffects As Long)
    If Not DragListItem Is Nothing Then
        AllowedEffects = vbDropEffectCopy
        Data.SetData DragListItem.Text, vbCFText
    End If
End Sub

Private Sub wndListView_OLEDragDrop(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
        For Each File In Data.Files
            wndListView.ListItems.Add , , File
        Next
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndListView_OLEDragOver(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single, state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndReportControl_OLEDragDrop(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single)
Dim Record As ReportRecord

    If Data.GetFormat(vbCFText) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)

        Dim ht As ReportHitTestInfo

        Set ht = wndReportControl.HitTest(x / Screen.TwipsPerPixelX, y / Screen.TwipsPerPixelY)
        Dim Index As Long
        Index = wndReportControl.Records.Count

        If (Not ht.Row Is Nothing) Then
            If (Not ht.Row.Record Is Nothing) Then
                Index = ht.Row.Record.Index
                Dim RowLeft As Long, RowTop As Long, RowRight As Long, RowBottom As Long
                ht.Row.GetRect RowLeft, RowTop, RowRight, RowBottom
                If (RowTop + RowBottom) / 2 < y / Screen.TwipsPerPixelY Then Index = Index + 1
            End If
        End If

        Set Record = wndReportControl.Records.Insert(Index)

         Record.AddItem Text

        wndReportControl.Populate
    ElseIf Data.GetFormat(vbCFFiles) Then
        For Each File In Data.Files
            Set Record = wndReportControl.Records.Add
            Record.AddItem File
        Next
        wndReportControl.Populate
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndReportControl_OLEDragOver(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

[Drop file names from windows explorer using ReportControl_OLEDragDrop (Visual Basic)] This sample illustrates how to drag and drop file names from a Windows Explorer window into the Report using the ReportControl_OLEDragDrop event.

'Credits: to Karl E. Peterson (http://www.mvps.org/vb) for the FileInfo classes used.
'Credits: to Peter59 in Codejock Forums for the base sample we modified

Option Explicit

Private Const Modulname = "frmMain"
Dim xX As Integer, yY As Integer
Dim bAbove As Boolean

Private Sub Form_Load()

    InitReportControl

End Sub 'Form_Load()

Private Sub Form_Resize()
    wndReportControl.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight
End Sub 'Form_Resize()

Private Sub InitReportControl()

    With wndReportControl
        .PaintManager.ColumnStyle = xtpColumnResource
        .PaintManager.NoItemsText = "Drop files here..."

        .OLEDropMode = xtpOLEDropManual
        .EnableDragDrop "AUselessString", xtpReportAllowDrop
    End With

    With wndReportControl.Columns
        .Add 0, "FileNo", 30, True
        .Add 1, "Fullname", 150, True
        .Add 2, "Path", 150, True
        .Add 3, "Name", 150, True
    End With

    bAbove = True

    wndReportControl.SortedDragDrop = True

End Sub 'InitReportControl()

Private Sub wndReportControl_MouseMove(Button As Integer, Shift As Integer, x As Long, y As Long)
    xX = x
    yY = y
End Sub

Private Sub wndReportControl_OLEDragDrop(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single)

    Debug.Print "wndReportControl_OLEDragDrop..."

    If Data.GetFormat(vbCFFiles) Then

        Dim DroppedFiles As XtremeReportControl.DataObjectFiles
        Dim rptRec As XtremeReportControl.ReportRecord
        Dim rptRowDrop As XtremeReportControl.ReportRow

        Dim i As Integer, offset As Integer

        offset = 0
        Set rptRowDrop = Nothing

        If Not wndReportControl.HitTest(xX, yY).Row Is Nothing Then
            Set rptRowDrop = wndReportControl.HitTest(xX, yY).Row
            bAbove = False
        Else
            Select Case wndReportControl.HitTest(xX, yY).ht
                Case xtpHitTestReportArea:
                    bAbove = False
                Case xtpHitTestGroupBox, xtpHitTestHeader:
                    bAbove = True
                Case Default:
                    bAbove = False
            End Select
        End If

        Set DroppedFiles = Data.Files

        If (DroppedFiles Is Nothing) Then Exit Sub

        If Not rptRowDrop Is Nothing Then
            offset = rptRowDrop.Record.Index
        End If

        wndReportControl.SelectedRows.DeleteAll

        For i = 0 To DroppedFiles.Count - 1
            '-- add a new ReportRecord to the collection of records
            Set rptRec = New ReportRecord

            With rptRec
                .AddItem i + 1 + offset
                .AddItem DroppedFiles(i + 1)
                .AddItem GetPathPart(DroppedFiles(i + 1))
                .AddItem GetNamePart(DroppedFiles(i + 1))
            End With

            If wndReportControl.Records.Count = 0 Or bAbove = True Then
                wndReportControl.Records.InsertAt 0, rptRec
            ElseIf bAbove = False Then
                If rptRowDrop Is Nothing Then
                    wndReportControl.Records.InsertAt wndReportControl.Records.Count, rptRec
                Else
                    If wndReportControl.OLEDropAbove Then
                        wndReportControl.Records.InsertAt (offset), rptRec
                    Else
                        wndReportControl.Records.InsertAt (offset + 1), rptRec
                    End If
                End If
            End If

        Next i

        wndReportControl.Populate

    End If

End Sub 'wndReportControl_OLEDragDrop()

Private Sub wndReportControl_OLEDragOver(ByVal Data As XtremeReportControl.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal state As Integer)

End Sub 'wndReportControl_OLEDragOver()

Public Function GetNamePart(sFile As String) As String

    Dim iPos As Long

    On Error Goto Err_GetNamePart

    '-- search last backslash
    iPos = InStrRev(sFile, "\", -1, vbBinaryCompare)

    If iPos > 0 Then
        GetNamePart = Mid$(sFile, iPos + 1)
    Else
        GetNamePart = sFile
    End If

Exit_GetNamePart:
    Exit Function

Err_GetNamePart:
    MsgBox "Error: " & Err.Number & ". " & Err.Description, , Modulname & "_GetNamePart"
    Resume Exit_GetNamePart

End Function 'GetNamePart()

Public Function GetPathPart(sFile As String) As String

    Dim iPos As Long

    On Error Goto Err_GetPathPart

    '-- search last backslash
    iPos = InStrRev(sFile, "\", -1, vbBinaryCompare)

    If iPos > 0 Then
        GetPathPart = Left$(sFile, iPos)
    Else
        GetPathPart = sFile
    End If

Exit_GetPathPart:
    Exit Function

Err_GetPathPart:
    MsgBox "Error: " & Err.Number & ". " & Err.Description, , Modulname & "_GetPathPart"
    Resume Exit_GetPathPart

End Function 'GetPathPart()

See Also

TrackControl Control | OLEDragOver Event | OLEDropMode Property | OLEDropAbove Property


%%PageItemTitle%%

TrackControl Control | OLEDragDrop Event | OLEDropAbove Property | OLEDropMode Property

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also Report Control ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.

See Also

TrackControl Control | OLEDragDrop Event | OLEDropAbove Property | OLEDropMode Property

Example

OLEDragDrop Sample


%%PageItemTitle%%

TrackControl Control

Column

Column that contains the plus\minus button that was clicked.

See Also Report Control ActiveX Control v19.3

PlusMinusClick Event

Description

Occurs when a plus\minus button is clicked.

Syntax

Public Event PlusMinusClick( _
   ByVal Column As ReportColumn _
)

Parameters

Column

Column that contains the plus\minus button that was clicked.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | KeyDown Event

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

Cancel

Set to True to cancel the KeyDown event from occuring.

See Also Report Control ActiveX Control v19.3

PreviewKeyDown Event

Description

Occurs immediately before the KeyDown event.

Syntax

Public Event PreviewKeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer, _
   ByRef Cancel As Boolean _
)

Parameters

KeyCode

ASCII code for the key that was pressed.

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed

Cancel

Set to True to cancel the KeyDown event from occuring.

Remarks

The PreviewKeyDown event will occur immediately BEFORE the KeyDown event is fired to give you a chance to cancel or filter a key press if needed.

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TrackControl Control | KeyDown Event


%%PageItemTitle%%

TrackControl Control | DropRecordsEx Event

TargetRecord

Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.

Records

ReportRecords collection containing all of the records that will be dropped into the Report Control.

Above

Specifies if the records were dropped above or below the TargetRecord.

See Also Report Control ActiveX Control v19.3

RecordsDropped Event

Description

Occurs once records have been dropped onto the report and the records have actually been added to the report and the report has been updated.

Syntax

Public Event RecordsDropped( _
   ByVal TargetRecord As ReportRecord, _
   ByVal Records As ReportRecords, _
   ByVal Above As Boolean _
)

Parameters

TargetRecord

Record in the report that the records were dropped above or below. See the Above parameter to see if the records were dropped above or below the TargetRecord.

Records

ReportRecords collection containing all of the records that will be dropped into the Report Control.

Above

Specifies if the records were dropped above or below the TargetRecord.

Remarks

The RecordsDropped event occurs once the records have actually been added to the report and the report has been updated.

The DropRecordsEx event occurs when records are dropped into a Report Control but before they are actually added to the report, and provides a ReportRecords collection containing all of the records that will be dropped into the Report Control. This gives the opportunity to modify the ReportRecords collection before they are actually added to the Report Control.

See Also

TrackControl Control | DropRecordsEx Event


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

The ReportRow that contains the ReportRecordItem that has entered edit mode.

Column

The ReportColumn that contains the ReportRecordItem that has entered edit mode.

Item

The ReportRecordItem that has entered edit mode.

Cancel

Set to True to cancel the edit request.

See Also Report Control ActiveX Control v19.3

RequestEdit Event

Description

Occurs when an item\cell enters edit mode.

Syntax

Public Event RequestEdit( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef Cancel As Boolean _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem that has entered edit mode.

Column

The ReportColumn that contains the ReportRecordItem that has entered edit mode.

Item

The ReportRecordItem that has entered edit mode.

Cancel

Set to True to cancel the edit request.

Remarks

The RequestEdit event occurs when an editable item enters edit mode or when an item with a checkbox is checked\unchecked.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

The ReportRow that contains the ReportRecordItem that was double-clicked.

Item

The ReportRecordItem that was double-clicked.

See Also Report Control ActiveX Control v19.3

RowDblClick Event

Description

Occurs when a ReportRecordItem in a ReportRow is double-clicked.

Syntax

Public Event RowDblClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem that was double-clicked.

Item

The ReportRecordItem that was double-clicked.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

The ReportRow that was expanded.

See Also Report Control ActiveX Control v19.3

RowExpanded Event

Description

Occurs when a ReportRow is expanded.

Syntax

Public Event RowExpanded( _
   ByVal Row As ReportRow _
)

Parameters

Row

The ReportRow that was expanded.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Row

The ReportRow that contains the ReportRecordItem that was right-clicked.

Item

The ReportRecordItem that was right-clicked.

See Also Report Control ActiveX Control v19.3

RowRClick Event

Description

Occurs when a ReportRecordItem in a ReportRow is right-clicked.

Syntax

Public Event RowRClick( _
   ByVal Row As ReportRow, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem that was right-clicked.

Item

The ReportRecordItem that was right-clicked.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | TrackBlock Object

See Also Report Control ActiveX Control v19.3

SelectedBlocksChanged Event

Description

Occurs when a different block or key is selected in the track control. (Track Control)

Syntax

Public Event SelectedBlocksChanged()

Remarks

SelectedBlocksChanged occurs when a new block or key and\or blocks\keys are selected in the track control.

See Also

TrackControl Control | TrackBlock Object


%%PageItemTitle%%

TrackControl Control | SortOrderChanged Event | FocusChanging Event

See Also Report Control ActiveX Control v19.3

SelectionChanged Event

Description

Occurs when a row is selected in the ReportControl.

Syntax

Public Event SelectionChanged()

Remarks

Occurs when a row is clicked by a mouse button and when a row is selected by moving the Up and Down arrow keys. The FocusChanging event occurs right before the selection has changed.

See Also

TrackControl Control | SortOrderChanged Event | FocusChanging Event


%%PageItemTitle%%

TrackControl Control

NewRow
ChangeType
Cancel
See Also Report Control ActiveX Control v19.3

SelectionChanging Event

Syntax

Public Event SelectionChanging( _
   ByVal NewRow As ReportRow, _
   ByVal ChangeType As XTPReportSelectionChangeType, _
   ByRef Cancel As Boolean _
)

Parameters

NewRow
ChangeType
Value | Description
xtpReportSelectionAdd | Row will be added to selected rows collection.
xtpReportSelectionRemove | Row will be removed from selected rows collection.
xtpReportSelectionClear | The selected rows collection will be cleared.
Cancel

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | TimeLineMax Property | TimeLineMin Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property

See Also Report Control ActiveX Control v19.3

SliderChanged Event

Description

Occurs when the time line slider has changed size or position. (Track Control)

Syntax

Public Event SliderChanged()

Remarks

SliderChanged occurs when the time line slider has changed size or position.

The TimeLineMax and TimeLineMin properties can be compared to the current ViewPortMax and ViewPortMin properties to determine the current viewing area.

See Also

TrackControl Control | TimeLineMax Property | TimeLineMin Property | TimeLinePosition Property | ViewPortMax Property | ViewPortMin Property


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SortOrderChanged Event

Description

Occurs when the column sort order is changed.

Syntax

Public Event SortOrderChanged()

Remarks

Occurs when the sort order is changed when the user clicks on the column headers to sort by a particular column.

This event is not triggered if the sort order is changed via code.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

Position
Current position in the time line.
Label
Label that will get displayed.
TickColor
Color of the tick mark.
TickLength
Tick mark length.
See Also Report Control ActiveX Control v19.3

TimeLineLabel Event

Description

Occurs when a time line label needs to be drawn.

Syntax

Public Event TimeLineLabel( _
   ByVal Position As Integer, _
   ByRef Label As String, _
   ByRef TickColor As ULong, _
   ByRef TickLength As Integer _
)

Parameters

Position
Current position in the time line.
Label
Label that will get displayed.
TickColor
Color of the tick mark.
TickLength
Tick mark length.

Remarks

When the CustomTimeLineLabel Property is True, the TimeLineLabel Event will be called for each label where you can specify the text for the label and the tick mark line length.

The TimeLineStep Property will specify the time increments the track control will use when the TimeLineStepAuto Property is False. If TimeLineStepAuto, then the track control will auto increment the time.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | TimeLinePosition Property | TimeLineMax Property | TimeLineMin Property

See Also Report Control ActiveX Control v19.3

TimeLinePositionChanged Event

Description

Occurs when the time line position marker has changed. (Track Control)

Syntax

Public Event TimeLinePositionChanged()

Remarks

TimeLinePositionChanged occurs when the TimeLinePosition marker has changed.

See Also

TrackControl Control | TimeLinePosition Property | TimeLineMax Property | TimeLineMin Property


%%PageItemTitle%%

TrackControl Control

Row

ReportRow of the ReportRecordItem who's value has changed.

Column

ReportColumn of the ReportRecordItem.

Item

ReportRecordItem who's value has changed.

See Also Report Control ActiveX Control v19.3

ValueChanged Event

Description

Occurs when the value of a ReportRecordItem has changed.

Syntax

Public Event ValueChanged( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem _
)

Parameters

Row

ReportRow of the ReportRecordItem who's value has changed.

Column

ReportColumn of the ReportRecordItem.

Item

ReportRecordItem who's value has changed.

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control | ValueChanged Event

Row

The ReportRow that contains the ReportRecordItem who's value is changing.

Column

The ReportColumn that contains the ReportRecordItem who's value is changing.

Item

The ReportRecordItem who's value is changing.

NewValue

The value the item is changing to. This will be the new value for the item if the operation is not canceled.

Cancel

Set to True to cancel the changes made to the items value.

See Also Report Control ActiveX Control v19.3

ValueChanging Event

Description

Occurs after the value of an item has been changed by the user, but before the new value has been set to the item.

Syntax

Public Event ValueChanging( _
   ByVal Row As ReportRow, _
   ByVal Column As ReportColumn, _
   ByVal Item As ReportRecordItem, _
   ByRef NewValue As Variant, _
   ByRef Cancel As Boolean _
)

Parameters

Row

The ReportRow that contains the ReportRecordItem who's value is changing.

Column

The ReportColumn that contains the ReportRecordItem who's value is changing.

Item

The ReportRecordItem who's value is changing.

NewValue

The value the item is changing to. This will be the new value for the item if the operation is not canceled.

Cancel

Set to True to cancel the changes made to the items value.

Remarks

Occurs after the value of an item has been changed by the user, but before the new value has been set to the item. This allows the new value to be checked and canceled or modified if needed.

The ValueChanged event will occur immediately after the ValueChanging event.

See Also

TrackControl Control | ValueChanged Event


%%PageItemTitle%%

TrackControl Control

Section
Position
See Also Report Control ActiveX Control v19.3

VScroll Event

Syntax

Public Event VScroll( _
   ByVal Section As Long, _
   ByVal Position As Long _
)

Parameters

Section
Position

See Also

TrackControl Control


%%PageItemTitle%%

TrackControlItem Members | AddItemEx Method | CreateTrackItem Method

See Also Report Control ActiveX Control v19.3

TrackControlItem Object

Description

Track for the track control.

For a list of all members defined in this module, see TrackControlItem members.

Object Model

Remarks

Tracks are what hold the blocks and keys. A track is a special item that is added to a regular ReportRecord.

Dim TrackItem As TrackControlItem
Dim Record As ReportRecord
Dim Block As TrackBlock

Set Record = TrackControl.Records.Add

Record.AddItem 1
Record.AddItem 1
Record.AddItem 1

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem
Set Block = TrackItem.AddBlock(False, 15, 25)

The code above adds a track to the track control. It adds 3 normal columns, then it adds a TrackControlItem. You must first create a track item before you can use it using the CreateTrackItem method. Once it is created you can then add this new track item to the record using AddItemEx. This will add your track so you can then add blocks and keys.

See Also

TrackControlItem Members | AddItemEx Method | CreateTrackItem Method


%%PageItemTitle%% $$Members$$

TrackControlItem Overview | AddItemEx Method | CreateTrackItem Method

See Also Report Control ActiveX Control v19.3

TrackControlItem Object Members

Public Methods

Public Method AddBlock | Adds a block or key to this track.
Public Method RemoveAllBlocks | Removes all blocks and keys from this track.
Public Method RemoveBlock | Removes the specified block or key from this track.

Public Properties

Public Property Block | Contains the collection of all the blocks and keys for this track.
Public Property BlockCount | Returns the total number of blocks in this track.
Public Property Index | Index of this Track inside the the ReportRecord's collection of items.
Public Property Locked | Gets or sets whether this track is locked.
Public Property Record | Reference to the ReportRecord that this track belongs to.
Public Property Tag | Stores any extra data needed for your program.

See Also

TrackControlItem Overview | AddItemEx Method | CreateTrackItem Method


%%PageItemTitle%%

TrackControlItem Object | TrackBlock Object

IsKey
True to add a key, False to add a block.
Position
Position in the time line to add the block or key.
Length
Length, in time units, of the block that will be added. This does not apply to keys so you can set it to 0 for keys.
See Also Report Control ActiveX Control v19.3

AddBlock Method

Description

Adds a block or key to this track.

Syntax

Public Function AddBlock( _
   ByVal IsKey As Boolean, _
   ByVal Position As Integer, _
   ByVal Length As Integer _
) As TrackBlock

Parameters

IsKey
True to add a key, False to add a block.
Position
Position in the time line to add the block or key.
Length
Length, in time units, of the block that will be added. This does not apply to keys so you can set it to 0 for keys.

Return Type

Reference to the TrackBlock that was added.

Remarks

AddBlock adds a block or key to this track.

The TrackBlock object is used to represent both Blocks and Keys.

Track Blocks are a visual representation of units of time in a track. They can have both a minimum and maximum time period. For example, a given block can represent 25 units of time, but can no less than 15 and no more than 30 units of time.

Dim TrackItem As TrackControlItem
Dim Block As TrackBlock

Set TrackItem = TrackControl.CreateTrackItem
Record.AddItemEx TrackItem

Set Block = TrackItem.AddBlock( False, 15, 25)
Block.MinLength = 15
Block.MaxLength = 30
Block.Color = RGB(255, 219, 117)

The code above adds a block that represents 25 time units. It is placed within the track at 15 time units. Also note the the first parameter of AddBlock is False, which indicates we are adding a block as opposed to a key.

Blocks can also be different different heights and set to different vertical alignments within the track. This is used just as a visual aid to make different blocks in the track visually different from each other.

Block.HeightPercent = 0.5

The code above simply makes the block 50% the size of the track height.

Keys are used simply as "notes" or reference points in the track. They can be added anywhere in the track to make note of some event at the given moment in time.

TrackItem.AddBlock(True, 70, 0)

The code above will add a key at time unit 70, the last parameter, size, is ignored when adding keys. Note the first parameter is True, which tells AddBlock to add a key as opposed to a block.

See Also

TrackControlItem Object | TrackBlock Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

RemoveAllBlocks Method

Description

Removes all blocks and keys from this track.

Syntax

Public Sub RemoveAllBlocks()

Remarks

Removes all blocks and keys from this track.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

Index
Index of the block or key to remove.
See Also Report Control ActiveX Control v19.3

RemoveBlock Method

Description

Removes the specified block or key from this track.

Syntax

Public Sub RemoveBlock( _
   ByVal Index As Integer _
)

Parameters

Index
Index of the block or key to remove.

Remarks

Removes the specified block or key from this track.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

Index
Index of the block or key to return.
See Also Report Control ActiveX Control v19.3

Block Property

Description

Contains the collection of all the blocks and keys for this track.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Block( _
   ByVal Index As Integer _
) As TrackBlock

Parameters

Index
Index of the block or key to return.

Return Type

Reference to the specified TrackBlock.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

BlockCount Property

Description

Returns the total number of blocks in this track.

Property type

Read-only property

Syntax (Visual Basic)

Public Property BlockCount() As Integer

Return Type

Returns the total number of blocks in this track.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

Index Property

Description

Index of this Track inside the the ReportRecord's collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Return Type

Index of this Track inside the the ReportRecord's collection of items.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

Locked Property

Description

Gets or sets whether this track is locked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Return Type

True if locked, False it un-locked.

Remarks

If a track is locked it can't be moved and none of it's blocks or keys can be moved. When locked, blocks and keys from other tracks can't be dragged into this track.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

Record Property

Description

Reference to the ReportRecord that this track belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Record() As ReportRecord

Return Type

Reference to the ReportRecord that this track belongs to.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackControlItem Object

See Also Report Control ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Return Type

The intended value. This property has no default value.

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

TrackControlItem Object


%%PageItemTitle%%

TrackMarker Members

See Also Report Control ActiveX Control v19.3

TrackMarker Object

Description

Track Marker

For a list of all members defined in this module, see TrackMarker members.

Remarks

Markers are used for block alignment, blocks can be "snapped" to the left or right of these markers.

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

The code above adds 3 markers to the track control. These markers are placed in the time line at the specified time unit, in this case, at 20, 70 and 90 units of time. Markers can be moved by the user by simply dragging the marker to a new location on the time line.

See Also

TrackMarker Members

Example

TrackControl Sample


%%PageItemTitle%% $$Members$$

TrackMarker Overview

See Also Report Control ActiveX Control v19.3

TrackMarker Object Members

Public Properties

Public Property Caption | Gets or sets the caption of the track marker.
Public Property Position | Gets or sets the position of the track marker in in the time line.

See Also

TrackMarker Overview


%%PageItemTitle%%

TrackMarker Object

See Also Report Control ActiveX Control v19.3

Caption Property

Description

Gets or sets the caption of the track marker.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Return Type

Caption of the track marker.

Remarks

The caption of the track marker is displayed in the marker.

Example

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "Caption 1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

See Also

TrackMarker Object


%%PageItemTitle%%

TrackMarker Object

See Also Report Control ActiveX Control v19.3

Position Property

Description

Gets or sets the position of the track marker in in the time line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As Integer

Return Type

The position of the track marker in in the time line.

Remarks

The position of the track marker is the position the track marker is located at in the time line.

Example

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "Caption 1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

See Also

TrackMarker Object


%%PageItemTitle%%

TrackMarkers Members | Markers Property

See Also Report Control ActiveX Control v19.3

TrackMarkers Collection

Description

Collection of Track Markers

For a list of all members defined in this module, see TrackMarkers members.

Object Model

Remarks

This is a collection of all the track markers in the track control. The TrackControl.Markers property uses this collection to add, delete and access Markers.

Markers are used for block alignment, blocks can be "snapped" to the left or right of these markers.

Example

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "Caption 1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

See Also

TrackMarkers Members | Markers Property


%%PageItemTitle%% $$Members$$

TrackMarkers Overview | Markers Property

See Also Report Control ActiveX Control v19.3

TrackMarkers Collection Members

Public Methods

Public Method Add | Adds a Marker to the Track Control.
Public Method DeleteAll | Removes all markers from the track control.
Public Method RemoveAt | Removes a specific track marker from the track control.

Public Properties

Public Property Count | Total number of track markers in the track control.
Public Property Marker | Collection of markers in the track control.

See Also

TrackMarkers Overview | Markers Property


%%PageItemTitle%%

TrackMarkers Collection

Position
Position in the time line to place the marker.
Caption
Caption to display inside the marker.
See Also Report Control ActiveX Control v19.3

Add Method

Description

Adds a Marker to the Track Control.

Syntax

Public Function Add( _
   ByVal Position As Integer, _
   ByVal Caption As String _
) As TrackMarker

Parameters

Position
Position in the time line to place the marker.
Caption
Caption to display inside the marker.

Return Type

Returns a reference to the TrackMarker that was just added to the time line.

Remarks

The code below adds 3 markers to the track control. These markers are placed in the time line at the specified time unit, in this case, at 20, 70 and 90 units of time. Markers can be moved by the user by simply dragging the marker to a new location on the time line.

Example

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "Caption 1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

See Also

TrackMarkers Collection


%%PageItemTitle%%

TrackMarkers Collection

See Also Report Control ActiveX Control v19.3

DeleteAll Method

Description

Removes all markers from the track control.

Syntax

Public Sub DeleteAll()

See Also

TrackMarkers Collection


%%PageItemTitle%%

TrackMarkers Collection

Index
Index in the collection of markers of the track to remove.
See Also Report Control ActiveX Control v19.3

RemoveAt Method

Description

Removes a specific track marker from the track control.

Syntax

Public Sub RemoveAt( _
   ByVal Index As Long _
)

Parameters

Index
Index in the collection of markers of the track to remove.

See Also

TrackMarkers Collection


%%PageItemTitle%%

TrackMarkers Collection

See Also Report Control ActiveX Control v19.3

Count Property

Description

Total number of track markers in the track control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of track markers in the track control.

See Also

TrackMarkers Collection


%%PageItemTitle%%

TrackMarkers Collection

Index
Index of a marker.
See Also Report Control ActiveX Control v19.3

Marker Property

Description

Collection of markers in the track control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Marker( _
   ByVal Index As Long _
) As TrackMarker

Parameters

Index
Index of a marker.

Return Type

Reference to the TrackMarker at the specified index.

Example

Dim Marker As TrackMarker
Set Marker = TrackControl.Markers.Add(20, "0")
Marker.Caption = "Caption 1"
TrackControl.Markers.Add 70, "2"
TrackControl.Markers.Add 90, "3"

See Also

TrackMarkers Collection


%%PageItemTitle%%

TrackPaintManager Members | AlternativeBackgroundColor Property | Marker Property | ScrollBarDark Property | ScrollBarLight Property | SelectedArea Property | TimeHeaderDark Property | TimeHeaderDivider Property | TimeHeaderDarkDark Property | TimeSliderBackground Property | TrackHeader Property | TrackTimeArea Property | WorkArea Property

See Also Report Control ActiveX Control v19.3

TrackPaintManager Object

Description

Handles most of the drawing activities of the TrackControl.

For a list of all members defined in this module, see TrackPaintManager members.

Object Model

Remarks

The TrackPaintManager object stores all settings needed to change the look and feel of the TrackControl. You can set the fonts, colors, and styles for the different objects in the TrackControl.

You can use this object to provide several different "skins" for your TrackControl.

The TrackPaintManager object stores the settings for things such as:

  • Caption, Normal Text, and Preview Text fonts
  • Grid Lines Styles
  • Shade Group Headings
  • Shade sorted columns
  • Column Styles
  • Text displayed in the "Group By" box when empty
  • Text displayed when there are no items to show in the ReportControl
  • Set maximum number of preview lines when in preview mode
  • Set the indentation of preview lines when in preview mode

Track Control Specific Settings

  • AlternativeBackgroundColor is the color used for alternating rows when UseAlternativeBackground is true. Handy for alternating row color.
  • Marker sets the color used to draw Markers in the Time Line.
  • ScrollBarDark dark color in a color gradient used to draw the WorkArea and TimeLine scroll bars.
  • ScrollBarLight light color in a color gradient used to draw the WorkArea and TimeLine scroll bars.
  • SelectedArea color used to draw the "Selected Area". This is the color of the selection rectangle that is drawn when the mouse is clicked and dragged to select multiple blocks and keys.
  • TimeHeaderDark color used to draw the TimeLine header area. This is the area visible under the WorkArea slider and TimeLine Text.
  • TimeHeaderDivider color used to draw the TimeLine header divider. This is the divider between the TimeLine header and the aread above and normal report columns if they are added.
  • TimeHeaderDarkDark color used to draw the TimeLine header area shadow. This is the line that can be seen around the edges of the TimeLine header.
  • TimeSliderBackground color used to draw the TimeLine scrollbar\slider background area. This is only the area behind the TimeLine slider bar.
  • TrackHeader color used to draw the TimeLine track area. This is the area that is drawn above report columns (to the left\right of track area) if columns are added.
  • TrackTimeArea color used to draw the background of TimeLine header area behind the time text.
  • WorkArea color used to draw the "Selected Area" for the WorkArea.

    • Example

    TrackControl.PaintManager.VerticalGridStyle = xtpGridSolid
    TrackControl.PaintManager.HorizontalGridStyle = xtpGridSolid

    TrackControl.PaintManager.HeaderRowsDividerStyle = xtpReportFixedRowsDividerBold
    TrackControl.PaintManager.FooterRowsDividerStyle = xtpReportFixedRowsDividerBold
    TrackControl.PaintManager.HeaderRowsDividerColor = RGB(0, 255, 0)
    TrackControl.PaintManager.FooterRowsDividerColor = RGB(0, 0, 255)

    TrackControl.PaintManager.ColumnWidthWYSIWYG = True

    TrackControl.PaintManager.DrawGridForEmptySpace = True

    TrackControl.PaintManager.BackColor = RGB(166, 166, 166)
    TrackControl.PaintManager.UseAlternativeBackground = True
    TrackControl.PaintManager.AlternativeBackgroundColor = RGB(160, 160, 160)
    TrackControl.PaintManager.HighlightBackColor = RGB(145, 145, 145)
    TrackControl.PaintManager.SelectedRowBackColor = RGB(145, 145, 145)
    TrackControl.PaintManager.GroupForeColor = RGB(255, 255, 255)

    TrackControl.PaintManager.GridLineColor = RGB(193, 193, 193)

    TrackControl.PaintManager.ColumnStyle = xtpColumnResource
    TrackControl.PaintManager.ColumnOffice2007CustomThemeBaseColor = RGB(122, 122, 122)

    TrackControl.PaintManager.ColumnPushedGradientColorDark = RGB(169, 169, 169)
    TrackControl.PaintManager.ColumnPushedGradientColorLight = RGB(193, 193, 193)
    TrackControl.PaintManager.ColumnHotGradientColorLight = RGB(193, 193, 193)
    TrackControl.PaintManager.ColumnHotGradientColorDark = RGB(169, 169, 169)

    TrackControl.PaintManager.CaptionBackGradientColorDark = RGB(169, 169, 169)
    TrackControl.PaintManager.CaptionBackGradientColorLight = RGB(193, 193, 193)

    TrackControl.PaintManager.ColumnShadowGradient = RGB(122, 122, 122)

    TrackControl.PaintManager.FreezeColsDividerColor = RGB(122, 122, 122)
    TrackControl.PaintManager.FreezeColsDividerStyle = xtpReportFreezeColsDividerBold

    TrackControl.PaintManager.GroupBoxBackColor = RGB(166, 166, 166)
    TrackControl.PaintManager.GroupByNoItemsTextColor = 0
    TrackControl.PaintManager.GroupShadeBackColor = RGB(166, 166, 166)

    TrackControl.PaintManager.ShadeSortColumn = False

    TrackControl.PaintManager.WorkArea = RGB(175, 175, 175)

    TrackControl.PaintManager.TrackHeader = RGB(166, 166, 166)
    TrackControl.PaintManager.TrackTimeArea = RGB(166, 166, 166)

    TrackControl.PaintManager.TimeHeaderDarkDark = RGB(70, 70, 70)
    TrackControl.PaintManager.TimeHeaderDark = RGB(122, 122, 122)
    TrackControl.PaintManager.TimeSliderBackground = RGB(96, 96, 96)

    TrackControl.PaintManager.TimeHeaderDivider = RGB(146, 146, 146)

    TrackControl.PaintManager.ScrollBarLight = RGB(210, 210, 210)
    TrackControl.PaintManager.ScrollBarDark = RGB(190, 190, 190)

    TrackControl.PaintManager.Marker = RGB(217, 217, 217)
    TrackControl.PaintManager.SelectedArea = RGB(70, 70, 70)

    TrackControl.ToolTipContext.Style = xtpToolTipResource

    See Also

    TrackPaintManager Members | AlternativeBackgroundColor Property | Marker Property | ScrollBarDark Property | ScrollBarLight Property | SelectedArea Property | TimeHeaderDark Property | TimeHeaderDivider Property | TimeHeaderDarkDark Property | TimeSliderBackground Property | TrackHeader Property | TrackTimeArea Property | WorkArea Property


%%PageItemTitle%% $$Members$$

TrackPaintManager Overview | AlternativeBackgroundColor Property | Marker Property | ScrollBarDark Property | ScrollBarLight Property | SelectedArea Property | TimeHeaderDark Property | TimeHeaderDivider Property | TimeHeaderDarkDark Property | TimeSliderBackground Property | TrackHeader Property | TrackTimeArea Property | WorkArea Property

See Also Report Control ActiveX Control v19.3

TrackPaintManager Object Members

Public Methods

Public Method RefreshMetrics | Initializes all drawings defaults (fonts, colors, etc.). Most of them are system defaults.
Public Method SetPreviewIndent | Sets the indentation for the preview text while in preview mode.

Public Properties

Public Property AllowMergeCells | Specifies whether to allow merged cells in the report.
Public Property AlternativeBackgroundColor | Color used for alternating rows when UseAlternativeBackground is true.
Public Property BackColor | The background color of the ReportControl.
Public Property BaseParentRecordIndent | Gets or sets the initial number of pixels a parent node will be indented when in a group.
Public Property BaseTreeIndent | Specifies the indentation placed before the text of each parent node in a hierarchical tree structure.
Public Property BoldText |
Public Property BoldTextHighlight |
Public Property CaptionBackColor | The background color of the column headers.
Public Property CaptionBackGradientColorDark | The "Dark" color in the color gradient used for the background color of "normal" column headers.
Public Property CaptionBackGradientColorLight | The "Light" color in the color gradient used for the background color of "normal" column headers.
Public Property CaptionFont | Font used to display the caption of ReportColumn headers.
Public Property CaptionForeColor | The forecolor\caption color of the column headers.
Public Property CleanTooltip | Specifies whether to display markup tooltips as normal text without markup tags or formatting.
Public Property CollapseText | Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the collapsed state in the column header.
Public Property ColumnHotGradientColorDark | The "Dark" color in the color gradient used for the background color of "hot" column headers.
Public Property ColumnHotGradientColorLight | The "Light" color in the color gradient used for the background color of "hot" column headers.
Public Property ColumnOffice2007CustomThemeBaseColor | Gets or sets a custom color to use as the base color for the Office 2007 column style theme.
Public Property ColumnPlusMinusSign | Specifies whether to use a "+/-" button instead on an arrow button in the column header when a PlusMinus button is used to expand\collapse columns.
Public Property ColumnPushedGradientColorDark | The "Dark" color in the color gradient used for the background color of "pushed" column headers.
Public Property ColumnPushedGradientColorLight | The "Light" color in the color gradient used for the background color of "pushed" column headers.
Public Property ColumnShadowGradient | The color used to draw the shadow of a column.
Public Property ColumnStyle | Stores the style used to display ReportColumn headers.
Public Property ColumnWidthWYSIWYG | Allows the report to be printed as seen (WYSIWYG).
Public Property CompactText | Specifies whether text has preference over icons when a column is to narrow to display both.
Public Property CustomTimeLineLabel | Specifies whether to use custom time line labels.
Public Property DrawGridForEmptySpace | Gets or sets wether grid lines will be drawn after the body of rows to fill the empty space.
Public Property DrawSortTriangleAlways | The DrawSortTriangleAlways property specifies when the sort triangle is drawn.
Public Property DrawSortTriangleStyle | Specifies the style of the column sort triangle when the column is sorted.
Public Property ExpandText | Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the expanded state in the column header.
Public Property FixedInplaceButtonHeight | Specifies whether the paint manager supports fixed height of in-place buttons.
Public Property FixedRowHeight | Gets\sets whether multi-line rows are allowed.
Public Property FooterRowsDividerColor | Gets or sets the color of the footer divider lines.
Public Property FooterRowsDividerStyle | Gets or sets the style of the footer divider lines.
Public Property ForceDynamicMarkupForCell | Forces markup rendering for item captions in Virtual Mode.
Public Property ForceShowDropMarker | Specifies whether to force the Show Drop Marker when dragging and dropping.
Public Property ForceShowTooltip | Specifies whether to force tooltips to always be displayed, even when not normally needed.
Public Property ForeColor | The foreground\text color of the ReportControl.
Public Property FormulaSubSumColor | Gets\sets the color for Formula SubSum fields.
Public Property FormulaSumColor | Gets\sets the color for Formula Sum fields.
Public Property FreezeColsDividerColor | Color of the freeze column divider.
Public Property FreezeColsDividerStyle | Style of the freeze column divider.
Public Property Glyphs | Returns point to additional image list with Glyphs.
Public Property GrayIfDisable | Specifies whether to draw the report using "normal" colors or standard Windows disabled colors when the report control disabled.
Public Property GridLineColor | The color used to draw grid lines.
Public Property GroupBoxBackColor | The background color of the "Group By" box.
Public Property GroupByNoItemsTextColor | Color used to display the "No Items" text message displayed in the "Group By" box when no groups are added.
Public Property GroupForeColor | The color of text in group rows.
Public Property GroupGridLineHeight | Gets or sets the height of the group grid lines.
Public Property GroupIndentColor | The color of the group indent shading.
Public Property GroupRowTextBold | Gets\sets whether the text displayed in group rows will be displayed in bold type.
Public Property GroupShadeBackColor | The color used to shade group headings when ShadeGroupHeadings is True.
Public Property GroupShadeBorderColor | The color used to draw the grid line border of group rows when ShadeGroupHeadings is True.
Public Property GroupShadeForeColor | The text color of text displayed in Group Rows when ShadeGroupHeadings is True.
Public Property HeaderHeight |
Public Property HeaderRowsDividerColor | Gets or sets the color of the header divider lines.
Public Property HeaderRowsDividerStyle | Gets or sets the style of the header divider lines.
Public Property HideSelection | Determines whether the currently selected rows will remain shaded when the ReportControl loses focus.
Public Property HighlightBackColor | The background color of selected rows.
Public Property HighlightForeColor | The text color of selected rows.
Public Property HorizontalGridStyle | Style used to draw horizontal grid lines.
Public Property HotDividerColor | Gets\sets the color of the arrows used to show where a column can be dropped when dragging a column header.
Public Property HotTracking | Gets\set whether hot tracking is used while moving the mouse over the column header when using the "Explorer" or "Office 2003" column styles.
Public Property HyperLinkColor |
Public Property InvertColumnOnClick | Gets\sets whether the column header will appear "inverted" when clicked.
Public Property LastColumnWidthWYSIWYG | Special flag, not normally used.
Public Property Marker | Gets or sets the color used to draw Markers in the Time Line. (Track Control)
Public Property MaxPreviewLines | The maximum number of lines of the PreviewText that will be displayed while in PreviewMode.
Public Property MoveScrollbarOnFixedColumnsIndent | Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.
Public Property NoFieldsAvailableText | The "No Fields Available" text message displayed in the Field Chooser when no Column Headers are present.
Public Property NoGroupByText | The "No Items" text message displayed in the "Group By" box when no groups are added.
Public Property NoItemsText | The "No Items" text message displayed in the ReportControl when there are no visible rows.
Public Property PreviewTextColor | The foreground\text color of the Preview Text.
Public Property PreviewTextFont | Font used to display the PreviewTextFont of a ReportRecord while in PreviewMode.
Public Property PrintPageRectangle | Specifies whether to print the black rectangle around the report.
Public Property PrintWatermark | Specifies whether to print the watermark of the report (if a watermark is used).
Public Property RecOrRowNumber | Specifies whether numbers in the Number column get sorted (displays record number) or are "set in stone" and never move (displays row number).
Public Property RevertAlignment | Reverts the alignment of column content.
Public Property ScrollBarDark | Dark color in a color gradient used to draw the WorkArea and TimeLine scroll bars. (Track Control)
Public Property ScrollBarLight | Light color in a color gradient used to draw the WorkArea and TimeLine scroll bars. (Track Control)
Public Property SelectedArea | Color used to draw the "Selected Area". This is the color of the selection rectangle that is drawn when the mouse is clicked and dragged to select multiple blocks and keys. (Track Control)
Public Property SelectedRowBackColor | Gets or sets the selected row background color.
Public Property SelectedRowForeColor | Gets or sets the selected row text color.
Public Property ShadeGroupHeadings | Specifies whether group headings in the ReportControl will be shaded.
Public Property ShadeSortColor | Specifies the color used to shade sorted columns.
Public Property ShadeSortColumn | Specifies whether the ReportRecordItems of a sorted column will be shaded.
Public Property ShowLockIcon | Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True).
Public Property ShowNonActiveInPlaceButton | Specifies whether to show NonActive InPlace Buttons (Combo, Expand, Spin) all the time.
Public Property ShowWYSIWYGMarkers | Specifies whether to show or hide the page marker when using ColumnWidthWYSIWYG after printing.
Public Property SortByDecreasingText | Gets or sets the text added to a columns tooltip when it is sorted (decreasing).
Public Property SortByIncreasingText | Gets or sets the text added to a columns tooltip when it is sorted (increasing).
Public Property SortByText | Get\sets a string which contains customized "Sort By" text for displaying in sortable column header tooltips.
Public Property SortTriangleOffsetFromRight | Gets or sets the number of pixels the sort arrow will be drawn from the right edge of the column header.
Public Property StartRecOrRowNumber | Specifies the starting row number for the Number column if used.
Public Property TextFont | Font used to display the text/caption of the ReportRecordItems
Public Property TextIndentForGroupRowsWithNoIcon | Gets or sets the text indent for group rows if no group icon is used.
Public Property ThemedInplaceButtons | Specifies whether in-place buttons will be themed.
Public Property TimeHeaderDark | Color used to draw the TimeLine header area. This is the area visible under the WorkArea slider and TimeLine Text. (Track Control)
Public Property TimeHeaderDarkDark | Color used to draw the TimeLine header area shadow. This is the line that can be seen around the edges of the TimeLine header. (Track Control)
Public Property TimeHeaderDivider | Color used to draw the TimeLine header divider. This is the divider between the TimeLine header and the aread above and normal report columns if they are added. (Track Control)
Public Property TimeLineStep | Specifies the time line increments.
Public Property TimeLineStepAuto | Specifies whether to use auto time increments for the time line.
Public Property TimeSliderBackground | Color used to draw the TimeLine scrollbar\slider background area. This is only the area behind the TimeLine slider bar. (Track Control)
Public Property TrackHeader | Color used to draw the TimeLine track area. This is the area that is drawn above report columns (to the left\right of track area) if columns are added. (Track Control)
Public Property TrackTimeArea | Color used to draw the background of TimeLine header area behind the time text. (Track Control)
Public Property TreeColumnLineLength | Gets or sets the extra line length to apply to tree column lines if there is no expand button.
Public Property TreeIndent | Specifies the indentation placed before the text of each child node in a hierarchical tree structure.
Public Property TreeStructureStyle | Specifies the style of lines drawn when using a hierarchical tree structure.
Public Property UseAlternativeBackground | Specifies whether to alternate the background color of the rows.
Public Property UseColumnTextAlignment | The UseColumnTextAlignment property specifies whether the text in the column header will use the ReportColumn.Alignment setting to align the header caption.
Public Property UseDropMarker | Specifies whether to show drop markers (red insertion lines) while dragging something into the report.
Public Property UseEditTextAlignment | Specifies whether the ReportColumn.Alignment setting is automatically applied to items when in edit mode.
Public Property UseGroupRowSelectionState | Specifies whether to add a "selection" checkbox in the group row next to the expand\collapse button that indicates the selection status of child records.
Public Property UseShellIcon | Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True). This property will use the lock icon from SHELL32.DLL.
Public Property UseUpperCaseCaptions |
Public Property VerticalGridStyle | Style used to draw vertical grid lines.
Public Property WorkArea | Color used to draw the "Selected Area" for the WorkArea. (Track Control)

See Also

TrackPaintManager Overview | AlternativeBackgroundColor Property | Marker Property | ScrollBarDark Property | ScrollBarLight Property | SelectedArea Property | TimeHeaderDark Property | TimeHeaderDivider Property | TimeHeaderDarkDark Property | TimeSliderBackground Property | TrackHeader Property | TrackTimeArea Property | WorkArea Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

RefreshMetrics Method

Description

Initializes all drawings defaults (fonts, colors, etc.). Most of them are system defaults.

Syntax

Public Sub RefreshMetrics()

Example

[RefreshMetrics Sample (Visual Basic)]

    ReportControlGlobalSettings.ColorManager.SystemTheme = xtpSystemThemeOlive
    wndReportControl.PaintManager.RefreshMetrics
    wndReportControl.Redraw

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | RecordItem PreviewText Property | PreviewTextFont Property | ReportControl PreviewMode Property

left

Left indentation.

top

Top indentation.

right

Right indentation.

bottom

Bottom indentation.

See Also Report Control ActiveX Control v19.3

SetPreviewIndent Method

Description

Sets the indentation for the preview text while in preview mode.

Syntax

Public Sub SetPreviewIndent( _
   ByVal left As Integer, _
   ByVal top As Integer, _
   ByVal right As Integer, _
   ByVal bottom As Integer _
)

Parameters

left

Left indentation.

top

Top indentation.

right

Right indentation.

bottom

Bottom indentation.

Remarks

If text has been added to the PreviewText property and PreviewMode is enabled, a preview row is added to the bottom of each ReportRecord and the text stored in the PreviewText property will be shown. The SetPreviewIndent method specified the size of the indentation of the PreviewText.

The left, top, bottom, and right parameters can be thought of as the amount of "cell padding" placed around the PreviewText.

Example

[Setting the preview text indentation (Visual Basic)] This sample illustrates how to set the indentation used when displaying the preview text for each ReportRecord.

    'This sample illustrates how to add PreviewText to a ReportRecord
    'And how to change the indentation used when displaying the PreviewText
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a ReportRecord with 5 ReportRecordItems
    Set Record = wndReportControl.Records.Add
        Set Item = Record.AddItem("")
            Item.HasCheckbox = True
            Item.Checked = False
        Record.AddItem "RE: Your Invoice"
        Record.AddItem "John Smith"
        Record.AddItem "19/06/2004"
        Record.AddItem "18k"

        'The text added to the PreviewText property will be displayed under this ReportRecord
        'when in preview mode
        Record.PreviewText = "RE: Your Invoice (From: John Smith)" & vbCrLf & "19/06/2004"

        'This will cause the text stored in the PreviewText property to be displayed
        'with the specified indentation. This is similar to "cell padding."
        'You can specify the amount of "padding" placed around the preview text.
        'The text will be indented 20px from the Left
        'The text will be indented 5px from the Top
        'The text will be indented 0px from the right
        'The text will be indented 5px from the Bottom
        wndReportControl.SetPreviewIndent 20, 5, 0, 5

See Also

TrackPaintManager Object | RecordItem PreviewText Property | PreviewTextFont Property | ReportControl PreviewMode Property


%%PageItemTitle%%

TrackPaintManager Object | MergeItems Method

See Also Report Control ActiveX Control v19.3

AllowMergeCells Property

Description

Specifies whether to allow merged cells in the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMergeCells() As Boolean

Return Type

True to allow merged cells, False to restrict them.

Remarks

Cells can be merged both horizontally, and vertically.

See Also

TrackPaintManager Object | MergeItems Method

Example

Merged Cells Sample


%%PageItemTitle%%

TrackPaintManager Object | UseAlternativeBackground Property

See Also Report Control ActiveX Control v19.3

AlternativeBackgroundColor Property

Description

Color used for alternating rows when UseAlternativeBackground is true.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AlternativeBackgroundColor() As ULong

Remarks

See UseAlternativeBackground.

See Also

TrackPaintManager Object | UseAlternativeBackground Property


%%PageItemTitle%%

TrackPaintManager Object | ReportRecordItem BackColor Property

See Also Report Control ActiveX Control v19.3

BackColor Property

Description

The background color of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This is the background color for the entire ReportControl. All ReportRecordItems will use this as their backcolor unless the value is manually changed. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ReportControl BackColor Sample (Visual Basic)] This sample illustratres how to change the BackColor for the entire ReportControl.

    'This will change the BackColor of the ReportControl to a shade of gray
    wndReportControl.PaintManager.BackColor = RGB (224, 224, 224)

See Also

TrackPaintManager Object | ReportRecordItem BackColor Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

BaseParentRecordIndent Property

Description

Gets or sets the initial number of pixels a parent node will be indented when in a group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseParentRecordIndent() As Integer

Return Type

The initial number of pixels a parent node will be indented when in a group.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | TreeIndent Property

See Also Report Control ActiveX Control v19.3

BaseTreeIndent Property

Description

Specifies the indentation placed before the text of each parent node in a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BaseTreeIndent() As Boolean

Remarks

Indentation is represented in Pixels.

Use TreeIndent for child indentation.

Example

[Parent Indent Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of parent and child nodes.

    'Parent nodes will be indented by 10 pixels
    wndReportControl.PaintManager.BaseTreeIndent = 10

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

TrackPaintManager Object | TreeIndent Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

BoldText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldText() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

BoldTextHighlight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldTextHighlight() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackColor Property

Description

The background color of the column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackColor() As ULong

Remarks

This color is also used as the backcolor of the text and column headers displayed in the "Group By" box and column headers in the FieldChooser. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[CaptionBackColor Sample (Visual Basic)] This sample illustratres how to change the BackColor of column headers.

    'This will change the BackColor of column headers to yellow
    wndReportControl.PaintManager.CaptionBackColor = vbYellow

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "normal" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackGradientColorDark() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CaptionBackGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "normal" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionBackGradientColorLight() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ReportColumn Caption Property

See Also Report Control ActiveX Control v19.3

CaptionFont Property

Description

Font used to display the caption of ReportColumn headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

Remarks

This font is also used to display the text in the "Group By" box and to display column headers in the FieldChooser.

Example

[Setting the caption font (Visual Basic)] This sample illustrates how to change the font used to display text in column headers, the FieldChooser, and the Group By box.

    Dim CaptionFont As StdFont
    Set CaptionFont = Me.Font
    CaptionFont.Size = 7
    CaptionFont.Bold = True

    'Applies the newly created font to the ReportControl's caption font
    Set wndReportControl.PaintManager.CaptionFont = CaptionFont

See Also

TrackPaintManager Object | ReportColumn Caption Property


%%PageItemTitle%%

TrackPaintManager Object | ReportColumn Caption Property

See Also Report Control ActiveX Control v19.3

CaptionForeColor Property

Description

The forecolor\caption color of the column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionForeColor() As ULong

Remarks

This color is also used as the forecolor\caption color of the column headers in the "Group By" box and column headers in the FieldChooser. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[[New Example] (Visual Basic)] This sample illustratres how to change the ForeColor\Caption color of column headers.

    'This will change the ForeColor\Caption color of column headers to Red
    wndReportControl.PaintManager.CaptionForeColor = vbRed

See Also

TrackPaintManager Object | ReportColumn Caption Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CleanTooltip Property

Description

Specifies whether to display markup tooltips as normal text without markup tags or formatting.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CleanTooltip() As Boolean

Remarks

Specifies whether to display markup tooltips as normal text without markup tags or formatting. Just as if not markup was added, just plain text.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | ExpandText Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

CollapseText Property

Description

Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the collapsed state in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CollapseText() As String

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

wndReportControl.PaintManager.CollapseText = "Collapse Me"
wndReportControl.PaintManager.ExpandText = "Expand Me"

See Also

TrackPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | ExpandText Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnHotGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "hot" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnHotGradientColorDark() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnHotGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "hot" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnHotGradientColorLight() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ColumnStyle Property

See Also Report Control ActiveX Control v19.3

ColumnOffice2007CustomThemeBaseColor Property

Description

Gets or sets a custom color to use as the base color for the Office 2007 column style theme.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnOffice2007CustomThemeBaseColor() As ULong

Remarks

The Office 2007 column style must be set for ColumnOffice2007CustomThemeBaseColor to have any effect. This will change the base color used to display the Office 2007 theme.

Example

[Custom Office 2007 Theme Sample (Visual Basic)]

    wndReportControl.PaintManager.ColumnStyle = xtpColumnResource
    wndReportControl.PaintManager.ColumnOffice2007CustomThemeBaseColor = vbRed
    wndReportControl.Redraw

See Also

TrackPaintManager Object | ColumnStyle Property


%%PageItemTitle%%

TrackPaintManager Object | PlusMinus Property

See Also Report Control ActiveX Control v19.3

ColumnPlusMinusSign Property

Description

Specifies whether to use a "+/-" button instead on an arrow button in the column header when a PlusMinus button is used to expand\collapse columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPlusMinusSign() As Boolean

See Also

TrackPaintManager Object | PlusMinus Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnPushedGradientColorDark Property

Description

The "Dark" color in the color gradient used for the background color of "pushed" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPushedGradientColorDark() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnPushedGradientColorLight Property

Description

The "Light" color in the color gradient used for the background color of "pushed" column headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnPushedGradientColorLight() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ColumnShadowGradient Property

Description

The color used to draw the shadow of a column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnShadowGradient() As ULong

Remarks

The shadow is drawn as a gradient with ColumnShadowGradient being the base color for this gradient.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | XTPReportColumnStyle Enumeration

See Also Report Control ActiveX Control v19.3

ColumnStyle Property

Description

Stores the style used to display ReportColumn headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnStyle() As XTPReportColumnStyle

Remarks

This does not effect column headers in the FieldChooser and Group By box.

Example

[Changing the ReportColumn header style (Visual Basic)] This sample illustrates how to change the style of the ReportColumn headers.

    'The column headers in the ReportControl will use the "shaded" style
    wndReportControl.PaintManager.ColumnStyle = xtpColumnShaded

See Also

TrackPaintManager Object | XTPReportColumnStyle Enumeration


%%PageItemTitle%%

TrackPaintManager Object | ShowWYSIWYGMarkers Property

See Also Report Control ActiveX Control v19.3

ColumnWidthWYSIWYG Property

Description

Allows the report to be printed as seen (WYSIWYG).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnWidthWYSIWYG() As Boolean

Remarks

When True, the report will print on as many pages as needed to print the columns with the widths displayed on the screen. If False, all columns are condensed to fit on a single page.

After printing a red "WYSISYG Marker" is drawn on top of the column header to indicate actual page boundaries. What you see before the red marker will fit on a single page, what is after the marker will go on the next page, etc. This makes it easy to adjust the width of columns or the window so that the printout will look exactly as you want it to look. This marker will continue to be shown after printing\print preview. You can turn the marker off using ShowWYSIWYGMarkers.

See Also

TrackPaintManager Object | ShowWYSIWYGMarkers Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CompactText Property

Description

Specifies whether text has preference over icons when a column is to narrow to display both.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CompactText() As Boolean

Remarks

By default, if a column has an Icon, the Icon is displayed first, then the text. If CompactText is True, then the text will be displayed unless there is enough room to display both the icon and the text.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

CustomTimeLineLabel Property

Description

Specifies whether to use custom time line labels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTimeLineLabel() As Boolean

Return Type

True if custom time line labels will be use. False otherwise.

Remarks

When True, the TimeLineLabel Event will be called for each label where you can specify the text for the label and the tick mark line length.

The TimeLineStep Property will specify the time increments the track control will use when the TimeLineStepAuto Property is False. If TimeLineStepAuto, then the track control will auto increment the time.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawGridForEmptySpace Property

Description

Gets or sets wether grid lines will be drawn after the body of rows to fill the empty space.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawGridForEmptySpace() As Boolean

Remarks

If True, the report control fills the empty space (if any) after the body rows with grid lines.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawSortTriangleAlways Property

Description

The DrawSortTriangleAlways property specifies when the sort triangle is drawn.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawSortTriangleAlways() As Boolean

Remarks

If DrawSortTriangleAlways is TRUE, the sort triangle displayed in column headers when a column is sorted will always be displayed as long as the column size is large enough to drawn the triangle.

If DrawSortTriangleAlways is FALSE, the triangle will be removed when the column size is too small to display both the caption and triangle, this will cause only the caption will be drawn. If the column size is too small to display the entire caption, the caption will be abbreviated with ellipses.

By default, is TRUE.

Example

[DrawSortTriangleAlways Sample (Visual Basic)] This sample illustrates how to hide the sort triangle the the column width is too small to display both the column caption and the sort arrow.

    'The sort triangle will be hidden if the column width is too small to display both
    'the caption and sort arrow.
    wndReportControl.PaintManager.DrawSortTriangleAlways = False

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

DrawSortTriangleStyle Property

Description

Specifies the style of the column sort triangle when the column is sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawSortTriangleStyle() As XTPReportDrawSortTriangleStyle

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | CollapseText Property | ColumnPlusMinusSign Property

See Also Report Control ActiveX Control v19.3

ExpandText Property

Description

Sets the tooltip displayed for a column with a expand button (PlusMinus property) when in the expanded state in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandText() As String

Example

Set Column = wndReportControl.Columns.Add(COLUMN_FROM, "From", 130, True)
Column.PlusMinus = True
Column.NextVisualBlock = 3

wndReportControl.PaintManager.CollapseText = "Collapse Me"
wndReportControl.PaintManager.ExpandText = "Expand Me"

See Also

TrackPaintManager Object | Expanded Property | NextVisualBlock Property | PlusMinus Property | CollapseText Property | ColumnPlusMinusSign Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

FixedInplaceButtonHeight Property

Description

Specifies whether the paint manager supports fixed height of in-place buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedInplaceButtonHeight() As Boolean

Remarks

By default this is False. Set to True to allow the height of the in-place button to resize to the height of each individual row.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | XTPColumnAlignment Enumeration | Alignment Property

See Also Report Control ActiveX Control v19.3

FixedRowHeight Property

Description

Gets\sets whether multi-line rows are allowed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedRowHeight() As Boolean

Remarks

The column alignment must be set to xtpAlignmentWorkBreak to specify that the text should "wrap" in a column if the width of the column is not wide enough to display the entire contents of the item.

In combination with the xtpAlignmentWorkBreak flag, FixedRowHeight must be False to allow multi-line rows.

If FixedRowHeight is True, then an ellipse (...) will be displayed on the same line to indicate all text is not visible and all rows will be the same height.

See Also

TrackPaintManager Object | XTPColumnAlignment Enumeration | Alignment Property


%%PageItemTitle%%

TrackPaintManager Object | FooterRowsDividerStyle Property | HeaderRowsDividerColor Property | HeaderRowsDividerStyle Property

See Also Report Control ActiveX Control v19.3

FooterRowsDividerColor Property

Description

Gets or sets the color of the footer divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsDividerColor() As ULong

See Also

TrackPaintManager Object | FooterRowsDividerStyle Property | HeaderRowsDividerColor Property | HeaderRowsDividerStyle Property


%%PageItemTitle%%

TrackPaintManager Object | HeaderRowsDividerStyle Property | HeaderRowsDividerColor Property | FooterRowsDividerColor Property

See Also Report Control ActiveX Control v19.3

FooterRowsDividerStyle Property

Description

Gets or sets the style of the footer divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterRowsDividerStyle() As XTPReportFixedRowsDividerStyle

See Also

TrackPaintManager Object | HeaderRowsDividerStyle Property | HeaderRowsDividerColor Property | FooterRowsDividerColor Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceDynamicMarkupForCell Property

Description

Forces markup rendering for item captions in Virtual Mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceDynamicMarkupForCell() As Boolean

Remarks

Only for virtual mode! You have to set the Caption of the Item to have markup.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceShowDropMarker Property

Description

Specifies whether to force the Show Drop Marker when dragging and dropping.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceShowDropMarker() As Boolean

Remarks

This is for ext drag and drop to indicate a mode.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ForceShowTooltip Property

Description

Specifies whether to force tooltips to always be displayed, even when not normally needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForceShowTooltip() As Boolean

Remarks

Normally tooltips are only shown for text not fully visible. This will force the tip to display even if the text is fully visible.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ReportRecordItem ForeColor Property

See Also Report Control ActiveX Control v19.3

ForeColor Property

Description

The foreground\text color of the ReportControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Remarks

This is the foreground color for the entire ReportControl. All ReportRecordItems will use this as their forecolor unless the value is manually changed. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ReportControl ForeColor\Text Color Sample (Visual Basic)] This sample illustratres how to change the ForeColor\text color for the entire ReportControl.

    'This will change the ForeColor\text color of the ReportControl to red
    wndReportControl.PaintManager.ForeColor = vbRed

See Also

TrackPaintManager Object | ReportRecordItem ForeColor Property


%%PageItemTitle%%

TrackPaintManager Object | Formula Property

See Also Report Control ActiveX Control v19.3

FormulaSubSumColor Property

Description

Gets\sets the color for Formula SubSum fields.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormulaSubSumColor() As ULong

See Also

TrackPaintManager Object | Formula Property


%%PageItemTitle%%

TrackPaintManager Object | Formula Property

See Also Report Control ActiveX Control v19.3

FormulaSumColor Property

Description

Gets\sets the color for Formula Sum fields.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormulaSumColor() As ULong

See Also

TrackPaintManager Object | Formula Property


%%PageItemTitle%%

TrackPaintManager Object | FreezeColumnsCount Property | FreezeColsDividerStyle Property

See Also Report Control ActiveX Control v19.3

FreezeColsDividerColor Property

Description

Color of the freeze column divider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColsDividerColor() As ULong

See Also

TrackPaintManager Object | FreezeColumnsCount Property | FreezeColsDividerStyle Property


%%PageItemTitle%%

TrackPaintManager Object | FreezeColsDividerColor Property | FreezeColumnsCount Property | XTPReportFreezeColsDividerStyle Enumeration

See Also Report Control ActiveX Control v19.3

FreezeColsDividerStyle Property

Description

Style of the freeze column divider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FreezeColsDividerStyle() As Long

Remarks

Uses a flag from the XTPReportFreezeColsDividerStyle enumeration to set the style.

See Also

TrackPaintManager Object | FreezeColsDividerColor Property | FreezeColumnsCount Property | XTPReportFreezeColsDividerStyle Enumeration


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

Glyphs Property

Description

Returns point to additional image list with Glyphs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Glyphs() As ImageManagerIcons

Remarks

Aditional image list usually used for bitmaps of collapsed icons, etc.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

GrayIfDisable Property

Description

Specifies whether to draw the report using "normal" colors or standard Windows disabled colors when the report control disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GrayIfDisable() As Boolean

Remarks

When False, when the report control is disabled the report will still look enabled to the user but won't respond to input. This is like a "Read-Only" mode, only you can't even scroll the report.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | HorizontalGridStyle Property | VerticalGridStyle Property

See Also Report Control ActiveX Control v19.3

GridLineColor Property

Description

The color used to draw grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridLineColor() As ULong

Remarks

This is the color used to draw the grid lines in the ReportControl. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GridLineColor Sample (Visual Basic)] This sample illustrates how to change the color of the grid lines.

    'Grid lines will be drawn in blue
    wndReportControl.PaintManager.GridLineColor = vbBlue

See Also

TrackPaintManager Object | HorizontalGridStyle Property | VerticalGridStyle Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupBoxBackColor Property

Description

The background color of the "Group By" box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupBoxBackColor() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupByNoItemsTextColor Property

Description

Color used to display the "No Items" text message displayed in the "Group By" box when no groups are added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupByNoItemsTextColor() As ULong

Remarks

If the Group By box is visible, and no ReportColumn headers have been added, then the text stored in NoGroupByText will be displayed in the Group By box. By default, the message "Drag a Column Header Here to Group by that Column" will be displayed.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | GroupCaption Property

See Also Report Control ActiveX Control v19.3

GroupForeColor Property

Description

The color of text in group rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupForeColor() As ULong

Remarks

This is the forecolor\text color for text displayed in group rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

You can change the text by setting the GroupCaption property of the ReportRecordItems.

Example

[GroupForeColor Sample (Visual Basic)] This sample illustrates how to change the color used to display text in group rows. You can change the text by setting the GroupCaption property of the ReportRecordItems.

    'This will change the ForeColor\text color of text displayed in group rows to green
    wndReportControl.PaintManager.GroupForeColor = vbGreen

See Also

TrackPaintManager Object | GroupCaption Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupGridLineHeight Property

Description

Gets or sets the height of the group grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupGridLineHeight() As Integer

Return Type

The height of the group grid lines.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

GroupIndentColor Property

Description

The color of the group indent shading.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupIndentColor() As ULong

Remarks

Returns or sets the color used to shade indentation area when rows are grouped. The indentation area is usually visible when rows are grouped by multiple columns. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupIndentColor Sample (Visual Basic)] This sample illustrates how to change the color used to shad the group indention area when rows are grouped.

    'This will shade the group indent area in red
    wndReportControl.PaintManager.GroupIndentColor = vbRed

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | GroupBoxBackColor Property | GroupForeColor Property | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property | GroupShadeForeColor Property

See Also Report Control ActiveX Control v19.3

GroupRowTextBold Property

Description

Gets\sets whether the text displayed in group rows will be displayed in bold type.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupRowTextBold() As Boolean

Remarks

This only effects the text of group rows.

See Also

TrackPaintManager Object | GroupBoxBackColor Property | GroupForeColor Property | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property | GroupShadeForeColor Property


%%PageItemTitle%%

TrackPaintManager Object | ShadeGroupHeadings Property

See Also Report Control ActiveX Control v19.3

GroupShadeBackColor Property

Description

The color used to shade group headings when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeBackColor() As ULong

Remarks

This applies to the shading of group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ShadeGroupHeadings Sample (Visual Basic)] This sample illustrates how to change the GroupShadeBackColor.

    'Allows Group headings to be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True
    'Changes the color of the group headings to blue
    wndReportControl.PaintManager.GroupShadeBackColor = vbBlue

See Also

TrackPaintManager Object | ShadeGroupHeadings Property


%%PageItemTitle%%

TrackPaintManager Object | GroupRow Property

See Also Report Control ActiveX Control v19.3

GroupShadeBorderColor Property

Description

The color used to draw the grid line border of group rows when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeBorderColor() As ULong

Remarks

This applies to the color of the grid line border of group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupShadeBorderColor Sample (Visual Basic)] This sample illustrates how to change the GroupShadeBorderColor. The border of a group row is the line drawn under the group headers.

    'Changes the color of the border for group rows to red
    wndReportControl.PaintManager.GroupShadeBorderColor = vbRed

See Also

TrackPaintManager Object | GroupRow Property


%%PageItemTitle%%

TrackPaintManager Object | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property

See Also Report Control ActiveX Control v19.3

GroupShadeForeColor Property

Description

The text color of text displayed in Group Rows when ShadeGroupHeadings is True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GroupShadeForeColor() As ULong

Remarks

This applies to the shading of text in the group header rows that appear in the ReportControl when the rows are grouped. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[GroupShadeForeColor Sample (Visual Basic)] This sample illustrates how to change the GroupShadeForeColor.

    'Allows Group headings to be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True
    'Changes the color of the group headings to blue
    wndReportControl.PaintManager.GroupShadeForeColor = vbBlue

See Also

TrackPaintManager Object | GroupIndentColor Property | GroupShadeBackColor Property | GroupShadeBorderColor Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

HeaderHeight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderHeight() As Long

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | FooterRowsDividerColor Property | FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property

See Also Report Control ActiveX Control v19.3

HeaderRowsDividerColor Property

Description

Gets or sets the color of the header divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsDividerColor() As ULong

See Also

TrackPaintManager Object | FooterRowsDividerColor Property | FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property


%%PageItemTitle%%

TrackPaintManager Object | FooterRowsDividerStyle Property | FooterRowsDividerColor Property | HeaderRowsDividerColor Property

See Also Report Control ActiveX Control v19.3

HeaderRowsDividerStyle Property

Description

Gets or sets the style of the header divider lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderRowsDividerStyle() As XTPReportFixedRowsDividerStyle

See Also

TrackPaintManager Object | FooterRowsDividerStyle Property | FooterRowsDividerColor Property | HeaderRowsDividerColor Property


%%PageItemTitle%%

TrackPaintManager Object | ReportRow Selected Property | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | ReportSelectedRows Count Property

See Also Report Control ActiveX Control v19.3

HideSelection Property

Description

Determines whether the currently selected rows will remain shaded when the ReportControl loses focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

Remarks

When the ReportControl loses focus, you can choose whether the currently selected rows remain shaded. By default, this property is FALSE. If FALSE, the currently selected rows will remain shaded when the ReportControl loses focus. If TRUE, the current selection (shading only, the rows will still be visible without shading) will be hidden when the ReportControl losses focus, the selection will become visible when the ReportControl regains focus. This will not hide the rows, it only hides the shading that indicates which rows are selected.

Example

[How to remove the shading from the currently selected rows when the ReportControl looses focus (Visual Basic)] This sample illustrates how to remove the shading from the currently selected rows when the ReportControl looses focus. The shading will return when the ReportControl regains focus.

    'This code causes the shading from the currently selected rows to hide when
    'the ReportControl looses focus.
    wndReportControl.PaintManager.HideSelection = True

See Also

TrackPaintManager Object | ReportRow Selected Property | ReportSelectedRows Add Method | ReportSelectedRows DeleteAll Method | ReportSelectedRows Count Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

HighlightBackColor Property

Description

The background color of selected rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightBackColor() As ULong

Remarks

This is the background color for selected rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

HighlightForeColor Property

Description

The text color of selected rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightForeColor() As ULong

Remarks

This is the forecolor\text color for text displayed in selected rows. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | XTPReportGridStyle Enumeration | VerticalGridStyle Property

See Also Report Control ActiveX Control v19.3

HorizontalGridStyle Property

Description

Style used to draw horizontal grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalGridStyle() As XTPReportGridStyle

Remarks

You can choose from several predefined line styles.

Example

[Changing the horizontal grid line style (Visual Basic)] This sample illustrates how to change the vertical grid line style

    'Horizontal grid lines will be drawn as dashes
    wndReportControl.PaintManager.HorizontalGridStyle = xtpGridDashes

See Also

TrackPaintManager Object | XTPReportGridStyle Enumeration | VerticalGridStyle Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

HotDividerColor Property

Description

Gets\sets the color of the arrows used to show where a column can be dropped when dragging a column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotDividerColor() As ULong

Remarks

Specifies the color of the arrows used to show where a column can be dropped when dragging a column header.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ColumnStyle Property

See Also Report Control ActiveX Control v19.3

HotTracking Property

Description

Gets\set whether hot tracking is used while moving the mouse over the column header when using the "Explorer" or "Office 2003" column styles.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

The column style must be "Explorer" or "Office 2003" to use hot tracking.

"Explorer" column style using hot tracking.

"Office 2003" column style using hot tracking.

See Also

TrackPaintManager Object | ColumnStyle Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

HyperLinkColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HyperLinkColor() As ULong

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

InvertColumnOnClick Property

Description

Gets\sets whether the column header will appear "inverted" when clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InvertColumnOnClick() As Boolean

Remarks

Column clicked with InvertColumnOnClick = True

Column clicked with InvertColumnOnClick = False

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

LastColumnWidthWYSIWYG Property

Description

Special flag, not normally used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LastColumnWidthWYSIWYG() As Boolean

Remarks

If next column is the "last resizable" column, but not an "auto size" column - then resize it too.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

Marker Property

Description

Gets or sets the color used to draw Markers in the Time Line. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property Marker() As ULong

Return Type

Returns the color used to draw Markers in the Time Line.

Remarks

Marker sets the color used to draw Markers in the Time Line.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object | PreviewText Property | PreviewMode Property | PreviewTextFont Property

See Also Report Control ActiveX Control v19.3

MaxPreviewLines Property

Description

The maximum number of lines of the PreviewText that will be displayed while in PreviewMode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPreviewLines() As Long

Remarks

You can add as many lines of text in the PreviewText property, only the number of lines specified in MaxPreviewLines will be displayed wile in PreviewMode.

Example

[How to change the maximum number of preview text lines that are displayed (Visual Basic)] This sample illustrates how to change the maximum number of lines that will be displayed from the preview text while in PrevieMode.

    'This sample illustrates how to add PreviewText to a ReportRecord
    'And how to change the number of lines that will be displayed while in PreviewMode
    Dim Record As ReportRecord
    Dim Item As ReportRecordItem

    'Adds a record
    Set Record = wndReportControl.Records.Add

    'Only 2 lines of the PreviewText will be displayed
    wndReportControl.PaintManager.MaxPreviewLines = 2

    'Only the first 2 lines will be displayed while in PreviewMode
    'Because MaxPreviewLines has been set to 2.
    Record.PreviewText = "RE: Your Invoice (From: John Smith)" & _
                         vbCrLf & "John Smith" & _
                         vbCrLf & "19/06/2004" & _
                         vbCrLf & "18K"

     Set Item = Record.AddItem("")
         Item.HasCheckbox = True
         Item.Checked = False
     Record.AddItem "RE: Your Invoice"
     Record.AddItem "John Smith"
     Record.AddItem "19/06/2004"
     Record.AddItem "18k"

See Also

TrackPaintManager Object | PreviewText Property | PreviewMode Property | PreviewTextFont Property


%%PageItemTitle%%

TrackPaintManager Object | FreezeColumnsCount Property | AutoColumnSizing Property

See Also Report Control ActiveX Control v19.3

MoveScrollbarOnFixedColumnsIndent Property

Description

Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MoveScrollbarOnFixedColumnsIndent() As Boolean

Remarks

Specifies whether to place the scrollbar only under the scrollable columns when FreezeColumnsCount is used and AutoColumnSizing is False.

See Also

TrackPaintManager Object | FreezeColumnsCount Property | AutoColumnSizing Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

NoFieldsAvailableText Property

Description

The "No Fields Available" text message displayed in the Field Chooser when no Column Headers are present.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoFieldsAvailableText() As String

Example

[NoFieldsAvailableText Sample (Visual Basic)] This sample illustrates how to change the message displayed when the Field Chooser box is empty.

    'This code causes the text message displayed in an empty Field Chooser box
    'to display the word "Empty"
    wndReportControl.PaintManager.NoFieldsAvailableText = "Empty"

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ShowGroupBox

See Also Report Control ActiveX Control v19.3

NoGroupByText Property

Description

The "No Items" text message displayed in the "Group By" box when no groups are added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoGroupByText() As String

Remarks

If the Group By box is visible, and no ReportColumn headers have been added, then the text stored in NoGroupByText will be displayed in the Group By box. By default, the message "Drag a Column Header Here to Group by that Column" will be displayed.

Example

[Customizing the message in the Group By box when no items are inside. (Visual Basic)] This sample illustrates how to change the default message displayed in the Group By box when no items are inside.

    'Changed the default text displayed in the Group By box when no columns have been added
    wndReportControl.PaintManager.NoGroupByText = "Drag a Column Header Here"

See Also

TrackPaintManager Object | ShowGroupBox


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

NoItemsText Property

Description

The "No Items" text message displayed in the ReportControl when there are no visible rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NoItemsText() As String

Example

[Customizing the No Items message displayed in the ReportControl when there are no visible rows (Visual Basic)] This sample illustrates how to change the default message displayed in the ReportControl when no rows are visible.

    'Changed the default text displayed in the ReportControl when there are no visible rows
    wndReportControl.PaintManager.NoItemsText = "There are no items to display!"

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | PreviewText Property | PreviewMode Property

See Also Report Control ActiveX Control v19.3

PreviewTextColor Property

Description

The foreground\text color of the Preview Text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewTextColor() As ULong

Remarks

This is the forecolor\text color for the Preview Text displayed when in PreviewMode. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

You can change the text by setting the Preview Text property of a ReportRecord.

See Also

TrackPaintManager Object | PreviewText Property | PreviewMode Property


%%PageItemTitle%%

TrackPaintManager Object | PreviewMode Property | ReportRecord PreviewText Property

See Also Report Control ActiveX Control v19.3

PreviewTextFont Property

Description

Font used to display the PreviewTextFont of a ReportRecord while in PreviewMode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PreviewTextFont() As Font

Remarks

This text will only be visible while in PreviewMode.

Example

[Setting the PreviewTextFont (Visual Basic)] This sample illustrates how to set the font used to display the preview text of a ReportRecord while in PreviewMode.

    Dim PreviewTextFont As StdFont
    Set PreviewTextFont = Me.Font
    PreviewTextFont.Size = 8
    PreviewTextFont.Italic = True

    'Applies the newly created font to the ReportControl's PreviewTextFont
    Set wndReportControl.PaintManager.PreviewTextFont = PreviewTextFont

See Also

TrackPaintManager Object | PreviewMode Property | ReportRecord PreviewText Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

PrintPageRectangle Property

Description

Specifies whether to print the black rectangle around the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintPageRectangle() As Boolean

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

PrintWatermark Property

Description

Specifies whether to print the watermark of the report (if a watermark is used).

Property type

Read-write property

Syntax (Visual Basic)

Public Property PrintWatermark() As Boolean

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ShowRowNumber Method | StartRecOrRowNumber Property

See Also Report Control ActiveX Control v19.3

RecOrRowNumber Property

Description

Specifies whether numbers in the Number column get sorted (displays record number) or are "set in stone" and never move (displays row number).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RecOrRowNumber() As Boolean

Remarks

When the Number column displays the record number the numbers in the column will move based on the sort order. If displaying by row number the rows numbers always stay the same.

See Also

TrackPaintManager Object | ShowRowNumber Method | StartRecOrRowNumber Property


%%PageItemTitle%%

TrackPaintManager Object | Column Alignment Property | RightToLeft Property | RightToLeftReading Property

See Also Report Control ActiveX Control v19.3

RevertAlignment Property

Description

Reverts the alignment of column content.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RevertAlignment() As Boolean

Remarks

When True, RevertAlignment will revert the current Column Alignment setting. If the current column alignment is Left, then Right will be used. This has no effect on columns aligned in the center.

RevertAlignment can be useful if column alignment should "look" the same after using RightToLeft or RightToLeftReading for Right-To-Left (RTL) languages.

See Also

TrackPaintManager Object | Column Alignment Property | RightToLeft Property | RightToLeftReading Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ScrollBarDark Property

Description

Dark color in a color gradient used to draw the WorkArea and TimeLine scroll bars. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarDark() As ULong

Remarks

ScrollBarDark is the dark color in a color gradient used to draw the WorkArea and TimeLine scroll bars.

ScrollBarLight is the light color in a color gradient used to draw the WorkArea and TimeLine scroll bars.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ScrollBarLight Property

Description

Light color in a color gradient used to draw the WorkArea and TimeLine scroll bars. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarLight() As ULong

Remarks

ScrollBarDark is the dark color in a color gradient used to draw the WorkArea and TimeLine scroll bars.

ScrollBarLight is the light color in a color gradient used to draw the WorkArea and TimeLine scroll bars.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

SelectedArea Property

Description

Color used to draw the "Selected Area". This is the color of the selection rectangle that is drawn when the mouse is clicked and dragged to select multiple blocks and keys. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedArea() As ULong

Remarks

SelectedArea is the color used to draw the "Selected Area". This is the color of the selection rectangle that is drawn when the mouse is clicked and dragged to select multiple blocks and keys.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object | SelectedRowForeColor Property

See Also Report Control ActiveX Control v19.3

SelectedRowBackColor Property

Description

Gets or sets the selected row background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedRowBackColor() As ULong

Remarks

Can be useful when the report loses focus and you do not want the color of the focused row to change.

See Also

TrackPaintManager Object | SelectedRowForeColor Property


%%PageItemTitle%%

TrackPaintManager Object | SelectedRowBackColor Property

See Also Report Control ActiveX Control v19.3

SelectedRowForeColor Property

Description

Gets or sets the selected row text color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedRowForeColor() As ULong

Remarks

Can be useful when the report loses focus and you do not want the color of the focused row to change.

See Also

TrackPaintManager Object | SelectedRowBackColor Property


%%PageItemTitle%%

TrackPaintManager Object | ShowGroupBox Property | Groupable Property | ShowItemsInGroups Property | GroupsOrder Property | GroupShadeBackColor Property

See Also Report Control ActiveX Control v19.3

ShadeGroupHeadings Property

Description

Specifies whether group headings in the ReportControl will be shaded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeGroupHeadings() As Boolean

Remarks

This applies to the group header rows that appear in the ReportControl when the rows are grouped.

Example

[Shading group headings in the ReportControl (Visual Basic)] This sample illustrates how to shade the group headers.

    'Group headings will be shaded
    wndReportControl.PaintManager.ShadeGroupHeadings = True

See Also

TrackPaintManager Object | ShowGroupBox Property | Groupable Property | ShowItemsInGroups Property | GroupsOrder Property | GroupShadeBackColor Property


%%PageItemTitle%%

TrackPaintManager Object | ReportColumn Sortable Property | ReportControl SortOrder Property | ShadeSortColumn Property

See Also Report Control ActiveX Control v19.3

ShadeSortColor Property

Description

Specifies the color used to shade sorted columns.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeSortColor() As ULong

Remarks

Returns or sets the color used to shade sorted columns when the ShadeSortColumn property is True. You can assign a RGB value, a Hex value, or a Visual Basic constant to this property.

Example

[ShadeSortColor Sample (Visual Basic)] This sample illustrates how to change the color used to shade sorted columns.

    'Sorted columns will be shaded in red
    wndReportControl.PaintManager.ShadeSortColor = vbRed

See Also

TrackPaintManager Object | ReportColumn Sortable Property | ReportControl SortOrder Property | ShadeSortColumn Property


%%PageItemTitle%%

TrackPaintManager Object | ReportControl ReportColumnOrder Object | ReportControl SortOrder Property | ReportColumn Sortable Property | ReportColumn SortAscending Property

See Also Report Control ActiveX Control v19.3

ShadeSortColumn Property

Description

Specifies whether the ReportRecordItems of a sorted column will be shaded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShadeSortColumn() As Boolean

Remarks

By default, each column that is sorted will be shaded.

If TRUE, the ReportRecordItems in the column will appear shaded when the column is sorted.

If FALSE, the ReportRecordItems will not appear shaded when the column is sorted.

Example

[Enable/Disable column shading when the column is sorted (Visual Basic)] This sample illustrates how to disable column shading when the column is sorted.

    'Columns will not appear shaded when they are sorted
    wndReportControl.PaintManager.ShadeSortColumn = False

See Also

TrackPaintManager Object | ReportControl ReportColumnOrder Object | ReportControl SortOrder Property | ReportColumn Sortable Property | ReportColumn SortAscending Property


%%PageItemTitle%%

TrackPaintManager Object | Editable Property | AllowEdit Property | UseShellIcon Property

See Also Report Control ActiveX Control v19.3

ShowLockIcon Property

Description

Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLockIcon() As Boolean

Remarks

If you set wndReportControl.AllowEdit = True but disable some items from edit Record.Item(1).Editable = False, the Report will show a small lock icon inside cells.

If you wold prefer to use the lock icon stored in the Windows shell icons (SHELL32.DLL) use UseShellIcon.

See Also

TrackPaintManager Object | Editable Property | AllowEdit Property | UseShellIcon Property


%%PageItemTitle%%

TrackPaintManager Object | CreateEditOptions Method | ReportInplaceButton Object

See Also Report Control ActiveX Control v19.3

ShowNonActiveInPlaceButton Property

Description

Specifies whether to show NonActive InPlace Buttons (Combo, Expand, Spin) all the time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowNonActiveInPlaceButton() As Boolean

Remarks

Set to True to show NonActive InPlace Buttons (Combo, Expand, Spin). By default, NonActive buttons are not displayed and the item must be clicked to display the button.

See Also

TrackPaintManager Object | CreateEditOptions Method | ReportInplaceButton Object


%%PageItemTitle%%

TrackPaintManager Object | ColumnWidthWYSIWYG Property

See Also Report Control ActiveX Control v19.3

ShowWYSIWYGMarkers Property

Description

Specifies whether to show or hide the page marker when using ColumnWidthWYSIWYG after printing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWYSIWYGMarkers() As Boolean

Remarks

When ColumnWidthWYSIWYG is True, the report will print on as many pages as needed to print the columns with the widths displayed on the screen. If False, all columns are condensed to fit on a single page.

After printing a red "WYSISYG Page Marker" is drawn on top of the column header to indicate actual page boundaries. What you see before the red marker will fit on a single page, what is after the marker will go on the next page, etc. This makes it easy to adjust the width of columns or the window so that the printout will look exactly as you want it to look. This marker will continue to be shown after printing\print preview. You can turn the marker off using ShowWYSIWYGMarkers.

See Also

TrackPaintManager Object | ColumnWidthWYSIWYG Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

SortByDecreasingText Property

Description

Gets or sets the text added to a columns tooltip when it is sorted (decreasing).

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByDecreasingText() As String

Remarks

Allows you to edit\remove "decreasing" text added to a columns tooltip when it is sorted. Set to "" to remove.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

SortByIncreasingText Property

Description

Gets or sets the text added to a columns tooltip when it is sorted (increasing).

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByIncreasingText() As String

Remarks

Allows you to edit\remove "decreasing" text added to a columns tooltip when it is sorted. Set to "" to remove.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | Sortable Property | AllowColumnSort Property

See Also Report Control ActiveX Control v19.3

SortByText Property

Description

Get\sets a string which contains customized "Sort By" text for displaying in sortable column header tooltips.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortByText() As String

Remarks

SortByText is the text string that is displayed in the tooltip window for column headers when no tooltip is set for the column. The tooltip normally reads "SortBy: + Column Caption". If the column tooltip is not set, then the tooltip displayed when the mouse cursor is positioned over a column will be "SortByText + Column Caption".

For SortByText to be used, the column must not have a tooltip set and AllowColumnSort must be True and Sortable must be True.

See Also

TrackPaintManager Object | Sortable Property | AllowColumnSort Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

SortTriangleOffsetFromRight Property

Description

Gets or sets the number of pixels the sort arrow will be drawn from the right edge of the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortTriangleOffsetFromRight() As Boolean

Return Type

The number of pixels the sort arrow will be drawn from the right edge of the column header.

Remarks

This allows you to change the position the sort arrow is drawn.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | RecOrRowNumber Property | ShowRowNumber Method | IconViewRowNumberSetup Method

See Also Report Control ActiveX Control v19.3

StartRecOrRowNumber Property

Description

Specifies the starting row number for the Number column if used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartRecOrRowNumber() As Long

Remarks

Default is 0.

See Also

TrackPaintManager Object | RecOrRowNumber Property | ShowRowNumber Method | IconViewRowNumberSetup Method


%%PageItemTitle%%

TrackPaintManager Object | ReportRecordItem Caption Property

See Also Report Control ActiveX Control v19.3

TextFont Property

Description

Font used to display the text/caption of the ReportRecordItems

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextFont() As Font

Remarks

This is the font used to display the text/caption of all the ReportRecordItems in the ReportControl.

You can change the font for each individual ReportRecordItem using the ReportRecordItemMetrics object in the BeforeDrawRow event.

Example

[Setting the font used to display the text/caption of ReportRecordItems (Visual Basic)] This sample illustrates how to change the font used to display the text\caption of the ReportRecordItems.

    Dim TextFont As StdFont
    Set TextFont = Me.Font
    TextFont.Size = 6
    TextFont.Bold = True

    'Applies the newly created font to the ReportControl's text font
    Set wndReportControl.PaintManager.TextFont = TextFont

See Also

TrackPaintManager Object | ReportRecordItem Caption Property

Example

Changing the font in each individual ReportRecordItem


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TextIndentForGroupRowsWithNoIcon Property

Description

Gets or sets the text indent for group rows if no group icon is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextIndentForGroupRowsWithNoIcon() As Integer

Return Type

Indent in pixels.

Remarks

TextIndentForGroupRowsWithNoIcon allows you to specify text indent if no group icon is used.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

ThemedInplaceButtons Property

Description

Specifies whether in-place buttons will be themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ThemedInplaceButtons() As Boolean

Remarks

In-place buttons include the "..." button and the combo box drop down button.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeHeaderDark Property

Description

Color used to draw the TimeLine header area. This is the area visible under the WorkArea slider and TimeLine Text. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeHeaderDark() As ULong

Remarks

TimeHeaderDark is the color used to draw the TimeLine header area. This is the area visible under the WorkArea slider and TimeLine Text.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeHeaderDarkDark Property

Description

Color used to draw the TimeLine header area shadow. This is the line that can be seen around the edges of the TimeLine header. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeHeaderDarkDark() As ULong

Remarks

TimeHeaderDarkDark is the color used to draw the TimeLine header area shadow. This is the line that can be seen around the edges of the TimeLine header.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeHeaderDivider Property

Description

Color used to draw the TimeLine header divider. This is the divider between the TimeLine header and the aread above and normal report columns if they are added. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeHeaderDivider() As ULong

Remarks

TimeHeaderDivider is the color used to draw the TimeLine header divider. This is the divider between the TimeLine header and the aread above and normal report columns if they are added.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeLineStep Property

Description

Specifies the time line increments.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeLineStep() As Long

Return Type

The current time increment used.

Remarks

The TimeLineStep Property will specify the time increments the track control will use when the TimeLineStepAuto Property is False. If TimeLineStepAuto, then the track control will auto increment the time.

When the CustomTimeLineLabel Property is True, the TimeLineLabel Event will be called for each label where you can specify the text for the label and the tick mark line length.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeLineStepAuto Property

Description

Specifies whether to use auto time increments for the time line.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeLineStepAuto() As Boolean

Remarks

The TimeLineStep Property will specify the time increments the track control will use when the TimeLineStepAuto Property is False. If TimeLineStepAuto, then the track control will auto increment the time.

When the CustomTimeLineLabel Property is True, the TimeLineLabel Event will be called for each label where you can specify the text for the label and the tick mark line length.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TimeSliderBackground Property

Description

Color used to draw the TimeLine scrollbar\slider background area. This is only the area behind the TimeLine slider bar. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TimeSliderBackground() As ULong

Remarks

TimeSliderBackground is the color used to draw the TimeLine scrollbar\slider background area. This is only the area behind the TimeLine slider bar.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TrackHeader Property

Description

Color used to draw the TimeLine track area. This is the area that is drawn above report columns (to the left\right of track area) if columns are added. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TrackHeader() As ULong

Remarks

TrackHeader is the color used to draw the TimeLine track area. This is the area that is drawn above report columns (to the left\right of track area) if columns are added.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TrackTimeArea Property

Description

Color used to draw the background of TimeLine header area behind the time text. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property TrackTimeArea() As ULong

Remarks

TrackTimeArea is the color used to draw the background of TimeLine header area behind the time text.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

TreeColumnLineLength Property

Description

Gets or sets the extra line length to apply to tree column lines if there is no expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeColumnLineLength() As Integer

Return Type

The extra line length to apply to tree column lines if there is no expand button.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | BaseTreeIndent Property

See Also Report Control ActiveX Control v19.3

TreeIndent Property

Description

Specifies the indentation placed before the text of each child node in a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeIndent() As Long

Remarks

Indentation is represented in Pixels.

Use BaseTreeIndent for parent indentation.

Example

[TreeIndent Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of child nodes.

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

TrackPaintManager Object | BaseTreeIndent Property


%%PageItemTitle%%

TrackPaintManager Object | XTPReportTreeStructureStyle Enumeration

See Also Report Control ActiveX Control v19.3

TreeStructureStyle Property

Description

Specifies the style of lines drawn when using a hierarchical tree structure.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TreeStructureStyle() As XTPReportTreeStructureStyle

Remarks

A line using the specified style will be drawn from the parent node to each child node in the tree structure.

Example

[TreeStructureStyle Sample (Visual Basic)] This sample illustrates how to set the lines style of a hierarchical tree structure, and is shows how to change the indent of child nodes.

    'When child nodes are displayed in a hierarchical tree structure, the text of the child nodes
    'will be indented by 50 pixels from the parent node
    wndReportControl.PaintManager.TreeIndent = 50

    'Specifies that no lines will be drawn from the parent node to the child nodes
    wndReportControl.PaintManager.TreeStructureStyle = xtpTreeStructureNone

See Also

TrackPaintManager Object | XTPReportTreeStructureStyle Enumeration


%%PageItemTitle%%

TrackPaintManager Object | AlternativeBackgroundColor Property

See Also Report Control ActiveX Control v19.3

UseAlternativeBackground Property

Description

Specifies whether to alternate the background color of the rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseAlternativeBackground() As Boolean

Remarks

AlternativeBackgroundColor is the color used for alternating row color when UseAlternativeBackground is True.

See Also

TrackPaintManager Object | AlternativeBackgroundColor Property


%%PageItemTitle%%

TrackPaintManager Object | Alignment Property | Caption Property | XTPColumnAlignment Enumeration

See Also Report Control ActiveX Control v19.3

UseColumnTextAlignment Property

Description

The UseColumnTextAlignment property specifies whether the text in the column header will use the ReportColumn.Alignment setting to align the header caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseColumnTextAlignment() As Boolean

See Also

TrackPaintManager Object | Alignment Property | Caption Property | XTPColumnAlignment Enumeration


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

UseDropMarker Property

Description

Specifies whether to show drop markers (red insertion lines) while dragging something into the report.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseDropMarker() As Boolean

Return Type

True to display the drop markers, False to hide them. Default is True.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | Alignment Property

See Also Report Control ActiveX Control v19.3

UseEditTextAlignment Property

Description

Specifies whether the ReportColumn.Alignment setting is automatically applied to items when in edit mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseEditTextAlignment() As Boolean

Remarks

When UseEditTextAlignment is True, all items will use the Column Alignment setting to align text when in edit mode.

See Also

TrackPaintManager Object | Alignment Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

UseGroupRowSelectionState Property

Description

Specifies whether to add a "selection" checkbox in the group row next to the expand\collapse button that indicates the selection status of child records.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseGroupRowSelectionState() As Boolean

Remarks

The selection box is useful to see if child items are selected in collapsed groups.

If all child items are selected, then the selection box will be checked.

If only some of the child items are selection, then the selection box will have a grayed out check mark.

If no child items are selected, then the selection box will not be checked.

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | ShowLockIcon Property | Editable Property | AllowEdit Property

See Also Report Control ActiveX Control v19.3

UseShellIcon Property

Description

Specifies whether to show a lock icon in cells that had Editable = False when the report is editable (AllowEdit = True). This property will use the lock icon from SHELL32.DLL.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseShellIcon() As Boolean

Remarks

If you set wndReportControl.AllowEdit = True but disable some items from edit Record.Item(1).Editable = False, the Report will show a small lock icon inside cells.

If you wold prefer to use the lock icon stored in Codejock resources, use ShowLockIcon. This version looks better on most modern OS.

See Also

TrackPaintManager Object | ShowLockIcon Property | Editable Property | AllowEdit Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

UseUpperCaseCaptions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseUpperCaseCaptions() As Boolean

See Also

TrackPaintManager Object


%%PageItemTitle%%

TrackPaintManager Object | XTPReportGridStyle Enumeration | HorizontalGridStyle Property

See Also Report Control ActiveX Control v19.3

VerticalGridStyle Property

Description

Style used to draw vertical grid lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalGridStyle() As XTPReportGridStyle

Remarks

You can choose from several predefined line styles.

Example

[Changing the vertical grid line style (Visual Basic)] This sample illustrates how to change the vertical grid line style

    'Vertical grid lines will be drawn as small dots
    wndReportControl.PaintManager.VerticalGridStyle = xtpGridSmallDots

See Also

TrackPaintManager Object | XTPReportGridStyle Enumeration | HorizontalGridStyle Property


%%PageItemTitle%%

TrackPaintManager Object

See Also Report Control ActiveX Control v19.3

WorkArea Property

Description

Color used to draw the "Selected Area" for the WorkArea. (Track Control)

Property type

Read-write property

Syntax (Visual Basic)

Public Property WorkArea() As ULong

Remarks

WorkArea is the color used to draw the "Selected Area" for the WorkArea.

See Also

TrackPaintManager Object

Example

TrackPaintManager Sample


%%PageItemTitle%%

TrackUndoManager Members

See Also Report Control ActiveX Control v19.3

TrackUndoManager Object

Description

Manager used to Undo and Redo edit operations in the track control. (Track Control)

For a list of all members defined in this module, see TrackUndoManager members.

Remarks

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

And "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete blocks\keys, no matter how many were deleted.

Dim Block As TrackBlock

TrackControl.UndoManager.StartGroup
For Each Block In TrackControl.SelectedBlocks
Block.Item.RemoveBlock Block.Index
Next
TrackControl.UndoManager.EndGroup

See Also

TrackUndoManager Members


%%PageItemTitle%% $$Members$$

TrackUndoManager Overview

See Also Report Control ActiveX Control v19.3

TrackUndoManager Object Members

Public Methods

Public Method Clear | Clears the history of the Undo Manager.
Public Method EndGroup | Used to specify a group of "undoable" operations has finished.
Public Method Redo | Redo the last operation if applicable.
Public Method StartGroup | Used to specify a group of "undoable" operations has started.
Public Method Undo | Undo the last operation if applicable.

Public Properties

Public Property CanRedo | Determines if there are any operations that can be re-done
Public Property CanUndo | Determines if there are any operations that can be un-done

See Also

TrackUndoManager Overview


%%PageItemTitle%%

TrackUndoManager Object

See Also Report Control ActiveX Control v19.3

Clear Method

Description

Clears the history of the Undo Manager.

Syntax

Public Sub Clear()

Remarks

This will remove all previous operations from the Undo Manager's cache.

See Also

TrackUndoManager Object


%%PageItemTitle%%

TrackUndoManager Object | StartGroup Method | Redo Method | Undo Method

See Also Report Control ActiveX Control v19.3

EndGroup Method

Description

Used to specify a group of "undoable" operations has finished.

Syntax

Public Sub EndGroup()

Remarks

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

And "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete blocks\keys, no matter how many were deleted.

Dim Block As TrackBlock

TrackControl.UndoManager.StartGroup
For Each Block In TrackControl.SelectedBlocks
Block.Item.RemoveBlock Block.Index
Next
TrackControl.UndoManager.EndGroup

See Also

TrackUndoManager Object | StartGroup Method | Redo Method | Undo Method


%%PageItemTitle%%

TrackUndoManager Object | CanRedo Property

See Also Report Control ActiveX Control v19.3

Redo Method

Description

Redo the last operation if applicable.

Syntax

Public Sub Redo()

Remarks

This will Redo the last operation if it can. Use CanRedo to test if an operation is available to be re-done.

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

See Also

TrackUndoManager Object | CanRedo Property


%%PageItemTitle%%

TrackUndoManager Object | Undo Method | Redo Method | EndGroup Method

See Also Report Control ActiveX Control v19.3

StartGroup Method

Description

Used to specify a group of "undoable" operations has started.

Syntax

Public Sub StartGroup()

Remarks

StartGroup and EndGroup are used to "group" a set of "undoable" operations together. Grouping the operations together is useful as grouped operations can be Undone or Re-done with a single call to Undo or Redo. If the operations are not grouped you would have to call Undo or Redo for each operation performed.

And "undoable" operations performed between StartGroup and EndGroup will be undone\re-done with a single call to Undo or Redo.

In the sample below, a single Undo call will replace all delete blocks\keys, no matter how many were deleted.

Dim Block As TrackBlock

TrackControl.UndoManager.StartGroup
For Each Block In TrackControl.SelectedBlocks
Block.Item.RemoveBlock Block.Index
Next
TrackControl.UndoManager.EndGroup

See Also

TrackUndoManager Object | Undo Method | Redo Method | EndGroup Method


%%PageItemTitle%%

TrackUndoManager Object | CanUndo Property

See Also Report Control ActiveX Control v19.3

Undo Method

Description

Undo the last operation if applicable.

Syntax

Public Sub Undo()

Remarks

This will Undo the last operation if it can. Use CanUndo to test if an operation is available to be un-done.

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

See Also

TrackUndoManager Object | CanUndo Property


%%PageItemTitle%%

TrackUndoManager Object | Redo Method

See Also Report Control ActiveX Control v19.3

CanRedo Property

Description

Determines if there are any operations that can be re-done

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

Remarks

Use CanRedo to test if an operation is available to be re-done. If so, then Redo can be used to redo that operation.

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

See Also

TrackUndoManager Object | Redo Method


%%PageItemTitle%%

TrackUndoManager Object | Undo Method

See Also Report Control ActiveX Control v19.3

CanUndo Property

Description

Determines if there are any operations that can be un-done

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

Remarks

Use CanUndo to test if an operation is available to be un-done. If so, then Undo can be used to undo that operation.

The TrackUndoManager allows certain edit operations to be undone and re-done in the track control. Supported operations are Add/Remove/Move markers, Add/Remove/Move/Resize Blocks. If any of these operations are performed they can easily be undone\re-done using the methods of the TrackUndoManager.

See Also

TrackUndoManager Object | Undo Method


%%PageItemTitle%%

XtremePrinterInfo Members

See Also Report Control ActiveX Control v19.3

XtremePrinterInfo Object

Description

Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.

For a list of all members defined in this module, see XtremePrinterInfo members.

Remarks

The PrinterInfo property is of type XtremePrinterInfo and is used to provide information about the currently set printer such as device name, driver name and port name.

The XtremePrinterInfo object contains strings that identify the driver, device, and output-port names for a printer. The ShowPrintPageSetup method uses these strings to initialize members in the Print dialog box. When the user closes the dialog box, information about the selected printer is returned in this XtremePrinterInfo object.

See Also

XtremePrinterInfo Members


%%PageItemTitle%% $$Members$$

XtremePrinterInfo Overview

See Also Report Control ActiveX Control v19.3

XtremePrinterInfo Object Members

Public Properties

Public Property DeviceName | Retrieves the name of the currently selected printer device.
Public Property DriverName | Retrieves the name of the currently selected printer driver.
Public Property PortName | Retrieves the name of the currently selected printer port.

See Also

XtremePrinterInfo Overview


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Report Control ActiveX Control v19.3

DeviceName Property

Description

Retrieves the name of the currently selected printer device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DeviceName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Report Control ActiveX Control v19.3

DriverName Property

Description

Retrieves the name of the currently selected printer driver.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DriverName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Report Control ActiveX Control v19.3

PortName Property

Description

Retrieves the name of the currently selected printer port.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PortName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrintPreviewOptions Members

See Also Report Control ActiveX Control v19.3

XtremePrintPreviewOptions Object

Description

Object that contains options for the print preview window.

For a list of all members defined in this module, see XtremePrintPreviewOptions members.

See Also

XtremePrintPreviewOptions Members


%%PageItemTitle%% $$Members$$

XtremePrintPreviewOptions Overview

See Also Report Control ActiveX Control v19.3

XtremePrintPreviewOptions Object Members

Public Properties

Public Property Title Get\set the title of the print preview window.

See Also

XtremePrintPreviewOptions Overview


%%PageItemTitle%%

XtremePrintPreviewOptions Object

See Also Report Control ActiveX Control v19.3

Title Property

Description

Get\set the title of the print preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

XtremePrintPreviewOptions Object


%%PageItemTitle%%

ReportDataManager Collection

Record
bAddToReport
See Also Report Control ActiveX Control v19.3

AddRecord Method

Syntax

Public Function AddRecord( _
   ByVal Record As ReportRecord, _
   ByVal bAddToReport As Boolean _
) As Boolean

Parameters

Record
bAddToReport

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

See Also Report Control ActiveX Control v19.3

CreateEmptyRecord Method

Syntax

Public Function CreateEmptyRecord() As ReportRecord

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

See Also Report Control ActiveX Control v19.3

DataBind Method

Syntax

Public Function DataBind() As Boolean

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

Record
See Also Report Control ActiveX Control v19.3

DeleteRecord Method

Syntax

Public Function DeleteRecord( _
   ByVal Record As ReportRecord _
) As Boolean

Parameters

Record

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

Record
See Also Report Control ActiveX Control v19.3

UpdateField Method

Syntax

Public Function UpdateField( _
   ByVal Record As ReportRecordItem _
) As Boolean

Parameters

Record

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

Record
See Also Report Control ActiveX Control v19.3

UpdateRecord Method

Syntax

Public Function UpdateRecord( _
   ByVal Record As ReportRecord _
) As Boolean

Parameters

Record

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

Item
See Also Report Control ActiveX Control v19.3

UpdateRecordItem Method

Syntax

Public Function UpdateRecordItem( _
   ByVal Item As ReportRecordItem _
) As Boolean

Parameters

Item

See Also

ReportDataManager Collection


%%PageItemTitle%%

ReportDataManager Collection

See Also Report Control ActiveX Control v19.3

DataSource Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DataSource() As Object

See Also

ReportDataManager Collection


%%PageItemTitle%%

Report Control ActiveX Control v19.3

MarkupCursor Enumeration

Members

Member | Description
xtpMarkupCursorNone |
xtpMarkupCursorNo |
xtpMarkupCursorArrow |
xtpMarkupCursorAppStarting |
xtpMarkupCursorCross |
xtpMarkupCursorIBeam |
xtpMarkupCursorSizeAll |
xtpMarkupCursorSizeNESW |
xtpMarkupCursorSizeNS |
xtpMarkupCursorSizeNWSE |
xtpMarkupCursorSizeWE |
xtpMarkupCursorUpArrow |
xtpMarkupCursorWait |
xtpMarkupCursorHand |


%%PageItemTitle%%

Report Control ActiveX Control v19.3

OLEDragConstants Enumeration

Description

OLEDrag Constants.

Members

Member | Description
xtpOLEDragManual | Manual. The programmer handles all OLE drag/drop operations.
xtpOLEDragAutomatic | The component handles all OLE drag/drop operations.


%%PageItemTitle%%

Report Control ActiveX Control v19.3

OLEDropConstants Enumeration

Description

OLE Drop Constants

Members

Member | Description
xtpOLEDropNone | Accepts no OLE drag/drop operations.
xtpOLEDropManual | Accepts an OLE drag/drop under programmatic control only.

Remarks

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.


%%PageItemTitle%%

SetColor Method | Color Property

See Also Report Control ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

ReportColumn Object | ReportRecordItem Object | FooterAlignment Property | HeaderAlignment Property | Columns Alignment Property

See Also Report Control ActiveX Control v19.3

XTPColumnAlignment Enumeration

Description

Specifies the alignment of the text/icons in a ReportColumn.

Members

Member | Description
xtpAlignmentLeft | Left aligns the contents of the ReportColumn.
xtpAlignmentCenter | Centers the contents of the ReportColumn.
xtpAlignmentRight | Right aligns the contents of the ReportColumn.
xtpAlignmentVCenter | Vertically centers the content of cells within the ReportColumn.
xtpAlignmentWordBreak | This allows the text to "wrap" in a column if the width of the column is not wide enough to display the contents of the item. This specifies that line breaks are allowed. FixedRowHeight must also be False to allow multi-line rows.
xtpAlignmentTextMask | Combination of xtpAlignmentLeft, xtpAlignmentCenter, xtpAlignmentRight, xtpAlignmentVCenter, and xtpAlignmentWordBreak. This is used primarily for BitWise math (AND and OR operators) to remove all Text alignment styles when Text alignment is not needed. For example, Column.Alignment And xtpAlignmentTextMask would result in all Text alignment flags being removed from the column.
xtpAlignmentIconLeft | Left aligns the icon of items in the ReportColumn.
xtpAlignmentIconCenter | Centers the icon of items in the ReportColumn.
xtpAlignmentIconRight | Right aligns the icon of items in the ReportColumn.
xtpAlignmentIconTop | Aligns icons on the top of items in the Report Column.
xtpAlignmentIconVCenter | Vertically centers the icon of items in the ReportColumn.
xtpAlignmentIconBottom | Aligns icons on the bottom of items in the Report Column.
xtpAlignmentIconMask | Combination of xtpAlignmentIconLeft, xtpAlignmentIconCenter, and xtpAlignmentIconRight. This is used primarily for BitWise math (AND and OR operators) to remove all Icon alignment styles when icon alignment is not needed. For example, Column.Alignment And xtpAlignmentIconMask would result in all icon alignment flags being removed from the column.

Remarks

This will align the contents of the ReportRecordItem's within the ReportColumn. Both the text and icon can be assigned a different alignment within the same item by combining the text and icon flags.

XTPColumnAlignment can be used for column Footer Alignment, column HeaderAlignment, and Column Alignment.

Example

[Column Alignment (Visual Basic)] This sample code illustrates how to specify the alignment of the contents of a ReportColumn.

    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_NAME, "Name", 300, True)
    Set Column = wndReportControl.Columns.Add(COLUMN_TYPE, "Type", 184, True)
    Set Column = wndReportControl.Columns.Add(COLUMN_MODIFIED, "Modified", 104, True)
    Column.Alignment = xtpAlignmentCenter
    Set Column = wndReportControl.Columns.Add(COLUMN_SIZE, "Size", 80, True)
    Column.Alignment = xtpAlignmentRight

See Also

ReportColumn Object | ReportRecordItem Object | FooterAlignment Property | HeaderAlignment Property | Columns Alignment Property


%%PageItemTitle%%

BestFitMode Property | BestFit Method

See Also Report Control ActiveX Control v19.3

XTPColumnBestFitMode Enumeration

Description

Column best fit modes.

Members

Member | Description
xtpBestFitModeVisibleData | Fit by visible column data. This means that the column will only use the data in the visible columns to determine the best fit.
xtpBestFitModeAllData | Fit by all column data. This means that the column will the data in all columns to determine the best fit.

Remarks

The BestFitMode property uses values from this enumeration to set the columns best fit mode. This will resize the column to the width of the longest item for only the visible rows or for all rows.

This will be the mode used when the BestFit method is called.

See Also

BestFitMode Property | BestFit Method


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Report Control ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

GroupRowIconAlignment Property

See Also Report Control ActiveX Control v19.3

XTPGroupRowIconAlignment Enumeration

Description

Defines the alignment style used for custom icons displayed in a group row.

Members

Member | Description
xtpGroupRowIconUnknown | Unknown (empty) value.
xtpGroupRowIconLeft | Draws the icon on the left side of group row. This will place the icon before the group row expand button ("+" and "-" buttons).
xtpGroupRowIconBeforeText | Draws the icon before the caption text (between Expand/Collapse icon and text).
xtpGroupRowIconAfterText | Draws the icon after the caption text.
xtpGroupRowIconRight | Draws the icon at the far right side of group row.
xtpGroupRowIconVTop | Vertical alignment: Draws the icon at the top of group row.
xtpGroupRowIconVCenter | Vertical alignment: Draws the icon in the center of group row.
xtpGroupRowIconVCenterToText | Vertical alignmeny: Centers the icons with the caption text.
xtpGroupRowIconVBottom | Vertical alignment: Draws the icon at the bottom of group row.

Remarks

The GroupRowIconAlignment property uses the XTPGroupRowIconAlignment enumeration to set the alignment of an icon displayed in a group row.

Example

[Displaying an icon in a group row. (Visual Basic)] This sample illustrates how to display an icon in a group row.

Private Sub wndReportControl_BeforeDrawRow(ByVal Row As XtremeReportControl.IReportRow, ByVal Item As XtremeReportControl.IReportRecordItem, ByVal Metrics As XtremeReportControl.IReportRecordItemMetrics)

    Dim bShowGroupRowIcons As Boolean

    bShowGroupRowIcons = True

    If bShowGroupRowIcons Then
        ' for Grop rows Record member is Nothing
        If Row.Record Is Nothing Then
            If Row.Expanded Then
                Metrics.GroupRowIcon = 5
                Metrics.GroupRowIconAlignment = xtpGroupRowIconBeforeText + xtpGroupRowIconVCenterToText
            Else
                Metrics.GroupRowIcon = 4
                Metrics.GroupRowIconAlignment = xtpGroupRowIconAfterText + xtpGroupRowIconVCenterToText
            End If
        End If
    End If
End Sub

See Also

GroupRowIconAlignment Property


%%PageItemTitle%%

ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method | Icons Property | Icon Property | Icon Property | SetImageList Method

See Also Report Control ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies when an image/icon/bitmap will be displayed. This is specified when it is added to the ReportControl's collection of images.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

Only the "Normal" icon is used in the ReportControl. You can add "Hot" and "Disabled" icons, but they will not be used.

If you have the CommandBars component installed you can use the icons added to the ImageManager.

Example

[Adding Images to the ReportControl (Visual Basic)] This sample illustrates how to add an icon to the ReportControl using the AddIcon method.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    Column.Icon = COLUMN_CHECK

    Dim hIcon As IPictureDisp

    'Only the "Normal" state icon is used in the Report control
    Set hIcon = ImageListReport.ListImages(1).ExtractIcon
    wndReportControl.Icons.AddIcon hIcon, COLUMN_CHECK, xtpImageNormal

[Adding existing images from the CommandBars ImageManager control (Visual Basic)] This sample illustrates how to add and use images from a CommandBars ImageManager control.

    'Add this to the General code section
    Const COLUMN_CHECK = 0

    'This code is placed in the Form_Load event
    Dim Column As ReportColumn

    Set Column = wndReportControl.Columns.Add(COLUMN_CHECK, "Selected", 18, False)
    'The value assigned to the Icon property corresponds to the IconId of an icon in the ImageManager control
    Column.Icon = 1

    wndReportControl.Icons = ImageManager.Icons

See Also

ImageManagerIcons Object | AddIcon Method | LoadBitmap Method | LoadIcon Method | Icons Property | Icon Property | Icon Property | SetImageList Method


%%PageItemTitle%%

Report Control ActiveX Control v19.3

XTPMarkupSmoothingMode Enumeration

Description

Possible rendering smoothing modes

Members

Member | Description
xtpMarkupSmoothingDefault |
xtpMarkupSmoothingNone |
xtpMarkupSmoothingHighSpeed |
xtpMarkupSmoothingHighQuality |
xtpMarkupSmoothingAntiAlias |


%%PageItemTitle%%

Report Control ActiveX Control v19.3

XTPReportBehavior Enumeration

Description

Defines the various report behaviors that can be used.

Members

Member | Description
xtpReportBehaviorOutlook2003 | Outlook 2003 behavior.
xtpReportBehaviorOutlook2007 | Outlook 2007 behavior.
xtpReportBehaviorOutlook2010 | Outlook 2010 behavior.
xtpReportBehaviorExcel2003 | Excel 2003 behavior.
xtpReportBehaviorExcel2007 | Excel 2007 behavior.
xtpReportBehaviorExcel2010 | Excel 2010 behavior.
xtpReportBehaviorCodejock1342 | Codejock 13.4.2 behavior.
xtpReportBehaviorCodejock1501 | Codejock 15.0.1 behavior.
xtpReportBehaviorCodejock1502 | Codejock 15.0.2 behavior.
xtpReportBehaviorCodejockDefault | Codejock default behavior.


%%PageItemTitle%%

ReportControl BorderStyle Property

See Also Report Control ActiveX Control v19.3

XTPReportBorderStyle Enumeration

Description

Specifies the the type of border that is placed around the ReportControl.

Members

Member | Description
xtpBorderNone | No border.
xtpBorderFlat | Flat style border.
xtpBorderStaticEdge | Static edge style border.
xtpBorderClientEdge | Client edge style border.
xtpBorderFrame | Frame style border.
xtpBorderThemedFrame | Themed frame border.

Remarks

This specifies the border style for the ReportControl, this will not effect the individual column and row borders. You can change the border style in the Visual Basic IDE at design time, or you can change it via code.

Example

[Report Control BorderStyle (Visual Basic)] This sample code illustrates how to change the border style of the ReportControl through code.

wndReportControl.BorderStyle = xtpBorderClientEdge

See Also

ReportControl BorderStyle Property


%%PageItemTitle%%

ColumnOrderChangedEx Event

See Also Report Control ActiveX Control v19.3

XTPReportColumnOrderChangedReason Enumeration

Description

Enumeration of ColumnsChangedEx event reasons.

Members

Member | Description
xtpReportColumnChangeOther | Neither column order nor group order is changed.
xtpReportColumnOrderChanged | Column order changed.
xtpReportColumnGroupOrderChanged | Group order changed.
xtpReportColumnOrderChangedMask | A mask for order change flags.
xtpReportColumnAdded | A column is added to the column list.
xtpReportColumnRemoved | A column is removed from the column list.
xtpReportColumnPropExchange | The column properties changed during properties exchange procedure.
xtpReportColumnCaptionChanged | The column caption is changed.
xtpReportColumnWidthChanged | The column width is changed.
xtpReportColumnShown | A column visibility property is changed to "visible".
xtpReportColumnHidden | A column visibility property is changed to "hidden".
xtpReportColumnMoved | A column is moved.
xtpReportColumnAddedToGroupby | A column is added to the GroupBy box.
xtpReportColumnRemovedFromGroupby | A column is removed from the GroupBy box.
xtpReportColumnAddedToFieldChooser | A column is added to the Field Chooser.
xtpReportColumnRemovedFromFieldChooser | A column is removed from the Field Chooser.
xtpReportColumnChangeMask | A mask for column change flags.

Remarks

Used by the ColumnsChangedEx event to show the reason a column's order has changed.

See Also

ColumnOrderChangedEx Event


%%PageItemTitle%%

PaintManager Property | ReportPaintManager Object | ColumnStyle Property

See Also Report Control ActiveX Control v19.3

XTPReportColumnStyle Enumeration

Description

Specifies the style of the ReportColumn headers.

Members

Member | Description
xtpColumnShaded | Columns are displayed in the "shaded/grey" style.
xtpColumnFlat | Column headers are displayed in the "flat" style.
xtpColumnExplorer | Column headers are displayed in the Windows "Explorer" style. This is intended to match the Visual Studio 2005 "Whidbey" style.
xtpColumnOffice2003 | Column headers are displayed in the "Office 2003" style.
xtpColumnResource | Column headers are displayed using the specified resource. This setting is used when loading a theme from a resource. You can specify that the Report will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.

Remarks

Represents predefined column styles.

Example

[ReportColumStyle (Visual Basic)] This sample illustrates how to change the style of the column headers.

wndReportControl.PaintManager.ColumnStyle = xtpColumnFlat
wndReportControl.Redraw

See Also

PaintManager Property | ReportPaintManager Object | ColumnStyle Property


%%PageItemTitle%%

SetCustomDraw Method | DrawItem Event | BeforeDrawRow Event | MeasureRow Event | DrawPreviewItem Event | MeasurePreviewItem Event

See Also Report Control ActiveX Control v19.3

XTPReportCustomDraw Enumeration

Description

Used to specify which drawing events, if any, will be executed.

Members

Member | Description
xtpCustomDrawItem | MeasurePreviewItemDrawItem event.
xtpCustomMeasureRow | MeasureRow event.
xtpCustomBeforeDrawRow | BeforeDrawRow event.
xtpCustomDrawPreviewItem | DrawPreviewItem event.
xtpCustomMeasurePreviewItem | MeasurePreviewItem event.

Remarks

The SetCustomDraw method uses the XTPReportCustomDraw flags to specify which drawing events are executed.

If all three events are executed, the order that they occur is:

1. MeasureRow

2. BeforeDrawRow

3. MeasurePreviewItem

4. DrawItem

5. DrawPreviewItem

The MeasureRow event occurs first to calculate the height of the row. Then BeforeDrawRow occurs, then MeasurePreviewItem, then DrawItem. Finally DrawPreviewItem occurs for each item in the row.

See Also

SetCustomDraw Method | DrawItem Event | BeforeDrawRow Event | MeasureRow Event | DrawPreviewItem Event | MeasurePreviewItem Event


%%PageItemTitle%%

CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event

See Also Report Control ActiveX Control v19.3

XTPReportDragDrop Enumeration

Description

Drag and Drop Effects.

Members

Member | Description
xtpReportAllowDrop | Allow all drop operations. This allows items to be dropped into the Report Control.
xtpReportAllowDragCopy | Allow copy operation. Please see Note 1 in Remarks section of XTPReportDragDrop.
xtpReportAllowDragMove | Allow move operation. Please see Note 2 in Remarks section of XTPReportDragDrop.
xtpReportAllowDrag | Allow all drag operations. This is a combination of both xtpReportAllowDragCopy and xtpReportAllowDragMove.
xtpReportDontDropAsText | Do not drag record as plain text.

Remarks

The EnableDragDrop method uses a combination of XTPReportDragDrop flags to set the drag and drop effects for the Report Control.

Note 1:

The xtpReportAllowDragCopy flag specifies that the currently selected ReportRecord objects will be copied or "duplicated" when dragged and dropped. This means the the original items will not be moved and a new "duplicate" item will be created in the spot the items are dropped. This option allows items to be copied within the report control or outside of the report control. This option only applies to ReportRecord objects that are selected, any selected group rows will just be ignored.

Note 2:

The xtpReportAllowDragMove flag specifies that the currently selected ReportRecord objects will be moved when dragged and dropped. This means the the original item will be removed from its original position and inserted into the spot the items are dropped. This option allows items to be copied within the report control or outside of the report control. This option only applies to ReportRecord objects that are selected, any selected group rows will just be ignored.

See Also

CreateRecords Method | CreateRecordsFromDropArray Method | DragRecords Method | EnableDragDrop Method | BeginDrag Event | DropRecords Event


%%PageItemTitle%%

DrawSortTriangleStyle Property

See Also Report Control ActiveX Control v19.3

XTPReportDrawSortTriangleStyle Enumeration

Description

Column sort triangle styles.

Members

Member | Description
xtpReportDrawSortTriangleDefault | Default behavior (Behaves like Outlook 2007/2010). For sorted columns, the sort triangle will be removed when the column size is too small to display the full caption and triangle.
xtpReportDrawSortTriangleAlways | Sort arrow will always be drawn for sorted columns. The sort triangle will still be displayed in the column header when a column is sorted and the caption is too small to be fully displayed (caption is cut and will use ellipsis).
xtpReportDrawSortTriangleNever | For sorted columns, the sort arrow will never be drawn regardless of available space.

See Also

DrawSortTriangleStyle Property


%%PageItemTitle%%

Individual EditOptions Property | Column EditOptions Property

See Also Report Control ActiveX Control v19.3

XTPReportEditStyle Enumeration

Description

Report cell edit styles.

Members

Member | Description
xtpEditStyleMultiline | Designates a multiline edit control. The default is single-line edit control.
xtpEditStyleAutoVScroll | Automatically scrolls text up one page when the user presses the ENTER key on the last line.
xtpEditStyleAutoHScroll | Automatically scrolls text to the right by 10 characters when the user types a character at the end of the line. When the user presses the ENTER key, the control scrolls all text back to position zero.
xtpEditStyleUppercase | Converts all characters to uppercase as they are typed into the edit control.
xtpEditStyleLowercase | Converts all characters to lowercase as they are typed into the edit control.
xtpEditStyleNumber | Allows only digits to be entered into the edit control. Note that, even with this set, it is still possible to paste non-digits into the edit control.
xtpEditStyleReadOnly | Prevents the user from entering or editing text in the edit control.

Remarks

Each individual ReportRecordItem has an EditOptions property that uses the XTPReportEditStyle flags to specify the edit style for the cell. Any combination of the edit styles can be used.

To apply XTPReportEditStyle flags to an entire column, use the Column EditOptions property.

See Also

Individual EditOptions Property | Column EditOptions Property


%%PageItemTitle%%

GetElementRect Method

See Also Report Control ActiveX Control v19.3

XTPReportElementRect Enumeration

Description

Report element rectangle flags.

Members

Member | Description
xtpReportElementRectReportArea | Report rows area.
xtpReportElementRectGroupByArea | GroupBy box area.
xtpReportElementRectHeaderArea | Column header area.
xtpReportElementRectFooterArea | Footer area.
xtpReportElementRectHeaderRecordsArea | Header records area.
xtpReportElementRectFooterRecordsArea | Footer records area.
xtpReportElementRectHeaderRecordsDividerArea | Header records divider area.
xtpReportElementRectFooterRecordsDividerArea | Footer records divider area.

Remarks

GetElementRect uses flags from XTPReportElementRect to specify which report area to get the coordinates for.

See Also

GetElementRect Method


%%PageItemTitle%%

RecordsTreeFilterMode Property

See Also Report Control ActiveX Control v19.3

XTPReportFilterMode Enumeration

Description

Enumeration of options for RecordsTreeFilterMode method. These are options for filtering the tree.

Members

Member | Description
xtpReportFilterTreeSimple | Filter by parent.
xtpReportFilterTreeByParentAndChildren | Filter by parent and children.
xtpReportFilterTreeByEndChildrenOnly | Filter by the last child only.

See Also

RecordsTreeFilterMode Property


%%PageItemTitle%%

FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property

See Also Report Control ActiveX Control v19.3

XTPReportFixedRowsDividerStyle Enumeration

Description

Represent the Header/Footer rows divider style.

Members

Member | Description
xtpReportFixedRowsDividerNone | No line.
xtpReportFixedRowsDividerThin | Thin line style.
xtpReportFixedRowsDividerBold | Bold line style.
xtpReportFixedRowsDividerShade | Shaded line style.
xtpReportFixedRowsDividerOutlook | Outlook line style.

Remarks

The FooterRowsDividerStyle and HeaderRowsDividerStyle properties use flags from the XTPReportFixedRowsDividerStyle enumeration to set the style of the divider lines in the header and footer.

See Also

FooterRowsDividerStyle Property | HeaderRowsDividerStyle Property


%%PageItemTitle%%

FreezeColsDividerStyle Property

See Also Report Control ActiveX Control v19.3

XTPReportFreezeColsDividerStyle Enumeration

Description

Represents the predefined freeze column line styles.

Members

Member | Description
xtpReportFreezeColsDividerThin | Thin style.
xtpReportFreezeColsDividerBold | Bold style.
xtpReportFreezeColsDividerHeader | Header style.
xtpReportFreezeColsDividerShade | Shaded line style.
xtpReportFreezeColsDividerShowAlways | Show event if AutoColumnSizing is On.

Remarks

The FreezeColsDividerStyle property uses flags from this enumeration to set the freeze column divider style.

See Also

FreezeColsDividerStyle Property


%%PageItemTitle%%

HorizontalGridStyle Property | VerticalGridStyle Property | PaintManager Property

See Also Report Control ActiveX Control v19.3

XTPReportGridStyle Enumeration

Description

Represents the predefined grid line styles.

Members

Member | Description
xtpGridNoLines | No grid lines are drawn.
xtpGridSmallDots | Grid lines are drawn with small dots.
xtpGridLargeDots | Grid lines are drawn with large dots.
xtpGridDashes | Grid lines are drawn with dashes.
xtpGridSolid | Grid lines are drawn with a solid line.

Remarks

This specifies how the horizontal and vertical grid lines will be drawn in the ReportControl.

Example

[Changing the Horizontal grid line style. (Visual Basic)] This sample illustrates how to change the Horizontal grid line style.

    wndReportControl.PaintManager.HorizontalGridStyle = xtpGridDashes
    wndReportControl.Redraw

[Changing the Verticalgrid line style. (Visual Basic)] This sample illustrates how to change the Vertical grid line style.

    wndReportControl.PaintManager.VerticalGridStyle = xtpGridLargeDots
    wndReportControl.Redraw

See Also

HorizontalGridStyle Property | VerticalGridStyle Property | PaintManager Property


%%PageItemTitle%%

HitTest Method

See Also Report Control ActiveX Control v19.3

XTPReportHitTestInfoCode Enumeration

Description

Codes used to specify if the ReportControl occupies a given X and Y pixel coordinate, and which part or the ReportControl is positioned at the given pixel.

Members

Member | Description
xtpHitTestUnknown | Used to specify that no part of the ReportControl is at the given X and Y coordinates.
xtpHitTestHeader | Used to specify that the Column Header Area is at the given X and Y coordinates. This does NOT include column headers in the Group Box.
xtpHitTestGroupBox | Used to specify that the Goup Box is at the given X and Y coordinates.
xtpHitTestBodyRows | Used to specify that the Report Body Row Area is at the given X and Y coordinates. This is the area between the header and footer row (if they are displayed).
xtpHitTestBlock | Used to specify that a TrackBlock item is at the given X and Y coordinates. (Track Control Only)
xtpHitTestHeaderRows | Used to specify that the Report Header Row Area is at the given X and Y coordinates.
xtpHitTestFooterRows | Used to specify that the Report Footer Row Area is at the given X and Y coordinates.
xtpHitTestReportArea | Used to specify that the Report Area is at the given X and Y coordinates. The Report Area consists of all the parts of the ReportControl except the Group Box Area and Column Header Area.

See Also

HitTest Method


%%PageItemTitle%%

ReportItemControl SetIconIndex Method | ReportItemButton SetIconIndex Method

See Also Report Control ActiveX Control v19.3

XTPReportItemButtonState Enumeration

Description

Image state for item buttons.

Members

Member | Description
xtpReportItemButtonStateAll | All states set.
xtpReportItemButtonStateNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpReportItemButtonStateHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpReportItemButtonStatePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
xtpReportItemButtonStateDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.

See Also

ReportItemControl SetIconIndex Method | ReportItemButton SetIconIndex Method


%%PageItemTitle%%

ReportItemButton Alignment Property | ReportItemControl Alignment Property

See Also Report Control ActiveX Control v19.3

XTPReportItemControlAlignment Enumeration

Description

Control Alignment.

Members

Member | Description
xtpReportItemControlUnknown | Unknown alignment.
xtpReportItemControlLeft | Left Aligned.
xtpReportItemControlRight | Right Aligned.

See Also

ReportItemButton Alignment Property | ReportItemControl Alignment Property


%%PageItemTitle%%

ReportItemControl Type Property | ReportItemButton Type Property

See Also Report Control ActiveX Control v19.3

XTPReportItemControlType Enumeration

Description

Item control types.

Members

Member | Description
xtpReportItemControlTypeUndefined | No control type.
xtpReportItemControlTypeButton | Control is a button.

See Also

ReportItemControl Type Property | ReportItemButton Type Property


%%PageItemTitle%%

Report Control ActiveX Control v19.3

XTPReportPaintTheme Enumeration

Description

Visual theme enumeration

Members

Member | Description
xtpReportThemeDefault | Default theme
xtpReportThemeOfficeXP | Office XP style theme
xtpReportThemeOffice2003 | Office 2003 style theme
xtpReportThemeOffice2003Luna | Office 2003 style theme with luna colors
xtpReportThemeOffice2013 | Office 2013 style theme
xtpReportThemeOffice2016 |
xtpReportThemeVisualStudio2012Light | Visual Studio 2012 Light style theme
xtpReportThemeVisualStudio2012Dark | Visual Studio 2012 Dark style theme
xtpReportThemeVisualStudio2012Blue | Visual Studio 2012 Blue style theme
xtpReportThemeVisualStudio2015 |
xtpReportThemeExplorer | Windows Explorer theme
xtpReportThemeResource | Resource DLL style theme


%%PageItemTitle%%

ScrollMode Property | ScrollModeH Property | ScrollModeV Property | HScrollStep Property | FullColumnScrolling Property

See Also Report Control ActiveX Control v19.3

XTPReportScrollMode Enumeration

Description

Scroll modes for report scrolling.

Members

Member | Description
xtpReportScrollModeNone | Indicates the vertical and horizontal scroll modes are not the same.
xtpReportScrollModeBlockCount | Vertical and horizontal scroll modes are set to "block" scrolling. Block Count uses only the number of columns/rows to scroll for the scrollbar, that means that you have to move the scrollbar the same number of pixels for every column/row, regardless of their width.
xtpReportScrollModeBlockSize | Block Size uses the width/height of each column/row for the scrollbar. So block size is similar to smooth, just that it snaps to the columns/rows.
xtpReportScrollModeSmooth | Vertical and horizontal scroll modes are set to "smooth" scrolling.
xtpReportScrollModeBlock | Depreciated, now use xtpReportScrollModeBlockCount.

Remarks

See the ScrollMode property for a full description on block and smooth scrolling.

See Also

ScrollMode Property | ScrollModeH Property | ScrollModeV Property | HScrollStep Property | FullColumnScrolling Property


%%PageItemTitle%%

ReportSection Object | Index Property | Section Property

See Also Report Control ActiveX Control v19.3

XTPReportSection Enumeration

Description

Report section identifiers for report rows (header, footer or body).

Members

Member | Description
xtpReportSectionHeader | Index of header section.
xtpReportSectionBody | Index of body section.
xtpReportSectionFooter | Index of footer section.
xtpReportSectionCount | Number of default sections.

Remarks

The report can contain 1 or more sections (currently only 3 are possible). By default and most typical use situations there will be no more than 3. One for the header (index 0), body (index 1) and footer (index 2). The index of the section will tell you which section a row belongs to.

XTPReportSection is used to identify which section the row is in.

See Also

ReportSection Object | Index Property | Section Property


%%PageItemTitle%%

Report Control ActiveX Control v19.3

XTPReportSelectionChangeType Enumeration

Description

Selection Changed Actions.

Members

Member | Description
xtpReportSelectionAdd | Row will be added to selected rows collection.
xtpReportSelectionRemove | Row will be removed from selected rows collection.
xtpReportSelectionClear | The selected rows collection will be cleared.

Remarks

These flags indicate which action is performed on the rows that are selected.


%%PageItemTitle%%

TextDecoration Property

See Also Report Control ActiveX Control v19.3

XTPReportTextDecoration Enumeration

Description

Hyperlink text decoration.

Members

Member | Description
xtpReportTextDecorationNone | Text has no decoration.
xtpReportTextDecorationUnderline | Text is underlined.

Remarks

The TextDecoration property uses values from this enumeration to set its decoration.

See Also

TextDecoration Property


%%PageItemTitle%%

FindRecordItem Method

See Also Report Control ActiveX Control v19.3

XTPReportTextSearchParms Enumeration

Description

Text search parameters.

Members

Member | Description
xtpReportTextSearchExactPhrase | Search exact phrase.
xtpReportTextSearchMatchCase | Match case during search.
xtpReportTextSearchBackward | Search backwards.
xtpReportTextSearchExactStart | Search phrase where the start of the phrase matches exactly. For those familiar with grep this is just like using the "^" to state that the text must start with the specified search.

Remarks

Call ReportRecords::FindRecordItem to search for a record item by text.

See Also

FindRecordItem Method


%%PageItemTitle%%

TreeColumn Property | TreeStructureStyle Property | TreeIndent Property

See Also Report Control ActiveX Control v19.3

XTPReportTreeStructureStyle Enumeration

Description

Represent the style of lines used to draw a hierarchical tree structure.

Members

Member | Description
xtpTreeStructureNone | No lines will be drawn from the parent node to each child node.
xtpTreeStructureSolid | Lines will be drawn from the parent node to each child node at the next level.
xtpTreeStructureDots | Dotted lines will be drawn from the parent node to each child node at the next level.

See Also

TreeColumn Property | TreeStructureStyle Property | TreeIndent Property


%%PageItemTitle%%

WatermarkAlignment Property

See Also Report Control ActiveX Control v19.3

XTPReportWatermarkAlignment Enumeration

Description

Enumeration of watermark alignment flags

Members

Member | Description
xtpReportWatermarkUnknown | Unknown (empty) value.
xtpReportWatermarkLeft | Horizontal alignment: left side of report control client rect.
xtpReportWatermarkCenter | Horizontal alignment: center of report control client rect.
xtpReportWatermarkRight | Horizontal alignment: right side of report control client rect.
xtpReportWatermarkHmask | A mask for horizontal alignment flags.
xtpReportWatermarkTop | Vertical alignment: top side of report control client rect.
xtpReportWatermarkVCenter | Vertical alignment: center of report control client rect.
xtpReportWatermarkBottom | Vertical alignment: bottom side of report control client rect.
xtpReportWatermarkVmask | A mask for vertical alignment flags.
xtpReportWatermarkStretch | Stretch watermark to entire report control client rect.
xtpReportWatermarkEnlargeOnly | Watermark can be enlarged only, shrinking is disabled.
xtpReportWatermarkShrinkOnly | Watermark can be shrunk only, enlarging is disabled.
xtpReportWatermarkPreserveRatio | Watermark aspect ratio is preserved.

Remarks

The WatermarkAlignment property uses these flags to modify the watermark alignment.

See Also

WatermarkAlignment Property


%%PageItemTitle%%

Report Control ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Not used in Report Control.


%%PageItemTitle%%

Style Property

See Also Report Control ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTip property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc. The picture below illustrates an RTF tool tip that includes bold text, colored text, underlined text, a new font, and bullets.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTip property for columns headers and items will be displayed in the tool tip window. If this property is not set, then the Caption of the column header or item will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


%%PageItemTitle%%

VerticalAlignment Property

See Also Report Control ActiveX Control v19.3

XTPTrackBlockAlignment Enumeration

Description

Block alignment styles.

Members

Member | Description
xtpTrackBlockTop | Vertically align the block or key to the top of the track.
xtpTrackBlockCenter | Vertically align the block or key to the center of the track.
xtpTrackBlockBottom | Vertically align the block or key to the bottom of the track.

Remarks

The VerticalAlignment Property property uses the XTPTrackBlockAlignment enumeration to set the alignment of a block or key within a track.

See Also

VerticalAlignment Property


%%PageItemTitle%%

VirtualRowFlags Property | VirtualRowLevel Property

See Also Report Control ActiveX Control v19.3

XTPVirtualRowFlags Enumeration

Description

Flags that specify whether a virtual row has children.

Members

Member | Description
xtpVirtualRowUnknown | Unknown.
xtpVirtualRowHasChildren | Row has at least 1 child.
xtpVirtualRowLastChild | Row is the last child.

Remarks

VirtualRowFlags uses flags from this enumeration to determine if a virtual row has children.

See Also

VirtualRowFlags Property | VirtualRowLevel Property


Shortcut Bar ActiveX Controls v19.3

Shortcut Bar ActiveX Control v19.3
Shortcut Bar ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
ShortcutBar | Implements an Outlook2003 ShortcutBar style control
ShortcutCaption | Represents a Shortcut Caption bar.
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
ShortcutBarColorSet | Object that contains all the colors of the ShortcutBar
ShortcutBarGlobalSettings | ShortcutBar global settings object.
ShortcutBarItem | Represents an item of the ShortcutBar control
ShortcutBarPaintManager | The ShortcutBarPaintManager object is used to hold various shortcut bar painting settings.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies the state of an icon.
XTPShortcutBarPaintTheme | Specifies the theme of the ShortcutBar control.
XTPTextAlignment | Specifies the alignment of the text within a ShortcutCaption control.
XTPToolTipIcon | Not used with the ShortcutBar control.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Shortcut Bar ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Shortcut Bar ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the ShortcutBar if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Suite Controls will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Shortcut Bar ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Shortcut Bar ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Shortcut Bar ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Shortcut Bar ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the ShortcutBar if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Shortcut Bar ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Suite Controls will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Suite Controls can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Suite Controls can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Suite Controls and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Shortcut Bar ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Scaled Property | Width Property | Height Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Shortcut Bar ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Scaled Property | Width Property | Height Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Shortcut Bar ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Shortcut Bar ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Shortcut Bar ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Shortcut Bar ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Shortcut Bar ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Shortcut Bar ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Shortcut Bar ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the ShortcutBar and TaskPanel controls.

If the SetImageList method is used, the icons will be added the the collection of icons. These icons will be added in the order they appear in the ImageList control.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the collection of images.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Shortcut Bar ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Shortcut Bar ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Shortcut Bar ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Shortcut Bar ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value.

NOTE: You will need to include the bitmap file with your application(exe) if this method is used.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Shortcut Bar ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Shortcut Bar ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Shortcut Bar ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Shortcut Bar ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Shortcut Bar ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Shortcut Bar ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Shortcut Bar ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

Count Property

Description

The number of icons in the collection of images.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Use this property to determine how many images are in the collection of icons. This will tell you how many icons are available.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Shortcut Bar ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Shortcut Bar ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Shortcut Bar ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Shortcut Bar ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Shortcut Bar ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Shortcut Bar ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Shortcut Bar ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Shortcut Bar ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Shortcut Bar ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Shortcut Bar ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Shortcut Bar ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

ResourceImages Members

See Also Shortcut Bar ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpShortcutThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Shortcut Bar ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Shortcut Bar ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Shortcut Bar ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpShortcutThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Shortcut Bar ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Shortcut Bar ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ShortcutBar Members

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBar Control

Description

Implements an Outlook2003 ShortcutBar style control

For a list of all members defined in this module, see ShortcutBar members.

Object Model

See Also

ShortcutBar Members


%%PageItemTitle%% $$Members$$

ShortcutBar Overview

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBar Control Members

Public Methods

Public Method AboutBox | Displays the About Box for the control
Public Method AddImageList | Adds icons from an image list that are used to display ShortcutBar items
Public Method AddItem | Adds a new shortcut to the ShortcutBar.
Public Method FindItem | Finds a shortcut in the ShortcutBar.
Public Method HitTest | The HitTest method determines if a ShortcutBarItem is at a specific X and Y coordinate.
Public Method RemoveAllItems | Removes all shortcuts from the ShortcutBar.
Public Method RemoveItem | Removes the specified shortcut from the ShortcutBar.

Public Properties

Public Property AllowFreeResize | Allows the items in the shortcut bar to be expanded by pixel instead of by item.
Public Property AllowGripperResize | Gets\sets whether the resize gripper will be enabled/disabled.
Public Property AllowMinimize | Specifies whether the ShortcutBar will minimize to a "Navigation Pane" when the width of the bar becomes real small.
Public Property ClientHeight | Returns the current height of the client area.
Public Property ClientLeft | Returns the distance between the internal left edge of the ShortcutBar container and the left edge of the ShortcutBar client area.
Public Property ClientPaneVisible | Shows or hides the client panes associated with the shortcuts.
Public Property ClientTop | Returns the distance between the internal top edge of the ShortcutBar container and the top edge of the ShortcutBar client area.
Public Property ClientWidth | Returns the current width of the client area.
Public Property ColorSet | Contains all the colors in the ShortcutBar.
Public Property EnableAnimation | Enables or disables the animations used in the Shortcut Bar (i.e. when expanding the shortcut list).
Public Property Enabled | Gets/Sets a boolean value determining whether the control is enabled
Public Property ExpandedLinesCount | Gets/Sets the number of lines (shortcuts) in the expanded shortcut list.
Public Property Highlighted | The ShortcutBarItem that the mouse is currently positioned over in the ShortcutBar control.
Public Property hWnd | The Handle to the object that the ShortcutBar is bound to
Public Property Icons | Get\Sets the icons used in the ShortcutBar.
Public Property Item | The Item property is a collection of ShortcutBarItems that hold all of the items added to the Shortcut Bar.
Public Property ItemCount | The ItemCount property returns the total number of items in the Shortcut Bar.
Public Property ItemHeight | Gets or sets the height of items in the shortcut bar.
Public Property ItemWidth | Gets or sets the width of items in the shortcut bar.
Public Property MinimizedWidth | Gets\sets the width at which the shortcutbar will become minimized and display as a navigation pane.
Public Property MinimumClientHeight | The MinimumClientHeight property specifies the minimum height of the ShortcutBar client area.
Public Property PaintManager | Provides access to various shortcut bar painting settings.
Public Property PopupWidth | Specifies the width of the popup shortcurbar when the bar is minimized.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the ShortcutBar elements are aligned to support locales using right-to-left fonts.
Public Property Selected | Gets/sets the currently selected shortcut in the ShortcutBar control.
Public Property ShowActiveItemOnTop | Specifies whether the currently active shortcut item will be displayed above the client area.
Public Property ShowExpandButton | Shows or hides the expand button.
Public Property SingleSelection | The SingleSelection property specifies whether only one item can be selected in the ShorcutBar at a time.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property VisualTheme | Gets/Sets the visual theme of the ShortcutBar control

Events

Public Event ClientSizeChanged | The ClientSizeChanged event occurs when the client area of the ShortcutBar is resized.
Public Event ExpandButtonDown | The ExpandButtonDown event occurs when the expand button in the Shortcut Bar is pressed.
Public Event HighlightedChanged | Occurs when the mouse cursor is positioned over a ShortcutBarItem and the item becomes Highlighted.
Public Event MouseUp | The MouseUp event occurs when a button on the mouse has been released anywhere on the Shortcut Bar.
Public Event ReCreated |
Public Event SelectedChanged | Occurs each time a new shortcut in the ShortcutBar is selected.
Public Event SelectedChanging | Occurs when the selected item is in the process of changing, but has not changed.

See Also

ShortcutBar Overview


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control

Syntax

Public Sub AboutBox()

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

ImageList
The ImageList object from which icons are to be added
See Also Shortcut Bar ActiveX Control v19.3

AddImageList Method

Description

Adds icons from an image list that are used to display ShortcutBar items

Syntax

Public Sub AddImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
The ImageList object from which icons are to be added

Remarks

Tells the ShortcutBar control which ImageLists control(s) will be used. The images are used to displayed an icon for each shortcut in the ShortcutBar.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

Id
Identifier of the shortcut to be added
Caption
Caption for the shortcut to be added
hWnd
Child window associated with the shortcut, this window will be displayed in the client pane when clicked.
See Also Shortcut Bar ActiveX Control v19.3

AddItem Method

Description

Adds a new shortcut to the ShortcutBar.

Syntax

Public Function AddItem( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal hWnd As Long _
) As ShortcutBarItem

Parameters

Id
Identifier of the shortcut to be added
Caption
Caption for the shortcut to be added
hWnd
Child window associated with the shortcut, this window will be displayed in the client pane when clicked.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

Id
Identifier of the ShortcutBarItem to be found
See Also Shortcut Bar ActiveX Control v19.3

FindItem Method

Description

Finds a shortcut in the ShortcutBar.

Syntax

Public Function FindItem( _
   ByVal Id As Long _
) As ShortcutBarItem

Parameters

Id
Identifier of the ShortcutBarItem to be found

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

x
X coordinate to text.
y
Y coordinate to test.
See Also Shortcut Bar ActiveX Control v19.3

HitTest Method

Description

The HitTest method determines if a ShortcutBarItem is at a specific X and Y coordinate.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As ShortcutBarItem

Parameters

x
X coordinate to text.
y
Y coordinate to test.

Return Type

A pointer to a ShortcutBarItem that occupies the specified point or Nothing if no item occupies the point.

Example

[Using the HitTest Method to Determine if an Item is at a Specific X and Y Coordinate. (Visual Basic)] This sample illustrates how to determine if an item is at a specific x and y coordinate.

Private Sub wndShortcutBar_MouseUp(Button As Integer, Shift As Integer, x As Long, y As Long)

    'Used to store the item
    Dim Item As ShortcutBarItem

    'Test the X and Y coordinates of the mouse when the button is released to see if an item
    'is under the mouse cursor.
    'It an item is not at the X and Y coordinates, Nothing is returned
    Set Item = wndShortcutBar.HitTest(x, y)

    'If an item was at the specified X and Y coordinated then print its caption.
    If Not Item Is Nothing Then
        Debug.Print Item.Caption & " was hit"
    End If

End Sub

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

RemoveAllItems Method

Description

Removes all shortcuts from the ShortcutBar.

Syntax

Public Sub RemoveAllItems()

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

Id
Identifier of the ShortcutBarItem to be removed
See Also Shortcut Bar ActiveX Control v19.3

RemoveItem Method

Description

Removes the specified shortcut from the ShortcutBar.

Syntax

Public Sub RemoveItem( _
   ByVal Id As Long _
)

Parameters

Id
Identifier of the ShortcutBarItem to be removed

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

AllowFreeResize Property

Description

Allows the items in the shortcut bar to be expanded by pixel instead of by item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowFreeResize() As Boolean

Remarks

When the gripper of the shortcut bar is used to resize\expand the list of shortcuts, the list will expand pixel by pixel instead of jumping directly to the next item.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | ExpandedLinesCount Property | ClientPaneVisible Property | MinimumClientHeight Property

See Also Shortcut Bar ActiveX Control v19.3

AllowGripperResize Property

Description

Gets\sets whether the resize gripper will be enabled/disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowGripperResize() As Boolean

See Also

ShortcutBar Control | ExpandedLinesCount Property | ClientPaneVisible Property | MinimumClientHeight Property


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

AllowMinimize Property

Description

Specifies whether the ShortcutBar will minimize to a "Navigation Pane" when the width of the bar becomes real small.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMinimize() As Boolean

Remarks

About 33 pixels is the width that the shortcutbar will become a navigation pane.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | ClientLeft Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event

See Also Shortcut Bar ActiveX Control v19.3

ClientHeight Property

Description

Returns the current height of the client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientHeight() As Single

Remarks

The ClientSizeChanged event occurs when the client area is resized.

See Also

ShortcutBar Control | ClientLeft Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event


%%PageItemTitle%%

ShortcutBar Control | ClientHeight Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event

See Also Shortcut Bar ActiveX Control v19.3

ClientLeft Property

Description

Returns the distance between the internal left edge of the ShortcutBar container and the left edge of the ShortcutBar client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientLeft() As Single

Remarks

The ClientSizeChanged event occurs when the client area is resized.

See Also

ShortcutBar Control | ClientHeight Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event


%%PageItemTitle%%

ShortcutBar Control | ExpandedLinesCount Property | MinimumClientHeight Property

See Also Shortcut Bar ActiveX Control v19.3

ClientPaneVisible Property

Description

Shows or hides the client panes associated with the shortcuts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientPaneVisible() As Boolean

Example

[ClientPaneVisible Sample (Visual Basic)]

    'This sample code illustrates how to hide the client pane on the ShortcutBar at runtime.
    wndShortcutBar.ClientPaneVisible = False

See Also

ShortcutBar Control | ExpandedLinesCount Property | MinimumClientHeight Property


%%PageItemTitle%%

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event

See Also Shortcut Bar ActiveX Control v19.3

ClientTop Property

Description

Returns the distance between the internal top edge of the ShortcutBar container and the top edge of the ShortcutBar client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientTop() As Single

Remarks

The ClientSizeChanged event occurs when the client area is resized.

See Also

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientWidth Property | ClientPaneVisible Property | ClientSizeChanged Event


%%PageItemTitle%%

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientTop Property | ClientPaneVisible Property | ClientSizeChanged Event

See Also Shortcut Bar ActiveX Control v19.3

ClientWidth Property

Description

Returns the current width of the client area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientWidth() As Single

Remarks

The ClientSizeChanged event occurs when the client area is resized.

See Also

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientTop Property | ClientPaneVisible Property | ClientSizeChanged Event


%%PageItemTitle%%

ShortcutBar Control | ShortcutBarColorSet Object

See Also Shortcut Bar ActiveX Control v19.3

ColorSet Property

Description

Contains all the colors in the ShortcutBar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorSet() As ShortcutBarColorSet

Remarks

The ColorSet property gives access to all the colors in the ShortcutBar so that they can be customized.

Note that allot of the colors are gradients so there will be a dark and light color for the item that is used to make a color gradient.

See Also

ShortcutBar Control | ShortcutBarColorSet Object


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

EnableAnimation Property

Description

Enables or disables the animations used in the Shortcut Bar (i.e. when expanding the shortcut list).

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Return Type

True is animation is enabled. False is animation is disabled.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value determining whether the control is enabled

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | MinimumClientHeight Property

See Also Shortcut Bar ActiveX Control v19.3

ExpandedLinesCount Property

Description

Gets/Sets the number of lines (shortcuts) in the expanded shortcut list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedLinesCount() As Long

Remarks

You can expand/shrink the expandable shortcut list simply by dragging the list to the desired size, or you can specify how many shortcuts are displayed in the expandable list via code.

Example

[ExpandedLinesCount Sample (Visual Basic)] This sample illustrates how to show a specific number of lines in the expanded shortcut list.

    'Specifies that the first three thortcuts will be listed in the
    'expanded shortcut list.
    wndShortcutBar.ExpandedLinesCount = 3

See Also

ShortcutBar Control | MinimumClientHeight Property


%%PageItemTitle%%

ShortcutBar Control | HighlightedChanged Event | Selected Property

See Also Shortcut Bar ActiveX Control v19.3

Highlighted Property

Description

The ShortcutBarItem that the mouse is currently positioned over in the ShortcutBar control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Highlighted() As ShortcutBarItem

Remarks

When the mouse cursor is positioned over a ShortcutBarItem it will become highlighted. Each time the highlightes item changes the HighlightedChanged event is fired. The Highlighted property holds a reference to the currently highlighted item.

It is important to note that when an item is Selected, the item remains highlighted. This is not the same as the Highlighted property which will be updated each time the mouse is positioned over an item.

See Also

ShortcutBar Control | HighlightedChanged Event | Selected Property


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

hWnd Property

Description

The Handle to the object that the ShortcutBar is bound to

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

Icons Property

Description

Get\Sets the icons used in the ShortcutBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the ShortcutBar. You can add/retrieve icons from the collection to be used in the ShortcutBar.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

Index
Position of the item in the collection that you want retrieve.
See Also Shortcut Bar ActiveX Control v19.3

Item Property

Description

The Item property is a collection of ShortcutBarItems that hold all of the items added to the Shortcut Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As ShortcutBarItem

Parameters

Index
Position of the item in the collection that you want retrieve.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ItemCount Property

Description

The ItemCount property returns the total number of items in the Shortcut Bar.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ItemCount() As Long

Remarks

The total ItemCount includes the expand button. So the total number of items added by the developer would be ItemCount - 1.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ItemHeight Property

Description

Gets or sets the height of items in the shortcut bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemHeight() As Long

Remarks

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ItemWidth Property

Description

Gets or sets the width of items in the shortcut bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemWidth() As Long

Remarks

This is the width of items displayed in the normal shortcut bar displayed at the bottom (see picture below).

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

MinimizedWidth Property

Description

Gets\sets the width at which the shortcutbar will become minimized and display as a navigation pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimizedWidth() As Long

Remarks

When the width of the Shortcutbar become equal to or smaller than MinimizedWidth it will then become a navigation bar as seen in the picture below.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | ClientPaneVisible Property | ExpandedLinesCount Property

See Also Shortcut Bar ActiveX Control v19.3

MinimumClientHeight Property

Description

The MinimumClientHeight property specifies the minimum height of the ShortcutBar client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumClientHeight() As Long

Remarks

Specifies the minimum height in pixel of the ShortcutBar client area. By default, the minimum height is 200 pixels. The minimum height specifies how much of the client area must remain visible at all times. This means the the expanded shortcut list will not be able to expand past the minimum client height.

The picture below illustrates a ShortcutBar with the default MinimumClientHeight of 200 pixels. Notice that the expanded shortcut list can not be expanded to display all of the shortcuts because the visible client height would be less than 200 pixels.

Example

[MinimumClientHeight Sample (Visual Basic)] This sample illustrates how to change how much of the client area must remain visible at all times.

    wndShortcutBar.MinimumClientHeight = 500

See Also

ShortcutBar Control | ClientPaneVisible Property | ExpandedLinesCount Property


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

PaintManager Property

Description

Provides access to various shortcut bar painting settings.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As ShortcutBarPaintManager

Remarks

The ShortcutBarPaintManager allows you to change the expanded icon width, normal icon width and font of the shortcut bar as well as enable clear type text.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

PopupWidth Property

Description

Specifies the width of the popup shortcurbar when the bar is minimized.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PopupWidth() As Long

Return Type

Width of the popup window.

Remarks

When the width of the Shortcutbar become equal to or smaller than MinimizedWidth it will then become a navigation bar as seen in the picture below. When you click the navigation bar the popup will display using the specified PopupWidth.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | RightToLeftReading Property

See Also Shortcut Bar ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the ShortcutBar elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the ShortcutBar(Button Order, Text, etc) are displayed from right to left.

Example

[[New Example] (Visual Basic)] This sample illustrates how to enable RTL mode for the ShortcutBar.

    'Set the ShortcutBar to RTL mode
    ShortcutBar.RightToLeft = True

See Also

ShortcutBar Control | RightToLeftReading Property


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

Selected Property

Description

Gets/sets the currently selected shortcut in the ShortcutBar control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As ShortcutBarItem

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ShowActiveItemOnTop Property

Description

Specifies whether the currently active shortcut item will be displayed above the client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowActiveItemOnTop() As Boolean

Remarks

When True, the currently active shortcut item and all items that appear before\in front of it will be displayed above the client area of the ShortcutBar.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | ExpandButtonDown Event

See Also Shortcut Bar ActiveX Control v19.3

ShowExpandButton Property

Description

Shows or hides the expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowExpandButton() As Boolean

Remarks

The expand button can be used to display a custom menu using the ExpandButtonDown event. By default, when the expand button is pressed a built in set of buttons are displayed that allow the shortcuts to be expanded or retracted.

See Also

ShortcutBar Control | ExpandButtonDown Event


%%PageItemTitle%%

ShortcutBar Control | ShortcutBarItem Selected Property | ShortcutBar Selected Property

See Also Shortcut Bar ActiveX Control v19.3

SingleSelection Property

Description

The SingleSelection property specifies whether only one item can be selected in the ShorcutBar at a time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SingleSelection() As Boolean

Remarks

Set SingleSelection to TRUE to specify that only a single item can be ShortcutBarItem.Selected. If SingleSelection is TRUE, then only one item can be selected.

Set SingleSelection to FALSE to specify that one or more items can be selected at the same time.

Toggle buttons can be implemented by setting the ShortcutBarItem.Selected property of items.

The currently selected item is stored in the ShortcutBar.Selected property.

See Also

ShortcutBar Control | ShortcutBarItem Selected Property | ShortcutBar Selected Property


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse is positioned over a ShortcutBarItem.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme of the ShortcutBar control

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPShortcutBarPaintTheme

Example

[VisualTheme Sample (Visual Basic)]

    'Uses the Office XP style ShortcutBar.
    wndShortcutBar.VisualTheme = xtpShortcutThemeOfficeXP

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property

See Also Shortcut Bar ActiveX Control v19.3

ClientSizeChanged Event

Description

The ClientSizeChanged event occurs when the client area of the ShortcutBar is resized.

Syntax

Public Event ClientSizeChanged()

See Also

ShortcutBar Control | ClientHeight Property | ClientLeft Property | ClientTop Property | ClientWidth Property | ClientPaneVisible Property


%%PageItemTitle%%

ShortcutBar Control | ShowExpandButton Property

CancelMenu
Set to TRUE to cancel the default menu that is displayed when the expand button is pressed.
Set to FALSE to display the default menu that only displays the "Show More Buttons" and "Show Fewer Buttons" commands.
See Also Shortcut Bar ActiveX Control v19.3

ExpandButtonDown Event

Description

The ExpandButtonDown event occurs when the expand button in the Shortcut Bar is pressed.

Syntax

Public Event ExpandButtonDown( _
   ByRef CancelMenu As Boolean _
)

Parameters

CancelMenu
Set to TRUE to cancel the default menu that is displayed when the expand button is pressed.
Set to FALSE to display the default menu that only displays the "Show More Buttons" and "Show Fewer Buttons" commands.

Remarks

When the expand button is pressed, the default menu only allows the user to "Show More Buttons" and "Show Fewer Buttons." You can create your own popup menu to override the default one in the ExpandButtonDown. CancelMenu must be set to TRUE to disable the default menu.

Example

[Overriding the Default Expand Button Popup (Visual Basic)] This sample illustrates how override the default popup menu that is displayed when the expand button is pressed. This allows you to add your own controls to the popup menu.

Const ID_TASKITEM_HIDECONTENTS = 1
Const ID_TASKITEM_ADDORREMOVE = 2
Const ID_TASKITEM_SEARCH = 3
Const ID_TASKITEM_NEWFOLDER = 4
Const ID_TASKITEM_PUBLISH = 5
Const ID_TASKITEM_SHARE = 6
Const ID_TASKITEM_MYCOMPUTER = 7
Const ID_TASKITEM_MYDOCUMENTS = 8

Const ID_SHORTCUT_SHOW_MORE = 300
Const ID_SHORTCUT_SHOW_FEWER = 301

Private Sub wndShortcutBar_ExpandButtonDown(CancelMenu As Boolean)

    'Cancels the default menu that is displayed when the expand button is pressed.
    'The default button only displays the "Show More Buttons" and "Show Fewer Buttons" commands.
    CancelMenu = True

    Dim Popup As CommandBar
    Dim Control As CommandBarControl
    Dim i As Long
    Dim Item As ShortcutBarItem

    'Creates a popup command bar
    Set Popup = CommandBars.Add("Popup", xtpBarPopup)

    'Adds buttons to the popup command bar
    With Popup

        'Adds the "Show More Buttons" button
        Set Control = AddButton(.Controls, xtpControlButton, ID_SHORTCUT_SHOW_MORE, "Show &More Buttons")

        'Enable this button if all buttons are not expanded
        Control.Enabled = (wndShortcutBar.ExpandedLinesCount <> 9)

        'Adds the "Show Fewer Buttons" button
        Set Control = AddButton(.Controls, xtpControlButton, ID_SHORTCUT_SHOW_FEWER, "Show &Fewer Buttons")

        'Enable this button if there are 1 or more buttons expanded
        Control.Enabled = (wndShortcutBar.ExpandedLinesCount <> 1)

        'Starts a new group
        Dim BeginGroup As Boolean
        BeginGroup = True

        'Adds all hidden shortcut bar buttons to the popup menu
        For Each Item In wndShortcutBar
            'If shortcut bar item is hidden, then addit to the popup menu
            If (Item.Hidden) Then
                AddButton .Controls, xtpControlButton, Item.Id, Item.Caption, BeginGroup
                BeginGroup = False
            End If
        Next

    End With

    'Stores the ID of the selected control prom the expand button popup menu.
    Dim nCommand As Long

    'Displays the expand button popup.
    'Passing TPM_RETURNCMD into ShowPopup will cause the ID of the control to be returned
    'when a control in the popup is clicked. When using the TPM_RETURNCMD parameter, the
    'CommandBars_Execute event does not fire because the ID of the control is returned instead.
    nCommand = Popup.ShowPopup(TPM_RETURNCMD)

    'Popup is closed and the user did not select anything, they might have click on something
    'other than the popup menu
    If (nCommand = 0) Then Exit Sub

    'A control was selected from the popup menu. Determines which control was selected.
    Select Case (nCommand)
        Case ID_SHORTCUT_SHOW_MORE: wndShortcutBar.ExpandedLinesCount = wndShortcutBar.ExpandedLinesCount + 1
        Case ID_SHORTCUT_SHOW_FEWER: wndShortcutBar.ExpandedLinesCount = wndShortcutBar.ExpandedLinesCount - 1
        Case Else:
            'Selects the selected shortcut bar item.
            wndShortcutBar.Selected = wndShortcutBar.FindItem(nCommand)
    End Select

End Sub

See Also

ShortcutBar Control | ShowExpandButton Property


%%PageItemTitle%%

ShortcutBar Control | Highlighted Property

See Also Shortcut Bar ActiveX Control v19.3

HighlightedChanged Event

Description

Occurs when the mouse cursor is positioned over a ShortcutBarItem and the item becomes Highlighted.

Syntax

Public Event HighlightedChanged()

Remarks

When the mouse cursor is positioned over a ShortcutBarItem it will become highlighted. Each time the highlightes item changes the HighlightedChanged event is fired. The Highlighted property holds a reference to the currently highlighted item.

It is important to note that when an item is Selected, the item remains highlighted. This is not the same as the Highlighted property which will be updated each time the mouse is positioned over an item.

See Also

ShortcutBar Control | Highlighted Property


%%PageItemTitle%%

ShortcutBar Control

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Shortcut Bar ActiveX Control v19.3

MouseUp Event

Description

The MouseUp event occurs when a button on the mouse has been released anywhere on the Shortcut Bar.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

The MouseUp event only occurs when the mouse button is released over the Shortcut Bar. It will not occur when over the client pane or Shortcut Caption controls.

Below are the meanings of the mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

The picture below illustrates the area that the MousUp event will occur when the mouse button is released:

See Also

ShortcutBar Control

Example

MouseUp Sample


%%PageItemTitle%%

ShortcutBar Control

See Also Shortcut Bar ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ShortcutBar Control


%%PageItemTitle%%

ShortcutBar Control | SelectedChanging Event

Item
The currently selected ShortcutBarItem.
See Also Shortcut Bar ActiveX Control v19.3

SelectedChanged Event

Description

Occurs each time a new shortcut in the ShortcutBar is selected.

Syntax

Public Event SelectedChanged( _
   ByVal Item As ShortcutBarItem _
)

Parameters

Item
The currently selected ShortcutBarItem.

Remarks

The SelectedChanged event occurs right after the SelectedChanging event. The SelectedChanging event can be used to modify the item, or cancel the changing of an item.

See Also

ShortcutBar Control | SelectedChanging Event


%%PageItemTitle%%

ShortcutBar Control | SelectedChanged Event

Item
The currently selected ShortcutBarItem that will loose focus.
Cancel
Set to True to canel the action. If set to True, the SelectedChanged event will not be executed.
See Also Shortcut Bar ActiveX Control v19.3

SelectedChanging Event

Description

Occurs when the selected item is in the process of changing, but has not changed.

Syntax

Public Event SelectedChanging( _
   ByVal Item As ShortcutBarItem, _
   ByRef Cancel As Boolean _
)

Parameters

Item
The currently selected ShortcutBarItem that will loose focus.
Cancel
Set to True to canel the action. If set to True, the SelectedChanged event will not be executed.

Remarks

This event occurs either when a new item is clicked, or when an iem is selected via code. This event is executed before the SelectedChanged event so you have the opportunity to Cancel the action.

See Also

ShortcutBar Control | SelectedChanged Event


%%PageItemTitle%%

ShortcutBarColorSet Members | ColorSet Property

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarColorSet Object

Description

Object that contains all the colors of the ShortcutBar

For a list of all members defined in this module, see ShortcutBarColorSet members.

Remarks

The ColorSet property is a ShortcutBarColorSet object and is used to access and change the colors of the ShortcutBar.

Note that allot of the colors are gradients so there will be a dark and light color for the item that is used to make a color gradient.

See Also

ShortcutBarColorSet Members | ColorSet Property


%%PageItemTitle%% $$Members$$

ShortcutBarColorSet Overview | ColorSet Property

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarColorSet Object Members

Public Properties

Public Property GripperDark | Dark color of the color gradient used to color shortcut bar gripper.
Public Property GripperLight | Light color of the color gradient used to color shortcut bar gripper.
Public Property HotItemDark | Dark color of the color gradient used to color shortcut bar items in a "Normal" state.
Public Property HotItemLight | Dark color of the color gradient used to color shortcut bar items in a "Hot" state.
Public Property HotItemText | Text color of shortcut bar items in a "Hot" state.
Public Property NormalItemDark | Dark color of the color gradient used to color shortcut bar items in a "Normal" state.
Public Property NormalItemLight | Light color of the color gradient used to color shortcut bar items in a "Normal" state.
Public Property NormalItemShadow | Color of the border\line that outlines all the items and the entire ShortcutBar.
Public Property NormalItemText | Text color of shortcut bar items in a "Normal" state.
Public Property PressedItemDark | Dark color of the color gradient used to color shortcut bar items in a "Pressed" state.
Public Property PressedItemLight | Light color of the color gradient used to color shortcut bar items in a "Pressed" state.
Public Property PressedItemText | Text color of shortcut bar items in a "Normal" state.
Public Property SelectedItemDark | Dark color of the color gradient used to color shortcut bar items in a "Selected" state.
Public Property SelectedItemLight | Light color of the color gradient used to color shortcut bar items in a "Selected" state.
Public Property SelectedItemText | Text color of shortcut bar items in a "Selected" state.

See Also

ShortcutBarColorSet Overview | ColorSet Property


%%PageItemTitle%%

ShortcutBarColorSet Object | GripperLight Property

See Also Shortcut Bar ActiveX Control v19.3

GripperDark Property

Description

Dark color of the color gradient used to color shortcut bar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperDark() As ULong

Remarks

This is the dark color of the color gradient used to color shortcut bar gripper.

See Also

ShortcutBarColorSet Object | GripperLight Property


%%PageItemTitle%%

ShortcutBarColorSet Object | GripperDark Property

See Also Shortcut Bar ActiveX Control v19.3

GripperLight Property

Description

Light color of the color gradient used to color shortcut bar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GripperLight() As ULong

Remarks

This is the light color of the color gradient used to color shortcut bar gripper.

See Also

ShortcutBarColorSet Object | GripperDark Property


%%PageItemTitle%%

ShortcutBarColorSet Object | HotItemLight Property | HotItemText Property

See Also Shortcut Bar ActiveX Control v19.3

HotItemDark Property

Description

Dark color of the color gradient used to color shortcut bar items in a "Normal" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotItemDark() As ULong

Remarks

This is the dark color of the color gradient used to color shortcut bar items in a "Hot" state. An item is "hot" when the mouse cursor is positioned over the item.

See Also

ShortcutBarColorSet Object | HotItemLight Property | HotItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | HotItemDark Property | HotItemText Property

See Also Shortcut Bar ActiveX Control v19.3

HotItemLight Property

Description

Dark color of the color gradient used to color shortcut bar items in a "Hot" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotItemLight() As ULong

Remarks

This is the light color of the color gradient used to color shortcut bar items in a "Hot" state. An item is "hot" when the mouse cursor is positioned over the item.

See Also

ShortcutBarColorSet Object | HotItemDark Property | HotItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | HotItemDark Property | HotItemLight Property

See Also Shortcut Bar ActiveX Control v19.3

HotItemText Property

Description

Text color of shortcut bar items in a "Hot" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotItemText() As ULong

Remarks

This is the Text color of shortcut bar items in a "Hot" state. An item is "hot" when the mouse cursor is positioned over the item.

See Also

ShortcutBarColorSet Object | HotItemDark Property | HotItemLight Property


%%PageItemTitle%%

ShortcutBarColorSet Object | NormalItemLight Property | NormalItemShadow Property | NormalItemText Property

See Also Shortcut Bar ActiveX Control v19.3

NormalItemDark Property

Description

Dark color of the color gradient used to color shortcut bar items in a "Normal" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalItemDark() As ULong

Remarks

This is the dark color of the color gradient used to color shortcut bar items in a "Normal" state. Items in a "Normal" state are not pressed or selected.

See Also

ShortcutBarColorSet Object | NormalItemLight Property | NormalItemShadow Property | NormalItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | NormalItemDark Property | NormalItemText Property | NormalItemShadow Property

See Also Shortcut Bar ActiveX Control v19.3

NormalItemLight Property

Description

Light color of the color gradient used to color shortcut bar items in a "Normal" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalItemLight() As ULong

Remarks

This is the light color of the color gradient used to color shortcut bar items in a "Normal" state. Items in a "Normal" state are not pressed or selected.

See Also

ShortcutBarColorSet Object | NormalItemDark Property | NormalItemText Property | NormalItemShadow Property


%%PageItemTitle%%

ShortcutBarColorSet Object

See Also Shortcut Bar ActiveX Control v19.3

NormalItemShadow Property

Description

Color of the border\line that outlines all the items and the entire ShortcutBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalItemShadow() As ULong

See Also

ShortcutBarColorSet Object


%%PageItemTitle%%

ShortcutBarColorSet Object | NormalItemDark Property | NormalItemLight Property | NormalItemShadow Property

See Also Shortcut Bar ActiveX Control v19.3

NormalItemText Property

Description

Text color of shortcut bar items in a "Normal" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalItemText() As ULong

Remarks

This is the Text color of shortcut bar items in a "Normal" state. Items in a "Normal" state are not pressed or selected.

See Also

ShortcutBarColorSet Object | NormalItemDark Property | NormalItemLight Property | NormalItemShadow Property


%%PageItemTitle%%

ShortcutBarColorSet Object | PressedItemLight Property | PressedItemText Property

See Also Shortcut Bar ActiveX Control v19.3

PressedItemDark Property

Description

Dark color of the color gradient used to color shortcut bar items in a "Pressed" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedItemDark() As ULong

Remarks

This is the dark color of the color gradient used to color shortcut bar items in a "Pressed" state. An item is in a "Pressed" state when the mouse cursor is pressed over an item, this can also happen if the enter key is pressed while an item has focus.

See Also

ShortcutBarColorSet Object | PressedItemLight Property | PressedItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | PressedItemDark Property | PressedItemText Property

See Also Shortcut Bar ActiveX Control v19.3

PressedItemLight Property

Description

Light color of the color gradient used to color shortcut bar items in a "Pressed" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedItemLight() As ULong

Remarks

This is the light color of the color gradient used to color shortcut bar items in a "Pressed" state. An item is in a "Pressed" state when the mouse cursor is pressed over an item, this can also happen if the enter key is pressed while an item has focus.

See Also

ShortcutBarColorSet Object | PressedItemDark Property | PressedItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object

See Also Shortcut Bar ActiveX Control v19.3

PressedItemText Property

Description

Text color of shortcut bar items in a "Normal" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedItemText() As ULong

Remarks

This is the Text color of shortcut bar items in a "Pressed" state. An item is in a "Pressed" state when the mouse cursor is pressed over an item, this can also happen if the enter key is pressed while an item has focus.

See Also

ShortcutBarColorSet Object


%%PageItemTitle%%

ShortcutBarColorSet Object | SelectedItemLight Property | SelectedItemText Property

See Also Shortcut Bar ActiveX Control v19.3

SelectedItemDark Property

Description

Dark color of the color gradient used to color shortcut bar items in a "Selected" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItemDark() As ULong

Remarks

This is the dark color of the color gradient used to color shortcut bar items in a "Selected" state. An item will become selected after it is clicked.

See Also

ShortcutBarColorSet Object | SelectedItemLight Property | SelectedItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | SelectedItemDark Property | SelectedItemText Property

See Also Shortcut Bar ActiveX Control v19.3

SelectedItemLight Property

Description

Light color of the color gradient used to color shortcut bar items in a "Selected" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItemLight() As ULong

Remarks

This is the light color of the color gradient used to color shortcut bar items in a "Selected" state. An item will become selected after it is clicked.

See Also

ShortcutBarColorSet Object | SelectedItemDark Property | SelectedItemText Property


%%PageItemTitle%%

ShortcutBarColorSet Object | SelectedItemDark Property | SelectedItemLight Property

See Also Shortcut Bar ActiveX Control v19.3

SelectedItemText Property

Description

Text color of shortcut bar items in a "Selected" state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItemText() As ULong

Remarks

This is the Text color of shortcut bar items in a "Selected" state. An item will become selected after it is clicked.

See Also

ShortcutBarColorSet Object | SelectedItemDark Property | SelectedItemLight Property


%%PageItemTitle%%

ShortcutBarGlobalSettings Members

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarGlobalSettings Object

Description

ShortcutBar global settings object.

For a list of all members defined in this module, see ShortcutBarGlobalSettings members.

Object Model

Remarks

Allows the color of the application to be changed, embed the license information, and change the language of the default text.

See Also

ShortcutBarGlobalSettings Members


%%PageItemTitle%% $$Members$$

ShortcutBarGlobalSettings Overview

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarGlobalSettings Object Members

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed ShortcutBar OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs.
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the ShortcutBar OCX is used.
Public Property Version | Returns the current ShortcutBar version as a string.

See Also

ShortcutBarGlobalSettings Overview


%%PageItemTitle%%

ShortcutBarGlobalSettings Object | XTPColorManagerColor Enumeration

See Also Shortcut Bar ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

ShortcutBarGlobalSettings Object | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme ShortcutBar\Bin" for the Shortcut Bar installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    ShortcutBarGlobalSettings.License = "ShortcutBar Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed ShortcutBar OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This code should be placed in the Form_Initialize event of the main form.

Example

[Changing the Language Sample (Visual Basic)] This sample illustrates how to change the language with a rescource file.

Private Sub Form_Initialize()
    ShortcutBarGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpShortcutThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the ShortcutBar OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarGlobalSettings Object

See Also Shortcut Bar ActiveX Control v19.3

Version Property

Description

Returns the current ShortcutBar version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

ShortcutBarGlobalSettings Object


%%PageItemTitle%%

ShortcutBarItem Members

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarItem Object

Description

Represents an item of the ShortcutBar control

For a list of all members defined in this module, see ShortcutBarItem members.

See Also

ShortcutBarItem Members


%%PageItemTitle%% $$Members$$

ShortcutBarItem Overview

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarItem Object Members

Public Properties

Public Property Caption | Gets/Sets the caption of the shortcut item. This will be the text displayed when the shortcut is in the expanded list.
Public Property Enabled | Enables\disables the item.
Public Property Hidden | The Hidden property indicates when a ShortcutBarItem is hidden.
Public Property hWnd | Handle to the item.
Public Property IconHandle | Gets/Sets the icon handle for the shortcut item when using an Microsoft ImageList control (depreciated).
Public Property IconId | Gets\sets the Id of an Icon from the ImageManager to use for this ShortcutBarItem.
Public Property Id | Gets/Sets the identifier of the shortcut item.
Public Property Selected | Gets\sets whether the item is selected.
Public Property Tooltip | Gets/Sets the Tooltip text associated with the shortcut item.
Public Property Visible | Gets/Sets a Boolean value indicating whether the shortcut item is currently visible.

See Also

ShortcutBarItem Overview


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the shortcut item. This will be the text displayed when the shortcut is in the expanded list.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

Enabled Property

Description

Enables\disables the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Return Type

True if the item is enabled, False if it is disabled.

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarItem Object | ExpandButtonDown Event

See Also Shortcut Bar ActiveX Control v19.3

Hidden Property

Description

The Hidden property indicates when a ShortcutBarItem is hidden.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Hidden() As Boolean

Remarks

An item is hidden when the width of the Shortcut Bar is too small to display all of the shortcut buttons. The hidden buttons will appear in a

Example

[Overriding the Default Expand Button Popup (Visual Basic)] This sample illustrates how override the default popup menu that is displayed when the expand button is pressed. This allows you to add your own controls to the popup menu.

Const ID_TASKITEM_HIDECONTENTS = 1
Const ID_TASKITEM_ADDORREMOVE = 2
Const ID_TASKITEM_SEARCH = 3
Const ID_TASKITEM_NEWFOLDER = 4
Const ID_TASKITEM_PUBLISH = 5
Const ID_TASKITEM_SHARE = 6
Const ID_TASKITEM_MYCOMPUTER = 7
Const ID_TASKITEM_MYDOCUMENTS = 8

Const ID_SHORTCUT_SHOW_MORE = 300
Const ID_SHORTCUT_SHOW_FEWER = 301

Private Sub wndShortcutBar_ExpandButtonDown(CancelMenu As Boolean)

    'Cancels the default menu that is displayed when the expand button is pressed.
    'The default button only displays the "Show More Buttons" and "Show Fewer Buttons" commands.
    CancelMenu = True

    Dim Popup As CommandBar
    Dim Control As CommandBarControl
    Dim i As Long
    Dim Item As ShortcutBarItem

    'Creates a popup command bar
    Set Popup = CommandBars.Add("Popup", xtpBarPopup)

    'Adds buttons to the popup command bar
    With Popup

        'Adds the "Show More Buttons" button
        Set Control = AddButton(.Controls, xtpControlButton, ID_SHORTCUT_SHOW_MORE, "Show &More Buttons")

        'Enable this button if all buttons are not expanded
        Control.Enabled = (wndShortcutBar.ExpandedLinesCount <> 9)

        'Adds the "Show Fewer Buttons" button
        Set Control = AddButton(.Controls, xtpControlButton, ID_SHORTCUT_SHOW_FEWER, "Show &Fewer Buttons")

        'Enable this button if there are 1 or more buttons expanded
        Control.Enabled = (wndShortcutBar.ExpandedLinesCount <> 1)

        'Starts a new group
        Dim BeginGroup As Boolean
        BeginGroup = True

        'Adds all hidden shortcut bar buttons to the popup menu
        For Each Item In wndShortcutBar
            'If shortcut bar item is hidden, then addit to the popup menu
            If (Item.Hidden) Then
                AddButton .Controls, xtpControlButton, Item.Id, Item.Caption, BeginGroup
                BeginGroup = False
            End If
        Next

    End With

    'Stores the ID of the selected control prom the expand button popup menu.
    Dim nCommand As Long

    'Displays the expand button popup.
    'Passing TPM_RETURNCMD into ShowPopup will cause the ID of the control to be returned
    'when a control in the popup is clicked. When using the TPM_RETURNCMD parameter, the
    'CommandBars_Execute event does not fire because the ID of the control is returned instead.
    nCommand = Popup.ShowPopup(TPM_RETURNCMD)

    'Popup is closed and the user did not select anything, they might have click on something
    'other than the popup menu
    If (nCommand = 0) Then Exit Sub

    'A control was selected from the popup menu. Determines which control was selected.
    Select Case (nCommand)
        Case ID_SHORTCUT_SHOW_MORE: wndShortcutBar.ExpandedLinesCount = wndShortcutBar.ExpandedLinesCount + 1
        Case ID_SHORTCUT_SHOW_FEWER: wndShortcutBar.ExpandedLinesCount = wndShortcutBar.ExpandedLinesCount - 1
        Case Else:
            'Selects the selected shortcut bar item.
            wndShortcutBar.Selected = wndShortcutBar.FindItem(nCommand)
    End Select

End Sub

See Also

ShortcutBarItem Object | ExpandButtonDown Event


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

hWnd Property

Description

Handle to the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarItem Object | IconId Property

See Also Shortcut Bar ActiveX Control v19.3

IconHandle Property

Description

Gets/Sets the icon handle for the shortcut item when using an Microsoft ImageList control (depreciated).

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconHandle() As Long

Remarks

The IconHandle property is depreciated and only included for backwards compatibility. Codejock recommends that you now use the ImageManager to store your images and use the IconId property to assign an image to a ShortcutBarItem.

See Also

ShortcutBarItem Object | IconId Property


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

IconId Property

Description

Gets\sets the Id of an Icon from the ImageManager to use for this ShortcutBarItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconId() As Long

Remarks

This is the Id of an image from the ImageManager to use for this ShortcutBarItem. You can add multiple image sizes for each ShortcutBarItem to display in both the mini shortcutbar at the bottom and when the shortcut bar is expanded.

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

Id Property

Description

Gets/Sets the identifier of the shortcut item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarItem Object | SingleSelection Property

See Also Shortcut Bar ActiveX Control v19.3

Selected Property

Description

Gets\sets whether the item is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Remarks

Note that multiple items can be selected at one time, but only one can have focus. Multiple items can be selected if ShortcutBar.SingleSelection is False.

See Also

ShortcutBarItem Object | SingleSelection Property


%%PageItemTitle%%

ShortcutBarItem Object | ToolTipContext Property

See Also Shortcut Bar ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the Tooltip text associated with the shortcut item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

Remarks

The style, color, etc... of the tool tip can be changed using the ToolTipContext property of the ShortcutBar.

See Also

ShortcutBarItem Object | ToolTipContext Property


%%PageItemTitle%%

ShortcutBarItem Object

See Also Shortcut Bar ActiveX Control v19.3

Visible Property

Description

Gets/Sets a Boolean value indicating whether the shortcut item is currently visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

ShortcutBarItem Object


%%PageItemTitle%%

ShortcutBarPaintManager Members | PaintManager Property | ClearTypeTextQuality Property | ExpandedIconWidth Property | Font Property | NormalIconWidth Property

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarPaintManager Object

Description

The ShortcutBarPaintManager object is used to hold various shortcut bar painting settings.

For a list of all members defined in this module, see ShortcutBarPaintManager members.

Remarks

The ShortcutBarPaintManager object is accessed through the PaintManager property. The ShortcutBarPaintManager allows you to change the expanded icon width, normal icon width and font of the shortcut bar as well as enable clear type text.

See Also

ShortcutBarPaintManager Members | PaintManager Property | ClearTypeTextQuality Property | ExpandedIconWidth Property | Font Property | NormalIconWidth Property


%%PageItemTitle%% $$Members$$

ShortcutBarPaintManager Overview | PaintManager Property | ClearTypeTextQuality Property | ExpandedIconWidth Property | Font Property | NormalIconWidth Property

See Also Shortcut Bar ActiveX Control v19.3

ShortcutBarPaintManager Object Members

Public Properties

Public Property ClearTypeTextQuality | Enables or disables the use of ClearType text for text in the shortcut bar.
Public Property DrawTextNoPrefix |
Public Property ExpandedIconWidth | Gets or sets the width of the icons displayed in expanded shortcut items.
Public Property Font | Gets or sets the font used to display text in the shortcut bar.
Public Property NormalIconWidth | Gets or sets the width of the icons displayed in normal shortcut items.
Public Property PaneBackgroundColor | Gets the color the current theme uses for drawing the pane background.
Public Property PaneTextColor | Gets the color the current theme uses for drawing text in the panes.
Public Property SplitterBackgroundColor | Gets the color the current theme uses for drawing background splitter.

See Also

ShortcutBarPaintManager Overview | PaintManager Property | ClearTypeTextQuality Property | ExpandedIconWidth Property | Font Property | NormalIconWidth Property


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

ClearTypeTextQuality Property

Description

Enables or disables the use of ClearType text for text in the shortcut bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearTypeTextQuality() As Boolean

Remarks

ClearType improves the readability of text on LCDs. With ClearType enabled, the words on the computer screen look almost as sharp and clear as those printed on a piece of paper.

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

DrawTextNoPrefix Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextNoPrefix() As Boolean

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

ExpandedIconWidth Property

Description

Gets or sets the width of the icons displayed in expanded shortcut items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedIconWidth() As Long

Remarks

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

Font Property

Description

Gets or sets the font used to display text in the shortcut bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

NormalIconWidth Property

Description

Gets or sets the width of the icons displayed in normal shortcut items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalIconWidth() As Long

Remarks

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

PaneBackgroundColor Property

Description

Gets the color the current theme uses for drawing the pane background.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaneBackgroundColor() As ULong

Remarks

Use this color to set the color for the controls your draw in the pane.

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

PaneTextColor Property

Description

Gets the color the current theme uses for drawing text in the panes.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaneTextColor() As ULong

Remarks

Use this color to set the text color for the controls your draw in the pane.

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutBarPaintManager Object

See Also Shortcut Bar ActiveX Control v19.3

SplitterBackgroundColor Property

Description

Gets the color the current theme uses for drawing background splitter.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SplitterBackgroundColor() As ULong

Remarks

Use this color to set the color of splitters of other controls such as the Docking Panes.

See Also

ShortcutBarPaintManager Object


%%PageItemTitle%%

ShortcutCaption Members

See Also Shortcut Bar ActiveX Control v19.3

ShortcutCaption Control

Description

Represents a Shortcut Caption bar.

For a list of all members defined in this module, see ShortcutCaption members.

Object Model

See Also

ShortcutCaption Members


%%PageItemTitle%% $$Members$$

ShortcutCaption Overview

See Also Shortcut Bar ActiveX Control v19.3

ShortcutCaption Control Members

Public Methods

Public Method AboutBox Displays the About Box for the control

Public Properties

Public Property Alignment | Gets/Sets the alignment of the text within the ShortcutCaption.
Public Property Caption | Gets/Sets the caption of the ShortcutCaption. This is the text that will be displayed in the ShortcutCaption.
Public Property Expandable | Specifies whether the caption will have an expand button.
Public Property Expanded | Specifies whether the caption is expanded (expand arrow orientation).
Public Property Font | Gets/Sets the font used to display text in the ShortcutCaption.
Public Property ForeColor | Gets\sets the color of the text displayed in the Shortcut Caption.
Public Property GradientColorDark | The GradientColorDark property is the "dark" color in the color gradient of a Shortcut Caption.
Public Property GradientColorLight | The GradientColorLight property is the "light" color in the color gradient of a Shortcut Caption.
Public Property GradientHorizontal | The GradientHorizontal property is used to specify the direction of the color gradient in the Shortcut Caption.
Public Property Icon | Gets\sets the Id of an Icon from the ImageManager to use for this ShortcutCaption.
Public Property ReCreateReparented |
Public Property RightToLeftReading | Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (links, icon order, etc).
Public Property SubItemCaption | Gets/Sets whether the ShortcutCaption bar is a sub caption. Sub captions are displayed in another color and are usually placed underneath normal ShortcutCaption's.
Public Property VisualTheme | Gets/Sets the visual theme of the ShortcutCaption.

Events

Public Event ExpandButtonClicked | Occurs when the expand button is clicked on the ShortcutCaption control.
Public Event MouseDown | Occurs when a button on the mouse is pressed anywhere on the ShortcutCaption control.
Public Event MouseUp | Occurs when a button on the mouse has been released anywhere on the ShortcutCaption control.
Public Event ReCreated |

See Also

ShortcutCaption Overview


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box for the control

Syntax

Public Sub AboutBox()

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Alignment Property

Description

Gets/Sets the alignment of the text within the ShortcutCaption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As XTPTextAlignment

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the ShortcutCaption. This is the text that will be displayed in the ShortcutCaption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Expandable Property

Description

Specifies whether the caption will have an expand button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Expanded Property

Description

Specifies whether the caption is expanded (expand arrow orientation).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

This property specifies the orientation of the expand arrow. When False it is displayed to look like it is collapsed, when True it looks like it is expanded.

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Font Property

Description

Gets/Sets the font used to display text in the ShortcutCaption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

ForeColor Property

Description

Gets\sets the color of the text displayed in the Shortcut Caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control | GradientColorLight Property | GradientHorizontal Property

See Also Shortcut Bar ActiveX Control v19.3

GradientColorDark Property

Description

The GradientColorDark property is the "dark" color in the color gradient of a Shortcut Caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GradientColorDark() As ULong

Remarks

If GradientHorizontal is TRUE, the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Top to Bottom.

If GradientHorizontal is FALSE, the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Left to Right.

Top to Bottom color gradient.

Left to Right color gradient.

See Also

ShortcutCaption Control | GradientColorLight Property | GradientHorizontal Property

Example

Shortcut Caption Color Gradient


%%PageItemTitle%%

ShortcutCaption Control | GradientColorDark Property | GradientHorizontal Property

See Also Shortcut Bar ActiveX Control v19.3

GradientColorLight Property

Description

The GradientColorLight property is the "light" color in the color gradient of a Shortcut Caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GradientColorLight() As ULong

Remarks

If GradientHorizontal is TRUE, the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Top to Bottom.

If GradientHorizontal is FALSE, the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Left to Right.

Top to Bottom color gradient.

Left to Right color gradient.

See Also

ShortcutCaption Control | GradientColorDark Property | GradientHorizontal Property

Example

Shortcut Caption Color Gradient


%%PageItemTitle%%

ShortcutCaption Control | GradientColorDark Property | GradientColorLight Property

See Also Shortcut Bar ActiveX Control v19.3

GradientHorizontal Property

Description

The GradientHorizontal property is used to specify the direction of the color gradient in the Shortcut Caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GradientHorizontal() As Boolean

Remarks

Set to TRUE for the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Top to Bottom.

Set to FALSE for the color in the Shortcut Caption will smoothly fade from GradientColorLight to GradientColorDark, from Left to Right.

Top to Bottom color gradient.

Left to Right color gradient.

Example

[Shortcut Caption Color Gradient (Visual Basic)] This sample illustrates how to change the gradient direction and color of a Shortcut Caption control.

    'Set the Dark color in the Shortcut Caption to Blue
    captionTitle.GradientColorDark = vbBlue

    'Set the Light color in the Shortcut Caption to Black
    captionTitle.GradientColorLight = vbBlack

    'Shortcut Caption will be filled with a color gradiant from GradientColorLight
    'to GradientColorDark.
    'If GradientHorizontal is TRUE, the the gradient is from Top to Bottom, if FALSE,
    'then the gradient is from Left to Right.
    captionTitle.GradientHorizontal = True

See Also

ShortcutCaption Control | GradientColorDark Property | GradientColorLight Property


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

Icon Property

Description

Gets\sets the Id of an Icon from the ImageManager to use for this ShortcutCaption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As ImageManagerIcon

Remarks

This is the Id of an image from the ImageManager to use for this ShortcutCaption. The image will always be displayed to the left of the caption text.

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control | RightToLeft Property

See Also Shortcut Bar ActiveX Control v19.3

RightToLeftReading Property

Description

Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (links, icon order, etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeftReading() As Boolean

Remarks

All RightToLeftReading does is change the position of symbols in the text from the right side to the left and visa versa. For example, "100$" is displayed when RightToLeftReading is False and "$100" when RightToLeftReading is True.

To use RightToLeftReading, RTL reading support must be installed on the computer. To do so, go into the "Regional and language Options" dialog from the Control Panel. Select the "Languages" tab and make sure the "Install files for complex script and right-to-left languages" and "Install files for East Asian languages" check boxed are checked.

RightToLeftReading is set to True when RightToLeft is set to True.

See Also

ShortcutCaption Control | RightToLeft Property


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

SubItemCaption Property

Description

Gets/Sets whether the ShortcutCaption bar is a sub caption. Sub captions are displayed in another color and are usually placed underneath normal ShortcutCaption's.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SubItemCaption() As Boolean

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme of the ShortcutCaption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPShortcutBarPaintTheme

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

ExpandButtonClicked Event

Description

Occurs when the expand button is clicked on the ShortcutCaption control.

Syntax

Public Event ExpandButtonClicked()

See Also

ShortcutCaption Control


%%PageItemTitle%%

ShortcutCaption Control | MouseUp Event

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Shortcut Bar ActiveX Control v19.3

MouseDown Event

Description

Occurs when a button on the mouse is pressed anywhere on the ShortcutCaption control.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is pressed.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ShortcutCaption Control | MouseUp Event


%%PageItemTitle%%

ShortcutCaption Control | MouseDown Event

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Shortcut Bar ActiveX Control v19.3

MouseUp Event

Description

Occurs when a button on the mouse has been released anywhere on the ShortcutCaption control.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on he mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

ShortcutCaption Control | MouseDown Event


%%PageItemTitle%%

ShortcutCaption Control

See Also Shortcut Bar ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ShortcutCaption Control


%%PageItemTitle%%

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Shortcut Bar ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Shortcut Bar ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Not used for this control.
Public Method ShowTitleAndDescription | Not used with the SortcurBar control.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Shortcut Bar ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Shortcut Bar ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Shortcut Bar ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
ImageBase
See Also Shortcut Bar ActiveX Control v19.3

ShowImage Method

Description

Not used for this control.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
ImageBase

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription

True to display the title, tooltip and Icon (specified by IconTitle) of the item in the tool tip window.

False to display only th text stored in the tooltip property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Icon to display in tool tip window.
See Also Shortcut Bar ActiveX Control v19.3

ShowTitleAndDescription Method

Description

Not used with the SortcurBar control.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the title, tooltip and Icon (specified by IconTitle) of the item in the tool tip window.

False to display only th text stored in the tooltip property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Icon to display in tool tip window.

Remarks

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the title\caption and tooltip of the item.

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Shortcut Bar ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Shortcut Bar ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Shortcut Bar ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the title\caption and tooltip of the item, the minimum width of the tool tip window can not be smaller that the width of the title\caption.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Shortcut Bar ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Shortcut Bar ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Shortcut Bar ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property of the item will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

See the XTPToolTipStyle enumeration for a detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Shortcut Bar ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Shortcut Bar ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Shortcut Bar ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Shortcut Bar ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates the currently set Operating System theme is used.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Shortcut Bar ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ShortcutBar VisualTheme Property | ShortcutCaption VisualTheme Property

See Also Shortcut Bar ActiveX Control v19.3

XTPShortcutBarPaintTheme Enumeration

Description

Specifies the theme of the ShortcutBar control.

Members

Member | Description
xtpShortcutThemeResource | Specifies that the ShortcutBar will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpShortcutThemeOffice2000 | Specifies that the ShortcutBar will use the Office 2000 theme.
xtpShortcutThemeOfficeXP | Specifies that the ShortcutBar will use the Office XP theme.
xtpShortcutThemeOffice2003 | Specifies that the ShortcutBar will use the Office 2003 theme.
xtpShortcutThemeOffice2007 |
xtpShortcutThemeOffice2010 |
xtpShortcutThemeNativeWinXP | Specifies that the ShortcutBar will use the Native Windows XP theme.
xtpShortcutThemeOffice2013 |
xtpShortcutThemeOffice2016 |
xtpShortcutThemeVisualStudio2015 |

See Also

ShortcutBar VisualTheme Property | ShortcutCaption VisualTheme Property


%%PageItemTitle%%

ShortcutCaption Alignment Property

See Also Shortcut Bar ActiveX Control v19.3

XTPTextAlignment Enumeration

Description

Specifies the alignment of the text within a ShortcutCaption control.

Members

Member | Description
xtpAlignmentLeft | Aligns text to the left.
xtpAlignmentCenter | Aligns text to the center.
xtpAlignmentRight | Aligns text to the right.

See Also

ShortcutCaption Alignment Property


%%PageItemTitle%%

ShowTitleAndDescription Method

See Also Shortcut Bar ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Not used with the ShortcutBar control.

See Also

ShowTitleAndDescription Method


%%PageItemTitle%%

Style Property

See Also Shortcut Bar ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTip property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


Skin Framework ActiveX Controls v19.3

Skin Framework ActiveX Control v19.3
Skin Framework ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
SkinFramework | Skin Framework control.
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
SkinDescription | Object the describes a skin file.
SkinDescriptions | Object that contains a collection of skin files.
SkinFrameworkGlobalSettings | SkinFramework global settings, such as application name and resource file.
SkinIniFile | Object that holds the color, font size, and ini file name of each ini skin file
SkinSchema | A resource object to be used by the SetWindowTheme method for setting the theme\skin of individual objects (buttons, frame, checkbox, etc.)
Public Enumerations
Enumeration | Description
SkinFrameworkApplyOptions | Flags that indicate which parts of the application will be skinned
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Skin Framework ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Skin Framework ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the ReportControl if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the ReportControl control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Skin Framework ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Skin Framework ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Skin Framework ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Skin Framework ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the ReportControl if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Skin Framework ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the ReportControl control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Report Control can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Report Control can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Report Control and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

SkinDescription Members

See Also Skin Framework ActiveX Control v19.3

SkinDescription Collection

Description

Object the describes a skin file.

For a list of all members defined in this module, see SkinDescription members.

Object Model

Remarks

The object hold the count, name, path and how many ini files are contained within the skin file at the specified path.

See Also

SkinDescription Members


%%PageItemTitle%% $$Members$$

SkinDescription Overview

See Also Skin Framework ActiveX Control v19.3

SkinDescription Collection Members

Public Properties

Public Property Count | Total number of skin ini files in the skin file.
Public Property IniFile | Collection of ini files contained in the skin file.
Public Property Name | Name of the skin file.
Public Property Path | Path to the skin file.

See Also

SkinDescription Overview


%%PageItemTitle%%

SkinDescription Collection

See Also Skin Framework ActiveX Control v19.3

Count Property

Description

Total number of skin ini files in the skin file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

SkinDescription Collection


%%PageItemTitle%%

SkinDescription Collection

Index
Index of a SkinIniFile object in the collection of ini files.
See Also Skin Framework ActiveX Control v19.3

IniFile Property

Description

Collection of ini files contained in the skin file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFile( _
   ByVal Index As Long _
) As SkinIniFile

Parameters

Index
Index of a SkinIniFile object in the collection of ini files.

See Also

SkinDescription Collection


%%PageItemTitle%%

SkinDescription Collection

See Also Skin Framework ActiveX Control v19.3

Name Property

Description

Name of the skin file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Name() As String

See Also

SkinDescription Collection


%%PageItemTitle%%

SkinDescription Collection

See Also Skin Framework ActiveX Control v19.3

Path Property

Description

Path to the skin file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Path() As String

See Also

SkinDescription Collection


%%PageItemTitle%%

SkinDescriptions Members | EnumerateSkinDirectory Method

See Also Skin Framework ActiveX Control v19.3

SkinDescriptions Collection

Description

Object that contains a collection of skin files.

For a list of all members defined in this module, see SkinDescriptions members.

Object Model

Remarks

The EnumerateSkinDirectory method uses this object to store a collection of skin files.

See Also

SkinDescriptions Members | EnumerateSkinDirectory Method


%%PageItemTitle%% $$Members$$

SkinDescriptions Overview | EnumerateSkinDirectory Method

See Also Skin Framework ActiveX Control v19.3

SkinDescriptions Collection Members

Public Properties

Public Property Count | Total number of skin files contained in the collection.
Public Property Skin | Collection of skin files descriptions.

See Also

SkinDescriptions Overview | EnumerateSkinDirectory Method


%%PageItemTitle%%

SkinDescriptions Collection

See Also Skin Framework ActiveX Control v19.3

Count Property

Description

Total number of skin files contained in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

SkinDescriptions Collection


%%PageItemTitle%%

SkinDescriptions Collection

Index
Index of a skin file descriptions within the the collection.
See Also Skin Framework ActiveX Control v19.3

Skin Property

Description

Collection of skin files descriptions.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Skin( _
   ByVal Index As Long _
) As SkinDescription

Parameters

Index
Index of a skin file descriptions within the the collection.

See Also

SkinDescriptions Collection


%%PageItemTitle%%

SkinFramework Members | ApplyWindow Method | EnableThemeDialogTexture Method | LoadSkin Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration

See Also Skin Framework ActiveX Control v19.3

SkinFramework Control

Description

Skin Framework control.

For a list of all members defined in this module, see SkinFramework members.

Object Model

Remarks

The Skin Framework control allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, check boxes, and option buttons. Skins can be applied simply by providing one of the supplied .cjstyles or .msstyles skin files or you can download .msstyles files from the Internet. Since the Skin Framework can load any .msstyles skin file there are literally thousands of different skins that can be applied to your application.

To apply skins, the ApplyWindow method must be called. ApplyWindow only needs to be called one time in the Load event of the window a skin will be applied. This tells the SkinFramework which window to apply skins to. The skin will be applied to all child windows as well.

To load the default system appearance skin, call LoadSkin passing in a "" (blank string) for both ResourcePath and IniFileName.

There are some situations where a control will not be able to automatically be skinned as the parent control might not support seamless background texturing. In these cases the EnableThemeDialogTexture method can be used to apply the skin texture to the child control.

The ApplyOptions property is used to specify which parts of the application will be skinned.

See Also

SkinFramework Members | ApplyWindow Method | EnableThemeDialogTexture Method | LoadSkin Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration

Example

LoadSkin Sample | ApplyOptions Sample


%%PageItemTitle%% $$Members$$

SkinFramework Overview | ApplyWindow Method | EnableThemeDialogTexture Method | LoadSkin Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration

See Also Skin Framework ActiveX Control v19.3

SkinFramework Control Members

Public Methods

Public Method AboutBox | Displays a message box that displays the current version of the Skin Framework control.
Public Method AddWindowClass | Maps one window class name to another when nonstandard class names are used for window classes in some non standard development environments.
Public Method ApplyWindow | Tell the SkinFramework which window's appearance will be skinned.
Public Method CreateSchema | Creates a SkinSchema resource to be used by the SetWindowTheme method for setting the theme\skin of individual objects (buttons, frame, checkbox, etc.)
Public Method EnableThemeDialogTexture | Enables/disables dialog background theme.
Public Method EnumerateSkinDirectory | Enumerates a directory looking for skin files.
Public Method EnumerateSkinFile | Enumerate through all of the skins contained within a single skin file.
Public Method ExcludeModule | Removes a module\dll from getting "hooked" by the SkinFramework. This will cause objects from this module not to be skinned.
Public Method GetColor | Used in C# and VB.NET if running on Windows 2000 to set the background color of dialogs because C# and VB.NET can't automatically use dialogs' background colors from skinframework while running in Windows 2000.
Public Method LoadSkin | Loads a skin from a .cjstyles or .msstyles file.
Public Method RemoveAllWindows | Removes all hooks.
Public Method RemoveWindow | Removes hook for the specified window.
Public Method RemoveWindowClass | Specifies that a specific window class should not be skinned. For example, you might not want buttons skinned in your application.
Public Method SetWindowTheme | Applies a SkinSchema skin resource object to an individual object. This allows objects on a single form to all use a different skin resource.

Public Properties

Public Property ApplyOptions | Get\set which parts of the application the skin will be applied.
Public Property AutoApplyNewThreads | Specifies whether to automatically skin all threads.
Public Property AutoApplyNewWindows | Specifies whether all new windows that are opened will automatically be skinned.

See Also

SkinFramework Overview | ApplyWindow Method | EnableThemeDialogTexture Method | LoadSkin Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration


%%PageItemTitle%%

SkinFramework Control

See Also Skin Framework ActiveX Control v19.3

AboutBox Method

Description

Displays a message box that displays the current version of the Skin Framework control.

Syntax

Public Sub AboutBox()

Remarks

The AboutBox method displays a message box that displays the current version of the Skin Framework control.

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control | RemoveWindowClass Method

ClassName

Window Class name of a class to map to a Standard Window Class name. This will allow the skin framework to skin the new class. For example, the "SysDateTimePick32" class is really just an "Edit" class, so you could call AddWindowClass to map the classes so the skin framework can skin the "SysDateTimePick32" class.

Below is a list of all non-standard Windows Class names known to the SkinFramework, these classes can not be used as a BaseClassName, but you will not need to use the AddWindowClass method to skin them:

ComboBoxEx32, ComboLBox, SysDateTimePick32, SysListView32, ATL:ScrollBar, ThunderRT6CheckBox, ThunderCheckBox, ThunderRT6OptionButton, ThunderRT6CommandButton, ThunderCommandButton, ThunderOptionButton, ThunderRT6Frame, ThunderFrame, ThunderRT6ComboBox, ThunderComboBox, ThunderRT6ListBox, ThunderListBox, ThunderRT6HScrollBar, ThunderHScrollBar, ThunderRT6VScrollBar, ThunderVScrollBar, ThunderRT6TextBox, ThunderTextBox, SliderWndClass, Slider20WndClass, ProgressBarWndClass, ProgressBar20WndClass, TabStripWndClass, msvb_lib_header, ListViewWndClass, ListView20WndClass, TreeViewWndClass, TreeView20WndClass, StatusBarWndClass, StatusBar20WndClass, msvb_lib_toolbar and DTPicker20WndClass.

BaseClassName

Standard Window Class name.

Below is a list of all standard Window Class names known to the SkinFramework, these are all values that can be used as a BaseClassName:

ComboBox, Edit, ListBox, ScrollBar, SysHeader32, msctls_statusbar32, SysTreeView32, msctls_progress32, msctls_trackbar32, SysTabControl32, MDIClient, msctls_updown32, ToolbarWindow32, Button and SysPager.

See Also Skin Framework ActiveX Control v19.3

AddWindowClass Method

Description

Maps one window class name to another when nonstandard class names are used for window classes in some non standard development environments.

Syntax

Public Sub AddWindowClass( _
   ByVal ClassName As String, _
   ByVal BaseClassName As String _
)

Parameters

ClassName

Window Class name of a class to map to a Standard Window Class name. This will allow the skin framework to skin the new class. For example, the "SysDateTimePick32" class is really just an "Edit" class, so you could call AddWindowClass to map the classes so the skin framework can skin the "SysDateTimePick32" class.

Below is a list of all non-standard Windows Class names known to the SkinFramework, these classes can not be used as a BaseClassName, but you will not need to use the AddWindowClass method to skin them:

ComboBoxEx32, ComboLBox, SysDateTimePick32, SysListView32, ATL:ScrollBar, ThunderRT6CheckBox, ThunderCheckBox, ThunderRT6OptionButton, ThunderRT6CommandButton, ThunderCommandButton, ThunderOptionButton, ThunderRT6Frame, ThunderFrame, ThunderRT6ComboBox, ThunderComboBox, ThunderRT6ListBox, ThunderListBox, ThunderRT6HScrollBar, ThunderHScrollBar, ThunderRT6VScrollBar, ThunderVScrollBar, ThunderRT6TextBox, ThunderTextBox, SliderWndClass, Slider20WndClass, ProgressBarWndClass, ProgressBar20WndClass, TabStripWndClass, msvb_lib_header, ListViewWndClass, ListView20WndClass, TreeViewWndClass, TreeView20WndClass, StatusBarWndClass, StatusBar20WndClass, msvb_lib_toolbar and DTPicker20WndClass.

BaseClassName

Standard Window Class name.

Below is a list of all standard Window Class names known to the SkinFramework, these are all values that can be used as a BaseClassName:

ComboBox, Edit, ListBox, ScrollBar, SysHeader32, msctls_statusbar32, SysTreeView32, msctls_progress32, msctls_trackbar32, SysTabControl32, MDIClient, msctls_updown32, ToolbarWindow32, Button and SysPager.

Remarks

The AddWindowClass method is used to map one window class name to another when nonstandard class names are used for window classes in some non standard development environments. For example, the standard Window Class for a button is "Button", but maybe in some environment it is named "S:Button".
So you would need to call AddWindowClass ("S:Button", "Button") to map one class to another and the skin framework can then skin the new class.

To use the AddWindowClass method you will need to know the Window Class name of the component you wish to skin. There are several standard names like "Button" and "ListBox" (noted above), but you will need to use a tool like Microsoft Spy++ (pictured below) to determine the specific Window Class name of the component you wish to skin. In the picture below Spy++ was used to determine the Window Class name of the "OK" button of a color chooser dialog. You would use this same technique to find the Window Class name of other components that might not have a standard Window Class name.

See Also

SkinFramework Control | RemoveWindowClass Method


%%PageItemTitle%%

SkinFramework Control | LoadSkin Method | EnableThemeDialogTexture Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration | AutoApplyNewWindows Property

hWnd
Handle of the window to be skinned.
See Also Skin Framework ActiveX Control v19.3

ApplyWindow Method

Description

Tell the SkinFramework which window's appearance will be skinned.

Syntax

Public Sub ApplyWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle of the window to be skinned.

Remarks

ApplyWindow tells the SkinFramework which window's appearance to skin. This can be called before or after a skin has been loaded, but the skin will not be applied until ApplyWindow is called. Skins are loaded using the LoadSkin method.

Each child window opened will also have its appearance skinned by the currently applied skin. If this behavior is not desired, then call the LoadSkin method using a "" (blank sting) as both parameters, this will set the default system theme.

Example

[Applying a skin to a window. (Visual Basic)] This sample illustrates how to apply a skin to a window.

Private Sub Form_Load()
    'Loads the NormalOffice2007.ini skin
    SkinFramework.LoadSkin App.Path + "..\..\..\Styles\Office2007.cjstyles", "NormalOffice2007.ini"

    'Loads currently set system skin
    'SkinFramework.LoadSkin "", ""

    'Applies the currently loaded skin to the specified window
    SkinFramework.ApplyWindow Me.hWnd
End Sub

See Also

SkinFramework Control | LoadSkin Method | EnableThemeDialogTexture Method | ApplyOptions Property | SkinFrameworkApplyOptions Enumeration | AutoApplyNewWindows Property


%%PageItemTitle%%

SkinFramework Control | SkinSchema Object | SetWindowTheme Method

ResourcePath
Path to a .cjstyles or .msstyles skin file. This is the file that contains one or more .ini files.
IniFileName
Name of the .ini file of skin to apply. If no .ini file name is supplied, the first .ini file found will be used.
See Also Skin Framework ActiveX Control v19.3

CreateSchema Method

Description

Creates a SkinSchema resource to be used by the SetWindowTheme method for setting the theme\skin of individual objects (buttons, frame, checkbox, etc.)

Syntax

Public Function CreateSchema( _
   ByVal ResourcePath As String, _
   ByVal IniFileName As String _
) As SkinSchema

Parameters

ResourcePath
Path to a .cjstyles or .msstyles skin file. This is the file that contains one or more .ini files.
IniFileName
Name of the .ini file of skin to apply. If no .ini file name is supplied, the first .ini file found will be used.

Return Type

Returns a SkinSchema resource from the specified ResourcePath and IniFileName to be used by the SetWindowTheme method for setting the theme\skin of individual objects (buttons, frame, checkbox, etc.)

Remarks

The SetWindowTheme method allows you to individually skin different objects within the same form with different skins. For example, you can have a form skin using the Office 2007 Black skin and have the buttons on that form use the Windows XP skin. To do this, use CreateSchema to create a SkinSchema resource and then use SetWindowTheme to apply the skin resource to an object such as a button.

CreateSchema is used to create a SkinSchema resource so that the resource can be shared among other objects. Simply remember the reference to the resource created and apply it to each object that it is needed. You can use any number of different skins in an application.

See Also

SkinFramework Control | SkinSchema Object | SetWindowTheme Method


%%PageItemTitle%%

SkinFramework Control | ApplyWindow Method | LoadSkin Method

hWnd
The window handle of the target control.
Flags

1 - to disable background texturing.

6 - to enable skin-defined background texturing using the background of the parent tab control.

See Also Skin Framework ActiveX Control v19.3

EnableThemeDialogTexture Method

Description

Enables/disables dialog background theme.

Syntax

Public Sub EnableThemeDialogTexture( _
   ByVal hWnd As Integer, _
   ByVal Flags As Long _
)

Parameters

hWnd
The window handle of the target control.
Flags

1 - to disable background texturing.

6 - to enable skin-defined background texturing using the background of the parent tab control.

Remarks

EnableThemeDialogTexture can be used to tailor dialog compatibility with child windows and controls that may or may not coordinate the rendering of their client area backgrounds with that of their parent dialog in a manner that supports seamless background texturing.

There are some situations where a control will not be able to automatically be skinned as the parent control might not support seamless background texturing. In these cases the EnableThemeDialogTexture method can be used to apply the skin texture to the child control.

See Also

SkinFramework Control | ApplyWindow Method | LoadSkin Method


%%PageItemTitle%%

SkinFramework Control

Path
Path to the directory to search for skin files.
Recursive
Set to True to recursively search though any sub folders within the specified path.
See Also Skin Framework ActiveX Control v19.3

EnumerateSkinDirectory Method

Description

Enumerates a directory looking for skin files.

Syntax

Public Function EnumerateSkinDirectory( _
   ByVal Path As String, _
   ByVal Recursive As Boolean _
) As SkinDescriptions

Parameters

Path
Path to the directory to search for skin files.
Recursive
Set to True to recursively search though any sub folders within the specified path.

Return Type

Returns a SkinDescriptions objects that contains a collection of all the skin files found in the specified directory.

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control

Path
Path of the skin file to enumerate.
See Also Skin Framework ActiveX Control v19.3

EnumerateSkinFile Method

Description

Enumerate through all of the skins contained within a single skin file.

Syntax

Public Function EnumerateSkinFile( _
   ByVal Path As String _
) As SkinDescription

Parameters

Path
Path of the skin file to enumerate.

Return Type

Returns a SkinDescription object that contains a list of all the ini skin files that are contained in the specified file.

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control

ModuleName
Name of the module\dll to remove from hooking.
See Also Skin Framework ActiveX Control v19.3

ExcludeModule Method

Description

Removes a module\dll from getting "hooked" by the SkinFramework. This will cause objects from this module not to be skinned.

Syntax

Public Sub ExcludeModule( _
   ByVal ModuleName As String _
)

Parameters

ModuleName
Name of the module\dll to remove from hooking.

Remarks

There are some modules\dlls that do not like to be hooked by the skinframework and will crash the application. If you find that a certain module keeps crashing your application you can exclude it. This needs to be done before a skin id loaded.

For example, if .NET is not installed on the client machine and the Crystal Reports "CRDB_ADOPLUS.DLL" module is loaded that application will crash when the skin loads. As a solution you can exclude this module before the skin is loaded:

SkinFramework1.ExcludeModule ("CRDB_ADOPLUS.DLL")

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control

Index
A color from the XTPColorManagerColor enumeration.
See Also Skin Framework ActiveX Control v19.3

GetColor Method

Description

Used in C# and VB.NET if running on Windows 2000 to set the background color of dialogs because C# and VB.NET can't automatically use dialogs' background colors from skinframework while running in Windows 2000.

Syntax

Public Function GetColor( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
A color from the XTPColorManagerColor enumeration.

Remarks

GetColor is needed in C# and VB.NET if running on Windows 2000. This is because C# and VB.NET can't automatically use dialogs' background colors from skinframework while running in Windows 2000. Getcolor is not needed if using VB6 or if the application will not be run on Windows 2000.

Example

[GetColor Sample for Windows 2000 (C#)] This sample illustrated how you can code the OnVisibleChanged event of a dialog form in C# so that the background color is changed to match the current skin. This is required if running on Windows 2000 and using C# or VB.NET, possibly other situations.

        protected override void OnVisibleChanged (EventArgs e)
        {
            base.OnVisibleChanged(e);

            if (this.Visible)
            {
                frmMain.skinFramework.ApplyWindow(this.Handle.ToInt32());
                this.BackColor = frmMain.skinFramework.GetColor(XtremeSkinFramework.XTPColorManagerColor.STDCOLOR_BTNFACE);
            }
        }

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control | ApplyWindow Method | EnableThemeDialogTexture Method | SkinFrameworkApplyOptions Enumeration | ApplyOptions Property

ResourcePath
Path to a .cjstyles or .msstyles skin file. This is the file that contains one or more .ini files.
IniFileName
Name of the .ini file of skin to apply. If no .ini file name is supplied, the first .ini file found will be used.
See Also Skin Framework ActiveX Control v19.3

LoadSkin Method

Description

Loads a skin from a .cjstyles or .msstyles file.

Syntax

Public Function LoadSkin( _
   ByVal ResourcePath As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

ResourcePath
Path to a .cjstyles or .msstyles skin file. This is the file that contains one or more .ini files.
IniFileName
Name of the .ini file of skin to apply. If no .ini file name is supplied, the first .ini file found will be used.

Return Type

Returns True if the skin was successfully applied, False if the skin could not be applied or the skin file was not found.

Remarks

To apply skins, the ApplyWindow method must be called. ApplyWindow only needs to be called one time in the Load event of the window a skin will be applied. This tells the SkinFramework which window to apply skins to. The skin will be applied to all child windows as well.

To load the default system appearance skin, call LoadSkin passing in a "" (blank string) for both ResourcePath and IniFileName.

There are some situations where a control will not be able to automatically be skinned as the parent control might not support seamless background texturing. In these cases the EnableThemeDialogTexture method can be used to apply the skin texture to the child control.

The ApplyOptions property is used to specify which parts of the application will be skinned.

Tip: You can find many free custom skins on the Internet that can be used with your application.

Example

[Loading a skin with the LoadSkin method (Visual Basic)] This sample illustrates how to load and apply a skin to a window.

Private Sub Form_Load()
    'Loads the NormalOffice2007.ini skin
    SkinFramework.LoadSkin App.Path + "..\..\..\Styles\Office2007.cjstyles", "NormalBlue.ini"

    'Loads currently set system skin
    'SkinFramework.LoadSkin "", ""

    'Applies the currently loaded skin to the specified window
    SkinFramework.ApplyWindow Me.hWnd
End Sub

See Also

SkinFramework Control | ApplyWindow Method | EnableThemeDialogTexture Method | SkinFrameworkApplyOptions Enumeration | ApplyOptions Property


%%PageItemTitle%%

SkinFramework Control

See Also Skin Framework ActiveX Control v19.3

RemoveAllWindows Method

Description

Removes all hooks.

Syntax

Public Sub RemoveAllWindows()

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control

hWnd
Window handle to remove.
See Also Skin Framework ActiveX Control v19.3

RemoveWindow Method

Description

Removes hook for the specified window.

Syntax

Public Sub RemoveWindow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Window handle to remove.

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control | AddWindowClass Method

ClassName
Name of the class to remove from the SkinFramework. This class will no longer get skinned.
See Also Skin Framework ActiveX Control v19.3

RemoveWindowClass Method

Description

Specifies that a specific window class should not be skinned. For example, you might not want buttons skinned in your application.

Syntax

Public Sub RemoveWindowClass( _
   ByVal ClassName As String _
)

Parameters

ClassName
Name of the class to remove from the SkinFramework. This class will no longer get skinned.

Remarks

The RemoveWindowClass method is used to stop the SkinFramework from skinning a specific window class (component) in an application. For example, you can specify that buttons or scrollbars will not get skinned.

To use the RemoveWindowClass method you will need to know the Window Class name of the component you wish to remove. There are several standard names like "Button" and "ListBox", but you may need to use a tool like Microsoft Spy++ (pictured below) to determine a specific Window Class name. In the picture below Spy++ was used to determine the Window Class name of the "OK" button of a color chooser dialog. Now you could pass the "Button" Window Class to the RemoveWindowClass method to stop the skin framework from skinning them.

See Also

SkinFramework Control | AddWindowClass Method


%%PageItemTitle%%

SkinFramework Control | CreateSchema Method | SkinSchema Object

hWnd
Handle to the object to skin.
Schema
SkinSchema resource that contains the skin to apply to the specified object.
See Also Skin Framework ActiveX Control v19.3

SetWindowTheme Method

Description

Applies a SkinSchema skin resource object to an individual object. This allows objects on a single form to all use a different skin resource.

Syntax

Public Sub SetWindowTheme( _
   ByVal hWnd As Integer, _
   ByVal Schema As SkinSchema _
)

Parameters

hWnd
Handle to the object to skin.
Schema
SkinSchema resource that contains the skin to apply to the specified object.

Remarks

The SetWindowTheme method allows you to individually skin different objects within the same form with different skins. For example, you can have a form skin using the Office 2007 Black skin and have the buttons on that form use the Windows XP skin. To do this, use CreateSchema to create a SkinSchema resource and then use SetWindowTheme to apply the skin resource to an object such as a button.

CreateSchema is used to create a SkinSchema resource so that the resource can be shared among other objects. Simply remember the reference to the resource created and apply it to each object that it is needed. You can use any number of different skins in an application.

See Also

SkinFramework Control | CreateSchema Method | SkinSchema Object


%%PageItemTitle%%

SkinFramework Control | SkinFrameworkApplyOptions Enumeration | LoadSkin Method | ApplyWindow Method

See Also Skin Framework ActiveX Control v19.3

ApplyOptions Property

Description

Get\set which parts of the application the skin will be applied.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ApplyOptions() As SkinFrameworkApplyOptions

Remarks

The ApplyOptions properties allows you to choose which parts of the application the skin will be applied to. ApplyOptions take one or more SkinFrameworkApplyOptions values to determine which parts of the application to skin.

By default, ApplyOptions is set to the xtpSkinApplyColors and xtpSkinApplyFrame flags. The xtpSkinApplyMetrics flag is not applied.

Example

[ApplyOptions Sample (Visual Basic)] This sample illustrates how to choose which parts of the application will be skinned.

    'Skin the entire applicaiton
    SkinFramework.ApplyOptions = xtpSkinApplyColors Or xtpSkinApplyFrame Or xtpSkinApplyMetrics

See Also

SkinFramework Control | SkinFrameworkApplyOptions Enumeration | LoadSkin Method | ApplyWindow Method


%%PageItemTitle%%

SkinFramework Control

See Also Skin Framework ActiveX Control v19.3

AutoApplyNewThreads Property

Description

Specifies whether to automatically skin all threads.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoApplyNewThreads() As Boolean

Remarks

Sometimes Windows run in different threads, it might be the case that you would like to skin only the current thread .

See Also

SkinFramework Control


%%PageItemTitle%%

SkinFramework Control | ApplyWindow Method

See Also Skin Framework ActiveX Control v19.3

AutoApplyNewWindows Property

Description

Specifies whether all new windows that are opened will automatically be skinned.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoApplyNewWindows() As Boolean

Remarks

Set to True to automatically apply the current skin to any window that is used\opened. Set to False for windows to open using the system default settings. If False, ApplyWindow can be used to manually specify which windows will get skinned.

See Also

SkinFramework Control | ApplyWindow Method


%%PageItemTitle%%

SkinFrameworkGlobalSettings Members

See Also Skin Framework ActiveX Control v19.3

SkinFrameworkGlobalSettings Object

Description

SkinFramework global settings, such as application name and resource file.

For a list of all members defined in this module, see SkinFrameworkGlobalSettings members.

See Also

SkinFrameworkGlobalSettings Members


%%PageItemTitle%% $$Members$$

SkinFrameworkGlobalSettings Overview

See Also Skin Framework ActiveX Control v19.3

SkinFrameworkGlobalSettings Object Members

Public Properties

Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed SkinFramework.ocx file.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the SkinFramework.ocx is used.
Public Property UseLegacyCore | Set this value to True to force using legacy SkinFramework core that has been in use up to version 19
Public Property Version | Returns the current SkinFramework version as a string.

See Also

SkinFrameworkGlobalSettings Overview


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed SkinFramework.ocx file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the SkinFramework.ocx is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

UseLegacyCore Property

Description

Set this value to True to force using legacy SkinFramework core that has been in use up to version 19

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseLegacyCore() As Boolean

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinFrameworkGlobalSettings Object

See Also Skin Framework ActiveX Control v19.3

Version Property

Description

Returns the current SkinFramework version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

SkinFrameworkGlobalSettings Object


%%PageItemTitle%%

SkinIniFile Members

See Also Skin Framework ActiveX Control v19.3

SkinIniFile Object

Description

Object that holds the color, font size, and ini file name of each ini skin file

For a list of all members defined in this module, see SkinIniFile members.

See Also

SkinIniFile Members


%%PageItemTitle%% $$Members$$

SkinIniFile Overview

See Also Skin Framework ActiveX Control v19.3

SkinIniFile Object Members

Public Properties

Public Property ColorScheme | Gets\sets the color scheme of the ini skin file.
Public Property FontSize | Gets\set the font size of the ini skin file.
Public Property IniFileName | Gets\sets the path to the ini skin file.

See Also

SkinIniFile Overview


%%PageItemTitle%%

SkinIniFile Object

See Also Skin Framework ActiveX Control v19.3

ColorScheme Property

Description

Gets\sets the color scheme of the ini skin file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorScheme() As String

See Also

SkinIniFile Object


%%PageItemTitle%%

SkinIniFile Object

See Also Skin Framework ActiveX Control v19.3

FontSize Property

Description

Gets\set the font size of the ini skin file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FontSize() As String

See Also

SkinIniFile Object


%%PageItemTitle%%

SkinIniFile Object

See Also Skin Framework ActiveX Control v19.3

IniFileName Property

Description

Gets\sets the path to the ini skin file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IniFileName() As String

See Also

SkinIniFile Object


%%PageItemTitle%%

SkinSchema Members | CreateSchema Method | SetWindowTheme Method

See Also Skin Framework ActiveX Control v19.3

SkinSchema Object

Description

A resource object to be used by the SetWindowTheme method for setting the theme\skin of individual objects (buttons, frame, checkbox, etc.)

For a list of all members defined in this module, see SkinSchema members.

Remarks

The SetWindowTheme method allows you to individually skin different objects within the same form with different skins. For example, you can have a form skin using the Office 2007 Black skin and have the buttons on that form use the Windows XP skin. To do this, use CreateSchema to create a SkinSchema resource and then use SetWindowTheme to apply the skin resource to an object such as a button.

CreateSchema is used to create a SkinSchema resource so that the resource can be shared among other objects. Simply remember the reference to the resource created and apply it to each object that it is needed. You can use any number of different skins in an application.

See Also

SkinSchema Members | CreateSchema Method | SetWindowTheme Method


%%PageItemTitle%% $$Members$$

SkinSchema Overview | CreateSchema Method | SetWindowTheme Method

See Also Skin Framework ActiveX Control v19.3

SkinSchema Object Members

Public Methods

Public Method GetColor

See Also

SkinSchema Overview | CreateSchema Method | SetWindowTheme Method


%%PageItemTitle%%

SkinSchema Object

Index
See Also Skin Framework ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

See Also

SkinSchema Object


%%PageItemTitle%%

ApplyOptions Property

See Also Skin Framework ActiveX Control v19.3

SkinFrameworkApplyOptions Enumeration

Description

Flags that indicate which parts of the application will be skinned

Members

Member | Description
xtpSkinApplyMetrics | Applies the skin to the application's metrics. Metrics components include the frame caption font size, caption height, scroll bar width, and toolbar text font size.
xtpSkinApplyFrame | Applies the skin to the application's frame. Frame components include the window frame, child window frames, title bar background, maximize button, minimize button, and close button.
xtpSkinApplyColors | Applies the skin colors to the background color of forms and dialogs in the application. This will skin the background color of forms and dialogs. This will also apply color to caption text.
xtpSkinApplyMenus | Applies the skin colors for Popup Menus.

Remarks

The ApplyOptions property uses one or more SkinFrameworkApplyOptions flags to specify which parts of the application will be skinned.

To completely skin an application, all three flags must be set.

By default, ApplyOptions is set to the xtpSkinApplyColors and xtpSkinApplyFrame flags. The xtpSkinApplyMetrics flag is not applied.

See Also

ApplyOptions Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Skin Framework ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Skin Framework ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


Suite Pro Controls ActiveX Controls v19.3

Suite Pro Controls ActiveX Control v19.3
Suite Pro Controls ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
CheckBox | Check Box control
ColorPicker | Color Picker Button Control.
ComboBox | ComboBox Control
CommonDialog | The CommonDialog control provides a standard set of dialog boxes for operations such as opening and saving files, setting print options, and selecting colors and fonts. The control also has the ability to display help by running the Windows Help engine.
DateTimePicker | The DateTimePicker control enables you to provide a formatted date field that allows easy date selection. In addition, users can select a date from a dropdown calendar interface similar to the MonthView control.
FlatEdit | Flat Edit control
FormExtender | Extends the functionality of a standard form by adding additional properties.
GroupBox | Group Box control
HexEdit | A hex edit control.
Label | A Label control is a graphical control you can use to display text that a user can't change directly.
ListBox | List Box control
ListView | The ListView control displays items using one of four different views. You can arrange items into columns with or without column headings as well as display accompanying icons and text.
MonthCalendar | The MonthCalendar control enables you to create applications that let users view and set date information via a calendar-like interface.
PopupControl | Represents a popup window
ProgressBar | The ProgressBar control shows the progress of a lengthy operation by filling a rectangle with chunks from left to right.
PushButton | Push Button control
RadioButton | Radio button control
Resizer | Resizer control
ScrollBar | Scrollbar control.
Slider | A Slider control is a window containing a slider and optional tick marks. You can move the slider by dragging it, clicking the mouse to either side of the slider, or using the keyboard.
TabControl | A tab control.
TabControlPage | TabControlPage can be a replacement of picture box for client of TabControl - if developer put page inside TabControl - automatically Tab will appear and developer can put buttons/combos to this page
TagCloud | TagCloud Control
TaskbarManager | Taskbar Manager control.
TaskDialog | Task Dialog Control.
TrayIcon | Tray Icon control used to display a system tray icon.
TreeView | A TreeView control displays a hierarchical list of TreeViewNode objects, each of which consists of a label and an optional bitmap. A TreeView is typically used to display the headings in a document, the entries in an index, the files and directories on a disk, or any other kind of information that might usefully be displayed as a hierarchy.
UpDown | An UpDown control has a pair of arrow buttons which the user can click to increment or decrement a value, such as a scroll position or a value in an associated control, known as a buddy control.
WebBrowser | Adds web browsing capabilities to your applications.
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DataObject | The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.
DataObjectFiles | A collection of strings which is the type of the Files property on the DataObject object.
FrameShadow |
FrameShadowManager |
FrameShadows |
IFrameShadow |
IFrameShadowManager |
IFrameShadows |
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
ITagCloudsStyles |
ITagCloudStyle |
ITagCloudTag |
ListViewColumnHeader | A ListViewColumnHeader object is an item in a ListView control that contains heading text.
ListViewColumnHeaders | A ListViewColumnHeaders collection contains one or more ColumnHeader objects.
ListViewItem | A ListViewItem consists of text, the index of an associated icon (ListImage object), and, in Report view, an array of strings representing subitems.
ListViewItems | A ListViewItems collection contains one or more ListViewItem objects.
ListViewSubItem | Represents a subitem of a ListViewItem.
ListViewSubItems | Collection of ListViewItem subitems.
MarkupContext | Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.
PopupControlItem | This represents an item that is in a popup control. Multiple popup control items are used in designing a popup window. I.e. A line of text, a hyperlink, an icon, etc...
PropExchange | Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
PushButtonPropPage | Property page for PushButton Control
ResizerControlsPropPage | Property page for Resizer controls
ResizerGeneralPropPage | Property page for general Resizer Control
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
SuiteControlsGlobalSettings | Suite global settings, such as application name and recourse file.
TabControlItem | A tab object.
TabControlPropPage | Property page for TabControl
TabManagerMargin | Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.
TabMarginsPropPage | Property page for TabMargins
TabPaintManager | Represents the appearance of the tabs.
TabPaintManagerColorSet | The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab in the TabControl. The default tab colors for each theme can be changed using the ColorSet property.
TabPaintManagerPropPage | Property page for TabPaintManager
TagCloudPropPage | Property page for TagCloud control
TagCloudsStyles |
TagCloudStyle |
TagCloudTag |
TaskbarManagerJumpList | Taskbar Manager control jumplist collection.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
TreeViewNode | Represents a node of a TreeView.
TreeViewNodes | A Nodes collection contains one or more TreeViewNode objects.
Public Enumerations
.
Enumeration | Description
AlignmentStyle | Label control text alignment styles.
AppearanceStyle | Paint styles of a control.
CheckAlignment | Alignment for the CheckBox and RadioButton's "Check" part (check box).
CheckBoxValue | States of a Check Box control.
ComboBoxStyle | Style properties for the combobox control.
CommonDialogBrowseFolderConstants | Options for the BrowseFolder dialog box.
CommonDialogColorConstants | Options for a Color dialog box.
CommonDialogFileOpenConstants | Options for the Open and Save As dialog boxes.
CommonDialogFontConstants | Options for a Font dialog box.
CommonDialogHelpConstants | Help Dialog Constants.
CommonDialogPrintDialogConstants | Printer Dialog Constants.
DateTimeFormat | Format style used to display text in the DateTimePicker control.
EditAlignment | Flat edit text alignment styles.
EditScrollBars | ScrollBar settings for a Flat Edit control.
GroupBoxBorderStyle | Group Box border styles.
ListBoxMultiSelectStyle | Specifies the selection behavior of a list box control.
ListBoxStyle | ListBox styles.
ListViewArrange | Flags that determines how the icons or small icons are arranged in the list view.
ListViewColumnAlignment | List view column header alignment settings.
ListViewFindItemWhere | Specifies where to look for items in the ListView control.
ListViewLabelEdit | List View label edit options.
ListViewStyle | List View Styles.
OLEDragConstants | OLEDrag Constants.
OLEDropConstants | OLE Drop Constants.
PictureAlignmentStyle | Alignment settings of the background picture for a TabControlPage.
ProgressBarOrientation | Specifies the orientation of a ProgressBar control.
ProgressBarScrolling | Specifies the style that a ProgressBar uses to indicate the progress of an operation.
PushButtonStyle | PushButton styles.
ResizerBorderStyle | Resizer control border styles.
ScrollBarOrientation | Specifies the orientation of a scrollbar control.
SliderOrientation | Specifies the orientation of a slider control.
SliderTickStyle | Specifies the location of tick marks in a Slider control.
TaskbarProgressFlag | Task bar progress bar status state flags.
TaskDialogCommonButtons | Push buttons that can be displayed in the task dialog.
TaskDialogIcon | Task Dialog Icons.
TaskDialogProgressBarStyle | Progress bar styles.
TextImageRelationStyle | Image and text relationship settings for a pushbutton control.
TreeViewLabelEdit | Tree View label edit options.
TreeViewLinesStyle | Tree View line styles.
TreeViewRelationship | TreeViewNode relationship settings.
UpDownAlignment | UpDown Control alignment settings.
UpDownOrientation | UpDown control Orientation flags.
WebBrowserScrollBar | WebBrowser ScrollBar Styles.
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPFrameShadowManagerFlags |
XTPImageState | Specifies the state of an icon.
XTPItemAlignment | Specifies the text formatting for text in the Popup Control and for items in the TaskPanel Control.
XTPMarkupSmoothingMode | Possible rendering smoothing modes
XTPPopupAnimation | Specifies the type of animation used when opening and closing a popup window.
XTPPopupItemIcon | Specifies the type of icons used for a popup control item icon. Specifies if a normal, selected, and/or clicked image is used.
XTPPopupLocation | Default locations for the popup control to display.
XTPPopupPaintTheme | Specifies the theme that will be used to display a popup window.
XTPPopupState | Specifies the current state of a PopupControlItem as it is being displayed and closed.
XTPTabAppearanceStyle | Specifies the appearance of the TabControl tabs.
XTPTabClientFrame | Specifies the type of border that will be used around the client (area inside the tab surrounding the attached object).
XTPTabColorStyle | Sets the color style of the tabs for the currently set Appearance
XTPTabDrawTextFormat | Specifies the text format used for displaying text in tab buttons.
XTPTabItemButtonFlags | Options to specify when a tab close button will be shown.
XTPTabLayoutStyle | Specifies how the tab buttons will be sized.
XTPTabNavigateButton | XTPTabNavigateButton is an enumeration used to identify navigation buttons within a tab control.
XTPTabNavigateButtonFlags | XTPTabNavigateButtonFlags is an enumeration used to indicate when a navigation button will be displayed. This style flag is applied to one button. Navigation buttons include the left, right, and close buttons that appear in the tab control header area.
XTPTabPosition | The position of the tabs relative to the client area.
XTPTabToolTipBehaviour | Specifies when tool tips should be displayed for tab buttons in the TabControl.
XTPTagCloudSort |
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

CheckBox Members

See Also Suite Pro Controls ActiveX Control v19.3

CheckBox Control

Description

Check Box control

For a list of all members defined in this module, see CheckBox members.

Object Model

See Also

CheckBox Members


%%PageItemTitle%% $$Members$$

CheckBox Overview

See Also Suite Pro Controls ActiveX Control v19.3

CheckBox Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Alignment | Alignment for the "Check" part (check box).
Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the check box control when the check box control has focus.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MultiLine | Gets or sets whether to allow the text label to appear on multiple lines.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property TextAlignment | Gets or sets the alignment of the text on the control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Gets or sets the state of the check box.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

CheckBox Overview


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Alignment for the "Check" part (check box).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As CheckAlignment

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

CheckBox Control | AppearanceStyle Enumeration


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the check box control when the check box control has focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

CheckBox Control | XTPToolTipStyle Enumeration


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

MultiLine Property

Description

Gets or sets whether to allow the text label to appear on multiple lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLine() As Boolean

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets the alignment of the text on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As AlignmentStyle

Remarks

You can change the text alignment by using a flag from the AlignmentStyle enumeration.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control | CheckBoxValue Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the state of the check box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As CheckBoxValue

Remarks

The Value of a check box determines how the box will be visually displayed. The check box can have three different states, checked, unchecked and grayed, each of which are found in the CheckBoxValue enumeration.

See Also

CheckBox Control | CheckBoxValue Enumeration


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

KeyAscii
An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.
See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii
An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.
See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

CheckBox Control


%%PageItemTitle%%

CheckBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

CheckBox Control


%%PageItemTitle%%

ColorManager Members

See Also Suite Pro Controls ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Suite Pro Controls ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the Suite Controls if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Suite Controls will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Suite Pro Controls ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Suite Pro Controls ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Suite Pro Controls ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the Suite Controls if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Suite Controls will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Suite Controls can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Suite Controls can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Suite Controls and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

ColorPicker Members

See Also Suite Pro Controls ActiveX Control v19.3

ColorPicker Control

Description

Color Picker Button Control.

For a list of all members defined in this module, see ColorPicker members.

Object Model

Remarks

The ColorPicker is a button control that when clicked will display a drop-down color selector. The currently selected color is displayed on the button's face.

See Also

ColorPicker Members


%%PageItemTitle%% $$Members$$

ColorPicker Overview

See Also Suite Pro Controls ActiveX Control v19.3

ColorPicker Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method GetSelectedAsLong |
Public Method SetNoColor |

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DefaultColor | An integer value that represents the default color for the popup window.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property FlatStyle | Gets\sets the "flat" appearance of the control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property ReCreateReparented |
Public Property SelectedColor | An integer value that represents the currently selected color. This is the color that will appear in the color popup button.
Public Property ShowAutomaticColor | Specifies whether the color picker will display an "Automatic Color" button which will automatically select the DefaultColor.
Public Property ShowMoreColors | Specifies whether the color picker will display a "More Colors" button which will display a color picker dialog to pick a custom color.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |

See Also

ColorPicker Overview


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

GetSelectedAsLong Method

Syntax

Public Function GetSelectedAsLong() As Long

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

SetNoColor Method

Syntax

Public Sub SetNoColor()

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ColorPicker Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

DefaultColor Property

Description

An integer value that represents the default color for the popup window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultColor() As ULong

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets\sets the "flat" appearance of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

The control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectedColor Property

Description

An integer value that represents the currently selected color. This is the color that will appear in the color popup button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedColor() As ULong

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control | DefaultColor Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowAutomaticColor Property

Description

Specifies whether the color picker will display an "Automatic Color" button which will automatically select the DefaultColor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAutomaticColor() As Boolean

See Also

ColorPicker Control | DefaultColor Property


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowMoreColors Property

Description

Specifies whether the color picker will display a "More Colors" button which will display a color picker dialog to pick a custom color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowMoreColors() As Boolean

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ColorPicker Control


%%PageItemTitle%%

ColorPicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ColorPicker Control


%%PageItemTitle%%

ComboBox Members

See Also Suite Pro Controls ActiveX Control v19.3

ComboBox Control

Description

ComboBox Control

For a list of all members defined in this module, see ComboBox members.

Object Model

Remarks

A ComboBox control combines the features of a TextBox control and a ListBox controlusers can enter information in the text box portion or select an item from the list box portion of the control.

To add or delete items in a ComboBox control, use the AddItem or RemoveItem methods. Set the List, ListCount, and ListIndex properties to enable a user to access items in the ComboBox. Alternatively, you can add items to the list by using the List property at design time.

See Also

ComboBox Members


%%PageItemTitle%% $$Members$$

ComboBox Overview

See Also Suite Pro Controls ActiveX Control v19.3

ComboBox Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method AddItem | Adds an item to the combobox control.
Public Method Clear | Clears the contents of the combobox.
Public Method FindItem | Finds the first item in the combobox that starts with the specified string.
Public Method RemoveItem | Removes an item from the combobox.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property AutoComplete | Enables or disabled Auto Completion.
Public Property BackColor | Gets or sets the background color of the control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the items in the combo box.
Public Property DropDownItemCount | Gets or sets the number of items to display when the combo box is dropped down.
Public Property DropDownWidth | Gets or sets the width of the of the drop-down portion of a combo box.
Public Property DroppedState | Gets or sets a value indicating whether the combo box is displaying its drop-down portion.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property FlatStyle | Gets\sets the "flat" appearance of the control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property ItemData | Returns or sets a specific number for each item the combobox control.
Public Property List | Returns or sets the items contained in a combobox's list portion. The list is a string array in which each element is a list item.
Public Property ListCount | Returns the number of items in the list portion of the combobox.
Public Property ListIndex | Returns or sets the index of the currently selected item in the combobox.
Public Property Locked | Gets or sets a value that indicates whether the ComboBox can be modified at design time when the sheet is protected.
Public Property MarkupList | Returns or sets the items contained in a combobox's list portion STORED AS MARKUP. The list is a string array in which each element is a list item STORED AS MARKUP.
Public Property MaxLength | Gets or sets the maximum number of characters that can be entered in the combo's edit control.
Public Property NewIndex | Returns the index of the item most recently added to a ComboBox control.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property SelLength | Gets or sets the number of characters selected in the editable portion of the combo box.
Public Property SelStart | Gets or sets the starting index of text selected in the combo box.
Public Property SelText | Gets or sets the text that is selected in the editable portion of a ComboBox.
Public Property Sorted | Gets or sets a value indicating whether the items in the combo box are sorted.
Public Property Style | Gets or sets a value specifying the style of the combo box.
Public Property Text | Gets or sets the text associated with this control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TopIndex | Returns or sets a value that specifies which item in the combobox is displayed in the topmost position.
Public Property UpdateBackColorOnAppearanceChange |
Public Property UpdateForeColorOnAppearanceChange |
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event Change | Indicates the contents of the combobox have changed.
Public Event Click | Occurs when the user presses and then releases a mouse button over the combobox. It can also occur when the value of the combobox is changed.
Public Event DblClick | c
Public Event DropDown | Occurs when the drop-down portion of a ComboBox is shown.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event ReCreated |

See Also

ComboBox Overview


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control | ItemData Property | ItemExtraString Property

Item
Text string of item to add to the combobox.
Index
Integer specifying the position within the object where the new item or row is placed. For the first item in a ComboBox control the index is 0.
Data
Sets the ItemData for the item.
See Also Suite Pro Controls ActiveX Control v19.3

AddItem Method

Description

Adds an item to the combobox control.

Syntax

Public Sub AddItem( _
   ByVal Item As String, _
   Optional ByVal Index As Variant, _
   Optional ByVal Data As Variant _
)

Parameters

Item
Text string of item to add to the combobox.
Index
Integer specifying the position within the object where the new item or row is placed. For the first item in a ComboBox control the index is 0.
Data
Sets the ItemData for the item.

Remarks

If you supply a valid value for index, the item is placed at that position within the combobox. If index is omitted, item is added at the proper sorted position (if the Sorted property is set to True) or to the end of the list (if Sorted is set to False).

See Also

ComboBox Control | ItemData Property | ItemExtraString Property


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Clears the contents of the combobox.

Syntax

Public Sub Clear()

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

IndexStart
Index in the combobox to start searching. It is the zero-based index of the item before the first item to be searched. Set to -1 to search from the beginning of the control.
String
The text string to search for.
Exact
Specifies whether to perform a search for an exact word match instead of a partial match
See Also Suite Pro Controls ActiveX Control v19.3

FindItem Method

Description

Finds the first item in the combobox that starts with the specified string.

Syntax

Public Function FindItem( _
   ByVal IndexStart As Long, _
   ByVal String As String, _
   ByVal Exact As Boolean _
) As Long

Parameters

IndexStart
Index in the combobox to start searching. It is the zero-based index of the item before the first item to be searched. Set to -1 to search from the beginning of the control.
String
The text string to search for.
Exact
Specifies whether to perform a search for an exact word match instead of a partial match

Return Type

The zero-based index of the first item found; returns -1 if no match is found.

Remarks

The search performed by this method is not case-sensitive. The String parameter is a substring to compare against the text associated with the items in the combo box list. The search performs a partial match starting from the beginning of the text, returning the first item in the list that matches the specified substring.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

Index
Integer representing the position within the combobox of the item or row to remove. For the first item the index = 0.
See Also Suite Pro Controls ActiveX Control v19.3

RemoveItem Method

Description

Removes an item from the combobox.

Syntax

Public Sub RemoveItem( _
   ByVal Index As Long _
)

Parameters

Index
Integer representing the position within the combobox of the item or row to remove. For the first item the index = 0.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ComboBox Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

AutoComplete Property

Description

Enables or disabled Auto Completion.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoComplete() As Boolean

Remarks

Using AutoComplete will cause the combo box to suggest an item as you type from the combo box's list of items. The suggestion will get more accurate as more characters are typed.

AutoComplete only makes suggestions from the combo box's list of items.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the items in the combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DropDownItemCount Property

Description

Gets or sets the number of items to display when the combo box is dropped down.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownItemCount() As Long

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DropDownWidth Property

Description

Gets or sets the width of the of the drop-down portion of a combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropDownWidth() As Long

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DroppedState Property

Description

Gets or sets a value indicating whether the combo box is displaying its drop-down portion.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DroppedState() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

ComboBox Control | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets\sets the "flat" appearance of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

The control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

Index
The number of a specific item in the combobox.
See Also Suite Pro Controls ActiveX Control v19.3

ItemData Property

Description

Returns or sets a specific number for each item the combobox control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemData( _
   ByVal Index As Long _
) As Variant

Parameters

Index
The number of a specific item in the combobox.

Remarks

The ItemData property is an array of long integer values with the same number of items as the combobox's List property. You can use the numbers associated with each item to identify the items.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

Index
The number of a specific item in the list.
See Also Suite Pro Controls ActiveX Control v19.3

List Property

Description

Returns or sets the items contained in a combobox's list portion. The list is a string array in which each element is a list item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property List( _
   ByVal Index As Long _
) As String

Parameters

Index
The number of a specific item in the list.

Remarks

Use this property to access list items. The index of the first item is 0 and the index of the last item is ListCount  1.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ListCount Property

Description

Returns the number of items in the list portion of the combobox.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ListCount() As Long

Remarks

If no item is selected, the ListIndex property value is 1. The first item in the list is ListIndex = 0, and ListCount is always one more than the largest ListIndex value.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ListIndex Property

Description

Returns or sets the index of the currently selected item in the combobox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListIndex() As Long

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Locked Property

Description

Gets or sets a value that indicates whether the ComboBox can be modified at design time when the sheet is protected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Remarks

A ComboBox can only be locked when the sheet is protected. A locked ComboBox cannot be moved or resized at design time.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

Index
The number of a specific item in the list.
See Also Suite Pro Controls ActiveX Control v19.3

MarkupList Property

Description

Returns or sets the items contained in a combobox's list portion STORED AS MARKUP. The list is a string array in which each element is a list item STORED AS MARKUP.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupList( _
   ByVal Index As Long _
) As String

Parameters

Index
The number of a specific item in the list.

Remarks

Use this property to access list items STORED AS MARKUP. The index of the first item is 0 and the index of the last item is ListCount 1.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

MaxLength Property

Description

Gets or sets the maximum number of characters that can be entered in the combo's edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Long

Remarks

Use the MaxLength property to limit the number of characters a user can enter in a Combo Edit control. If text that exceeds the MaxLength property setting is assigned to a combo's edit control from code, no error occurs; however, only the maximum number of characters is assigned to the Text property, and extra characters are truncated. Changing this property doesn't affect the current contents of a combo's edit control but will affect any subsequent changes to the contents.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

NewIndex Property

Description

Returns the index of the item most recently added to a ComboBox control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NewIndex() As Long

Remarks

You can use this property with sorted lists when you need a list of values that correspond to each item in the ItemData property array. As you add an item in a sorted list, the item is inserted in the list in alphabetic order. This property tells you where the item was inserted so that you can insert a corresponding value in the ItemData property at the same index.

The NewIndex property returns -1 if there are no items in the list or if an item has been deleted since the last item was added.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control | SelText Property | SelStart Property

See Also Suite Pro Controls ActiveX Control v19.3

SelLength Property

Description

Gets or sets the number of characters selected in the editable portion of the combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelLength() As Long

Remarks

You can use this property to determine whether any characters are currently selected in the combo box control before performing operations on the selected text. When the value of the SelLength property is set to a value that is larger than the number of characters within the text of the control, the value of the SelLength property is set to the entire length of text within the control minus the value of the SelStart property (if any value is specified for the SelLength property).

See Also

ComboBox Control | SelText Property | SelStart Property


%%PageItemTitle%%

ComboBox Control | SelLength Property | SelText Property

See Also Suite Pro Controls ActiveX Control v19.3

SelStart Property

Description

Gets or sets the starting index of text selected in the combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelStart() As Long

Remarks

If no text is selected in the control, this property indicates the insertion point for new text. If you set this property to a location beyond the length of the text in the control, the selection start position is placed after the last character. When text is selected in the text box control, changing this property can release the value of the SelLength property. If the remaining text in the control after the position indicated by the SelStart property is less than the value of the SelLength property, the value of the SelLength property is automatically decreased. The value of the SelStart property never causes an increase in the SelLength property.

See Also

ComboBox Control | SelLength Property | SelText Property


%%PageItemTitle%%

ComboBox Control | SelLength Property | SelStart Property | Style Property

See Also Suite Pro Controls ActiveX Control v19.3

SelText Property

Description

Gets or sets the text that is selected in the editable portion of a ComboBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelText() As String

Remarks

You can assign text to this property to change the text currently selected in the combo box. If no text is currently selected in the combo box, this property returns a zero-length string.

See Also

ComboBox Control | SelLength Property | SelStart Property | Style Property


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Sorted Property

Description

Gets or sets a value indicating whether the items in the combo box are sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sorted() As Boolean

Remarks

This property specifies whether the ComboBox sorts existing entries and add new entries to the appropriate sorted position in the list. You can use this property to automatically sort items in a ComboBox. As items are added to a sorted ComboBox, the items are moved to the appropriate location in the sorted list. When you set the property to false, new items are added to the end of the existing list. The sort is case-insensitive and in alphabetically ascending order.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control | ComboBoxStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Style Property

Description

Gets or sets a value specifying the style of the combo box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As ComboBoxStyle

Remarks

The Style property controls the interface that is presented to the user. You can enter a value that provides a simple drop-down list box, where the list always displays, a drop-down list box, where the text portion is not editable and you must select an arrow to view the drop-down, or the default drop-down list box, where the text portion is editable and the user must press the arrow key to view the list. To always display a list that the user cannot edit, use a ListBox control.

Use xtpComboDropDown or xtpComboSimple to give the user a list of choices. Either style enables the user to enter a choice in the text box. Setting xtpComboDropDown saves space on the form because the list portion closes when the user selects an item.

Use xtpComboDropDownList to display a fixed list of choices from which the user can select one. The list portion closes when the user selects an item.

See Also

ComboBox Control | ComboBoxStyle Enumeration


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

This is the text currently visible in the combobox.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

TopIndex Property

Description

Returns or sets a value that specifies which item in the combobox is displayed in the topmost position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopIndex() As Long

Remarks

Use this property to scroll through the combobox without selecting an item.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateBackColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateBackColorOnAppearanceChange() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateForeColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateForeColorOnAppearanceChange() As Boolean

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Indicates the contents of the combobox have changed.

Syntax

Public Event Change()

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the combobox. It can also occur when the value of the combobox is changed.

Syntax

Public Event Click()

Remarks

Occurs when the user selects an item in a ComboBox control, either by pressing the arrow keys or by clicking the mouse button.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

c

Syntax

Public Event DblClick()

Remarks

Occurs when the user double-clicks an item in the combobox with the left mouse button.

If DblClick doesn't occur within the system's double-click time limit, the object recognizes another Click event.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DropDown Event

Description

Occurs when the drop-down portion of a ComboBox is shown.

Syntax

Public Event DropDown()

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ComboBox Control


%%PageItemTitle%%

ComboBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ComboBox Control


%%PageItemTitle%%

CommonDialog Members

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialog Control

Description

The CommonDialog control provides a standard set of dialog boxes for operations such as opening and saving files, setting print options, and selecting colors and fonts. The control also has the ability to display help by running the Windows Help engine.

For a list of all members defined in this module, see CommonDialog members.

Remarks

The CommonDialog control provides an interface between Visual Basic and the routines in the Microsoft Windows dynamic-link library Commdlg.dll. To create a dialog box using this control, Commdlg.dll must be in your Microsoft Windows SYSTEM directory.

You use the CommonDialog control in your application by adding it to a form and setting its properties. The dialog displayed by the control is determined by the methods of the control. At run time, a dialog box is displayed or the help engine is executed, when the appropriate method is invoked; at design time, the CommonDialog control is displayed as an icon on a form. This icon can't be sized.

See Also

CommonDialog Members


%%PageItemTitle%% $$Members$$

CommonDialog Overview

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialog Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method GetNextFileName | Returns a sting that contains all of the file names selected in the Open File Dialog if the Multiselect option was set.
Public Method ShowBrowseFolder | Displays a directory chooser dialog.
Public Method ShowColor | Displays the CommonDialog control's Color dialog box.
Public Method ShowFont | Displays the CommonDialog control's Font dialog box.
Public Method ShowHelp | Runs Winhlp32.exe and displays the Help file you specify.
Public Method ShowOpen | Displays the CommonDialog control's Open dialog box.
Public Method ShowPrinter | Displays the CommonDialog control's Printer dialog box.
Public Method ShowSave | Displays the CommonDialog control's Save As dialog box.
Public Method ShowTipOfTheDay | Displays a Tip of the Day dialog.
Public Method ShowWindowList | Opens a Window List dialog.

Public Properties

Public Property CancelError | Returns or sets a value indicating whether an error is generated when the user chooses the Cancel button.
Public Property Color | Returns or sets the selected color.
Public Property Copies | Returns or sets a value that determines the number of copies to be printed.
Public Property DefaultExt | Returns or sets the default filename extension for the dialog box.
Public Property DialogStyle | Gets or sets whether the dialog is a standard or extended dialog.
Public Property DialogTitle | Returns or sets the string displayed in the title bar of the dialog box.
Public Property FileName | Returns or sets the path and filename of a selected file.
Public Property FileTitle | Returns the name (without the path) of the file to open or save.
Public Property Filter | Returns or sets the filters that are displayed in the Type list box of a dialog box.
Public Property FilterIndex | Returns or sets a default filter for an Open or Save As dialog box.
Public Property Flags | Gets or set the flags used to modify the different types of dialogs that can be shown.
Public Property Font | Gets the Font selected from the Font Dialog or sets the Font that will be set when the Font Dialog is first opened.
Public Property FromPage | Gets or sets the page number of the first page to print.
Public Property hDC | Handle to the CommonDialog control.
Public Property HelpCommand | Returns or sets the type of online Help requested.
Public Property HelpContext | Returns or sets the context ID of the requested Help topic.
Public Property HelpFile Specifies the path and filename of a Help file used by your application to display Help or online documentation.

Or specifies the path of the tip file for the Tip of the Day dialog.

Public Property HelpKey | Returns or sets the keyword that identifies the requested Help topic.
Public Property InitDir | Returns or sets the initial file directory.
Public Property Max | Gets or sets the maximum FromPage or ToPage that can be selected in a Print Dialog.
Public Property MaxFileSize | Returns or sets the maximum size of the filename opened using the CommonDialog control.
Public Property Min | Gets or sets the minimum FromPage or ToPage that can be selected in a Print Dialog.
Public Property ParentHwnd | Handle to the parent control from which the dialog is displayed.
Public Property ProfileName | Registry entry used by ShowTipOfTheDay to store the last shown tip and by ShowWindowList to display the last window positions.
Public Property RegistryKey | Registry key used by ShowTipOfTheDay to store the last shown tip and by ShowWindowList to display the last window positions.
Public Property ToPage | Gets or sets the number of the last page to print.

See Also

CommonDialog Overview


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

GetNextFileName Method

Description

Returns a sting that contains all of the file names selected in the Open File Dialog if the Multiselect option was set.

Syntax

Public Function GetNextFileName() As String

Return Type

Returns a sting that contains all of the file names selected in the Open File Dialog if the Multiselect option was set.

Remarks

The GetNextFileName method is used to loop through the string of file names that were selected in the Open File Dialog if the Multiselect option was set.

Example

[GetNextFileName Sample (Visual Basic)] This sample illustrates how to loop files list selected from the Open File Dialog if Multiselect option was set.

CommonDialog2.FileName = ""
CommonDialog2.Flags = cdlOFNAllowMultiselect
CommonDialog2.ShowOpen

Dim FileName As String
FileName = CommonDialog2.FileName

Do
    Debug.Print FileName
    FileName = CommonDialog2.GetNextFileName
Loop While FileName <> ""

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | FileName Property | Flags Property | CommonDialogBrowseFolderConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ShowBrowseFolder Method

Description

Displays a directory chooser dialog.

Syntax

Public Function ShowBrowseFolder() As Long

Return Type

Returns whether the user pressed OK or Cancel.

Remarks

The selected directory will be stored in the FileName property.

To set the startup directory when the Browse Folder dialog is display you need to set the path in the FileName before you call ShowBrowseFolder.

The Flags property can be used to set additional options for the Browse Folder Dialog.

See Also

CommonDialog Control | FileName Property | Flags Property | CommonDialogBrowseFolderConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | CommonDialogColorConstants Enumeration | DialogStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowColor Method

Description

Displays the CommonDialog control's Color dialog box.

Syntax

Public Function ShowColor() As Long

Remarks

The DialogStyle property can be used to show an extended version of this dialog.

See Also

CommonDialog Control | CommonDialogColorConstants Enumeration | DialogStyle Property


%%PageItemTitle%%

CommonDialog Control | CommonDialogFontConstants Enumeration | Flags Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowFont Method

Description

Displays the CommonDialog control's Font dialog box.

Syntax

Public Function ShowFont() As Long

Remarks

Before you use the ShowFont method, you must set the Flags property of the CommonDialog control to one of the constants CommonDialogFontConstants value. If you don't set Flags, a message box is displayed advising you that "There are no fonts installed," and a run-time error occurs.

See Also

CommonDialog Control | CommonDialogFontConstants Enumeration | Flags Property


%%PageItemTitle%%

CommonDialog Control | HelpFile Property | HelpCommand Property | HelpContext Property | CommonDialogHelpConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ShowHelp Method

Description

Runs Winhlp32.exe and displays the Help file you specify.

Syntax

Public Function ShowHelp() As Long

Remarks

Before you use the ShowHelp method, you must set the HelpFile and HelpCommand properties of the CommonDialog control to one of their appropriate CommonDialogHelpConstants or values. Otherwise, Winhlp32.exe doesn't display the Help file.

See Also

CommonDialog Control | HelpFile Property | HelpCommand Property | HelpContext Property | CommonDialogHelpConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | CommonDialogFileOpenConstants Enumeration | DialogStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowOpen Method

Description

Displays the CommonDialog control's Open dialog box.

Syntax

Public Function ShowOpen() As Long

Remarks

The DialogStyle property can be used to show an extended version of this dialog.

See Also

CommonDialog Control | CommonDialogFileOpenConstants Enumeration | DialogStyle Property


%%PageItemTitle%%

CommonDialog Control | CommonDialogPrintDialogConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ShowPrinter Method

Description

Displays the CommonDialog control's Printer dialog box.

Syntax

Public Function ShowPrinter() As Long

See Also

CommonDialog Control | CommonDialogPrintDialogConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | DialogStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowSave Method

Description

Displays the CommonDialog control's Save As dialog box.

Syntax

Public Function ShowSave() As Long

Remarks

The DialogStyle property can be used to show an extended version of this dialog.

See Also

CommonDialog Control | DialogStyle Property


%%PageItemTitle%%

CommonDialog Control | HelpFile Property | ProfileName Property | RegistryKey Property

Startup
True to display the Tip of the Day window when the application first starts.
See Also Suite Pro Controls ActiveX Control v19.3

ShowTipOfTheDay Method

Description

Displays a Tip of the Day dialog.

Syntax

Public Function ShowTipOfTheDay( _
   ByVal Startup As Boolean _
) As Long

Parameters

Startup
True to display the Tip of the Day window when the application first starts.

Remarks

TipOfTheDay is used to create a Visual Studio(tm) style Tip Of The Day dialog. To use it, create a text file named "tips.txt" and place each tip on its own line in that file. Then set the HelpFile property to name and path to the "tips.txt" file. The tips will be displayed in the order in which they are added in the text file.

You must also set the ProfileName and RegistryKey properties before showing the tip dialog. These are registry entries that will remember the last tip displayed and whether to display the tip dialog at startup. It will show the next tip in the file instead of always starting from the beginning. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the tip window.

HelpFile must be set before calling ShowTipOfTheDay. Note that the ShowHelp method also uses this property and the file formats are different, so be sure to set it to the tip text file before calling.

See Also

CommonDialog Control | HelpFile Property | ProfileName Property | RegistryKey Property


%%PageItemTitle%%

CommonDialog Control | ProfileName Property | RegistryKey Property

hWndMDIClient
Handle to the MDI Client area that contains the windows to appear in the Window List.
See Also Suite Pro Controls ActiveX Control v19.3

ShowWindowList Method

Description

Opens a Window List dialog.

Syntax

Public Function ShowWindowList( _
   ByVal hWndMDIClient As Integer _
) As Long

Parameters

hWndMDIClient
Handle to the MDI Client area that contains the windows to appear in the Window List.

Remarks

ShowWindowList will list all of the open MDI children. The Window List dialog will allow you to Activate, Close, Tile, Select Active, etc. the currently open MDI child windows.

You must also set the ProfileName and RegistryKey properties before showing the Window List. These are registry entries that will remember the last position of the windows. It will restore the position of the open windows the next time a window from the Window List is opened. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the Window List.

See Also

CommonDialog Control | ProfileName Property | RegistryKey Property


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

CancelError Property

Description

Returns or sets a value indicating whether an error is generated when the user chooses the Cancel button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CancelError() As Boolean

Remarks

When this property is set to True, error number 32755 occurs whenever the user chooses the Cancel button.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | CommonDialogColorConstants Enumeration | CommonDialogFontConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Description

Returns or sets the selected color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

Remarks

For this property to return a color in a Color dialog box, the xtpCCRGBInit CommonDialogColorConstants must be set. In the Font dialog box, the xtpCFEffects flag must be set.

See Also

CommonDialog Control | CommonDialogColorConstants Enumeration | CommonDialogFontConstants Enumeration


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

Copies Property

Description

Returns or sets a value that determines the number of copies to be printed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Copies() As Long

Remarks

For the Print dialog box, this property returns the number of copies entered by the user in the Copies box. If the xtpPDUseDevModeCopies flag is set for the CommonDialog control, this property always returns 1.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | ShowOpen Method | ShowSave Method

See Also Suite Pro Controls ActiveX Control v19.3

DefaultExt Property

Description

Returns or sets the default filename extension for the dialog box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultExt() As String

Remarks

Use this property to specify a default filename extension, such as .txt or .doc.

When a file with no extension is saved, the extension specified by this property is automatically appended to the filename.

See Also

CommonDialog Control | ShowOpen Method | ShowSave Method


%%PageItemTitle%%

CommonDialog Control | ShowColor Method | ShowOpen Method | ShowSave Method

See Also Suite Pro Controls ActiveX Control v19.3

DialogStyle Property

Description

Gets or sets whether the dialog is a standard or extended dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DialogStyle() As Long

Remarks

Only the Open, Save and Color dialogs have an extended version.

See Also

CommonDialog Control | ShowColor Method | ShowOpen Method | ShowSave Method


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

DialogTitle Property

Description

Returns or sets the string displayed in the title bar of the dialog box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DialogTitle() As String

Remarks

Use this property to display the name of the dialog box in the title bar.

Note The CommonDialog control ignores the setting of the DialogTitle property when displaying the Color, Font, or Print dialog boxes.

The default title for an Open dialog box is Open; the default title for a Save As dialog box is Save As.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

FileName Property

Description

Returns or sets the path and filename of a selected file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileName() As String

Remarks

When you create the control at run time, the FileName property is set to a zero-length string (""), meaning no file is currently selected.

In the CommonDialog control, you can set the FileName property before opening a dialog box to set an initial filename.

Reading this property returns the currently selected filename from the list. If no file is selected, FileName returns a zero-length string.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | ShowOpen Method | CommonDialogFileOpenConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

FileTitle Property

Description

Returns the name (without the path) of the file to open or save.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FileTitle() As String

Remarks

When the user selects a file and clicks OK in the File dialog box, the FileTitle property takes a value that can then be used to open or save the selected file.

Note If the xtpOFNNoValidate flag is set, the FileTitle property won't return a value.

See Also

CommonDialog Control | ShowOpen Method | CommonDialogFileOpenConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | FilterIndex Property | ShowOpen Method | ShowSave Method

See Also Suite Pro Controls ActiveX Control v19.3

Filter Property

Description

Returns or sets the filters that are displayed in the Type list box of a dialog box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Filter() As String

Remarks

A filter specifies the type of files that are displayed in the dialog box's file list box. For example, selecting the filter *.txt displays all text files.

Use this property to provide the user with a list of filters that can be selected when the dialog box is displayed.

Use the pipe ( | ) symbol (ASCII 124) to separate the description and filter values. Don't include spaces before or after the pipe symbol, because these spaces will be displayed with the description and filter values.

The following code shows an example of a filter that enables the user to select text files or graphic files that include bitmaps and icons:

Text (*.txt)|*.txt|Pictures (*.bmp;*.ico)|*.bmp;*.ico

When you specify more than one filter for a dialog box, use the FilterIndex property to determine which filter is displayed as the default.

See Also

CommonDialog Control | FilterIndex Property | ShowOpen Method | ShowSave Method


%%PageItemTitle%%

CommonDialog Control | ShowSave Method | Filter Property

See Also Suite Pro Controls ActiveX Control v19.3

FilterIndex Property

Description

Returns or sets a default filter for an Open or Save As dialog box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FilterIndex() As Long

Remarks

This property specifies the default filter when you use the Filter property to specify filters for an Open or Save As dialog box.

The index for the first defined filter is 1.

See Also

CommonDialog Control | ShowSave Method | Filter Property


%%PageItemTitle%%

CommonDialog Control | ShowColor Method | ShowFont Method | ShowHelp Method | ShowOpen Method | ShowSave Method | CommonDialogColorConstants Enumeration | CommonDialogFileOpenConstants Enumeration | CommonDialogFontConstants Enumeration | CommonDialogHelpConstants Enumeration | ShowBrowseFolder Method | CommonDialogBrowseFolderConstants Enumeration | CommonDialogPrintDialogConstants Enumeration | ShowPrinter Method

See Also Suite Pro Controls ActiveX Control v19.3

Flags Property

Description

Gets or set the flags used to modify the different types of dialogs that can be shown.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

Remarks

The flags that are set depend on which dialog will be shown.

ShowColor uses the CommonDialogColorConstants flags.

ShowFont uses the CommonDialogFontConstants flags.

ShowHelp uses the CommonDialogHelpConstants flags.

ShowOpen uses the CommonDialogFileOpenConstants flags.

ShowSave uses the CommonDialogFileOpenConstants flags.

ShowBrowseFolder uses the CommonDialogBrowseFolderConstants flags.

ShowPrinter uses the CommonDialogPrintDialogConstants flags.

See Also

CommonDialog Control | ShowColor Method | ShowFont Method | ShowHelp Method | ShowOpen Method | ShowSave Method | CommonDialogColorConstants Enumeration | CommonDialogFileOpenConstants Enumeration | CommonDialogFontConstants Enumeration | CommonDialogHelpConstants Enumeration | ShowBrowseFolder Method | CommonDialogBrowseFolderConstants Enumeration | CommonDialogPrintDialogConstants Enumeration | ShowPrinter Method


%%PageItemTitle%%

CommonDialog Control | ShowFont Method

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets the Font selected from the Font Dialog or sets the Font that will be set when the Font Dialog is first opened.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

CommonDialog Control | ShowFont Method


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

FromPage Property

Description

Gets or sets the page number of the first page to print.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FromPage() As Long

Remarks

The FromPage and ToPage properties are used by the Print Dialog when the user selects a print range.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

hDC Property

Description

Handle to the CommonDialog control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hDC() As Long

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | HelpContext Property | HelpFile Property | HelpKey Property | ShowHelp Method | CommonDialogHelpConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

HelpCommand Property

Description

Returns or sets the type of online Help requested.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpCommand() As Long

Remarks

The constant xtpHelpContents doesn't work for Help files created with Microsoft Help Workshop Version 4.0X. Instead, you use the value &HB to get the same effect.

See Also

CommonDialog Control | HelpContext Property | HelpFile Property | HelpKey Property | ShowHelp Method | CommonDialogHelpConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | HelpCommand Property | CommonDialogHelpConstants Enumeration | ShowHelp Method

See Also Suite Pro Controls ActiveX Control v19.3

HelpContext Property

Description

Returns or sets the context ID of the requested Help topic.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpContext() As Long

Remarks

Use this property with the HelpCommand property (set HelpCommand = xtpHelpContext) to specify the Help topic to be displayed.

See Also

CommonDialog Control | HelpCommand Property | CommonDialogHelpConstants Enumeration | ShowHelp Method


%%PageItemTitle%%

CommonDialog Control | CommonDialogHelpConstants Enumeration | ShowHelp Method | HelpCommand Property | HelpContext Property | HelpKey Property | ShowTipOfTheDay Method

See Also Suite Pro Controls ActiveX Control v19.3

HelpFile Property

Description

Specifies the path and filename of a Help file used by your application to display Help or online documentation.

Or specifies the path of the tip file for the Tip of the Day dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpFile() As String

Remarks

If you've created a Help file for your application and set the application's HelpFile property, Visual Basic automatically calls Help when a user presses the F1 key. If there is a context number in the HelpContextID property for either the active control or the active form, Help displays a topic corresponding to the current Help context; otherwise it displays the main contents screen.

When displaying the Tip of the Day dialog the HelpFile property must be set to the name and path to the "tips.txt" file. The tips will be displayed in the order in which they are added in the text file. Then set the HelpFile property to name and path to the "tips.txt" file. The tips will be displayed in the order in which they are added in the text file. HelpFile must be set before calling ShowTipOfTheDay. Note that the ShowHelp method also uses this property and the file formats are different, so be sure to set it to the tip text file before calling.

See Also

CommonDialog Control | CommonDialogHelpConstants Enumeration | ShowHelp Method | HelpCommand Property | HelpContext Property | HelpKey Property | ShowTipOfTheDay Method


%%PageItemTitle%%

CommonDialog Control | ShowHelp Method | HelpCommand Property | CommonDialogHelpConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

HelpKey Property

Description

Returns or sets the keyword that identifies the requested Help topic.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HelpKey() As String

Remarks

Use this property with the HelpCommand property (set HelpCommand = xtpHelpKey) to specify the Help topic to be displayed.

See Also

CommonDialog Control | ShowHelp Method | HelpCommand Property | CommonDialogHelpConstants Enumeration


%%PageItemTitle%%

CommonDialog Control | ShowOpen Method | ShowSave Method

See Also Suite Pro Controls ActiveX Control v19.3

InitDir Property

Description

Returns or sets the initial file directory.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InitDir() As String

Remarks

This property is used to specify the initial directory for an Open or Save As dialog. If this property isn't specified, the current directory is used.

See Also

CommonDialog Control | ShowOpen Method | ShowSave Method


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

Max Property

Description

Gets or sets the maximum FromPage or ToPage that can be selected in a Print Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | ShowSave Method | ShowOpen Method | CommonDialogFileOpenConstants Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

MaxFileSize Property

Description

Returns or sets the maximum size of the filename opened using the CommonDialog control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxFileSize() As Long

Remarks

The MaxFileSize property allocates memory to store the actual names of the selected file or files. When using the xtpOFNAllowMultiselect flag, you may want to increase the size of the MaxFileSize property to allow enough memory for the selected file names.

See Also

CommonDialog Control | ShowSave Method | ShowOpen Method | CommonDialogFileOpenConstants Enumeration


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

Min Property

Description

Gets or sets the minimum FromPage or ToPage that can be selected in a Print Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

ParentHwnd Property

Description

Handle to the parent control from which the dialog is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ParentHwnd() As Integer

Remarks

Used to center dialog to the parent window.

See Also

CommonDialog Control


%%PageItemTitle%%

CommonDialog Control | RegistryKey Property | ShowTipOfTheDay Method | ShowWindowList Method

See Also Suite Pro Controls ActiveX Control v19.3

ProfileName Property

Description

Registry entry used by ShowTipOfTheDay to store the last shown tip and by ShowWindowList to display the last window positions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProfileName() As String

Remarks

When using ShowTipOfTheDay:

You must set the ProfileName and RegistryKey properties before showing the tip dialog. These are registry entries that will remember the last tip displayed and whether to display the tip dialog at startup. It will show the next tip in the file instead of always starting from the beginning. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the tip window.

When using ShowWindowList:

You must set the ProfileName and RegistryKey properties before showing the Window List. These are registry entries that will remember the last position of the windows. It will restore the position of the open windows the next time a window from the Window List is opened. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the Window List.

See Also

CommonDialog Control | RegistryKey Property | ShowTipOfTheDay Method | ShowWindowList Method


%%PageItemTitle%%

CommonDialog Control | ProfileName Property | ShowTipOfTheDay Method | ShowWindowList Method

See Also Suite Pro Controls ActiveX Control v19.3

RegistryKey Property

Description

Registry key used by ShowTipOfTheDay to store the last shown tip and by ShowWindowList to display the last window positions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RegistryKey() As String

Remarks

When using ShowTipOfTheDay:

You must set the ProfileName and RegistryKey properties before showing the tip dialog. These are registry entries that will remember the last tip displayed and whether to display the tip dialog at startup. It will show the next tip in the file instead of always starting from the beginning. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the tip window.

When using ShowWindowList:

You must set the ProfileName and RegistryKey properties before showing the Window List. These are registry entries that will remember the last position of the windows. It will restore the position of the open windows the next time a window from the Window List is opened. RegistryKey is the the CompanyName and ProfileName is like the entry. Both the properties can also be used by other methods so be use to set them right before displaying the Window List.

See Also

CommonDialog Control | ProfileName Property | ShowTipOfTheDay Method | ShowWindowList Method


%%PageItemTitle%%

CommonDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

ToPage Property

Description

Gets or sets the number of the last page to print.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToPage() As Long

Remarks

The FromPage and ToPage properties are used by the Print Dialog when the user selects a print range.

See Also

CommonDialog Control


%%PageItemTitle%%

DataObject Members

See Also Suite Pro Controls ActiveX Control v19.3

DataObject Object

Description

The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.

For a list of all members defined in this module, see DataObject members.

Object Model

Remarks

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

The Task Panel supports manual OLE drag and drop events.

See Also

DataObject Members


%%PageItemTitle%% $$Members$$

DataObject Overview

See Also Suite Pro Controls ActiveX Control v19.3

DataObject Object Members

Public Methods

Public Method Clear | Clears the content of the DataObject object.
Public Method GetData | Returns data from a DataObject object in the form of a variant.
Public Method GetFormat | Returns an boolean value indicating whether an item in the DataObject object matches a specified format.
Public Method SetData | Inserts data into a DataObject object using the specified data format.

Public Properties

Public Property Files Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Overview


%%PageItemTitle%%

DataObject Object

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Clears the content of the DataObject object.

Syntax

Public Sub Clear()

Remarks

This method is available only for component drag sources. If Clear is called from a component drop target, an error is generated.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Suite Pro Controls ActiveX Control v19.3

GetData Method

Description

Returns data from a DataObject object in the form of a variant.

Syntax

Public Function GetData( _
   ByVal Format As Long _
) As Variant

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)
See Also Suite Pro Controls ActiveX Control v19.3

GetFormat Method

Description

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

Public Function GetFormat( _
   ByVal Format As Long _
) As Boolean

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

Return Type

The GetFormat method returns True if an item in the DataObject object matches the specified format. Otherwise, it returns False.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Suite Pro Controls ActiveX Control v19.3

SetData Method

Description

Inserts data into a DataObject object using the specified data format.

Syntax

Public Sub SetData( _
   Optional ByVal vValue As Variant, _
   Optional ByVal Format As Variant _
)

Parameters

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

See Also Suite Pro Controls ActiveX Control v19.3

Files Property

Description

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Files() As DataObjectFiles

Remarks

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Object


%%PageItemTitle%%

DataObjectFiles Members

See Also Suite Pro Controls ActiveX Control v19.3

DataObjectFiles Collection

Description

A collection of strings which is the type of the Files property on the DataObject object.

For a list of all members defined in this module, see DataObjectFiles members.

Remarks

The DataObjectFiles collection is a collection of strings which represent a set of files which have been selected either through the GetData method, or through selection in an application such as the Windows Explorer.

See Also

DataObjectFiles Members


%%PageItemTitle%% $$Members$$

DataObjectFiles Overview

See Also Suite Pro Controls ActiveX Control v19.3

DataObjectFiles Collection Members

Public Properties

Public Property Count | Returns the number of objects in a collection.
Public Property Item | Collection of items.

See Also

DataObjectFiles Overview


%%PageItemTitle%%

DataObjectFiles Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Returns the number of objects in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DataObjectFiles Collection

Index
See Also Suite Pro Controls ActiveX Control v19.3

Item Property

Description

Collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As String

Parameters

Index

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DateTimePicker Members

See Also Suite Pro Controls ActiveX Control v19.3

DateTimePicker Control

Description

The DateTimePicker control enables you to provide a formatted date field that allows easy date selection. In addition, users can select a date from a dropdown calendar interface similar to the MonthView control.

For a list of all members defined in this module, see DateTimePicker members.

Object Model

Remarks

The DateTimePicker control, operates in two modes:

- Dropdown Calendar mode (default)  enables the user to display a dropdown calendar that can be used to select a date.
- Time Format mode  enables the user to select a field in the date display (i.e. the month, day, year, etc.) and press the up/down arrow to the right of the control to set its value.

The control can be navigated using either the keyboard or mouse. The drop-down calendar has two buttons that enable you to scroll months in and out of view.

See Also

DateTimePicker Members


%%PageItemTitle%% $$Members$$

DateTimePicker Overview

See Also Suite Pro Controls ActiveX Control v19.3

DateTimePicker Control Members

Public Methods

Public Method AboutBox Displays the about box for the control.

Public Properties

Public Property CheckBox | Returns or sets a value that determines if a check box is displayed to the left of the selected date.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property CustomFormat | Returns or sets a value that specifies the format used by the control when displaying date/time information.
Public Property Day | Returns or sets a value that specifies the current day number.
Public Property Enabled | Returns or sets a value that determines whether a form or control can respond to user-generated events.
Public Property Font | Gets or sets the font of the text displayed by the control.
Public Property Format | Gets or sets the format of the date and time displayed in the control.
Public Property Hour | Returns or sets a value that specifies the current hour that is displayed.
Public Property hWnd | Returns t he handle to this control.
Public Property MaxDate | Gets or sets the maximum date and time that can be selected in the control.
Public Property MinDate | Gets or sets the minimum date and time that can be selected in the control.
Public Property Minute | Returns or sets a value that specifies the current minute that is displayed.
Public Property Month | Returns or sets a value that specifies the current month.
Public Property ReCreateReparented
Public Property Second | Sets or returns the integer representing the currently displayed second.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UpDown | Gets or sets a value indicating whether a spin button control (also known as an up-down control) is used to adjust the date/time value.
Public Property Value | Gets or sets the date/time value assigned to the control.
Public Property Year | Returns or sets the currently displayed year.

Events

Public Event Change | Indicates the contents of a control or a property value have changed.
Public Event CloseUp | Occurs when the drop-down calendar is dismissed and disappears.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the date time picker.
Public Event DropDown | Occurs when the drop-down calendar is shown.
Public Event KeyDown |
Public Event ReCreated |

See Also

DateTimePicker Overview


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control.

Syntax

Public Sub AboutBox()

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

CheckBox Property

Description

Returns or sets a value that determines if a check box is displayed to the left of the selected date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CheckBox() As Boolean

Remarks

The check box allows the user to determine whether or not to set the date using the control. When the check box is empty, no date is selected.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control | Format Property

See Also Suite Pro Controls ActiveX Control v19.3

CustomFormat Property

Description

Returns or sets a value that specifies the format used by the control when displaying date/time information.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomFormat() As String

Remarks

The CustomFormat property acts as an input mask. To display a custom format, the Format property must be set to xtpPickerCustom.

You can add body text to the format string. For example, if you want the control to display the current date with the format "Today is:Friday July 25, 1997 Time: 8:34 AM", the CustomFormat string is "'Today is:' ddddMMMMdd, yyy ' Time: 'h:mtt". Body text must be enclosed in single quotation marks.

One of the custom format fields described above is a callback field. A callback field allows you to customize output by specifying certain parts of a format string as callback fields. To declare a callback field, you must include one or more 'X' characters (ASCII Code 88) anywhere in the body of the format string. Callback fields are displayed in left-to-right order.

When a new date is displayed in a format that includes one or more callback fields, the Format and FormatSize events are raised for each callback field. You can use the Format event to specify a custom response string, and the FormatSize event to determine the space needed to display the string. This behavior gives you complete control of how a callback field is displayed.

Each sequence of X's has a specific meaning. For example, X might mean "st/nd/rd/th" (for "1st" "2nd" "3rd" or "4th") and "XX" may mean "first" "second" "third" or "fourth". These fields do not format the user's text. They format the date into a displayable format.

See Also

DateTimePicker Control | Format Property


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Day Property

Description

Returns or sets a value that specifies the current day number.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Day() As Long

Remarks

The Day property can be set to any integer from 1 to 31.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Returns or sets a value that determines whether a form or control can respond to user-generated events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

The Enabled property allows forms and controls to be enabled or disabled at run time. For example, you can disable objects that don't apply to the current state of the application.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets or sets the font of the text displayed by the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control | CustomFormat Property | DateTimeFormat Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Format Property

Description

Gets or sets the format of the date and time displayed in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Format() As DateTimeFormat

Remarks

This property determines the date/time format the date is displayed in. The date/time format is based on the user's regional settings in their operating system.

The Format property must be set to xtpPickerCustom for the CustomFormat property to affect the formatting of the displayed date and time.

To display only time in a DateTimePicker, set the Format to xtpPickerTime, and the UpDown property to false.

See Also

DateTimePicker Control | CustomFormat Property | DateTimeFormat Enumeration


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Hour Property

Description

Returns or sets a value that specifies the current hour that is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Hour() As Long

Remarks

The Hour property can be any integer from 0 to 23.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Returns t he handle to this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control | MinDate Property

See Also Suite Pro Controls ActiveX Control v19.3

MaxDate Property

Description

Gets or sets the maximum date and time that can be selected in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxDate() As Date

See Also

DateTimePicker Control | MinDate Property


%%PageItemTitle%%

DateTimePicker Control | MaxDate Property

See Also Suite Pro Controls ActiveX Control v19.3

MinDate Property

Description

Gets or sets the minimum date and time that can be selected in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinDate() As Date

See Also

DateTimePicker Control | MaxDate Property


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Minute Property

Description

Returns or sets a value that specifies the current minute that is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Minute() As Long

Remarks

The Minute property can be any integer from 0 to 59.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Month Property

Description

Returns or sets a value that specifies the current month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Month() As Long

Remarks

The Month property can be set to any integer from 1 to 12.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Second Property

Description

Sets or returns the integer representing the currently displayed second.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Second() As Long

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control | Format Property

See Also Suite Pro Controls ActiveX Control v19.3

UpDown Property

Description

Gets or sets a value indicating whether a spin button control (also known as an up-down control) is used to adjust the date/time value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpDown() As Boolean

Remarks

When the UpDown property is set to true, a spin button control (also known as an up-down control), rather than a drop-down calendar, is used to adjust time values. The date and time can be adjusted by selecting each element individually and using the up and down buttons to change the value.

To display only time in a DateTimePicker, set the Format property to Time, and the UpDown property to false.

See Also

DateTimePicker Control | Format Property


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the date/time value assigned to the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is the default property of the control.

If the Value property has not been changed in code or by the user, it is set to the current date and time.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control | MinDate Property | MaxDate Property

See Also Suite Pro Controls ActiveX Control v19.3

Year Property

Description

Returns or sets the currently displayed year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Year() As Long

See Also

DateTimePicker Control | MinDate Property | MaxDate Property


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Indicates the contents of a control or a property value have changed.

Syntax

Public Event Change()

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

CloseUp Event

Description

Occurs when the drop-down calendar is dismissed and disappears.

Syntax

Public Event CloseUp()

Remarks

The CloseUp event can be used to respond to the user closing the drop-down calendar.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the date time picker.

Syntax

Public Event DblClick()

Remarks

Occurs when the user double-clicks an item in the date time picker with the left mouse button.

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

DropDown Event

Description

Occurs when the drop-down calendar is shown.

Syntax

Public Event DropDown()

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

KeyCode
Shift
See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Shift

See Also

DateTimePicker Control


%%PageItemTitle%%

DateTimePicker Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

DateTimePicker Control


%%PageItemTitle%%

FlatEdit Members | EditAlignment Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

FlatEdit Control

Description

Flat Edit control

For a list of all members defined in this module, see FlatEdit members.

Object Model

See Also

FlatEdit Members | EditAlignment Enumeration


%%PageItemTitle%% $$Members$$

FlatEdit Overview | EditAlignment Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

FlatEdit Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method OLEDrag | Causes a component to initiate an OLE drag/drop operation.
Public Method SetMask | Applies the specified Mask to data in the Text property.

Public Properties

Public Property Alignment | Gets or sets the alignment of text inside the Flat Edit control.
Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property FlatStyle | Gets or sets a value that determines whether the Flat Edit control will use the "Flat" style seen in many of the Microsoft Office products.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property HideSelection | Specifies whether the selection in the Flat Edit control is hidden when the control loses focus.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property IsValid | Checks to see if the text entered matched the specified Pattern.
Public Property Locked | Gets or sets whether a control can be edited.
Public Property MaskedText | Gets or Sets the masked text.
Public Property MaxLength | Gets or sets the maximum number of characters that can be entered in the edit control.
Public Property MultiLine | Gets or set a value that determines whether a control can accept multiple lines of text.
Public Property OLEDragMode | Returns or sets whether the component or the programmer handles an OLE drag/drop operation.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property PasswordChar | Gets or sets a value that determines whether characters typed by a user or placeholder characters are displayed in the Flat Edit control.
Public Property Pattern | Gets or sets the regular expression for the FlatEdit control.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property ScrollBars | Gets or sets a value indicating whether the Flat Edit control has vertical or horizontal scroll bars.
Public Property SelLength | Gets or sets the number of characters selected in the edit box.
Public Property SelStart | Gets\sets the starting point of text selected in the edit box.
Public Property SelText | Gets\sets the selected text within the edit control.
Public Property ShowBorder | Specifies whether to display a border around the edge of the control.
Public Property Text | Gets or sets the text contained in the control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UpdateBackColorOnAppearanceChange |
Public Property UpdateForeColorOnAppearanceChange |
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event Change | Occurs when the contents of the edit control have have changed.
Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the flat edit control.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLECompleteDrag | Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event OLEGiveFeedback | Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.
Public Event OLESetData | Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.
Public Event OLEStartDrag | Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.
Public Event ReCreated |

See Also

FlatEdit Overview | EditAlignment Enumeration


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDrag Method

Description

Causes a component to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the component"s OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control | MaskedText Property | Text Property

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal
Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

See Also Suite Pro Controls ActiveX Control v19.3

SetMask Method

Description

Applies the specified Mask to data in the Text property.

Syntax

Public Sub SetMask( _
   ByVal Mask As String, _
   ByVal Literal As String, _
   Optional ByVal Prompt As Variant _
)

Parameters

Mask

You can use any of these characters for defining your edit mask:

0 - Numeric (0-9)
9 - Numeric (0-9) or space (' ')
# - Numeric (0-9) or space (' ') or ('+') or ('-')
L - Alpha (a-Z)
? - Alpha (a-Z) or space (' ')
A - Alpha numeric (0-9 and a-Z)
a - Alpha numeric (0-9 and a-Z) or space (' ')
& - All print character only
H - Hex digit (0-9 and A-F)
X - Hex digit (0-9 and A-F) and space (' ')
> - Forces characters to upper case (A-Z)
< - Forces characters to lower case (a-z)

Any of these characters can be combined with additional characters to create a restrictive field for text entry. For example, if you wanted to display a prompt for a telephone number and wanted to restrict only numeric values, but wanted to display the area code inside of parentheses '(' and ')' then you could define your mask as:

Phone No: (000) 000-0000

Literal
Literal defines the prompt area of the mask where text entry is allowed. This should match the areas that you have already defined as mask fields. By default the prompt character is '_' .

Phone No: (___) ___-____

Prompt

This value is optional, but allows you to define default characters that you want displayed when the user presses the backspace key. This usually represents data that has been previously saved then restored. This makes it easy for the user to restore some or all of the default text displayed when the control was initialized. Again, this value should match the previously defined mask:

Phone No: (800) 555-1212

Example

[Masked Text Sample (Visual Basic)]

txtMaskedEdit.SetMask "Phone No: (000) 000-0000", "Phone No: (___) ___-____"

See Also

FlatEdit Control | MaskedText Property | Text Property


%%PageItemTitle%%

FlatEdit Control | EditAlignment Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Gets or sets the alignment of text inside the Flat Edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As EditAlignment

See Also

FlatEdit Control | EditAlignment Enumeration


%%PageItemTitle%%

FlatEdit Control | EditAppearanceStyle Enumeration | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles. The FlatEdit control in on the bottom left of the picture. Note that only the FlatEdit control uses the EditAppearanceStyle enumeration, all the other controls use the AppearanceStyle enumeration.

See Also

FlatEdit Control | EditAppearanceStyle Enumeration | AppearanceStyle Enumeration


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets or sets a value that determines whether the Flat Edit control will use the "Flat" style seen in many of the Microsoft Office products.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

HideSelection Property

Description

Specifies whether the selection in the Flat Edit control is hidden when the control loses focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control | Pattern Property

See Also Suite Pro Controls ActiveX Control v19.3

IsValid Property

Description

Checks to see if the text entered matched the specified Pattern.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsValid() As Boolean

See Also

FlatEdit Control | Pattern Property


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Locked Property

Description

Gets or sets whether a control can be edited.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

Remarks

This is similar to a "Read-Only" property in that text can be copied and selected, but not edited.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control | SetMask Method | Text Property

See Also Suite Pro Controls ActiveX Control v19.3

MaskedText Property

Description

Gets or Sets the masked text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskedText() As String

Remarks

Gets or Sets the actual text value for the Text property without the "edit mask" characters added by the SetMask method.

See Also

FlatEdit Control | SetMask Method | Text Property


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

MaxLength Property

Description

Gets or sets the maximum number of characters that can be entered in the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Long

Remarks

Use the MaxLength property to limit the number of characters a user can enter in a Flat Edit control. If text that exceeds the MaxLength property setting is assigned to a Flat Edit control from code, no error occurs; however, only the maximum number of characters is assigned to the Text property, and extra characters are truncated. Changing this property doesn't affect the current contents of a Flat Edit control but will affect any subsequent changes to the contents.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control | ScrollBars Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiLine Property

Description

Gets or set a value that determines whether a control can accept multiple lines of text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLine() As Boolean

Remarks

A multiple-line Flat Edit control wraps text as the user types text extending beyond the edit box.

You can also add scroll bars to larger Flat Edit controls using the ScrollBars property. If no horizontal scroll bar is specified, the text in a multiple-line Flat Edit control automatically wraps.

See Also

FlatEdit Control | ScrollBars Property


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragMode Property

Description

Returns or sets whether the component or the programmer handles an OLE drag/drop operation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDragMode() As OLEDragConstants

Remarks

When OLEDragMode is set to Manual, you must call the OLEDrag method to start dragging, which then triggers the OLEStartDrag event.

When OLEDragMode is set to Automatic, the source component fills the DataObject object with the data it contains and sets the Data parameter before initiating the OLEStartDrag event when the user attempts to drag out of the control. This gives you control over the drag/drop operation and allows you to intercede by adding other formats, or by overriding or disabling the automatic data and formats using the Clear or SetData methods.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

PasswordChar Property

Description

Gets or sets a value that determines whether characters typed by a user or placeholder characters are displayed in the Flat Edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PasswordChar() As String

Remarks

Use this property to create a password field edit box. Although you can use any character, most Windows-based applications use the asterisk (*).

This property doesn't affect the Text property. The text contains exactly what the user types or what was set from code. Set PasswordChar to a zero-length string (""), which is the default, to display the actual text.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Pattern Property

Description

Gets or sets the regular expression for the FlatEdit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Pattern() As String

Remarks

Pattern is a regexp string. FlatEdit will automatically mark text if it does not match the patten.

Special characters and sequences are used in writing patterns for regular expressions. The following table describes and gives an example of the characters and sequences that can be used.

Character | Description
\ | Marks the next character as either a special character or a literal. For example, "n" matches the character "n". "\n" matches a newline character. The sequence "\\" matches "\" and "\(" matches "(".
^ | Matches the beginning of input.
$ | Matches the end of input.
* | Matches the preceding character zero or more times. For example, "zo*" matches either "z" or "zoo".
+ | Matches the preceding character one or more times. For example, "zo+" matches "zoo" but not "z".
? | Matches the preceding character zero or one time. For example, "a?ve?" matches the "ve" in "never".
. | Matches any single character except a newline character.
(pattern) | Matches pattern and remembers the match. The matched substring can be retrieved from the resulting Matches collection, using Item [0]...[n]. To match parentheses characters ( ), use "\(" or "\)".
x|y | Matches either x or y. For example, "z|wood" matches "z" or "wood". "(z|w)oo" matches "zoo" or "wood".
{n} | n is a nonnegative integer. Matches exactly n times. For example, "o{2}" does not match the "o" in "Bob," but matches the first two o's in "foooood".
{n,} | n is a nonnegative integer. Matches at least n times. For example, "o{2,}" does not match the "o" in "Bob" and matches all the o's in "foooood." "o{1,}" is equivalent to "o+". "o{0,}" is equivalent to "o*".
{n,m} | m and n are nonnegative integers. Matches at least n and at most m times. For example, "o{1,3}" matches the first three o's in "fooooood." "o{0,1}" is equivalent to "o?".
[xyz] | A character set. Matches any one of the enclosed characters. For example, "[abc]" matches the "a" in "plain".
[^xyz] | A negative character set. Matches any character not enclosed. For example, "[^abc]" matches the "p" in "plain".
[a-z] | A range of characters. Matches any character in the specified range. For example, "[a-z]" matches any lowercase alphabetic character in the range "a" through "z".
[^m-z] | A negative range characters. Matches any character not in the specified range. For example, "[m-z]" matches any character not in the range "m" through "z".
\b | Matches a word boundary, that is, the position between a word and a space. For example, "er\b" matches the "er" in "never" but not the "er" in "verb".
\B | Matches a non-word boundary. "ea*r\B" matches the "ear" in "never early".
\d | Matches a digit character. Equivalent to [0-9].
\D | Matches a non-digit character. Equivalent to [^0-9].
\f | Matches a form-feed character.
\n | Matches a newline character.
\r | Matches a carriage return character.
\s | Matches any white space including space, tab, form-feed, etc. Equivalent to "[ \f\n\r\t\v]".
\S | Matches any nonwhite space character. Equivalent to "[^ \f\n\r\t\v]".
\t | Matches a tab character.
\v | Matches a vertical tab character.
\w | Matches any word character including underscore. Equivalent to "[A-Za-z0-9_]".
\W | Matches any non-word character. Equivalent to "[^A-Za-z0-9_]".
\num | Matches num, where num is a positive integer. A reference back to remembered matches. For example, "(.)\1" matches two consecutive identical characters.
\n | Matches n, where n is an octal escape value. Octal escape values must be 1, 2, or 3 digits long. For example, "\11" and "\011" both match a tab character. "\0011" is the equivalent of "\001" & "1". Octal escape values must not exceed 256. If they do, only the first two digits comprise the expression. Allows ASCII codes to be used in regular expressions.
\xn | Matches n, where n is a hexadecimal escape value. Hexadecimal escape values must be exactly two digits long. For example, "\x41" matches "A". "\x041" is equivalent to "\x04" & "1". Allows ASCII codes to be used in regular expressions

Example

[Pattern Example (Visual Basic)] This example shows how to allow only numbers in the flat edit control.

FlatEdit.Pattern = "\d*"

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control | EditScrollBars Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ScrollBars Property

Description

Gets or sets a value indicating whether the Flat Edit control has vertical or horizontal scroll bars.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBars() As EditScrollBars

See Also

FlatEdit Control | EditScrollBars Enumeration


%%PageItemTitle%%

FlatEdit Control | SelStart Property | SelText Property

See Also Suite Pro Controls ActiveX Control v19.3

SelLength Property

Description

Gets or sets the number of characters selected in the edit box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelLength() As Long

Remarks

You can use this property to determine if any characters are currently selected in the edit box control before performing operations on the selected text. You can also use this property to determine the total number of characters (including spaces) that are selected when performing single character tasks in a for loop.

See Also

FlatEdit Control | SelStart Property | SelText Property


%%PageItemTitle%%

FlatEdit Control | SelLength Property | SelText Property

See Also Suite Pro Controls ActiveX Control v19.3

SelStart Property

Description

Gets\sets the starting point of text selected in the edit box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelStart() As Long

Remarks

If no text is selected in the control, this property indicates the insertion point for new text. If you set this property to a location beyond the length of the text in the control, the selection start position will be placed after the last character. When text is selected in the text box control, changing this property might decrease the value of the SelLength property. If the remaining text in the control after the position indicated by the SelStart property is less than the value of the SelLength property, the value of the SelLength property is automatically decreased. The value of the SelStart property never causes an increase in the SelLength property.

See Also

FlatEdit Control | SelLength Property | SelText Property


%%PageItemTitle%%

FlatEdit Control | SelLength Property | SelStart Property

See Also Suite Pro Controls ActiveX Control v19.3

SelText Property

Description

Gets\sets the selected text within the edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelText() As String

See Also

FlatEdit Control | SelLength Property | SelStart Property


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to display a border around the edge of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text contained in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateBackColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateBackColorOnAppearanceChange() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateForeColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateForeColorOnAppearanceChange() As Boolean

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Occurs when the contents of the edit control have have changed.

Syntax

Public Event Change()

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the flat edit control.

Syntax

Public Event DblClick()

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
See Also Suite Pro Controls ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
DefaultCursors
Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.
See Also Suite Pro Controls ActiveX Control v19.3

OLEGiveFeedback Event

Description

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Public Event OLEGiveFeedback( _
   ByRef Effect As Long, _
   ByRef DefaultCursors As Boolean _
)

Parameters

Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
DefaultCursors
Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
DataFormat
An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.
See Also Suite Pro Controls ActiveX Control v19.3

OLESetData Event

Description

Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.

Syntax

Public Event OLESetData( _
   ByVal Data As DataObject, _
   ByRef DataFormat As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
DataFormat
An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

Remarks

This event allows the source to respond to only one request for a given format of data. When this event is called, the source should check the format parameter to determine what needs to be loaded and then perform the SetData method on the DataObject object to load the data which is then passed back to the target component.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The StartDrag event also occurs if the component"s OLEDragMode property is set to Automatic. This allows you to add formats and data to the DataObject object after the component has done so. You can also override the default behavior of the component by clearing the DataObject object (using the Clear method) and then adding your data and formats.

See Also

FlatEdit Control


%%PageItemTitle%%

FlatEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

FlatEdit Control


%%PageItemTitle%%

FormExtender Members

See Also Suite Pro Controls ActiveX Control v19.3

FormExtender Control

Description

Extends the functionality of a standard form by adding additional properties.

For a list of all members defined in this module, see FormExtender members.

Remarks

Simply add the FormExtender control to the form you wish to extend functionality, then set the properties of the control.

See Also

FormExtender Members


%%PageItemTitle%% $$Members$$

FormExtender Overview

See Also Suite Pro Controls ActiveX Control v19.3

FormExtender Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method RestorePlacement | Restores the position\size of the form from the specified registry key.
Public Method SavePlacement | Saves the position\size of the form to the specified registry key.

Public Properties

Public Property AllowDragClient | Specifies whether the form can be dragged\moved by clicking anywhere on the form or caption.
Public Property Caption | Caption of the form, this allows a Unicode caption to be used for the form.
Public Property ClientMaxHeight | Gets or sets the maximum height the form can be resized to.
Public Property ClientMaxWidth | Gets or sets the maximum width the form can be resized to.
Public Property ClientMinHeight | Gets or sets the minimum height the form can be resized to.
Public Property ClientMinWidth | Gets or sets the minimum width the form can be resized to.
Public Property Closable | Allows the forms close button to be enabled or disabled at runtime.
Public Property ReCreateReparented |
Public Property Region | Allows a non rectangle region to be set for form.
Public Property TopMost | Gets or sets a value indicating whether the form should be displayed as a topmost form.
Public Property Transparency | Gets or sets a value that indicates the transparency value of the form.

Events

Public Event ReCreated

See Also

FormExtender Overview


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

RegistryKey
Name of key.
AppName
Application name.
Section
Section to restore session from.
See Also Suite Pro Controls ActiveX Control v19.3

RestorePlacement Method

Description

Restores the position\size of the form from the specified registry key.

Syntax

Public Sub RestorePlacement( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
Name of key.
AppName
Application name.
Section
Section to restore session from.

Remarks

The placement will be restored from the the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "YourAppPosition" + Section.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

RegistryKey
Name of key.
AppName
Application name.
Section
Section to store session in.
See Also Suite Pro Controls ActiveX Control v19.3

SavePlacement Method

Description

Saves the position\size of the form to the specified registry key.

Syntax

Public Sub SavePlacement( _
   ByVal RegistryKey As String, _
   ByVal AppName As String, _
   ByVal Section As String _
)

Parameters

RegistryKey
Name of key.
AppName
Application name.
Section
Section to store session in.

Remarks

The placement will be saved to the registry key path built from the RegistryKey, AppName and Section parameters as follows :

HKEY_CURRENT_USER\Software\ + RegistryKey + AppName + "YourAppPosition" + Section.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

AllowDragClient Property

Description

Specifies whether the form can be dragged\moved by clicking anywhere on the form or caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDragClient() As Boolean

Remarks

This is very useful for forms such as an About Box or Splash screen where the user can simply click and drag the form to the desired location.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Caption of the form, this allows a Unicode caption to be used for the form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

Remarks

Allows a Unicode text caption for the form.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientMaxHeight Property

Description

Gets or sets the maximum height the form can be resized to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMaxHeight() As Long

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientMaxWidth Property

Description

Gets or sets the maximum width the form can be resized to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMaxWidth() As Long

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientMinHeight Property

Description

Gets or sets the minimum height the form can be resized to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMinHeight() As Long

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientMinWidth Property

Description

Gets or sets the minimum width the form can be resized to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMinWidth() As Long

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

Closable Property

Description

Allows the forms close button to be enabled or disabled at runtime.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closable() As Boolean

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

Region Property

Description

Allows a non rectangle region to be set for form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Region() As Picture

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

TopMost Property

Description

Gets or sets a value indicating whether the form should be displayed as a topmost form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopMost() As Boolean

Remarks

A topmost form is a form that overlaps all the other (non-topmost) forms even if it is not the active or foreground form. Topmost forms are always displayed at the highest point in the z-order of the windows on the desktop. You can use this property to create a form that is always displayed in your application.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparency Property

Description

Gets or sets a value that indicates the transparency value of the form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Long

Remarks

The value for the transparency can range from totally opaque (0), to totally transparent (255). The default value is 0, opaque.

See Also

FormExtender Control


%%PageItemTitle%%

FormExtender Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

FormExtender Control


%%PageItemTitle%%

FrameShadow Members

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadow Object

For a list of all members defined in this module, see FrameShadow members.

See Also

FrameShadow Members


%%PageItemTitle%% $$Members$$

FrameShadow Overview

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadow Object Members

Public Methods

Public Method FreezeUpdates
Public Method Hide
Public Method SetBlendingOptions
Public Method Show
Public Method UpdatePosition

Public Properties

Public Property BlendingFactors
Public Property BlendingPositions
Public Property ClipOwner
Public Property Color
Public Property InnerSize
Public Property OffsetX
Public Property OffsetY
Public Property OuterSize
Public Property Owner
Public Property Transparency

See Also

FrameShadow Overview


%%PageItemTitle%%

FrameShadow Object

freeze
See Also Suite Pro Controls ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Hide Method

Syntax

Public Sub Hide()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetBlendingOptions Method

Syntax

Public Sub SetBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Show Method

Syntax

Public Sub Show()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

UpdatePosition Method

Syntax

Public Sub UpdatePosition()

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

BlendingFactors Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingFactors() As Variant

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

BlendingPositions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingPositions() As Variant

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

ClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipOwner() As Boolean

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

InnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property InnerSize() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetX() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetY() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OuterSize() As Long

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Owner Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Owner() As Integer

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Transparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

See Also

FrameShadow Object


%%PageItemTitle%%

FrameShadowManager Members

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadowManager Object

For a list of all members defined in this module, see FrameShadowManager members.

Object Model

See Also

FrameShadowManager Members


%%PageItemTitle%% $$Members$$

FrameShadowManager Overview

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadowManager Object Members

Public Methods

Public Method DisableShadow
Public Method EnableShadow
Public Method FreezeUpdates
Public Method GetShadow
Public Method IsShadowEnabled
Public Method SetDefaultBlendingOptions
Public Method SetGlobalBlendingOptions
Public Method SetGlobalClipOwner
Public Method SetGlobalColor
Public Method SetGlobalInnerSize
Public Method SetGlobalOffset
Public Method SetGlobalOuterSize
Public Method SetGlobalTransparency

Public Properties

Public Property DefaultBlendingFactors
Public Property DefaultBlendingPositions
Public Property DefaultClipOwner
Public Property DefaultColor
Public Property DefaultInnerSize
Public Property DefaultOffsetX
Public Property DefaultOffsetY
Public Property DefaultOuterSize
Public Property DefaultTransparency
Public Property Flags
Public Property FrameShadows
Public Property IsShadowSupported

See Also

FrameShadowManager Overview


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

DisableShadow Method

Syntax

Public Sub DisableShadow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency
See Also Suite Pro Controls ActiveX Control v19.3

EnableShadow Method

Syntax

Public Function EnableShadow( _
   ByVal hWnd As Integer, _
   ByVal Color As ULong, _
   ByVal OuterSize As Long, _
   ByVal InnerSize As Long, _
   Optional ByVal xOffset As Long = 0, _
   Optional ByVal yOffset As Long = 0, _
   Optional ByVal Transparency As Integer = 0 _
) As FrameShadow

Parameters

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

freeze
See Also Suite Pro Controls ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

GetShadow Method

Syntax

Public Function GetShadow( _
   ByVal hWnd As Integer _
) As FrameShadow

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

IsShadowEnabled Method

Syntax

Public Function IsShadowEnabled( _
   ByVal hWnd As Integer _
) As Boolean

Parameters

hWnd

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetDefaultBlendingOptions Method

Syntax

Public Sub SetDefaultBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalBlendingOptions Method

Syntax

Public Sub SetGlobalBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

clip
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalClipOwner Method

Syntax

Public Sub SetGlobalClipOwner( _
   ByVal clip As Boolean _
)

Parameters

clip

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

Color
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalColor Method

Syntax

Public Sub SetGlobalColor( _
   ByVal Color As ULong _
)

Parameters

Color

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

size
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalInnerSize Method

Syntax

Public Sub SetGlobalInnerSize( _
   ByVal size As Long _
)

Parameters

size

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

OffsetX
OffsetY
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalOffset Method

Syntax

Public Sub SetGlobalOffset( _
   ByVal OffsetX As Long, _
   ByVal OffsetY As Long _
)

Parameters

OffsetX
OffsetY

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

size
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalOuterSize Method

Syntax

Public Sub SetGlobalOuterSize( _
   ByVal size As Long _
)

Parameters

size

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

Transparency
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalTransparency Method

Syntax

Public Sub SetGlobalTransparency( _
   ByVal Transparency As Integer _
)

Parameters

Transparency

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultBlendingFactors Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingFactors() As Variant

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultBlendingPositions Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingPositions() As Variant

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultClipOwner() As Boolean

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultColor() As ULong

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultInnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultInnerSize() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetX() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetY() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOuterSize() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTransparency() As Integer

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Flags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadows Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadows() As FrameShadows

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

IsShadowSupported Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsShadowSupported() As Boolean

See Also

FrameShadowManager Object


%%PageItemTitle%%

FrameShadows Members

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadows Collection

For a list of all members defined in this module, see FrameShadows members.

See Also

FrameShadows Members


%%PageItemTitle%% $$Members$$

FrameShadows Overview

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadows Collection Members

See Also

FrameShadows Overview


%%PageItemTitle%%

GroupBox Members

See Also Suite Pro Controls ActiveX Control v19.3

GroupBox Control

Description

Group Box control

For a list of all members defined in this module, see GroupBox members.

See Also

GroupBox Members


%%PageItemTitle%% $$Members$$

GroupBox Overview

See Also Suite Pro Controls ActiveX Control v19.3

GroupBox Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property BorderStyle | Gets or sets the border style of the Group Box control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |

See Also

GroupBox Overview


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

GroupBox Control | AppearanceStyle Enumeration


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control | GroupBoxBorderStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

BorderStyle Property

Description

Gets or sets the border style of the Group Box control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As GroupBoxBorderStyle

Remarks

There are 3 different border styles for the GroupBox which are single line with caption, complete border with caption and no boarder or caption. The group border style is specified with a value from the GroupBoxBorderStyle enumeration specifying the currently set border style

See Also

GroupBox Control | GroupBoxBorderStyle Enumeration


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

GroupBox Control


%%PageItemTitle%%

GroupBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

GroupBox Control


%%PageItemTitle%%

HexEdit Members

See Also Suite Pro Controls ActiveX Control v19.3

HexEdit Control

Description

A hex edit control.

For a list of all members defined in this module, see HexEdit members.

Remarks

The HexEdit control is used to create an edit control which will allow editing in hex display format.

See Also

HexEdit Members


%%PageItemTitle%% $$Members$$

HexEdit Overview

See Also Suite Pro Controls ActiveX Control v19.3

HexEdit Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method GetData | Extracts the data in the hex edit control.
Public Method SetData | Initialize the hex edit control with data specified by the 'Data' parameter.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets background color of the hex edit control.
Public Property BytePerRow | Gets or sets the number of bytes per row displayed int he hex edit control.
Public Property Enabled | Enables or disables the control.
Public Property ForeColor | Gets or sets the text color of the hex edit control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property Length | Gets the length of the data displayed in the hex editor.
Public Property Locked | Gets or sets whether the hex edit control is read only.
Public Property MaxLength | Gets or sets the maximum size of the data that can be displayed in the hex edit control.
Public Property ReCreateReparented |
Public Property ShowAddress | Gets or sets whether to display the address values of the data in the hex editor.
Public Property ShowAscii | Gets or sets whether to display the ASCII values of the data in the hex editor.
Public Property ShowBorder | Specifies whether to display a border around the edge of the control.
Public Property ShowHex | Gets or sets whether to display the hex values of the data in the hex editor.
Public Property UpdateBackColorOnAppearanceChange |
Public Property UpdateForeColorOnAppearanceChange |
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property WideAddress | Gets or sets whether to display 8 byte or 4 byte address values of the data in the hex editor.

Events

Public Event ReCreated

See Also

HexEdit Overview


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control | SetData Method

See Also Suite Pro Controls ActiveX Control v19.3

GetData Method

Description

Extracts the data in the hex edit control.

Syntax

Public Function GetData() As Variant

Return Type

The length of the data.

See Also

HexEdit Control | SetData Method


%%PageItemTitle%%

HexEdit Control | GetData Method

Data
Pointer to a buffer (i.e. String variable) that contains the initial data for the control.
See Also Suite Pro Controls ActiveX Control v19.3

SetData Method

Description

Initialize the hex edit control with data specified by the 'Data' parameter.

Syntax

Public Sub SetData( _
   ByVal Data As Variant _
)

Parameters

Data
Pointer to a buffer (i.e. String variable) that contains the initial data for the control.

Example

[Hex Edit Sample (Visual Basic)] This sample shows how to add text to the hext edit control and how to specify how many characters can be typed into the control.

    Dim Data(0 To 120) As Byte
    Data(0) = Asc("A")
    Data(100) = Asc("B")

    Dim DataStr As String
    DataStr = "This is some test data for HexEdit without any special meaning. " _
        & "You can type 10 characters past the end."

    'HexEdit.SetData Data
    HexEdit.SetData DataStr

    HexEdit.MaxLength = Len(DataStr) + 10

See Also

HexEdit Control | GetData Method


%%PageItemTitle%%

HexEdit Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

HexEdit Control | AppearanceStyle Enumeration


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets background color of the hex edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

BytePerRow Property

Description

Gets or sets the number of bytes per row displayed int he hex edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BytePerRow() As Long

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Enables or disables the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the text color of the hex edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Length Property

Description

Gets the length of the data displayed in the hex editor.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Length() As Long

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

Locked Property

Description

Gets or sets whether the hex edit control is read only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Locked() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

MaxLength Property

Description

Gets or sets the maximum size of the data that can be displayed in the hex edit control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxLength() As Long

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowAddress Property

Description

Gets or sets whether to display the address values of the data in the hex editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAddress() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowAscii Property

Description

Gets or sets whether to display the ASCII values of the data in the hex editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowAscii() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to display a border around the edge of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowHex Property

Description

Gets or sets whether to display the hex values of the data in the hex editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowHex() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateBackColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateBackColorOnAppearanceChange() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateForeColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateForeColorOnAppearanceChange() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

WideAddress Property

Description

Gets or sets whether to display 8 byte or 4 byte address values of the data in the hex editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WideAddress() As Boolean

See Also

HexEdit Control


%%PageItemTitle%%

HexEdit Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

HexEdit Control


%%PageItemTitle%%

IFrameShadow Members

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadow Object

For a list of all members defined in this module, see IFrameShadow members.

See Also

IFrameShadow Members


%%PageItemTitle%% $$Members$$

IFrameShadow Overview

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadow Object Members

Public Methods

Public Method FreezeUpdates
Public Method Hide
Public Method SetBlendingOptions
Public Method Show
Public Method UpdatePosition

Public Properties

Public Property BlendingFactors
Public Property BlendingPositions
Public Property ClipOwner
Public Property Color
Public Property InnerSize
Public Property OffsetX
Public Property OffsetY
Public Property OuterSize
Public Property Owner
Public Property Transparency

See Also

IFrameShadow Overview


%%PageItemTitle%%

IFrameShadow Object

freeze
See Also Suite Pro Controls ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Hide Method

Syntax

Public Sub Hide()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetBlendingOptions Method

Syntax

Public Sub SetBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Show Method

Syntax

Public Sub Show()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

UpdatePosition Method

Syntax

Public Sub UpdatePosition()

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

BlendingFactors Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingFactors() As Variant

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

BlendingPositions Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlendingPositions() As Variant

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

ClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClipOwner() As Boolean

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

InnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property InnerSize() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetX() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OffsetY() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

OuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property OuterSize() As Long

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Owner Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Owner() As Integer

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadow Object

See Also Suite Pro Controls ActiveX Control v19.3

Transparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Integer

See Also

IFrameShadow Object


%%PageItemTitle%%

IFrameShadowManager Members

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadowManager Object

For a list of all members defined in this module, see IFrameShadowManager members.

Object Model

See Also

IFrameShadowManager Members


%%PageItemTitle%% $$Members$$

IFrameShadowManager Overview

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadowManager Object Members

Public Methods

Public Method DisableShadow
Public Method EnableShadow
Public Method FreezeUpdates
Public Method GetShadow
Public Method IsShadowEnabled
Public Method SetDefaultBlendingOptions
Public Method SetGlobalBlendingOptions
Public Method SetGlobalClipOwner
Public Method SetGlobalColor
Public Method SetGlobalInnerSize
Public Method SetGlobalOffset
Public Method SetGlobalOuterSize
Public Method SetGlobalTransparency

Public Properties

Public Property DefaultBlendingFactors
Public Property DefaultBlendingPositions
Public Property DefaultClipOwner
Public Property DefaultColor
Public Property DefaultInnerSize
Public Property DefaultOffsetX
Public Property DefaultOffsetY
Public Property DefaultOuterSize
Public Property DefaultTransparency
Public Property Flags
Public Property FrameShadows
Public Property IsShadowSupported

See Also

IFrameShadowManager Overview


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

DisableShadow Method

Syntax

Public Sub DisableShadow( _
   ByVal hWnd As Integer _
)

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency
See Also Suite Pro Controls ActiveX Control v19.3

EnableShadow Method

Syntax

Public Function EnableShadow( _
   ByVal hWnd As Integer, _
   ByVal Color As ULong, _
   ByVal OuterSize As Long, _
   ByVal InnerSize As Long, _
   Optional ByVal xOffset As Long = 0, _
   Optional ByVal yOffset As Long = 0, _
   Optional ByVal Transparency As Integer = 0 _
) As FrameShadow

Parameters

hWnd
Color
OuterSize
InnerSize
xOffset
yOffset
Transparency

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

freeze
See Also Suite Pro Controls ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates( _
   ByVal freeze As Boolean _
)

Parameters

freeze

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

GetShadow Method

Syntax

Public Function GetShadow( _
   ByVal hWnd As Integer _
) As FrameShadow

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

hWnd
See Also Suite Pro Controls ActiveX Control v19.3

IsShadowEnabled Method

Syntax

Public Function IsShadowEnabled( _
   ByVal hWnd As Integer _
) As Boolean

Parameters

hWnd

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetDefaultBlendingOptions Method

Syntax

Public Sub SetDefaultBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

factors
positions
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalBlendingOptions Method

Syntax

Public Sub SetGlobalBlendingOptions( _
   ByVal factors As Variant, _
   ByVal positions As Variant _
)

Parameters

factors
positions

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

clip
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalClipOwner Method

Syntax

Public Sub SetGlobalClipOwner( _
   ByVal clip As Boolean _
)

Parameters

clip

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

Color
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalColor Method

Syntax

Public Sub SetGlobalColor( _
   ByVal Color As ULong _
)

Parameters

Color

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

size
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalInnerSize Method

Syntax

Public Sub SetGlobalInnerSize( _
   ByVal size As Long _
)

Parameters

size

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

OffsetX
OffsetY
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalOffset Method

Syntax

Public Sub SetGlobalOffset( _
   ByVal OffsetX As Long, _
   ByVal OffsetY As Long _
)

Parameters

OffsetX
OffsetY

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

size
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalOuterSize Method

Syntax

Public Sub SetGlobalOuterSize( _
   ByVal size As Long _
)

Parameters

size

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

Transparency
See Also Suite Pro Controls ActiveX Control v19.3

SetGlobalTransparency Method

Syntax

Public Sub SetGlobalTransparency( _
   ByVal Transparency As Integer _
)

Parameters

Transparency

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultBlendingFactors Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingFactors() As Variant

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultBlendingPositions Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property DefaultBlendingPositions() As Variant

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultClipOwner Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultClipOwner() As Boolean

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultColor() As ULong

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultInnerSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultInnerSize() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOffsetX Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetX() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOffsetY Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOffsetY() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultOuterSize Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultOuterSize() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultTransparency Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTransparency() As Integer

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Flags Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Flags() As Long

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadows Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadows() As FrameShadows

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadowManager Object

See Also Suite Pro Controls ActiveX Control v19.3

IsShadowSupported Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsShadowSupported() As Boolean

See Also

IFrameShadowManager Object


%%PageItemTitle%%

IFrameShadows Members

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadows Collection

For a list of all members defined in this module, see IFrameShadows members.

See Also

IFrameShadows Members


%%PageItemTitle%% $$Members$$

IFrameShadows Overview

See Also Suite Pro Controls ActiveX Control v19.3

IFrameShadows Collection Members

See Also

IFrameShadows Overview


%%PageItemTitle%%

ImageManagerIcon Members | PopupControl Icons Property | TabControl Icons Property | GetImage Method | Draw Method

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | PopupControl Icons Property | TabControl Icons Property | GetImage Method | Draw Method


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | PopupControl Icons Property | TabControl Icons Property | GetImage Method | Draw Method

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | PopupControl Icons Property | TabControl Icons Property | GetImage Method | Draw Method


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Suite Pro Controls ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Suite Pro Controls ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Suite Pro Controls ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

Return Type

New ImageManagerIcon scaled to the specified width.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Suite Pro Controls ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Suite Pro Controls ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Suite Pro Controls ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | TabControl Icons Property | PopupControl Icons Property | GetImage Method

See Also Suite Pro Controls ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | TabControl Icons Property | PopupControl Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | GetImage Method | ImageManagerIcons Object | TabControl Icons Property | Popup Control Icons Property

See Also Suite Pro Controls ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | GetImage Method | ImageManagerIcons Object | TabControl Icons Property | Popup Control Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the ShortcutBar and TaskPanel controls.

If the SetImageList method is used, the icons will be added the the collection of icons. These icons will be added in the order they appear in the ImageList control.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Loads an Alpha bitmap from resource file.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the collection of images.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Suite Pro Controls ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Suite Pro Controls ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Suite Pro Controls ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | PopupControl Icons Property | TabControl Icons Property | Scaled Property | ImageManagerIcon Object

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Suite Pro Controls ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | PopupControl Icons Property | TabControl Icons Property | Scaled Property | ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value.

NOTE: You will need to include the bitmap file with your application(exe) if this method is used.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
Handle to the instance of the module whose executable file contains the bitmap to be loaded.
Resource
Long pointer to a null-terminated string that contains the name of the bitmap resource to be loaded.
Commands
Determines if bitmap contained alpha layer.
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Loads an Alpha bitmap from resource file.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module
Handle to the instance of the module whose executable file contains the bitmap to be loaded.
Resource
Long pointer to a null-terminated string that contains the name of the bitmap resource to be loaded.
Commands
Determines if bitmap contained alpha layer.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Return Type

Alpha bitmap handler.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Suite Pro Controls ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Suite Pro Controls ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Suite Pro Controls ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

The number of icons in the collection of images.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Use this property to determine how many images are in the collection of icons. This will tell you how many icons are available.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Suite Pro Controls ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Suite Pro Controls ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Suite Pro Controls ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Suite Pro Controls ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Suite Pro Controls ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Suite Pro Controls ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Suite Pro Controls ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Suite Pro Controls ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

ITagCloudsStyles Members

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudsStyles Collection

For a list of all members defined in this module, see ITagCloudsStyles members.

Object Model

See Also

ITagCloudsStyles Members


%%PageItemTitle%% $$Members$$

ITagCloudsStyles Overview

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudsStyles Collection Members

Public Methods

Public Method Add
Public Method CreateStyle
Public Method GetStyle
Public Method InitDefaultStyles
Public Method Remove
Public Method RemoveAll
Public Method ScoreExists
Public Method SetStyle

Public Properties

Public Property Count

See Also

ITagCloudsStyles Overview


%%PageItemTitle%%

ITagCloudsStyles Collection

__MIDL_0014
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Syntax

Public Sub Add( _
   ByVal __MIDL_0014 As TagCloudStyle _
)

Parameters

__MIDL_0014

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

CreateStyle Method

Syntax

Public Function CreateStyle() As TagCloudStyle

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

GetStyle Method

Syntax

Public Function GetStyle( _
   ByVal Score As Long _
) As TagCloudStyle

Parameters

Score

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

InitDefaultStyles Method

Syntax

Public Sub InitDefaultStyles()

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Syntax

Public Sub Remove( _
   ByVal Score As Long _
)

Parameters

Score

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

ScoreExists Method

Syntax

Public Function ScoreExists( _
   ByVal Score As Long _
) As Boolean

Parameters

Score

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

__MIDL_0015
See Also Suite Pro Controls ActiveX Control v19.3

SetStyle Method

Syntax

Public Sub SetStyle( _
   ByVal __MIDL_0015 As TagCloudStyle _
)

Parameters

__MIDL_0015

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ITagCloudsStyles Collection


%%PageItemTitle%%

ITagCloudStyle Members

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudStyle Object

For a list of all members defined in this module, see ITagCloudStyle members.

See Also

ITagCloudStyle Members


%%PageItemTitle%% $$Members$$

ITagCloudStyle Overview

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudStyle Object Members

Public Properties

Public Property BorderColor
Public Property Font
Public Property Score
Public Property TextColor
Public Property TextHoverColor

See Also

ITagCloudStyle Overview


%%PageItemTitle%%

ITagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

BorderColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

ITagCloudStyle Object


%%PageItemTitle%%

ITagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ITagCloudStyle Object


%%PageItemTitle%%

ITagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

Score Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Score() As Long

See Also

ITagCloudStyle Object


%%PageItemTitle%%

ITagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

TextColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

ITagCloudStyle Object


%%PageItemTitle%%

ITagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

TextHoverColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextHoverColor() As ULong

See Also

ITagCloudStyle Object


%%PageItemTitle%%

ITagCloudTag Members

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudTag Object

For a list of all members defined in this module, see ITagCloudTag members.

See Also

ITagCloudTag Members


%%PageItemTitle%% $$Members$$

ITagCloudTag Overview

See Also Suite Pro Controls ActiveX Control v19.3

ITagCloudTag Object Members

Public Properties

Public Property Height
Public Property Left
Public Property Score
Public Property Text
Public Property Top
Public Property Width

See Also

ITagCloudTag Overview


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Height Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ITagCloudTag Object


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Left Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

ITagCloudTag Object


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Score Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Score() As Long

See Also

ITagCloudTag Object


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

ITagCloudTag Object


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Top Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

See Also

ITagCloudTag Object


%%PageItemTitle%%

ITagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ITagCloudTag Object


%%PageItemTitle%%

Label Members

See Also Suite Pro Controls ActiveX Control v19.3

Label Control

Description

A Label control is a graphical control you can use to display text that a user can't change directly.

For a list of all members defined in this module, see Label members.

Object Model

Remarks

You can write code that changes the text displayed by a Label control in response to events at run time.

Set the AutoSize and WordWrap properties if you want the Label to properly display variable-length lines or varying numbers of lines.

See Also

Label Members


%%PageItemTitle%% $$Members$$

Label Overview

See Also Suite Pro Controls ActiveX Control v19.3

Label Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Alignment | Gets or sets the alignment of text inside the label control.
Public Property AutoEllipsis | Gets\sets a value indicating whether the ellipsis character (...) appears at the right edge of the Label, denoting that the Label text extends beyond the specified length of the Label.
Public Property AutoSize | Returns\sets a value that determines whether the label control is automatically resized to display its entire contents.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control (Use for full page Markup).
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property Icon | Gets or sets a graphic to be displayed in a Label Control. Can set to an icon in the global icon collection.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseMnemonic | Gets or sets a value that specifies whether an "&" in a Label's Caption property defines an access key.
Public Property WordWrap | Gets or sets a value that determines whether a control expands to fit the text in its caption.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the label control.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |

See Also

Label Overview


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

Label Control


%%PageItemTitle%%

Label Control | AlignmentStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Gets or sets the alignment of text inside the label control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As AlignmentStyle

See Also

Label Control | AlignmentStyle Enumeration


%%PageItemTitle%%

Label Control | AutoSize Property

See Also Suite Pro Controls ActiveX Control v19.3

AutoEllipsis Property

Description

Gets\sets a value indicating whether the ellipsis character (...) appears at the right edge of the Label, denoting that the Label text extends beyond the specified length of the Label.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoEllipsis() As Boolean

Remarks

Set AutoEllipsis to True to display text that extends beyond the width of the Label when the user passes over the control with the mouse. You must set AutoSize to False if you want AutoEllipsis to be True. If AutoSize is True, the label will grow to fit the text and an ellipsis will not appear.

See Also

Label Control | AutoSize Property


%%PageItemTitle%%

Label Control | AutoEllipsis Property

See Also Suite Pro Controls ActiveX Control v19.3

AutoSize Property

Description

Returns\sets a value that determines whether the label control is automatically resized to display its entire contents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

Remarks

When this property is set to True, the Label adjusts its width to display its entire contents. This property is typically set to True when you use a Label control to display various lengths of text, such as the status of an application process. You can also use this property when the application will display text in various languages, and the size of the text might increase or decrease based on the language settings in Windows.

You must set AutoSize to False if you want AutoEllipsis to be True.

See Also

Label Control | AutoEllipsis Property


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

Label Control


%%PageItemTitle%%

Label Control | MarkupContext Property

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control (Use for full page Markup).

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many control using snippets of XAML:

Use MarkupContext to link events in XAML with Subroutines or Functions in your code.

The Label control is unique in that is can also be used to create full screen XAML applications. It is possible to create elaborate full sized applications using Markup. To do this, the Label control is used. For a full sized application designed with Markup you would add a label control to a form and resize the Label control to the full size of the form. It is recommended to first add a Codejock Resizer control that is the size of the form and then drop the Label control inside the Resizer. Then you would set the Caption property of the Label control to the entire XAML string created using the MarkupPad.

You would then use the MarkupContext property of the Label control to connect events that occur in XAML Markup with Subroutines or Functions in your application.

Below is a picture of a Label resized to the size of a form using nothing but XAML, the MDI Child of this application was created using XAML and the Label control. (The image has been scalled down to fit on this page):

See Also

Label Control | MarkupContext Property

Example

Markup Sample | EnableMarkup Samples


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Icon Property

Description

Gets or sets a graphic to be displayed in a Label Control. Can set to an icon in the global icon collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As ImageManagerIcon

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

See Also

Label Control

Example

SetMethod Example


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

UseMnemonic Property

Description

Gets or sets a value that specifies whether an "&" in a Label's Caption property defines an access key.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseMnemonic() As Boolean

Remarks

At run time, pressing ALT+ the access key defined in the Label control's Caption property moves focus to the control that follows the Label control in the tab order.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

WordWrap Property

Description

Gets or sets a value that determines whether a control expands to fit the text in its caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WordWrap() As Boolean

Remarks

If you want a Label control to display text on a single line, set WordWrap to False.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the label control.

Syntax

Public Event DblClick()

Remarks

The events occur in this order: MouseDown, MouseUp, Click, DblClick, and MouseUp.

See Also

Label Control


%%PageItemTitle%%

Label Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Label Control


%%PageItemTitle%%

Label Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

Label Control


%%PageItemTitle%%

Label Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Label Control


%%PageItemTitle%%

Label Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

Label Control


%%PageItemTitle%%

ListBox Members

See Also Suite Pro Controls ActiveX Control v19.3

ListBox Control

Description

List Box control

For a list of all members defined in this module, see ListBox members.

Object Model

See Also

ListBox Members


%%PageItemTitle%% $$Members$$

ListBox Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListBox Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method AddItem | Adds an item to the list box control.
Public Method Clear | Clears the contents of the list box.
Public Method FindItem | Finds the first item in the list box that starts with the specified string.
Public Method HitTest | The HitTest method returns -1 if the tested point is within the list box but not on an item in the list box. If the tested point is on an item in the list box, HitTest returns the index of the list box item.
Public Method OLEDrag | Causes a component to initiate an OLE drag/drop operation.
Public Method RemoveItem | Removes an item from the list box.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Checked | Collection that specifies whether an item with a check box has been checked when the ListBoxStyle is set to ListCheckBox.
Public Property ColumnWidth | Gets or sets the width of columns in a multicolumn ListBox.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the items in the list box.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property FlatStyle | Gets\sets the "flat" appearance of the control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property ItemData | Returns or sets a specific number for each item the list box control.
Public Property List | Returns or sets the items contained in a list box's list portion. The list is a string array in which each element is a list item.
Public Property ListCount | Returns the number of items in the list portion of the list box.
Public Property ListIndex | Returns or sets the index of the currently selected item in the list box.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MarkupList | Returns or sets the items contained in a listbox's list portion STORED AS MARKUP. The list is a string array in which each element is a list item STORED AS MARKUP.
Public Property MultiSelect | Gets\sets the method in which items are selected in the ListBox.
Public Property NewIndex | Returns the index of the item most recently added to a ListBox control.
Public Property OLEDragMode | Returns or sets whether the component or the programmer handles an OLE drag/drop operation.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property SelCount | Returns the number of selected items in the list box control.
Public Property Selected | Gets a collection containing the currently selected items in the list box control.
Public Property SelectionBackColor | Gets or sets the background color used for currently selected items.
Public Property SelectionForeColor | Gets or sets the background color used for currently selected items.
Public Property ShowBorder | Specifies whether to display a border around the edge of the control.
Public Property Sorted | Gets or sets a value indicating whether the items in the list box are sorted.
Public Property Style | Specifies whether this is a CheckListBox or a Standard ListBox.
Public Property Text | Gets or sets the text associated with this control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property TopIndex | Returns or sets a value that specifies which item in the list box is displayed in the topmost position.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the list box. It can also occur when the value of the list box is changed.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the list box.
Public Event ItemCheck | Occurs when an Item's check box is checked or un-checked.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLECompleteDrag | Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event OLEGiveFeedback | Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.
Public Event OLESetData | Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.
Public Event OLEStartDrag | Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.
Public Event ReCreated |

See Also

ListBox Overview


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | Sorted Property

Item
Text string of item to add to the list box .
Index
Integer specifying the position within the object where the new item or row is placed. For the first item in a list box control the index is 0.
Data
Data for the new item.
See Also Suite Pro Controls ActiveX Control v19.3

AddItem Method

Description

Adds an item to the list box control.

Syntax

Public Sub AddItem( _
   ByVal Item As String, _
   Optional ByVal Index As Variant, _
   Optional ByVal Data As Variant _
)

Parameters

Item
Text string of item to add to the list box .
Index
Integer specifying the position within the object where the new item or row is placed. For the first item in a list box control the index is 0.
Data
Data for the new item.

Remarks

If you supply a valid value for index, the item is placed at that position within the list box . If index is omitted, item is added at the proper sorted position (if the Sorted property is set to True) or to the end of the list (if Sorted is set to False).

See Also

ListBox Control | Sorted Property


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Clears the contents of the list box.

Syntax

Public Sub Clear()

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

IndexStart
Index in the list box to start searching. It is the zero-based index of the item before the first item to be searched. Set to -1 to search from the beginning of the control.
String
The text string to search for.
Exact
Specifies whether to perform a search for an exact word match instead of a partial match
See Also Suite Pro Controls ActiveX Control v19.3

FindItem Method

Description

Finds the first item in the list box that starts with the specified string.

Syntax

Public Function FindItem( _
   ByVal IndexStart As Long, _
   ByVal String As String, _
   ByVal Exact As Boolean _
) As Long

Parameters

IndexStart
Index in the list box to start searching. It is the zero-based index of the item before the first item to be searched. Set to -1 to search from the beginning of the control.
String
The text string to search for.
Exact
Specifies whether to perform a search for an exact word match instead of a partial match

Return Type

The zero-based index of the first item found; returns -1 if no match is found.

Remarks

The search performed by this method is not case-sensitive. The String parameter is a substring to compare against the text associated with the items in the list box list. The search performs a partial match starting from the beginning of the text, returning the first item in the list that matches the specified substring.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

x
x coordinate to test.
y
y coordinate to test.
See Also Suite Pro Controls ActiveX Control v19.3

HitTest Method

Description

The HitTest method returns -1 if the tested point is within the list box but not on an item in the list box. If the tested point is on an item in the list box, HitTest returns the index of the list box item.

Syntax

Public Function HitTest( _
   ByVal x As Single, _
   ByVal y As Single _
) As Integer

Parameters

x
x coordinate to test.
y
y coordinate to test.

Return Type

See Remarks.

Remarks

The HitTest method returns -1 if the tested point is within the list box but not on an item in the list box. If the tested point is on an item in the list box, HitTest returns the index of the list box item.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDrag Method

Description

Causes a component to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the component"s OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Index
Integer representing the position within the list box of the item or row to remove. For the first item the index = 0.
See Also Suite Pro Controls ActiveX Control v19.3

RemoveItem Method

Description

Removes an item from the list box.

Syntax

Public Sub RemoveItem( _
   ByVal Index As Long _
)

Parameters

Index
Integer representing the position within the list box of the item or row to remove. For the first item the index = 0.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ListBox Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | ItemCheck Event | ListBoxStyle Enumeration

Index
Index of the item to test whether it has been checked.
See Also Suite Pro Controls ActiveX Control v19.3

Checked Property

Description

Collection that specifies whether an item with a check box has been checked when the ListBoxStyle is set to ListCheckBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked( _
   ByVal Index As Long _
) As Boolean

Parameters

Index
Index of the item to test whether it has been checked.

Remarks

This collection is used to determine whether an item with a check box has been checked when the ListBoxStyle is set to ListCheckBox.

See Also

ListBox Control | ItemCheck Event | ListBoxStyle Enumeration


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ColumnWidth Property

Description

Gets or sets the width of columns in a multicolumn ListBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnWidth() As Long

Remarks

If you set the value to zero (0), a default width is assigned to each column. If the ListBox is a multicolumn ListBox, this property returns the current width of each column in the list. You can use this property to ensure that each column in a multicolumn ListBox can properly display its items.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the items in the list box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

ListBox Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets\sets the "flat" appearance of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

The control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Index
The number of a specific item in the list box.
See Also Suite Pro Controls ActiveX Control v19.3

ItemData Property

Description

Returns or sets a specific number for each item the list box control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemData( _
   ByVal Index As Long _
) As Variant

Parameters

Index
The number of a specific item in the list box.

Remarks

The ItemData property is an array of long integer values with the same number of items as the list box's List property. You can use the numbers associated with each item to identify the items.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Index
The number of a specific item in the list.
See Also Suite Pro Controls ActiveX Control v19.3

List Property

Description

Returns or sets the items contained in a list box's list portion. The list is a string array in which each element is a list item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property List( _
   ByVal Index As Long _
) As String

Parameters

Index
The number of a specific item in the list.

Remarks

Use this property to access list items. The index of the first item is 0 and the index of the last item is ListCount  1.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ListCount Property

Description

Returns the number of items in the list portion of the list box.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ListCount() As Long

Remarks

If no item is selected, the ListIndex property value is 1. The first item in the list is ListIndex = 0, and ListCount is always one more than the largest ListIndex value.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ListIndex Property

Description

Returns or sets the index of the currently selected item in the list box.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ListIndex() As Long

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

See Also

ListBox Control

Example

SetMethod Example


%%PageItemTitle%%

ListBox Control

Index
The number of a specific item in the list.
See Also Suite Pro Controls ActiveX Control v19.3

MarkupList Property

Description

Returns or sets the items contained in a listbox's list portion STORED AS MARKUP. The list is a string array in which each element is a list item STORED AS MARKUP.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarkupList( _
   ByVal Index As Long _
) As String

Parameters

Index
The number of a specific item in the list.

Remarks

Use this property to access list items STORED AS MARKUP. The index of the first item is 0 and the index of the last item is ListCount 1.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | ListBoxMultiSelectStyle Enumeration | SelCount Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiSelect Property

Description

Gets\sets the method in which items are selected in the ListBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelect() As ListBoxMultiSelectStyle

Remarks

The MultiSelect property enables you to determine how many items in the ListBox a user can select at one time and how the user can make multiple-selections. When the MultiSelect property is set to xtpListMultiSelectExtended, pressing SHIFT and clicking the mouse or pressing SHIFT and one of the arrow keys (UP ARROW, DOWN ARROW, LEFT ARROW, and RIGHT ARROW) extends the selection from the previously selected item to the current item. Pressing CTRL and clicking the mouse selects or deselects an item in the list. When the property is set to xtpListMultiSelectSimple, a mouse click or pressing the SPACEBAR selects or deselects an item in the list.

See Also

ListBox Control | ListBoxMultiSelectStyle Enumeration | SelCount Property


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

NewIndex Property

Description

Returns the index of the item most recently added to a ListBox control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NewIndex() As Long

Remarks

You can use this property with sorted lists when you need a list of values that correspond to each item in the ItemData property array. As you add an item in a sorted list, the item is inserted in the list in alphabetic order. This property tells you where the item was inserted so that you can insert a corresponding value in the ItemData property at the same index.

The NewIndex property returns -1 if there are no items in the list or if an item has been deleted since the last item was added.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragMode Property

Description

Returns or sets whether the component or the programmer handles an OLE drag/drop operation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDragMode() As OLEDragConstants

Remarks

When OLEDragMode is set to Manual, you must call the OLEDrag method to start dragging, which then triggers the OLEStartDrag event.

When OLEDragMode is set to Automatic, the source component fills the DataObject object with the data it contains and sets the Data parameter before initiating the OLEStartDrag event when the user attempts to drag out of the control. This gives you control over the drag/drop operation and allows you to intercede by adding other formats, or by overriding or disabling the automatic data and formats using the Clear or SetData methods.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | MultiSelect Property

See Also Suite Pro Controls ActiveX Control v19.3

SelCount Property

Description

Returns the number of selected items in the list box control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelCount() As Long

Remarks

The SelCount property returns 0 if no items are selected. Otherwise, it returns the number of list items currently selected. This property is particularly useful when users can make multiple selections.

See Also

ListBox Control | MultiSelect Property


%%PageItemTitle%%

ListBox Control | MultiSelect Property

Index
The index number of the item in the control.
See Also Suite Pro Controls ActiveX Control v19.3

Selected Property

Description

Gets a collection containing the currently selected items in the list box control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected( _
   ByVal Index As Long _
) As Boolean

Parameters

Index
The index number of the item in the control.

Remarks

This property is particularly useful when users can make multiple selections. You can quickly check which items in a list are selected. You can also use this property to select or deselect items in a list from code.

For a multiple-selection list box, this property returns a collection containing all items that are selected in the list box. For a single-selection list box, this property returns a collection containing a single element containing the only selected item in the list box.

See Also

ListBox Control | MultiSelect Property


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectionBackColor Property

Description

Gets or sets the background color used for currently selected items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionBackColor() As ULong

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectionForeColor Property

Description

Gets or sets the background color used for currently selected items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionForeColor() As ULong

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to display a border around the edge of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Sorted Property

Description

Gets or sets a value indicating whether the items in the list box are sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sorted() As Boolean

Remarks

This property specifies whether the list box sorts existing entries and add new entries to the appropriate sorted position in the list. You can use this property to automatically sort items in a list box . As items are added to a sorted list box, the items are moved to the appropriate location in the sorted list. When you set the property to false, new items are added to the end of the existing list. The sort is case-insensitive and in alphabetically ascending order.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | ListBoxStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Style Property

Description

Specifies whether this is a CheckListBox or a Standard ListBox.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As ListBoxStyle

Remarks

The Style is used to specify the type of list box control this will be. It can be a CheckListBox or a Standard ListBox.

See Also

ListBox Control | ListBoxStyle Enumeration


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

This is the text currently visible in the list box.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

TopIndex Property

Description

Returns or sets a value that specifies which item in the list box is displayed in the topmost position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopIndex() As Long

Remarks

Use this property to scroll through the list box without selecting an item.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the list box. It can also occur when the value of the list box is changed.

Syntax

Public Event Click()

Remarks

Occurs when the user selects an item in a list box control, either by pressing the arrow keys or by clicking the mouse button.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the list box.

Syntax

Public Event DblClick()

Remarks

Occurs when the user double-clicks an item in the list box with the left mouse button.

If DblClick doesn't occur within the system's double-click time limit, the object recognizes another Click event.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control | ListBoxStyle Enumeration | Checked Property

Item
Reference to the Item that had it's check box checked\un-checked.
See Also Suite Pro Controls ActiveX Control v19.3

ItemCheck Event

Description

Occurs when an Item's check box is checked or un-checked.

Syntax

Public Event ItemCheck( _
   ByVal Item As Long _
)

Parameters

Item
Reference to the Item that had it's check box checked\un-checked.

Remarks

The Checked collection is used to determine if an item is currently checked.

See Also

ListBox Control | ListBoxStyle Enumeration | Checked Property


%%PageItemTitle%%

ListBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vbDropEffectMove), the source needs to delete the object from itself after the move.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also Suite Pro Controls ActiveX Control v19.3

OLEGiveFeedback Event

Description

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Public Event OLEGiveFeedback( _
   ByRef Effect As Long, _
   ByRef DefaultCursors As Boolean _
)

Parameters

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

See Also Suite Pro Controls ActiveX Control v19.3

OLESetData Event

Description

Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.

Syntax

Public Event OLESetData( _
   ByVal Data As DataObject, _
   ByRef DataFormat As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

Remarks

This event allows the source to respond to only one request for a given format of data. When this event is called, the source should check the format parameter to determine what needs to be loaded and then perform the SetData method on the DataObject object to load the data which is then passed back to the target component.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The StartDrag event also occurs if the component"s OLEDragMode property is set to Automatic. This allows you to add formats and data to the DataObject object after the component has done so. You can also override the default behavior of the component by clearing the DataObject object (using the Clear method) and then adding your data and formats.

See Also

ListBox Control


%%PageItemTitle%%

ListBox Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ListBox Control


%%PageItemTitle%%

ListView Members

See Also Suite Pro Controls ActiveX Control v19.3

ListView Control

Description

The ListView control displays items using one of four different views. You can arrange items into columns with or without column headings as well as display accompanying icons and text.

For a list of all members defined in this module, see ListView members.

Object Model

Remarks

With a ListView control, you can organize list entries, called ListViewItem objects, into one of four different views: Large Icons (xtpListViewIcon), Small Icons (xtpListViewSmallIcon), List (xtpListViewIcon) and Report (xtpListViewReport) views.

The View property determines which view the control uses to display the items in the list. You can also control whether the labels associated with items in the list wrap to more than one line using the LabelWrap property. In addition, you can manage how items in the list are sorted and how selected items appear.

The ListView control contains ListViewItem and ListViewColumnHeader objects. A ListViewItem object defines the various characteristics of items in the ListView control, such as: A brief description of the item, Icons that may appear with the item and Additional pieces of text associated with a ListViewItem object that you can display in Report view.

You can choose to display column headings in the ListView control using the HideColumnHeaders property. Use the Add method to add a ListViewColumnHeader object to the ColumnHeaders collection.

See Also

ListView Members


%%PageItemTitle%% $$Members$$

ListView Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListView Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control
Public Method EnableExplorerStyle | When using Windows Vista or Windows 7, specifies that the control will use the Win7/Vista explorer style.
Public Method FindItem | Finds and returns a reference to a ListViewItem object in a ListView control.
Public Method GetFirstVisible | Returns a reference to the first ListViewItem object visible in the internal area of a ListView control.
Public Method GetNextSelectedItem | Gets the index of the next selected ListViewItem in relation to FirstItem.
Public Method HitTest | Returns a reference to the ListViewItem object located at the coordinates of x and y.
Public Method OLEDrag | Causes a component to initiate an OLE drag/drop operation.
Public Method SetIconSize | The SetIconSize method is used to set the icon size of the node items.
Public Method StartLabelEdit | Enables a user to edit a label.

Public Properties

Public Property AllowColumnReorder | Gets or sets a value indicating whether the user can drag column headers to reorder columns in the control.
Public Property Appearance | Gets or sets the paint style of the control.
Public Property Arrange | Returns or sets a value that determines how the icons in a ListView control's Icon or SmallIcon view are arranged.
Public Property BackColor | Gets or sets the background color.
Public Property Checkboxes | Gets or sets a value indicating whether a check box appears next to each item in the control.
Public Property ColumnHeaderIcons | Gets or sets the icons to be used for ColumnHeaders in the ListView control.
Public Property ColumnHeaders | Gets the collection of all column headers that appear in the control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DropHighlight | Gets or sets a reference to a ListViewItem object that is highlighted with the system highlight color when the cursor moves over it.
Public Property Enabled | Gets or sets a value indicating whether the control can respond to user interaction.
Public Property EnableMarqueeSelection | Enables or disables Marquee selection of rows.
Public Property FlatScrollBar | Gets or sets whether a flat scrollbar is used.
Public Property Font | Gets or sets the font of the text displayed by the control.
Public Property ForeColor | Gets or sets the foreground color.
Public Property FullRowSelect | Gets or sets a value indicating whether clicking an item selects all its subitems.
Public Property GridLines | Gets or sets a value indicating whether grid lines appear between the rows and columns containing the items and subitems in the control.
Public Property HideColumnHeaders | Returns or sets whether ColumnHeader objects in a ListView control are hidden in Report view.
Public Property HideSelection | Gets or sets a value indicating whether the selected item in the control remains highlighted when the control loses focus.
Public Property HotTracking | Gets or sets a value indicating whether the text of an item or subitem has the appearance of a hyperlink when the mouse pointer passes over it.
Public Property HoverSelection | Gets or sets a value indicating whether an item is automatically selected when the mouse pointer remains over the item for a few seconds.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property Icons | Gets or sets the icons to be used for ListViewItems in the ListView control.
Public Property IconSize | Gets or sets the size of icons displayed for ListViewItem objects.
Public Property LabelEdit | Gets or sets a value indicating whether the user can edit the labels of items in the control.
Public Property LabelWrap | Returns or sets a value that determines whether or not labels are wrapped when a ListView control is in Icon view.
Public Property ListItems | Returns a reference to a collection of ListViewItem objects in a ListView control.
Public Property LockRedraw | The LockRedraw property is used lock or unlock ListView re-drawing.
Public Property MultiSelect | Gets a value indicating whether multiple items can be selected.
Public Property OLEDragMode | Returns or sets whether the component or the programmer handles an OLE drag/drop operation.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether control's elements are aligned to support locales using right-to-left fonts.
Public Property SelectedCount | Gets the number of currently selected items.
Public Property SelectedItem | Returns a reference to a selected ListViewItem.
Public Property ShowBorder | Specifies whether to display a border around the edge of the control.
Public Property ShowSortArrow | Specifies whether to show a sort arrow in the list view header.
Public Property Sorted | Returns or sets a value that determines whether the ListViewItem objects in a ListView control are sorted.
Public Property SortKey | Returns or sets a value that determines how the ListViewItem objects in a ListView control are sorted.
Public Property SortOrder | Returns or sets a value that determines whether ListViewItem objects in a ListView control are sorted in ascending or descending order.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UpdateBackColorOnAppearanceChange |
Public Property UpdateForeColorOnAppearanceChange |
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property View | Gets or sets how items are displayed in the control.

Events

Public Event AfterLabelEdit | Occurs when the label for an item is edited by the user.
Public Event BeforeLabelEdit | Occurs when the user starts editing the label of an item.
Public Event ColumnClick | Occurs when the user clicks a column header within the list view control.
Public Event DblClick | Occurs when a ListViewItem in the ListView control is double-clicked.
Public Event ItemCheck | Occurs when the check state of an item changes.
Public Event ItemClick | Occurs when a ListViewItem object in a ListView control is clicked.
Public Event KeyDown | Occurs when a key is pressed while the control has focus.
Public Event KeyPress | Occurs when a key is pressed while the control has focus.
Public Event KeyUp | Occurs when a key is released while the control has focus.
Public Event MouseDown | Occurs when the mouse pointer is over the control and a mouse button is pressed.
Public Event MouseMove | Occurs when the mouse pointer is moved over the control.
Public Event MouseUp | Occurs when the mouse pointer is over the control and a mouse button is pressed.
Public Event OLECompleteDrag | Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event OLEGiveFeedback | Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.
Public Event OLESetData | Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.
Public Event OLEStartDrag | Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.
Public Event ReCreated |

See Also

ListView Overview


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control

Syntax

Public Sub AboutBox()

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Enable

True to enable, False to disable.

See Also Suite Pro Controls ActiveX Control v19.3

EnableExplorerStyle Method

Description

When using Windows Vista or Windows 7, specifies that the control will use the Win7/Vista explorer style.

Syntax

Public Sub EnableExplorerStyle( _
   ByVal Enable As Boolean _
)

Parameters

Enable

True to enable, False to disable.

Remarks

This setting has no effect unless the control is run on Windows Vista or greater.

See Also

ListView Control


%%PageItemTitle%%

ListView Control | ListViewFindItemWhere Enumeration

sz
A string expression indicating the ListItem object to be found.
Where

An flag from the ListViewFindItemWhere enumeration specifying whether the string will be matched to the ListViewItem object's Text, Subitems, or Tag property, as described in Settings.

xtpListViewText - Matches the string with a ListViewItem object's Text property.

xtpListViewSubItem - Matches the string with any string in a ListViewItem object's SubItems property.

xtpListViewTag - Matches the string with any ListViewItem object's Tag property.

Index
An integer or string that uniquely identifies a member of an object collection and specifies the location from which to begin the search. The integer is the value of the Index property; the string is the value of the Key property. If no index is specified, the default is 1.
fPartial

An integer or constant specifying that a match will occur if the item's Text property is the same as the string, as described in Settings.

0 - An integer or constant specifying that a match will occur if the item's Text property begins with the whole word being searched. Ignored if the criteria is not text.

1 - An integer or constant specifying that a match will occur if the item's Text property begins with the string being searched. Ignored if the criteria is not text.

See Also Suite Pro Controls ActiveX Control v19.3

FindItem Method

Description

Finds and returns a reference to a ListViewItem object in a ListView control.

Syntax

Public Function FindItem( _
   ByVal sz As String, _
   Optional ByVal Where As Variant, _
   Optional ByVal Index As Variant, _
   Optional ByVal fPartial As Variant _
) As ListViewItem

Parameters

sz
A string expression indicating the ListItem object to be found.
Where

An flag from the ListViewFindItemWhere enumeration specifying whether the string will be matched to the ListViewItem object's Text, Subitems, or Tag property, as described in Settings.

xtpListViewText - Matches the string with a ListViewItem object's Text property.

xtpListViewSubItem - Matches the string with any string in a ListViewItem object's SubItems property.

xtpListViewTag - Matches the string with any ListViewItem object's Tag property.

Index
An integer or string that uniquely identifies a member of an object collection and specifies the location from which to begin the search. The integer is the value of the Index property; the string is the value of the Key property. If no index is specified, the default is 1.
fPartial

An integer or constant specifying that a match will occur if the item's Text property is the same as the string, as described in Settings.

0 - An integer or constant specifying that a match will occur if the item's Text property begins with the whole word being searched. Ignored if the criteria is not text.

1 - An integer or constant specifying that a match will occur if the item's Text property begins with the string being searched. Ignored if the criteria is not text.

Return Type

Returns a reference to a ListViewItem object in a ListView control.

Remarks

If you specify Text as the search criteria, you can use fPartial so that a match occurs when the ListViewItem object's Text property begins with the string you are searching for.

See Also

ListView Control | ListViewFindItemWhere Enumeration


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

GetFirstVisible Method

Description

Returns a reference to the first ListViewItem object visible in the internal area of a ListView control.

Syntax

Public Function GetFirstVisible() As ListViewItem

Remarks

A ListView control can contain more ListViewItem objects than can be seen in the internal area of the ListView control. You can use the reference returned by the GetFirstVisible method to determine the first visible ListViewItem object in List or Report view.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

FirstItem
The index of the ListViewItem to start searching for the next selected item.
See Also Suite Pro Controls ActiveX Control v19.3

GetNextSelectedItem Method

Description

Gets the index of the next selected ListViewItem in relation to FirstItem.

Syntax

Public Function GetNextSelectedItem( _
   ByVal FirstItem As Integer _
) As Long

Parameters

FirstItem
The index of the ListViewItem to start searching for the next selected item.

Return Type

Index of the next selected item.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

x
Coordinates of a target ListViewItem object.
y
Coordinates of a target ListViewItem object.
See Also Suite Pro Controls ActiveX Control v19.3

HitTest Method

Description

Returns a reference to the ListViewItem object located at the coordinates of x and y.

Syntax

Public Function HitTest( _
   ByVal x As Single, _
   ByVal y As Single _
) As ListViewItem

Parameters

x
Coordinates of a target ListViewItem object.
y
Coordinates of a target ListViewItem object.

Remarks

If no object exists at the specified coordinates, the HitTest method returns Nothing.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDrag Method

Description

Causes a component to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the component"s OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

cx

New width of icon in pixels.

cy

New height of icon in pixels.

See Also Suite Pro Controls ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the icon size of the node items.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx

New width of icon in pixels.

cy

New height of icon in pixels.

Remarks

Allows you to set non rectangular icon sizes to be used for node items.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

StartLabelEdit Method

Description

Enables a user to edit a label.

Syntax

Public Sub StartLabelEdit()

Remarks

The StartLabelEdit method must be used to initiate a label editing operation when the LabelEdit property is set to xtpListViewLabelManual.

When the StartLabelEdit method is invoked upon an object, the BeforeLabelEdit event is also generated.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

AllowColumnReorder Property

Description

Gets or sets a value indicating whether the user can drag column headers to reorder columns in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowColumnReorder() As Boolean

Remarks

Setting the value of the AllowColumnReorder property has no effect unless the View property is set to xtpListViewReport. You can use this property to allow users to reposition columns in the control at run time. When the AllowColumnReorder property is set to true, users can position the columns in the control to display the item and its subitems in a way that meets their needs within your application.

See Also

ListView Control


%%PageItemTitle%%

ListView Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ListView Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ListView Control | ListViewArrange Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Arrange Property

Description

Returns or sets a value that determines how the icons in a ListView control's Icon or SmallIcon view are arranged.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Arrange() As ListViewArrange

See Also

ListView Control | ListViewArrange Enumeration


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

Checkboxes Property

Description

Gets or sets a value indicating whether a check box appears next to each item in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checkboxes() As Boolean

Remarks

The CheckBoxes property allows you to display a check box next to each item in the list.

See Also

ListView Control


%%PageItemTitle%%

ListView Control | ColumnHeaders Property | ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

ColumnHeaderIcons Property

Description

Gets or sets the icons to be used for ColumnHeaders in the ListView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnHeaderIcons() As ImageManagerIcons

Remarks

A collection of icons used by the ListView control for a ListViewColumnHeader. The ListViewColumnHeader.Icon property is used to associate and icon from the ColumnHeaderIcons collection with a ListViewColumnHeader object. You can add/retrieve icons from the collection to be used in the ListView Headers.

See Also

ListView Control | ColumnHeaders Property | ListViewColumnHeader Object


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ColumnHeaders Property

Description

Gets the collection of all column headers that appear in the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColumnHeaders() As ListViewColumnHeaders

Remarks

You can manipulate ListViewColumnHeader objects using standard collection methods. Each ListViewColumnHeader in the collection can be accessed either by its index or by a unique key, stored in the Key property.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

DropHighlight Property

Description

Gets or sets a reference to a ListViewItem object that is highlighted with the system highlight color when the cursor moves over it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropHighlight() As ListViewItem

Remarks

DropHighlight is commonly used in with the HitTest method in drag-and-drop operations. As the cursor is dragged over a ListViewItem, HitTest returns a reference to any object it is dragged over.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value indicating whether the control can respond to user interaction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

The Enabled property allows forms and controls to be enabled or disabled at run time. For example, you can disable objects that don't apply to the current state of the application. You can also disable a control used purely for display purposes, such as a text box that provides read-only information.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarqueeSelection Property

Description

Enables or disables Marquee selection of rows.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarqueeSelection() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatScrollBar Property

Description

Gets or sets whether a flat scrollbar is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatScrollBar() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets or sets the font of the text displayed by the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

FullRowSelect Property

Description

Gets or sets a value indicating whether clicking an item selects all its subitems.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FullRowSelect() As Boolean

Remarks

Setting the value of the FullRowSelect property has no effect unless the View property is set to xtpListViewReport. The FullRowSelect property is typically used when a ListView displays items with many subitems and it is important to be able to see selected items when the item text is not visible due to horizontal scrolling of the control's contents.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

GridLines Property

Description

Gets or sets a value indicating whether grid lines appear between the rows and columns containing the items and subitems in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GridLines() As Boolean

Remarks

Setting the value of the GridLines property has no effect unless the View property is set to xtpListViewReport. The GridLines property has no effect unless the View property of the ListView control is set to Details. The GridLines property allows you to display lines to identify the rows and columns that are displayed in the ListView control when it displays items and their subitems.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

HideColumnHeaders Property

Description

Returns or sets whether ColumnHeader objects in a ListView control are hidden in Report view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideColumnHeaders() As Boolean

Remarks

The ListViewItem objects and any related subitems remain visible even if the HideColumnHeaders property is set to True.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

HideSelection Property

Description

Gets or sets a value indicating whether the selected item in the control remains highlighted when the control loses focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

Remarks

When this property is set to false, selected items in the ListView control remain highlighted in a different color than the current selection color specified by the operating system when the ListView control loses focus.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

HotTracking Property

Description

Gets or sets a value indicating whether the text of an item or subitem has the appearance of a hyperlink when the mouse pointer passes over it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

HoverSelection Property

Description

Gets or sets a value indicating whether an item is automatically selected when the mouse pointer remains over the item for a few seconds.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HoverSelection() As Boolean

Remarks

When this property is set to true, the user can point to an item in the ListView control to select the item. Multiple items can be selected (when the MultiSelect property is set to true) by holding down the CTRL key while pointing to each item. You can use this feature to provide an easier method for the user of your application to select items in the ListView control.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ListView Control


%%PageItemTitle%%

ListView Control | ListViewItem Object | ListViewItem.Icon Property | ImageManagerIcons.AddIcon Method | ColumnHeaderIcons Property | IconSize Property

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Description

Gets or sets the icons to be used for ListViewItems in the ListView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

A collection of icons used by the ListView control for a ListViewItem. The ListViewItem.Icon property is used to associate and icon from the Icons collection with a ListViewItem object. You can add/retrieve icons from the collection to be used in the ListView.

See Also

ListView Control | ListViewItem Object | ListViewItem.Icon Property | ImageManagerIcons.AddIcon Method | ColumnHeaderIcons Property | IconSize Property


%%PageItemTitle%%

ListView Control | Icons Property | ColumnHeaderIcons Property | ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

IconSize Property

Description

Gets or sets the size of icons displayed for ListViewItem objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconSize() As Long

Remarks

This will not effect the size of icons in the column headers.

See Also

ListView Control | Icons Property | ColumnHeaderIcons Property | ListViewItem Object


%%PageItemTitle%%

ListView Control | AfterLabelEdit Event | BeforeLabelEdit Event | ListViewLabelEdit Enumeration | StartLabelEdit Method

See Also Suite Pro Controls ActiveX Control v19.3

LabelEdit Property

Description

Gets or sets a value indicating whether the user can edit the labels of items in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LabelEdit() As ListViewLabelEdit

Remarks

Label editing of an object is initiated when a selected object is clicked and LabelEdit is set to xtpListViewLabelAutomatic. That is, the first click on an object will select it; a second (single) click on the object will initiate the label editing operation.

The LabelEdit property, in combination with the StartLabelEdit method, allows you to programmatically determine when and which labels can be edited. When the LabelEdit property is set to xtpListViewLabelManual, no label can be edited unless the StartLabelEdit method is invoked.

See Also

ListView Control | AfterLabelEdit Event | BeforeLabelEdit Event | ListViewLabelEdit Enumeration | StartLabelEdit Method


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

LabelWrap Property

Description

Returns or sets a value that determines whether or not labels are wrapped when a ListView control is in Icon view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LabelWrap() As Boolean

Remarks

When the LabelWrap property is set to true, the item text is wrapped to the next line of text if needed. If the text is longer than two lines of text, the text is shortened. If the user selects the item, all the item text is displayed. If the LabelWrap property is set to false, all item text is displayed on a single line. The entire item text is displayed when the LabelWrap is set to false. This property is only used when the View property is set to xtpListViewIcon or xtpListViewSmallIcon.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ListItems Property

Description

Returns a reference to a collection of ListViewItem objects in a ListView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ListItems() As ListViewItems

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

LockRedraw Property

Description

The LockRedraw property is used lock or unlock ListView re-drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LockRedraw() As Boolean

Remarks

LockRedraw should be set to True any time a(n) item(s) is added, deleted, or modified. After the changes have been made to the ListView, LockRedraw should be set to False to allows the ListView to re-draw itself and display the changes.

While LockRedraw is True, the user can not interact with the ListView.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

MultiSelect Property

Description

Gets a value indicating whether multiple items can be selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelect() As Boolean

Remarks

*** This property can ONLY be set at design time, changes made during run-time will not be applied ***

When the MultiSelect property is set to true, multiple items can be selected in the ListView control. To select multiple items, the user must hold down the CTRL key while clicking the items to select. Consecutive items can be selected by clicking the first item to select and then, while holding down the SHIFT key, clicking the last item to select. You can use the multiple selection feature to select multiple items in the ListView control and perform an operation on all the items selected.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragMode Property

Description

Returns or sets whether the component or the programmer handles an OLE drag/drop operation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDragMode() As OLEDragConstants

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether control's elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectedCount Property

Description

Gets the number of currently selected items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SelectedCount() As Long

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectedItem Property

Description

Returns a reference to a selected ListViewItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItem() As ListViewItem

Remarks

The SelectedItem property returns a reference to a ListViewItem object that can be used to set properties and invoke methods on the selected ListViewItem. This property is typically used to return a reference to a ListViewItem object that the user has clicked or selected. With this reference, you can validate the ListViewItem object before allowing any further action

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to display a border around the edge of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowSortArrow Property

Description

Specifies whether to show a sort arrow in the list view header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSortArrow() As Boolean

Return Type

True if the sort arrow will be displayed, False otherwise.

Remarks

This is true by default for xtpListViewReport.

See Also

ListView Control


%%PageItemTitle%%

ListView Control | SortOrder Property

See Also Suite Pro Controls ActiveX Control v19.3

Sorted Property

Description

Returns or sets a value that determines whether the ListViewItem objects in a ListView control are sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sorted() As Boolean

Remarks

The Sorted property must be set to True for the settings in the SortOrder and SortKey properties to take effect.
Each time the coordinates of a ListViewItem change, the Sorted property becomes False.

See Also

ListView Control | SortOrder Property


%%PageItemTitle%%

ListView Control | ColumnClick Event

See Also Suite Pro Controls ActiveX Control v19.3

SortKey Property

Description

Returns or sets a value that determines how the ListViewItem objects in a ListView control are sorted.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortKey() As Long

Remarks

The Sorted property must be set to True before the change takes place. It is common to sort a list when the column header is clicked. So the SortKey property is commonly included in the ColumnClick event to sort the list using the clicked column.

See Also

ListView Control | ColumnClick Event


%%PageItemTitle%%

ListView Control | Sorted Property

See Also Suite Pro Controls ActiveX Control v19.3

SortOrder Property

Description

Returns or sets a value that determines whether ListViewItem objects in a ListView control are sorted in ascending or descending order.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortOrder() As Long

Remarks

The Sorted property must be set to True before a list will be sorted in the order specified by SortOrder.

See Also

ListView Control | Sorted Property


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateBackColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateBackColorOnAppearanceChange() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateForeColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateForeColorOnAppearanceChange() As Boolean

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

View Property

Description

Gets or sets how items are displayed in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property View() As ListViewStyle

Remarks

In xtpListViewIcon view only, use the LabelWrap property to specify if the ListViewItem object's labels are wrapped or not.
In xtpListViewReport view, you can hide the column headers by setting the HideColumnHeaders property to True. You can also use the ColumnClick event and the Sorted, SortOrder, and SortKey properties to sort the ListViewItem objects or subitems when a user clicks a column header. The user can change the size of the column by grabbing the right border of a column header and dragging it to the desired size.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Cancel
An integer that determines if the label editing operation is canceled. Any nonzero integer cancels the operation. Boolean values are also accepted.
NewString
The string the user entered, or Null if the user canceled the operation.
See Also Suite Pro Controls ActiveX Control v19.3

AfterLabelEdit Event

Description

Occurs when the label for an item is edited by the user.

Syntax

Public Event AfterLabelEdit( _
   ByRef Cancel As Integer, _
   ByRef NewString As String _
)

Parameters

Cancel
An integer that determines if the label editing operation is canceled. Any nonzero integer cancels the operation. Boolean values are also accepted.
NewString
The string the user entered, or Null if the user canceled the operation.

Remarks

The AfterLabelEdit event occurs when the user finishes modifying the text for an item. The new string that the user types for the item is passed to the event, and the event handler can reject the change. If the event handler rejects the change, the text reverts to the text as it was before the user began editing the item.

You can create an event handler for the BeforeLabelEdit event to perform tasks before the user edits the text of an item.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Cancel
An integer that determines if the operation is canceled. Any nonzero integer cancels the operation. The default is 0.
See Also Suite Pro Controls ActiveX Control v19.3

BeforeLabelEdit Event

Description

Occurs when the user starts editing the label of an item.

Syntax

Public Event BeforeLabelEdit( _
   ByRef Cancel As Integer _
)

Parameters

Cancel
An integer that determines if the operation is canceled. Any nonzero integer cancels the operation. The default is 0.

Remarks

The BeforeLabelEdit event occurs when the user begins modifying the text for an item. If the event handler cancels this event, the user cannot edit the text. You can use this event to prevent the user from editing specific items in the ListView control. If the LabelEdit property of the ListView control is set to false, the BeforeLabelEdit event is not raised; all user attempts to edit item labels are automatically rejected.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

ColumnHeader
A reference to the ListViewColumnHeader object that was clicked.
See Also Suite Pro Controls ActiveX Control v19.3

ColumnClick Event

Description

Occurs when the user clicks a column header within the list view control.

Syntax

Public Event ColumnClick( _
   ByVal ColumnHeader As ListViewColumnHeader _
)

Parameters

ColumnHeader
A reference to the ListViewColumnHeader object that was clicked.

Remarks

The Sorted, SortKey, and SortOrder properties are commonly used in code to sort the ListViewItem objects in the clicked column.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when a ListViewItem in the ListView control is double-clicked.

Syntax

Public Event DblClick()

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Item
ListViewItem that was checked\un-checked.
See Also Suite Pro Controls ActiveX Control v19.3

ItemCheck Event

Description

Occurs when the check state of an item changes.

Syntax

Public Event ItemCheck( _
   ByVal Item As ListViewItem _
)

Parameters

Item
ListViewItem that was checked\un-checked.

Remarks

The CheckBoxes property must be set to true in order for check boxes to be displayed next to each item in the ListView control. The ItemCheck event occurs when the check state of an item changes or when the CheckBoxes property is set to true. You can perform tasks such as changing the state of an item's icon or another application-specific task each time an item is checked in the ListView control.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Item
The ListViewItem object that was clicked.
See Also Suite Pro Controls ActiveX Control v19.3

ItemClick Event

Description

Occurs when a ListViewItem object in a ListView control is clicked.

Syntax

Public Event ItemClick( _
   ByVal Item As ListViewItem _
)

Parameters

Item
The ListViewItem object that was clicked.

Remarks

Use this event to determine which ListViewItem was clicked. The ItemClick event is generated only when the mouse is clicked on the text or image of a ListViewItem object.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

KeyCode
Shift
See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Shift

See Also

ListView Control


%%PageItemTitle%%

ListView Control

KeyAscii
See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

See Also

ListView Control


%%PageItemTitle%%

ListView Control

KeyCode
Shift
See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occurs when a key is released while the control has focus.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Shift

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the mouse pointer is over the control and a mouse button is pressed.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved over the control.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the mouse pointer is over the control and a mouse button is pressed.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vbDropEffectMove), the source needs to delete the object from itself after the move.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also Suite Pro Controls ActiveX Control v19.3

OLEGiveFeedback Event

Description

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Public Event OLEGiveFeedback( _
   ByRef Effect As Long, _
   ByRef DefaultCursors As Boolean _
)

Parameters

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

See Also Suite Pro Controls ActiveX Control v19.3

OLESetData Event

Description

Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.

Syntax

Public Event OLESetData( _
   ByVal Data As DataObject, _
   ByRef DataFormat As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

Remarks

This event allows the source to respond to only one request for a given format of data. When this event is called, the source should check the format parameter to determine what needs to be loaded and then perform the SetData method on the DataObject object to load the data which is then passed back to the target component.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The StartDrag event also occurs if the component"s OLEDragMode property is set to Automatic. This allows you to add formats and data to the DataObject object after the component has done so. You can also override the default behavior of the component by clearing the DataObject object (using the Clear method) and then adding your data and formats.

See Also

ListView Control


%%PageItemTitle%%

ListView Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ListView Control


%%PageItemTitle%%

ListViewColumnHeader Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewColumnHeader Object

Description

A ListViewColumnHeader object is an item in a ListView control that contains heading text.

For a list of all members defined in this module, see ListViewColumnHeader members.

Remarks

You can view ColumnHeader objects in Report view only. You can add ColumnHeader objects to a ListView control at both design time and run time.

With a ListViewColumnHeader object, a user can click it to trigger the ColumnClick event and sort the items based on that data item, grab the object's right border and drag it to adjust the width of the column and hide ListViewColumnHeader objects in Report view.

There is always one column in the ListView control, which is Column 1. This column contains the actual ListViewItem objects; not their subitems. The second column (Column 2) contains subitems. Therefore, you always have one more ListViewColumnHeader object than subitems and the ListViewItem object's SubItems property is a 1-based array of size ListViewColumnHeader.Count - 1.

The number of ListViewColumnHeader objects determines the number of subitems each ListViewItem object in the control can have. When you delete a ListViewColumnHeader object, all of the subitems associated with the column are also deleted, and each ListViewItem object's subitem array shifts to update the indices of the ListViewColumnHeader, causing the remaining column headers' SubItemIndex properties to change.

See Also

ListViewColumnHeader Members


%%PageItemTitle%% $$Members$$

ListViewColumnHeader Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewColumnHeader Object Members

Public Methods

Public Method GetRect Gets the position of the item.

Public Properties

Public Property Alignment | Gets or sets the horizontal alignment of the text displayed in the ListViewColumnHeader.
Public Property Icon | Gets or sets the index of the image that is displayed for the column header.
Public Property Index | Returns or sets the number that uniquely identifies an object in a collection.
Public Property Key | Returns or sets a string that uniquely identifies a member in the ListView.ColumnHeaders collection.
Public Property Position | Gets the current position of the column header in the ColumnHeaders collection.
Public Property Resizable | Gets or sets whether the column header allows width resizing.
Public Property SubItemIndex | Returns the index of the subitem associated with a ListViewColumnHeader object in a ListView control.
Public Property Tag | Gets or sets an object that contains data to associate with the ListViewColumnHeader.
Public Property Text | Gets or sets the text displayed in the column header.
Public Property Width | Gets or sets the width of the column.

See Also

ListViewColumnHeader Overview


%%PageItemTitle%%

ListViewColumnHeader Object

Left
Top
Right
Bottom
See Also Suite Pro Controls ActiveX Control v19.3

GetRect Method

Description

Gets the position of the item.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
Top
Right
Bottom

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Gets or sets the horizontal alignment of the text displayed in the ListViewColumnHeader.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As ListViewColumnAlignment

Remarks

You can use this property to provide different text alignment settings for the text displayed in each ListViewColumnHeader.

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Icon Property

Description

Gets or sets the index of the image that is displayed for the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As Long

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Index Property

Description

Returns or sets the number that uniquely identifies an object in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The Index property is set by default to the order of the creation of objects in a collection. The index for the first object in a collection will always be one.

The value of the Index property of an object can change when objects in the collection are reordered, such as when you set the Sorted property to True. If you expect the Index property to change dynamically, it may be more useful to refer to objects in a collection by using the Key property.

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Key Property

Description

Returns or sets a string that uniquely identifies a member in the ListView.ColumnHeaders collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

Remarks

If the string is not unique, an error will occur. You can set the Key property when you use the Add method to add colulmn header to the ListView.ColumnHeaders collection.

The value of the Index property of an object can change when objects in the collection are reordered, such as when you set the Sorted property to True. If you expect the Index property to change dynamically, refer to objects in a collection using the Key property.

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object | ColumnHeaders Property

See Also Suite Pro Controls ActiveX Control v19.3

Position Property

Description

Gets the current position of the column header in the ColumnHeaders collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As Long

See Also

ListViewColumnHeader Object | ColumnHeaders Property


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Resizable Property

Description

Gets or sets whether the column header allows width resizing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Resizable() As Boolean

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

SubItemIndex Property

Description

Returns the index of the subitem associated with a ListViewColumnHeader object in a ListView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property SubItemIndex() As Long

Remarks

Subitems are arrays of strings representing the ListViewItem object's data when displayed in Report view. The first column header always has a SubItemIndex property set to 0 because the small icon and the ListViewItem object's text always appear in the first column and are considered ListItem objects rather than subitems. The number of column headers dictates the number of subitems. There is always exactly one more column header than there are subitems.

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Tag Property

Description

Gets or sets an object that contains data to associate with the ListViewColumnHeader.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text displayed in the column header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeader Object

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Description

Gets or sets the width of the column.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

This property enables you to set the Width of the ListViewColumnHeader.

See Also

ListViewColumnHeader Object


%%PageItemTitle%%

ListViewColumnHeaders Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewColumnHeaders Collection

Description

A ListViewColumnHeaders collection contains one or more ColumnHeader objects.

For a list of all members defined in this module, see ListViewColumnHeaders members.

Object Model

Remarks

You can view ColumnHeader objects in Report view only. You can add ColumnHeader objects to a ListView control at both design time and run time.

With a ListViewColumnHeader object, a user can click it to trigger the ColumnClick event and sort the items based on that data item, grab the object's right border and drag it to adjust the width of the column and hide ListViewColumnHeader objects in Report view.

There is always one column in the ListView control, which is Column 1. This column contains the actual ListViewItem objects; not their subitems. The second column (Column 2) contains subitems. Therefore, you always have one more ListViewColumnHeader object than subitems and the ListViewItem object's SubItems property is a 1-based array of size ListViewColumnHeader.Count - 1.

The number of ListViewColumnHeader objects determines the number of subitems each ListViewItem object in the control can have. When you delete a ListViewColumnHeader object, all of the subitems associated with the column are also deleted, and each ListViewItem object's subitem array shifts to update the indices of the ListViewColumnHeader, causing the remaining column headers' SubItemIndex properties to change.

See Also

ListViewColumnHeaders Members


%%PageItemTitle%% $$Members$$

ListViewColumnHeaders Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewColumnHeaders Collection Members

Public Methods

Public Method Add | Adds a ListViewColumnHeader object to a ListViewColumnHeaders collection in a ListView control.
Public Method Clear | Removes all column headers from the collection.
Public Method Remove | Removes the specified column header from the collection.

Public Properties

Public Property Count | Gets the number of items in the collection.
Public Property Item | Gets a column header from the collection.

See Also

ListViewColumnHeaders Overview


%%PageItemTitle%%

ListViewColumnHeaders Collection

Index
An integer that uniquely identifies a member of an object collection.
Key
A unique string expression that can be used to access a member of the collection.
Text
The text to display in the column header.
Width
The initial width of the column header.
Alignment
An integer that determines the alignment of text in the column header.
Icon
The index value of the image to display in the column header.
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Description

Adds a ListViewColumnHeader object to a ListViewColumnHeaders collection in a ListView control.

Syntax

Public Function Add( _
   Optional ByVal Index As Variant, _
   Optional ByVal Key As Variant, _
   Optional ByVal Text As Variant, _
   Optional ByVal Width As Variant, _
   Optional ByVal Alignment As Variant, _
   Optional ByVal Icon As Variant _
) As ListViewColumnHeader

Parameters

Index
An integer that uniquely identifies a member of an object collection.
Key
A unique string expression that can be used to access a member of the collection.
Text
The text to display in the column header.
Width
The initial width of the column header.
Alignment
An integer that determines the alignment of text in the column header.
Icon
The index value of the image to display in the column header.

Return Type

The ListViewColumnHeader with the specified key, aligned text, width, and image key that has been added to the collection.

Remarks

The Add method returns a reference to the newly inserted ListViewColumnHeader object. Use the index argument to insert a column header in a specific position in the column headers collection.

See Also

ListViewColumnHeaders Collection


%%PageItemTitle%%

ListViewColumnHeaders Collection

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Removes all column headers from the collection.

Syntax

Public Sub Clear()

Remarks

When you remove column headers from the collection, all information about the deleted column headers is lost. To remove a single column header from the collection use the Remove method.

See Also

ListViewColumnHeaders Collection


%%PageItemTitle%%

ListViewColumnHeaders Collection

Index
An integer or string that uniquely identifies the column header within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Description

Removes the specified column header from the collection.

Syntax

Public Sub Remove( _
   ByVal Index As Variant _
)

Parameters

Index
An integer or string that uniquely identifies the column header within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.

Remarks

When you remove a column header from the collection, the indexes change for subsequent column headers in the collection. All information about the removed column header is deleted. To remove all column headers from the collection use the Clear method.

See Also

ListViewColumnHeaders Collection


%%PageItemTitle%%

ListViewColumnHeaders Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Gets the number of items in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

This property enables you to determine the number of columns that are displayed in the ListView when the View property is set to xtpListViewReport.

See Also

ListViewColumnHeaders Collection


%%PageItemTitle%%

ListViewColumnHeaders Collection

Index
An expression that specifies the position of a member of the collection. If a numeric expression, index must be a number from 1 to the value of the collection's Count property. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.
See Also Suite Pro Controls ActiveX Control v19.3

Item Property

Description

Gets a column header from the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Variant _
) As ListViewColumnHeader

Parameters

Index
An expression that specifies the position of a member of the collection. If a numeric expression, index must be a number from 1 to the value of the collection's Count property. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.

Remarks

You can use this method to obtain the ListViewColumnHeader stored at a specific location in the collection.

See Also

ListViewColumnHeaders Collection


%%PageItemTitle%%

ListViewItem Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewItem Object

Description

A ListViewItem consists of text, the index of an associated icon (ListImage object), and, in Report view, an array of strings representing subitems.

For a list of all members defined in this module, see ListViewItem members.

Object Model

Remarks

ListViewItem objects can contain both text and pictures. However, to use pictures, you must reference an ImageManager control using the Icons property. You can also change the image by using the Icon property of the item.

See Also

ListViewItem Members


%%PageItemTitle%% $$Members$$

ListViewItem Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewItem Object Members

Public Methods

Public Method EnsureVisible | Forces this item to be visible.
Public Method GetRect | Gets the position of the item.

Public Properties

Public Property Bold | Gets or sets whether the item text is displayed in bold type font.
Public Property Checked | Gets or sets a value indicating whether the item is checked.
Public Property ForeColor | Gets or sets the foreground color of the item's text.
Public Property Ghosted | Returns or sets a value that determines whether a ListViewItem object in a ListView control is unavailable (it appears dimmed).
Public Property Icon | Gets or sets the index of the image that is displayed for the item.
Public Property Index | Gets the index of the item within the ListView control.
Public Property Key | Returns or sets a string that uniquely identifies the ListViewItem.
Public Property ListSubItems | Gets a collection containing all subitems of the item.
Public Property Selected | Gets or sets a value indicating whether the item is selected.
Public Property SubItems | Gets a collection containing all subitems of the item.
Public Property Tag | Gets or sets an object that contains data to associate with the item.
Public Property Text | Gets or sets the text of the item.
Public Property TextBackColor | Gets\sets the background color of the item.
Public Property ToolTipText | Gets or sets the text shown when the mouse pointer rests on the ListViewItem.

See Also

ListViewItem Overview


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

EnsureVisible Method

Description

Forces this item to be visible.

Syntax

Public Sub EnsureVisible()

Remarks

This will cause the List View control to scroll to this item.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

Left
Top
Right
Bottom
See Also Suite Pro Controls ActiveX Control v19.3

GetRect Method

Description

Gets the position of the item.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
Top
Right
Bottom

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Bold Property

Description

Gets or sets whether the item text is displayed in bold type font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Checked Property

Description

Gets or sets a value indicating whether the item is checked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

Remarks

This property is useful only if the CheckBoxes property of the ListView control is set to true. You can use this property to determine if the item has been checked by the user or through code at run time. To take action when an item has been checked, you can use the ItemCheck event.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color of the item's text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

Remarks

You can use the ForeColor property to change the color of the item text.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Ghosted Property

Description

Returns or sets a value that determines whether a ListViewItem object in a ListView control is unavailable (it appears dimmed).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Ghosted() As Boolean

Remarks

The Ghosted property is typically used to show when a ListViewItem is cut, or disabled for some reason. When a ghosted ListViewItem is selected, the label is highlighted but its image is not.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Icon Property

Description

Gets or sets the index of the image that is displayed for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As Long

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Index Property

Description

Gets the index of the item within the ListView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

You can use this property to determine if the item is associated with a ListView control as well as to determine its position within the ListView.ListItems of the ListView.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Key Property

Description

Returns or sets a string that uniquely identifies the ListViewItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ListSubItems Property

Description

Gets a collection containing all subitems of the item.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ListSubItems() As ListViewSubItems

Remarks

Using the ListViewSubItems collection, you can add subitems, remove subitems, and obtain a count of subitems. For more information on the tasks that can be performed with the subitems in the collection, see the ListViewSubItems collection object reference topics.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Selected Property

Description

Gets or sets a value indicating whether the item is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

Index
An integer that identifies a subitem for the specified ListViewItem.
See Also Suite Pro Controls ActiveX Control v19.3

SubItems Property

Description

Gets a collection containing all subitems of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SubItems( _
   ByVal Index As Long _
) As String

Parameters

Index
An integer that identifies a subitem for the specified ListViewItem.

Remarks

Subitems are arrays of strings representing the ListViewItem object's data that are displayed in Report view. A ListViewItem object can have any number of associated item data strings (subitems) but each ListViewItem object must have the same number of subitems.

There are corresponding column headers defined for each subitem. You cannot add elements directly to the subitems array. Use the Add method of the ListViewColumnHeaders collection to add subitems.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Tag Property

Description

Gets or sets an object that contains data to associate with the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

The Text property allows you to change the text displayed for the item. The LabelWrap property determines whether text wraps to the next line or is displayed on a single line.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

TextBackColor Property

Description

Gets\sets the background color of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextBackColor() As ULong

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipText Property

Description

Gets or sets the text shown when the mouse pointer rests on the ListViewItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTipText() As String

Remarks

If both the ListViewItem and its containing ListView have ToolTips set, only the ToolTip for the ListViewItem will be shown.

See Also

ListViewItem Object


%%PageItemTitle%%

ListViewItems Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewItems Collection

Description

A ListViewItems collection contains one or more ListViewItem objects.

For a list of all members defined in this module, see ListViewItems members.

Object Model

Remarks

ListViewItem objects can contain both text and pictures. However, to use pictures, you must reference an ImageManager control using the Icons property. You can also change the image by using the Icon property of the item.

See Also

ListViewItems Members


%%PageItemTitle%% $$Members$$

ListViewItems Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewItems Collection Members

Public Methods

Public Method Add | Adds a ListViewItem object to a ListViewItems collection in a ListView control and returns a reference to the newly created object.
Public Method Clear | Removes all items from the collection.
Public Method Remove | Removes the specified item from the collection.

Public Properties

Public Property Count | Gets the number of items in the collection.
Public Property Item | Gets or sets an item in the collection.

See Also

ListViewItems Overview


%%PageItemTitle%%

ListViewItems Collection

Index
An integer specifying the position where you want to insert the ListViewItem . If no index is specified, the ListViewItem is added to the end of the ListViewItems collection.
Key
A unique string expression that can be used to access a member of the collection.
Text
A string that is associated with the ListViewItem object control.
Icon
An integer that sets the icon to be displayed from an ImageList\ImageManager control, when the ListView control is set to Icon view.
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Description

Adds a ListViewItem object to a ListViewItems collection in a ListView control and returns a reference to the newly created object.

Syntax

Public Function Add( _
   Optional ByVal Index As Variant, _
   Optional ByVal Key As Variant, _
   Optional ByVal Text As Variant, _
   Optional ByVal Icon As Variant _
) As ListViewItem

Parameters

Index
An integer specifying the position where you want to insert the ListViewItem . If no index is specified, the ListViewItem is added to the end of the ListViewItems collection.
Key
A unique string expression that can be used to access a member of the collection.
Text
A string that is associated with the ListViewItem object control.
Icon
An integer that sets the icon to be displayed from an ImageList\ImageManager control, when the ListView control is set to Icon view.

Remarks

If the list is not currently sorted, a ListViewItem object can be inserted in any position by using the index argument. If the list is sorted, the index argument is ignored and the ListViewItem object is inserted in the appropriate position based upon the sort order.

If index is not supplied, the ListViewItem object is added with an index that is equal to the number of ListViewItem objects in the collection + 1.

Use the Key property to reference a member of the ListViewItems collection if you expect the value of an object's Index property to change, such as by dynamically adding objects to or removing objects from the collection.

See Also

ListViewItems Collection


%%PageItemTitle%%

ListViewItems Collection

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Removes all items from the collection.

Syntax

Public Sub Clear()

Remarks

When you remove items from the collection, all information about the deleted items is lost. To remove a single item from the collection, use the Remove method.

See Also

ListViewItems Collection


%%PageItemTitle%%

ListViewItems Collection

Index

An integer or string that uniquely identifies the object within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.

See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Description

Removes the specified item from the collection.

Syntax

Public Sub Remove( _
   ByVal Index As Variant _
)

Parameters

Index

An integer or string that uniquely identifies the object within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.

Remarks

To remove all the members of a collection, use the Clear method.

See Also

ListViewItems Collection


%%PageItemTitle%%

ListViewItems Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Gets the number of items in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ListViewItems Collection


%%PageItemTitle%%

ListViewItems Collection

Index
The index\key of the item in the collection to get or set.
See Also Suite Pro Controls ActiveX Control v19.3

Item Property

Description

Gets or sets an item in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Variant _
) As ListViewItem

Parameters

Index
The index\key of the item in the collection to get or set.

See Also

ListViewItems Collection


%%PageItemTitle%%

ListViewSubItem Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewSubItem Object

Description

Represents a subitem of a ListViewItem.

For a list of all members defined in this module, see ListViewSubItem members.

Remarks

A ListView control displays a list of items that are defined by the ListViewItem class. Each ListViewItem can store subitem objects. Subitems are displayed when the View property of the ListView control is set to xtpListViewReport. Typically, subitems contain information that is related to their parent item.

See Also

ListViewSubItem Members


%%PageItemTitle%% $$Members$$

ListViewSubItem Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewSubItem Object Members

Public Properties

Public Property Bold | Gets or sets whether the item text is displayed in bold type font.
Public Property ForeColor | Gets or sets the foreground color of the subitem's text.
Public Property Index | Gets the index of the ListViewSubItem within the ListView control.
Public Property Key | Returns or sets a string that uniquely identifies the ListViewSubItem.
Public Property Tag | Gets or sets an object that contains data about the ListViewSubItem.
Public Property Text | Gets or sets the text of the subitem.
Public Property ToolTipText | Gets or sets the text shown when the mouse pointer rests on the ListViewSubItem.

See Also

ListViewSubItem Overview


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Bold Property

Description

Gets or sets whether the item text is displayed in bold type font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color of the subitem's text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItem Object | ListSubItems Property

See Also Suite Pro Controls ActiveX Control v19.3

Index Property

Description

Gets the index of the ListViewSubItem within the ListView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

You can use this property to determine if the item is associated with a ListView control as well as to determine its position within the ListViewItem.ListSubItems of the ListView.

See Also

ListViewSubItem Object | ListSubItems Property


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Key Property

Description

Returns or sets a string that uniquely identifies the ListViewSubItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Tag Property

Description

Gets or sets an object that contains data about the ListViewSubItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text of the subitem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

The Text property allows you to determine the text displayed for the subitem.

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipText Property

Description

Gets or sets the text shown when the mouse pointer rests on the ListViewSubItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTipText() As String

Remarks

If both the ListViewSubItem and its containing ListView have ToolTips set, only the ToolTip for the ListViewSubItem will be shown.

See Also

ListViewSubItem Object


%%PageItemTitle%%

ListViewSubItems Members

See Also Suite Pro Controls ActiveX Control v19.3

ListViewSubItems Collection

Description

Collection of ListViewItem subitems.

For a list of all members defined in this module, see ListViewSubItems members.

Object Model

See Also

ListViewSubItems Members


%%PageItemTitle%% $$Members$$

ListViewSubItems Overview

See Also Suite Pro Controls ActiveX Control v19.3

ListViewSubItems Collection Members

Public Methods

Public Method Add | Adds a subitem to the collection of subitems.
Public Method Clear | Removes all subitems from the collection.
Public Method Remove | Removes a specified item from the collection.

Public Properties

Public Property Count | Gets the number of subitems in the collection.
Public Property Item | Gets or sets the subitem at the specified index\key within the collection.

See Also

ListViewSubItems Overview


%%PageItemTitle%%

ListViewSubItems Collection

Index
Key
Text
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Description

Adds a subitem to the collection of subitems.

Syntax

Public Function Add( _
   Optional ByVal Index As Variant, _
   Optional ByVal Key As Variant, _
   Optional ByVal Text As Variant _
) As ListViewSubItem

Parameters

Index
Key
Text

See Also

ListViewSubItems Collection


%%PageItemTitle%%

ListViewSubItems Collection

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Removes all subitems from the collection.

Syntax

Public Sub Clear()

See Also

ListViewSubItems Collection


%%PageItemTitle%%

ListViewSubItems Collection

Index
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Description

Removes a specified item from the collection.

Syntax

Public Sub Remove( _
   ByVal Index As Variant _
)

Parameters

Index

See Also

ListViewSubItems Collection


%%PageItemTitle%%

ListViewSubItems Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Gets the number of subitems in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ListViewSubItems Collection


%%PageItemTitle%%

ListViewSubItems Collection

Index
The index\key of the item in the collection to retrieve.
See Also Suite Pro Controls ActiveX Control v19.3

Item Property

Description

Gets or sets the subitem at the specified index\key within the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Variant _
) As ListViewSubItem

Parameters

Index
The index\key of the item in the collection to retrieve.

See Also

ListViewSubItems Collection


%%PageItemTitle%%

MarkupContext Members | SetMethod Method | Label.MarkupContext Property | EnableMarkup Property

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Object

Description

Object used to connect XML Markup with methods, functions and events. This allows XML Markup to call any method, function or event.

For a list of all members defined in this module, see MarkupContext members.

Object Model

Remarks

MarkupContext is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

Example

[Visual Basic]

Public Sub Hyperlink_Click(Reserved1 As Object, Reserved2 As Object)
    MsgBox "Clicked"
End Sub

Private Sub Form_Load()
    Label1.EnableMarkup = True
    Label1.MarkupContext.SetMethod Me, "Hyperlink_Click"
    Label1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
End Sub

See Also

MarkupContext Members | SetMethod Method | Label.MarkupContext Property | EnableMarkup Property


%%PageItemTitle%% $$Members$$

MarkupContext Overview | SetMethod Method | Label.MarkupContext Property | EnableMarkup Property

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Object Members

Public Methods

Public Method FreezeUpdates |
Public Method SetHandler | Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.
Public Method SetMethod | Links a XAML event with a Subroutine or Function in code.
Public Method UnfreezeUpdates |
Public Method ValidateXML |

Public Properties

Public Property DefaultSmoothingMode |
Public Property DefaultTextSmoothingEnabled |
Public Property DpiAware |
Public Property EnableGdiPlus | Enables/disables GDI+ usage for Markup drawing.
Public Property Icons |
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.

See Also

MarkupContext Overview | SetMethod Method | Label.MarkupContext Property | EnableMarkup Property


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

FreezeUpdates Method

Syntax

Public Sub FreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Handler
Reference to the parent object.
See Also Suite Pro Controls ActiveX Control v19.3

SetHandler Method

Description

Enables event handling for a XAML object which links XAML events with a Subroutine or Function in code.

Syntax

Public Sub SetHandler( _
   ByVal Handler As Object _
)

Parameters

Handler
Reference to the parent object.

Remarks

SetHandler enables event handling for a XAML object. This will link XAML events with a Subroutine or Function in code (VB, C#, etc).

Any XML Markup that is in the CheckBox, Button, RadioButton, Label or MarkupLabel control's Caption property will be translated to viewable text. To enable event handling for a XAAML object in one of the controls mentioned above call SetHandler. With SetHandler you only need to specify the Handler of the control and all functions names will be calculated from Markup.

In the sample below the "HyperClick" and "Hyperlink_MouseRightButtonUpEvent" subroutines are used to handle the Click and MouseRightButtonUp events of the hyperlink.

Connecting XML events to your code can be very useful if using the MarkupLabel control to create a full page application using XML. For example clicking on hyper links and buttons, mouse overs, etc.

Example

[Catching the Click and RightMouseUp event in Markup for a Hyperlink (Visual Basic)] Shows how to catching the Click and RightMouseUp event in Markup for a Hyperlink. In this case the text is in the Caption of a MarkupLabel control.

    Public Sub HyperClick(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " was clicked"
    End Sub

    Public Sub Hyperlink_MouseRightButtonUpEvent(ByVal Sender As MarkupObject, ByVal Args As MarkupRoutedEventArgs)
        Dim tempHL As MarkupHyperlink
        Set tempHL = Sender

        MsgBox tempHL.Tag + " has been right clicked"
    End Sub

    MarkupLabel2.MarkupContext.SetHandler Me
    MarkupLabel2.Caption = "<TextBlock>Text with <Hyperlink Tag='Link1' Click='HyperClick' MouseRightButtonUp='Hyperlink_MouseRightButtonUpEvent'>Hyperlink</Hyperlink></TextBlock>"

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object | MarkupContext Property | EnableMarkup Property

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.
See Also Suite Pro Controls ActiveX Control v19.3

SetMethod Method

Description

Links a XAML event with a Subroutine or Function in code.

Syntax

Public Sub SetMethod( _
   ByVal Handler As Object, _
   ByVal Method As String _
)

Parameters

Handler
Reference to the parent object.
Method
Name of the Subroutine or Functions in code to link to a XAML event.

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

Example

[Visual Basic]

Public Sub Hyperlink_Click(Reserved1 As Object, Reserved2 As Object)
    MsgBox "Clicked"
End Sub

Private Sub Form_Load()
    Label1.EnableMarkup = True
    Label1.MarkupContext.SetMethod Me, "Hyperlink_Click"
    Label1.Caption = "<TextBlock>Click <Hyperlink Click='Hyperlink_Click'>this</Hyperlink> link</TextBlock>"
End Sub

See Also

MarkupContext Object | MarkupContext Property | EnableMarkup Property


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

UnfreezeUpdates Method

Syntax

Public Sub UnfreezeUpdates()

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

Text
See Also Suite Pro Controls ActiveX Control v19.3

ValidateXML Method

Syntax

Public Function ValidateXML( _
   ByVal Text As String _
) As String

Parameters

Text

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultSmoothingMode Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultSmoothingMode() As XTPMarkupSmoothingMode

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

DefaultTextSmoothingEnabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultTextSmoothingEnabled() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

DpiAware Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property DpiAware() As Boolean

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

EnableGdiPlus Property

Description

Enables/disables GDI+ usage for Markup drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableGdiPlus() As Boolean

Remarks

True to enable; False to disable GDI+.

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

MarkupContext Object


%%PageItemTitle%%

MarkupContext Object

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window displayed for markup.

See the ToolTipContext object for a complete list of methods and properties.

See Also

MarkupContext Object


%%PageItemTitle%%

MonthCalendar Members | Value Property | SelStart Property | SelEnd Property | MultiSelect Property | MonthColumns Property | MonthRows Property | MaxSelCount Property

See Also Suite Pro Controls ActiveX Control v19.3

MonthCalendar Control

Description

The MonthCalendar control enables you to create applications that let users view and set date information via a calendar-like interface.

For a list of all members defined in this module, see MonthCalendar members.

Remarks

The Value property of the MonthCalendar control returns the currently selected date.

You can allow end users to select a contiguous range of dates by setting the MultiSelect property to True, and specifying the number of selectable days with the MaxSelCount property. The SelStart and SelEnd properties return the start and end dates of a selection.

You can display more than one month at a time (up to 12) in a MonthCalendar control by setting the MonthRows and MonthColumns properties. The total of the MonthRows and MonthColumns properties must be less than or equal to 12.

See Also

MonthCalendar Members | Value Property | SelStart Property | SelEnd Property | MultiSelect Property | MonthColumns Property | MonthRows Property | MaxSelCount Property


%%PageItemTitle%% $$Members$$

MonthCalendar Overview | Value Property | SelStart Property | SelEnd Property | MultiSelect Property | MonthColumns Property | MonthRows Property | MaxSelCount Property

See Also Suite Pro Controls ActiveX Control v19.3

MonthCalendar Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property AutoSize | Gets\sets whether the month items in the MonthCalendar control are automatically sized to fit within the size of the control.
Public Property Day | Returns or sets a value that specifies the current day number.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property MaxDate | Gets or sets the maximum allowable date.
Public Property MaxSelCount | Gets or sets the maximum number of days that can be selected in a month calendar control.
Public Property MinDate | Gets or sets the minimum allowable date.
Public Property Month | Gets or sets a value that specifies the current month.
Public Property MonthColumns | Gets or sets the number of columns of months displayed.
Public Property MonthRows | Gets or sets the number of rows of months displayed.
Public Property MultiSelect | Gets or sets a value that determines if multiple dates can be selected at once.
Public Property ReCreateReparented |
Public Property SelEnd | Gets or sets the end date of the selected range of dates.
Public Property SelStart | Gets or sets the start date of the selected range of dates.
Public Property ShowToday | Gets or sets a value that determines if the current date is displayed at the bottom of the control.
Public Property ShowWeekNumbers | Gets or sets a value indicating whether the month calendar control displays week numbers (1-52) to the left of each row of days.
Public Property StartOfWeek | Gets or sets a value that specifies the starting day of the week.
Public Property Value | Gets or sets the date currently displayed.
Public Property Year | Gets or sets a value that specifies a calendar year.

Events

Public Event Click | Occurs when the user clicks the MonthCalendar control.
Public Event DateClick | Occurs when a specific date is clicked in the calendar.
Public Event DblClick | Occurs when the user double-clicks the MonthCalendar control.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |
Public Event SelChange | Occurs when the user selects a new date or range of dates.

See Also

MonthCalendar Overview | Value Property | SelStart Property | SelEnd Property | MultiSelect Property | MonthColumns Property | MonthRows Property | MaxSelCount Property


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control | MonthColumns Property | MonthRows Property

See Also Suite Pro Controls ActiveX Control v19.3

AutoSize Property

Description

Gets\sets whether the month items in the MonthCalendar control are automatically sized to fit within the size of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

Remarks

When AutoSize is False, the MonthCalendar control will automatically determine how many month items can be displayed in the control based on the current width and height of the control. The MonthCalendar will fit as many month items into the control (Up to 12). The means as the MonthCalendar is resized, more or less month items are added to the control, the month items remain the same width\height.

When AutoSize is True, the MonthCalendar control will use the MonthColumns and MonthRows properties to determine how many month items to draw in the control. When the MonthCalendar control is resized, no new month items will be added, instead and the control will continue to show the same number of months.

See Also

MonthCalendar Control | MonthColumns Property | MonthRows Property


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Day Property

Description

Returns or sets a value that specifies the current day number.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Day() As Long

Remarks

The Day property can be set to any integer from 1 to 31.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control | MinDate Property

See Also Suite Pro Controls ActiveX Control v19.3

MaxDate Property

Description

Gets or sets the maximum allowable date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxDate() As Date

Remarks

The MaxDate property is used to set the upper boundary of the calendar.

See Also

MonthCalendar Control | MinDate Property


%%PageItemTitle%%

MonthCalendar Control | SelEnd Property | SelStart Property

See Also Suite Pro Controls ActiveX Control v19.3

MaxSelCount Property

Description

Gets or sets the maximum number of days that can be selected in a month calendar control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxSelCount() As Long

Remarks

Setting this property does not effect the current selection range.

It is important to remember that the MaxSelCount property represents the number of days in the selection, not the difference between SelStart and SelEnd. For example, if MaxSelCount is 7 (the default), SelStart and SelEnd can be no more than six days apart.

See Also

MonthCalendar Control | SelEnd Property | SelStart Property


%%PageItemTitle%%

MonthCalendar Control | MaxDate Property

See Also Suite Pro Controls ActiveX Control v19.3

MinDate Property

Description

Gets or sets the minimum allowable date.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinDate() As Date

Remarks

The MinDate property is used to set the lower boundary of the calendar.

See Also

MonthCalendar Control | MaxDate Property


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Month Property

Description

Gets or sets a value that specifies the current month.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Month() As Long

Remarks

The Month property can be set to any integer from 1 to 12.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control | MonthRows Property

See Also Suite Pro Controls ActiveX Control v19.3

MonthColumns Property

Description

Gets or sets the number of columns of months displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthColumns() As Long

Remarks

Only one calendar year is displayed at a time, and the maximum number of months that can be displayed is 12. Valid combinations of columns and rows make a maximum product of 12; for values greater than 12, the display is modified on a best-fit basis.

See Also

MonthCalendar Control | MonthRows Property


%%PageItemTitle%%

MonthCalendar Control | MonthColumns Property

See Also Suite Pro Controls ActiveX Control v19.3

MonthRows Property

Description

Gets or sets the number of rows of months displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MonthRows() As Long

Remarks

Only one calendar year is displayed at a time, and the maximum number of months that can be displayed is 12. Valid combinations of columns and rows make a maximum product of 12; for values greater than 12, the display is modified on a best-fit basis.

See Also

MonthCalendar Control | MonthColumns Property


%%PageItemTitle%%

MonthCalendar Control | MaxSelCount Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiSelect Property

Description

Gets or sets a value that determines if multiple dates can be selected at once.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiSelect() As Boolean

Remarks

By default, the control allows the user to select a range of dates. The default maximum range is one week (7 days). You can change the maximum selectable range by setting the MaxSelCount property. The Value property will be in this range, indicating which date has focus.

See Also

MonthCalendar Control | MaxSelCount Property | Value Property


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control | SelStart Property | MaxSelCount Property

See Also Suite Pro Controls ActiveX Control v19.3

SelEnd Property

Description

Gets or sets the end date of the selected range of dates.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelEnd() As Date

Remarks

If you set the value of the SelEnd property to a date that is earlier than the current value of the SelStart property, SelStart is automatically set equal to SelEnd.

If you set a date in SelEnd that causes the selection to exceed the number of days specified by the MaxSelCount property, the value of SelStart is adjusted; SelStart is automatically set so that the number of days selected is equal to MaxSelCount.

See Also

MonthCalendar Control | SelStart Property | MaxSelCount Property


%%PageItemTitle%%

MonthCalendar Control | SelEnd Property | MaxSelCount Property

See Also Suite Pro Controls ActiveX Control v19.3

SelStart Property

Description

Gets or sets the start date of the selected range of dates.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelStart() As Date

Remarks

If you set the value of the SelStart property to a date that is later than the current value of the SelectionEnd property, SelEnd is automatically set equal to SelStart.

If you set a date in SelStart that causes the selection to exceed the number of days specified by the MaxSelCount property, the value of SelEnd is adjusted; SelEnd is automatically set so that the number of days selected is equal to MaxSelCount.

See Also

MonthCalendar Control | SelEnd Property | MaxSelCount Property


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowToday Property

Description

Gets or sets a value that determines if the current date is displayed at the bottom of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowToday() As Boolean

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowWeekNumbers Property

Description

Gets or sets a value indicating whether the month calendar control displays week numbers (1-52) to the left of each row of days.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWeekNumbers() As Boolean

Remarks

Week numbers are displayed to the left of the week, and start from the first week of the calendar year.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

StartOfWeek Property

Description

Gets or sets a value that specifies the starting day of the week.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StartOfWeek() As Long

Remarks

The StartOfWeek property allows you to specify the day that will appear in the far left side of the calendar. This can be helpful when designing applications for multiple countries.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the date currently displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Date

Remarks

The Value property is the default property of the control.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Year Property

Description

Gets or sets a value that specifies a calendar year.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Year() As Long

Remarks

The Year property can be set to any integer from 1601 to 9999.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user clicks the MonthCalendar control.

Syntax

Public Event Click()

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

DateClicked
Date clicked in the calendar.
See Also Suite Pro Controls ActiveX Control v19.3

DateClick Event

Description

Occurs when a specific date is clicked in the calendar.

Syntax

Public Event DateClick( _
   ByVal DateClicked As Date _
)

Parameters

DateClicked
Date clicked in the calendar.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user double-clicks the MonthCalendar control.

Syntax

Public Event DblClick()

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

MonthCalendar Control


%%PageItemTitle%%

MonthCalendar Control

StartDate
The first date in the selection.
EndDate
The last date in the selection.
Cancel
Determines whether the selection is canceled.
See Also Suite Pro Controls ActiveX Control v19.3

SelChange Event

Description

Occurs when the user selects a new date or range of dates.

Syntax

Public Event SelChange( _
   ByVal StartDate As Date, _
   ByVal EndDate As Date, _
   ByRef Cancel As Boolean _
)

Parameters

StartDate
The first date in the selection.
EndDate
The last date in the selection.
Cancel
Determines whether the selection is canceled.

See Also

MonthCalendar Control


%%PageItemTitle%%

PopupControl Members

See Also Suite Pro Controls ActiveX Control v19.3

PopupControl Control

Description

Represents a popup window

For a list of all members defined in this module, see PopupControl members.

Object Model

See Also

PopupControl Members


%%PageItemTitle%% $$Members$$

PopupControl Overview

See Also Suite Pro Controls ActiveX Control v19.3

PopupControl Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method AddItem | Adds a PopupControlItem to the popup control. This is how you add icons and text to the popup control. This is also used when creating custom themes.
Public Method Close | Closes the popup control.
Public Method Hide | Hides the popup control
Public Method Item | Returns a PopupControlItem at the specified index.
Public Method RemoveAllItems | Removes all popup control items (icons, text, etc...) from the popup control
Public Method RemoveItem | Removes an item from the popup control.
Public Method SetSize | Sets the size of the popup control
Public Method Show | Shows/displays the popup control

Public Properties

Public Property AllowMove | Specifies whether the user can click and drag the popup window when it is displayed.
Public Property AnimateDelay | Gets/Sets the amount of time it takes to complete the animation when opening and closing the popup control. Delay is measured in milliseconds
Public Property Animation | Gets/Sets the type of animation used when displaying and closing the popup control
Public Property BackgroundBitmap | Index of an image from the ImageManager to use as a background for the popup control.
Public Property Bottom | Gets/Sets the position of the popup control on the screen in pixels. This property indicates where the bottom border of the popup window will be displayed. This is used with the right property to set the position of the popup window on the screen.
Public Property DefaultLocation | Specifies the default location the popup control will get displayed.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property Font | Gets/Sets the font used to display the popup control items in the popup control
Public Property Height | Gets/Sets the height of the popup control
Public Property Icons | The Icons property is a collection of icons that can be used in PopupControlItem objects.
Public Property ItemCount | Total number of items that have been added to the Popup Control.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property ReCreateReparented |
Public Property Right | Gets/Sets the position of the popup control on the screen in pixels. This property indicates where the right border of the popup window will be displayed. This is used with the "bottom" property to set the position of the popup window
Public Property RightToLeft | Gets or sets a value indicating whether the PopupControl elements are aligned to support locales using right-to-left fonts.
Public Property ShowDelay | Gets/Sets the amount of time that the popup control is displayed in milliseconds
Public Property SplashScreenMode | Specifies whether to ignore mouse movements. I.e. For fade-in/out and auto-closing.
Public Property state | Gets the current state of the popup control. I.e. If the popup control is opening, open, closing, or closed
Public Property Transparency | Gets/Sets the level of transparency used when displaying the popup control. Range: 0 - 255
Public Property VisualTheme | Gets/Sets the visual theme used to display the popup control.
Public Property Width | Gets/Sets the width of the popup control.

Events

Public Event ItemClick | Occurs when a popup control item is clicked. In this event, you use the Id of the popup control item to determine which item was clicked
Public Event ReCreated |
Public Event StateChanged | Occurs when the state of the popup control changes. For example, this occurs when the state of the popup control changes from closing to closed, or open to closing

See Also

PopupControl Overview


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

Left
Left coordinate of area in PopupControl the item will occupy.
Top
Top coordinate of area in PopupControl the item will occupy.
Right
Right coordinate of area in PopupControl the item will occupy.
Bottom
Bottom coordinate of area in PopupControl the item will occupy.
Caption
Text of item that will be displayed in the area specified by the top, left, right and bottom parameters.
BackgroundColor
Background color of the item, this will fill the area specified by the top, left, right and bottom parameters with the selected color.
BorderColor
Color used to draw a boarder around the area specified by the top, left, right and bottom parameters.
See Also Suite Pro Controls ActiveX Control v19.3

AddItem Method

Description

Adds a PopupControlItem to the popup control. This is how you add icons and text to the popup control. This is also used when creating custom themes.

Syntax

Public Function AddItem( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long, _
   ByVal Caption As String, _
   Optional ByVal BackgroundColor As Variant, _
   Optional ByVal BorderColor As Variant _
) As PopupControlItem

Parameters

Left
Left coordinate of area in PopupControl the item will occupy.
Top
Top coordinate of area in PopupControl the item will occupy.
Right
Right coordinate of area in PopupControl the item will occupy.
Bottom
Bottom coordinate of area in PopupControl the item will occupy.
Caption
Text of item that will be displayed in the area specified by the top, left, right and bottom parameters.
BackgroundColor
Background color of the item, this will fill the area specified by the top, left, right and bottom parameters with the selected color.
BorderColor
Color used to draw a boarder around the area specified by the top, left, right and bottom parameters.

Remarks

This adds a PopupControlItem to the PopupContol and will occupy the area specified by the left, top, right, and bottom parameters. The left, top, right, and bottom parameters specify coordinates in the PopupControl starting at 0,0 up to the size up the PopupControl set by the SetSize method.

To summarize, the PopupControl occupies the area on the screen by the SetSize method. Inside this area you have a coordinate system starting at 0,0. You then use the AddItem method to add an item to the PopupControl. You must specify the area within the PopupControl that the item will occupy.

Example

[Adding Items to the PopupControl using the AddItem method (Visual Basic)] This sample illustrates how to add items to a popup control using the AddItem method.

    Dim Item As PopupControlItem

    'Removes all existing items from the PopupControl
    PopupControl.RemoveAllItems

    'Adds an item to the popup control.
    Set Item = PopupControl.AddItem(25, 6, 170, 19, "PopupControlDemo")
    'Specifies that the Item will be a hyperlink
    Item.Hyperlink = False

    Set Item = PopupControl.AddItem(0, 27, 160, 0, "Options")
    Item.TextAlignment = DT_RIGHT
    Item.CalculateHeight
    Item.CalculateWidth

    Set Item = PopupControl.AddItem(0, 50, 170, 100, "Please visit our website for additional product information including registration details.")
    Item.TextAlignment = DT_CENTER Or DT_WORDBREAK
    Item.CalculateHeight
    Item.Id = IDSITE

    Set Item = PopupControl.AddItem(151, 6, 164, 19, "")
    Item.SetIcons LoadBitmap("Icons\CloseMSN.bmp"), 0, xtpPopupItemIconNormal Or xtpPopupItemIconSelected Or xtpPopupItemIconPressed
    Item.Id = IDCLOSE

    Set Item = PopupControl.AddItem(7, 6, 20, 19, "")
    Item.SetIcons LoadBitmap("Icons\CaptionMSN.bmp"), 0, xtpPopupItemIconNormal

    Set Item = PopupControl.AddItem(115, 102, 160, 120, "")
    Item.SetIcons LoadBitmap("Icons\LogoMSN.bmp"), 0, xtpPopupItemIconNormal

    'Uses a predefined theme
    PopupControl.VisualTheme = xtpPopupThemeMSN
    PopupControl.SetSize 170, 130

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Close Method

Description

Closes the popup control.

Syntax

Public Sub Close()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Hide Method

Description

Hides the popup control

Syntax

Public Sub Hide()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control | ItemCount Property | RemoveItem Method | AddItem Method

Index
Index of the PopupControlItem to retrieve.
See Also Suite Pro Controls ActiveX Control v19.3

Item Method

Description

Returns a PopupControlItem at the specified index.

Syntax

Public Function Item( _
   ByVal Index As Long _
) As PopupControlItem

Parameters

Index
Index of the PopupControlItem to retrieve.

Return Type

The PopupControlItem at the specified index.

See Also

PopupControl Control | ItemCount Property | RemoveItem Method | AddItem Method


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAllItems Method

Description

Removes all popup control items (icons, text, etc...) from the popup control

Syntax

Public Sub RemoveAllItems()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control | Item Method | ItemCount Property

Index
Index of the item to be removed.
See Also Suite Pro Controls ActiveX Control v19.3

RemoveItem Method

Description

Removes an item from the popup control.

Syntax

Public Sub RemoveItem( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to be removed.

Remarks

Removes an item at the specified index from the popup control.

See Also

PopupControl Control | Item Method | ItemCount Property


%%PageItemTitle%%

PopupControl Control

cx
Width of the popup control
cy
Height of the popup control
See Also Suite Pro Controls ActiveX Control v19.3

SetSize Method

Description

Sets the size of the popup control

Syntax

Public Sub SetSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
Width of the popup control
cy
Height of the popup control

Remarks

This only sets the size of the Popup window, you will need to set the Bottom and Right properties to specify where the PopupControl is displayed on the screen.

Example

[Specifying Popup Window Size (Visual Basic)] This sample illustrates how to set the size of the popup window.

    'Specifies that the Popup window will be 170x130 pixels
    'This will provide an area of 170x130 pixels to add items
    'with the AddItem methos.
    PopupControl.SetSize 170, 130

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Show Method

Description

Shows/displays the popup control

Syntax

Public Sub Show()

Remarks

This method is renamed to CtlShow in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AllowMove Property

Description

Specifies whether the user can click and drag the popup window when it is displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowMove() As Boolean

Remarks

If True, the user can click and drag the popup window anywhere on the screen.

If False, the popup window cannot be moved by the user.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AnimateDelay Property

Description

Gets/Sets the amount of time it takes to complete the animation when opening and closing the popup control. Delay is measured in milliseconds

Property type

Read-write property

Syntax (Visual Basic)

Public Property AnimateDelay() As Long

Remarks

Suite Pro's popup control allows you to easily configure the amount of time it takes to complete the animation when opening and closing your popup windows. You can configure the popup window to open and close as long or as short as you like.

Example

[Animate Delay Example (Visual Basic)]

    'This sample code illustrates how change the amount of time it takes to complete the animation when opening and closing the popup window. Delay is measured in milliseconds.
    PopupControl.AnimationDelay = 1024

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Animation Property

Description

Gets/Sets the type of animation used when displaying and closing the popup control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Animation() As XTPPopupAnimation

Example

[Animation Sample (Visual Basic)]

    'This sample code illustrates how to apply the fade animation style to your popup control.
    PopupControl.Animation = xtpPopupAnimationFade

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

BackgroundBitmap Property

Description

Index of an image from the ImageManager to use as a background for the popup control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundBitmap() As Long

Remarks

The BackgroundBitmap property allows you to add images with transparency so that you can have popup controls of different shapes. For example, if you use a circle image as a background, then the popup will look like a circle since the ImageManager preserves transparency settings.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Bottom Property

Description

Gets/Sets the position of the popup control on the screen in pixels. This property indicates where the bottom border of the popup window will be displayed. This is used with the right property to set the position of the popup window on the screen.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bottom() As Long

Remarks

This property is renamed to CtlBottom in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

DefaultLocation Property

Description

Specifies the default location the popup control will get displayed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultLocation() As XTPPopupLocation

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

PopupControl Control | XTPToolTipStyle Enumeration


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font used to display the popup control items in the popup control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Height Property

Description

Gets/Sets the height of the popup control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

Remarks

This property is renamed to CtlHeight in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control | IconIndex Property | ImageManagerIcons Object

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Description

The Icons property is a collection of icons that can be used in PopupControlItem objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

Icons must be added to this collection using the AddIcon, LoadBitmap, or LoadIcon methods before they can be used in the a PopupControlItem.

To use an icon from the Icons collection, the IconIndex of a PopupControlItem is associated with the index of an icon in the Icons collection.

Important note: The IconId can not be zero (0), when using the AddIcon, LoadBitmap, or LoadIcon methods, you can not assign an IconId of zero, the IconId must be a positive integer. IconId refers to the Command parameter in the ImageManagerIcons Methods.

See Also

PopupControl Control | IconIndex Property | ImageManagerIcons Object


%%PageItemTitle%%

PopupControl Control | Item Method | RemoveItem Method

See Also Suite Pro Controls ActiveX Control v19.3

ItemCount Property

Description

Total number of items that have been added to the Popup Control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ItemCount() As Long

See Also

PopupControl Control | Item Method | RemoveItem Method


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

See Also

PopupControl Control

Example

SetMethod Example


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Right Property

Description

Gets/Sets the position of the popup control on the screen in pixels. This property indicates where the right border of the popup window will be displayed. This is used with the "bottom" property to set the position of the popup window

Property type

Read-write property

Syntax (Visual Basic)

Public Property Right() As Long

Remarks

This property is renamed to CtlRight in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the PopupControl elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

Example

[[New Example] (Visual Basic)] This sample illustrates how To enable RTL mode For the PopupControl.

    'Set the PopupControl to RTL mode
    PopupControl.RightToLeft = True

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowDelay Property

Description

Gets/Sets the amount of time that the popup control is displayed in milliseconds

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowDelay() As Long

Example

[Show Delay Example (Visual Basic)]

    'This sample code illustrates how change the the amount of time your popup control is displayed in milliseconds.
    PopupControl.ShowDelay = 2000

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

SplashScreenMode Property

Description

Specifies whether to ignore mouse movements. I.e. For fade-in/out and auto-closing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SplashScreenMode() As Boolean

Return Type

True to ignore mouse movements.

Remarks

This can be used to make a splash screen type popup where the mouse will not keep the popup visible as in a normal popup.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

state Property

Description

Gets the current state of the popup control. I.e. If the popup control is opening, open, closing, or closed

Property type

Read-only property

Syntax (Visual Basic)

Public Property state() As XTPPopupState

Remarks

This property is renamed to CtlState in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparency Property

Description

Gets/Sets the level of transparency used when displaying the popup control. Range: 0 - 255

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparency() As Long

Example

[Transparency Example (Visual Basic)]

    'This sample code illustrates how to change the transparency of your popup control to around 50% transparency.
    PopupControl.Transparency = 130

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme used to display the popup control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPPopupPaintTheme

Example

[PopupControl VisualTheme Sample (Visual Basic)]

    'This sample code illustrates how to use the MSN theme for your popup window.
    PopupControl.VisualTheme = xtpPopupThemeMSN

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Description

Gets/Sets the width of the popup control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

Remarks

This property is renamed to CtlWidth in Visual Studio .NET and must be used.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

Item
PopupControlItem that was clicked inside the PopupControl.
See Also Suite Pro Controls ActiveX Control v19.3

ItemClick Event

Description

Occurs when a popup control item is clicked. In this event, you use the Id of the popup control item to determine which item was clicked

Syntax

Public Event ItemClick( _
   ByVal Item As PopupControlItem _
)

Parameters

Item
PopupControlItem that was clicked inside the PopupControl.

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControl Control

See Also Suite Pro Controls ActiveX Control v19.3

StateChanged Event

Description

Occurs when the state of the popup control changes. For example, this occurs when the state of the popup control changes from closing to closed, or open to closing

Syntax

Public Event StateChanged()

See Also

PopupControl Control


%%PageItemTitle%%

PopupControlItem Members

See Also Suite Pro Controls ActiveX Control v19.3

PopupControlItem Object

Description

This represents an item that is in a popup control. Multiple popup control items are used in designing a popup window. I.e. A line of text, a hyperlink, an icon, etc...

For a list of all members defined in this module, see PopupControlItem members.

See Also

PopupControlItem Members


%%PageItemTitle%% $$Members$$

PopupControlItem Overview

See Also Suite Pro Controls ActiveX Control v19.3

PopupControlItem Object Members

Public Methods

Public Method CalculateHeight | Calculates the height available to display the text and icons of the popup control item. The height will depend on the "top" and "bottom" values used when adding the item to the popup control
Public Method CalculateWidth | Calculates the width available to display the text and icons of the popup control item. The width will depend on the "left" and "right" values used when adding the item to the popup control
Public Method CenterIcon | Centers the icon of the popup control item within the area of the popup control that the popup control item occupies. The area the popup control item occupies is set when the item is added to the popup control
Public Method SetIcon | Used when only one icon is used to display the popup control item. The same icon is used at all times. I.e. Mouse over and on click
Public Method SetIcons | Used when more than one icon will be used to display the popup control item. This is used if the icon will use a different icon on mouse over or when the item is clicked. When adding an icon with this method, the icons need to be added together in the same bitmap file for all three cases. So the bitmap has all three identically sized icons side-by-side in the same bmp file, one for normal use, one for mouse over, and one for on click. This method is also used when you need to specify a mask color for your icon(s).

Public Properties

Public Property BackgroundColor | Gets/Sets the background color of the popup control item.
Public Property Bold | Gets/Sets a Boolean value indicating whether the text of the popup control item is displayed in bold font
Public Property BorderColor | Gets/Sets the border color of the popup control item. By default, the border color is transparent
Public Property Button | Gets/Sets a Boolean value indicating whether the popup control item is a button. If true the popup control item will look and act as a button
Public Property Caption | Gets/Sets the text that is displayed for the popup control item. This is usually set when the item is added to the popup control
Public Property Font | Gets/Sets the font that will be used to display the text for the popup control item. This applies to the current popup control item only and must be set for each popup control item
Public Property Height | Gets\Sets the Height of the PopupControlItem in pixels.
Public Property HyperLink | Gets/Sets a Boolean value indicating whether the item in the popup control will be a hyperlink. This will cause the text to be underlined on mouse over if the item is text
Public Property IconIndex | The IconIndex property is the Id/Index of an icon stored in the Popup Control's collection of icons that is displayed in the PopupControlItem.
Public Property Id | Gets/Sets the Id of the popup control item. This is a numeric identifier used to identify the popup control item. This Id is used in the PopupControl_ItemClick event to determine which popup control was clicked so the appropriate action can be taken
Public Property Left | Gets\Sets the distance between the left edge of the popup control and the left edge of the PopupControlItem.
Public Property TextAlignment | Gets/Sets the alignment of the text within the popup control. This applies to the current popup control item only and must be set for each popup control item
Public Property TextColor | Gets/Set the text color of the popup control item. This allows you to change the color of the text
Public Property Top | Gets\Sets the distance between the Top edge of the popup control and the top edge of the PopupControlItem.
Public Property Width | Gets\Sets the Width of the PopupControlItem in pixels.

See Also

PopupControlItem Overview


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

CalculateHeight Method

Description

Calculates the height available to display the text and icons of the popup control item. The height will depend on the "top" and "bottom" values used when adding the item to the popup control

Syntax

Public Sub CalculateHeight()

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

CalculateWidth Method

Description

Calculates the width available to display the text and icons of the popup control item. The width will depend on the "left" and "right" values used when adding the item to the popup control

Syntax

Public Sub CalculateWidth()

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

CenterIcon Method

Description

Centers the icon of the popup control item within the area of the popup control that the popup control item occupies. The area the popup control item occupies is set when the item is added to the popup control

Syntax

Public Sub CenterIcon()

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

Handle
itemIcon
See Also Suite Pro Controls ActiveX Control v19.3

SetIcon Method

Description

Used when only one icon is used to display the popup control item. The same icon is used at all times. I.e. Mouse over and on click

Syntax

Public Sub SetIcon( _
   ByVal Handle As Integer, _
   ByVal itemIcon As XTPPopupItemIcon _
)

Parameters

Handle
itemIcon
Value | Description
xtpPopupItemIconNormal | Specifies that the popup control item's icon will only have a "normal" state. this means that the same icon is displayed regardless of any mouse over or clicking of the icon.
xtpPopupItemIconSelected | Specifies that the popup control item's icon will display a different icon when in a "selected" state. I.e. On mouse over.
xtpPopupItemIconPressed | Specifies that the popup control item's icon will display a different icon when the icon is clicked.

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

Handle
TransparentColor
itemIcon
See Also Suite Pro Controls ActiveX Control v19.3

SetIcons Method

Description

Used when more than one icon will be used to display the popup control item. This is used if the icon will use a different icon on mouse over or when the item is clicked. When adding an icon with this method, the icons need to be added together in the same bitmap file for all three cases. So the bitmap has all three identically sized icons side-by-side in the same bmp file, one for normal use, one for mouse over, and one for on click. This method is also used when you need to specify a mask color for your icon(s).

Syntax

Public Sub SetIcons( _
   ByVal Handle As Integer, _
   ByVal TransparentColor As ULong, _
   ByVal itemIcon As XTPPopupItemIcon _
)

Parameters

Handle
TransparentColor
itemIcon
Value | Description
xtpPopupItemIconNormal | Specifies that the popup control item's icon will only have a "normal" state. this means that the same icon is displayed regardless of any mouse over or clicking of the icon.
xtpPopupItemIconSelected | Specifies that the popup control item's icon will display a different icon when in a "selected" state. I.e. On mouse over.
xtpPopupItemIconPressed | Specifies that the popup control item's icon will display a different icon when the icon is clicked.

Remarks

Suite Pro's popup control allows you to add icons that display a different icon on mouse over and when the icon is clicked. You can add standalone icons or you can add icons to be displayed in a button control. Suite Pro's popup control provides a built in button control that automatically creates a normal, mouse over, and clicked icon. You can easily add buttons that use your custom icons or you can use the icons that the popup control automatically creates for you. You can even add an icon that acts like a button by adding a normal, mouse over, and on click icon

Example

[Icon Example 1 (Visual Basic)] This sample code illustrates how add an icon that will display a different icon on mouse over and when the icon is clicked.

    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(151, 6, 164, 19, "")
    Item.SetIcons LoadBitmap("Icons\CloseMSN.bmp"), 0, xtpPopupItemIconNormal Or xtpPopupItemIconSelected Or xtpPopupItemIconPressed
    Item.Id = IDCLOSE

[Icon Example 2 (Visual Basic)] This sample code illustrates how add an icon that will be a button.

    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(115, 102, 160, 120, "")
    Item.SetIcons LoadBitmap("Icons\LogoMSN.bmp"), 0, xtpPopupItemIconNormal
    Item.Button = True

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

BackgroundColor Property

Description

Gets/Sets the background color of the popup control item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundColor() As ULong

Example

[BackgroundColor Example (Visual Basic)] This sample code illustrates how change the background and border color of a popup control item

    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(10, 45, 160, 100, "Please visit our website for additional product information including registration details.")
    Item.TextAlignment = DT_CENTER Or DT_WORDBREAK
    Item.BackgroundColor = RGB(135, 195, 245)
    Item.BorderColor = RGB(38, 83, 187)
    Item.CalculateHeight
    Item.CalculateWidth
    Item.Id = IDSITE

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Bold Property

Description

Gets/Sets a Boolean value indicating whether the text of the popup control item is displayed in bold font

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

BorderColor Property

Description

Gets/Sets the border color of the popup control item. By default, the border color is transparent

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

Example

[BorderColor Example (Visual Basic)] This sample code illustrates how change the background and border color of a popup control item.

    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(10, 45, 160, 100, "Please visit our website for additional product information including registration details.")
    Item.TextAlignment = DT_CENTER Or DT_WORDBREAK
    Item.BackgroundColor = RGB(135, 195, 245)
    Item.BorderColor = RGB(38, 83, 187)
    Item.CalculateHeight
    Item.CalculateWidth
    Item.Id = IDSITE

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Button Property

Description

Gets/Sets a Boolean value indicating whether the popup control item is a button. If true the popup control item will look and act as a button

Property type

Read-write property

Syntax (Visual Basic)

Public Property Button() As Boolean

Remarks

The popup control allows you to add icons that display a different icon on mouse over and when the icon is clicked. You can add standalone icons or you can add icons to be displayed in a button control. The popup control provides a built in button control that automatically creates a normal, mouse over, and clicked icon. You can easily add buttons that use your custom icons or you can use the icons that the popup control automatically creates for you. You can even add an icon that acts like a button by adding a normal, mouse over, and on-click icon.

Example

[Button Example (Visual Basic)]

    'This sample code illustrates how add an icon that will display a different icon on mouse over and when the icon is clicked.
    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(151, 6, 164, 19, "")
    Item.SetIcons LoadBitmap("Icons\CloseMSN.bmp"), 0, xtpPopupItemIconNormal Or xtpPopupItemIconSelected Or xtpPopupItemIconPressed
    Item.Id = IDCLOSE

    'This sample code illustrates how add an icon that will be a button.
    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(115, 102, 160, 120, "")
    Item.SetIcons LoadBitmap("Icons\LogoMSN.bmp"), 0, xtpPopupItemIconNormal
    Item.Button = True

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets/Sets the text that is displayed for the popup control item. This is usually set when the item is added to the popup control

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the popup control item. This applies to the current popup control item only and must be set for each popup control item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Height Property

Description

Gets\Sets the Height of the PopupControlItem in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

HyperLink Property

Description

Gets/Sets a Boolean value indicating whether the item in the popup control will be a hyperlink. This will cause the text to be underlined on mouse over if the item is text

Property type

Read-write property

Syntax (Visual Basic)

Public Property HyperLink() As Boolean

Remarks

The popup control allows you to easily add a hyperlink to your popup window. When you move the mouse cursor over text that is a hyperlink, the text will become underlined indicating that you will be redirected to another window or website when clicked on.

Example

[PopupControl Hyperlink Sample (Visual Basic)]

    'This sample code illustrates how to add a hyperlink to your popup control.
    Dim Item As PopupControlItem

    Set Item = PopupControl.AddItem(5, 0, 170, 25, "Codejock Information")
    Item.Hyperlink = True

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object | Icons Property | ImageManagerIcons Object

See Also Suite Pro Controls ActiveX Control v19.3

IconIndex Property

Description

The IconIndex property is the Id/Index of an icon stored in the Popup Control's collection of icons that is displayed in the PopupControlItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

Remarks

This is the index used to identify the icon within the collection of icons. The icon at IconIndex in the collection of icons will be displayed in the PopupControlItem.

The IconIndex corresponds to the IconId given to the icon in the collection of icons. The id of an icon added to the ImageManagerIcons object can be any positive integer.

See Also

PopupControlItem Object | Icons Property | ImageManagerIcons Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Id Property

Description

Gets/Sets the Id of the popup control item. This is a numeric identifier used to identify the popup control item. This Id is used in the PopupControl_ItemClick event to determine which popup control was clicked so the appropriate action can be taken

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Left Property

Description

Gets\Sets the distance between the left edge of the popup control and the left edge of the PopupControlItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

TextAlignment Property

Description

Gets/Sets the alignment of the text within the popup control. This applies to the current popup control item only and must be set for each popup control item

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As XTPItemAlignment

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

TextColor Property

Description

Gets/Set the text color of the popup control item. This allows you to change the color of the text

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Top Property

Description

Gets\Sets the distance between the Top edge of the popup control and the top edge of the PopupControlItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

Remarks

This property is renamed to CtlTop in Visual Studio .NET.

See Also

PopupControlItem Object


%%PageItemTitle%%

PopupControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Description

Gets\Sets the Width of the PopupControlItem in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

PopupControlItem Object


%%PageItemTitle%%

ProgressBar Members | Max Property | Min Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBar Control

Description

The ProgressBar control shows the progress of a lengthy operation by filling a rectangle with chunks from left to right.

For a list of all members defined in this module, see ProgressBar members.

Object Model

Remarks

The ProgressBar control monitors an operation's progress toward completion.

A ProgressBar control has a range and a current position. The range represents the entire duration of the operation. The current position represents the progress the application has made toward completing the operation. The Max and Min properties set the limits of the range. The Value property specifies the current position within that range. Because chunks are used to fill in the control, the amount filled in only approximates the Value property's current setting. Based on the control's size, the Value property determines when to display the next chunk.

See Also

ProgressBar Members | Max Property | Min Property | Value Property


%%PageItemTitle%% $$Members$$

ProgressBar Overview | Max Property | Min Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBar Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method RefreshBar | Forces the progress bar to refresh itself.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color for the progressbar.
Public Property BarColor | Gets or sets the color for the progressbar "bar".
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled |
Public Property FlatStyle | Gets or sets whether the progressbar will use a flat style.
Public Property Font | Gets or sets the font of text in the ProgressBar.
Public Property ForeColor | Gets or set the color of text used in the Progressbar.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property MarqueeDelay | Gets or the time period, in milliseconds, that it takes the progress block to scroll across the progress bar.
Public Property Max | Gets or sets the maximum value of the range of the ProgressBar.
Public Property Min | Gets or sets the minimum value of the range of the ProgressBar.
Public Property Orientation | Gets or sets a value indicating the horizontal or vertical orientation of the Progressbar.
Public Property ReCreateReparented |
Public Property Scrolling | Gets or sets a value that determines if the progress display appears solid or segmented.
Public Property Text | Gets or sets the text that is displayed inside the ProgressBar.
Public Property TextAlignment | Gets or sets the alignment of the text on the control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Gets or sets the current position of the progress bar.

Events

Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |

See Also

ProgressBar Overview | Max Property | Min Property | Value Property


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

RefreshBar Method

Description

Forces the progress bar to refresh itself.

Syntax

Public Sub RefreshBar()

Remarks

This can be usefule when using a codejock progressbar that shows a smooth style when the system is excuting a query.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ProgressBar Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color for the progressbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

BarColor Property

Description

Gets or sets the color for the progressbar "bar".

Property type

Read-write property

Syntax (Visual Basic)

Public Property BarColor() As ULong

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control | Enabled Property

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ProgressBar Control | Enabled Property


%%PageItemTitle%%

ProgressBar Control | UseVisualStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets or sets whether the progressbar will use a flat style.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

UseVisualStyle must be False to use this property.

See Also

ProgressBar Control | UseVisualStyle Property


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets or sets the font of text in the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or set the color of text used in the Progressbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

MarqueeDelay Property

Description

Gets or the time period, in milliseconds, that it takes the progress block to scroll across the progress bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarqueeDelay() As Long

Remarks

A marquee-style progress indicator does not display progress; instead it indicates that an operation is occurring by moving the progress block across the progress bar.

Since the marquee animation speed is a time period, setting the value to a higher number results in a slower speed and a lower number results in a faster speed.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control | Min Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Max Property

Description

Gets or sets the maximum value of the range of the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

The ProgressBar control"s Min property is 0 and its Max property is 100 by default, representing the percentage duration of the operation.

This property specifies the upper limit of the Value property. When the value of the Max property is changed, the ProgressBar control is redrawn to reflect the new range of the control. When the value of the Value property is equal to the value of the Max property, the progress bar is completely filled.

See Also

ProgressBar Control | Min Property | Value Property


%%PageItemTitle%%

ProgressBar Control | Max Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Min Property

Description

Gets or sets the minimum value of the range of the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

This property specifies the lower limit of the Value property. When the value of the Min property is changed, the ProgressBar control is redrawn to reflect the new range of the control. When the value of the Value property is equal to the value of the Min property, the progress bar is empty.

See Also

ProgressBar Control | Max Property | Value Property


%%PageItemTitle%%

ProgressBar Control | Value Property | ProgressBarOrientation Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Orientation Property

Description

Gets or sets a value indicating the horizontal or vertical orientation of the Progressbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As ProgressBarOrientation

Remarks

When the Orientation property is set to ProgressBarOrientation.xtpProgressBarHorizontal, the scroll box moves from left to right as the Value increases. When the Orientation property is set to ProgressBarOrientation.xtpProgressBarVertical, the scroll box moves from bottom to top as the Value increases.

See Also

ProgressBar Control | Value Property | ProgressBarOrientation Enumeration


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control | ProgressBarScrolling Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Scrolling Property

Description

Gets or sets a value that determines if the progress display appears solid or segmented.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Scrolling() As ProgressBarScrolling

Remarks

You can use the marquee style when you need to indicate progress is being made, without indicating the quantity of progress. The Marquee style is honored only when visual styles are enabled. The Smooth style is honored when visual styles are not enabled.

See Also

ProgressBar Control | ProgressBarScrolling Enumeration


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text that is displayed inside the ProgressBar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

This is the text that is displayed inside the ProgressBar. It can be used to display a percentage or a message such "Loading...".

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets the alignment of the text on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As AlignmentStyle

Remarks

You can change the text alignment by using a flag from the AlignmentStyle enumeration.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control | Max Property | Min Property

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the current position of the progress bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

Remarks

The minimum and maximum values of the Value property are specified by the Min and Max properties. This property enables you to increment or decrement the value of the progress bar directly.

See Also

ProgressBar Control | Max Property | Min Property


%%PageItemTitle%%

ProgressBar Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

ProgressBar Control


%%PageItemTitle%%

ProgressBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ProgressBar Control


%%PageItemTitle%%

PropExchange Members

See Also Suite Pro Controls ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[Loading and Saving to\from a file (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        Dim Options As StateOptions
        Set Options = CommandBars.CreateStateOptions
        Options.SerializeControls = True
        Options.SaveOnlyCustomized = True
        Options.SaveOriginalControls = False
        Options.SerializeOptions = True
        Options.SerializeLayout = True

        'Creates a section called "CommandBars" if saving or
        'retieves data from the "CommandBars" node of loading.
        Set pxSection = px.GetSection("CommandBars")

        'Loads or Saves the settings of the StateOptions object
        'Note: The StateOptions specify what to save or load of
        'the commandbars layout\state.
        CommandBars.DoPropExchange pxSection, Options

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Suite Pro Controls ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Suite Pro Controls ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Suite Pro Controls ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Suite Pro Controls ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Suite Pro Controls ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Suite Pro Controls ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Suite Pro Controls ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Suite Pro Controls ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Suite Pro Controls ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Suite Pro Controls ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Suite Pro Controls ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Suite Pro Controls ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Suite Pro Controls ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

PushButton Members

See Also Suite Pro Controls ActiveX Control v19.3

PushButton Control

Description

Push Button control

For a list of all members defined in this module, see PushButton members.

Object Model

See Also

PushButton Members


%%PageItemTitle%% $$Members$$

PushButton Overview

See Also Suite Pro Controls ActiveX Control v19.3

PushButton Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property BorderGap | Gets or set the gap between the button's edge and the image.
Public Property BuddyControl | Sets or returns the control used as the buddy control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property Checked | Gets or sets a value specifying whether the push button is "checked".
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Default | Gets or sets a value that determines which Push Button control is the default Push Button of a form.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the contents of a button when the button has focus.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property FlatStyle | Gets\sets the "flat" appearance of the control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property GreyDisabledPicture | Specifies whether to grey out the icon for disabled buttons.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property Icon | Gets or sets a graphic to be displayed in a push button. Can set to an icon in the global icon collection.
Public Property ImageAlignment | Gets or sets the alignment of the image on the button control.
Public Property ImageGap | Gets or sets the gap between the button's text and the image.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MousePointer | Returns or sets a value indicating the icon Id for the mouse pointer displayed when the mouse is over the button.
Public Property MultiLine | Gets or sets whether to allow the text Caption to appear on multiple lines.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property Picture | Gets or sets a graphic to be displayed in a push button.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property Style | Gets or sets the style of the button.
Public Property TextAlignment | Gets or sets the alignment of the text on the control.
Public Property TextImageRelation | Gets or sets the text and image relation in the button.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Returns or sets a value indicating whether the button is chosen.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event DropDown | Occurs when a button is clicked the button Style is set to xtpButtonDropDown, xtpButtonDropDownRight or xtpButtonSplitDropDown.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

PushButton Overview


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

PushButton Control | AppearanceStyle Enumeration


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | ImageGap Property

See Also Suite Pro Controls ActiveX Control v19.3

BorderGap Property

Description

Gets or set the gap between the button's edge and the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderGap() As Long

Remarks

This is the amount in pixels of the gap between the button edge and the image.

See Also

PushButton Control | ImageGap Property


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

BuddyControl Property

Description

Sets or returns the control used as the buddy control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BuddyControl() As String

Remarks

The BuddyControl property can be set at design time or at run time. At run time, or by using the BuddyControl property in the Properties window. To set the BuddyControl property at run time, use the following code:

PushButton1.BuddyControl = FlatEdit1

Setting the BuddyControl property to a control that cannot be a buddy, such as the tree control, will cause an error.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Checked Property

Description

Gets or sets a value specifying whether the push button is "checked".

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

Remarks

When a button is "checked" it will appear just like it does when you click it with your mouse. If you were to click and hold down the mouse over a button you would see the same results.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Default Property

Description

Gets or sets a value that determines which Push Button control is the default Push Button of a form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Default() As Boolean

Remarks

The push button with Default set to True will have a darker border around it to indicate tha tit is the default button.

Only one push button on a form can be the default push button. When Default is set to True for one push button, it's automatically set to False for all other push buttons on the form. When the push button's Default property setting is True and its parent form is active, the user can choose the push button (invoking its Click event) by pressing ENTER. Any other control with focus doesn't receive a keyboard event (KeyDown, KeyPress, or KeyUp) for the ENTER key unless the user has moved the focus to another push button on the same form. In this case, pressing ENTER chooses the push button that has the focus instead of the default push button.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the contents of a button when the button has focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

PushButton Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

FlatStyle Property

Description

Gets\sets the "flat" appearance of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FlatStyle() As Boolean

Remarks

The control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

GreyDisabledPicture Property

Description

Specifies whether to grey out the icon for disabled buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property GreyDisabledPicture() As Boolean

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Icon Property

Description

Gets or sets a graphic to be displayed in a push button. Can set to an icon in the global icon collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As ImageManagerIcon

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ImageAlignment Property

Description

Gets or sets the alignment of the image on the button control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageAlignment() As AlignmentStyle

Remarks

You can change the image alignment by using a flag from the AlignmentStyle enumeration.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | BorderGap Property

See Also Suite Pro Controls ActiveX Control v19.3

ImageGap Property

Description

Gets or sets the gap between the button's text and the image.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageGap() As Long

Remarks

This is the amount in pixels of the gap between the button text and the image.

See Also

PushButton Control | BorderGap Property


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

MousePointer Property

Description

Returns or sets a value indicating the icon Id for the mouse pointer displayed when the mouse is over the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MousePointer() As Long

Return Type

Icon Id of an image to use as a mouse pointer.

Remarks

Icon Id of an image to use as a mouse pointer.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | Caption Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiLine Property

Description

Gets or sets whether to allow the text Caption to appear on multiple lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLine() As Boolean

See Also

PushButton Control | Caption Property


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Picture Property

Description

Gets or sets a graphic to be displayed in a push button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Picture() As Picture

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | Click Event | DropDown Event | PushButtonStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Style Property

Description

Gets or sets the style of the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As PushButtonStyle

Remarks

This will set the style of the button. Using xtpButtonNormal will create a normal button.

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.

See Also

PushButton Control | Click Event | DropDown Event | PushButtonStyle Enumeration


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets the alignment of the text on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As AlignmentStyle

Remarks

You can change the text alignment by using a flag from the AlignmentStyle enumeration.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | TextImageRelationStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

TextImageRelation Property

Description

Gets or sets the text and image relation in the button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextImageRelation() As TextImageRelationStyle

See Also

PushButton Control | TextImageRelationStyle Enumeration


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Returns or sets a value indicating whether the button is chosen.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Boolean

Remarks

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control | Style Property | PushButtonStyle Enumeration | Click Event

See Also Suite Pro Controls ActiveX Control v19.3

DropDown Event

Description

Occurs when a button is clicked the button Style is set to xtpButtonDropDown, xtpButtonDropDownRight or xtpButtonSplitDropDown.

Syntax

Public Event DropDown()

Remarks

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.

See Also

PushButton Control | Style Property | PushButtonStyle Enumeration | Click Event


%%PageItemTitle%%

PushButton Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

PushButton Control


%%PageItemTitle%%

PushButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

PushButton Control


%%PageItemTitle%%

PushButtonPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

PushButtonPropPage Object

Description

Property page for PushButton Control

For a list of all members defined in this module, see PushButtonPropPage members.

See Also

PushButtonPropPage Members


%%PageItemTitle%% $$Members$$

PushButtonPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

PushButtonPropPage Object Members

See Also

PushButtonPropPage Overview


%%PageItemTitle%%

RadioButton Members

See Also Suite Pro Controls ActiveX Control v19.3

RadioButton Control

Description

Radio button control

For a list of all members defined in this module, see RadioButton members.

Object Model

See Also

RadioButton Members


%%PageItemTitle%% $$Members$$

RadioButton Overview

See Also Suite Pro Controls ActiveX Control v19.3

RadioButton Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Alignment | Alignment for the "Check" part (check box).
Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Caption | Gets or sets the text associated with this control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the radio button when the button has focus.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property ForeColor | Gets or sets the foreground color used to display text in the control.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MultiLine | Gets or sets whether to allow the text label to appear on multiple lines.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.
Public Property TextAlignment | Gets or sets the alignment of the text on the control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Transparent | Determines if the background of a TabControlPage is visible in WinXP mode.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Gets or sets the state of the radio button.

Events

Public Event Click | Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.
Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the radio button.
Public Event KeyDown | Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyPress | Occurs when the user presses and releases an ANSI key.
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

RadioButton Overview


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Alignment for the "Check" part (check box).

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As CheckAlignment

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

RadioButton Control | AppearanceStyle Enumeration


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Gets or sets the text associated with this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the radio button when the button has focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

RadioButton Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

Gets or sets the foreground color used to display text in the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

MultiLine Property

Description

Gets or sets whether to allow the text label to appear on multiple lines.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiLine() As Boolean

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the PopupControl are displayed from right to left.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

TextAlignment Property

Description

Gets or sets the alignment of the text on the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextAlignment() As AlignmentStyle

Remarks

You can change the text alignment by using a flag from the AlignmentStyle enumeration.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Transparent Property

Description

Determines if the background of a TabControlPage is visible in WinXP mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Transparent() As Boolean

Remarks

The Transparent property determines if the background of a TabControlPage is visible in WinXP mode. When True, the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.

Note: See notes below for restrictions on when the flatedit and pushbutton can use Transparent property.

The picture below shows 2 option buttons that are on a TabControlPage in WinXP mode. The same applies for checkbox, groupbox, flatedit, pushbutton and label controls.

The only time a flatedit control can use transparency is if the control is in the disabled state and placed on a TabControlPage in WinXP mode.

The only time a pushbutton control can use transparency is if it's FlatStyle property is True and placed on a TabControlPage in WinXP mode. So the only time Transparent is useful for a pushbutton is if you do not want transparency when the FlatStyle is used. This is because most of button themes don't have transparent areas in them.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the state of the radio button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Boolean

Remarks

Returns True if the radio button is the currently "checked" button in a group of radio buttons, False otherwise.

The Value of a radio button determines if the radio button is the currently "checked" button in a group of radio buttons. If the Value is True then the radio button will appear "checked".

Only one radio button within the same container can be "checked" at a time. The Value of the buttons will automatically get updated when clicked or they can be set programmatically.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box.

Syntax

Public Event Click()

Remarks

Occurs when the user presses and then releases a mouse button over the control. It can also occur when the value of a control is changed, for example, when the space bar is press on a focused check box or when the arrow key are used on radio buttons.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the radio button.

Syntax

Public Event DblClick()

Remarks

Occurs when the user double-clicks the radio button with the left mouse button.

If DblClick doesn't occur within the system's double-click time limit, the object recognizes another Click event.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occur when the user presses a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when the user presses and releases an ANSI key.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

An integer that returns a standard numeric ANSI keycode. Keyascii is passed by reference; changing it sends a different character to the object. Changing keyascii to 0 cancels the keystroke so the object receives no character.

Remarks

The KeyPress event can involve any printable keyboard character, the CTRL key combined with a character from the standard alphabet or one of a few special characters, and the ENTER or BACKSPACE key. A KeyPress event procedure is useful for intercepting keystrokes entered in a TextBox or ComboBox control. It enables you to immediately test keystrokes for validity or to format characters as they're typed. Changing the value of the keyascii argument changes the character displayed.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

RadioButton Control


%%PageItemTitle%%

RadioButton Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

RadioButton Control


%%PageItemTitle%%

Resizer Members

See Also Suite Pro Controls ActiveX Control v19.3

Resizer Control

Description

Resizer control

For a list of all members defined in this module, see Resizer members.

Remarks

The resizer control has a properties window available at design time that allows you to set some of the properties of the control and add controls that can be resized as the resizer is getting resized.

To access the properties windows right-click on the control and select properties.

The general tab allows you to enable scrollbars and set the height and width of the area to be scrolled. You can also enable auto size and set the minimum and maximum size the resizer can become. Finally you can specify whether the gripper icon is displayed in the lower right corner.

The controls tab allows you to specify which controls will automatically get scaled\resized\repositioned as the size of the resizer control changes. With each control you can specify the percentage that a control's size will grow\shrink as the resizer is resized as well the position of the controls.

The X and Y inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

Position X = 50; Y = 100 which makes the control stay positioned in the center of the resizer horizontally.

See Also

Resizer Members


%%PageItemTitle%% $$Members$$

Resizer Overview

See Also Suite Pro Controls ActiveX Control v19.3

Resizer Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method AddControl | Adds a control to be handled by the resizer. Controls handled by the resizer can get resized automatically when the resizer is resized.

Public Properties

Public Property AutoSize | Gets or sets whether the resizer control will auto-size to the size of it's container.
Public Property BackColor | Gets or sets the background color of the control.
Public Property BorderStyle | Get or sets the border style of the resizer control.
Public Property ClientMaxHeight | Gets or set the maximum height of the resizer control.
Public Property ClientMaxWidth | Gets or set the maximum width of the resizer control.
Public Property ClientMinHeight | Gets or set the minimum height of the resizer control.
Public Property ClientMinWidth | Gets or set the minimum width of the resizer control.
Public Property HScrollLargeChange | Gets or sets the amount the resizer is scrolled horizontally when the scroll bar is clicked above or below the gripper (not on the scroll buttons).
Public Property HScrollMaximum | Gets or sets the maximum size the contents of the resizer can be scrolled horizontally.
Public Property HScrollPosition | Gets or sets the position of the horizontal scroll bar gripper.
Public Property HScrollSmallChange | Gets or sets the amount the resizer is scrolled horizontally when the scroll bar buttons are clicked.
Public Property hWnd | Gets the window handle that the control is bound to.
Public Property MouseIcon | Gets or sets the cursor that is displayed when the mouse pointer is over the control.
Public Property ReCreateReparented |
Public Property ShowSizeIcon | Gets or sets whether a resizer icon will be displayed in the bottom right corner of the resizer control.
Public Property VScrollLargeChange | Gets or sets the amount the resizer is scrolled vertically when the scroll bar is clicked above or below the gripper (not on the scroll buttons).
Public Property VScrollMaximum | Gets or sets the maximum size the contents of the resizer can be scrolled vertically.
Public Property VScrollPosition | Gets or sets the position of the vertical scroll bar gripper.
Public Property VScrollSmallChange | Gets or sets the amount the resizer is scrolled vertically when the scroll bar buttons are clicked.

Events

Public Event DblClick | Occurs when the user presses and releases a mouse button and then presses and releases it again over the resizer control.
Public Event HScroll | Occurs when the user clicks the horizontal scroll bar of the control.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event MouseWheel | Occurs when the mouse wheel moves while the resizer or controls inside the resizer control has focus.
Public Event ReCreated |
Public Event VScroll | Occurs when the user clicks the vertical scroll bar of the control.

See Also

Resizer Overview


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

Name
Name of the control to add.
x

The X and Y inputs are percentages. Some common percentages you might use would be:

Position X = 50; Y = 100 which makes the control stay positioned in the center or the resizer horizontally.

y

The X and Y inputs are percentages. Some common percentages you might use would be:

Position X = 50; Y = 100 which makes the control stay positioned in the center or the resizer horizontally.

Width

The Width and Height inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

Height

The Width and Height inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

See Also Suite Pro Controls ActiveX Control v19.3

AddControl Method

Description

Adds a control to be handled by the resizer. Controls handled by the resizer can get resized automatically when the resizer is resized.

Syntax

Public Sub AddControl( _
   ByVal Name As String, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal Width As Long, _
   ByVal Height As Long _
)

Parameters

Name
Name of the control to add.
x

The X and Y inputs are percentages. Some common percentages you might use would be:

Position X = 50; Y = 100 which makes the control stay positioned in the center or the resizer horizontally.

y

The X and Y inputs are percentages. Some common percentages you might use would be:

Position X = 50; Y = 100 which makes the control stay positioned in the center or the resizer horizontally.

Width

The Width and Height inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

Height

The Width and Height inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

Remarks

Controls can also be added at design-time. The following will allow controls to be added at run-time:

The resizer control has a properties window available at design time that allows you to set some of the properties of the control and add controls that can be resized as the resizer is getting resized.

To access the properties windows right-click on the control and select properties.

The general tab allows you to enable scrollbars and set the height and width of the area to be scrolled. You can also enable auto size and set the minimum and maximum size the resizer can become. Finally you can specify whether the gripper icon is displayed in the lower right corner.

The controls tab allows you to specify which controls will automatically get scaled\resized\repositioned as the size of the resizer control changes. With each control you can specify the percentage that a control's size will grow\shrink as the resizer is resized as well the position of the controls.

The X and Y inputs are percentages. Some common percentages you might use would be:

Size X = 100; Y = 0 which makes the controls width grow at the same rate as the width of the resizer.

Size X = 100; Y = 100 which makes the controls width and height grow at the same rate as the width and height of the resizer.

Position X = 50; Y = 100 which makes the control stay positioned in the center or the resizer horizontally.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

AutoSize Property

Description

Gets or sets whether the resizer control will auto-size to the size of it's container.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

Remarks

When True the resizer control will stay the same size as it's parent and will resize when the parent gets resized.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control | ResizerBorderStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

BorderStyle Property

Description

Get or sets the border style of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As ResizerBorderStyle

See Also

Resizer Control | ResizerBorderStyle Enumeration


%%PageItemTitle%%

Resizer Control | AutoSize Property | ClientMaxWidth Property | ClientMinHeight Property | ClientMinWidth Property

See Also Suite Pro Controls ActiveX Control v19.3

ClientMaxHeight Property

Description

Gets or set the maximum height of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMaxHeight() As Long

Remarks

If AutoSize is True then setting ClientMaxHeight will set the maximum height of the parent container as well and will resize the parent to the specified size.

See Also

Resizer Control | AutoSize Property | ClientMaxWidth Property | ClientMinHeight Property | ClientMinWidth Property


%%PageItemTitle%%

Resizer Control | AutoSize Property | ClientMinWidth Property | ClientMinHeight Property | ClientMaxHeight Property

See Also Suite Pro Controls ActiveX Control v19.3

ClientMaxWidth Property

Description

Gets or set the maximum width of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMaxWidth() As Long

Remarks

If AutoSize is True then setting ClientMaxWidth will set the maximum width of the parent container as well and will resize the parent to the specified size.

See Also

Resizer Control | AutoSize Property | ClientMinWidth Property | ClientMinHeight Property | ClientMaxHeight Property


%%PageItemTitle%%

Resizer Control | AutoSize Property | ClientMaxHeight Property | ClientMaxWidth Property | ClientMinWidth Property

See Also Suite Pro Controls ActiveX Control v19.3

ClientMinHeight Property

Description

Gets or set the minimum height of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMinHeight() As Long

Remarks

If AutoSize is True then setting ClientMinHeight will set the minimum height of the parent container as well.

See Also

Resizer Control | AutoSize Property | ClientMaxHeight Property | ClientMaxWidth Property | ClientMinWidth Property


%%PageItemTitle%%

Resizer Control | AutoSize Property | ClientMinHeight Property | ClientMaxWidth Property | ClientMaxHeight Property

See Also Suite Pro Controls ActiveX Control v19.3

ClientMinWidth Property

Description

Gets or set the minimum width of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientMinWidth() As Long

Remarks

If AutoSize is True then setting ClientMinWidth will set the minimum width of the parent container as well.

See Also

Resizer Control | AutoSize Property | ClientMinHeight Property | ClientMaxWidth Property | ClientMaxHeight Property


%%PageItemTitle%%

Resizer Control | HScrollMaximum Property | HScrollPosition Property | HScrollSmallChange Property

See Also Suite Pro Controls ActiveX Control v19.3

HScrollLargeChange Property

Description

Gets or sets the amount the resizer is scrolled horizontally when the scroll bar is clicked above or below the gripper (not on the scroll buttons).

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollLargeChange() As Long

See Also

Resizer Control | HScrollMaximum Property | HScrollPosition Property | HScrollSmallChange Property


%%PageItemTitle%%

Resizer Control | HScrollSmallChange Property | HScrollPosition Property | HScrollLargeChange Property

See Also Suite Pro Controls ActiveX Control v19.3

HScrollMaximum Property

Description

Gets or sets the maximum size the contents of the resizer can be scrolled horizontally.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollMaximum() As Long

Remarks

HScrollMaximum must be set to a value larger than the height of the resizer.

See Also

Resizer Control | HScrollSmallChange Property | HScrollPosition Property | HScrollLargeChange Property


%%PageItemTitle%%

Resizer Control | HScrollLargeChange Property | HScrollMaximum Property | HScrollSmallChange Property

See Also Suite Pro Controls ActiveX Control v19.3

HScrollPosition Property

Description

Gets or sets the position of the horizontal scroll bar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollPosition() As Long

See Also

Resizer Control | HScrollLargeChange Property | HScrollMaximum Property | HScrollSmallChange Property


%%PageItemTitle%%

Resizer Control | HScrollPosition Property | HScrollMaximum Property | HScrollLargeChange Property

See Also Suite Pro Controls ActiveX Control v19.3

HScrollSmallChange Property

Description

Gets or sets the amount the resizer is scrolled horizontally when the scroll bar buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HScrollSmallChange() As Long

See Also

Resizer Control | HScrollPosition Property | HScrollMaximum Property | HScrollLargeChange Property


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Gets the window handle that the control is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

MouseIcon Property

Description

Gets or sets the cursor that is displayed when the mouse pointer is over the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MouseIcon() As Picture

Remarks

Assign an image file to the Picture property of the control to change the cursor displayed when the mouse pointer is over the control.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowSizeIcon Property

Description

Gets or sets whether a resizer icon will be displayed in the bottom right corner of the resizer control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSizeIcon() As Boolean

Remarks

The resizer icon is used to show the user that the container can be resized and can be clicked to resize the control.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control | VScrollSmallChange Property | VScrollPosition Property | VScrollMaximum Property

See Also Suite Pro Controls ActiveX Control v19.3

VScrollLargeChange Property

Description

Gets or sets the amount the resizer is scrolled vertically when the scroll bar is clicked above or below the gripper (not on the scroll buttons).

Property type

Read-write property

Syntax (Visual Basic)

Public Property VScrollLargeChange() As Long

See Also

Resizer Control | VScrollSmallChange Property | VScrollPosition Property | VScrollMaximum Property


%%PageItemTitle%%

Resizer Control | VScrollLargeChange Property | VScrollPosition Property | VScrollSmallChange Property

See Also Suite Pro Controls ActiveX Control v19.3

VScrollMaximum Property

Description

Gets or sets the maximum size the contents of the resizer can be scrolled vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VScrollMaximum() As Long

Remarks

VScrollMaximummust be set to a value larger than the width of the resizer.

See Also

Resizer Control | VScrollLargeChange Property | VScrollPosition Property | VScrollSmallChange Property


%%PageItemTitle%%

Resizer Control | VScrollSmallChange Property | VScrollMaximum Property | VScrollLargeChange Property

See Also Suite Pro Controls ActiveX Control v19.3

VScrollPosition Property

Description

Gets or sets the position of the vertical scroll bar gripper.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VScrollPosition() As Long

See Also

Resizer Control | VScrollSmallChange Property | VScrollMaximum Property | VScrollLargeChange Property


%%PageItemTitle%%

Resizer Control | VScrollLargeChange Property | VScrollMaximum Property | VScrollPosition Property

See Also Suite Pro Controls ActiveX Control v19.3

VScrollSmallChange Property

Description

Gets or sets the amount the resizer is scrolled vertically when the scroll bar buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VScrollSmallChange() As Long

See Also

Resizer Control | VScrollLargeChange Property | VScrollMaximum Property | VScrollPosition Property


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the user presses and releases a mouse button and then presses and releases it again over the resizer control.

Syntax

Public Event DblClick()

Remarks

Occurs when the user double-clicks the resizer control with the left mouse button.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

HScroll Event

Description

Occurs when the user clicks the horizontal scroll bar of the control.

Syntax

Public Event HScroll()

Remarks

You can use this event to perform calculations or to manipulate controls that must be coordinated with ongoing changes in scroll bars.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

zDelta
A signed count of the number of detents the mouse wheel has rotated.
See Also Suite Pro Controls ActiveX Control v19.3

MouseWheel Event

Description

Occurs when the mouse wheel moves while the resizer or controls inside the resizer control has focus.

Syntax

Public Event MouseWheel( _
   ByVal zDelta As Integer _
)

Parameters

zDelta
A signed count of the number of detents the mouse wheel has rotated.

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

Resizer Control


%%PageItemTitle%%

Resizer Control

See Also Suite Pro Controls ActiveX Control v19.3

VScroll Event

Description

Occurs when the user clicks the vertical scroll bar of the control.

Syntax

Public Event VScroll()

Remarks

You can use this event to perform calculations or to manipulate controls that must be coordinated with ongoing changes in scroll bars.

See Also

Resizer Control


%%PageItemTitle%%

ResizerControlsPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

ResizerControlsPropPage Object

Description

Property page for Resizer controls

For a list of all members defined in this module, see ResizerControlsPropPage members.

See Also

ResizerControlsPropPage Members


%%PageItemTitle%% $$Members$$

ResizerControlsPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

ResizerControlsPropPage Object Members

See Also

ResizerControlsPropPage Overview


%%PageItemTitle%%

ResizerGeneralPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

ResizerGeneralPropPage Object

Description

Property page for general Resizer Control

For a list of all members defined in this module, see ResizerGeneralPropPage members.

See Also

ResizerGeneralPropPage Members


%%PageItemTitle%% $$Members$$

ResizerGeneralPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

ResizerGeneralPropPage Object Members

See Also

ResizerGeneralPropPage Overview


%%PageItemTitle%%

ResourceImages Members

See Also Suite Pro Controls ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpAppearanceResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Suite Pro Controls ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Suite Pro Controls ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Suite Pro Controls ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpAppearanceResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Suite Pro Controls ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Suite Pro Controls ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ScrollBar Members | Max Property | Min Property | LargeChange Property | SmallChange Property | Value Property | Change Event | Scroll Event

See Also Suite Pro Controls ActiveX Control v19.3

ScrollBar Control

Description

Scrollbar control.

For a list of all members defined in this module, see ScrollBar members.

Object Model

Remarks

Scroll bars provide easy navigation through a long list of items or a large amount of information. They can also provide an analog representation of current position. You can use a scroll bar as an input device or indicator of speed or quantityfor example, to control the volume of a computer game or to view the time elapsed in a timed process.

When you're using a scroll bar as an indicator of quantity or speed or as an input device, use the Max and Min properties to set the appropriate range for the control.

To specify the amount of change to report in a scroll bar, use the LargeChange property for clicking in the scroll bar, and the SmallChange property for clicking the arrows at the ends of the scroll bar. The scroll bar's Value property increases or decreases by the values set for the LargeChange and SmallChange properties. You can position the scroll box at run time by setting Value between 0 and 32,767, inclusive.

See Also

ScrollBar Members | Max Property | Min Property | LargeChange Property | SmallChange Property | Value Property | Change Event | Scroll Event


%%PageItemTitle%% $$Members$$

ScrollBar Overview | Max Property | Min Property | LargeChange Property | SmallChange Property | Value Property | Change Event | Scroll Event

See Also Suite Pro Controls ActiveX Control v19.3

ScrollBar Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property AutoSize | Gets or sets a value indicating whether the ScrollBar is automatically resized to fit its contents.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled | Gets or sets a value indicating whether the scrollbar can respond to user interaction.
Public Property hWnd | Returns the Handle of the Scrollbar.
Public Property LargeChange | Gets or sets a value to be added to or subtracted from the Value property when the scroll box is moved a large distance.
Public Property Max | Gets or sets the upper limit of values of the scrollable range.
Public Property Min | Gets or sets the lower limit of values of the scrollable range.
Public Property Orientation | Gets or sets a value indicating the horizontal or vertical orientation of the scrollbar.
Public Property ReCreateReparented |
Public Property SmallChange | Gets or sets the value to be added to or subtracted from the Value property when the scroll box is moved a small distance.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Gets or sets the current position of the scroll bar, whose return value is always between the values for the Max and Min properties, inclusive.

Events

Public Event Change | Occurs when the Value property is changed, either by a Scroll event or programmatically.
Public Event ReCreated |
Public Event Scroll | Occurs when the scroll box on a ScrollBar control is repositioned or scrolled horizontally or vertically.

See Also

ScrollBar Overview | Max Property | Min Property | LargeChange Property | SmallChange Property | Value Property | Change Event | Scroll Event


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

ScrollBar Control | AppearanceStyle Enumeration


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

AutoSize Property

Description

Gets or sets a value indicating whether the ScrollBar is automatically resized to fit its contents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

Remarks

Setting the AutoSize property has no effect on the appearance of the control.

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value indicating whether the scrollbar can respond to user interaction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Returns the Handle of the Scrollbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control | Value Property | SmallChange Property | Max Property | Min Property

See Also Suite Pro Controls ActiveX Control v19.3

LargeChange Property

Description

Gets or sets a value to be added to or subtracted from the Value property when the scroll box is moved a large distance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LargeChange() As Long

Remarks

When the user presses the PAGE UP or PAGE DOWN key or clicks in the scroll bar track on either side of the scroll box, the Value property changes according to the value set in the LargeChange property.

See Also

ScrollBar Control | Value Property | SmallChange Property | Max Property | Min Property


%%PageItemTitle%%

ScrollBar Control | Min Property | LargeChange Property | SmallChange Property

See Also Suite Pro Controls ActiveX Control v19.3

Max Property

Description

Gets or sets the upper limit of values of the scrollable range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

Gets or sets a scroll bar position's maximum Value property setting when the scroll box is in its bottom or rightmost position.

See Also

ScrollBar Control | Min Property | LargeChange Property | SmallChange Property


%%PageItemTitle%%

ScrollBar Control | Max Property | LargeChange Property | SmallChange Property

See Also Suite Pro Controls ActiveX Control v19.3

Min Property

Description

Gets or sets the lower limit of values of the scrollable range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

Gets or sets a scroll bar position's minimum Value property setting when the scroll box is in its top or leftmost position.

See Also

ScrollBar Control | Max Property | LargeChange Property | SmallChange Property


%%PageItemTitle%%

ScrollBar Control | ScrollBarOrientation Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Orientation Property

Description

Gets or sets a value indicating the horizontal or vertical orientation of the scrollbar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As ScrollBarOrientation

Remarks

When the Orientation property is set to ScrollBarOrientation.xtpScrollBarHorizontal, the scroll box moves from left to right as the Value increases. When the Orientation property is set to ScrollBarOrientation.xtpScrollBarVertical, the scroll box moves from bottom to top as the Value increases.

See Also

ScrollBar Control | ScrollBarOrientation Enumeration


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control | LargeChange Property | Max Property | Min Property

See Also Suite Pro Controls ActiveX Control v19.3

SmallChange Property

Description

Gets or sets the value to be added to or subtracted from the Value property when the scroll box is moved a small distance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SmallChange() As Long

Remarks

Gets or sets the amount of change to the Value property setting in a scroll bar control when the user clicks a scroll arrow.

When the user presses one of the arrow keys or clicks one of the scroll bar buttons, the Value property changes according to the value set in the SmallChange property.

You can specify an integer between 1 and 32,767, inclusive. By default, each property is set to 1.

See Also

ScrollBar Control | LargeChange Property | Max Property | Min Property


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control | Max Property | Min Property | LargeChange Property | SmallChange Property | Change Event | Scroll Event

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets the current position of the scroll bar, whose return value is always between the values for the Max and Min properties, inclusive.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

See Also

ScrollBar Control | Max Property | Min Property | LargeChange Property | SmallChange Property | Change Event | Scroll Event


%%PageItemTitle%%

ScrollBar Control | Value Property | Scroll Event

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Occurs when the Value property is changed, either by a Scroll event or programmatically.

Syntax

Public Event Change()

Remarks

Occurs when the user moves the scroll box portion of the scroll bar. Occurs when the user scrolls or when you change the Value property setting through code.

Avoid using a MsgBox function or statement in this event.

See Also

ScrollBar Control | Value Property | Scroll Event


%%PageItemTitle%%

ScrollBar Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

ScrollBar Control


%%PageItemTitle%%

ScrollBar Control | Change Event

See Also Suite Pro Controls ActiveX Control v19.3

Scroll Event

Description

Occurs when the scroll box on a ScrollBar control is repositioned or scrolled horizontally or vertically.

Syntax

Public Event Scroll()

See Also

ScrollBar Control | Change Event


%%PageItemTitle%%

Slider Members

See Also Suite Pro Controls ActiveX Control v19.3

Slider Control

Description

A Slider control is a window containing a slider and optional tick marks. You can move the slider by dragging it, clicking the mouse to either side of the slider, or using the keyboard.

For a list of all members defined in this module, see Slider members.

Object Model

Remarks

Slider controls are useful when you want to select a discrete value or a set of consecutive values in a range. For example, you could use a Slider to set the size of a button by moving the slider to a given tick mark rather than by typing a number. To select a range of values, set the SelectRange property to True, and program the control to select a range when the SHIFT key is down.

See Also

Slider Members


%%PageItemTitle%% $$Members$$

Slider Overview

See Also Suite Pro Controls ActiveX Control v19.3

Slider Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled | Gets or sets a value that determines whether the slider control can respond to user-generated events.
Public Property hWnd | Returns the handle to the slider control.
Public Property LargeChange | Gets or sets the number of ticks the slider will move when you press the PAGEUP or PAGEDOWN keys, or when you click the mouse to the left or right of the slider.
Public Property Max | Gets or sets the upper limit of the range this Slider is working with.
Public Property Min | Gets or sets the lower limit of the range this Slider is working with.
Public Property Orientation | Gets or sets a value indicating the horizontal or vertical orientation of the slider.
Public Property ReCreateReparented |
Public Property SelectRange | Gets or sets a value that determines if a Slider control can have a selected range.
Public Property SelLength | Gets or sets the length of a selected range in a Slider control.
Public Property SelStart | Gets or sets the start of a selected range in a Slider control.
Public Property ShowTooltips | Gets or sets whether a tooltip is displayed showing the slider's current position.
Public Property SmallChange | Gets or sets the number of ticks the slider will move when you press the left or right arrow keys.
Public Property TickFrequency | Gets or sets the frequency of tick marks on a Slider control in relation to its range.
Public Property TickStyle | Gets or sets a value indicating how to display the tick marks on the slider.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property Value | Gets or sets a numeric value that represents the current position of the scroll box on the slider.

Events

Public Event Change | Occurs when the Value property of a slider changes, either by movement of the scroll box or by manipulation in code.
Public Event Click | Occurs when the user clicks the slider control.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event ReCreated |
Public Event Scroll | Occurs when either a mouse or keyboard action moves the scroll box.

See Also

Slider Overview


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value that determines whether the slider control can respond to user-generated events.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

The Enabled property allows the slider control to be enabled or disabled at run time. For example, you can disable the slider if it does not apply to the current state of the application.

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Returns the handle to the slider control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

Slider Control


%%PageItemTitle%%

Slider Control | SmallChange Property | Change Event

See Also Suite Pro Controls ActiveX Control v19.3

LargeChange Property

Description

Gets or sets the number of ticks the slider will move when you press the PAGEUP or PAGEDOWN keys, or when you click the mouse to the left or right of the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LargeChange() As Long

Remarks

The LargeChange property sets the number of ticks the slider will move when you press the PAGEUP or PAGEDOWN keys, or when you click the mouse to the left or right of the slider.

The default for the LargeChange property is 5. The default for the SmallChange property is 1.

See Also

Slider Control | SmallChange Property | Change Event


%%PageItemTitle%%

Slider Control | SelectRange Property | Min Property

See Also Suite Pro Controls ActiveX Control v19.3

Max Property

Description

Gets or sets the upper limit of the range this Slider is working with.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

See Also

Slider Control | SelectRange Property | Min Property


%%PageItemTitle%%

Slider Control | Max Property | SelectRange Property

See Also Suite Pro Controls ActiveX Control v19.3

Min Property

Description

Gets or sets the lower limit of the range this Slider is working with.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

See Also

Slider Control | Max Property | SelectRange Property


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

Orientation Property

Description

Gets or sets a value indicating the horizontal or vertical orientation of the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As SliderOrientation

Remarks

When the Orientation property is set to SliderOrientation.xtpSliderHorizontal, the scroll box moves from left to right as the Value increases. When the Orientation property is set to SliderOrientation.xtpSliderVertical, the scroll box moves from bottom to top as the Value increases.

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

Slider Control


%%PageItemTitle%%

Slider Control | SelLength Property | SelStart Property

See Also Suite Pro Controls ActiveX Control v19.3

SelectRange Property

Description

Gets or sets a value that determines if a Slider control can have a selected range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectRange() As Boolean

Remarks

If SelectRange is set to False, then the SelStart property setting is the same as the Value property setting. Setting the SelStart property also changes the Value property, and vice-versa, which will be reflected in the position of the slider on the control. Setting SelLength when the SelectRange property is False has no effect.

See Also

Slider Control | SelLength Property | SelStart Property


%%PageItemTitle%%

Slider Control | SelStart Property

See Also Suite Pro Controls ActiveX Control v19.3

SelLength Property

Description

Gets or sets the length of a selected range in a Slider control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelLength() As Long

Remarks

The SelLength and SelStart properties are used together to select a range of contiguous values on a Slider control. The Slider control then has the additional advantage of being a visual analog of the range of possible values.

The SelLength property can't be less than 0, and the sum of SelLength and SelStart can't be greater than the Max property.

See Also

Slider Control | SelStart Property


%%PageItemTitle%%

Slider Control | SelLength Property

See Also Suite Pro Controls ActiveX Control v19.3

SelStart Property

Description

Gets or sets the start of a selected range in a Slider control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelStart() As Long

Remarks

The SelLength and SelStart properties are used together to select a range of contiguous values on a Slider control. The Slider control then has the additional advantage of being a visual analog of the range of possible values.

The SelLength property can't be less than 0, and the sum of SelLength and SelStart can't be greater than the Max property.

See Also

Slider Control | SelLength Property


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowTooltips Property

Description

Gets or sets whether a tooltip is displayed showing the slider's current position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTooltips() As Boolean

Remarks

When a slider control is created, it automatically creates a default ToolTip control that displays the slider's current position.

See Also

Slider Control


%%PageItemTitle%%

Slider Control | LargeChange Property | Change Event

See Also Suite Pro Controls ActiveX Control v19.3

SmallChange Property

Description

Gets or sets the number of ticks the slider will move when you press the left or right arrow keys.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SmallChange() As Long

Remarks

The SmallChange property sets the number of ticks the slider will move when you press the left or right arrow keys.

The default for the LargeChange property is 5. The default for the SmallChange property is 1.

See Also

Slider Control | LargeChange Property | Change Event


%%PageItemTitle%%

Slider Control | TickStyle Property | SliderTickStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

TickFrequency Property

Description

Gets or sets the frequency of tick marks on a Slider control in relation to its range.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TickFrequency() As Long

Remarks

Gets or sets the frequency of tick marks on a Slider control in relation to its range. For example, if the range is 100, and the TickFrequency property is set to 2, there will be one tick for every 2 increments in the range.

See Also

Slider Control | TickStyle Property | SliderTickStyle Enumeration


%%PageItemTitle%%

Slider Control | SliderTickStyle Enumeration | TickFrequency Property

See Also Suite Pro Controls ActiveX Control v19.3

TickStyle Property

Description

Gets or sets a value indicating how to display the tick marks on the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TickStyle() As SliderTickStyle

Remarks

You can use the TickStyle property to modify the manner in which the tick marks are displayed on the slider.

See Also

Slider Control | SliderTickStyle Enumeration | TickFrequency Property


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

Slider Control


%%PageItemTitle%%

Slider Control | Max Property | Min Property

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Gets or sets a numeric value that represents the current position of the scroll box on the slider.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

Remarks

The Value property contains the number that represents the current position of the scroll box on the slider.

See Also

Slider Control | Max Property | Min Property


%%PageItemTitle%%

Slider Control | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Occurs when the Value property of a slider changes, either by movement of the scroll box or by manipulation in code.

Syntax

Public Event Change()

Remarks

You can use this event to update other controls when the value represented in the slider changes.

See Also

Slider Control | Value Property


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the user clicks the slider control.

Syntax

Public Event Click()

See Also

Slider Control


%%PageItemTitle%%

Slider Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Slider Control


%%PageItemTitle%%

Slider Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

Slider Control


%%PageItemTitle%%

Slider Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

Slider Control


%%PageItemTitle%%

Slider Control

See Also Suite Pro Controls ActiveX Control v19.3

Scroll Event

Description

Occurs when either a mouse or keyboard action moves the scroll box.

Syntax

Public Event Scroll()

See Also

Slider Control


%%PageItemTitle%%

SuiteControlsGlobalSettings Members

See Also Suite Pro Controls ActiveX Control v19.3

SuiteControlsGlobalSettings Object

Description

Suite global settings, such as application name and recourse file.

For a list of all members defined in this module, see SuiteControlsGlobalSettings members.

Object Model

See Also

SuiteControlsGlobalSettings Members


%%PageItemTitle%% $$Members$$

SuiteControlsGlobalSettings Overview

See Also Suite Pro Controls ActiveX Control v19.3

SuiteControlsGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property FrameShadowManager |
Public Property Icons | Global icon collection used to store icons for controls like push buttons.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Suite OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs.
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property TagCloudsStyles |
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Suite OCX is used.
Public Property Version | Returns the current Suite version as a string.

See Also

SuiteControlsGlobalSettings Overview


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object | Color Property

See Also Suite Pro Controls ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

SuiteControlsGlobalSettings Object | Color Property


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

FrameShadowManager Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property FrameShadowManager() As FrameShadowManager

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Description

Global icon collection used to store icons for controls like push buttons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

To use this collection you first load icons to this global icons collection and then for a button you can use Button.Icon = Suite.Icon(...) to use the icons.

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    CommandBarsGlobalSettings.License = "CommandBars Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Suite OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This code should be placed in the Form_Initialize event of the main form.

Example

[ResourceFile Sample (Visual Basic)] This sample illustrates how to change the language with a rescourcefile.

Private Sub Form_Initialize()
    SuiteControlsGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpAppearanceResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudsStyles Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property TagCloudsStyles() As TagCloudsStyles

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Suite OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

SuiteControlsGlobalSettings Object

See Also Suite Pro Controls ActiveX Control v19.3

Version Property

Description

Returns the current Suite version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

SuiteControlsGlobalSettings Object


%%PageItemTitle%%

TabControl Members

See Also Suite Pro Controls ActiveX Control v19.3

TabControl Control

Description

A tab control.

For a list of all members defined in this module, see TabControl members.

Object Model

Remarks

If you choose to create your tabs at design time you can add or delete the total number of tabs at design time simply by changing the ItemCount value. This will add the specified number of tabs at design time so no code is needed to add the tabs.

See Also

TabControl Members


%%PageItemTitle%% $$Members$$

TabControl Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabControl Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control
Public Method GetClientRect | Returns the tab client area bounding coordinates.
Public Method HitTest | Returns the TabControl that the user clicked. This will return the TabControlItem at a specific x and y coordinate if one exists. This can be helpful when determining where the user clicked in the TabControl.
Public Method InsertItem | Inserts a new TabControlItem (tab) into the TabControl.
Public Method Item | Gets a TabControl item by index.
Public Method RemoveAll | Removes all TabControlItem(s) from the TabControl.
Public Method RemoveItem | Removes a specific TabControlItem from the TabControl.
Public Method SetImageList | Assigns an ImageList to the TabControl. The images in the ImageList are used to display icons in the tab buttons of the tab control.
Public Method ShowNavigateButton | Used to specify if and when a specific tab navigation button is displayed in the tab control header.

Public Properties

Public Property AllowReorder | Enables/Disables tab reordering. When True, the tabs can be reordered
Public Property Appearance | Gets/Sets the appearance of the tabs.
Public Property AutoResizeClient | Specifies whether the TabControl automatically positions and resizes controls in the tab client area when they are attached to a tab.
Public Property ClientHeight | Height of Client Area.
Public Property ClientLeft | Left of Tab Client Area.
Public Property ClientTop | Top of Tab Client Area.
Public Property ClientWidth | Width of Client Area.
Public Property Color | Gets/Sets the color style of the tabs.
Public Property DrawFocusRect | Get\set whether a focus rectangle is drawn around the text caption of a tab button when the tab has focus.
Public Property Enabled | Gets/Sets a Boolean value indicating whether the TabControl is enabled/disabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property HeaderScrollOffset | Gets or sets the scroll offset of the tab buttons in the tab header. This is how much the tabs have been scrolled by pressing the left "<" and right ">" tab navigation buttons.
Public Property hWnd | The Handle of the TabControl object.
Public Property Icons | The Icons property is a collection of icons that can be used in TabControlItem objects.
Public Property ItemCount | Gets\sets the total number of TabControlItem(s) (tabs) in the TabControl.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property PaintManager | Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your tabs.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the TabControl elements are aligned to support locales using right-to-left fonts.
Public Property Selected | Gets the currently selected TabControlItem. A tab is selected when it has been clicked or has focus.
Public Property SelectedItem | Gets\sets the currently selected tab in the tab control.
Public Property ShowCloseItemButton | Specifies whether to show a close button on each individual tab button.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.

Events

Public Event BeforeItemClick | Occurs when a tab button is clicked, but before the click message is processed by the TabControl.
Public Event ItemDblClick | Occurs when a tab button is double-clicked.
Public Event ItemOrderChanged | Occurs when the tab button order has changed.
Public Event MouseMove | Occurs when the mouse cursor is moved over any part of the TabControl.
Public Event MouseUp | Occurs when the tab buttons or the area surrounding the tab buttons (not including the object attached to the tab) has a mouse click that is released. This event not triggered on single left mouse clicks. This event is triggered on all mouse button clicks except the above noted, and it is triggered on a left button double-click.
Public Event NavigateButtonClick | Occurs when a tab navigation button is clicked.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |
Public Event SelectedChanged | Occurs when a new TabControlItem is selected in the TabControl. I.e. The focus has changed from one tab to another.

See Also

TabControl Overview


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control

Syntax

Public Sub AboutBox()

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Left
Top
Right
Bottom
See Also Suite Pro Controls ActiveX Control v19.3

GetClientRect Method

Description

Returns the tab client area bounding coordinates.

Syntax

Public Sub GetClientRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
Top
Right
Bottom

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

x
x coordinate of mouse
y
y coordinate of mouse
See Also Suite Pro Controls ActiveX Control v19.3

HitTest Method

Description

Returns the TabControl that the user clicked. This will return the TabControlItem at a specific x and y coordinate if one exists. This can be helpful when determining where the user clicked in the TabControl.

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As TabControlItem

Parameters

x
x coordinate of mouse
y
y coordinate of mouse

Remarks

Can be used to determine if the user actually Right-Clicked on a TabControl when the RClick event is triggered. The RClick event is triggered if the user right-clicks anywhere on the TabWorkspace

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Index
Index of the new TabControlItem.
Caption
Caption of the new TabControlItem.
Child
Children of the new TabControlItem.
Image
Image index
See Also Suite Pro Controls ActiveX Control v19.3

InsertItem Method

Description

Inserts a new TabControlItem (tab) into the TabControl.

Syntax

Public Function InsertItem( _
   ByVal Index As Long, _
   ByVal Caption As String, _
   ByVal Child As Integer, _
   ByVal Image As Long _
) As TabControlItem

Parameters

Index
Index of the new TabControlItem.
Caption
Caption of the new TabControlItem.
Child
Children of the new TabControlItem.
Image
Image index

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Index
Index of the TabControlItem.
See Also Suite Pro Controls ActiveX Control v19.3

Item Method

Description

Gets a TabControl item by index.

Syntax

Public Function Item( _
   ByVal Index As Long _
) As TabControlItem

Parameters

Index
Index of the TabControlItem.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Description

Removes all TabControlItem(s) from the TabControl.

Syntax

Public Sub RemoveAll()

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Index
Index of the TabControlItem to be removed.
See Also Suite Pro Controls ActiveX Control v19.3

RemoveItem Method

Description

Removes a specific TabControlItem from the TabControl.

Syntax

Public Sub RemoveItem( _
   ByVal Index As Long _
)

Parameters

Index
Index of the TabControlItem to be removed.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

ImageList
Image to be assigned to the TabControl
See Also Suite Pro Controls ActiveX Control v19.3

SetImageList Method

Description

Assigns an ImageList to the TabControl. The images in the ImageList are used to display icons in the tab buttons of the tab control.

Syntax

Public Sub SetImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
Image to be assigned to the TabControl

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control | XTPTabNavigateButton Enumeration | XTPTabNavigateButtonFlags Enumeration

Button
Specifies the button to apply a XTPTabNavigateButtonFlags flag to.
Flags
Specifies the XTPTabNavigateButtonFlags flag to apply to the XTPTabNavigateButton indicated by the Button parameter.
See Also Suite Pro Controls ActiveX Control v19.3

ShowNavigateButton Method

Description

Used to specify if and when a specific tab navigation button is displayed in the tab control header.

Syntax

Public Sub ShowNavigateButton( _
   ByVal Button As XTPTabNavigateButton, _
   ByVal Flags As XTPTabNavigateButtonFlags _
)

Parameters

Button
Value | Description
xtpTabNavigateButtonLeft | Left tab navigation button.
xtpTabNavigateButtonRight | Right tab navigation button.
xtpTabNavigateButtonClose | Close tab navigation button.
Specifies the button to apply a XTPTabNavigateButtonFlags flag to.
Flags
Value | Description
xtpTabNavigateButtonNone | Never display the navigate button.
xtpTabNavigateButtonAutomatic | Automatically display the navigate button.
xtpTabNavigateButtonAlways | Always display the navigate button.
Specifies the XTPTabNavigateButtonFlags flag to apply to the XTPTabNavigateButton indicated by the Button parameter.

Remarks

The ShowNavigateButton method uses the XTPTabNavigateButtonFlags and XTPNavigateButton enumerations to specify when each of the tab navigation buttons will be displayed in the tab control header. Each button can have a different flag applied.

If xtpTabNavigateButtonAutomatic is used, then the button will appear only when needed. I.e. When the XTPTabLayoutStyle is set to xtpTabLayoutAutoSize, all tabs might not fit in the tab control header area. When there are more tabs than can fit in the header, the button will automatically be displayed.

See Also

TabControl Control | XTPTabNavigateButton Enumeration | XTPTabNavigateButtonFlags Enumeration


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AllowReorder Property

Description

Enables/Disables tab reordering. When True, the tabs can be reordered

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowReorder() As Boolean

Example

[AllowReorder Sample (Visual Basic)]

    'This sample code illustrates how to allow the user to reorder the tabs in the TabControl.
    TabControl.AllowReorder = True

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets/Sets the appearance of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPTabAppearanceStyle

Remarks

The appearance is the physical structure of the tab buttons.

This value can be set at design time to see how the tabs will look without running the program.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

AutoResizeClient Property

Description

Specifies whether the TabControl automatically positions and resizes controls in the tab client area when they are attached to a tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoResizeClient() As Boolean

Remarks

By default, AutoResizeClient is True. By setting AutoResizeClient to False you can manually move and resize the controls that have been attached to tab items that should appear in the tab client area.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientHeight Property

Description

Height of Client Area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientHeight() As Single

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientLeft Property

Description

Left of Tab Client Area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientLeft() As Single

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientTop Property

Description

Top of Tab Client Area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientTop() As Single

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ClientWidth Property

Description

Width of Client Area.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientWidth() As Single

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Description

Gets/Sets the color style of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As XTPTabColorStyle

Remarks

Color styles are used to colorize the tabs. For example, applying the xtpTabColorWinXP color style will give the tabs Windows XP colorization.

This value can be set at design time to see how the tabs will look without running the program.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

DrawFocusRect Property

Description

Get\set whether a focus rectangle is drawn around the text caption of a tab button when the tab has focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the TabControl is enabled/disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

TabControl Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

HeaderScrollOffset Property

Description

Gets or sets the scroll offset of the tab buttons in the tab header. This is how much the tabs have been scrolled by pressing the left "<" and right ">" tab navigation buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderScrollOffset() As Long

Remarks

Scroll offset, this is how much the tabs in the tab header have been scrolled using the left and right tab navigation buttons.

The scroll offset starts at zero. The offset will remain at zero until there are enough tabs to scroll. If the tabs are scrolled, the offset will be a negative number indicating how much the tabs have been scrolled to the right.

When setting the scroll offset, the number must be <= 0. You should add or subtract to move left and right. If set to 0, then the tabs will be reset to there starting position.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

The Handle of the TabControl object.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control | Image Property | ImageManagerIcons Object

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Description

The Icons property is a collection of icons that can be used in TabControlItem objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

Remarks

Icons must be added to this collection using the AddIcon, LoadBitmap, or LoadIcon methods before they can be used in the a TabControlItem.

To use an icon from the Icons collection, the Image of a TabControlItem is associated with the index of an icon in the Icons collection.

Important note: The IconId can not be zero (0), when using the AddIcon, LoadBitmap, or LoadIcon methods, you can not assign an IconId of zero, the IconId must be a positive integer. IconId refers to the Command parameter in the ImageManagerIcons Methods.

See Also

TabControl Control | Image Property | ImageManagerIcons Object


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ItemCount Property

Description

Gets\sets the total number of TabControlItem(s) (tabs) in the TabControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemCount() As Long

Remarks

If you choose to create your tabs at design time you can add or delete the total number of tabs at design time simply by changing the ItemCount value. This will add the specified number of tabs at design time so no code is needed to add the tabs.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

PaintManager Property

Description

Gets the tab PaintManager properties. The tab paint manager is used to customize the appearance of your tabs.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As TabPaintManager

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the TabControl elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the TabControl (Button Order, Navigation Buttons, etc) are displayed from right to left.

Example

[TabControl RTL Mode (Visual Basic)] This sample illustrates how to enable RTL mode for the TabControl.

    'Set the TabControl to RTL mode
    TabControl.RightToLeft = True

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

Selected Property

Description

Gets the currently selected TabControlItem. A tab is selected when it has been clicked or has focus.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selected() As TabControlItem

Remarks

True if tab is currently selected, i.e. when the tab is clicked.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectedItem Property

Description

Gets\sets the currently selected tab in the tab control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItem() As Long

Remarks

This value can be set at design time to see how the tabs will look without running the program.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowCloseItemButton Property

Description

Specifies whether to show a close button on each individual tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCloseItemButton() As XTPTabItemButtonFlags

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over tab buttons in the TabControl.

See the ToolTipContext object for a complete list of methods and properties.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Item
Reference to the TabControlItem that was clicked.
Cancel
Set to True to cancel the click operation.
See Also Suite Pro Controls ActiveX Control v19.3

BeforeItemClick Event

Description

Occurs when a tab button is clicked, but before the click message is processed by the TabControl.

Syntax

Public Event BeforeItemClick( _
   ByVal Item As TabControlItem, _
   ByRef Cancel As Variant _
)

Parameters

Item
Reference to the TabControlItem that was clicked.
Cancel
Set to True to cancel the click operation.

Remarks

The BeforeItemClick event occurs when a tab button is clicked, but before the click message is processed by the TabControl. This will notify you when a tab button is clicked as well as give you the opportunity to cancel the click.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Item
See Also Suite Pro Controls ActiveX Control v19.3

ItemDblClick Event

Description

Occurs when a tab button is double-clicked.

Syntax

Public Event ItemDblClick( _
   ByVal Item As TabControlItem _
)

Parameters

Item

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control | AllowReorder Property

Item
Reference to the TabControlItem that was re-ordered.
OldIndex
Index of the old position of the button.
NewIndex
Index of the new position of the button.
See Also Suite Pro Controls ActiveX Control v19.3

ItemOrderChanged Event

Description

Occurs when the tab button order has changed.

Syntax

Public Event ItemOrderChanged( _
   ByVal Item As TabControlItem, _
   ByVal OldIndex As Long, _
   ByVal NewIndex As Long _
)

Parameters

Item
Reference to the TabControlItem that was re-ordered.
OldIndex
Index of the old position of the button.
NewIndex
Index of the new position of the button.

Remarks

Occurs when a tab button has been re-ordered and AllowReorder = True.

See Also

TabControl Control | AllowReorder Property


%%PageItemTitle%%

TabControl Control | HitTest Method | TabControlItem Object

Button
Button of the mouse that is currently pressed, if any.
Shift
Specifies whether the Shift, Ctrl or ALT keys are currently pressed.
x
Current x coordinate of mouse cursor.
y
Current x coordinate of mouse cursor.
See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse cursor is moved over any part of the TabControl.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Button of the mouse that is currently pressed, if any.
Shift
Specifies whether the Shift, Ctrl or ALT keys are currently pressed.
x
Current x coordinate of mouse cursor.
y
Current x coordinate of mouse cursor.

Remarks

The HitTest method can be used to determine which TabControlItem, if any, the mouse cursor is currently positioed over by using the x and y parameter of the MouseMove event.

See Also

TabControl Control | HitTest Method | TabControlItem Object


%%PageItemTitle%%

TabControl Control

Button
Button of the mouse that was released.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
x
x coordinate of mouse
y
y coordinate of mouse
See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the tab buttons or the area surrounding the tab buttons (not including the object attached to the tab) has a mouse click that is released. This event not triggered on single left mouse clicks. This event is triggered on all mouse button clicks except the above noted, and it is triggered on a left button double-click.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Button of the mouse that was released.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
x
x coordinate of mouse
y
y coordinate of mouse

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Item
ButtonId
Cancel
Set to True to Cancel the operation.
See Also Suite Pro Controls ActiveX Control v19.3

NavigateButtonClick Event

Description

Occurs when a tab navigation button is clicked.

Syntax

Public Event NavigateButtonClick( _
   ByVal Item As TabControlItem, _
   ByVal ButtonId As Integer, _
   ByRef Cancel As Variant _
)

Parameters

Item
ButtonId
Cancel
Set to True to Cancel the operation.

Remarks

Note: Currently the NavigateButtonClick event will only occur when the Close navigation button is clicked. In a future release support will be added for all navigation buttons.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

TabControl Control


%%PageItemTitle%%

TabControl Control

Item
The TabControlItem that is selected.
See Also Suite Pro Controls ActiveX Control v19.3

SelectedChanged Event

Description

Occurs when a new TabControlItem is selected in the TabControl. I.e. The focus has changed from one tab to another.

Syntax

Public Event SelectedChanged( _
   ByVal Item As TabControlItem _
)

Parameters

Item
The TabControlItem that is selected.

See Also

TabControl Control


%%PageItemTitle%%

TabControlItem Members

See Also Suite Pro Controls ActiveX Control v19.3

TabControlItem Object

Description

A tab object.

For a list of all members defined in this module, see TabControlItem members.

See Also

TabControlItem Members


%%PageItemTitle%% $$Members$$

TabControlItem Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabControlItem Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force an item in a group to become visible.
Public Method GetRect | Returns the bounding rectangle of the tab button.
Public Method Move | The Move method programmatically moves the tab within the TabControl. This allows the tabs to be reordered.

Public Properties

Public Property Caption | Set/Get the text that will be displayed in the tab.
Public Property Closable | The Closeable property specifies whether the close button is displayed in the TabWorkspace when this tab is selected.
Public Property Color | Set/Get the color of the tab.
Public Property Enabled | Gets/Sets a Boolean value indicating whether the tab is enabled. If false, the tab will appear "grayed out" and the user can not access the tab
Public Property Handle | Get the window handle that the tab is bound to.
Public Property Image | Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.
Public Property Index | Get the index of the tab
Public Property Selected | True if tab is currently selected, i.e. when the tab is clicked
Public Property Tag | Stores any extra data needed for your program
Public Property ToolTip | The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this tab item.
Public Property Visible | Gets/Sets a Boolean value indicating whether the tab is visible. If false, the tab will not be visible

See Also

TabControlItem Overview


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force an item in a group to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the tab item is visible in the tab strip. This will scroll the tab items in the tab strip until the tab item is visible.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.
See Also Suite Pro Controls ActiveX Control v19.3

GetRect Method

Description

Returns the bounding rectangle of the tab button.

Syntax

Public Sub GetRect( _
   ByRef Left As Long, _
   ByRef Top As Long, _
   ByRef Right As Long, _
   ByRef Bottom As Long _
)

Parameters

Left
[out] The Left point of the tab button rectangle.
Top
[out] The Top point of the tab button rectangle.
Right
[out] The Right point of the tab button rectangle.
Bottom
[out] The Bottom point of the tab button rectangle.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object | Index Property

Index
New position of the tab within the collection of tab items.
See Also Suite Pro Controls ActiveX Control v19.3

Move Method

Description

The Move method programmatically moves the tab within the TabControl. This allows the tabs to be reordered.

Syntax

Public Sub Move( _
   ByVal Index As Long _
)

Parameters

Index
New position of the tab within the collection of tab items.

Remarks

The Move method allows the tab to be reordered within the collection of tabs. The Index specifies the new location of the tab item.

Note: The collection of tabs is a zero (0) based index.

Example

The "After Move" picture is the result of the sample code below.

Before Move:

After Move:

[Programmatically Moving Tab Items (Visual Basic)]

     TabControl.Item(1).Move (3)

See Also

TabControlItem Object | Index Property


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Caption Property

Description

Set/Get the text that will be displayed in the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Closable Property

Description

The Closeable property specifies whether the close button is displayed in the TabWorkspace when this tab is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Closable() As Boolean

Remarks

The Closeable property is used to specify whether the TabControlItem can be closed. This determines if the Close button will be displayed in the TabWorkspace when the TabControlItem is selected. Each tab in the TabWorkspace can have a different setting.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Description

Set/Get the color of the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As ULong

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the tab is enabled. If false, the tab will appear "grayed out" and the user can not access the tab

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Handle Property

Description

Get the window handle that the tab is bound to.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Image Property

Description

Set/Get the image that will be displayed in the tab when the ShowIcons property is set to True. This is the index of an image within an imagelist.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Image() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Index Property

Description

Get the index of the tab

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Selected Property

Description

True if tab is currently selected, i.e. when the tab is clicked

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Tag Property

Description

Stores any extra data needed for your program

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

ToolTip Property

Description

The ToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this tab item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTip() As String

Remarks

If the ToolTip property is not set, then the Caption of the TabControlItem will be used as the ToolTip.

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlItem Object

See Also Suite Pro Controls ActiveX Control v19.3

Visible Property

Description

Gets/Sets a Boolean value indicating whether the tab is visible. If false, the tab will not be visible

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

See Also

TabControlItem Object


%%PageItemTitle%%

TabControlPage Members

See Also Suite Pro Controls ActiveX Control v19.3

TabControlPage Control

Description

TabControlPage can be a replacement of picture box for client of TabControl - if developer put page inside TabControl - automatically Tab will appear and developer can put buttons/combos to this page

For a list of all members defined in this module, see TabControlPage members.

Remarks

Supports the WinXP theme for TabControl client.

See Also

TabControlPage Members


%%PageItemTitle%% $$Members$$

TabControlPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabControlPage Control Members

Public Methods

Public Method AboutBox About Box

Public Properties

Public Property AutoSize | Automatically fits the tab control page to the client space of the parent TabControl.
Public Property BackColor | Gets or sets the background color of the control.
Public Property hWnd | Handle of the Tab Page.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property Picture | Uses a picture to set custom a background.
Public Property PictureAlignment | Gets or sets the alignment of the background picture.
Public Property ReCreateReparented |

Events

Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

TabControlPage Overview


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

About Box

Syntax

Public Sub AboutBox()

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

AutoSize Property

Description

Automatically fits the tab control page to the client space of the parent TabControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoSize() As Boolean

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Handle of the Tab Page.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

Picture Property

Description

Uses a picture to set custom a background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Picture() As Picture

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

PictureAlignment Property

Description

Gets or sets the alignment of the background picture.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PictureAlignment() As PictureAlignmentStyle

Remarks

Specifies the alignment of the background picture if one exists.

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPage Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

TabControlPage Control


%%PageItemTitle%%

TabControlPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

TabControlPropPage Object

Description

Property page for TabControl

For a list of all members defined in this module, see TabControlPropPage members.

See Also

TabControlPropPage Members


%%PageItemTitle%% $$Members$$

TabControlPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabControlPropPage Object Members

See Also

TabControlPropPage Overview


%%PageItemTitle%%

TabManagerMargin Members

See Also Suite Pro Controls ActiveX Control v19.3

TabManagerMargin Object

Description

Manages the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

For a list of all members defined in this module, see TabManagerMargin members.

Remarks

The TabControl allows you to manipulate the margins of the components that make up the TabControl (I.e. Tabs). You can change the button, header, client, and control margins of the TabControl tabs. The button margin is the area in the tab button surrounding the tab caption, the header margin is the area surrounding the tab buttons, the client margin is the area surrounding the client (area inside the tabs), and the control margin is the area surrounding the entire TabControl.

Example

[Tab Margins Sample (Visual Basic)]

'This sample code illustrates how to change the Button margin (the area around the tab caption) of the tabs.
TabControl.PaintManager.ButtonMargin.SetRect 5, 5, 5, 5

'Or you can change each dimension individually
TabControl.PaintManager.ButtonMargin.Bottom = 5
TabControl.PaintManager.ButtonMargin.Top = 5
TabControl.PaintManager.ButtonMargin.Left = 5
TabControl.PaintManager.ButtonMargin.Right = 5

'This sample code illustrates how to change the Header margin (the area around the tab buttons).
TabControl.PaintManager.HeaderMargin.SetRect 15, 15, 15, 0

'This sample code illustrates how to change the Client margin (the area around the client attached to/inside the TabControl).
TabControl.PaintManager.ClientMargin.SetRect 5, 5, 5, 5

'This sample code illustrates how to change the Control margin (the area around the entire TabControl).
TabControl.PaintManager.ControlMargin.SetRect 10, 10, 10, 10

See Also

TabManagerMargin Members


%%PageItemTitle%% $$Members$$

TabManagerMargin Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabManagerMargin Object Members

Public Methods

Public Method SetRect Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Public Properties

Public Property Bottom | Get/Set the bottom margin of the rectangle.
Public Property Left | Get/Set the left margin of the rectangle.
Public Property Right | Get/Set the right margin of the rectangle.
Public Property Top | Get/Set the top margin of the rectangle.

See Also

TabManagerMargin Overview


%%PageItemTitle%%

TabManagerMargin Object

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.
See Also Suite Pro Controls ActiveX Control v19.3

SetRect Method

Description

Sets the left, top, bottom, and right margins of the rectangle of the button, client, control, and header.

Syntax

Public Sub SetRect( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Left margin of the rectangle.
Top
Top margin of the rectangle.
Right
Right margin of the rectangle.
Bottom
Bottom margin of the rectangle.

See Also

TabManagerMargin Object

Example

Tab Margins Sample


%%PageItemTitle%%

TabManagerMargin Object

See Also Suite Pro Controls ActiveX Control v19.3

Bottom Property

Description

Get/Set the bottom margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bottom() As Long

See Also

TabManagerMargin Object

Example

Tab Margins Sample


%%PageItemTitle%%

TabManagerMargin Object

See Also Suite Pro Controls ActiveX Control v19.3

Left Property

Description

Get/Set the left margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

TabManagerMargin Object

Example

Tab Margins Sample


%%PageItemTitle%%

TabManagerMargin Object

See Also Suite Pro Controls ActiveX Control v19.3

Right Property

Description

Get/Set the right margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Right() As Long

See Also

TabManagerMargin Object

Example

Tab Margins Sample


%%PageItemTitle%%

TabManagerMargin Object

See Also Suite Pro Controls ActiveX Control v19.3

Top Property

Description

Get/Set the top margin of the rectangle.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

See Also

TabManagerMargin Object

Example

Tab Margins Sample


%%PageItemTitle%%

TabMarginsPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

TabMarginsPropPage Object

Description

Property page for TabMargins

For a list of all members defined in this module, see TabMarginsPropPage members.

See Also

TabMarginsPropPage Members


%%PageItemTitle%% $$Members$$

TabMarginsPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabMarginsPropPage Object Members

See Also

TabMarginsPropPage Overview


%%PageItemTitle%%

TabPaintManager Members

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManager Object

Description

Represents the appearance of the tabs.

For a list of all members defined in this module, see TabPaintManager members.

Object Model

See Also

TabPaintManager Members


%%PageItemTitle%% $$Members$$

TabPaintManager Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManager Object Members

Public Methods

Public Method IsColorSupported | Checks to see if a XTPTabColorStyle is supported for the currently set Appearance
Public Method SetIconSize | The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Public Properties

Public Property Appearance | Gets/Sets the appearance of the tabs.
Public Property BoldSelected | Enables/disables the use of a bold selected tab.
Public Property ButtonMargin | Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.
Public Property ClearTypeTextQuality | Enables or disables the use of ClearType text in the tab buttons.
Public Property ClientFrame | Gets/Sets the client frame
Public Property ClientMargin | Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.
Public Property Color | Gets/Sets the color style of the tabs.
Public Property ColorSet | The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.
Public Property ControlMargin | Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.
Public Property DisableLunaColors | Disables/enables the use of luna colors.
Public Property DrawTextFormat | Text format for tab buttons.
Public Property DrawTextNoPrefix | The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.
Public Property DrawTextPathEllipsis | The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.
Public Property FillBackground | Specifies whether the area behind the tab buttons will be drawn themed.
Public Property FixedTabWidth | Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.
Public Property Font | The Font property is used to set or retrieve the font used to display the caption of tab buttons.
Public Property HeaderMargin | Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.
Public Property HotTracking | Enables/disables hot tracking.
Public Property Layout | Gets/Sets the layout of the tabs. The layout refers to how the tabs are sized within the TabControl.
Public Property MaxTabWidth | Gets\sets the maximum width a tab button can be.
Public Property MinTabWidth | Gets\sets the minimum width a tab button can be.
Public Property MultiRowFixedSelection | The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.
Public Property MultiRowJustified | The MultiRowJustified property specifies the justification\width of the tab (TabControlItem objects) in the TabControl.
Public Property MultiRowTabsOptimization |
Public Property OneNoteColors | Enables/disables the use of OneNote Colors
Public Property Position | Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side
Public Property RotateImageOnVerticalDraw | Specifies whether tab images are rotated when the tabs are drawn vertically.
Public Property SelectTabOnDragOver | Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.
Public Property ShowIcons | Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.
Public Property ShowTabs | Gets or sets whether the tabs in the tab control are visible.
Public Property StaticFrame | Enables/Disables the use of a static frame.
Public Property ToolTipBehaviour | The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in the TabControl.
Public Property VerticalTextTopToBottom | Specifies whether to draw vertical Text Top-to-Bottom or Bottom-to-Top.

See Also

TabPaintManager Overview


%%PageItemTitle%%

TabPaintManager Object

Color
Color to be checked
Color to be checked.
See Also Suite Pro Controls ActiveX Control v19.3

IsColorSupported Method

Description

Checks to see if a XTPTabColorStyle is supported for the currently set Appearance

Syntax

Public Function IsColorSupported( _
   ByVal Color As XTPTabColorStyle _
) As Boolean

Parameters

Color
Value | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access
xtpTabColorVisualStudio2003
xtpTabColorVisualStudio2005
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010
xtpTabColorVisualStudio2012
xtpTabColorVisualStudio2012Dark
xtpTabColorOffice2013
xtpTabColorOffice2016
xtpTabColorVisualStudio2015
xtpTabColorAll
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007
Color to be checked
Color to be checked.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | ShowIcons Property

cx
New Width of Icons.
cy
New Height of Icons.
See Also Suite Pro Controls ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the size of the icons displayed in the tab buttons.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New Width of Icons.
cy
New Height of Icons.

Remarks

SetIconSize will set the size of icons displayed in the tab buttons when ShowIcons is TRUE.

See Also

TabPaintManager Object | ShowIcons Property


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets/Sets the appearance of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As XTPTabAppearanceStyle

Remarks

The TabControl allows you to easily change the appearance of your TabControl tabs. You can choose from several built in appearances.

Example

[[New Example] (Visual Basic)] This sample code illustrates how to change the tab appearance to look like Visual Studio style tabs using the Office 2003 color scheme.

    'This sample code illustrates how to change the tab appearance to look like Visual Studio style tabs using the Office 2003 color scheme.
    TabControl.PaintManager.Appearance = xtpTabAppearanceVisualStudio
    TabControl.PaintManager.Color = xtpTabColorOffice2003

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

BoldSelected Property

Description

Enables/disables the use of a bold selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BoldSelected() As Boolean

Remarks

When True, the caption of the Tab that is currently selected is displayed in bold.

Example

[BoldSelected Sample (Visual Basic)]

    'This sample code illustrates how to disable Bold Selected tabs.
    TabControl.PaintManager.BoldSelected = False

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonMargin Property

Description

Gets the top, left, bottom and top margins of the button. These margins refer to the amount of space placed between the caption of the tab and the margins of the tab within the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ButtonMargin() As TabManagerMargin

See Also

TabPaintManager Object

Example

Button Margin Sample


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ClearTypeTextQuality Property

Description

Enables or disables the use of ClearType text in the tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClearTypeTextQuality() As Boolean

Remarks

ClearTypeTextQuality is only supported in Windows XP and higher. ClearType text delivers improved font display quality over traditional forms of font smoothing or anti-aliasing. ClearType text improves readability on LCD displays and flat panel displays. Readability on CRT screens is also minimally improved.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ClientFrame Property

Description

Gets/Sets the client frame

Property type

Read-write property

Syntax (Visual Basic)

Public Property ClientFrame() As XTPTabClientFrame

Example

[[New Example] (Visual Basic)]

    'This sample code illustrates how to add a frame border around your TabControl's client area.
    TabControl.PaintManager.ClientFrame = xtpTabFrameBorder

    'This sample code illustrates how to add a single line frame border to your TabControl's client area.
    TabControl.PaintManager.ClientFrame = xtpTabFrameSingleLine

    'This sample code illustrates how to remove the frame boarder around the TabControl's client area.
    TabControl.PaintManager.ClientFrame = xtpTabFrameNone

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ClientMargin Property

Description

Gets the top, left, bottom and top margins of the client. These margins refer to the amount of space placed around the client within the control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientMargin() As TabManagerMargin

See Also

TabPaintManager Object

Example

Client Margin Sample


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Color Property

Description

Gets/Sets the color style of the tabs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Color() As XTPTabColorStyle

Remarks

The TabControl allows you to fully customize the appearance of your TabControl tabs by applying color styles. There are several pre-defined color styles you can choose from. Color styles can be used with Appearance styles to give your application a unique professional look. For example, your tabs can have a Visual Studio appearance using Office 2003 colors.

Example

[[New Example] (Visual Basic)]

    'This sample code illustrates how to change the tab appearance to look like Visual Studio style tabs using the Office 2003 color scheme.
    TabControl.PaintManager.Appearance = xtpTabAppearanceVisualStudio
    TabControl.PaintManager.Color = xtpTabColorOffice2003

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | Color Property | Appearance Property

See Also Suite Pro Controls ActiveX Control v19.3

ColorSet Property

Description

The ColorSet stores the colors used to paint the tabs. The default tab colors for each theme can be changed using the ColorSet property.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorSet() As TabPaintManagerColorSet

Remarks

Each time a Color or Appearance is applied, the color settings will be updated with the colors for the selected Color and Appearance. When the Color and Appearance is changed, the the members of ColorSet must be updated to show the custom colors.

Example

[Changing the color set for tab appearances. (Visual Basic)] This sample illustrates how to change the colors used for each tab color set.

   'Color properties common to all tab appearances
    wndTabControl.PaintManager.ColorSet.NormalText = RGB(0, 50, 150)
    wndTabControl.PaintManager.ColorSet.FrameBorder = RGB(255, 0, 0)
    wndTabControl.PaintManager.ColorSet.HeaderFaceDark = RGB(0, 0, 255)
    wndTabControl.PaintManager.ColorSet.HeaderFaceLight = RGB(0, 0, 100)
    wndTabControl.PaintManager.ColorSet.SelectedText = RGB(0, 0, 255)

    'Color properties specific to the Office 2003 theme and PropertyPage2003 appearance.
    wndTabControl.PaintManager.ColorSet.TabPropertyPage2003BorderLeftHighlight = RGB(255, 0, 0)
    wndTabControl.PaintManager.ColorSet.TabPropertyPage2003BorderTopHighlight = RGB(255, 0, 0)
    wndTabControl.PaintManager.ColorSet.TabPropertyPage2003DarkShadow = RGB(255, 0, 0)
    wndTabControl.PaintManager.ColorSet.TabPropertyPage2003FrameBorder = RGB(0, 0, 0)

See Also

TabPaintManager Object | Color Property | Appearance Property


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ControlMargin Property

Description

Gets the top, left, bottom and top margins of the control. These margins refer to the amount of space placed around the entire tab control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ControlMargin() As TabManagerMargin

See Also

TabPaintManager Object

Example

Control Margin Sample


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DisableLunaColors Property

Description

Disables/enables the use of luna colors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisableLunaColors() As Boolean

Example

[DisableLunaColors Sample (Visual Basic)]

    'This sample code illustrates how to disable Luna colors in your TabControl.
    TabControl.PaintManager.DisableLunaColors = False

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

DrawTextFormat Property

Description

Text format for tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextFormat() As XTPTabDrawTextFormat

Remarks

DrawTextFormat can contain one or more flags from the XTPTabDrawTextFormat enumeration to specify the text format used to draw text in tab buttons.

By default the xtpTabDrawTextLeft and xtpTabDrawTextVCenter flags are combined using the bitwise OR operator.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | DrawTextPathEllipsis Property

See Also Suite Pro Controls ActiveX Control v19.3

DrawTextNoPrefix Property

Description

The DrawTextNoPrefix property is used to change how the '&' mnemonic is processed in the tab button captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextNoPrefix() As Boolean

Remarks

If set to FALSE, then an ampersand '&' in the tab button caption will be ignored and the character immediately following the ampersand will be underlined. A double ampersand '&&' will display a single ampersand '&'.

If the tab caption was "Te&xt", then the resulting caption would look like "Text"

If set to TRUE, then the caption will be displayed unmodified.

This can be used to indicate to the user that a hot key is associated with the tab. Please note that a key can not be directly bound to a tab, you will need to manually handle the key bindings and then the appropriate tab can be selected.

Example

[Underlining a character in the tab button caption. (Visual Basic)] This sample illustrates how to underline a character in a tab button caption. This lets the user know that a hot key is associated with the tab.

    'Indicates that a single '&' in the tab button caption will result in the following
    'character being underlined.
    wndTabControl.PaintManager.DrawTextNoPrefix = False

See Also

TabPaintManager Object | DrawTextPathEllipsis Property


%%PageItemTitle%%

TabPaintManager Object | DrawTextNoPrefix Property

See Also Suite Pro Controls ActiveX Control v19.3

DrawTextPathEllipsis Property

Description

The DrawTextPathEllipsis property is used to change the location of the ellipse "..." in the string caption of the tab buttons when the string is too long to be displayed in a tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawTextPathEllipsis() As Boolean

Remarks

If set to TRUE, then when the size of a tab button is too small to display the caption, the middle of the caption will be replaced with an ellipse "..."

If set to FALSE, then the end of the caption will be replaced with the ellipse.

Example

[DrawTextPathEllipsis Sample (Visual Basic)] This sample illustrates how to use the DrawTextPathEllipsis property to change the location of the ellipse in tab captions too long to fit in a tab button.

    'An ellipse will be drawn in the middle of tab captions too long to fit in the tab button.
    wndTabControl.PaintManager.DrawTextPathEllipsis = True

See Also

TabPaintManager Object | DrawTextNoPrefix Property


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

FillBackground Property

Description

Specifies whether the area behind the tab buttons will be drawn themed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FillBackground() As Boolean

Remarks

By default, FillBackground is True. When True, the space behind the tab buttons will be themed to match the currently set tab appearance, otherwise the normal colors will be used.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property

See Also Suite Pro Controls ActiveX Control v19.3

FixedTabWidth Property

Description

Gets\sets the width of the tab buttons when the tab layout is set to XTPTabLayoutFixed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FixedTabWidth() As Long

Remarks

FixedTabWidth is only used when the tab layout is set to XTPTabLayoutFixed. This is the size in pixels of each individual tab button when the tab layout is set to XTPTabLayoutFixed.

To set back to default settings, set FixedTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MaxTabWidth Property | MinTabWidth Property


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

The Font property is used to set or retrieve the font used to display the caption of tab buttons.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Example

[Changing the font of the tab buttons. (Visual Basic)] This sample illustrates how to change the font used in the tab buttons.

    'The following illustrate how to change the font used for the tab button captions.
    Dim TextFont As StdFont
    Set TextFont = New StdFont
    TextFont.Name = "Arial"
    TextFont.Size = 15
    TextFont.Bold = True

    Set wndTabControl.PaintManager.Font = TextFont

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

HeaderMargin Property

Description

Gets the top, left, bottom and top margins of the header. These margins refer to the amount of space placed around the tab button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property HeaderMargin() As TabManagerMargin

See Also

TabPaintManager Object

Example

Header Margin Sample


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

HotTracking Property

Description

Enables/disables hot tracking.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

When hot tracking is enabled, the appearance of the tab that the mouse pointer is positioned over will change. How the appearance is changed depends on the currently set Appearance. Some appearances do not change at all, some will cause the caption to display in a different color, and some will change the color of the tab.

Example

[HotTracking Sample (Visual Basic)]

    'This sample code illustrates how to disable Hot Tracking.
    TabControl.PaintManager.HotTracking = False

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Layout Property

Description

Gets/Sets the layout of the tabs. The layout refers to how the tabs are sized within the TabControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Layout() As XTPTabLayoutStyle

Remarks

The TabControl allows you to change the layout of your tabs within the TabControl with a single line of code. The tabs can be in a compressed, fixed, auto size, or size to fit layout. You can change the layout of the tabs at any time in your program.

Example

[[New Example] (Visual Basic)] This sample code illustrates how to use change the layout for your TabControl tabs.

    'This sample code illustrates how to use the Compressed layout for your TabControl tabs.
    TabControl.PaintManager.Layout = xtpTabLayoutCompressed

    'This sample code illustrates how to use the Fixed layout for your TabControl tabs.
    TabControl.PaintManager.Layout = xtpTabLayoutFixed

    'This sample code illustrates how to use the Size-to-Fit layout for your TabControl tabs.
    TabControl.PaintManager.Layout = xtpTabLayoutSizeToFit

    'This sample code illustrates how to use the Autosize layout for your TabControl tabs.
    TabControl.PaintManager.Layout = xtpTabLayoutAutoSize

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property

See Also Suite Pro Controls ActiveX Control v19.3

MaxTabWidth Property

Description

Gets\sets the maximum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTabWidth() As Long

Remarks

MaxTabWidth is the maximum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MaxTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | MinTabWidth Property | FixedTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | XTPTabLayoutStyle Enumeration | FixedTabWidth Property | MaxTabWidth Property

See Also Suite Pro Controls ActiveX Control v19.3

MinTabWidth Property

Description

Gets\sets the minimum width a tab button can be.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinTabWidth() As Long

Remarks

MinTabWidth is the minimum width in pixels a tab button can be for any of the tab layout styles. To set back to default settings, set MinTabWidth to 0.

See Also

TabPaintManager Object | XTPTabLayoutStyle Enumeration | FixedTabWidth Property | MaxTabWidth Property


%%PageItemTitle%%

TabPaintManager Object | Layout Property | MultiRowJustified Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiRowFixedSelection Property

Description

The MultiRowFixedSelection property specifies whether the the row of the currently selected tab will be moved to the front of the tab rows. This determines how remaining rows of tabs in front of a selected tab are repositioned.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowFixedSelection() As Boolean

Remarks

When false, the rows of tabs in front of the selected tab are repositioned at the opposite side (behind) of the control. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, all tab rows will be repositioned behind the second row.

When true, the rows in a multi-row tab control remain "fixed" when a tab is selected. The remaining rows of tabs in front of a selected tab will not be repositioned. For example, if there are three rows in the multi-row tab-control, and a tab in the second row is selected, the tab rows will remain the same.

See Also

TabPaintManager Object | Layout Property | MultiRowJustified Property


%%PageItemTitle%%

TabPaintManager Object | Layout Property | MultiRowFixedSelection Property

See Also Suite Pro Controls ActiveX Control v19.3

MultiRowJustified Property

Description

The MultiRowJustified property specifies the justification\width of the tab (TabControlItem objects) in the TabControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowJustified() As Boolean

Remarks

If MultiRowJustified is true, the tab rows will be justified. If the tab layout is set to xtpTabLayoutMultiRow, each tab is wide enough to accommodate its contents and, if needed, the width of each tab is increased so that each row of tabs spans the width of the TabControl. This will stretch each row of tabs to fill the entire width of the TabControl. If the tab layout is not set to xtpTabLayoutMultiRow, or if there is only a single row of tabs, this setting has no effect.

If MultiRowJustified is false, the tab rows will be non-justified. Each tab is just wide enough to accommodate its contents. The rows are not justified, so multiple rows of tabs are jagged.

See Also

TabPaintManager Object | Layout Property | MultiRowFixedSelection Property


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

MultiRowTabsOptimization Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiRowTabsOptimization() As Boolean

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

OneNoteColors Property

Description

Enables/disables the use of OneNote Colors

Property type

Read-write property

Syntax (Visual Basic)

Public Property OneNoteColors() As Boolean

Example

[OneNoteColors Sample (Visual Basic)]

    'This sample code illustrates how to use OneNote colors for your tabs.
    TabControl.PaintManager.OneNoteColors = True

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

Position Property

Description

Gets/Sets the position of the tabs. The position refers to where the tabs are located. The tabs can be positioned on the top, bottom, left, or right side

Property type

Read-write property

Syntax (Visual Basic)

Public Property Position() As XTPTabPosition

Example

[Position Sample (Visual Basic)]

    'This sample code illustrates how to position the TabContol tabs on the Left side of the client area.
    TabControl.PaintManager.Position = xtpTabPositionLeft

    'This sample code illustrates how to position the TabContol tabs on the Bottom of the client area.
    TabControl.PaintManager.Position = xtpTabPositionBottom

    'This sample code illustrates how to position the TabContol tabs on the Right side of the client area.
    TabControl.PaintManager.Position = xtpTabPositionRight

    'This sample code illustrates how to position the TabContol tabs on the Top of the client area.
    TabControl.PaintManager.Position = xtpTabPositionTop

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

RotateImageOnVerticalDraw Property

Description

Specifies whether tab images are rotated when the tabs are drawn vertically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RotateImageOnVerticalDraw() As Boolean

Example

[RotateImageOnVerticalDraw Sample (Visual Basic)] Illustrates how to rotate the tab images when the tabs are drawn vertically.

    TabControl.PaintManager.RotateImageOnVerticalDraw = True

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectTabOnDragOver Property

Description

Specifies whether a tab becomes selected\activated when an object (files, text, etc) is dragged over the tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectTabOnDragOver() As Integer

Remarks

Set SelectTabOnDragOver to True to select\activate a tab when an object (files, text, etc) is dragged over the tab.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | SetIconSize Method

See Also Suite Pro Controls ActiveX Control v19.3

ShowIcons Property

Description

Hides/Un-hides tab icons. Tab icons will appear to the left of the caption when ShowIcons = True.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowIcons() As Boolean

Remarks

The SetIconSize method can be used to change the size of icons displayed in the tab buttons.

Example

[ShowIcons Sample (Visual Basic)]

    'This sample code illustrates how to hide the icons displayed in your tabs.
    TabControl.PaintManager.ShowIcons = False

See Also

TabPaintManager Object | SetIconSize Method


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

ShowTabs Property

Description

Gets or sets whether the tabs in the tab control are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowTabs() As Boolean

Remarks

Gives you the option to hide all the tabs in the tab control. If used, tabs must be selected\changed using code.

This might be used when creating a wizard type interface. You could then change tabs using a next button or some other control of your choice.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

StaticFrame Property

Description

Enables/Disables the use of a static frame.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StaticFrame() As Boolean

Example

[StaticFrame Sample (Visual Basic)]

    'This sample code illustrates how to add a static frame around the entire TabControl.
    TabControl.PaintManager.StaticFrame = True

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipBehaviour Property

Description

The ToolTipBehaviour property gets\set when tool tips should be displayed for tab buttons in the TabControl.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ToolTipBehaviour() As XTPTabToolTipBehaviour

Remarks

By default, tool tips will only be displayed for tab buttons in the TabControl when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

See Also

TabPaintManager Object | XTPTabToolTipBehaviour Enumeration


%%PageItemTitle%%

TabPaintManager Object

See Also Suite Pro Controls ActiveX Control v19.3

VerticalTextTopToBottom Property

Description

Specifies whether to draw vertical Text Top-to-Bottom or Bottom-to-Top.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerticalTextTopToBottom() As Boolean

Return Type

True to draw vertical Text Top-to-Bottom.

See Also

TabPaintManager Object


%%PageItemTitle%%

TabPaintManagerColorSet Members

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManagerColorSet Object

Description

The TabPaintManagerColorSet stores the colors used to paint the elements that make up a tab in the TabControl. The default tab colors for each theme can be changed using the ColorSet property.

For a list of all members defined in this module, see TabPaintManagerColorSet members.

See Also

TabPaintManagerColorSet Members


%%PageItemTitle%% $$Members$$

TabPaintManagerColorSet Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManagerColorSet Object Members

Public Properties

Public Property ActiveFilesBack |
Public Property ActiveFilesBackHighlighted |
Public Property ActiveFilesBackPressed |
Public Property ActiveFilesGlyph |
Public Property ActiveFilesGlyphHighlighted |
Public Property ActiveFilesGlyphPressed |
Public Property BorderHighlight | Color of the tab button border on mouse over when hot tracking is enabled.
Public Property ButtonBorder |
Public Property ButtonBorderHot |
Public Property ButtonHighlighted | Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.
Public Property ButtonNormal | Color of normal tabs. Normal tabs are tabs that are not selected or disabled.
Public Property ButtonSelected | Color of the currently selected tab.
Public Property ControlFace | Color of the control foreground. This is the area that the tab header and tab client are drawn on.
Public Property DisabledText | Color of text when a tab is disabled.
Public Property FrameBorder | Color of border placed around the tab buttons and tab client.
Public Property HeaderFaceDark | Dark face color of the tab header background.
Public Property HeaderFaceLight | Light face color of the tab header background.
Public Property HighlightCloseText |
Public Property HighlightedCloseButton |
Public Property HighlightText | Color of text on mouse over when hot tracking is enabled.
Public Property NormalText | Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.
Public Property PaneFace | Color of the tab's pane.
Public Property PressedButton |
Public Property PressedText |
Public Property SelectedHighlightedButton |
Public Property SelectedHighlightedText |
Public Property SelectedPressedButton |
Public Property SelectedPressedText |
Public Property SelectedText | Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.
Public Property TabExcelNormalLeftInnerBorder | Color of the left inner border of a normal Excel style tab button.
Public Property TabExcelNormalLeftOuterBorder | Color of the left outer border of a normal Excel style tab button.
Public Property TabExcelNormalRightInnerBorder | Color of the right inner border of a normal Excel style tab button.
Public Property TabExcelNormalRightOuterBorder | Color of the right outer border of a normal Excel style tab button.
Public Property TabExcelNormalTopInnerBorder | Color of the top inner border of a normal Excel style tab button.
Public Property TabExcelNormalTopOuterBorder | Color of the top outer border of a normal Excel style tab button.
Public Property TabExcelSelectedLeftInnerBorder | Color of the left inner border of a selected Excel style tab button.
Public Property TabExcelSelectedLeftOuterBorder | Color of the left outer border of a selected Excel style tab button.
Public Property TabExcelSelectedRightInnerBorder | Color of the right inner border of a selected Excel style tab button.
Public Property TabExcelSelectedRightOuterBorder | Color of the right outer border of a selected Excel style tab button.
Public Property TabExcelSelectedTopInnerBorder | Color of the top inner border of a selected Excel style tab button.
Public Property TabExcelSelectedTopOuterBorder | Color of the top outer border of a selected Excel style tab button.
Public Property TabPropertyPage2003BorderLeftHighlight | Color of the left border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003BorderTopHighlight | Color of the top border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003DarkShadow | Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPage2003FrameBorder | Color of the frame border of a Property Page 2003 (Office 2003) style tab button.
Public Property TabPropertyPageDarkShadow | Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageHighlight | Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.
Public Property TabPropertyPageShadow | Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.
Public Property TabStateButtonBorderBottomRight | Color of the bottom right border of a State Button style tab button.
Public Property TabStateButtonBorderTopLeft | Color of the top left border of a State Button style tab button.
Public Property TabStateButtonFaceDark | Dark face color of a State Button style tab button.
Public Property TabStateButtonFaceLight | Light face color of a State Button style tab button.

See Also

TabPaintManagerColorSet Overview


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesBack Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBack() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesBackHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesBackPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesBackPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesGlyph Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyph() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesGlyphHighlighted Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ActiveFilesGlyphPressed Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActiveFilesGlyphPressed() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

BorderHighlight Property

Description

Color of the tab button border on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderHighlight() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonBorder Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonBorderHot Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonBorderHot() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonHighlighted Property

Description

Color of the tab button (button only, not border) on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonHighlighted() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonNormal Property

Description

Color of normal tabs. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonNormal() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ButtonSelected Property

Description

Color of the currently selected tab.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ButtonSelected() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

ControlFace Property

Description

Color of the control foreground. This is the area that the tab header and tab client are drawn on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

DisabledText Property

Description

Color of text when a tab is disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DisabledText() As ULong

Remarks

A disabled tab cannot receive focus.

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

FrameBorder Property

Description

Color of border placed around the tab buttons and tab client.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FrameBorder() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceLight Property

See Also Suite Pro Controls ActiveX Control v19.3

HeaderFaceDark Property

Description

Dark face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceDark() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceDark is the dark color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | HeaderFaceDark Property

See Also Suite Pro Controls ActiveX Control v19.3

HeaderFaceLight Property

Description

Light face color of the tab header background.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HeaderFaceLight() As ULong

Remarks

The tab header is the area behind the tab buttons. HeaderFaceLight is the light color used in a gradient fill of the tab header. The gradient fill starts with HeaderFaceDark on top and smoothly transitions to HeaderFaceLight on the bottom of the tab header.

See Also

TabPaintManagerColorSet Object | HeaderFaceDark Property


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

HighlightCloseText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightCloseText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

HighlightedCloseButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightedCloseButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

HighlightText Property

Description

Color of text on mouse over when hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

NormalText Property

Description

Color of text in a normal tab. Normal tabs are tabs that are not selected or disabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

PaneFace Property

Description

Color of the tab's pane.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PaneFace() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

PressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

PressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property PressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectedHighlightedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectedHighlightedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedHighlightedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectedPressedButton Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedButton() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectedPressedText Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedPressedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object

See Also Suite Pro Controls ActiveX Control v19.3

SelectedText Property

Description

Color of text in a "selected" tab button. The "selected" tab button is the tab with focus. I.e. The tab becomes active when it is clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedText() As ULong

See Also

TabPaintManagerColorSet Object


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalLeftInnerBorder Property

Description

Color of the left inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftInnerBorder() As ULong

Remarks

TabExcelNormalLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalLeftOuterBorder Property

Description

Color of the left outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalLeftOuterBorder() As ULong

Remarks

TabExcelNormalLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalRightInnerBorder Property

Description

Color of the right inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightInnerBorder() As ULong

Remarks

TabExcelNormalRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalRightOuterBorder Property

Description

Color of the right outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalRightOuterBorder() As ULong

Remarks

TabExcelNormalRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalTopInnerBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalTopInnerBorder Property

Description

Color of the top inner border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopInnerBorder() As ULong

Remarks

TabExcelNormalTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelNormalTopOuterBorder Property

Description

Color of the top outer border of a normal Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelNormalTopOuterBorder() As ULong

Remarks

TabExcelNormalTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelNormalTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelNormalLeftInnerBorder Property | TabExcelNormalLeftOuterBorder Property | TabExcelNormalRightInnerBorder Property | TabExcelNormalRightOuterBorder Property | TabExcelNormalTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedLeftInnerBorder Property

Description

Color of the left inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftInnerBorder() As ULong

Remarks

TabExcelSelectedLeftInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedLeftOuterBorder Property

Description

Color of the left outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedLeftOuterBorder() As ULong

Remarks

TabExcelSelectedLeftOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedLeftOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedRightInnerBorder Property

Description

Color of the right inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightInnerBorder() As ULong

Remarks

TabExcelSelectedRightInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedRightOuterBorder Property

Description

Color of the right outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedRightOuterBorder() As ULong

Remarks

TabExcelSelectedRightOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedRightOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedTopInnerBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedTopInnerBorder Property

Description

Color of the top inner border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopInnerBorder() As ULong

Remarks

TabExcelSelectedTopInnerBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopInnerBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopOuterBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabExcelSelectedTopOuterBorder Property

Description

Color of the top outer border of a selected Excel style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabExcelSelectedTopOuterBorder() As ULong

Remarks

TabExcelSelectedTopOuterBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceExcel.

The following XTPTabColorStyle color sets use TabExcelSelectedTopOuterBorder when applied to the xtpTabAppearanceExcel appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabExcelSelectedLeftInnerBorder Property | TabExcelSelectedLeftOuterBorder Property | TabExcelSelectedRightInnerBorder Property | TabExcelSelectedRightOuterBorder Property | TabExcelSelectedTopInnerBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPage2003BorderLeftHighlight Property

Description

Color of the left border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderLeftHighlight() As ULong

Remarks

TabPropertyPage2003BorderLeftHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderLeftHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPage2003BorderTopHighlight Property

Description

Color of the top border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003BorderTopHighlight() As ULong

Remarks

TabPropertyPage2003BorderTopHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003BorderTopHighlight when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003DarkShadow Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPage2003DarkShadow Property

Description

Color of the dark shadow of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003DarkShadow() As ULong

Remarks

The dark shadow is the shadow of the tab button.

TabPropertyPage2003DarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003DarkShadow when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003FrameBorder Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPage2003FrameBorder Property

Description

Color of the frame border of a Property Page 2003 (Office 2003) style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPage2003FrameBorder() As ULong

Remarks

The frame border refers to the tab client frame.

TabPropertyPage2003FrameBorder is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage2003.

The following XTPTabColorStyle color sets use TabPropertyPage2003FrameBorder when applied to the xtpTabAppearancePropertyPage2003 appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWhidbey - Visual Studio 2005 "Whidbey" Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPage2003BorderLeftHighlight Property | TabPropertyPage2003BorderTopHighlight Property | TabPropertyPage2003DarkShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPageDarkShadow Property

Description

Color of the dark shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageDarkShadow() As ULong

Remarks

TabPropertyPageDarkShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageDarkShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageHighlight Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPageHighlight Property

Description

Color of tab button on mouse over when hot tracking is enabled. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageHighlight() As ULong

Remarks

TabPropertyPageHighlight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageHighlight when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageShadow Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property

See Also Suite Pro Controls ActiveX Control v19.3

TabPropertyPageShadow Property

Description

Color of the shadow of a PropertyPage style tab button. This applies to several appearances derived from the Property Page appearance.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabPropertyPageShadow() As ULong

Remarks

TabPropertyPageShadow is only used when the XTPTabAppearanceStyle is set to xtpTabAppearancePropertyPage or xtpTabAppearancePropertyPageSelected.

The following XTPTabColorStyle color sets use TabPropertyPageShadow when applied to the one of the supported appearances mentioned above:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorWinXP - Windows XP Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabPropertyPageDarkShadow Property | TabPropertyPageHighlight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Suite Pro Controls ActiveX Control v19.3

TabStateButtonBorderBottomRight Property

Description

Color of the bottom right border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderBottomRight() As ULong

Remarks

TabStateButtonBorderBottomRight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderBottomRight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property

See Also Suite Pro Controls ActiveX Control v19.3

TabStateButtonBorderTopLeft Property

Description

Color of the top left border of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonBorderTopLeft() As ULong

Remarks

TabStateButtonBorderTopLeft is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonBorderTopLeft when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonFaceDark Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property

See Also Suite Pro Controls ActiveX Control v19.3

TabStateButtonFaceDark Property

Description

Dark face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceDark() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceDark is the dark color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceDark on top and smoothly transitions to TabStateButtonFaceLight on the bottom of the tab button.

TabStateButtonFaceDark is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceDark when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceLight Property


%%PageItemTitle%%

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property

See Also Suite Pro Controls ActiveX Control v19.3

TabStateButtonFaceLight Property

Description

Light face color of a State Button style tab button.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabStateButtonFaceLight() As ULong

Remarks

The tab face is the color of the tab button. TabStateButtonFaceLight is the light color used in a gradient fill of the tab button. The gradient fill starts with TabStateButtonFaceLight on top and smoothly transitions to TabStateButtonFaceDark on the bottom of the tab button.

TabStateButtonFaceLight is only used when the XTPTabAppearanceStyle is set to xtpTabAppearanceStateButtons.

The following XTPTabColorStyle color sets use TabStateButtonFaceLight when applied to the xtpTabAppearanceStateButtons appearance:

  • xtpTabColorOffice2003 - Office 2003 Color Set.
  • xtpTabColorVisualStudio - Visual Studio Color Set.
  • xtpTabColorDefault - Default Color Set.

See Also

TabPaintManagerColorSet Object | TabStateButtonBorderBottomRight Property | TabStateButtonBorderTopLeft Property | TabStateButtonFaceDark Property


%%PageItemTitle%%

TabPaintManagerPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManagerPropPage Object

Description

Property page for TabPaintManager

For a list of all members defined in this module, see TabPaintManagerPropPage members.

See Also

TabPaintManagerPropPage Members


%%PageItemTitle%% $$Members$$

TabPaintManagerPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

TabPaintManagerPropPage Object Members

See Also

TabPaintManagerPropPage Overview


%%PageItemTitle%%

TagCloud Members

See Also Suite Pro Controls ActiveX Control v19.3

TagCloud Control

Description

TagCloud Control

For a list of all members defined in this module, see TagCloud members.

Object Model

See Also

TagCloud Members


%%PageItemTitle%% $$Members$$

TagCloud Overview

See Also Suite Pro Controls ActiveX Control v19.3

TagCloud Control Members

Public Methods

Public Method AboutBox
Public Method Add
Public Method EditSelectedTag
Public Method HitTest
Public Method RecalcLayout
Public Method RemoveAll
Public Method RemoveSelectedTag
Public Method RestoreDefaults

Public Properties

Public Property BackgroundGradientColorDark
Public Property BackgroundGradientColorLight
Public Property BackgroundGradientFactor
Public Property BorderColor
Public Property CurSel
Public Property EnableFocusRect
Public Property EnableTooltip
Public Property HorizontalGradient
Public Property IsAscending
Public Property SortOrder
Public Property TagCloudMargin
Public Property TagCloudPadding

Events

Public Event DoubleClick
Public Event RClick
Public Event SelectionChanged

See Also

TagCloud Overview


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Syntax

Public Sub AboutBox()

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

Score
Text
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Syntax

Public Function Add( _
   ByVal Score As Long, _
   ByVal Text As String _
) As TagCloudTag

Parameters

Score
Text

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

Score
Text
See Also Suite Pro Controls ActiveX Control v19.3

EditSelectedTag Method

Syntax

Public Sub EditSelectedTag( _
   ByVal Score As Long, _
   ByVal Text As String _
)

Parameters

Score
Text

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

x
y
See Also Suite Pro Controls ActiveX Control v19.3

HitTest Method

Syntax

Public Function HitTest( _
   ByVal x As Long, _
   ByVal y As Long _
) As TagCloudTag

Parameters

x
y

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

RecalcLayout Method

Syntax

Public Sub RecalcLayout()

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

RemoveSelectedTag Method

Syntax

Public Sub RemoveSelectedTag()

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

RestoreDefaults Method

Syntax

Public Sub RestoreDefaults()

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

BackgroundGradientColorDark Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundGradientColorDark() As ULong

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

BackgroundGradientColorLight Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundGradientColorLight() As ULong

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

BackgroundGradientFactor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundGradientFactor() As Single

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

BorderColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

CurSel Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property CurSel() As TagCloudTag

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

EnableFocusRect Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableFocusRect() As Boolean

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

EnableTooltip Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableTooltip() As Boolean

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

HorizontalGradient Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property HorizontalGradient() As Boolean

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

IsAscending Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property IsAscending() As Boolean

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

SortOrder Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortOrder() As XTPTagCloudSort

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudMargin Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagCloudMargin() As Long

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudPadding Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TagCloudPadding() As Long

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

Tag
See Also Suite Pro Controls ActiveX Control v19.3

DoubleClick Event

Syntax

Public Event DoubleClick( _
   ByVal Tag As TagCloudTag _
)

Parameters

Tag

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

Tag
See Also Suite Pro Controls ActiveX Control v19.3

RClick Event

Syntax

Public Event RClick( _
   ByVal Tag As TagCloudTag _
)

Parameters

Tag

See Also

TagCloud Control


%%PageItemTitle%%

TagCloud Control

Tag
See Also Suite Pro Controls ActiveX Control v19.3

SelectionChanged Event

Syntax

Public Event SelectionChanged( _
   ByVal Tag As TagCloudTag _
)

Parameters

Tag

See Also

TagCloud Control


%%PageItemTitle%%

TagCloudPropPage Members

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudPropPage Object

Description

Property page for TagCloud control

For a list of all members defined in this module, see TagCloudPropPage members.

See Also

TagCloudPropPage Members


%%PageItemTitle%% $$Members$$

TagCloudPropPage Overview

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudPropPage Object Members

See Also

TagCloudPropPage Overview


%%PageItemTitle%%

TagCloudsStyles Members

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudsStyles Collection

For a list of all members defined in this module, see TagCloudsStyles members.

Object Model

See Also

TagCloudsStyles Members


%%PageItemTitle%% $$Members$$

TagCloudsStyles Overview

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudsStyles Collection Members

Public Methods

Public Method Add
Public Method CreateStyle
Public Method GetStyle
Public Method InitDefaultStyles
Public Method Remove
Public Method RemoveAll
Public Method ScoreExists
Public Method SetStyle

Public Properties

Public Property Count

See Also

TagCloudsStyles Overview


%%PageItemTitle%%

TagCloudsStyles Collection

__MIDL_0014
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Syntax

Public Sub Add( _
   ByVal __MIDL_0014 As TagCloudStyle _
)

Parameters

__MIDL_0014

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

CreateStyle Method

Syntax

Public Function CreateStyle() As TagCloudStyle

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

GetStyle Method

Syntax

Public Function GetStyle( _
   ByVal Score As Long _
) As TagCloudStyle

Parameters

Score

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

InitDefaultStyles Method

Syntax

Public Sub InitDefaultStyles()

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Syntax

Public Sub Remove( _
   ByVal Score As Long _
)

Parameters

Score

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

Score
See Also Suite Pro Controls ActiveX Control v19.3

ScoreExists Method

Syntax

Public Function ScoreExists( _
   ByVal Score As Long _
) As Boolean

Parameters

Score

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

__MIDL_0015
See Also Suite Pro Controls ActiveX Control v19.3

SetStyle Method

Syntax

Public Sub SetStyle( _
   ByVal __MIDL_0015 As TagCloudStyle _
)

Parameters

__MIDL_0015

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudsStyles Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

TagCloudsStyles Collection


%%PageItemTitle%%

TagCloudStyle Members

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudStyle Object

For a list of all members defined in this module, see TagCloudStyle members.

See Also

TagCloudStyle Members


%%PageItemTitle%% $$Members$$

TagCloudStyle Overview

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudStyle Object Members

Public Properties

Public Property BorderColor
Public Property Font
Public Property Score
Public Property TextColor
Public Property TextHoverColor

See Also

TagCloudStyle Overview


%%PageItemTitle%%

TagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

BorderColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderColor() As ULong

See Also

TagCloudStyle Object


%%PageItemTitle%%

TagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

TagCloudStyle Object


%%PageItemTitle%%

TagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

Score Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Score() As Long

See Also

TagCloudStyle Object


%%PageItemTitle%%

TagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

TextColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

See Also

TagCloudStyle Object


%%PageItemTitle%%

TagCloudStyle Object

See Also Suite Pro Controls ActiveX Control v19.3

TextHoverColor Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextHoverColor() As ULong

See Also

TagCloudStyle Object


%%PageItemTitle%%

TagCloudTag Members

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudTag Object

For a list of all members defined in this module, see TagCloudTag members.

See Also

TagCloudTag Members


%%PageItemTitle%% $$Members$$

TagCloudTag Overview

See Also Suite Pro Controls ActiveX Control v19.3

TagCloudTag Object Members

Public Properties

Public Property Height
Public Property Left
Public Property Score
Public Property Text
Public Property Top
Public Property Width

See Also

TagCloudTag Overview


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Height Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

TagCloudTag Object


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Left Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Left() As Long

See Also

TagCloudTag Object


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Score Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Score() As Long

See Also

TagCloudTag Object


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

TagCloudTag Object


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Top Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Top() As Long

See Also

TagCloudTag Object


%%PageItemTitle%%

TagCloudTag Object

See Also Suite Pro Controls ActiveX Control v19.3

Width Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

TagCloudTag Object


%%PageItemTitle%%

TaskbarManager Members

See Also Suite Pro Controls ActiveX Control v19.3

TaskbarManager Control

Description

Taskbar Manager control.

For a list of all members defined in this module, see TaskbarManager members.

Object Model

Remarks

The Taskbar Manager control allows you to add an overlay icon, progress bar and jumplist to the task bar button for your application while using Windows Vista or Windows 7.

Overlay icons:

Progress:

Jumplist:

See Also

TaskbarManager Members


%%PageItemTitle%% $$Members$$

TaskbarManager Overview

See Also Suite Pro Controls ActiveX Control v19.3

TaskbarManager Control Members

Public Methods

Public Method AboutBox | Displays a dialog box that specifies the current version of the control
Public Method SetOverlayIcon | Adds an overlay icon to the taskbar button.
Public Method SetProgressBarPosition | Sets the position of the progressbar.
Public Method SetProgressBarRange | Sets the range of the progress bar.
Public Method SetProgressBarState | Sets the state of the progress bar (paused, error, normal, etc.)

Public Properties

Public Property JumpList Gets the jumplist for the task bar button.

See Also

TaskbarManager Overview


%%PageItemTitle%%

TaskbarManager Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManager Control

Icon
Icon in the image manager.
Description
Description of the icon.
See Also Suite Pro Controls ActiveX Control v19.3

SetOverlayIcon Method

Description

Adds an overlay icon to the taskbar button.

Syntax

Public Function SetOverlayIcon( _
   ByVal Icon As ImageManagerIcon, _
   ByVal Description As String _
) As Boolean

Parameters

Icon
Icon in the image manager.
Description
Description of the icon.

Remarks

Overlay icons:

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManager Control

ProgressPos
Position of the progress bar.
See Also Suite Pro Controls ActiveX Control v19.3

SetProgressBarPosition Method

Description

Sets the position of the progressbar.

Syntax

Public Sub SetProgressBarPosition( _
   ByVal ProgressPos As Long _
)

Parameters

ProgressPos
Position of the progress bar.

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManager Control

RangeMin
Minimum range value.
RangeMax
Maximum range value.
See Also Suite Pro Controls ActiveX Control v19.3

SetProgressBarRange Method

Description

Sets the range of the progress bar.

Syntax

Public Sub SetProgressBarRange( _
   ByVal RangeMin As Long, _
   ByVal RangeMax As Long _
)

Parameters

RangeMin
Minimum range value.
RangeMax
Maximum range value.

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManager Control

Flags
See Also Suite Pro Controls ActiveX Control v19.3

SetProgressBarState Method

Description

Sets the state of the progress bar (paused, error, normal, etc.)

Syntax

Public Sub SetProgressBarState( _
   ByVal Flags As TaskbarProgressFlag _
)

Parameters

Flags
Value | Description
xtpProgressFlagNoProgress | No progress.
xtpProgressFlagIndeterminate | Intermediate state.
xtpProgressFlagNormal | Normal state.
xtpProgressFlagError | Error state.
xtpProgressFlagPaused | Paused state.

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManager Control

See Also Suite Pro Controls ActiveX Control v19.3

JumpList Property

Description

Gets the jumplist for the task bar button.

Property type

Read-only property

Syntax (Visual Basic)

Public Property JumpList() As TaskbarManagerJumpList

Remarks

A jumplist is a list of links displayed when the task bar button is right-clicked on.

Jumplist:

See Also

TaskbarManager Control


%%PageItemTitle%%

TaskbarManagerJumpList Members

See Also Suite Pro Controls ActiveX Control v19.3

TaskbarManagerJumpList Object

Description

Taskbar Manager control jumplist collection.

For a list of all members defined in this module, see TaskbarManagerJumpList members.

Remarks

A jumplist is a list of links displayed when the task bar button is right-clicked on.

Jumplist:

See Also

TaskbarManagerJumpList Members


%%PageItemTitle%% $$Members$$

TaskbarManagerJumpList Overview

See Also Suite Pro Controls ActiveX Control v19.3

TaskbarManagerJumpList Object Members

Public Methods

Public Method AddTask | Adds a task to the jumplist.
Public Method Clear | Clears all tasks.
Public Method CommitList | Commits the list.

See Also

TaskbarManagerJumpList Overview


%%PageItemTitle%%

TaskbarManagerJumpList Object

Path
Path to the executable to run when the link is clicked.
Argument
Argument of link.
Title
Title to display in the list.
IconPath
Path to the icon to use for this link (if using direct link to file). Do not use is using IconIndex.
IconIndex
Index of icon to use from the image manager.
See Also Suite Pro Controls ActiveX Control v19.3

AddTask Method

Description

Adds a task to the jumplist.

Syntax

Public Sub AddTask( _
   ByVal Path As String, _
   ByVal Argument As String, _
   ByVal Title As String, _
   ByVal IconPath As String, _
   ByVal IconIndex As Integer _
)

Parameters

Path
Path to the executable to run when the link is clicked.
Argument
Argument of link.
Title
Title to display in the list.
IconPath
Path to the icon to use for this link (if using direct link to file). Do not use is using IconIndex.
IconIndex
Index of icon to use from the image manager.

Remarks

After you add a task tot he jumplist you must commit the changes for them to be used.

Jumplist:

See Also

TaskbarManagerJumpList Object


%%PageItemTitle%%

TaskbarManagerJumpList Object

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Clears all tasks.

Syntax

Public Sub Clear()

See Also

TaskbarManagerJumpList Object


%%PageItemTitle%%

TaskbarManagerJumpList Object

See Also Suite Pro Controls ActiveX Control v19.3

CommitList Method

Description

Commits the list.

Syntax

Public Sub CommitList()

Remarks

This must be called after any changes to the list have been made to update the list. If you add a task you must then commit the changes.

See Also

TaskbarManagerJumpList Object


%%PageItemTitle%%

TaskDialog Members | AddButton Method | AddRadioButton Method | ShowDialog Method | StartProgressBarMarquee Method | CommonButtons Property | MessageBoxStyle Property | ShowCommandLinkIcons Property | EnableCommandLinks Property | ProgressBarStyle Property | UseComCtl32 Property | ButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

TaskDialog Control

Description

Task Dialog Control.

For a list of all members defined in this module, see TaskDialog members.

Object Model

Remarks

The TaskDialog Control creates, displays, and operates a task dialog. A task dialog is similar to, while much more flexible than, a basic message box. The task dialog contains application-defined messages, title, verification check box, command links and push buttons, plus any combination of predefined icons and push buttons.

Below are some pictures of the task dialog in use:

See Also

TaskDialog Members | AddButton Method | AddRadioButton Method | ShowDialog Method | StartProgressBarMarquee Method | CommonButtons Property | MessageBoxStyle Property | ShowCommandLinkIcons Property | EnableCommandLinks Property | ProgressBarStyle Property | UseComCtl32 Property | ButtonClicked Event


%%PageItemTitle%% $$Members$$

TaskDialog Overview | AddButton Method | AddRadioButton Method | ShowDialog Method | StartProgressBarMarquee Method | CommonButtons Property | MessageBoxStyle Property | ShowCommandLinkIcons Property | EnableCommandLinks Property | ProgressBarStyle Property | UseComCtl32 Property | ButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

TaskDialog Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control
Public Method AddButton | Adds a user defined button to the task dialog's command area.
Public Method AddInputBox | Adds a user input box to the task dialog's command area.
Public Method AddRadioButton | Adds a user defined radio button to the task dialog's command area.
Public Method ClickButton | Simulate the action of a button click in the task dialog.
Public Method ClickRadioButton | Simulate the action of a radio button click in the task dialog.
Public Method CreateFromXML | Creates a dialog from a XML resource file.
Public Method EnableButton | Enables or disables a button in the task dialog.
Public Method EnableRadioButton | Enables or disables a radio button in the task dialog.
Public Method Reset | Resets the configuration attributes for the task dialog to the default state.
Public Method SetProgressBarRange | Sets the minimum and maximum values for the progress bar.
Public Method ShowDialog | Displays the task dialog and return the selected button when done.
Public Method StartProgressBarMarquee | Specifies whether the progress bar should be displayed in marquee mode or not with the ability to determine marquee speed as well.

Public Properties

Public Property AllowCancellation | Gets or sets whether to allow dialog cancellation for the task dialog.
Public Property CollapsedControlText | Gets or sets the collapsed control text for the task dialog. This property is ignored unless ExpandedInformationText has been set.
Public Property CommonButtons | Specifies the "commmon" push buttons displayed in the task dialog. If no common buttons are specified and no custom buttons are specified using the AddButton method, the task dialog will contain the "OK" button by default.
Public Property ContentText | Gets or sets the content text for the task dialog.
Public Property DefaultButton | Gets or sets the default button ID for the task dialog.
Public Property DefaultRadioButton | Gets or sets the default radio button ID for the task dialog.
Public Property DialogWidth | Gets or sets the width of the task dialog's client area.
Public Property EnableCallbackTimer | Enables or disables the callback timer for this task dialog.
Public Property EnableCommandLinks | Specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. This property is ignored if AddButton has not been called.
Public Property EnableHyperlinks | Enables hyperlink displaying and processing for the strings specified for the ContentText, ExpandedInformationText and FooterText properties.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property ExpandedByDefault | Gets or sets whether to display the text specified by the ExpandedInformationText property when the task dialog is initially displayed. This property is ignored unless ExpandedInformationText has been set.
Public Property ExpandedControlText | Gets or sets the expanded control text for the task dialog. This property is ignored unless ExpandedInformationText has been set.
Public Property ExpandedInformationText | Gets or sets the expanded information text for the task dialog.
Public Property ExpandFooterArea | Gets or sets whether to display expanded information at the bottom of the task dialog's footer. This function is ignored if the ExpandedInformationText property has not been set.
Public Property FooterIcon | Gets or sets the icon for the Footer area of the task dialog.
Public Property FooterIconHandle | Gets or sets the handle for a custom icon for the Footer area of the task dialog.
Public Property FooterText | Gets or sets the footer text for the task dialog.
Public Property InputBoxText | Gets or sets the text entered by user in input box field. Or sets the default value for input box field.
Public Property MainIcon | Gets or sets the icon for the Main Instruction area of the task dialog.
Public Property MainIconHandle | Gets or sets the handle for a custom icon for the Main Instruction area of the task dialog.
Public Property MainInstructionText | Gets or sets the main instruction text for the task dialog.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property MessageBoxStyle | Specifies whether to show the dialog using the Windowx XP or Windows Vista style even if the standard window theme or no manifest is used.
Public Property ParentHwnd | Gets or sets the handle to the parent window for the task dialog.
Public Property ProgressBarPos | Gets or seta the current position for the progress bar.
Public Property ProgressBarStyle | Gets or sets the style of the progress bar. This is used to display the progress bar and specifies whether the progress bar should be displayed in marquee mode or not.
Public Property RelativePosition | Specifies whether to position the task dialog relative to the parent window.
Public Property RtlLayout | Enables or disables right to left text display for the task dialog
Public Property ShowCommandLinkIcons | Specifies whether the command links should display an incon next to the button text.
Public Property UseComCtl32 | Gets or sets whether to use the ComCtl32.dll (Windows Vista) version of Task Dialog.
Public Property VerificationText | Gets or sets the label for the verification checkbox to be displayed in the task dialog.
Public Property VerifyCheckState | Gets or sets the checked state for the verification checkbox when the dialog is initially displayed. This property is ignored if the VerificationText property has not been set.
Public Property WindowTitle | Gets or sets the window title for the task dialog.

Events

Public Event ButtonClicked | Occurs when a user selects a button or command link in the task dialog.
Public Event Constructed | Occurs once the task dialog has been created and before it is displayed.
Public Event ExpandButtonClicked | Occurs when the user clicks on the expand in the Task Dialog.
Public Event HyperlinkClicked | Occurs when a user clicks on a hyperlink in the Task Dialog's content.
Public Event InputBoxChanged | Occurs when the InputBoxText has changed in the input box.
Public Event RadioButtonClicked | Occurs when a user selects a radio button in the task dialog.
Public Event Timer | This event is sent by the Task Dialog approximately every 200 milliseconds when the EnableCallbackTimer property has been set.
Public Event VerificationClicked | Occurs when the user clicks on the task dialog's verification check box.

See Also

TaskDialog Overview | AddButton Method | AddRadioButton Method | ShowDialog Method | StartProgressBarMarquee Method | CommonButtons Property | MessageBoxStyle Property | ShowCommandLinkIcons Property | EnableCommandLinks Property | ProgressBarStyle Property | UseComCtl32 Property | ButtonClicked Event


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control

Syntax

Public Sub AboutBox()

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | ButtonClicked Event | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ClickButton Method | EnableButton Method

Text
String to be used to label the button.
Id
Indicates the value to be returned when this button is selected and the ButtonClicked event fires.
See Also Suite Pro Controls ActiveX Control v19.3

AddButton Method

Description

Adds a user defined button to the task dialog's command area.

Syntax

Public Sub AddButton( _
   ByVal Text As String, _
   ByVal Id As Long _
)

Parameters

Text
String to be used to label the button.
Id
Indicates the value to be returned when this button is selected and the ButtonClicked event fires.

Remarks

AddButton adds a user defined button to the task dialog's command area.

The illustration below shows two user defined buttons that have been added:

Notes:

EnableCommandLinks specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. When using command links, all characters up to the first new line character in AddButton's Text argument will be treated as the command link's main text, and the remainder will be treated as the command link's note text.

The illustration below shows command links without icons:

The ClickButton method can be used to simulate the action of a button click in the task dialog and will cause the ButtonClicked event to fire.

The ButtonClicked event occurs when a button is clicked and is used to determine which button was selected. The AddButton method is used to add buttons.

DefaultButton may be any of the values specified when calling the AddButton method. If DefaultButton is zero or its value does not correspond to any button ID in the dialog, then the first button in the dialog will be the default.

See Also

TaskDialog Control | ButtonClicked Event | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ClickButton Method | EnableButton Method


%%PageItemTitle%%

TaskDialog Control | InputBoxText Property

See Also Suite Pro Controls ActiveX Control v19.3

AddInputBox Method

Description

Adds a user input box to the task dialog's command area.

Syntax

Public Sub AddInputBox()

Remarks

Use InputBoxText to get or set the text in the input box.

See Also

TaskDialog Control | InputBoxText Property


%%PageItemTitle%%

TaskDialog Control | RadioButtonClicked Event | DefaultRadioButton Property | ClickRadioButton Method | EnableRadioButton Method

Text
String to be used to label the radio button.
Id
Indicates the value to be returned when this button is selected and the RadioButtonClicked event fires.
See Also Suite Pro Controls ActiveX Control v19.3

AddRadioButton Method

Description

Adds a user defined radio button to the task dialog's command area.

Syntax

Public Sub AddRadioButton( _
   ByVal Text As String, _
   ByVal Id As Long _
)

Parameters

Text
String to be used to label the radio button.
Id
Indicates the value to be returned when this button is selected and the RadioButtonClicked event fires.

Remarks

AddRadioButton adds a user defined radio button to the task dialog's command area.

DefaultRadioButton may be any of the values specified when calling the AddRadioButton method. If DefaultRadioButton is zero or its value does not correspond to any radio button ID in the dialog, then the first button in the dialog will be the default.

The RadioButtonClicked event occurs when a radio button is clicked and is used to determine which radio button was selected. The AddRadioButton method is used to add radio buttons.

The ClickRadioButton method can be used to simulate the action of a radio button click in the task dialog and will cause the RadioButtonClicked event to fire.

See Also

TaskDialog Control | RadioButtonClicked Event | DefaultRadioButton Property | ClickRadioButton Method | EnableRadioButton Method


%%PageItemTitle%%

TaskDialog Control | AddButton Method | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ButtonClicked Event

Id
Indicates the button ID to be selected\clicked.
See Also Suite Pro Controls ActiveX Control v19.3

ClickButton Method

Description

Simulate the action of a button click in the task dialog.

Syntax

Public Sub ClickButton( _
   ByVal Id As Long _
)

Parameters

Id
Indicates the button ID to be selected\clicked.

Remarks

ClickButton should only be called after the dialog has been Constructed.

The ClickButton method can be used to simulate the action of a button click in the task dialog and will cause the ButtonClicked event to fire.

Notes:

The ButtonClicked event occurs when a button is clicked and is used to determine which button was selected. The AddButton method is used to add buttons.

AddButton adds a user defined button to the task dialog's command area.

DefaultButton may be any of the values specified when calling the AddButton method. If DefaultButton is zero or its value does not correspond to any button ID in the dialog, then the first button in the dialog will be the default.

EnableCommandLinks specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. When using command links, all characters up to the first new line character in AddButton's Text argument will be treated as the command link's main text, and the remainder will be treated as the command link's note text.

The illustration below shows command links without icons:

See Also

TaskDialog Control | AddButton Method | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | EnableRadioButton Method | DefaultRadioButton Property | RadioButtonClicked Event | AddRadioButton Method | Constructed Event

Id
Indicates the radio button ID to be selected\clicked.
See Also Suite Pro Controls ActiveX Control v19.3

ClickRadioButton Method

Description

Simulate the action of a radio button click in the task dialog.

Syntax

Public Sub ClickRadioButton( _
   ByVal Id As Long _
)

Parameters

Id
Indicates the radio button ID to be selected\clicked.

Remarks

ClickRadioButton should only be called after the dialog has been Constructed.

The ClickRadioButton method can be used to simulate the action of a radio button click in the task dialog and will cause the RadioButtonClicked event to fire.

Notes:

The RadioButtonClicked event occurs when a radio button is clicked and is used to determine which radio button was selected. The AddRadioButton method is used to add radio buttons.

AddRadioButton adds a user defined radio button to the task dialog's command area.

DefaultRadioButton may be any of the values specified when calling the AddRadioButton method. If DefaultRadioButton is zero or its value does not correspond to any radio button ID in the dialog, then the first button in the dialog will be the default.

See Also

TaskDialog Control | EnableRadioButton Method | DefaultRadioButton Property | RadioButtonClicked Event | AddRadioButton Method | Constructed Event


%%PageItemTitle%%

TaskDialog Control | ShowDialog Method

XMLString
The contents of a XML file. This string must contain the entire contents of the XML file.
Section
Name of the XML resource to load. This should be the section that contains the dialog you want to load.
Parameters

Values to use in the text descriptions of the dialog. More than one paramater can be passed in and can be stored in a string array. These values will be inserted into any text portion of the dialog that contains a followd by an number. The number corresponds to a parameter in the array and starts with 1.

For example, 3 paramaters are used in the content section of this dialog1\nType: 2\nFrom3</Content>

The code to setup the parameters would look like this:

Dim Params(3) As String
Params(0) = "SampleFileName.txt"
Params(1) = "Text Document"
Params(2) = "www.Codejock.com"

taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Params

Or you can do it like this:

taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Array("SampleFileName.txt", "Text Document", "www.Codejock.com")

See Also Suite Pro Controls ActiveX Control v19.3

CreateFromXML Method

Description

Creates a dialog from a XML resource file.

Syntax

Public Function CreateFromXML( _
   ByVal XMLString As String, _
   ByVal Section As String, _
   Optional ByVal Parameters As Variant _
) As Boolean

Parameters

XMLString
The contents of a XML file. This string must contain the entire contents of the XML file.
Section
Name of the XML resource to load. This should be the section that contains the dialog you want to load.
Parameters

Values to use in the text descriptions of the dialog. More than one paramater can be passed in and can be stored in a string array. These values will be inserted into any text portion of the dialog that contains a followd by an number. The number corresponds to a parameter in the array and starts with 1.

For example, 3 paramaters are used in the content section of this dialog1\nType: 2\nFrom3</Content>

The code to setup the parameters would look like this:

Dim Params(3) As String
Params(0) = "SampleFileName.txt"
Params(1) = "Text Document"
Params(2) = "www.Codejock.com"

taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Params

Or you can do it like this:

taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Array("SampleFileName.txt", "Text Document", "www.Codejock.com")

Remarks

You can use a utility such as TDPad (http://shellrevealed.com/files/folders/code/tags/TDPad/default.aspx) to design and create task dialogs that are stored in a XML file that can be loaded at any time. For example, the dialog below was created using TDPad:

Example

[Example XML Dialog ()] Below is the XML to create a dialog that will except 3 parameters.

<?xml version="1.0" encoding="UTF-8"?>
<Dialogs xmlns="http://www.codejock.com/schema/TDSchema.xsd">
 <Dialog Name="Dialog007" AllowCancel="true" EnableHyperlinks="true" MessageBoxStyle="true">
  <WindowTitle>File Download</WindowTitle>
  <MainInstruction Image="*Warning">Do you want To Open %3 Or save this file?</MainInstruction>
  <Content>Name:  %1\nType:  %2\nFrom:  %3</Content>
  <Buttons Default="2">
   <Cancel/>
   <Button ID="100">&Open</Button>
   <Button ID="101">&Save</Button>
  </Buttons>
  <Verification Checked="true">&Always ask before Open</Verification>
  <Footer Image="*Shield">While files from Internet can be useful, some files can potentially harm your computer. If you Do Not trust the source, Do Not Open Or save this file. <a href="http://www.microsoft.com">What's the risk?</a></Footer>
 </Dialog>
</Dialogs>

[Load From XML File (Visual Basic)] This code will load and display the task dialog in the XML code above.

taskDialog.Reset
taskDialog.CommonButtons = 0

Dim Params(3) As String
Params(0) = "SampleFileName.txt"
Params(1) = "Text Document"
Params(2) = "www.Codejock.com"

taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Params
'taskDialog.CreateFromXML LoadDialogs, "Dialogs/Dialog[@Name='Dialog007']", Array("SampleFileName.txt", "Text Document", "www.Codejock.com")
taskDialog.ShowDialog

Function LoadDialogs() As String
    On Error Resume Next

    Dim Dialogs As String
    Dim FreeF As Integer, sFile As String, sLayout As String

    'XML string will be loaded from the file.
    sFile = App.Path & "\Dialogs.xml"
    FreeF = FreeFile
    Dialogs = Space(FileLen(sFile))
    Open sFile For Binary As #FreeF
    Get #FreeF, , Dialogs
    Close #FreeF
    On Error Goto 0

    LoadDialogs = Dialogs

End Function

See Also

TaskDialog Control | ShowDialog Method


%%PageItemTitle%%

TaskDialog Control | AddButton Method | ClickButton Method | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ButtonClicked Event

Id
Indicates the ID of the button to be enabled/disabled.
Enable
False to disable the button, True to enable the button.
See Also Suite Pro Controls ActiveX Control v19.3

EnableButton Method

Description

Enables or disables a button in the task dialog.

Syntax

Public Sub EnableButton( _
   ByVal Id As Long, _
   ByVal Enable As Boolean _
)

Parameters

Id
Indicates the ID of the button to be enabled/disabled.
Enable
False to disable the button, True to enable the button.

Remarks

Use the EnableButton method to enable or disable a specific button in the task dialog.

Notes:

ClickButton should only be called after the dialog has been Constructed.

The ClickButton method can be used to simulate the action of a button click in the task dialog and will cause the ButtonClicked event to fire.

The ButtonClicked event occurs when a button is clicked and is used to determine which button was selected. The AddButton method is used to add buttons.

AddButton adds a user defined button to the task dialog's command area.

DefaultButton may be any of the values specified when calling the AddButton method. If DefaultButton is zero or its value does not correspond to any button ID in the dialog, then the first button in the dialog will be the default.

See Also

TaskDialog Control | AddButton Method | ClickButton Method | EnableCommandLinks Property | DefaultButton Property | CommonButtons Property | ButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | AddRadioButton Method | DefaultRadioButton Property | RadioButtonClicked Event | ClickRadioButton Method

Id
Indicates the ID of the radio button to be enabled/disabled.
Enable
False to disable the radio button, True to enable the radio button.
See Also Suite Pro Controls ActiveX Control v19.3

EnableRadioButton Method

Description

Enables or disables a radio button in the task dialog.

Syntax

Public Sub EnableRadioButton( _
   ByVal Id As Long, _
   ByVal Enable As Boolean _
)

Parameters

Id
Indicates the ID of the radio button to be enabled/disabled.
Enable
False to disable the radio button, True to enable the radio button.

Remarks

Use the EnableRadioButton method to enable or disable a specific radio button in the task dialog.

Notes:

ClickRadioButton should only be called after the dialog has been Constructed.

The ClickRadioButton method can be used to simulate the action of a radio button click in the task dialog and will cause the RadioButtonClicked event to fire.

The RadioButtonClicked event occurs when a radio button is clicked and is used to determine which radio button was selected. The AddRadioButton method is used to add radio buttons.

AddRadioButton adds a user defined radio button to the task dialog's command area.

DefaultRadioButton may be any of the values specified when calling the AddRadioButton method. If DefaultRadioButton is zero or its value does not correspond to any radio button ID in the dialog, then the first button in the dialog will be the default.

See Also

TaskDialog Control | AddRadioButton Method | DefaultRadioButton Property | RadioButtonClicked Event | ClickRadioButton Method


%%PageItemTitle%%

TaskDialog Control | CreateFromXML Method

See Also Suite Pro Controls ActiveX Control v19.3

Reset Method

Description

Resets the configuration attributes for the task dialog to the default state.

Syntax

Public Sub Reset()

Remarks

Reset will remove any custom set text and buttons added to the task dialog. This is useful when reusing a task dialog object to display a different message.

See Also

TaskDialog Control | CreateFromXML Method


%%PageItemTitle%%

TaskDialog Control | ProgressBarStyle Property | ProgressBarPos Property | StartProgressBarMarquee Method | TaskDialogProgressBarStyle Enumeration | Timer Event | EnableCallbackTimer Property

Min
Minimum range value. By default, the minimum value is zero.
Max
Maximum range value. By default, the maximum value is 100.
See Also Suite Pro Controls ActiveX Control v19.3

SetProgressBarRange Method

Description

Sets the minimum and maximum values for the progress bar.

Syntax

Public Sub SetProgressBarRange( _
   ByVal Min As Long, _
   ByVal Max As Long _
)

Parameters

Min
Minimum range value. By default, the minimum value is zero.
Max
Maximum range value. By default, the maximum value is 100.

Remarks

SetProgressBarRange should only be called after the dialog has been Constructed.

Notes:

You can use EnableCallbackTimer to start a timer which will trigger the Timer event, which will be called approximately every 200 milliseconds. This can be useful when doing something like updating the status of a progress bar.

See Also

TaskDialog Control | ProgressBarStyle Property | ProgressBarPos Property | StartProgressBarMarquee Method | TaskDialogProgressBarStyle Enumeration | Timer Event | EnableCallbackTimer Property


%%PageItemTitle%%

TaskDialog Control | AddButton Method | TaskDialogCommonButtons Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ShowDialog Method

Description

Displays the task dialog and return the selected button when done.

Syntax

Public Function ShowDialog() As Long

Return Type

The return value is one of the button IDs specified in the AddButton method or one of the following values:

Value | Description
0 | Function call failed.
xtpTaskButtonCancel | Cancel button was selected, Alt-F4 was pressed, Escape was pressed or the user clicked on the close window button.
xtpTaskButtonNo | No button was selected.
xtpTaskButtonOK | OK button was selected.
xtpTaskButtonRetry | Retry button was selected.
xtpTaskButtonYes | Yes button was selected.

Remarks

The ShowDialog method will display the task dialog and return the selected button when done.

See Also

TaskDialog Control | AddButton Method | TaskDialogCommonButtons Enumeration


%%PageItemTitle%%

TaskDialog Control | TaskDialogProgressBarStyle Enumeration | SetProgressBarRange Method | ProgressBarStyle Property | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event

StartMarquee
Indicates whether to start marquee.
MilliSeconds
Indicates the speed of the marquee in milliseconds.
See Also Suite Pro Controls ActiveX Control v19.3

StartProgressBarMarquee Method

Description

Specifies whether the progress bar should be displayed in marquee mode or not with the ability to determine marquee speed as well.

Syntax

Public Sub StartProgressBarMarquee( _
   ByVal StartMarquee As Boolean, _
   ByVal MilliSeconds As Long _
)

Parameters

StartMarquee
Indicates whether to start marquee.
MilliSeconds
Indicates the speed of the marquee in milliseconds.

Remarks

The ProgressBarStyle must first be set to xtpTaskProgressBarMarquee and StartProgressBarMarquee must be called in the Constructed event before it can be turned on or off. After StartProgressBarMarquee is called in the Constructed event you can freely use StartProgressBarMarquee anytime to start and stop the marquee.

You can use EnableCallbackTimer to start a timer which will trigger the Timer event, which will be called approximately every 200 milliseconds. This can be useful when doing something like updating the status of a progress bar.

The illustrations below show a progress bar that is in the process of scrolling using both the marquee and standard styles:

See Also

TaskDialog Control | TaskDialogProgressBarStyle Enumeration | SetProgressBarRange Method | ProgressBarStyle Property | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

AllowCancellation Property

Description

Gets or sets whether to allow dialog cancellation for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowCancellation() As Boolean

Remarks

When AllowCancellation is true the dialog should be able to be closed using Alt-F4, Escape and the title bar's close button even if no cancel button is specified by the AddButton member function.

The illustrations below show what a typical task dialog would look like when AllowCancellation is both true and false:

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | ExpandedInformationText Property | ExpandedControlText Property | ExpandedByDefault Property

See Also Suite Pro Controls ActiveX Control v19.3

CollapsedControlText Property

Description

Gets or sets the collapsed control text for the task dialog. This property is ignored unless ExpandedInformationText has been set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CollapsedControlText() As String

Remarks

If CollapsedControlText is NULL, then the value set with ExpandedControlText will be used for the collapsed control text as well.

The illustrations below show the "expanded information" control button and text:

See Also

TaskDialog Control | ExpandedInformationText Property | ExpandedControlText Property | ExpandedByDefault Property


%%PageItemTitle%%

TaskDialog Control | AddButton Method | EnableCommandLinks Property | DefaultButton Property | ButtonClicked Event | ClickButton Method | EnableButton Method | TaskDialogCommonButtons Enumeration | AddRadioButton Method

See Also Suite Pro Controls ActiveX Control v19.3

CommonButtons Property

Description

Specifies the "commmon" push buttons displayed in the task dialog. If no common buttons are specified and no custom buttons are specified using the AddButton method, the task dialog will contain the "OK" button by default.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CommonButtons() As TaskDialogCommonButtons

Remarks

Any combination of flags from the TaskDialogCommonButtons enumeration can be used to add common buttons to the task dialog. If the Cancel button is specified, the task dialog will respond to typical cancel actions (Alt-F4 and Escape).

The illustratrion below shows a dialog that has all common buttons added:

You can mix both user defined buttons, radio buttons, common buttons and command links. AddButton adds a user defined button to the task dialog's command area. AddRadioButton adds a user defined radio button to the task dialog's command area.

EnableCommandLinks specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. When using command links, all characters up to the first new line character in AddButton's Text argument will be treated as the command link's main text, and the remainder will be treated as the command link's note text.

The illustration below shows command links without icons:

Example

[Adding Common Buttons (Visual Basic)] This sample illustrates how to add the Yes and OK common buttons.

taskDialog.CommonButtons = 0
taskDialog.CommonButtons = taskDialog.CommonButtons Or xtpTaskButtonOk
taskDialog.CommonButtons = taskDialog.CommonButtons Or xtpTaskButtonYes

See Also

TaskDialog Control | AddButton Method | EnableCommandLinks Property | DefaultButton Property | ButtonClicked Event | ClickButton Method | EnableButton Method | TaskDialogCommonButtons Enumeration | AddRadioButton Method


%%PageItemTitle%%

TaskDialog Control | EnableHyperlinks Property | HyperlinkClicked Event | FooterText Property

See Also Suite Pro Controls ActiveX Control v19.3

ContentText Property

Description

Gets or sets the content text for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContentText() As String

Remarks

If EnableHyperlinks has been set, then this string may contain hyperlinks as well.

See Also

TaskDialog Control | EnableHyperlinks Property | HyperlinkClicked Event | FooterText Property


%%PageItemTitle%%

TaskDialog Control | ButtonClicked Event | AddButton Method | EnableCommandLinks Property | CommonButtons Property | EnableButton Method

See Also Suite Pro Controls ActiveX Control v19.3

DefaultButton Property

Description

Gets or sets the default button ID for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultButton() As Long

Remarks

DefaultButton may be any of the values specified when calling the AddButton method, or one of the IDs corresponding to the buttons specified in the CommonButtons property:

Value | Description
0 | Function call failed.
xtpTaskButtonCancel | Cancel button was selected, Alt-F4 was pressed, Escape was pressed or the user clicked on the close window button.
xtpTaskButtonNo | No button was selected.
xtpTaskButtonOK | OK button was selected.
xtpTaskButtonRetry | Retry button was selected.
xtpTaskButtonYes | Yes button was selected.

If DefaultButton is zero or its value does not correspond to any button ID in the dialog, then the first button in the dialog will be the default.

The ButtonClicked event occurs when a button is clicked and is used to determine which button was selected. The AddButton method is used to add buttons.

See Also

TaskDialog Control | ButtonClicked Event | AddButton Method | EnableCommandLinks Property | CommonButtons Property | EnableButton Method


%%PageItemTitle%%

TaskDialog Control | AddRadioButton Method | RadioButtonClicked Event | ClickRadioButton Method | EnableRadioButton Method

See Also Suite Pro Controls ActiveX Control v19.3

DefaultRadioButton Property

Description

Gets or sets the default radio button ID for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DefaultRadioButton() As Long

Remarks

DefaultRadioButton may be any of the values specified when calling the AddRadioButton method. If DefaultRadioButton is zero or its value does not correspond to any radio button ID in the dialog, then the first button in the dialog will be the default.

The RadioButtonClicked event occurs when a radio button is clicked and is used to determine which radio button was selected. The AddRadioButton method is used to add radio buttons.

See Also

TaskDialog Control | AddRadioButton Method | RadioButtonClicked Event | ClickRadioButton Method | EnableRadioButton Method


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

DialogWidth Property

Description

Gets or sets the width of the task dialog's client area.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DialogWidth() As Long

Remarks

Specifies the width of the task dialog's client area in pixels. If 0, the task dialog will calculate the ideal width.

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | Timer Event | ProgressBarStyle Property | ProgressBarPos Property | SetProgressBarRange Method | StartProgressBarMarquee Method | TaskDialogProgressBarStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableCallbackTimer Property

Description

Enables or disables the callback timer for this task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableCallbackTimer() As Boolean

Remarks

When set to True, the Timer event will be called approximately every 200 milliseconds. This can be useful when doing something like updating the status of a progress bar.

The illustration below shows a dialog that uses the Timer event to update the text and progress bar:

See Also

TaskDialog Control | Timer Event | ProgressBarStyle Property | ProgressBarPos Property | SetProgressBarRange Method | StartProgressBarMarquee Method | TaskDialogProgressBarStyle Enumeration


%%PageItemTitle%%

TaskDialog Control | AddButton Method | ShowCommandLinkIcons Property | ButtonClicked Event | DefaultButton Property | CommonButtons Property

See Also Suite Pro Controls ActiveX Control v19.3

EnableCommandLinks Property

Description

Specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. This property is ignored if AddButton has not been called.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableCommandLinks() As Boolean

Remarks

Set to True to enable command links, False to disable command links and use normal push buttons.

When using command links, all characters up to the first new line character in AddButton's Text argument will be treated as the command link's main text, and the remainder will be treated as the command link's note text.

The illustration below shows command links without icons:

The illustration below shows the command link icons:

See Also

TaskDialog Control | AddButton Method | ShowCommandLinkIcons Property | ButtonClicked Event | DefaultButton Property | CommonButtons Property


%%PageItemTitle%%

TaskDialog Control | ExpandedInformationText Property | FooterText Property | MainInstructionText Property | ContentText Property | VerificationText Property | HyperlinkClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

EnableHyperlinks Property

Description

Enables hyperlink displaying and processing for the strings specified for the ContentText, ExpandedInformationText and FooterText properties.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableHyperlinks() As Boolean

Remarks

When enabled, Content, Expanded Information and Footer strings can contain hyperlinks in the form:

<A HREF="http://www.codejock.com">Hyperlink Text</A>

When enabled, the HyperlinkClicked event will occur when a link is clicked.

The illustrations below show some hyperlinks enabled and disabled:

See Also

TaskDialog Control | ExpandedInformationText Property | FooterText Property | MainInstructionText Property | ContentText Property | VerificationText Property | HyperlinkClicked Event


%%PageItemTitle%%

TaskDialog Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

TaskDialog Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

TaskDialog Control | ExpandButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

ExpandedByDefault Property

Description

Gets or sets whether to display the text specified by the ExpandedInformationText property when the task dialog is initially displayed. This property is ignored unless ExpandedInformationText has been set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedByDefault() As Boolean

Remarks

The illustrations below show the "expanded information" control button and text:

See Also

TaskDialog Control | ExpandButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | CollapsedControlText Property | ExpandedByDefault Property | ExpandedInformationText Property | ExpandButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

ExpandedControlText Property

Description

Gets or sets the expanded control text for the task dialog. This property is ignored unless ExpandedInformationText has been set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedControlText() As String

Remarks

If ExpandedControlText is NULL, then the value set with CollapsedControlText will be used for the collapsed control text as well.

The illustrations below show the "expanded information" control button and text:

See Also

TaskDialog Control | CollapsedControlText Property | ExpandedByDefault Property | ExpandedInformationText Property | ExpandButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | ExpandedByDefault Property | CollapsedControlText Property | ExpandedControlText Property | ExpandFooterArea Property | EnableHyperlinks Property | ExpandButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

ExpandedInformationText Property

Description

Gets or sets the expanded information text for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedInformationText() As String

Remarks

The additional information is displayed either immediately below the content or below the footer text depending on whether ExpandFooterArea has been set. If EnableHyperlinks has been set, then this string may contain hyperlinks as well.

The illustrations below show the "expanded information" control button and text:

See Also

TaskDialog Control | ExpandedByDefault Property | CollapsedControlText Property | ExpandedControlText Property | ExpandFooterArea Property | EnableHyperlinks Property | ExpandButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | ExpandedByDefault Property | ExpandedControlText Property | ExpandedInformationText Property | CollapsedControlText Property | ExpandButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

ExpandFooterArea Property

Description

Gets or sets whether to display expanded information at the bottom of the task dialog's footer. This function is ignored if the ExpandedInformationText property has not been set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandFooterArea() As Boolean

Remarks

The illustrations below show the "expanded information" control button and text, note the first picture shows the expanded information below the footer:

See Also

TaskDialog Control | ExpandedByDefault Property | ExpandedControlText Property | ExpandedInformationText Property | CollapsedControlText Property | ExpandButtonClicked Event


%%PageItemTitle%%

TaskDialog Control | FooterIconHandle Property | MainIcon Property | MainIconHandle Property | TaskDialogIcon Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

FooterIcon Property

Description

Gets or sets the icon for the Footer area of the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterIcon() As TaskDialogIcon

Remarks

Set FooterIcon to any value in the TaskDialogIcon enumeration to display that icon next to the Footer area of the task dialog.

To use a custom icon, FooterIcon must be set to xtpTaskIconCustom and the FooterIconHandle property must contain a handle to an Icon that is to be displayed in the task dialog Footer area. If FooterIconHandle is NULL and FooterIcon is set to xtpTaskIconCustom, no icon will be displayed.

The illustrations below show the icons available to use in the dialog. The orange shield icon is a custom icon:

The following are icons displayed in the MainIcon property, but they can also be used in the footer area:

See Also

TaskDialog Control | FooterIconHandle Property | MainIcon Property | MainIconHandle Property | TaskDialogIcon Enumeration


%%PageItemTitle%%

TaskDialog Control | FooterIcon Property

See Also Suite Pro Controls ActiveX Control v19.3

FooterIconHandle Property

Description

Gets or sets the handle for a custom icon for the Footer area of the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterIconHandle() As Integer

Remarks

To display the icon stored in FooterIconHandle, FooterIcon must be set to xtpTaskIconCustom and FooterIconHandle must contain a valid handle to an Icon that is to be displayed in the task dialog Footer area. If FooterIconHandle is NULL and FooterIcon is set to xtpTaskIconCustom, no icon will be displayed.

To use a pre-defined icon, set FooterIcon to any value in the TaskDialogIcon enumeration to display that icon next to the Footer area of the task dialog.

The illustration below shows the task dialog displaying a custom orange shield icon is the footer area:

See Also

TaskDialog Control | FooterIcon Property


%%PageItemTitle%%

TaskDialog Control | ContentText Property | ExpandedInformationText Property | EnableHyperlinks Property | HyperlinkClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

FooterText Property

Description

Gets or sets the footer text for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FooterText() As String

Remarks

If FooterText is Null, then the footer will not be displayed. The footer area will be displayed simply by setting FooterText to a valid string. If EnableHyperlinks has been set, then this string may contain hyperlinks as well.

See Also

TaskDialog Control | ContentText Property | ExpandedInformationText Property | EnableHyperlinks Property | HyperlinkClicked Event


%%PageItemTitle%%

TaskDialog Control | AddInputBox Method

See Also Suite Pro Controls ActiveX Control v19.3

InputBoxText Property

Description

Gets or sets the text entered by user in input box field. Or sets the default value for input box field.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InputBoxText() As String

See Also

TaskDialog Control | AddInputBox Method


%%PageItemTitle%%

TaskDialog Control | MainIconHandle Property | TaskDialogIcon Enumeration | FooterIcon Property | FooterIconHandle Property

See Also Suite Pro Controls ActiveX Control v19.3

MainIcon Property

Description

Gets or sets the icon for the Main Instruction area of the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MainIcon() As TaskDialogIcon

Remarks

Set MainIcon to any value in the TaskDialogIcon enumeration to display that icon next to the Main Instruction area of the task dialog.

To use a custom icon, MainIcon must be set to xtpTaskIconCustom and the MainIconHandle property must contain a handle to an Icon that is to be displayed in the task dialog Main Instruction area. If MainIconHandle is NULL and MainIcon is set to xtpTaskIconCustom, no icon will be displayed.

The illustrations below show the icons available to use in the dialog. The Codejock icon is a custom icon:

See Also

TaskDialog Control | MainIconHandle Property | TaskDialogIcon Enumeration | FooterIcon Property | FooterIconHandle Property


%%PageItemTitle%%

TaskDialog Control | MainIcon Property

See Also Suite Pro Controls ActiveX Control v19.3

MainIconHandle Property

Description

Gets or sets the handle for a custom icon for the Main Instruction area of the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MainIconHandle() As Integer

Remarks

To display the icon stored in MainIconHandle, MainIcon must be set to xtpTaskIconCustom and MainIconHandle must contain a valid handle to an Icon that is to be displayed in the task dialog Main Instruction area. If MainIconHandle is NULL and MainIcon is set to xtpTaskIconCustom, no icon will be displayed.

MainIcon is set automatically to xtpTaskIconCustom when assigning a value to MainIconHandle

To use a pre-defined icon, set MainIcon to any value in the TaskDialogIcon enumeration to display that icon next to the Main Instruction area of the task dialog.

The illustration below shows the task dialog using a custom Codejock icon:

See Also

TaskDialog Control | MainIcon Property


%%PageItemTitle%%

TaskDialog Control | ContentText Property | CollapsedControlText Property | ExpandedControlText Property | ExpandedInformationText Property | ExpandedInformationText Property

See Also Suite Pro Controls ActiveX Control v19.3

MainInstructionText Property

Description

Gets or sets the main instruction text for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MainInstructionText() As String

Remarks

The illustration below shows where the MainInstructionText is displayed in the task dialog:

See Also

TaskDialog Control | ContentText Property | CollapsedControlText Property | ExpandedControlText Property | ExpandedInformationText Property | ExpandedInformationText Property


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

See Also

TaskDialog Control

Example

SetMethod Example


%%PageItemTitle%%

TaskDialog Control | UseComCtl32 Property

See Also Suite Pro Controls ActiveX Control v19.3

MessageBoxStyle Property

Description

Specifies whether to show the dialog using the Windowx XP or Windows Vista style even if the standard window theme or no manifest is used.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MessageBoxStyle() As Boolean

Remarks

MessageBoxStyle is only used when using the Codejock implementation of the task dialog. If setting UseComCtl32 to true while running on Windows Vista this will have no effect.

Using MessageBoxStyle will cause the task dialog to always look like manifest was used, even if no manifest file is present or if the dialog is displayed using a standard or classic windows theme.

See Also

TaskDialog Control | UseComCtl32 Property


%%PageItemTitle%%

TaskDialog Control | RelativePosition Property

See Also Suite Pro Controls ActiveX Control v19.3

ParentHwnd Property

Description

Gets or sets the handle to the parent window for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ParentHwnd() As Integer

Remarks

When RelativePosition is True, this indicates that the task dialog should be positioned (centered) relative to the window specified by the ParentHwnd property. If RelativePosition is False, or ParentHwnd is NULL, the task dialog is positioned (centered) relative to the monitor.

See Also

TaskDialog Control | RelativePosition Property


%%PageItemTitle%%

TaskDialog Control | ProgressBarStyle Property | StartProgressBarMarquee Method | SetProgressBarRange Method | TaskDialogProgressBarStyle Enumeration | EnableCallbackTimer Property | Timer Event

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBarPos Property

Description

Gets or seta the current position for the progress bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProgressBarPos() As Long

Remarks

ProgressBarPos should only be called after the dialog has been Constructed.

ProgressBarPos can be used to retrieve the current progress bar position or to set a new progress bar position.

You can use EnableCallbackTimer to start a timer which will trigger the Timer event, which will be called approximately every 200 milliseconds. This can be useful when doing something like updating the status of a progress bar.

See Also

TaskDialog Control | ProgressBarStyle Property | StartProgressBarMarquee Method | SetProgressBarRange Method | TaskDialogProgressBarStyle Enumeration | EnableCallbackTimer Property | Timer Event


%%PageItemTitle%%

TaskDialog Control | StartProgressBarMarquee Method | SetProgressBarRange Method | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event | TaskDialogProgressBarStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBarStyle Property

Description

Gets or sets the style of the progress bar. This is used to display the progress bar and specifies whether the progress bar should be displayed in marquee mode or not.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ProgressBarStyle() As TaskDialogProgressBarStyle

Remarks

To display a progress bar you must set ProgressBarStyle to xtpTaskProgressBarMarquee or xtpTaskProgressBarNormal. Setting ProgressBarStyle to xtpTaskProgressBarNone will remove the progress bar.

If using the marquee style, ProgressBarStyle must first be set to xtpTaskProgressBarMarquee and StartProgressBarMarquee must be called in the Constructed event before it can be turned on or off. After StartProgressBarMarquee is called in the Constructed event you can freely use StartProgressBarMarquee anytime to start and stop the marquee.

The illustrations below show a progress bar that is in the process of scrolling using both the marquee and standard styles:

See Also

TaskDialog Control | StartProgressBarMarquee Method | SetProgressBarRange Method | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event | TaskDialogProgressBarStyle Enumeration


%%PageItemTitle%%

TaskDialog Control | ParentHwnd Property

See Also Suite Pro Controls ActiveX Control v19.3

RelativePosition Property

Description

Specifies whether to position the task dialog relative to the parent window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RelativePosition() As Boolean

Remarks

When RelativePosition is True, this indicates that the task dialog should be positioned (centered) relative to the window specified by the ParentHwnd property. If RelativePosition is False, or ParentHwnd is NULL, the task dialog is positioned (centered) relative to the monitor.

See Also

TaskDialog Control | ParentHwnd Property


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

RtlLayout Property

Description

Enables or disables right to left text display for the task dialog

Property type

Read-write property

Syntax (Visual Basic)

Public Property RtlLayout() As Boolean

Remarks

The illustration below shows a task dialog displayed using the RTL layout:

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | EnableCommandLinks Property | ButtonClicked Event | DefaultButton Property | CommonButtons Property

See Also Suite Pro Controls ActiveX Control v19.3

ShowCommandLinkIcons Property

Description

Specifies whether the command links should display an incon next to the button text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCommandLinkIcons() As Boolean

Remarks

The illustration below shows the command link icons:

The illustration below shows command links without icons:

See Also

TaskDialog Control | EnableCommandLinks Property | ButtonClicked Event | DefaultButton Property | CommonButtons Property


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

UseComCtl32 Property

Description

Gets or sets whether to use the ComCtl32.dll (Windows Vista) version of Task Dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseComCtl32() As Boolean

Remarks

If True, and running on Windows Vista the Task Dialog will use the ComCtl32.dll stored on the system to display the task dialogs. If False or running on an operating system older than Windows Vista, Codejock code will be used to display the task dialog.

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | VerifyCheckState Property | VerificationClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

VerificationText Property

Description

Gets or sets the label for the verification checkbox to be displayed in the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerificationText() As String

Remarks

If VerificationText is NULL, the verification checkbox is not displayed in the task dialog.

The illustration below shows the verification checkbox and text description:

See Also

TaskDialog Control | VerifyCheckState Property | VerificationClicked Event


%%PageItemTitle%%

TaskDialog Control | VerificationClicked Event | VerificationText Property

See Also Suite Pro Controls ActiveX Control v19.3

VerifyCheckState Property

Description

Gets or sets the checked state for the verification checkbox when the dialog is initially displayed. This property is ignored if the VerificationText property has not been set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property VerifyCheckState() As Boolean

Remarks

If VerificationText is NULL, the verification checkbox is not displayed in the task dialog.

The illustration below shows the verification checkbox and text description:

See Also

TaskDialog Control | VerificationClicked Event | VerificationText Property


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

WindowTitle Property

Description

Gets or sets the window title for the task dialog.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WindowTitle() As String

Remarks

If WindowTitle is NULL, the filename of the executable program is used.

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | AddButton Method | EnableCommandLinks Property | EnableButton Method | CommonButtons Property

Id
The ID corresponding to the button selected.
CloseDialog
Set to True if the task dialog should close.
See Also Suite Pro Controls ActiveX Control v19.3

ButtonClicked Event

Description

Occurs when a user selects a button or command link in the task dialog.

Syntax

Public Event ButtonClicked( _
   ByVal Id As Long, _
   ByRef CloseDialog As Variant _
)

Parameters

Id
The ID corresponding to the button selected.
CloseDialog
Set to True if the task dialog should close.

Remarks

The illustrations below show some of the buttons that trigger the ButtonClicked event when clicked:

See Also

TaskDialog Control | AddButton Method | EnableCommandLinks Property | EnableButton Method | CommonButtons Property


%%PageItemTitle%%

TaskDialog Control

See Also Suite Pro Controls ActiveX Control v19.3

Constructed Event

Description

Occurs once the task dialog has been created and before it is displayed.

Syntax

Public Event Constructed()

See Also

TaskDialog Control


%%PageItemTitle%%

TaskDialog Control | CollapsedControlText Property | ExpandedByDefault Property | ExpandedControlText Property | ExpandedInformationText Property | ExpandFooterArea Property

Expanded
True if the dialog is expanded, otherwise False.
See Also Suite Pro Controls ActiveX Control v19.3

ExpandButtonClicked Event

Description

Occurs when the user clicks on the expand in the Task Dialog.

Syntax

Public Event ExpandButtonClicked( _
   ByVal Expanded As Boolean _
)

Parameters

Expanded
True if the dialog is expanded, otherwise False.

Remarks

The expand button allows additional text to be displayed or hidden on the task dialog.

The additional information, which is stored in the ExpandedInformationText property, is displayed either immediately below the content or below the footer text depending on whether ExpandFooterArea has been set. If EnableHyperlinks has been set, then this string may contain hyperlinks as well.

The illustrations below show the "expanded information" control button and text:

See Also

TaskDialog Control | CollapsedControlText Property | ExpandedByDefault Property | ExpandedControlText Property | ExpandedInformationText Property | ExpandFooterArea Property


%%PageItemTitle%%

TaskDialog Control | EnableHyperlinks Property | ExpandedInformationText Property | FooterText Property | ContentText Property

URL
String containing the URL of the hyperlink clicked.
See Also Suite Pro Controls ActiveX Control v19.3

HyperlinkClicked Event

Description

Occurs when a user clicks on a hyperlink in the Task Dialog's content.

Syntax

Public Event HyperlinkClicked( _
   ByVal URL As String _
)

Parameters

URL
String containing the URL of the hyperlink clicked.

Remarks

Occurs when a user clicks on a hyperlink in the Task Dialog's content.

When EnableHyperlinks is true, the Content, Expanded Information and Footer strings can contain hyperlinks in the form of:

<A HREF="http://www.codejock.com">Hyperlink Text</A>

The HyperlinkClicked event will occur when a link is clicked.

The illustrations below show some hyperlinks enabled and disabled:

See Also

TaskDialog Control | EnableHyperlinks Property | ExpandedInformationText Property | FooterText Property | ContentText Property


%%PageItemTitle%%

TaskDialog Control | AddInputBox Method | InputBoxText Property

See Also Suite Pro Controls ActiveX Control v19.3

InputBoxChanged Event

Description

Occurs when the InputBoxText has changed in the input box.

Syntax

Public Event InputBoxChanged()

See Also

TaskDialog Control | AddInputBox Method | InputBoxText Property


%%PageItemTitle%%

TaskDialog Control | AddRadioButton Method | DefaultRadioButton Property | ClickRadioButton Method | EnableRadioButton Method

Id
The ID corresponding to the radio button that was clicked.
See Also Suite Pro Controls ActiveX Control v19.3

RadioButtonClicked Event

Description

Occurs when a user selects a radio button in the task dialog.

Syntax

Public Event RadioButtonClicked( _
   ByVal Id As Long _
)

Parameters

Id
The ID corresponding to the radio button that was clicked.

Remarks

The RadioButtonClicked event occurs when a radio button is clicked and is used to determine which radio button was selected. The AddRadioButton method is used to add radio buttons.

The ClickRadioButton method can be used to simulate the action of a radio button click in the task dialog and will cause the RadioButtonClicked event to fire.

See Also

TaskDialog Control | AddRadioButton Method | DefaultRadioButton Property | ClickRadioButton Method | EnableRadioButton Method


%%PageItemTitle%%

TaskDialog Control | EnableCallbackTimer Property | SetProgressBarRange Method | StartProgressBarMarquee Method | ProgressBarStyle Property | ProgressBarPos Property | TaskDialogProgressBarStyle Enumeration

MilliSeconds
Number of milliseconds since the dialog was created or Reset was set to True.
Reset
True to reset the tickcount, otherwise the tickcount will continue to increment.
See Also Suite Pro Controls ActiveX Control v19.3

Timer Event

Description

This event is sent by the Task Dialog approximately every 200 milliseconds when the EnableCallbackTimer property has been set.

Syntax

Public Event Timer( _
   ByVal MilliSeconds As Long, _
   ByRef Reset As Variant _
)

Parameters

MilliSeconds
Number of milliseconds since the dialog was created or Reset was set to True.
Reset
True to reset the tickcount, otherwise the tickcount will continue to increment.

Remarks

When EnableCallbackTimer is set to True, the Timer event will be called approximately every 200 milliseconds. This can be useful when doing something like updating the status of a progress bar.

The illustration below shows a dialog that uses the Timer event to update the text and progress bar:

See Also

TaskDialog Control | EnableCallbackTimer Property | SetProgressBarRange Method | StartProgressBarMarquee Method | ProgressBarStyle Property | ProgressBarPos Property | TaskDialogProgressBarStyle Enumeration


%%PageItemTitle%%

TaskDialog Control | VerificationText Property | VerifyCheckState Property

Checked
True if the verification checkbox is checked, otherwise False.
See Also Suite Pro Controls ActiveX Control v19.3

VerificationClicked Event

Description

Occurs when the user clicks on the task dialog's verification check box.

Syntax

Public Event VerificationClicked( _
   ByVal Checked As Boolean _
)

Parameters

Checked
True if the verification checkbox is checked, otherwise False.

Remarks

The illustration below shows the verification checkbox and text description:

See Also

TaskDialog Control | VerificationText Property | VerifyCheckState Property


%%PageItemTitle%%

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Not used for this control.
Public Method ShowTitleAndDescription | Not used in the Suite Controls.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Suite Pro Controls ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal Left As Long, _
   ByVal Top As Long, _
   ByVal Right As Long, _
   ByVal Bottom As Long _
)

Parameters

Left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
Top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
Right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
Bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Suite Pro Controls ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
ImageBase
See Also Suite Pro Controls ActiveX Control v19.3

ShowImage Method

Description

Not used for this control.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
ImageBase

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription
IconTitle
See Also Suite Pro Controls ActiveX Control v19.3

ShowTitleAndDescription Method

Description

Not used in the Suite Controls.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription
IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Suite Pro Controls ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Suite Pro Controls ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the title\caption and tooltip of the item, the minimum width of the tool tip window can not be smaller that the width of the title\caption.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Suite Pro Controls ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Suite Pro Controls ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property of the item will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

See the XTPToolTipStyle enumeration for a detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Suite Pro Controls ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Suite Pro Controls ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

TrayIcon Members

See Also Suite Pro Controls ActiveX Control v19.3

TrayIcon Control

Description

Tray Icon control used to display a system tray icon.

For a list of all members defined in this module, see TrayIcon members.

Remarks

The Tray Icon Control" allows you to quickly and easily add your application's icon to the system tray. You can easily define popup menus, balloon tips and even animation to your displayed icons. You can also minimize to and maximize your application to\from the system tray.

Tray Icon:

Ballon Tip:

Popup menu:

See Also

TrayIcon Members


%%PageItemTitle%% $$Members$$

TrayIcon Overview

See Also Suite Pro Controls ActiveX Control v19.3

TrayIcon Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control.
Public Method MaximizeFromTray | Maximizes the specified window from the system tray. If window animation is supported, the window will glide up to the system tray.
Public Method MinimizeToTray | Minimizes the specified window to the system tray. If window animation is supported, the window will glide down to the system tray.
Public Method ShowBalloonTip | Displays a balloon tooltip for the system tray icon. Must have Windows ME or later to use this feature.

Public Properties

Public Property Icon | Gets or sets the icon that is displayed in the system tray.
Public Property Text | Gets or sets the tooltip text for the tray icon.

Events

Public Event BalloonTipClicked | Occurs when a balloon tip is clicked.
Public Event BalloonTipClosed | Occurs when a balloon tip is closed.
Public Event BalloonTipShown | Occurs when a balloon tip is displayed.
Public Event Click | Occurs when the tray icon is clicked.
Public Event DblClick | Occurs when the tray icon is double-clicked.
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseUp | Occurs when the user releases a mouse button.

See Also

TrayIcon Overview


%%PageItemTitle%%

TrayIcon Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control.

Syntax

Public Sub AboutBox()

See Also

TrayIcon Control


%%PageItemTitle%%

TrayIcon Control | MinimizeToTray Method

hWnd
Handle to the window to maximize.
See Also Suite Pro Controls ActiveX Control v19.3

MaximizeFromTray Method

Description

Maximizes the specified window from the system tray. If window animation is supported, the window will glide up to the system tray.

Syntax

Public Sub MaximizeFromTray( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the window to maximize.

Remarks

See Also

TrayIcon Control | MinimizeToTray Method


%%PageItemTitle%%

TrayIcon Control | MaximizeFromTray Method

hWnd
Handle to the window to minimize.
See Also Suite Pro Controls ActiveX Control v19.3

MinimizeToTray Method

Description

Minimizes the specified window to the system tray. If window animation is supported, the window will glide down to the system tray.

Syntax

Public Sub MinimizeToTray( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the window to minimize.

Remarks

See Also

TrayIcon Control | MaximizeFromTray Method


%%PageItemTitle%%

TrayIcon Control | XTPToolTipIcon Enumeration | BalloonTipClicked Event | BalloonTipClosed Event | BalloonTipShown Event

Timeout
The timeout value in seconds for a balloon ToolTip. The system enforces minimum and maximum timeout values. Values that are too large are set to the maximum value, and values that are too small default to the minimum value. The system minimum and maximum timeout values are currently set at 10 seconds and 30 seconds, respectively.
TipTitle
String containing a title for a balloon ToolTip. This title appears in boldface above the text.
TipText
String with the text for a balloon ToolTip. It can have a maximum of 255 characters.
TipIcon
Flags that can be set to add an icon to a balloon ToolTip. Any flag from the XTPToolTipIcon enumeration can be used to display an error, warning or information icon. Set to 0 to display no icon.
See Also Suite Pro Controls ActiveX Control v19.3

ShowBalloonTip Method

Description

Displays a balloon tooltip for the system tray icon. Must have Windows ME or later to use this feature.

Syntax

Public Sub ShowBalloonTip( _
   ByVal Timeout As Long, _
   ByVal TipTitle As String, _
   ByVal TipText As String, _
   ByVal TipIcon As Long _
)

Parameters

Timeout
The timeout value in seconds for a balloon ToolTip. The system enforces minimum and maximum timeout values. Values that are too large are set to the maximum value, and values that are too small default to the minimum value. The system minimum and maximum timeout values are currently set at 10 seconds and 30 seconds, respectively.
TipTitle
String containing a title for a balloon ToolTip. This title appears in boldface above the text.
TipText
String with the text for a balloon ToolTip. It can have a maximum of 255 characters.
TipIcon
Flags that can be set to add an icon to a balloon ToolTip. Any flag from the XTPToolTipIcon enumeration can be used to display an error, warning or information icon. Set to 0 to display no icon.

Remarks

Displays a balloon tooltip for the system tray icon. Tips can be shown from 10 to 30 seconds and can have a maximum of 255 characters in the message. Tips can become queued when shown before a previous tip has disappeared. BalloonTipShown can be used to determine when a tip finally gets displayed.

The BalloonTipClicked, BalloonTipClosed and BalloonTipShown event are used to tell you when the ballon tip is displayed, clicked or closed.

You must have Windows ME or later to use this feature.

See Also

TrayIcon Control | XTPToolTipIcon Enumeration | BalloonTipClicked Event | BalloonTipClosed Event | BalloonTipShown Event


%%PageItemTitle%%

TrayIcon Control

See Also Suite Pro Controls ActiveX Control v19.3

Icon Property

Description

Gets or sets the icon that is displayed in the system tray.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icon() As Picture

Remarks

This is the picture that is displayed in the system tray. Pictures can only use 256 color icons. Note that if an icon is used that also has a 16 color version, then that version will be used instead of the 256 color version.

See Also

TrayIcon Control


%%PageItemTitle%%

TrayIcon Control

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the tooltip text for the tray icon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

This is the text that is displayed as a tooltip when the mouse is positioned over the tray icon.

See Also

TrayIcon Control


%%PageItemTitle%%

TrayIcon Control | BalloonTipClosed Event | BalloonTipShown Event

See Also Suite Pro Controls ActiveX Control v19.3

BalloonTipClicked Event

Description

Occurs when a balloon tip is clicked.

Syntax

Public Event BalloonTipClicked()

Remarks

This will occur when the user clicks any part of the balloon tip except for the close button.

See Also

TrayIcon Control | BalloonTipClosed Event | BalloonTipShown Event


%%PageItemTitle%%

TrayIcon Control | ShowBalloonTip Method | BalloonTipShown Event | BalloonTipClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

BalloonTipClosed Event

Description

Occurs when a balloon tip is closed.

Syntax

Public Event BalloonTipClosed()

Remarks

This will occur when the close button is clicked inside the balloon tip window.

See Also

TrayIcon Control | ShowBalloonTip Method | BalloonTipShown Event | BalloonTipClicked Event


%%PageItemTitle%%

TrayIcon Control | ShowBalloonTip Method | BalloonTipClosed Event | BalloonTipClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

BalloonTipShown Event

Description

Occurs when a balloon tip is displayed.

Syntax

Public Event BalloonTipShown()

Remarks

This event will occur for each balloon tip shown. This can be useful when tips become queued and and not immediately shown.

See Also

TrayIcon Control | ShowBalloonTip Method | BalloonTipClosed Event | BalloonTipClicked Event


%%PageItemTitle%%

TrayIcon Control | DblClick Event

See Also Suite Pro Controls ActiveX Control v19.3

Click Event

Description

Occurs when the tray icon is clicked.

Syntax

Public Event Click()

Remarks

Occurs when the tray icon is clicked.

See Also

TrayIcon Control | DblClick Event


%%PageItemTitle%%

TrayIcon Control | Click Event

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when the tray icon is double-clicked.

Syntax

Public Event DblClick()

Remarks

Occurs when the tray icon is double-clicked. Double-clicks are commonly used to expand an application that has been minimized to the tray or minimized to the task bar.

See Also

TrayIcon Control | Click Event


%%PageItemTitle%%

TrayIcon Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

TrayIcon Control


%%PageItemTitle%%

TrayIcon Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

TrayIcon Control


%%PageItemTitle%%

TreeView Members

See Also Suite Pro Controls ActiveX Control v19.3

TreeView Control

Description

A TreeView control displays a hierarchical list of TreeViewNode objects, each of which consists of a label and an optional bitmap. A TreeView is typically used to display the headings in a document, the entries in an index, the files and directories on a disk, or any other kind of information that might usefully be displayed as a hierarchy.

For a list of all members defined in this module, see TreeView members.

Object Model

Remarks

After creating a TreeView control, you can add, remove, arrange, and otherwise manipulate TreeViewNode objects by setting properties and invoking methods. You can programmatically expand and collapse Node objects to display or hide all child nodes. Events such as the Collapse, Expand, and NodeClick event, also provide programming functionality.

See Also

TreeView Members


%%PageItemTitle%% $$Members$$

TreeView Overview

See Also Suite Pro Controls ActiveX Control v19.3

TreeView Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control
Public Method EnableExplorerStyle | When using Windows Vista or Windows 7, specifies that the control will use the Win7/Vista explorer style.
Public Method GetItemHeight |
Public Method GetVisibleCount | Returns the number of TreeViewNode objects that fit in the internal area of a TreeView control.
Public Method HitTest | Returns a reference to the TreeViewNode object located at the coordinates of x and y.
Public Method OLEDrag | Causes a component to initiate an OLE drag/drop operation.
Public Method SetIconSize | The SetIconSize method is used to set the icon size of the node items.
Public Method SetItemHeight |
Public Method StartLabelEdit | Enables a user to edit a label.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property BackColor | Gets or sets the background color for the TreeView control.
Public Property Checkboxes | Gets or sets a value indicating whether check boxes are displayed next to the tree nodes in the tree view control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property DropHighlight | Returns or sets a reference to a Node or ListItem object that is highlighted with the system highlight color when the cursor moves over it.
Public Property Enabled | Gets or sets a value indicating whether the control can respond to user interaction.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of this control.
Public Property Font | Gets or sets the font of the text displayed by the control.
Public Property ForeColor | The current foreground color for this control, which is the color the control uses to draw its text.
Public Property FullRowSelect | Gets or sets a value indicating whether the selection highlight spans the width of the tree view control.
Public Property HideSelection | Gets or sets a value indicating whether the selected tree node remains highlighted even when the tree view has lost the focus.
Public Property HotTracking | Gets or sets a value indicating whether a tree node label takes on the appearance of a hyperlink as the mouse pointer passes over it.
Public Property hWnd | Returns the handle to the TreeView control.
Public Property Icons | A collection of icons used for TreeViewNode objects.
Public Property IconSize | Gets or sets the size of icons displayed for TreeViewNode objects.
Public Property Indentation | Returns or sets the width of the indentation of child nodes in the TreeView control.
Public Property LabelEdit | Returns or sets a value that determines if a user can edit label of a TreeViewNode object in a TreeView control.
Public Property MarkupContext | Connects events in XML Markup with actual methods, functions and events in your code.
Public Property Nodes | Gets the collection of tree nodes that are assigned to the tree view control.
Public Property OLEDragMode | Returns or sets whether the component or the programmer handles an OLE drag/drop operation.
Public Property OLEDropMode | The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the tree view for dropping external items.
Public Property PathSeparator | Gets or sets the delimiter string that the tree node path uses.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the TreeView Control elements are aligned to support locales using right-to-left fonts.
Public Property RightToLeftReading | Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).
Public Property Scroll | Gets or sets a value indicating whether the tree view control displays scroll bars when they are needed.
Public Property SelectedItem | Gets or sets the tree node that is currently selected in the tree view control.
Public Property SelectionBackColor | Gets or sets the background color used for currently selected nodes.
Public Property SelectionForeColor | Gets or sets the text color used for currently selected nodes.
Public Property ShowBorder | Specifies whether to display a border around the edge of the control.
Public Property ShowLines | Gets or sets a value indicating whether lines are drawn between tree nodes in the tree view control.
Public Property ShowPlusMinus | Gets or sets a value indicating whether plus-sign (+) and minus-sign (-) buttons are displayed next to tree nodes that contain child tree nodes.
Public Property SingleSel | Gets or sets a value that causes a tree-view item to be expanded when it becomes selected and to be closed when it becomes unselected.
Public Property Sorted | Returns or sets a value that determines whether the root level nodes of a TreeView control are sorted alphabetically.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UpdateBackColorOnAppearanceChange |
Public Property UpdateForeColorOnAppearanceChange |
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.

Events

Public Event AfterLabelEdit | Occurs after the tree node label text is edited.
Public Event BeforeLabelEdit | Occurs before the tree node label text is edited.
Public Event CancelLabelEdit | Occurs when a label edit has been canceled by the user or cancel has been set in the BeforeLabelEdit event.
Public Event Collapse | Generated when any Node object in a TreeView control is collapsed.
Public Event DblClick | Occurs when a node in the TreeView control is double-clicked.
Public Event Expand | Occurs when a Node object in a TreeView control is expanded, that is, when its child nodes become visible.
Public Event Expanding | Occurs when a Node object in a TreeView control is currently expanding, that is, when its child nodes becomeing visible.
Public Event KeyDown | Occurs when a key is pressed while the control has focus.
Public Event KeyPress | Occurs when a key is pressed while the control has focus.
Public Event KeyUp | Occurs when a key is released while the control has focus.
Public Event MouseDown | Occurs when the mouse pointer is over the control and a mouse button is pressed.
Public Event MouseMove | Occurs when the mouse pointer is moved over the control.
Public Event MouseUp | Occurs when the mouse pointer is over the control and a mouse button is released.
Public Event NodeCheck | Occurs after the tree node check box is checked.
Public Event NodeClick | Occurs when a Node object is clicked.
Public Event OLECompleteDrag | Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event OLEGiveFeedback | Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.
Public Event OLESetData | Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.
Public Event OLEStartDrag | Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.
Public Event ReCreated |

See Also

TreeView Overview


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control

Syntax

Public Sub AboutBox()

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Enable
True to enable, False to disable.
AutoHideExpandButtons
True to auto hide the arrow expand buttons when the mouse is not over them, False to always show the arrow expand buttons.
See Also Suite Pro Controls ActiveX Control v19.3

EnableExplorerStyle Method

Description

When using Windows Vista or Windows 7, specifies that the control will use the Win7/Vista explorer style.

Syntax

Public Sub EnableExplorerStyle( _
   ByVal Enable As Boolean, _
   ByVal AutoHideExpandButtons As Boolean _
)

Parameters

Enable
True to enable, False to disable.
AutoHideExpandButtons
True to auto hide the arrow expand buttons when the mouse is not over them, False to always show the arrow expand buttons.

Remarks

This setting has no effect unless the control is run on Windows Vista or greater.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

GetItemHeight Method

Syntax

Public Function GetItemHeight() As Integer

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

GetVisibleCount Method

Description

Returns the number of TreeViewNode objects that fit in the internal area of a TreeView control.

Syntax

Public Function GetVisibleCount() As Long

Remarks

The number of TreeViewNode objects is determined by how many lines can fit in a window. The total number of lines possible is determined by the height of the control and the Size property of the Font object. The count includes the partially visible item at the bottom of the list.

You can use the GetVisibleCount method to make sure that a minimum number of lines are visible so the user can accurately assess a hierarchy. If a particular TreeViewNode object must be visible, use the EnsureVisible method to scroll and expand the TreeView control.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

x
X coordinate of a target TreeViewNode object.
y
Y coordinate of a target TreeViewNode object.
See Also Suite Pro Controls ActiveX Control v19.3

HitTest Method

Description

Returns a reference to the TreeViewNode object located at the coordinates of x and y.

Syntax

Public Function HitTest( _
   ByVal x As Single, _
   ByVal y As Single _
) As TreeViewNode

Parameters

x
X coordinate of a target TreeViewNode object.
y
Y coordinate of a target TreeViewNode object.

Remarks

If no object exists at the specified coordinates, the HitTest method returns Nothing.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDrag Method

Description

Causes a component to initiate an OLE drag/drop operation.

Syntax

Public Sub OLEDrag()

Remarks

When the OLEDrag method is called, the component"s OLEStartDrag event occurs, allowing it to supply data to a target component.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

cx
New width of icon in pixels.
cy
New height of icon in pixels.
See Also Suite Pro Controls ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the icon size of the node items.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New width of icon in pixels.
cy
New height of icon in pixels.

Remarks

Allows you to set non rectangular icon sizes to be used for node items.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Height
See Also Suite Pro Controls ActiveX Control v19.3

SetItemHeight Method

Syntax

Public Function SetItemHeight( _
   ByVal Height As Integer _
) As Integer

Parameters

Height

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

StartLabelEdit Method

Description

Enables a user to edit a label.

Syntax

Public Sub StartLabelEdit()

Remarks

The StartLabelEdit method must be used to initiate a label editing operation when the LabelEdit property is set to xtpTreeViewLabelManual (Manual).

When the StartLabelEdit method is invoked upon an object, the BeforeLabelEdit event is also generated.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

TreeView Control | AppearanceStyle Enumeration


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color for the TreeView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Checkboxes Property

Description

Gets or sets a value indicating whether check boxes are displayed next to the tree nodes in the tree view control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checkboxes() As Boolean

Remarks

A check box is displayed to the left of both the tree node label and tree node Image, if any. Check boxes allow the user to select more than one tree node at a time.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

DropHighlight Property

Description

Returns or sets a reference to a Node or ListItem object that is highlighted with the system highlight color when the cursor moves over it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DropHighlight() As TreeViewNode

Remarks

The DropHighlight property is typically used in combination with the HitTest method in drag-and-drop operations. As the cursor is dragged over a Node object, the HitTest method returns a reference to any object it is dragged over. In turn, the DropHighlight property is set to the hit object, and simultaneously returns a reference to that object. The DropHighlight property then highlights the hit object with the system highlight color.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value indicating whether the control can respond to user interaction.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

Remarks

With the Enabled property, you can enable or disable controls at run time. For example, you can disable controls that do not apply to the current state of the application.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control | XTPToolTipStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of this control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many controls using snippets of XAML:

Example

[Markup Examples (Visual Basic)]

'This sample shows how To display an Outlook style tree control using Markup:

'VB 6 code snippet
TreeViewMarkup.EnableMarkup = True
TreeViewMarkup.Nodes.Add , , "Root", "Personal Folders"

TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Deleted Items"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Drafts"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Inbox</Bold> <Run Foreground='Blue' Text='(1)'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "<TextBlock>" & _
   "<Bold>Junk E-mail</Bold> <Run Foreground='Green' Text='[3]'/></TextBlock>"
TreeViewMarkup.Nodes.Add "Root", xtpTreeViewChild, , "Outbox"

TreeViewMarkup.Nodes("Root").Expanded = True

'************************************************

'Below is a sample that shows how to mix an image with text on a button using Markup, note the image is loaded from a image file. To
'reference an image stored In the ImageManager control, simply Set "Source" To the id of the image To Load:

'VB 6 code snippet
PushButton1.EnableMarkup = True
PushButton1.Caption = "<TextBlock>Need " & _
                      "<InlineUIContainer BaselineAlignment='Bottom'>" & _
    "<Image Source='Icons/Help.bmp'/></InlineUIContainer> with " & _
    "Markup?</TextBlock>"

'************************************************

'The following sample illustrates the sample techniques at the sample above, however, this sample shows how
'To create more elaborate XAML using only the Label control:

'VB 6 code snippet
LabelMarkup.EnableMarkup = True
LabelMarkup.Caption = _
"<Border Margin='0' Padding='4' BorderThickness='1' BorderBrush='#767676' " & _
         "Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
    "</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
               "selected text to UPPERCASE, lowercase, or other common " & _
               "capitalizations.</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
                 "VerticalAlignment='Center' FontWeight='Bold'>Press F1 for" & _
                " more help.</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

TreeView Control | XTPToolTipStyle Enumeration

Example

EnableMarkup Samples


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets or sets the font of the text displayed by the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

The current foreground color for this control, which is the color the control uses to draw its text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

FullRowSelect Property

Description

Gets or sets a value indicating whether the selection highlight spans the width of the tree view control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FullRowSelect() As Boolean

Remarks

When FullRowSelect is true, a selection highlight spans the entire width of the tree view, display rather than the width of just the tree node label. The FullRowSelect property is ignored if ShowLines is set to true.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

HideSelection Property

Description

Gets or sets a value indicating whether the selected tree node remains highlighted even when the tree view has lost the focus.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideSelection() As Boolean

Remarks

When this property is set to false, selected nodes in the TreeView control remain highlighted in a different color than the current selection color when the TreeView control loses focus. You can use this property to keep items that are selected by the user visible when the user clicks a different control on the form or moves to a different window.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

HotTracking Property

Description

Gets or sets a value indicating whether a tree node label takes on the appearance of a hyperlink as the mouse pointer passes over it.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTracking() As Boolean

Remarks

If the CheckBoxes property is set to true, the HotTracking property has no effect.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

hWnd Property

Description

Returns the handle to the TreeView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

Remarks

The value of the Handle property is a Windows HWND. If the handle has not yet been created, referencing this property will force the handle to be created.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control | TreeViewNode Object | TreeViewNode.Image Property

See Also Suite Pro Controls ActiveX Control v19.3

Icons Property

Description

A collection of icons used for TreeViewNode objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

TreeView Control | TreeViewNode Object | TreeViewNode.Image Property


%%PageItemTitle%%

TreeView Control | TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

IconSize Property

Description

Gets or sets the size of icons displayed for TreeViewNode objects.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconSize() As Long

See Also

TreeView Control | TreeViewNode Object


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Indentation Property

Description

Returns or sets the width of the indentation of child nodes in the TreeView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Indentation() As Long

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

LabelEdit Property

Description

Returns or sets a value that determines if a user can edit label of a TreeViewNode object in a TreeView control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LabelEdit() As TreeViewLabelEdit

Remarks

Label editing of an object is initiated when a selected object is clicked (if the LabelEdit property is set to xtpTreeViewLabelAutomatic). That is, the first click on an object will select it; a second (single) click on the object will initiate the label editing operation.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

MarkupContext Property

Description

Connects events in XML Markup with actual methods, functions and events in your code.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarkupContext() As MarkupContext

Remarks

SetMethod of the MarkupContext object is used to connect method calls in XML Markup with actual methods, functions and events in your code.

For example (see code sample below), using SetMethod the Label control can handle events called from XML Markup with Markup enabled.

When EnableMarkup is true any XML Markup that is in the Label control's Caption property will be translated to viewable text. Using SetMethod, an external method or event can be called from the XML inside the Label control's Caption. In the sample below the "Hyperlink_Click" subroutine is "connected" to the XML Hyperlink Click event using SetMethod.

Connecting XML events to your code can be very useful if using the Label control to create a full page application using XML. For example clicking on hyper links and buttons.

See Also

TreeView Control

Example

SetMethod Example


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Nodes Property

Description

Gets the collection of tree nodes that are assigned to the tree view control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Nodes() As TreeViewNodes

Remarks

The Nodes property holds a collection of TreeViewNode objects. This nesting of tree nodes can make it difficult to navigate a tree structure, but the FullPath property makes it easier to determine your location within the tree structure.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDragMode Property

Description

Returns or sets whether the component or the programmer handles an OLE drag/drop operation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDragMode() As OLEDragConstants

Remarks

When OLEDragMode is set to Manual, you must call the OLEDrag method to start dragging, which then triggers the OLEStartDrag event.

When OLEDragMode is set to Automatic, the source component fills the DataObject object with the data it contains and sets the Data parameter before initiating the OLEStartDrag event when the user attempts to drag out of the control. This gives you control over the drag/drop operation and allows you to intercede by adding other formats, or by overriding or disabling the automatic data and formats using the Clear or SetData methods.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

OLEDropMode Property

Description

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the tree view for dropping external items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

PathSeparator Property

Description

Gets or sets the delimiter string that the tree node path uses.

Property type

Read-write property

Syntax (Visual Basic)

Public Property PathSeparator() As String

Remarks

The tree node path consists of a set of tree node labels separated by the PathSeparator delimiter strings. The labels range from the root tree node to the tree node that you want.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the TreeView Control elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements in the TreeView Control are displayed from right to left.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

RightToLeftReading Property

Description

Allows Right-To-Left (RTL) reading order without changing the entire layout of the control (columns order, etc).

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeftReading() As Boolean

Remarks

All RightToLeftReading does is change the position of symbols in the text from the right side to the left and visa versa. For example, "100$" is displayed when RightToLeftReading is False and "$100" when RightToLeftReading is True.

To use RightToLeftReading, RTL reading support must be installed on the computer. To do so, go into the "Regional and language Options" dialog from the Control Panel. Select the "Languages" tab and make sure the "Install files for complex script and right-to-left languages" and "Install files for East Asian languages" check boxed are checked.

RightToLeftReading is set to True when RightToLeft is set to True.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Scroll Property

Description

Gets or sets a value indicating whether the tree view control displays scroll bars when they are needed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Scroll() As Boolean

Remarks

If this property is set to true, scroll bars are displayed on the TreeView when any TreeViewNode is located outside the control's client region.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectedItem Property

Description

Gets or sets the tree node that is currently selected in the tree view control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedItem() As TreeViewNode

Remarks

If no TreeViewNode is currently selected, the SelectedItem property is a null reference (Nothing in Visual Basic).

When you set this property, the specified node is scrolled into view and any parent nodes are expanded so that the specified node is visible.

When the parent node or any ancestor node of the selected node is collapsed either programmatically or through user action, the collapsed node becomes the selected node.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectionBackColor Property

Description

Gets or sets the background color used for currently selected nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionBackColor() As ULong

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

SelectionForeColor Property

Description

Gets or sets the text color used for currently selected nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectionForeColor() As ULong

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowBorder Property

Description

Specifies whether to display a border around the edge of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowBorder() As Boolean

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowLines Property

Description

Gets or sets a value indicating whether lines are drawn between tree nodes in the tree view control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLines() As TreeViewLinesStyle

Remarks

If ShowLines is set to true, the FullRowSelect property is ignored.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ShowPlusMinus Property

Description

Gets or sets a value indicating whether plus-sign (+) and minus-sign (-) buttons are displayed next to tree nodes that contain child tree nodes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowPlusMinus() As Boolean

Remarks

If the plus sign and minus sign buttons are not displayed, no visual cue exists to indicate that the tree node contains child tree nodes and is expandable. The user then must double-click a tree node to determine whether it contains child tree nodes, to expand it, or to collapse it.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

SingleSel Property

Description

Gets or sets a value that causes a tree-view item to be expanded when it becomes selected and to be closed when it becomes unselected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SingleSel() As Boolean

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

Sorted Property

Description

Returns or sets a value that determines whether the root level nodes of a TreeView control are sorted alphabetically.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sorted() As Boolean

Remarks

The Sorted property sorts the nodes at the root (top) level of a TreeView control.

If True, the nodes are sorted alphabetically by their Text property. Nodes whose Text property begins with a number are sorted as strings, with the first digit determining the initial position in the sort, and subsequent digits determining sub-sorting.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateBackColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateBackColorOnAppearanceChange() As Boolean

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

UpdateForeColorOnAppearanceChange Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property UpdateForeColorOnAppearanceChange() As Boolean

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Cancel
An integer that determines if the label editing operation is canceled. Any nonzero integer cancels the operation. Boolean values are also accepted.
NewString
The string the user entered, or Null if the user canceled the operation.
See Also Suite Pro Controls ActiveX Control v19.3

AfterLabelEdit Event

Description

Occurs after the tree node label text is edited.

Syntax

Public Event AfterLabelEdit( _
   ByRef Cancel As Integer, _
   ByRef NewString As String _
)

Parameters

Cancel
An integer that determines if the label editing operation is canceled. Any nonzero integer cancels the operation. Boolean values are also accepted.
NewString
The string the user entered, or Null if the user canceled the operation.

Remarks

Both the AfterLabelEdit and the BeforeLabelEdit events are generated only if the LabelEdit property is set to xtpListViewLabelAutomatic, or if the StartLabelEdit method is invoked.

The AfterLabelEdit event is generated after the user finishes the editing operation, which occurs when the user clicks on another Node or ListItem or presses the ENTER key.

To cancel a label editing operation, set cancel to any nonzero number or to True. If a label editing operation is canceled, the previously existing label is restored.

The newstring argument can be used to test for a condition before canceling an operation.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Cancel
An integer that determines if the operation is canceled. Any nonzero integer cancels the operation. The default is 0.
See Also Suite Pro Controls ActiveX Control v19.3

BeforeLabelEdit Event

Description

Occurs before the tree node label text is edited.

Syntax

Public Event BeforeLabelEdit( _
   ByRef Cancel As Integer _
)

Parameters

Cancel
An integer that determines if the operation is canceled. Any nonzero integer cancels the operation. The default is 0.

Remarks

Both the AfterLabelEdit and the BeforeLabelEdit events are generated only if the LabelEdit property is set to xtpListViewLabelAutomatic, or if the StartLabelEdit method is invoked.

The BeforeLabelEdit event occurs after the standard Click event.

To begin editing a label, the user must first click the object to select it, and click it a second time to begin the operation. The BeforeLabelEdit event occurs after the second click.

To determine which object's label is being edited, use the SelectedItem property.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

CancelLabelEdit Event

Description

Occurs when a label edit has been canceled by the user or cancel has been set in the BeforeLabelEdit event.

Syntax

Public Event CancelLabelEdit()

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Node
A reference to the clicked TreeViewNode object.
See Also Suite Pro Controls ActiveX Control v19.3

Collapse Event

Description

Generated when any Node object in a TreeView control is collapsed.

Syntax

Public Event Collapse( _
   ByVal Node As TreeViewNode _
)

Parameters

Node
A reference to the clicked TreeViewNode object.

Remarks

The Collapse event occurs before the standard Click event.

There are three methods of collapsing a Node: by setting the Node object's Expanded property to False, by double-clicking a Node object, and by clicking a plus/minus image when the TreeView control's Style property is set to a style that includes plus/minus images. All of these methods generate the Collapse event.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

DblClick Event

Description

Occurs when a node in the TreeView control is double-clicked.

Syntax

Public Event DblClick()

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Node
A reference to the expanded TreeViewNode object.
See Also Suite Pro Controls ActiveX Control v19.3

Expand Event

Description

Occurs when a Node object in a TreeView control is expanded, that is, when its child nodes become visible.

Syntax

Public Event Expand( _
   ByVal Node As TreeViewNode _
)

Parameters

Node
A reference to the expanded TreeViewNode object.

Remarks

The Expand event occurs after the Click and DblClick events.

The Expand event is generated in three ways: when the user double-clicks a TreeViewNode object that has child nodes; when the Expanded property for a Node object is set to True; and when the plus/minus image is clicked.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Node
A reference to the expanding TreeViewNode object.
See Also Suite Pro Controls ActiveX Control v19.3

Expanding Event

Description

Occurs when a Node object in a TreeView control is currently expanding, that is, when its child nodes becomeing visible.

Syntax

Public Event Expanding( _
   ByVal Node As TreeViewNode _
)

Parameters

Node
A reference to the expanding TreeViewNode object.

Remarks

The Expanding event occurs after the Click and DblClick events.

The Expanding event is generated in three ways: when the user double-clicks a TreeViewNode object that has child nodes; when the Expanded property for a Node object is set to True; and when the plus/minus image is clicked.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

KeyCode
Key Pressed.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys at the time of the event. The shift argument is a bit field with the least-significant bits corresponding to the SHIFT key (bit 0), the CTRL key (bit 1), and the ALT key (bit 2 ). These bits correspond to the values 1, 2, and 4, respectively. Some, all, or none of the bits can be set, indicating that some, all, or none of the keys are pressed. For example, if both CTRL and ALT are pressed, the value of shift is 6.
See Also Suite Pro Controls ActiveX Control v19.3

KeyDown Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Key Pressed.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys at the time of the event. The shift argument is a bit field with the least-significant bits corresponding to the SHIFT key (bit 0), the CTRL key (bit 1), and the ALT key (bit 2 ). These bits correspond to the values 1, 2, and 4, respectively. Some, all, or none of the bits can be set, indicating that some, all, or none of the keys are pressed. For example, if both CTRL and ALT are pressed, the value of shift is 6.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

KeyAscii
See Also Suite Pro Controls ActiveX Control v19.3

KeyPress Event

Description

Occurs when a key is pressed while the control has focus.

Syntax

Public Event KeyPress( _
   ByRef KeyAscii As Integer _
)

Parameters

KeyAscii

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

KeyCode
Shift
See Also Suite Pro Controls ActiveX Control v19.3

KeyUp Event

Description

Occurs when a key is released while the control has focus.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Shift

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseDown Event

Description

Occurs when the mouse pointer is over the control and a mouse button is pressed.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved over the control.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Button
Shift
x
y
See Also Suite Pro Controls ActiveX Control v19.3

MouseUp Event

Description

Occurs when the mouse pointer is over the control and a mouse button is released.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Shift
x
y

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Node
Tree node that was checked.
See Also Suite Pro Controls ActiveX Control v19.3

NodeCheck Event

Description

Occurs after the tree node check box is checked.

Syntax

Public Event NodeCheck( _
   ByVal Node As TreeViewNode _
)

Parameters

Node
Tree node that was checked.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Node
A reference to the clicked TreeViewNode object.
See Also Suite Pro Controls ActiveX Control v19.3

NodeClick Event

Description

Occurs when a Node object is clicked.

Syntax

Public Event NodeClick( _
   ByVal Node As TreeViewNode _
)

Parameters

Node
A reference to the clicked TreeViewNode object.

Remarks

The standard Click event is generated when the user clicks any part of the TreeView control outside a node object. The NodeClick event is generated when the user changes selection of Tree with Mouse or Keyboard. If the user's click an already selected Node it won??t be fired.

The NodeClick event occurs before the standard Click event.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLECompleteDrag Event

Description

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Public Event OLECompleteDrag( _
   ByRef Effect As Long _
)

Parameters

Effect

A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved. The possible values are listed below.

The settings for Effect are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vbDropEffectMove), the source needs to delete the object from itself after the move.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
See Also Suite Pro Controls ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.
See Also Suite Pro Controls ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also Suite Pro Controls ActiveX Control v19.3

OLEGiveFeedback Event

Description

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source control to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Public Event OLEGiveFeedback( _
   ByRef Effect As Long, _
   ByRef DefaultCursors As Boolean _
)

Parameters

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

DefaultCursors

Determines whether to use use the default mouse cursor provided by the component, or uses a user-defined mouse cursor.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

See Also Suite Pro Controls ActiveX Control v19.3

OLESetData Event

Description

Occurs on a source component when a target component performs the GetData method on the source’s DataObject object, but before the data for the specified format has been loaded.

Syntax

Public Event OLESetData( _
   ByVal Data As DataObject, _
   ByRef DataFormat As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

DataFormat

An integer specifying the format of the data the target component is requesting. The source component uses this value to determine what to load into the DataObject object.

Remarks

This event allows the source to respond to only one request for a given format of data. When this event is called, the source should check the format parameter to determine what needs to be loaded and then perform the SetData method on the DataObject object to load the data which is then passed back to the target component.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

See Also Suite Pro Controls ActiveX Control v19.3

OLEStartDrag Event

Description

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

Syntax

Public Event OLEStartDrag( _
   ByVal Data As DataObject, _
   ByRef AllowedEffects As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
AllowedEffects

A long integer containing the effects that the source component supports. The possible values are listed below.

The settings for AllowedEffects are:

Constant | Value | Description
vbDropEffectNone | 0 | Drop target cannot accept the data.
vbDropEffectCopy | 1 | Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vbDropEffectMove | 2 | 2 Drop results in data being moved from drag source to drop source. The drag source should remove the data from itself after the move.

Remarks

The StartDrag event also occurs if the component"s OLEDragMode property is set to Automatic. This allows you to add formats and data to the DataObject object after the component has done so. You can also override the default behavior of the component by clearing the DataObject object (using the Clear method) and then adding your data and formats.

See Also

TreeView Control


%%PageItemTitle%%

TreeView Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

TreeView Control


%%PageItemTitle%%

TreeViewNode Members

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewNode Object

Description

Represents a node of a TreeView.

For a list of all members defined in this module, see TreeViewNode members.

See Also

TreeViewNode Members


%%PageItemTitle%% $$Members$$

TreeViewNode Overview

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewNode Object Members

Public Methods

Public Method EnsureVisible | Ensures that the tree node is visible, expanding tree nodes and scrolling the tree view control as necessary.
Public Method SetMarkupToolTip | Set MarkUp tooltip if it is enabled

Public Properties

Public Property BackColor | Gets or sets the back color of the node.
Public Property Bold | Gets or sets whether the text for this node is displayed in bold type font.
Public Property Checked | Gets or sets a value indicating whether the tree node is in a checked state.
Public Property Child | Returns a reference to the first child of a TreeViewNode object in a TreeView control.
Public Property Children | Returns the number of child TreeViewNode objects contained in a TreeViewNode object.
Public Property Expanded | Gets a value indicating whether the tree node is in the expanded state.
Public Property ExpandedOnce | Specifies that node has been expanded at least once.
Public Property FirstSibling | Returns a reference to the first sibling of a Node object in a TreeView control.
Public Property ForeColor | The current foreground color for text in this node.
Public Property FullPath | Gets the path from the root tree node to the current tree node.
Public Property HasChildren | Specifies whether to show a plus sign for a node even if no childen have been added.
Public Property Image | Gets or sets the numeric identifier of the icon used by the node.
Public Property Index | Gets the position of the tree node in the tree node collection.
Public Property Key | Returns or sets a string that uniquely identifies a member in a collection.
Public Property LastSibling | Returns a reference to the last sibling of a TreeViewNode object in a TreeView control.
Public Property Next | Gets the next sibling tree node.
Public Property Parent | Gets the parent tree node of the current tree node.
Public Property Previous | Gets the previous sibling tree node.
Public Property Root | Returns a reference to the root TreeViewNode object of a selected Node.
Public Property Selected | Gets a value indicating whether the tree node is in the selected state.
Public Property Sorted | Gets or sets whether to sort all sub nodes for this node.
Public Property Tag | Gets or sets the object that contains data about the tree node.
Public Property Text | Gets or sets the text displayed in the label of the tree node.

See Also

TreeViewNode Overview


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

EnsureVisible Method

Description

Ensures that the tree node is visible, expanding tree nodes and scrolling the tree view control as necessary.

Syntax

Public Sub EnsureVisible()

Remarks

When the EnsureVisible method is called, the tree is expanded and scrolled to ensure that the current tree node is visible in the TreeView. This method is useful if you are selecting a tree node in code based on certain criteria. By calling this method after selecting the node, it ensures that the user can see and interact with the selected node.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

Text
See Also Suite Pro Controls ActiveX Control v19.3

SetMarkupToolTip Method

Description

Set MarkUp tooltip if it is enabled

Syntax

Public Sub SetMarkupToolTip( _
   ByVal Text As String _
)

Parameters

Text

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the back color of the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Bold Property

Description

Gets or sets whether the text for this node is displayed in bold type font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Checked Property

Description

Gets or sets a value indicating whether the tree node is in a checked state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Checked() As Boolean

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Child Property

Description

Returns a reference to the first child of a TreeViewNode object in a TreeView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Child() As TreeViewNode

Remarks

The Child, FirstSibling, LastSibling, Previous, Parent, Next, and Root properties all return a reference to another TreeViewNode object.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Children Property

Description

Returns the number of child TreeViewNode objects contained in a TreeViewNode object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Children() As Long

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Expanded Property

Description

Gets a value indicating whether the tree node is in the expanded state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

Remarks

You can use the Expanded property to programmatically expand a Node object

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

ExpandedOnce Property

Description

Specifies that node has been expanded at least once.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ExpandedOnce() As Boolean

Return Type

True if the node has been expanded at least once.

Remarks

The item's list of child items has been expanded at least once.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

FirstSibling Property

Description

Returns a reference to the first sibling of a Node object in a TreeView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FirstSibling() As TreeViewNode

Remarks

The first sibling is the Node that appears in the first position in one level of a hierarchy of nodes.

The Child, FirstSibling, LastSibling, Previous, Parent, Next, and Root properties all return a reference to another TreeViewNode object. Therefore you can simultaneously reference and perform operations on a TreeViewNode .

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

ForeColor Property

Description

The current foreground color for text in this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ForeColor() As ULong

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

FullPath Property

Description

Gets the path from the root tree node to the current tree node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FullPath() As String

Remarks

The path consists of the labels of all the tree nodes that must be navigated to get to this tree node, starting at the root tree node. The node labels are separated by the delimiter character specified in the PathSeparator property of the TreeView control that contains this node. For example, if the delimiter character of the tree view control named "Location" is set to the backslash character, (\), the FullPath property value is "Country\Region\State".

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

HasChildren Property

Description

Specifies whether to show a plus sign for a node even if no childen have been added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HasChildren() As Boolean

Remarks

You might do this because sometimes you cannot load up the entire tree into the treeview control - the number of items might be considerable if its a Bill of Materials. So, you show the PLUS sign to indicate that a given treeview node has children - when the user clicks to expand that node, then the application logic would then add the items to that treeview node.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object | Icons Property

See Also Suite Pro Controls ActiveX Control v19.3

Image Property

Description

Gets or sets the numeric identifier of the icon used by the node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Image() As Long

Remarks

This is the number used to associate a node with an icon in the TreeView.Icons image collection.

See Also

TreeViewNode Object | Icons Property


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Index Property

Description

Gets the position of the tree node in the tree node collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

The Index property is set by default to the order of the creation of objects in a collection. The index for the first object in a collection will always be one.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Key Property

Description

Returns or sets a string that uniquely identifies a member in a collection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Key() As String

Remarks

If the string is not unique, an error will occur.

You can set the Key property when you use the Add method to add an object to a collection.

The value of the Index property of an object can change when objects in the collection are reordered, such as when you set the Sorted property to True. If you expect the Index property to change dynamically, refer to objects in a collection using the Key property.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

LastSibling Property

Description

Returns a reference to the last sibling of a TreeViewNode object in a TreeView control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LastSibling() As TreeViewNode

Remarks

The last sibling is the TreeViewNode that appears in the last position in one level of a hierarchy of nodes.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Next Property

Description

Gets the next sibling tree node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Next() As TreeViewNode

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Parent Property

Description

Gets the parent tree node of the current tree node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Parent() As TreeViewNode

Remarks

If the tree node is at the root level, the Parent property returns a null reference (Nothing in Visual Basic).

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Previous Property

Description

Gets the previous sibling tree node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Previous() As TreeViewNode

Remarks

The Previous property is the previous sibling TreeViewNode in the TreeViewNodes stored in the Treeview.Nodes property of the tree node's parent TreeNode. If there is no previous tree node, the Previous property returns a null reference (Nothing in Visual Basic).

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Root Property

Description

Returns a reference to the root TreeViewNode object of a selected Node.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Root() As TreeViewNode

Remarks

The Child, FirstSibling, LastSibling, Previous, Parent, Next, and Root properties all return a reference to another TreeViewNode object.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Selected Property

Description

Gets a value indicating whether the tree node is in the selected state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Sorted Property

Description

Gets or sets whether to sort all sub nodes for this node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Sorted() As Boolean

Remarks

Setting the Sorted property to True sorts the current TreeViewNodes collection only. When you add new TreeViewNode objects to a TreeView control, you must set the Sorted property to True again to sort the added TreeViewNode objects.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Tag Property

Description

Gets or sets the object that contains data about the tree node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

Any Object derived type can be assigned to this property. If this property is being set through the designer, only text can be assigned.

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNode Object

See Also Suite Pro Controls ActiveX Control v19.3

Text Property

Description

Gets or sets the text displayed in the label of the tree node.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

TreeViewNode Object


%%PageItemTitle%%

TreeViewNodes Members

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewNodes Collection

Description

A Nodes collection contains one or more TreeViewNode objects.

For a list of all members defined in this module, see TreeViewNodes members.

Object Model

See Also

TreeViewNodes Members


%%PageItemTitle%% $$Members$$

TreeViewNodes Overview

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewNodes Collection Members

Public Methods

Public Method Add | Adds a new tree node to the collection.
Public Method Clear | Removes all tree nodes from the collection.
Public Method Remove | Removes the specified tree node from the tree node collection.

Public Properties

Public Property Count | Gets the total number of TreeViewNode objects in the collection.
Public Property Item | Gets or sets the TreeViewNode at the specified indexed location in the collection.

See Also

TreeViewNodes Overview


%%PageItemTitle%%

TreeViewNodes Collection | TreeViewRelationship Enumeration

Relative
Optional. The index number or key of a pre-existing Node object. The relationship between the new node and this pre-existing node is found in the next argument, relationship.
Relationship

Optional. Specifies the relative placement of the Node object. A value from the TreeViewRelationship enumeration is used to determine the relationship of the new node to the code specified in the relative parameter.

If no Node object is named in relative, the new node is placed in the last position of the top node hierarchy.

Key
Optional. A unique string that can be used to retrieve the Node with the Item method.
Text
Required. The string that appears in the Node.
Image
Optional. The index of an image in an associated ImageManager\Imagelist control.
See Also Suite Pro Controls ActiveX Control v19.3

Add Method

Description

Adds a new tree node to the collection.

Syntax

Public Function Add( _
   Optional ByVal Relative As Variant, _
   Optional ByVal Relationship As Variant, _
   Optional ByVal Key As Variant, _
   Optional ByVal Text As Variant, _
   Optional ByVal Image As Variant _
) As TreeViewNode

Parameters

Relative
Optional. The index number or key of a pre-existing Node object. The relationship between the new node and this pre-existing node is found in the next argument, relationship.
Relationship

Optional. Specifies the relative placement of the Node object. A value from the TreeViewRelationship enumeration is used to determine the relationship of the new node to the code specified in the relative parameter.

If no Node object is named in relative, the new node is placed in the last position of the top node hierarchy.

Key
Optional. A unique string that can be used to retrieve the Node with the Item method.
Text
Required. The string that appears in the Node.
Image
Optional. The index of an image in an associated ImageManager\Imagelist control.

Remarks

The Nodes collection is a 1-based collection.

As a Node object is added it is assigned an index number, which is stored in the Node object's Index property. This value of the newest member is the value of the Node collection's Count property.

Because the Add method returns a reference to the newly created Node object, it is most convenient to set properties of the new Node using this reference.

See Also

TreeViewNodes Collection | TreeViewRelationship Enumeration


%%PageItemTitle%%

TreeViewNodes Collection

See Also Suite Pro Controls ActiveX Control v19.3

Clear Method

Description

Removes all tree nodes from the collection.

Syntax

Public Sub Clear()

Remarks

You can use this method to clear the entire collection of tree nodes from a tree view.

To remove an individual tree node from the collection, use the Remove method.

To add new TreeViewNode objects to the collection, use the Add method.

See Also

TreeViewNodes Collection


%%PageItemTitle%%

TreeViewNodes Collection

Index
An integer or string that uniquely identifies the object within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.
See Also Suite Pro Controls ActiveX Control v19.3

Remove Method

Description

Removes the specified tree node from the tree node collection.

Syntax

Public Sub Remove( _
   ByVal Index As Variant _
)

Parameters

Index
An integer or string that uniquely identifies the object within the collection. Use an integer to specify the value of the Index property; use a string to specify the value of the Key property.

Remarks

When a TreeViewNode is removed from the tree node collection, all subsequent tree nodes are moved up one position in the collection.

To remove all the members of a collection, use the Clear method.

See Also

TreeViewNodes Collection


%%PageItemTitle%%

TreeViewNodes Collection

See Also Suite Pro Controls ActiveX Control v19.3

Count Property

Description

Gets the total number of TreeViewNode objects in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

The Count property holds the number of TreeViewNode objects assigned to the collection. You can use the Count property value as the upper bounds of a loop to iterate through a collection.

See Also

TreeViewNodes Collection


%%PageItemTitle%%

TreeViewNodes Collection

Index
The indexed location of the TreeViewNode in the collection.
See Also Suite Pro Controls ActiveX Control v19.3

Item Property

Description

Gets or sets the TreeViewNode at the specified indexed location in the collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Variant _
) As TreeViewNode

Parameters

Index
The indexed location of the TreeViewNode in the collection.

Remarks

To assign TreeViewNode objects to a specific location, or to retrieve them from the TreeViewNodes Collection, you can reference the collection object with a specific index value.

See Also

TreeViewNodes Collection


%%PageItemTitle%%

UpDown Members | BuddyControl Property | AutoBuddy Property | Increment Property | Max Property | Min Property | Value Property | Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

UpDown Control

Description

An UpDown control has a pair of arrow buttons which the user can click to increment or decrement a value, such as a scroll position or a value in an associated control, known as a buddy control.

For a list of all members defined in this module, see UpDown members.

Object Model

Remarks

A "up-down control" is a pair of arrow buttons that the user can click to increment or decrement a value, such as a scroll position or a number displayed in a companion control. The value associated with a spin button control is called its current position. A spin button control is most often used with a companion control, called a "buddy control."

To the user, an UpDown control and its buddy control often look like a single control. The buddy control can be any control that can be linked to the UpDown control through the BuddyControl property, and usually displays data, such as a FlatEdit control or a PushButton control.

By setting the AutoBuddy property, the UpDown control automatically uses the previous control in the tab order as its buddy control. If there is no previous control in the tab order, the UpDown control will use the next control in the tab order as its buddy control. Another way to set the buddy control is with the BuddyControl property. At design time, when either the AutoBuddy property or the BuddyControl property is set, the buddy control will automatically pair up with the UpDown control by sizing and positioning next to it.

Note: If you change the TabIndex property of a control so that it can be used with AutoBuddy you will need to set AutoBuddy to False and then to True again to get the UpDown control to update itself.

The Increment, Min, and Max properties specify how the UpDown control's Value property changes when the user clicks the buttons on the control. For example, if you have values that are multiples of 10, and range from 20 to 80, you can set the Increment, Min, and Max properties to 10, 20, and 80, respectively.

An UpDown control without a buddy control functions as a sort of simplified scroll bar.

See Also

UpDown Members | BuddyControl Property | AutoBuddy Property | Increment Property | Max Property | Min Property | Value Property | Orientation Property


%%PageItemTitle%% $$Members$$

UpDown Overview | BuddyControl Property | AutoBuddy Property | Increment Property | Max Property | Min Property | Value Property | Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

UpDown Control Members

Public Methods

Public Method AboutBox Displays a dialog box that specifies the current version of the control

Public Properties

Public Property Alignment | Returns or sets a value that determines the alignment of the UpDown control with its buddy control.
Public Property Appearance | Gets or sets the paint style of the control.
Public Property AutoBuddy | Sets or returns a value that determines whether the UpDown control automatically uses a control as its buddy control, based on its tab order.
Public Property BuddyControl | Sets or returns the control used as the buddy control.
Public Property BuddyProperty | Sets or returns the property used to synchronize the UpDown control with its buddy control.
Public Property ControlToolTip | The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.
Public Property Enabled | Gets or set whether this control is enabled.
Public Property Increment | Sets or returns a value that determines the amount by which the Value property changes when the UpDown control's buttons are clicked.
Public Property Max | Sets or returns the maximum value of the scroll range for the UpDown control.
Public Property Min | Sets or returns the minimum value of the scroll range for the UpDown control.
Public Property Orientation | Sets or returns the placement of the arrow buttons on the UpDown control. This property is read-only at run time.
Public Property ReCreateReparented
Public Property SyncBuddy | Sets or returns a value that determines whether the UpDown control synchronizes the Value property with a property in the buddy control.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property UseVisualStyle | Determines if the control is drawn using visual styles\SkinFramework, if supported.
Public Property Value | Sets or returns the current position of the scroll value.

Events

Public Event Change | Occurs when the Value property is changed.
Public Event DownClick | Occurs when the down or left arrow button is clicked.
Public Event ReCreated |
Public Event UpClick | Occurs when the up or right arrow button is clicked.

See Also

UpDown Overview | BuddyControl Property | AutoBuddy Property | Increment Property | Max Property | Min Property | Value Property | Orientation Property


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays a dialog box that specifies the current version of the control

Syntax

Public Sub AboutBox()

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

Alignment Property

Description

Returns or sets a value that determines the alignment of the UpDown control with its buddy control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Alignment() As UpDownAlignment

Remarks

Use the Alignment property to specify the positioning of the UpDown control next to its buddy control. By default, the UpDown control is displayed on the right side of the buddy control.

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As AppearanceStyle

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

UpDown Control | AppearanceStyle Enumeration


%%PageItemTitle%%

UpDown Control | BuddyControl Property

See Also Suite Pro Controls ActiveX Control v19.3

AutoBuddy Property

Description

Sets or returns a value that determines whether the UpDown control automatically uses a control as its buddy control, based on its tab order.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoBuddy() As Boolean

Remarks

Setting the AutoBuddy property to True also sets the BuddyControl property. Setting AutoBuddy to False clears the BuddyControl property.

This should be set at design time.

By setting the AutoBuddy property, the UpDown control automatically uses the previous control in the tab order as its buddy control. If there is no previous control in the tab order, the UpDown control will use the next control in the tab order as its buddy control. Another way to set the buddy control is with the BuddyControl property. At design time, when either the AutoBuddy property or the BuddyControl property is set, the buddy control will automatically pair up with the UpDown control by sizing and positioning next to it.

Note: If you change the TabIndex property of a control so that it can be used with AutoBuddy you will need to set AutoBuddy to False and then to True again to get the UpDown control to update itself.

See Also

UpDown Control | BuddyControl Property


%%PageItemTitle%%

UpDown Control | AutoBuddy Property

See Also Suite Pro Controls ActiveX Control v19.3

BuddyControl Property

Description

Sets or returns the control used as the buddy control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BuddyControl() As String

Remarks

The BuddyControl property can be set at design time or at run time. At run time, or by using the BuddyControl property in the Properties window. To set the BuddyControl property at run time, use the following code:

UpDownControl.BuddyControl = FlatEdit1

You can also implicitly set the BuddyControl property by setting AutoBuddy to True. In this case, the BuddyControl is automatically set to the previous control in the tab order.

Setting the BuddyControl property to Nothing automatically sets the AutoBuddy setting to False.

Setting the BuddyControl property to a control that cannot be a buddy, such as the tree control, will cause an error.

See Also

UpDown Control | AutoBuddy Property


%%PageItemTitle%%

UpDown Control | SyncBuddy Property | Value Property | BuddyControl Property

See Also Suite Pro Controls ActiveX Control v19.3

BuddyProperty Property

Description

Sets or returns the property used to synchronize the UpDown control with its buddy control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BuddyProperty() As String

Remarks

If the SyncBuddy property is True, the control will synchronize its Value property with the property specified by the BuddyProperty property.

The BuddyProperty can be set at design time by selecting the property out of a drop down list in the Properties window.

The BuddyControl property must be set before setting the BuddyProperty property, or an error results.

See Also

UpDown Control | SyncBuddy Property | Value Property | BuddyControl Property


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

ControlToolTip Property

Description

The ControlToolTip property gets or sets the tool tip that is displayed when the mouse cursor is positioned over this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ControlToolTip() As String

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

Enabled Property

Description

Gets or set whether this control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control | Max Property | Min Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Increment Property

Description

Sets or returns a value that determines the amount by which the Value property changes when the UpDown control's buttons are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Increment() As Long

Remarks

The Increment property determines the amount the Value property changes when you click the arrow buttons on the UpDown control. Clicking the up or right arrow, causes Value to approach the Max property by the amount specified by the Increment property. Clicking the down or left arrow, causes Value to approach the Min property by the amount specified by the Increment property.

See Also

UpDown Control | Max Property | Min Property | Value Property


%%PageItemTitle%%

UpDown Control | Increment Property | Min Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Max Property

Description

Sets or returns the maximum value of the scroll range for the UpDown control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Max() As Long

Remarks

Pressing the up or right arrow normally causes the UpDown control to increase the Value property, however, if the Max property is less than the Min property, the UpDown control operates in the reverse direction.

Pressing the up or right arrow always causes the Value property to approach the Max value. Pressing the down or left arrow always causes the Value property to approach the Min value.

See Also

UpDown Control | Increment Property | Min Property | Value Property


%%PageItemTitle%%

UpDown Control | Increment Property | Max Property | Value Property

See Also Suite Pro Controls ActiveX Control v19.3

Min Property

Description

Sets or returns the minimum value of the scroll range for the UpDown control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Min() As Long

Remarks

Pressing the down or left arrow normally causes the UpDown control to decrease the Value property. However, if the Min property is greater than the Max property, the UpDown control operates in the reverse direction.

Pressing the down or left arrow always causes the Value property to approach the Min value. Pressing the up or right arrow always causes the Value property to approach the Max value.

See Also

UpDown Control | Increment Property | Max Property | Value Property


%%PageItemTitle%%

UpDown Control | UpDownOrientation Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Orientation Property

Description

Sets or returns the placement of the arrow buttons on the UpDown control. This property is read-only at run time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Orientation() As UpDownOrientation

Remarks

At design time, this property can be set in the Properties window or through the control's property page.

When setting the Orientation property, the UpDown control automatically repositions itself next to its buddy control.

See Also

UpDown Control | UpDownOrientation Enumeration


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control | Value Property | BuddyProperty Property | FlatEdit Object | Text Property | BackColor Property | ForeColor Property

See Also Suite Pro Controls ActiveX Control v19.3

SyncBuddy Property

Description

Sets or returns a value that determines whether the UpDown control synchronizes the Value property with a property in the buddy control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SyncBuddy() As Boolean

Remarks

Set to True if the UpDown control synchronizes the Value property with a property of the buddy control, specified by the BuddyProperty property. If no property is specified in the BuddyProperty property, then the default property for the buddy control is used.

Set to False if the UpDown control doesn't synchronize the Value property with a property in the buddy control.

Use the SyncBuddy property to automatically synchronize a property of the buddy control with the Value property of the UpDown control. For example, you can synchronize the Value property of the UpDown control with the Text property of a FlatEdit control. Whenever the Value property changes, it would update the Text property in the FlatEdit control and vice versa. You can also synchronize the Value property of the UpDown control with other properties of a control such as the BackColor, BackColor, and others.

See Also

UpDown Control | Value Property | BuddyProperty Property | FlatEdit Object | Text Property | BackColor Property | ForeColor Property


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over the control.

See the ToolTipContext object for a complete list of methods and properties.

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

UseVisualStyle Property

Description

Determines if the control is drawn using visual styles\SkinFramework, if supported.

Property type

Read-write property

Syntax (Visual Basic)

Public Property UseVisualStyle() As Boolean

Remarks

Visual styles and SkinFramwork skins are specifications for the appearance of controls. UseVisualStyle determines whether to use the currently set Windows XP visual style. If using SkinFramwork, it determines whether to use the currently set style of the SkinFramework.

If UseVisualStyle is True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If UseVisualStyle is False the currently set appearance\style in the OS will be used.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is False.

Controls running on Windows Xp using the standard theme (in the picture the standard theme is applied to the "Regular Buttons", "Two Row Buttons", "CheckBoxes" and "Radio Buttons" groups only, the other groups continue to use the current OS settings) and UseVisualStyle is True. Notice that even when the standard theme is selected that UseVisualStyle specifies to use the current OS style.

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control | Max Property | Min Property | SyncBuddy Property | BuddyProperty Property | Change Event

See Also Suite Pro Controls ActiveX Control v19.3

Value Property

Description

Sets or returns the current position of the scroll value.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Long

Remarks

The Value property specifies the current value within the range of the Min and Max properties. This property is incremented or decremented when the arrow buttons are clicked. The settings of the Min and Max properties determine whether the value is incremented or decremented when the arrow buttons are clicked.

If the SyncBuddy property is set to True, the BuddyProperty property is synchronized when there is a change in the Value property or when the BuddyProperty property value is changed.

See Also

UpDown Control | Max Property | Min Property | SyncBuddy Property | BuddyProperty Property | Change Event


%%PageItemTitle%%

UpDown Control | Value Property | SyncBuddy Property

See Also Suite Pro Controls ActiveX Control v19.3

Change Event

Description

Occurs when the Value property is changed.

Syntax

Public Event Change()

Remarks

The Change event occurs whenever the Value property changes. The Value property can change through code, by clicking the arrow buttons, or by changing the value in a buddy control when the SyncBuddy property is True.

See Also

UpDown Control | Value Property | SyncBuddy Property


%%PageItemTitle%%

UpDown Control | Change Event | UpClick Event

See Also Suite Pro Controls ActiveX Control v19.3

DownClick Event

Description

Occurs when the down or left arrow button is clicked.

Syntax

Public Event DownClick()

Remarks

The DownClick event occurs after the Change event.

See Also

UpDown Control | Change Event | UpClick Event


%%PageItemTitle%%

UpDown Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

UpDown Control


%%PageItemTitle%%

UpDown Control | DownClick Event | Change Event

See Also Suite Pro Controls ActiveX Control v19.3

UpClick Event

Description

Occurs when the up or right arrow button is clicked.

Syntax

Public Event UpClick()

Remarks

The UpClick event occurs after the Change event.

See Also

UpDown Control | DownClick Event | Change Event


%%PageItemTitle%%

WebBrowser Members

See Also Suite Pro Controls ActiveX Control v19.3

WebBrowser Control

Description

Adds web browsing capabilities to your applications.

For a list of all members defined in this module, see WebBrowser members.

Remarks

Applications hosting the WebBrowser control will support browsing sites on the World Wide Web, as well as directories on the local computer and on network servers.

See Also

WebBrowser Members


%%PageItemTitle%% $$Members$$

WebBrowser Overview

See Also Suite Pro Controls ActiveX Control v19.3

WebBrowser Control Members

Public Methods

Public Method AboutBox | Displays the about box for the control.
Public Method ExecWB | Executes a command on an OLE object and returns the status of the command execution using the IOleCommandTarget interface.
Public Method GoBack | A Variant used for specifying command output arguments.
Public Method GoForward | Navigates forward one item in the history list.
Public Method GoHome | Navigates to the current home or start page.
Public Method GoSearch | Navigates to the current search page.
Public Method Navigate | Navigates to a resource identified by a URL or to the file identified by a full path.
Public Method Refresh | Reloads the file that is currently displayed in the object.
Public Method Refresh2 | Reloads the file that is currently displayed in the object. Unlike Refresh, this method contains a parameter that specifies the refresh level.
Public Method SetObjectForScripting | Gets or sets an object that can be accessed by scripting code that is contained within a Web page displayed in the WebBrowser control.
Public Method Stop | Cancels any pending navigation or download operation and stops any dynamic page elements, such as background sounds and animations.

Public Properties

Public Property Appearance | Gets or sets the paint style of the control.
Public Property Application | Retrieves the automation object for an application that is hosting the WebBrowser Control.
Public Property BackColor | Gets or sets the background color of the control.
Public Property Busy | Retrieves a Boolean value indicating whether the object is engaged in a navigation or downloading operation.
Public Property Document | Retrieves the automation object of the active document, if any.
Public Property Font | Gets/Sets the font that will be used to display the text for the control.
Public Property InnerHTML | Gets or sets HTML text that is stored internally inside the browser control. You can load a default page this way without creating an external html page or navigating to a page on the internet.
Public Property LocationName | Retrieves the name of the resource that Microsoft® Internet Explorer is currently displaying.
Public Property LocationURL | Retrieves the URL of the resource that Microsoft® Internet Explorer is currently displaying.
Public Property Offline | Sets or retrieves a Boolean value that indicates whether the object is currently operating in offline mode.
Public Property ReadyState | Retrieves the ready state of the object.
Public Property ReCreateReparented |
Public Property RegisterAsDropTarget | Sets or gets a value that indicates whether the object is registered as a drop target for navigation.
Public Property ScriptErrorsSuppressed | Gets or sets a value indicating whether the WebBrowser control displays error dialogs for script errors.
Public Property ScrollBarStyle | Gets or set the scrollbar style used in the WebBrowser control.
Public Property Silent | Sets or retrieves a value that indicates whether the object can show dialog boxes.
Public Property StaticText | Gets or sets whether the page is shown as static label (can not select text).
Public Property WebBrowserContextMenu | Gets or sets whether the default Explorer Context menu will be displayed when the user right clicks in the browser control.

Events

Public Event BeforeNavigate2 | Fires before a navigation occurs in the given object (on either a window or frameset element).
Public Event CommandStateChange | Fires when the enabled state of a command changes.
Public Event DocumentComplete | Fires when a document has been completely loaded and initialized.
Public Event DownloadBegin | Fires when a navigation operation is beginning.
Public Event DownloadComplete | Fires when a navigation operation finishes, is halted, or fails.
Public Event NavigateComplete2 | Fires after a navigation to a link is completed on either a window or frameSet element.
Public Event NavigateError | Fires when an error occurs during navigation.
Public Event NewWindow2 | Fires when a new window is to be created.
Public Event OnQuit | Occurs before the Internet Explorer application quits.
Public Event ProgressChange | Fires when the progress of a download operation is updated on the object.
Public Event ReCreated |
Public Event SetSecureLockIcon | Fired to indicate the security level of the current web page contents.
Public Event StatusTextChange | Fires when the status bar text of the object has changed.
Public Event TitleChange | Fires when the title of a document in the object becomes available or changes.
Public Event WindowClosing | Fired when the WebBrowser is about to be closed by script.
Public Event WindowSetHeight | Fired when the host window should change its height.
Public Event WindowSetLeft | Fired when the host window should change its Left coordinate.
Public Event WindowSetResizable | Fired when the host window should allow/disallow resizing.
Public Event WindowSetTop | Fired when the host window should change its Top coordinate.
Public Event WindowSetWidth | Fired when the host window should change its width.

See Also

WebBrowser Overview


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

AboutBox Method

Description

Displays the about box for the control.

Syntax

Public Sub AboutBox()

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

CmdID
Long that represents the identifier of the command to execute.
CmdExecOpt
OLECMDEXECOPT value that specifies the command options.
pvaIn
A Variant used for specifying command input arguments.
pvaOut
A Variant used for specifying command output arguments.
See Also Suite Pro Controls ActiveX Control v19.3

ExecWB Method

Description

Executes a command on an OLE object and returns the status of the command execution using the IOleCommandTarget interface.

Syntax

Public Sub ExecWB( _
   ByVal CmdID As Long, _
   ByVal CmdExecOpt As Long, _
   Optional ByVal pvaIn As Variant, _
   Optional ByVal pvaOut As Variant _
)

Parameters

CmdID
Long that represents the identifier of the command to execute.
CmdExecOpt
OLECMDEXECOPT value that specifies the command options.
pvaIn
A Variant used for specifying command input arguments.
pvaOut
A Variant used for specifying command output arguments.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

GoBack Method

Description

A Variant used for specifying command output arguments.

Syntax

Public Sub GoBack()

Remarks

During a browsing session, the WebBrowser control and Microsoft® Internet Explorer maintain a history list of all Web sites visited during a session. Use the CommandStateChange event to check the enabled state of backward navigation. If the event's command is disabled, the beginning of the history list has been reached and the GoBack method should not be used.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

GoForward Method

Description

Navigates forward one item in the history list.

Syntax

Public Sub GoForward()

Remarks

During a browsing session, the WebBrowser control and Microsoft® Internet Explorer application maintain a history list of all Web sites visited during a session. Use the CommandStateChange event to check the enabled state of forward navigation. If the event's command is disabled, the end of the history list has been reached and the GoForward method should not be used.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

GoHome Method

Description

Navigates to the current home or start page.

Syntax

Public Sub GoHome()

Remarks

The user can indicate the URL to use for the home or start page either from Internet Options in Microsoft® Internet Explorer or from Internet Properties in Control Panel.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

GoSearch Method

Description

Navigates to the current search page.

Syntax

Public Sub GoSearch()

Remarks

The user can indicate the URL to use for the search page either from Internet Options in Microsoft® Internet Explorer or from Internet Properties in Control Panel.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

URL
A String expression that evaluates to the URL, full path, or Universal Naming Convention (UNC) location and name of the resource to display.
Flags
A constant or value that specifies whether to add the resource to the history list, whether to read from or write to the cache, and whether to display the resource in a new window.
TargetFrameName
String expression that evaluates to the name of an HTML frame in URL to display in the browser window. The possible values for this parameter are:

_BLANK
Load the link into a new unnamed window.
_PARENT
Load the link into the immediate parent of the document the link is in.
_SELF
Load the link into the same window the link was clicked in.
_TOP
Load the link into the full body of the current window.
<WINDOW_NAME>
A named HTML frame. If no frame or window exists that matches the specified target name, a new window is opened for the specified link.
PostData
Data to send to the server during the HTTP POST transaction. For example, the POST transaction is used to send data gathered by an HTML form to a program or script. If this parameter does not specify any post data, the Navigate method issues an HTTP GET transaction. This parameter is ignored if URL is not an HTTPURL.
Headers
A value that specifies additional HTTP headers to send to the server. These headers are added to the default Microsoft® Internet Explorer headers. The headers can specify things like the action required of the server, the type of data being passed to the server, or a status code. This parameter is ignored if URL is not an HTTP URL.
See Also Suite Pro Controls ActiveX Control v19.3

Navigate Method

Description

Navigates to a resource identified by a URL or to the file identified by a full path.

Syntax

Public Sub Navigate( _
   ByVal URL As String, _
   Optional ByVal Flags As Variant, _
   Optional ByVal TargetFrameName As Variant, _
   Optional ByVal PostData As Variant, _
   Optional ByVal Headers As Variant _
)

Parameters

URL
A String expression that evaluates to the URL, full path, or Universal Naming Convention (UNC) location and name of the resource to display.
Flags
A constant or value that specifies whether to add the resource to the history list, whether to read from or write to the cache, and whether to display the resource in a new window.
TargetFrameName
String expression that evaluates to the name of an HTML frame in URL to display in the browser window. The possible values for this parameter are:

_BLANK
Load the link into a new unnamed window.
_PARENT
Load the link into the immediate parent of the document the link is in.
_SELF
Load the link into the same window the link was clicked in.
_TOP
Load the link into the full body of the current window.
<WINDOW_NAME>
A named HTML frame. If no frame or window exists that matches the specified target name, a new window is opened for the specified link.
PostData
Data to send to the server during the HTTP POST transaction. For example, the POST transaction is used to send data gathered by an HTML form to a program or script. If this parameter does not specify any post data, the Navigate method issues an HTTP GET transaction. This parameter is ignored if URL is not an HTTPURL.
Headers
A value that specifies additional HTTP headers to send to the server. These headers are added to the default Microsoft® Internet Explorer headers. The headers can specify things like the action required of the server, the type of data being passed to the server, or a status code. This parameter is ignored if URL is not an HTTP URL.

Remarks

The WebBrowser control or InternetExplorer object can browse to any location in the local file system, on the network, or on the World Wide Web. Use the Navigate method to tell the browser which location to browse to. By including a text box in your application, you can let the user specify the location to browse to and then pass the location to the Navigate method.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Refresh Method

Description

Reloads the file that is currently displayed in the object.

Syntax

Public Sub Refresh()

Remarks

The WebBrowser control and InternetExplorer application store Web pages from recently visited sites in cached memory on the user's hard disk. This saves time when revisiting a site by reloading the page from the local disk rather than downloading it again across the network from the remote HTTP server.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Level
Variant that specifies one of the RefreshConstants enumeration values.
See Also Suite Pro Controls ActiveX Control v19.3

Refresh2 Method

Description

Reloads the file that is currently displayed in the object. Unlike Refresh, this method contains a parameter that specifies the refresh level.

Syntax

Public Sub Refresh2( _
   Optional ByVal Level As Variant _
)

Parameters

Level
Variant that specifies one of the RefreshConstants enumeration values.

Remarks

The "pragma:nocache" header tells the server not to return a cached copy. This ensures that the information is as fresh as possible. Browsers typically send this header when the user selects refresh, but the header can cause problems for some servers.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

External
The object being made available to the scripting code. This is the object that contains the methods to call from HTML.
See Also Suite Pro Controls ActiveX Control v19.3

SetObjectForScripting Method

Description

Gets or sets an object that can be accessed by scripting code that is contained within a Web page displayed in the WebBrowser control.

Syntax

Public Sub SetObjectForScripting( _
   ByVal External As Object _
)

Parameters

External
The object being made available to the scripting code. This is the object that contains the methods to call from HTML.

Remarks

Specifies the external object(VB Form) which contains the method(s) that will be called from an HTML file\text.

If you need to call a VB method from HTML, you will need to use the window.external property in HTML and then use SetObjectForScripting to set the object that contains the method(s) that will be called.

Use this property to enable communication between a Web page hosted by the WebBrowser control and the application that contains the WebBrowser control. This method lets you integrate dynamic HTML (DHTML) code with your client application code. The object specified for this property is available to Web page script as the window.external object, which is a built-in DOM object provided for host access.

Example

[SetObjectForScripting Sample (Visual Basic)] This sample shows how to use SetObjectForScripting to call a VB method from HTML code.

'VB Code
Form_Load
    WebBrowser3.Navigate App.Path & "\Html\samplepage.html"
    WebBrowser3.SetObjectForScripting Me
End Sub

Public Sub ClickFromHTML()
    MsgBox "Messagebox from VB"
End Sub

'HTML code in samplepage.html
'<html>
'<head>
'<SCRIPT LANGUAGE="JavaScript">
'
'function button_click()
'{
' if (window.external != null)
' {
' window.external.ClickFromHTML();
' }
' else
' {
' alert("Messagebox from HTML ");
' }
'}
'</SCRIPT>
'</head>
'<body>
'This is HTML page(samplepage.html). <button onclick="button_click()">Click me</button>
'
'</body>
'</html>

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Stop Method

Description

Cancels any pending navigation or download operation and stops any dynamic page elements, such as background sounds and animations.

Syntax

Public Sub Stop()

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control | AppearanceStyle Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

Appearance Property

Description

Gets or sets the paint style of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Appearance() As Integer

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.

See Also

WebBrowser Control | AppearanceStyle Enumeration


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Application Property

Description

Retrieves the automation object for an application that is hosting the WebBrowser Control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Application() As Object

Remarks

This property retrieves the automation object implemented in the application that is hosting the WebBrowser Control, if the object is accessible; otherwise, this property returns the WebBrowser Control's automation object.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color of the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Busy Property

Description

Retrieves a Boolean value indicating whether the object is engaged in a navigation or downloading operation.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Busy() As Boolean

Remarks

If the control is busy, you can use the Stop method to cancel the navigation or download operation before it is completed.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Document Property

Description

Retrieves the automation object of the active document, if any.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Document() As Object

Remarks

When the active document is an HTML page, this property provides access to the contents of the HTML Document Object Model (DOM). Specifically, it returns an HTMLDocument object reference. The HTMLDocument object is functionally equivalent to the HTML document object used in HTML page script. It supports all the properties and methods necessary to access the entire contents of the active HTML document.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Font Property

Description

Gets/Sets the font that will be used to display the text for the control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

Remarks

Use the Font property of a control to set or identify the Font object whose properties you want to set or use.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

InnerHTML Property

Description

Gets or sets HTML text that is stored internally inside the browser control. You can load a default page this way without creating an external html page or navigating to a page on the internet.

Property type

Read-write property

Syntax (Visual Basic)

Public Property InnerHTML() As String

Remarks

InnerHTML allows you to enter html text directly into the properties if you don't want create html page or navigate to a page on the internet. This is good for an "About Box" if you just want to put formatted text with different colors/font.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

LocationName Property

Description

Retrieves the name of the resource that Microsoft® Internet Explorer is currently displaying.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LocationName() As String

Remarks

If the resource is an HTML page on the World Wide Web, the name is the title of that page. If the resource is a folder or file on the network or local computer, the name is the full path of the folder or file in Universal Naming Convention (UNC) format.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

LocationURL Property

Description

Retrieves the URL of the resource that Microsoft® Internet Explorer is currently displaying.

Property type

Read-only property

Syntax (Visual Basic)

Public Property LocationURL() As String

Remarks

If the resource is a folder or file on the network or local computer, the name is the full path of the folder or file in the Universal Naming Convention (UNC) format.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Offline Property

Description

Sets or retrieves a Boolean value that indicates whether the object is currently operating in offline mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Offline() As Boolean

Remarks

In offline mode, the browser is forced to read HTML pages from the local cache rather than from the source document.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

ReadyState Property

Description

Retrieves the ready state of the object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ReadyState() As Long

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

RegisterAsDropTarget Property

Description

Sets or gets a value that indicates whether the object is registered as a drop target for navigation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RegisterAsDropTarget() As Boolean

Remarks

A drop target is an object that has been registered to accept data from a drag-and-drop operation.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

ScriptErrorsSuppressed Property

Description

Gets or sets a value indicating whether the WebBrowser control displays error dialogs for script errors.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScriptErrorsSuppressed() As Boolean

Remarks

Set this property to true to debug Web pages that you display in the WebBrowser control. This is useful when you use the control to add Web-based controls and scripting code to your application. It is less useful when you use the control as a generic browser. When you have finished debugging your application, set this property to false to suppress script errors.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control | WebBrowserScrollBar Enumeration

See Also Suite Pro Controls ActiveX Control v19.3

ScrollBarStyle Property

Description

Gets or set the scrollbar style used in the WebBrowser control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ScrollBarStyle() As WebBrowserScrollBar

See Also

WebBrowser Control | WebBrowserScrollBar Enumeration


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

Silent Property

Description

Sets or retrieves a value that indicates whether the object can show dialog boxes.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Silent() As Boolean

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

StaticText Property

Description

Gets or sets whether the page is shown as static label (can not select text).

Property type

Read-write property

Syntax (Visual Basic)

Public Property StaticText() As Boolean

Remarks

If shown statically, the page is shown as static label - no way to select text, copy it, paste, etc.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

WebBrowserContextMenu Property

Description

Gets or sets whether the default Explorer Context menu will be displayed when the user right clicks in the browser control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property WebBrowserContextMenu() As Boolean

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the navigation.
URL
String expression that evaluates to the URL to which the browser is navigating.
Flags
Reserved for future use.
TargetFrameName
String expression that evaluates to the name of the frame in which the resource will be displayed, or NULL if no named frame is targeted for the resource.
PostData
Data to send to the server if the HTTP POST transaction is being used.
Headers
Value that specifies the additional HTTP headers to send to the server (HTTP URLs only). The headers can specify such things as the action required of the server, the type of data being passed to the server, or a status code.
Cancel

Boolean value that the container can set to True to cancel the navigation operation, or to False to allow it to proceed.

See Also Suite Pro Controls ActiveX Control v19.3

BeforeNavigate2 Event

Description

Fires before a navigation occurs in the given object (on either a window or frameset element).

Syntax

Public Event BeforeNavigate2( _
   ByVal pDisp As Object, _
   ByRef URL As Variant, _
   ByRef Flags As Variant, _
   ByRef TargetFrameName As Variant, _
   ByRef PostData As Variant, _
   ByRef Headers As Variant, _
   ByRef Cancel As Boolean _
)

Parameters

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the navigation.
URL
String expression that evaluates to the URL to which the browser is navigating.
Flags
Reserved for future use.
TargetFrameName
String expression that evaluates to the name of the frame in which the resource will be displayed, or NULL if no named frame is targeted for the resource.
PostData
Data to send to the server if the HTTP POST transaction is being used.
Headers
Value that specifies the additional HTTP headers to send to the server (HTTP URLs only). The headers can specify such things as the action required of the server, the type of data being passed to the server, or a status code.
Cancel

Boolean value that the container can set to True to cancel the navigation operation, or to False to allow it to proceed.

Example

Navigating to a different URL could happen as a result of external automation, internal automation from a script, or the user clicking a link or typing in the address bar. The container has an opportunity to cancel the pending navigation

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Command
Value that specifies the command that changed.
Enable
Boolean value that specifies the enabled state. If False, Command is disabled. If True, Command is enabled.
See Also Suite Pro Controls ActiveX Control v19.3

CommandStateChange Event

Description

Fires when the enabled state of a command changes.

Syntax

Public Event CommandStateChange( _
   ByVal Command As Long, _
   ByVal Enable As Boolean _
)

Parameters

Command
Value that specifies the command that changed.
Enable
Boolean value that specifies the enabled state. If False, Command is disabled. If True, Command is enabled.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

pDisp
Object that specifies the top-level or frame WebBrowser object corresponding to the event.
URL
String that specifies the URL, Universal Naming Convention (UNC) file name, or pointer to an item identifier list (PIDL) of the loaded document.
See Also Suite Pro Controls ActiveX Control v19.3

DocumentComplete Event

Description

Fires when a document has been completely loaded and initialized.

Syntax

Public Event DocumentComplete( _
   ByVal pDisp As Object, _
   ByRef URL As Variant _
)

Parameters

pDisp
Object that specifies the top-level or frame WebBrowser object corresponding to the event.
URL
String that specifies the URL, Universal Naming Convention (UNC) file name, or pointer to an item identifier list (PIDL) of the loaded document.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

DownloadBegin Event

Description

Fires when a navigation operation is beginning.

Syntax

Public Event DownloadBegin()

Remarks

This event is fired shortly after the BeforeNavigate2 event, unless the navigation is canceled. Any animation or "busy" indication that the container needs to display should be connected to this event.

Each DownloadBegin event will have a corresponding DownloadComplete event.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

DownloadComplete Event

Description

Fires when a navigation operation finishes, is halted, or fails.

Syntax

Public Event DownloadComplete()

Remarks

Unlike NavigateComplete2, which is fired only when a URL is successfully navigated to, this event is always fired after a navigation starts. Any animation or "busy" indication that the container needs to display should be connected to this event.

Each DownloadBegin event will have a corresponding DownloadComplete event.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the event.
URL
String expression that evaluates to the URL, UNC file name, or PIDL that was navigated to. Note that this URL can be different from the URL that the browser was told to navigate to. One reason is that this URL is the canonicalized and qualified URL; for example, if an application specified a URL of "www.microsoft.com" in a call to the Navigate method. Also, if the server has redirected the browser to a different URL, the redirected URL will be reflected here.
See Also Suite Pro Controls ActiveX Control v19.3

NavigateComplete2 Event

Description

Fires after a navigation to a link is completed on either a window or frameSet element.

Syntax

Public Event NavigateComplete2( _
   ByVal pDisp As Object, _
   ByRef URL As Variant _
)

Parameters

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the event.
URL
String expression that evaluates to the URL, UNC file name, or PIDL that was navigated to. Note that this URL can be different from the URL that the browser was told to navigate to. One reason is that this URL is the canonicalized and qualified URL; for example, if an application specified a URL of "www.microsoft.com" in a call to the Navigate method. Also, if the server has redirected the browser to a different URL, the redirected URL will be reflected here.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the failed navigation.
URL
String expression that evaluates to the URL for which navigation failed.
TargetFrameName
String that evaluates to the name of the frame in which the resource is to be displayed, or Null if no named frame is targeted for the resource.
StatusCode
Integer that contains a status code corresponding to the error, if available.
Cancel
Boolean that specifies whether to cancel the navigation to an error page and/or any further autosearch.

False
Default. Continue with navigation to an error page and/or autosearch.
True
Cancel navigation to an error page and/or autosearch.
See Also Suite Pro Controls ActiveX Control v19.3

NavigateError Event

Description

Fires when an error occurs during navigation.

Syntax

Public Event NavigateError( _
   ByVal pDisp As Object, _
   ByRef URL As Variant, _
   ByRef TargetFrameName As Variant, _
   ByRef StatusCode As Variant, _
   ByRef Cancel As Boolean _
)

Parameters

pDisp
Object that evaluates to the top-level or frame WebBrowser object corresponding to the failed navigation.
URL
String expression that evaluates to the URL for which navigation failed.
TargetFrameName
String that evaluates to the name of the frame in which the resource is to be displayed, or Null if no named frame is targeted for the resource.
StatusCode
Integer that contains a status code corresponding to the error, if available.
Cancel
Boolean that specifies whether to cancel the navigation to an error page and/or any further autosearch.

False
Default. Continue with navigation to an error page and/or autosearch.
True
Cancel navigation to an error page and/or autosearch.

Remarks

This event fires before Microsoft® Internet Explorer displays an error page due to an error in navigation. An application has a chance to stop the display of the error page by setting the Cancel parameter to True. However, if the server contacted in the original navigation supplies its own substitute page navigation, setting Cancel to True will have no effect and the navigation to the server's alternate page will proceed.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

ppDisp
Object expression that, optionally, receives a new, hidden WebBrowser or InternetExplorer object with no URL loaded.
Cancel
Boolean value to determine whether the current navigation should be canceled.

true
Cancel the navigation.
false
Do not cancel the navigation.
See Also Suite Pro Controls ActiveX Control v19.3

NewWindow2 Event

Description

Fires when a new window is to be created.

Syntax

Public Event NewWindow2( _
   ByRef ppDisp As Object, _
   ByRef Cancel As Boolean _
)

Parameters

ppDisp
Object expression that, optionally, receives a new, hidden WebBrowser or InternetExplorer object with no URL loaded.
Cancel
Boolean value to determine whether the current navigation should be canceled.

true
Cancel the navigation.
false
Do not cancel the navigation.

Remarks

In Microsoft® Internet Explorer, the NewWindow2 event is not fired when the user selects Window from the New command on the File menu. This event precedes the creation of a new window from within the WebBrowser.

The NewWindow2 event is fired when a window is about to be created, such as during the following actions:

  • The user clicks a link while pressing the SHIFT key.
  • The user right-clicks a link and selects Open In New Window.
  • The user selects New Window from the File menu.
  • There is a targeted navigation to a frame name that does not yet exist.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

OnQuit Event

Description

Occurs before the Internet Explorer application quits.

Syntax

Public Event OnQuit()

Remarks

This member function is called by the framework to notify an application that the Internet Explorer application is ready to quit.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Progress
Long that specifies the amount of total progress to show, or -1 when progress is complete.
ProgressMax
Long that specifies the maximum progress value.
See Also Suite Pro Controls ActiveX Control v19.3

ProgressChange Event

Description

Fires when the progress of a download operation is updated on the object.

Syntax

Public Event ProgressChange( _
   ByVal Progress As Long, _
   ByVal ProgressMax As Long _
)

Parameters

Progress
Long that specifies the amount of total progress to show, or -1 when progress is complete.
ProgressMax
Long that specifies the maximum progress value.

Remarks

The container can use the information provided by this event to display the number of bytes downloaded so far or to update a progress indicator.

To calculate the percentage of progress to show in a progress indicator, multiply the value of nProgress by 100 and divide by the value of nProgressMax (unless nProgress is -1, in which case the container can indicate that the operation is finished or hide the progress indicator).

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

See Also Suite Pro Controls ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

SecureLockIcon
See Also Suite Pro Controls ActiveX Control v19.3

SetSecureLockIcon Event

Description

Fired to indicate the security level of the current web page contents.

Syntax

Public Event SetSecureLockIcon( _
   ByVal SecureLockIcon As Long _
)

Parameters

SecureLockIcon

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Text
String that specifies the new status bar text.
See Also Suite Pro Controls ActiveX Control v19.3

StatusTextChange Event

Description

Fires when the status bar text of the object has changed.

Syntax

Public Event StatusTextChange( _
   ByVal Text As String _
)

Parameters

Text
String that specifies the new status bar text.

Remarks

The container can use the information provided by this event to update the text of a status bar.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Title
String that specifies the new document title.
See Also Suite Pro Controls ActiveX Control v19.3

TitleChange Event

Description

Fires when the title of a document in the object becomes available or changes.

Syntax

Public Event TitleChange( _
   ByVal Title As String _
)

Parameters

Title
String that specifies the new document title.

Remarks

Because the title might change while an HTML page is downloading, the URL of the document is set as the title. After the title specified in the HTML page, if there is one, is parsed, the title is changed to reflect the actual title.

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

IsChildWindow
Cancel
See Also Suite Pro Controls ActiveX Control v19.3

WindowClosing Event

Description

Fired when the WebBrowser is about to be closed by script.

Syntax

Public Event WindowClosing( _
   ByVal IsChildWindow As Boolean, _
   ByRef Cancel As Boolean _
)

Parameters

IsChildWindow
Cancel

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Height
See Also Suite Pro Controls ActiveX Control v19.3

WindowSetHeight Event

Description

Fired when the host window should change its height.

Syntax

Public Event WindowSetHeight( _
   ByVal Height As Long _
)

Parameters

Height

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Left
See Also Suite Pro Controls ActiveX Control v19.3

WindowSetLeft Event

Description

Fired when the host window should change its Left coordinate.

Syntax

Public Event WindowSetLeft( _
   ByVal Left As Long _
)

Parameters

Left

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Resizable
See Also Suite Pro Controls ActiveX Control v19.3

WindowSetResizable Event

Description

Fired when the host window should allow/disallow resizing.

Syntax

Public Event WindowSetResizable( _
   ByVal Resizable As Boolean _
)

Parameters

Resizable

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Top
See Also Suite Pro Controls ActiveX Control v19.3

WindowSetTop Event

Description

Fired when the host window should change its Top coordinate.

Syntax

Public Event WindowSetTop( _
   ByVal Top As Long _
)

Parameters

Top

See Also

WebBrowser Control


%%PageItemTitle%%

WebBrowser Control

Width
See Also Suite Pro Controls ActiveX Control v19.3

WindowSetWidth Event

Description

Fired when the host window should change its width.

Syntax

Public Event WindowSetWidth( _
   ByVal Width As Long _
)

Parameters

Width

See Also

WebBrowser Control


%%PageItemTitle%%

Alignment Property

See Also Suite Pro Controls ActiveX Control v19.3

AlignmentStyle Enumeration

Description

Label control text alignment styles.

Members

Member | Description
xtpAlignLeft | Left align text.
xtpAlignRight | Right align text.
xtpAlignCenter | Center align text.
xtpAlignMiddle | Middle align text.
xtpAlignTop | Top align text.
xtpAlignBottom | Bottom align text.

Remarks

The Alignment property of the label control uses a value from the AlignmentStyle enumeration to specify the alignment of text inside the label control.

See Also

Alignment Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

AppearanceStyle Enumeration

Description

Paint styles of a control.

Members

Member | Description
xtpAppearanceStandard | Standard appearance style.
xtpAppearanceFlat | Flat appearance style.
xtpAppearanceUltraFlat | Ultra flat appearance style.
xtpAppearanceOffice2000 | Office 2000 appearance style.
xtpAppearanceOfficeXP | Office XP appearance style.
xtpAppearanceOffice2003 | Office 2003 appearance style.
xtpAppearanceResource | Specifies that the control will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpAppearanceOffice2007 | Office 2007 appearance style.
xtpAppearanceNativeWinXP |
xtpAppearanceVisualStudio2005 |
xtpAppearanceVisualStudio2008 |
xtpAppearanceVisualStudio2010 |
xtpAppearanceOffice2013 |
xtpAppearanceOffice2016 |
xtpAppearanceVisualStudio2012 |
xtpAppearanceVisualStudio2012Light |
xtpAppearanceVisualStudio2012Dark |
xtpAppearanceVisualStudio2015 |

Remarks

Below are some pictures of what you can expect your controls to look like when using each of the predefined Appearance Styles.


%%PageItemTitle%%

CheckBox Alignment Property | RadioButton Alignment Property

See Also Suite Pro Controls ActiveX Control v19.3

CheckAlignment Enumeration

Description

Alignment for the CheckBox and RadioButton's "Check" part (check box).

Members

Member | Description
xtpCheckAlignLeft | Left alignment.
xtpCheckAlignRight | Right alignment.

See Also

CheckBox Alignment Property | RadioButton Alignment Property


%%PageItemTitle%%

Value Property | Click Event

See Also Suite Pro Controls ActiveX Control v19.3

CheckBoxValue Enumeration

Description

States of a Check Box control.

Members

Member | Description
xtpUnchecked | Unchecked.
xtpChecked | Checked.
xtpGrayed | Grayed, also called Indeterminate.

Remarks

When the Click event occurs for a check box one of the flags from the CheckBoxValue enumeration are set to the Value property.

The Value of a check box determines how the box will be visually displayed. The check box can have three different states, checked, unchecked and grayed, each of which are found in the CheckBoxValue enumeration.

See Also

Value Property | Click Event


%%PageItemTitle%%

Style Property

See Also Suite Pro Controls ActiveX Control v19.3

ComboBoxStyle Enumeration

Description

Style properties for the combobox control.

Members

Member | Description
xtpComboDropDown | (Default) Dropdown Combo. Includes a drop-down list and a text box. The user can select from the list or type in the text box.
xtpComboSimple | Simple Combo. Includes a text box and a list, which doesn't drop down. The user can select from the list or type in the text box. The size of a Simple combo box includes both the edit and list portions. By default, a Simple combo box is sized so that none of the list is displayed. Increase the Height property to display more of the list.
xtpComboDropDownList | Dropdown List. This style allows selection only from the drop-down list.

Remarks

The combobox's Style property accepts a flag from the ComboBoxStyle enumeration to determine the style of the control.

Use xtpComboDropDown or xtpComboSimple to give the user a list of choices. Either style enables the user to enter a choice in the text box. Setting xtpComboDropDown saves space on the form because the list portion closes when the user selects an item.

Use xtpComboDropDownList to display a fixed list of choices from which the user can select one. The list portion closes when the user selects an item.

See Also

Style Property


%%PageItemTitle%%

Flags Property | ShowBrowseFolder Method

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialogBrowseFolderConstants Enumeration

Description

Options for the BrowseFolder dialog box.

Members

Member | Description
xtpBFReturnOnlyFSDirs | Only return file system directories. If the user selects folders that are not part of the file system, the OK button is grayed.
xtpBFDontGoBelowDomain | Do not include network folders below the domain level in the dialog box's tree view control.
xtpBFStatusText | Include a status area in the dialog box. The callback function can set the status text by sending messages to the dialog box. This flag is not supported when xtpBFNewDialogStyle is specified.
xtpBFReturnFSAncestors | Only return file system ancestors. An ancestor is a subfolder that is beneath the root folder in the namespace hierarchy. If the user selects an ancestor of the root folder that is not part of the file system, the OK button is grayed.
xtpBFEditBox | Include an edit control in the browse dialog box that allows the user to type the name of an item.
xtpBFNewDialogStyle | Shell Version 5.0. Use the new user interface. Setting this flag provides the user with a larger dialog box that can be resized and has several new capabilities.
xtpBFBrowseIncludeURL | Shell Version 5.0. The browse dialog box can display URLs. The xtpBFUseNewUI and xtpBFBrowseIncludeFiles flags must also be set. The browse dialog box displays URLs only if the folder that contains the selected item supports URLs.
xtpBFUseNewUI | Shell Version 5.0. Use the new user interface, including an edit box. This flag is equivalent to xtpBFEditBox combined with xtpBFNewDialogStyle.
xtpBFUAHint | Shell Version 6.0. When combined with xtpBFNewDialogStyle, adds a usage hint to the dialog box, in place of the edit box. xtpBFEditBox overrides this flag.
xtpBFNoNewFolderButton | Do not include the New Folder button in the browse dialog box.
xtpBFNoTranslateTargets | Shell Version 6.0. When the selected item is a shortcut, return the PIDL of the shortcut itself rather than its target.
xtpBFBrowseForComputer | Only return computers. If the user selects anything other than a computer, the OK button is grayed.
xtpBFBrowseForPrinter | Only allow the selection of printers. If the user selects anything other than a printer, the OK button is grayed.
xtpBFBrowseIncludeFiles | Shell Version 4.71. The browse dialog box displays files as well as folders.
xtpBFShareable | Shell Version 5.0. The browse dialog box can display sharable resources on remote systems. This is intended for applications that want to expose remote shares on a local system. The xtpBFNewDialogStyle flag must also be set.
xtpBFBrowseFileJunctions | Windows 7 and later. Allow folder junctions such as a library or a compressed file with a .zip file name extension to be browsed.

Remarks

These flags are used to set options for a BrowseFolder dialog using the CommonDialog.Flags when the CommonDialog.ShowBrowseFolder method is called.

You can set more than one flag for a dialog box using the Or operator. For example:

CommonDialog1.Flags = xtpBFNoNewFolderButton Or xtpBFEditBox

See Also

Flags Property | ShowBrowseFolder Method


%%PageItemTitle%%

ShowColor Method | Flags Property

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialogColorConstants Enumeration

Description

Options for a Color dialog box.

Members

Member | Description
xtpCCRGBInit | Sets the initial color value for the dialog box.
xtpCCFullOpen | Entire dialog box is displayed, including the Define Custom Colors section.
xtpCCPreventFullOpen | Disables the Define Custom Colors command button and prevents the user from defining custom colors.
xtpCCShowHelp | Causes the dialog box to display a Help button.
xtpCCSolidColor | Causes the dialog box to display only solid colors in the set of basic colors.
xtpCCAnyColor | Causes the dialog box to display all available colors in the set of basic colors.

Remarks

These flags are used to set options for a color dialog using the CommonDialog.Flags when the CommonDialog.ShowColor method is called.

You can set more than one flag for a dialog box using the Or operator. For example:

CommonDialog1.Flags = xtpCCFullOpen Or xtpCCRGBInit

See Also

ShowColor Method | Flags Property


%%PageItemTitle%%

ShowOpen Method | ShowSave Method | Flags Property

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialogFileOpenConstants Enumeration

Description

Options for the Open and Save As dialog boxes.

Members

Member | Description
xtpOFNAllowMultiselect | Specifies that the File Name list box allows multiple selections. The user can select more than one file at run time by pressing the SHIFT key and using the UP ARROW and DOWN ARROW keys to select the desired files. When this is done, the FileName property returns a string containing the names of all selected files. The names in the string are delimited by spaces.
xtpOFNCreatePrompt | Specifies that the dialog box prompts the user to create a file that doesn't currently exist. This flag automatically sets the xtpOFNPathMustExist and xtpOFNFileMustExist flags.
xtpOFNExplorer | Use the Explorer-like Open A File dialog box template. Works with Windows 95, Windows NT 4.0, or later versions.
xtpOFNExtensionDifferent | Indicates that the extension of the returned filename is different from the extension specified by the DefaultExt property. This flag isn't set if the DefaultExt property is Null, if the extensions match, or if the file has no extension. This flag value can be checked upon closing the dialog box.
xtpOFNFileMustExist | Specifies that the user can enter only names of existing files in the File Name text box. If this flag is set and the user enters an invalid filename, a warning is displayed. This flag automatically sets the xtpOFNPathMustExist flag.
xtpOFNHelpButton | Causes the dialog box to display the Help button.
xtpOFNHideReadOnly | Hides the Read Only check box.
xtpOFNLongNames | Use long file names.
xtpOFNNoChangeDir | Forces the dialog box to set the current directory to what it was when the dialog box was opened.
xtpOFNNoDereferenceLinks | Do not dereference shortcuts. By default, choosing a shell link causes it to be de referenced by the shell
xtpOFNNoLongNames | No long file names.
xtpOFNNoReadOnlyReturn | Specifies that the returned file won't have the Read Only attribute set and won't be in a write-protected directory.
xtpOFNNoValidate | Specifies that the common dialog box allows invalid characters in the returned filename.
xtpOFNOverwritePrompt | Causes the Save As dialog box to generate a message box if the selected file already exists. The user must confirm whether to overwrite the file.
xtpOFNPathMustExist | Specifies that the user can enter only valid paths. If this flag is set and the user enters an invalid path, a warning message is displayed.
xtpOFNReadOnly | Causes the Read Only check box to be initially checked when the dialog box is created. This flag also indicates the state of the Read Only check box when the dialog box is closed.
xtpOFNShareAware | Specifies that sharing violation errors will be ignored.
xtpOFNDontAddToRecent | Prevents the system from adding a link to the selected file in the file system directory that contains the user's most recently used documents.
xtpOFNEnableSizing | Enables the old-style Explorer-style dialog box to be resized using either the mouse or the keyboard.
xtpOFNForceShowHidden | Forces the showing of system and hidden files, thus overriding the user setting to show or not show hidden files. However, a file that is marked both system and hidden is not shown.
xtpOFNNoNetworkButton | Hides and disables the Network button.
xtpOFNNoTestFileCreate | When an application specifies this flag, the library does not check for write protection, a full disk, an open drive door, or network protection. A file cannot be reopened once it is closed.

Remarks

These flags are used to set options for a Open or Save dialog using the CommonDialog.Flags when the CommonDialog.ShowOpen or CommonDialog.ShowSave methods are called.

See Also

ShowOpen Method | ShowSave Method | Flags Property


%%PageItemTitle%%

ShowFont Method | Flags Property

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialogFontConstants Enumeration

Description

Options for a Font dialog box.

Members

Member | Description
xtpCFANSIOnly | Specifies that the dialog box allows only a selection of the fonts that use the Windows character set. If this flag is set, the user won't be able to select a font that contains only symbols.
xtpCFApply | Enables the Apply button on the dialog box.
xtpCFBoth | Causes the dialog box to list the available printer and screen fonts.
xtpCFEffects | Specifies that the dialog box enables strikethrough, underline, and color effects.
xtpCFFixedPitchOnly | Specifies that the dialog box selects only fixed-pitch fonts.
xtpCFForceFontExist | Specifies that an error message box is displayed if the user attempts to select a font or style that doesn't exist.
xtpCFHelpButton | Causes the dialog box to display a Help button.
xtpCFLimitSize | Specifies that the dialog box selects only font sizes within the range.
xtpCFNoFaceSel | No font name selected.
xtpCFNoSimulations | Specifies that the dialog box doesn't allow graphic device interface (GDI) font simulations.
xtpCFNoSizeSel | No font size selected.
xtpCFNoStyleSel | No style was selected.
xtpCFNoVectorFonts | Specifies that the dialog box doesn't allow vector-font selections.
xtpCFPrinterFonts | Causes the dialog box to list only the fonts supported by the printer.
xtpCFScalableOnly | Specifies that the dialog box allows only the selection of fonts that can be scaled.
xtpCFScreenFonts | Causes the dialog box to list only the screen fonts supported by the system.
xtpCFTTOnly | Specifies that the dialog box allows only the selection of TrueType fonts.
xtpCFWYSIWYG | Specifies that the dialog box allows only the selection of fonts that are available on both the printer and on screen. If this flag is set, the xtpCFBoth and xtpCFScalableOnly flags should also be set.
xtpCFInactiveFonts | Additionally displays fonts that are set to Hide in Fonts Control Panel
xtpCFNoScriptSel | Disables the Script combo box.
xtpCFNoVertFonts | Causes the Font dialog box to list only horizontally oriented fonts.

Remarks

These flags are used to set options for a Font dialog box using the CommonDialog.Flags when the CommonDialog.ShowFont method is called.

You can set more than one flag for a dialog box using the Or operator. For example:

CommonDialog1.Flags = xtpCFScreenFonts Or xtpCFApply

Note: You must set the CommonDialog.Flags property to xtpCFScreenFonts, xtpCFPrinterFonts, or xtpCFBoth before displaying the Fonts dialog box. Otherwise, the error No Fonts Exist occurs.

See Also

ShowFont Method | Flags Property


%%PageItemTitle%%

HelpCommand Property | HelpContext Property | HelpFile Property | HelpKey Property

See Also Suite Pro Controls ActiveX Control v19.3

CommonDialogHelpConstants Enumeration

Description

Help Dialog Constants.

Members

Member | Description
xtpHelpCommandHelp | Executes a Help macro.
xtpHelpContents | Displays the Help contents topic as defined by the Contents option in the [OPTION] section of the .hpj file. See Remarks below for information on Help files created with Microsoft Help Workshop 4.0X.
xtpHelpContext | Displays Help for a particular context. When using this setting, you must also specify a context using the HelpContext property.
xtpHelpContextPopup | Displays in a pop-up window a particular Help topic identified by a context number defined in the [MAP] section of the .hpj file.
xtpHelpForceFile | Ensures WinHelp displays the correct Help file. If the correct Help file is currently displayed, no action occurs. If the incorrect Help file is displayed, WinHelp opens the correct file.
xtpHelpHelpOnHelp | Displays Help for using the Help application itself.
xtpHelpIndex | Displays the index of the specified Help file. An application should use this value only for a Help file with a single index.
xtpHelpKey | Displays Help for a particular keyword. When using this setting, you must also specify a keyword using the HelpKey property.
xtpHelpPartialKey | Displays the topic found in the keyword list that matches the keyword passed in the dwData parameter if there is one exact match. If more than one match exists, the Search dialog box with the topics found listed in the Go To list box is displayed. If no match exists, the Search dialog box is displayed. To bring up the Search dialog box without passing a keyword, use a long pointer to an empty string.
xtpHelpQuit | Notifies the Help application that the specified Help file is no longer in use.
xtpHelpSetContents | Determines which contents topic is displayed when a user presses the F1 key.
xtpHelpSetIndex | Sets the context specified by the HelpContext property as the current index for the Help file specified by the HelpFile property. This index remains current until the user accesses a different Help file. Use this value only for Help files with more than one index.

Remarks

The HelpCommand property uses values from the CommonDialogHelpConstants enumeration to specify the type of help.

See Also

HelpCommand Property | HelpContext Property | HelpFile Property | HelpKey Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

CommonDialogPrintDialogConstants Enumeration

Description

Printer Dialog Constants.

Members

Member | Description
xtpPDCollate | Returns or sets the state of the Collate check box.
xtpPDDisablePrintToFile | Disables the Print To File check box.
xtpPDHelpButton | Causes the dialog box to display the Help button.
xtpPDHidePrintToFile | Hides the Print To File check box.
xtpPDNoPageNums | Disables the Pages option button and the associated edit control.
xtpPDNoSelection | Disables the Selection option button.
xtpPDNoWarning | Prevents a warning message from being displayed when there is no default printer.
xtpPDPageNums | Returns or sets the state of the Pages option button.
xtpPDPrintSetup | Causes the system to display the Print Setup dialog box instead of the Print dialog box.
xtpPDPrintToFile | Returns or sets the state of the Print To File check box.
xtpPDReturnDC | Returns a device context for the printer selection made in the dialog box. The device context is returned in the hDC property of the dialog box.
xtpPDReturnDefault | Returns the default printer name.
xtpPDReturnIC | Returns an information context for the printer selection made in the dialog box. An information context provides a fast way to get information about the device without creating a device context. The information context is returned in the hDC property of the dialog box.
xtpPDSelection | Returns or sets the state of the Selection option button. If neither xtpPDPageNums nor xtpPDSelection is specified, the All option button is in the selected state.
xtpPDUseDevModeCopies | If a printer driver does not support multiple copies, setting this flag disables the Number of Copies spinner control in the Print dialog box. If a driver does support multiple copies, setting this flag indicates that the dialog box stores the requested number of copies in the Copies property.
xtpPDNoNetworkButton | Hides and disables the Network button.

Remarks

These flags are used to set options for a Open or Save dialog using the CommonDialog.Flags when the CommonDialog.ShowPrint method is called.


%%PageItemTitle%%

DateTimePicker.CustomFormat Property | DateTimePicker.Format Property

See Also Suite Pro Controls ActiveX Control v19.3

DateTimeFormat Enumeration

Description

Format style used to display text in the DateTimePicker control.

Members

Member | Description
xtpPickerLongDate | Long Date Format (for example "Friday, Nov 14, 1972").
xtpPickerShortDate | Short Date Format (for example "11/14/72").
xtpPickerTime | Time Format (for example "5:31:47 PM").
xtpPickerCustom | Custom format.

Remarks

Set the DateTimePicker.Format property to xtpPickerCustom to use the DateTimePicker.CustomFormat property.

The Format property must be set to xtpPickerCustom for the CustomFormat property to affect the formatting of the displayed date and time.

To display only time in a DateTimePicker, set the Format to xtpPickerTime, and the UpDown property to false.

See Also

DateTimePicker.CustomFormat Property | DateTimePicker.Format Property


%%PageItemTitle%%

Alignment Property

See Also Suite Pro Controls ActiveX Control v19.3

EditAlignment Enumeration

Description

Flat edit text alignment styles.

Members

Member | Description
xtpEditAlignLeft | Left align text.
xtpEditAlignRight | Right align text.
xtpEditAlignCenter | Center align text.

Remarks

The Alignment property of the Flat Edit control uses a value from the EditAlignment enumeration to specify the alignment of text inside the Flat Edit control.

See Also

Alignment Property


%%PageItemTitle%%

ScrollBars Property

See Also Suite Pro Controls ActiveX Control v19.3

EditScrollBars Enumeration

Description

ScrollBar settings for a Flat Edit control.

Members

Member | Description
xtpEditScrollBarsNone | No ScrollBars.
xtpEditScrollBarsHorizontal | Only a Horizontal ScrollBar.
xtpEditScrollBarsVertical | Only a Vertical ScrollBar.
xtpEditScrollBarsBoth | Both Horizontal and Vertical ScrollBars.

Remarks

The ScrollBars property of the Flat Edit control uses a value from the EditScrollBars enumeration to determine which scrollbars, if any, are displayed.

See Also

ScrollBars Property


%%PageItemTitle%%

BorderStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

GroupBoxBorderStyle Enumeration

Description

Group Box border styles.

Members

Member | Description
xtpFrameBorder | Complete frame with caption.
xtpFrameSingleLine | Single line with caption.
xtpFrameNone | No frame or caption.

Remarks

There are 3 different border styles for the GroupBox which are single line with caption, complete border with caption and no boarder or caption. The Group Box BorderStyle property stores a value from the GroupBoxBorderStyle enumeration to specify the border style of the control.

See Also

BorderStyle Property


%%PageItemTitle%%

MultiSelect Property

See Also Suite Pro Controls ActiveX Control v19.3

ListBoxMultiSelectStyle Enumeration

Description

Specifies the selection behavior of a list box control.

Members

Member | Description
xtpListMultiSelectNone | No items can be selected.
xtpListMultiSelectSimple | Multiple items can be selected.
xtpListMultiSelectExtended | Multiple items can be selected, and the user can use the SHIFT, CTRL, and arrow keys to make selections.

Remarks

The ListBox's MultiSelect property uses flags from the ListBoxMultiSelectStyle enumeration to determine if multi-selection is allowed.

See Also

MultiSelect Property


%%PageItemTitle%%

Style Property | ItemCheck Event | Checked Property

See Also Suite Pro Controls ActiveX Control v19.3

ListBoxStyle Enumeration

Description

ListBox styles.

Members

Member | Description
xtpListStandard | Standard ListBox.
xtpListCheckbox | ListBox with a check box next to each item.

Remarks

The Style property uses this enumeration to set the style of a ListBox control.

This Checked collection is used to determine whether an item with a check box has been checked when the ListBoxStyle is set to xtpListCheckBox.

See Also

Style Property | ItemCheck Event | Checked Property


%%PageItemTitle%%

Arrange Property

See Also Suite Pro Controls ActiveX Control v19.3

ListViewArrange Enumeration

Description

Flags that determines how the icons or small icons are arranged in the list view.

Members

Member | Description
xtpListViewArrangeNone | (Default) None.
xtpListViewArrangeAutoLeft | Left. Items are aligned automatically along the left side of the control.
xtpListViewArrangeAutoTop | Top. Items are aligned automatically along the top of the control.

See Also

Arrange Property


%%PageItemTitle%%

Alignment Property | HideColumnHeaders Property

See Also Suite Pro Controls ActiveX Control v19.3

ListViewColumnAlignment Enumeration

Description

List view column header alignment settings.

Members

Member | Description
xtpListViewColumnLeft | (Default) Text is aligned left.
xtpListViewColumnRight | Text is aligned right.
xtpListViewColumnCenter | Text is centered.

Remarks

The ListViewColumnHeader.Alignment property uses values from this enumeration to specify column header alignment when column headers are visible.

See Also

Alignment Property | HideColumnHeaders Property


%%PageItemTitle%%

ListView.FindItem Method

See Also Suite Pro Controls ActiveX Control v19.3

ListViewFindItemWhere Enumeration

Description

Specifies where to look for items in the ListView control.

Members

Member | Description
xtpListViewText | Matches the string with a ListViewItem object's Text property.
xtpListViewSubItem | Matches the string with any string in a ListViewItem object's SubItems property.
xtpListViewTag | Matches the string with any ListViewItem object's Tag property.

Remarks

The ListView.FindItem method uses flags from the ListViewFindItemWhere enumeration to determine where to search for text in the ListView control.

See Also

ListView.FindItem Method


%%PageItemTitle%%

BeforeLabelEdit Event | AfterLabelEdit Event | LabelEdit Property

See Also Suite Pro Controls ActiveX Control v19.3

ListViewLabelEdit Enumeration

Description

List View label edit options.

Members

Member | Description
xtpListViewLabelAutomatic | (Default) The BeforeLabelEdit event is generated when the user clicks the label of a selected node.
xtpListViewLabelManual | The BeforeLabelEdit event will be generated only when the StartLabelEdit method is invoked.

Remarks

The LabelEdit property uses a value from this enumeration to determine when the BeforeLabelEdit occurs if the user edits a node label.

See Also

BeforeLabelEdit Event | AfterLabelEdit Event | LabelEdit Property


%%PageItemTitle%%

ListViewItem Object | View Property

See Also Suite Pro Controls ActiveX Control v19.3

ListViewStyle Enumeration

Description

List View Styles.

Members

Member | Description
xtpListViewIcon | (Default) Each ListViewItem object is represented by a full-sized (standard) icon and a text label.
xtpListViewSmallIcon | Each ListViewItem is represented by a small icon and a text label that appears to the right of the icon. The items appear horizontally.
xtpListViewList | Each ListViewItem is represented by a small icon and a text label that appears to the right of the icon. Each ListViewItem appears vertically and on its own line with information arranged in columns.
xtpListViewReport | Each ListViewItem is displayed with its small icons and text labels. You can provide additional information about each ListViewItem. The icons, text labels, and information appear in columns with the leftmost column containing the small icon, followed by the text label. Additional columns display the text for each of the item's subitems.

Remarks

The View property uses a value from this enumeration to determine how the items in the list view will get displayed.

See Also

ListViewItem Object | View Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

OLEDragConstants Enumeration

Description

OLEDrag Constants.

Members

Member | Description
xtpOLEDragManual | Manual. The programmer handles all OLE drag/drop operations.
xtpOLEDragAutomatic | The component handles all OLE drag/drop operations.


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

OLEDropConstants Enumeration

Description

OLE Drop Constants.

Members

Member | Description
xtpOLEDropNone | None. The target component does not accept OLE drops and displays the No Drop cursor.
xtpOLEDropManual | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.


%%PageItemTitle%%

PictureAlignment Property

See Also Suite Pro Controls ActiveX Control v19.3

PictureAlignmentStyle Enumeration

Description

Alignment settings of the background picture for a TabControlPage.

Members

Member | Description
xtpPictureLeft | Left aligned.
xtpPictureRight | Right aligned.
xtpPictureCenter | Center alignment.
xtpPictureTop | Top aligned.
xtpPictureBottom | Bottom aligned.
xtpPictureMiddle | Middle aligned.
xtpPictureStretch | Picture is stretched the entire width and height of the TabControlPage.
xtpPictureTile | Picture is tiled the entire width and height of the TabControlPage.

See Also

PictureAlignment Property


%%PageItemTitle%%

Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBarOrientation Enumeration

Description

Specifies the orientation of a ProgressBar control.

Members

Member | Description
xtpProgressBarHorizontal | The ProgressBar control is oriented horizontally.
xtpProgressBarVertical | The ProgressBar control is oriented vertically.

Remarks

This enumeration is used by members such as ProgressBar.Orientation.

See Also

Orientation Property


%%PageItemTitle%%

Scrolling Property

See Also Suite Pro Controls ActiveX Control v19.3

ProgressBarScrolling Enumeration

Description

Specifies the style that a ProgressBar uses to indicate the progress of an operation.

Members

Member | Description
xtpProgressBarStandard | Indicates progress by increasing the number of segmented blocks in a ProgressBar.
xtpProgressBarSmooth | Indicates progress by increasing the size of a smooth, continuous bar in a ProgressBar.
xtpProgressBarMarquee | Indicates progress by continuously scrolling a block across a ProgressBar in a marquee fashion.

Remarks

You can use the marquee style when you need to indicate progress is being made, but you cannot indicate the quantity of progress. The xtpProgressBarMarquee style is valid only when visual styles are enabled. The xtpProgressBarSmooth style is valid only when visual styles are not enabled.

These flags are used by the ProgressBar.Scrolling property.

See Also

Scrolling Property


%%PageItemTitle%%

PushButton.Style Property | Click Event | DropDown Event

See Also Suite Pro Controls ActiveX Control v19.3

PushButtonStyle Enumeration

Description

PushButton styles.

Members

Member | Description
xtpButtonNormal | Normal push button.
xtpButtonDropDown | Dropdown button. Button will have an arrow indication it has a dropdown. The dropdown will appear under the button.
xtpButtonDropDownRight | Dropdown button. Button will have an arrow indication it has a dropdown. The dropdown will appear to the right of the button.
xtpButtonSplitDropDown | Split button. Button will be split into a "button" part and "arrow" part. The "arrow" part will have an arrow indication it has a dropdown. The dropdown will appear under the button when t he "arrow" part is clicked.

Remarks

The PushButton.Style uses flags from the PushButtonStyle enumeration to set the style of the button.

Using xtpButtonNormal will create a normal button.

The DropDown event is used so you can display a popup menu for the button.

If the Style is set to xtpButtonDropDown or xtpButtonDropDownRight, the DropDown event is fired when the button is clicked anywhere on the button.

If the Style is set to xtpButtonSplitDropDown, the DropDown event is only fired when "arrow" part of the split button is clicked. The Click event will be fired when the "button" part of the split button is clicked.

See Also

PushButton.Style Property | Click Event | DropDown Event


%%PageItemTitle%%

BorderStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

ResizerBorderStyle Enumeration

Description

Resizer control border styles.

Members

Member | Description
xtpBorderNone | No border.
xtpBorderFlat | Flat border.
xtpBorderStaticEdge | Static edge style.
xtpBorderClientEdge | Client edge style.
xtpBorderFrame | Frame style.

Remarks

The BorderStyle of the resizer control accepts flags from the ResizerBorderStyle enumeration to set the border style.

See Also

BorderStyle Property


%%PageItemTitle%%

Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

ScrollBarOrientation Enumeration

Description

Specifies the orientation of a scrollbar control.

Members

Member | Description
xtpScrollBarHorizontal | The scrollbar control is oriented horizontally.
xtpScrollBarVertical | The scrollbar control is oriented vertically.

Remarks

This enumeration is used by members such as ScrollBar.Orientation.

See Also

Orientation Property


%%PageItemTitle%%

Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

SliderOrientation Enumeration

Description

Specifies the orientation of a slider control.

Members

Member | Description
xtpSliderHorizontal | The slider control is oriented horizontally.
xtpSliderVertical | The slider control is oriented vertically.

Remarks

This enumeration is used by members such as Slider.Orientation.

See Also

Orientation Property


%%PageItemTitle%%

TickStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

SliderTickStyle Enumeration

Description

Specifies the location of tick marks in a Slider control.

Members

Member | Description
xtpSliderBottomRight | Tick marks are located on the bottom of a horizontal control or on the right side of a vertical control.
xtpSliderTopLeft | Tick marks are located on the top of a horizontal control or on the left of a vertical control.
xtpSliderBoth | Tick marks are located on both sides of the control.
xtpSliderNoTicks | No tick marks appear in the control.

Remarks

Use the members of this enumeration to set the value of the TickStyle property of the Slider control.

See Also

TickStyle Property


%%PageItemTitle%%

SetProgressBarState Method

See Also Suite Pro Controls ActiveX Control v19.3

TaskbarProgressFlag Enumeration

Description

Task bar progress bar status state flags.

Members

Member | Description
xtpProgressFlagNoProgress | No progress.
xtpProgressFlagIndeterminate | Intermediate state.
xtpProgressFlagNormal | Normal state.
xtpProgressFlagError | Error state.
xtpProgressFlagPaused | Paused state.

Remarks

Progress:

See Also

SetProgressBarState Method


%%PageItemTitle%%

CommonButtons Property | AddButton Method | EnableCommandLinks Property | DefaultButton Property | ClickButton Method | ButtonClicked Event

See Also Suite Pro Controls ActiveX Control v19.3

TaskDialogCommonButtons Enumeration

Description

Push buttons that can be displayed in the task dialog.

Members

Member | Description
xtpTaskButtonOk | OK Push Button.
xtpTaskButtonYes | Yes Push Button.
xtpTaskButtonNo | No Push Button.
xtpTaskButtonCancel | Cancel Push Button.
xtpTaskButtonRetry | Retry Push Button.
xtpTaskButtonClose | Close Push Button.

Remarks

The CommonButtons property can use any combination of flags from TaskDialogCommonButtons to be used to add common buttons to the task dialog. If thextpTaskButtonCancel button is specified, the task dialog will respond to typical cancel actions (Alt-F4 and Escape).

The illustratrion below shows a dialog that has all common buttons added:

You can mix both user defined buttons, radio buttons, common buttons and command links. AddButton adds a user defined button to the task dialog's command area. AddRadioButton adds a user defined radio button to the task dialog's command area.

EnableCommandLinks specifies whether the buttons specified with AddButton should be displayed as command links (using a standard task dialog glyph) instead of push buttons. When using command links, all characters up to the first new line character in AddButton's Text argument will be treated as the command link's main text, and the remainder will be treated as the command link's note text.

The illustration below shows command links without icons:

See Also

CommonButtons Property | AddButton Method | EnableCommandLinks Property | DefaultButton Property | ClickButton Method | ButtonClicked Event


%%PageItemTitle%%

MainIcon Property | MainIconHandle Property | FooterIcon Property | FooterIconHandle Property

See Also Suite Pro Controls ActiveX Control v19.3

TaskDialogIcon Enumeration

Description

Task Dialog Icons.

Members

Member | Description
xtpTaskIconNone | No icon is displayed in the task dialog.
xtpTaskIconWarning | An exclamation-point icon appears in the task dialog.
xtpTaskIconError | A stop-sign icon appears in the task dialog.
xtpTaskIconInformation | An icon consisting of a lowercase letter "i" in a circle appears in the task dialog.
xtpTaskIconShield | A shield icon appears in the task dialog.
xtpTaskIconQuestion | A question mark icon appears in the task dialog.
xtpTaskIconCustom | Display a custom icon stored in the MainIconHandle or FooterIconHandle properties. The illustration below shows the task dialog using a custom Codejock icon:

Remarks

FooterIcon and MainIcon both use flags from TaskDialogIcon to specify which icons are displayed in the main instruction area and footer area.

The following hold true for both FooterIcon and MainIcon.

To display the icon stored in MainIconHandle, MainIcon must be set to xtpTaskIconCustom and MainIconHandle must contain a valid handle to an Icon that is to be displayed in the task dialog Main Instruction area. If MainIconHandle is NULL and MainIcon is set to xtpTaskIconCustom, no icon will be displayed.

MainIcon is set automatically to xtpTaskIconCustom when assigning a value to MainIconHandle.

To use a pre-defined icon, set MainIcon to any value in the TaskDialogIcon enumeration to display that icon next to the Main Instruction area of the task dialog.

See Also

MainIcon Property | MainIconHandle Property | FooterIcon Property | FooterIconHandle Property


%%PageItemTitle%%

StartProgressBarMarquee Method | SetProgressBarRange Method | ProgressBarStyle Property | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event

See Also Suite Pro Controls ActiveX Control v19.3

TaskDialogProgressBarStyle Enumeration

Description

Progress bar styles.

Members

Member | Description
xtpTaskProgressBarNone | Do not display a progress bar.
xtpTaskProgressBarNormal | Display a standard progress bar.
xtpTaskProgressBarMarquee | Display a progress bar that uses the marquee style.

Remarks

The ProgressBarStyle property uses flags from the TaskDialogProgressBarStyle enumeration to display a progress bar in the task dialog.

To display a progress bar you must set ProgressBarStyle to xtpTaskProgressBarMarquee or xtpTaskProgressBarNormal. Setting ProgressBarStyle to xtpTaskProgressBarNone will remove the progress bar.

If using the marquee style, ProgressBarStyle must first be set to xtpTaskProgressBarMarquee and StartProgressBarMarquee must be called in the Constructed event before it can be turned on or off. After StartProgressBarMarquee is called in the Constructed event you can freely use StartProgressBarMarquee anytime to start and stop the marquee.

The illustrations below show a progress bar that is in the process of scrolling using both the marquee and standard styles:

See Also

StartProgressBarMarquee Method | SetProgressBarRange Method | ProgressBarStyle Property | ProgressBarPos Property | EnableCallbackTimer Property | Timer Event


%%PageItemTitle%%

PushButton.TextImageRelation Property

See Also Suite Pro Controls ActiveX Control v19.3

TextImageRelationStyle Enumeration

Description

Image and text relationship settings for a pushbutton control.

Members

Member | Description
xtpOverlay | Image is displayed over top of the text.
xtpImageAboveText | Image is displayed above the text.
xtpTextAboveImage | Text is displayed above the image.
xtpImageBeforeText | Image is displayed before\to the left of the text.
xtpTextBeforeImage | Text is displayed before\to the left of the image.

Remarks

The PushButton.TextImageRelation property uses flags from the TextImageRelationStyle enumeration to set the text and image relationship inside the button control.

See Also

PushButton.TextImageRelation Property


%%PageItemTitle%%

LabelEdit Property

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewLabelEdit Enumeration

Description

Tree View label edit options.

Members

Member | Description
xtpTreeViewLabelAutomatic | The BeforeLabelEdit event is generated when the user clicks the label of a selected node.
xtpTreeViewLabelManual | The BeforeLabelEdit event is generated only when the StartLabelEdit method is invoked

Remarks

The LabelEdit property uses a value from this enumeration to determine when the BeforeLabelEdit occurs if the user edits a node label.

See Also

LabelEdit Property


%%PageItemTitle%%

ShowLines Property

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewLinesStyle Enumeration

Description

Tree View line styles.

Members

Member | Description
xtpTreeViewHideLines | Do not display any lines.
xtpTreeViewShowLines | Displays lines between Node siblings and their parent Node.
xtpTreeViewShowLinesAtRoot | In addition to displaying lines between Node siblings and their parent Node, also displays lines between the root nodes.
xtpTreeViewHideLinesShowRoot |

Remarks

The ShowLines property uses a value from this enumeration to determine how to display node lines in the tree view.

See Also

ShowLines Property


%%PageItemTitle%%

TreeViewNode Object | Add Method

See Also Suite Pro Controls ActiveX Control v19.3

TreeViewRelationship Enumeration

Description

TreeViewNode relationship settings.

Members

Member | Description
xtpTreeViewFirst | he Node is placed before all other nodes at the same level of the node named in relative.
xtpTreeViewLast | The Node is placed after all other nodes at the same level of the node named in relative. Any Node added subsequently may be placed after one added as Last.
xtpTreeViewNext | (Default) The Node is placed after the node named in relative.
xtpTreeViewPrevious | The Node is placed before the node named in relative.
xtpTreeViewChild | The Node becomes a child node of the node named in relative.

Remarks

The TreeViewNodes.Add method uses a value from this enumeration to determine where to place a node when added.

Relative is paramater in the TreeViewNodes.Add method that specifies the the node from which the new node will be added. If no Node object is named in relative, the new node is placed in the last position of the top node hierarchy.

See Also

TreeViewNode Object | Add Method


%%PageItemTitle%%

Alignment Property

See Also Suite Pro Controls ActiveX Control v19.3

UpDownAlignment Enumeration

Description

UpDown Control alignment settings.

Members

Member | Description
xtpUpDownLeft | The UpDown control is aligned to the left of its buddy control.
xtpUpDownRight | (Default). The UpDown control is aligned to the right of its buddy control.

See Also

Alignment Property


%%PageItemTitle%%

Orientation Property

See Also Suite Pro Controls ActiveX Control v19.3

UpDownOrientation Enumeration

Description

UpDown control Orientation flags.

Members

Member | Description
xtpUpDownVertical | The arrow buttons are positioned vertically.
xtpUpDownHorizontal | The arrow buttons are positioned horizontally.

Remarks

The UpDown control uses flags from the UpDownOrientation enumeration to specify the Orientation of the control.

See Also

Orientation Property


%%PageItemTitle%%

ScrollBarStyle Property

See Also Suite Pro Controls ActiveX Control v19.3

WebBrowserScrollBar Enumeration

Description

WebBrowser ScrollBar Styles.

Members

Member | Description
xtpScrollBarStandard | Standard ScrollBar.
xtpScrollBarFlat | Flat ScrollBar.
xtpScrollBarNone | No ScrollBar.

Remarks

The ScrollBarStyle property uses these flags to specify the style of scrollbar to display in the WebBrowser control.

See Also

ScrollBarStyle Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPFrameShadowManagerFlags Enumeration

Members

Member | Description
xtpFrameShadowsDisabled |
xtpFrameShadowsInvisible |
xtpFrameShadowsNotResizeable |
xtpFrameShadowsDisabledInTSS |
xtpFrameShadowsInvisibleInTSS |


%%PageItemTitle%%

TabControl Icons Property | PopupControl Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Suite Pro Controls ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

TabControl Icons Property | PopupControl Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPItemAlignment Enumeration

Description

Specifies the text formatting for text in the Popup Control and for items in the TaskPanel Control.

Members

Member | Description
DT_TOP | Aligns text to the left.
DT_LEFT | Aligns text to the left.
DT_CENTER | Centers text horizontally.
DT_RIGHT | Aligns text to the right.
DT_VCENTER | Centers text vertically. This value is used only with the DT_SINGLELINE value.
DT_BOTTOM | Renders the text string at the bottom of the display rectangle. This value is used only with the DT_SINGLELINE value.
DT_WORDBREAK | Breaks lines between words if a word would extend past the edge of the display rectangle ("wraps" the text). A carriage return/line feed (CR/LF) sequence also breaks the line.
DT_SINGLELINE | Specifies that lines of text will not "word wrap" to the next line, they will stay on a single line truncating any text that cannot fit. Displays text on a single line. Carriage returns and line feeds do not break the line.
DT_END_ELLIPSIS | Truncates the text string that is wider than the popup control item and adds an ellipsis to indicate the truncation.


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPMarkupSmoothingMode Enumeration

Description

Possible rendering smoothing modes

Members

Member | Description
xtpMarkupSmoothingDefault |
xtpMarkupSmoothingNone |
xtpMarkupSmoothingHighSpeed |
xtpMarkupSmoothingHighQuality |
xtpMarkupSmoothingAntiAlias |


%%PageItemTitle%%

Animation Property | AnimateDelay Property | ShowDelay Property | Transparency Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPPopupAnimation Enumeration

Description

Specifies the type of animation used when opening and closing a popup window.

Members

Member | Description
xtpPopupAnimationNone | Specifies that the popup control item will not use any animation when being displayed
xtpPopupAnimationFade | Specifies that the popup control item will use the "fade" animation when being displayed
xtpPopupAnimationSlide | Specifies that the popup control item will use the "slide" animation when being displayed
xtpPopupAnimationUnfold | Specifies that the popup control item will use the "unfold" animation when being displayed

See Also

Animation Property | AnimateDelay Property | ShowDelay Property | Transparency Property


%%PageItemTitle%%

PopupControlItem SetIcon Method | PopupControlItem SetIcons Method

See Also Suite Pro Controls ActiveX Control v19.3

XTPPopupItemIcon Enumeration

Description

Specifies the type of icons used for a popup control item icon. Specifies if a normal, selected, and/or clicked image is used.

Members

Member | Description
xtpPopupItemIconNormal | Specifies that the popup control item's icon will only have a "normal" state. this means that the same icon is displayed regardless of any mouse over or clicking of the icon.
xtpPopupItemIconSelected | Specifies that the popup control item's icon will display a different icon when in a "selected" state. I.e. On mouse over.
xtpPopupItemIconPressed | Specifies that the popup control item's icon will display a different icon when the icon is clicked.

See Also

PopupControlItem SetIcon Method | PopupControlItem SetIcons Method


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPPopupLocation Enumeration

Description

Default locations for the popup control to display.

Members

Member | Description
xtpPopupLocationNearTaskBar | Displays in the bottom right of the screen right above the task bar.
xtpPopupLocationBottomRight | Displays in the bottom right of the screen.
xtpPopupLocationCenter | Displays in the center of the screen.


%%PageItemTitle%%

PopupControl VisualTheme Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPPopupPaintTheme Enumeration

Description

Specifies the theme that will be used to display a popup window.

Members

Member | Description
xtpPopupThemeOffice2000 | Specifies that the popup control will use the Office 2000 theme
xtpPopupThemeOfficeXP | Specifies that the popup control will use the Office XP theme
xtpPopupThemeOffice2003 | Specifies that the popup control will use the Office 2003 theme
xtpPopupThemeMSN | Specifies that the popup control will use the MSN theme
xtpPopupThemeResource | Specifies that the popup will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpPopupThemeCustom | Specifies that the popup control will use a user defined custom theme
xtpPopupThemeOffice2013 | Office2013 popup theme
xtpPopupThemeOffice2016 | Office2013 popup theme

See Also

PopupControl VisualTheme Property


%%PageItemTitle%%

PopupControl State Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPPopupState Enumeration

Description

Specifies the current state of a PopupControlItem as it is being displayed and closed.

Members

Member | Description
xtpPopupStateClosed | Specifies that the popup control has been closed
xtpPopupStateExpanding | Specifies that the popup control is currently in the process of expanding/displaying
xtpPopupStateShow | Specifies that the popup control is currently being displayed/shown
xtpPopupStateCollapsing | Specifies that the popup control is currently in the process of closing

See Also

PopupControl State Property


%%PageItemTitle%%

TabPaintManager Appearance Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabAppearanceStyle Enumeration

Description

Specifies the appearance of the TabControl tabs.

Members

Member | Description
xtpTabAppearancePropertyPage | Gives your tabs an Office 2000 appearance
xtpTabAppearancePropertyPageSelected | Gives your tabs an Office 2000 selected appearance.
xtpTabAppearancePropertyPageFlat | Gives your tabs an Office 2000 Flat appearance.
xtpTabAppearancePropertyPage2003 | Gives your tabs an Office 2003 appearance.
xtpTabAppearanceStateButtons | Gives your tabs a State Button appearance.
xtpTabAppearanceFlat | Gives your tabs Flat appearance.
xtpTabThemeExcel2003 |
xtpTabAppearanceVisio | Gives your tabs a Visio appearance.
xtpTabAppearancePropertyPage2007 | Gives your tabs an Office 2007 appearance.
xtpTabAppearancePropertyPageAccess2007 | Gives your tabs an Access 2007 appearance.
xtpTabThemeVisualStudio2003 |
xtpTabThemeVisualStudio2005 |
xtpTabThemeVisualStudio2010 |
xtpTabThemeVisualStudio2012 |
xtpTabThemeVisualStudio2015 |
xtpTabThemeOffice2013 |
xtpTabThemeOffice2016 |
xtpTabAppearanceVisualStudio | Gives your tabs a Visual Studio appearance.
xtpTabAppearanceVisualStudio2003 |
xtpTabAppearanceVisualStudio2005 | Gives your tabs a Visual Studio 2005 appearance.
xtpTabAppearanceVisualStudio2010 |
xtpTabAppearanceVisualStudio2012 |
xtpTabAppearanceVisualStudio2015 |
xtpTabAppearanceExcel | Gives your tabs an Excel appearance.

See Also

TabPaintManager Appearance Property


%%PageItemTitle%%

TabPaintManager ClientFrame Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabClientFrame Enumeration

Description

Specifies the type of border that will be used around the client (area inside the tab surrounding the attached object).

Members

Member | Description
xtpTabFrameBorder | With this flag set, a border will appear around the client.
xtpTabFrameSingleLine | With this flag set, only a single line is used as a border around the client.
xtpTabFrameNone | With this flag set, no border will appear around the client.

See Also

TabPaintManager ClientFrame Property


%%PageItemTitle%%

TabPaintManager Color Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabColorStyle Enumeration

Description

Sets the color style of the tabs for the currently set Appearance .

Members

Member | Description
xtpTabColorDefault | Tabs will use the default color for the currently set Appearance.
xtpTabColorOffice2003 | Tabs will use the Office 2003 color style for the currently set Appearance.
xtpTabColorWinNative |
xtpTabColorResource | Tabs will use the Office 2007 color style for the currently set Appearance.
xtpTabColorOffice2007Access |
xtpTabColorVisualStudio2003 |
xtpTabColorVisualStudio2005 |
xtpTabColorVisualStudio2008 | Tabs will use the Visual Studio 2008 color style for the currently set Appearance.
xtpTabColorVisualStudio2010 |
xtpTabColorVisualStudio2012 |
xtpTabColorVisualStudio2012Dark |
xtpTabColorOffice2013 |
xtpTabColorOffice2016 |
xtpTabColorVisualStudio2015 |
xtpTabColorAll |
xtpTabColorVisualStudio | Tabs will use the Visual Studio color style for the currently set Appearance.
xtpTabColorWinXP | Tabs will use the Windows XP color style for the currently set Appearance.
xtpTabColorWhidbey | Tabs will use the Visual Studio 2005 "Whidbey" color style for the currently set Appearance.
xtpTabColorAccess2007 | Tabs will use the Access 2007 color style for the currently set Appearance.
xtpTabColorOffice2007 |

See Also

TabPaintManager Color Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPTabDrawTextFormat Enumeration

Description

Specifies the text format used for displaying text in tab buttons.

Members

Member | Description
xtpTabDrawTextLeft | Left align text in the tab button.
xtpTabDrawTextCenter | Center text in the tab button.Center
xtpTabDrawTextRight | Right align text in the tab button.
xtpTabDrawTextVCenter | Vertically center text in the tab button.

Remarks

The left, center and right flags can be combined with the vertically center flag.

The DrawTextFormat property uses flags from the XTPTabDrawTextFormat enumeration to determine how to display text in the tab buttons.


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPTabItemButtonFlags Enumeration

Description

Options to specify when a tab close button will be shown.

Members

Member | Description
xtpTabItemButtonNone | Never show a close button in the tab button.
xtpTabItemButtonSelected | Only show a close button in the currently selected tab button.
xtpTabItemButtonAlways | Always show a close button in the tab button.


%%PageItemTitle%%

TabPaintManager Layout Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabLayoutStyle Enumeration

Description

Specifies how the tab buttons will be sized.

Members

Member | Description
xtpTabLayoutAutoSize | Tabs will be automatically sized based on the caption and image size. With this flag set, tabs will appear in their normal size.
xtpTabLayoutSizeToFit | Tabs are sized to fit within the TabControl tab panel. All tabs will be compressed into the TabControl tab panel.
xtpTabLayoutFixed | Tabs will be set to a fixed size within the TabControl tab panel.
xtpTabLayoutCompressed | Tabs will be compressed within the TabControl tab panel. This will compress the size of the tabs, but all tabs will not be forced into the tab panel
xtpTabLayoutMultiRow The TabControl can display more than one row of tabs.

The number of rows is automatically set by the width and number of the tabs. The number of rows can change if the control is resized, which ensures that the tab wraps to the next row. If the tab layout is not set to xtpTabLayoutMultiRow, and the last tab exceeds the width of the control, left and right arrow buttons are added at the right end of the TabControl.

Both the MultiRowFixedSelection and MultiRowJustified properties can be used to further customize how the tabs are displayed when there are multiple rows of tabs.

xtpTabLayoutRotated Tabs will be displayed "rotated" from their natural position.

This will cause the caption of the tabs displayed on the top or bottom to be displayed vertically, and tabs displayed on the left or right to be displayed horizontally.

See Also

TabPaintManager Layout Property


%%PageItemTitle%%

ShowNavigateButton Method

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabNavigateButton Enumeration

Description

XTPTabNavigateButton is an enumeration used to identify navigation buttons within a tab control.

Members

Member | Description
xtpTabNavigateButtonLeft | Left tab navigation button.
xtpTabNavigateButtonRight | Right tab navigation button.
xtpTabNavigateButtonClose | Close tab navigation button.

Remarks

This enumerator is used by the ShowNavigateButton method to indicate which tab navigation button(s) will be displayed in the tab control header.

The XTPTabNavigationButtonFlags enumeration is used to indicate when the specified button will be displayed.

The TabControlItem.Closeable property can also be used to control when the Close button is displayed.

See Also

ShowNavigateButton Method


%%PageItemTitle%%

XTPTabNavigateButton Enumeration | ShowNavigateButton Method

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabNavigateButtonFlags Enumeration

Description

XTPTabNavigateButtonFlags is an enumeration used to indicate when a navigation button will be displayed. This style flag is applied to one button. Navigation buttons include the left, right, and close buttons that appear in the tab control header area.

Members

Member | Description
xtpTabNavigateButtonNone | Never display the navigate button.
xtpTabNavigateButtonAutomatic | Automatically display the navigate button.
xtpTabNavigateButtonAlways | Always display the navigate button.

Remarks

If xtpTabNavigateButtonAutomatic is used, then the button will appear only when needed. I.e. When the XTPTabLayoutStyle is set to xtpTabLayoutAutoSize, all tabs might not fit in the tab control header area. When there are more tabs than can fit in the header, the button will automatically be displayed.

The ShowNavigateButton method uses the XTPTabNavigateButtonFlags and XTPNavigateButton enumerations to specify when each of the tab navigation buttons will be displayed. Each button can have a different flag applied.

See Also

XTPTabNavigateButton Enumeration | ShowNavigateButton Method


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPTabPosition Enumeration

Description

The position of the tabs relative to the client area.

Members

Member | Description
xtpTabPositionTop | Tabs will appear on the Top of the TabControl.
xtpTabPositionLeft | Tabs will appear on the Left of the TabControl.
xtpTabPositionBottom | Tabs will appear on the Bottom of the TabControl.
xtpTabPositionRight | Tabs will appear on the Right of the TabControl.


%%PageItemTitle%%

ToolTipBehaviour Property | Style Property | TaskPanel ToolTipContext Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPTabToolTipBehaviour Enumeration

Description

Specifies when tool tips should be displayed for tab buttons in the TabControl.

Members

Member | Description
xtpTabToolTipNever | Tool tips will never be displayed for tab buttons in the TabControl.
xtpTabToolTipAlways | Tool tips will always be displayed for tab buttons in the TabControl.
xtpTabToolTipShrinkedOnly | Tool tips will only be displayed when the layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible).

Remarks

By default, tool tips will only be displayed for tab buttons in the TabControl when the tab layout is xtpTabLayoutSizeToFit and the tab button is not fully visible (The buttons caption is not fully visible). Setting the ToolTipBehavior to xtpTabToolTipAlways will display tool tips for the tab buttons regardless of the layout used.

See Also

ToolTipBehaviour Property | Style Property | TaskPanel ToolTipContext Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property


%%PageItemTitle%%

Suite Pro Controls ActiveX Control v19.3

XTPTagCloudSort Enumeration

Members

Member | Description
xtpTagCloudNone |
xtpTagCloudAlpha |
xtpTagCloudNumeric |


%%PageItemTitle%%

ShowTitleAndDescription Method

See Also Suite Pro Controls ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the title\caption and tooltip of the item.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

See Also

ShowTitleAndDescription Method


%%PageItemTitle%%

Style Property

See Also Suite Pro Controls ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTipText property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


Syntax Edit ActiveX Controls v19.3

Syntax Edit ActiveX Control v19.3
Syntax Edit ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
SyntaxEdit | Syntax Editor control.
SyntaxEditFrame | Syntax Editor control.
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DataObject | The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.
DataObjectFiles | A collection of strings which is the type of the Files property on the DataObject object.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
PrintInfo |
PrintPageHeaderFooter | Represents a custom caption string for Print Options which could be customized for a top line of the print header (header -header) and a bottom line (header - footer).
SyntaxEditDataManager | Object used for buffer management.
SyntaxEditGlobalSettings | SyntaxEdit global settings, such as application name and resource file
SyntaxEditPaintManager | Object that handles most of the drawing activities for colorizing the of the SyntaxEdit control.
SyntaxEditPrintOptions | Options used to specify how the Syntax Edit view will look when printed.
SyntaxEditTextPosition | Object used to hold the position of the cursor, start of selection, end of selection or text position.
SyntaxEditTextSelection | Object used to hold the currently text selection.
XtremePrinterInfo | Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.
XtremePrintPreviewOptions | Object that contains options for the print preview window.
Public Enumerations
Enumeration | Description
OLEDragConstants | OLEDrag Constants.
OLEDropConstants | OLE Drop Constants.
SyntaxEditTextAction | Actions performed in the TextChanged event.
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies the state of an icon.
XTPSyntaxEditBorderStyle | Window borders for the Syntax Editor.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Syntax Edit ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Syntax Edit ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the SyntaxEdit if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the SyntaxEdit control will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Syntax Edit ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

Enumerations used by the Syntax Editor control.

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

Example

[GetCurrentSystemTheme Sample (Visual Basic)] This sample illustrates how to use the GetCurrentSystemTheme function to determine the current Windows XP theme. If a Windows XP theme is not used, then applications using the xtpThemeOffice2003 can emulate the Windows XP Olive, Silver, and Gold themes using the SystemTheme property. Themes can be emulated on all Operating systems.

Private Sub MDIForm_Initialize()
    Dim cbColorManager As ColorManager

    Set cbColorManager = SyntaxEditGlobalSettings.ColorManager

    'Get current system theme
    Select Case cbColorManager.GetCurrentSystemTheme
        'If OS is Windows XP and the theme is Olive, Silver, or Blue, then use OS settings for theme
        Case xtpSystemThemeBlue, _
             xtpSystemThemeSilver, _
             xtpSystemThemeOlive:
             'Running Windows XP and using a luna theme
             Debug.Print cbColorManager.GetCurrentSystemTheme
             SyntaxEdit.VisualTheme = xtpThemeOffice2003

        'If OS is NOT Windows XP and\or theme is not Olive, Silver, or Blue, the set theme to Auto.
        Case xtpSystemThemeUnknown:
             cbColorManager.SystemTheme = xtpSystemThemeAuto
             SyntaxEdit.VisualTheme = xtpThemeOfficeXP
    End Select

End Sub

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Syntax Edit ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

Remarks

Using SetColor for the SyntaxEdit control will change the color of the selected element of the SyntaxEdit to the new specified color. This will not effect the color for any other control.

SetColor applies colors globally, this means that all SyntaxEdit controls will uses these colors.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Syntax Edit ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Syntax Edit ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the SyntaxEdit if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Syntax Edit ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the SyntaxEdit control will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The SyntaxEdit can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the ComandBars can use the Olive theme while the OS is running the Blue theme, this results in Olive themes SyntaxEdit and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

DataObject Members

See Also Syntax Edit ActiveX Control v19.3

DataObject Object

Description

The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.

For a list of all members defined in this module, see DataObject members.

Object Model

Remarks

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

The Task Panel supports manual OLE drag and drop events.

See Also

DataObject Members


%%PageItemTitle%% $$Members$$

DataObject Overview

See Also Syntax Edit ActiveX Control v19.3

DataObject Object Members

Public Methods

Public Method Clear | Clears the content of the DataObject object.
Public Method GetData | Returns data from a DataObject object in the form of a variant.
Public Method GetFormat | Returns an boolean value indicating whether an item in the DataObject object matches a specified format.
Public Method SetData | Inserts data into a DataObject object using the specified data format.

Public Properties

Public Property Files Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Overview


%%PageItemTitle%%

DataObject Object

See Also Syntax Edit ActiveX Control v19.3

Clear Method

Description

Clears the content of the DataObject object.

Syntax

Public Sub Clear()

Remarks

This method is available only for component drag sources. If Clear is called from a component drop target, an error is generated.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Syntax Edit ActiveX Control v19.3

GetData Method

Description

Returns data from a DataObject object in the form of a variant.

Syntax

Public Function GetData( _
   ByVal Format As Long _
) As Variant

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)
See Also Syntax Edit ActiveX Control v19.3

GetFormat Method

Description

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

Public Function GetFormat( _
   ByVal Format As Long _
) As Boolean

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

Return Type

The GetFormat method returns True if an item in the DataObject object matches the specified format. Otherwise, it returns False.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Syntax Edit ActiveX Control v19.3

SetData Method

Description

Inserts data into a DataObject object using the specified data format.

Syntax

Public Sub SetData( _
   Optional ByVal vValue As Variant, _
   Optional ByVal Format As Variant _
)

Parameters

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

See Also Syntax Edit ActiveX Control v19.3

Files Property

Description

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Files() As DataObjectFiles

Remarks

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Object


%%PageItemTitle%%

DataObjectFiles Members

See Also Syntax Edit ActiveX Control v19.3

DataObjectFiles Collection

Description

A collection of strings which is the type of the Files property on the DataObject object.

For a list of all members defined in this module, see DataObjectFiles members.

Remarks

The DataObjectFiles collection is a collection of strings which represent a set of files which have been selected either through the GetData method, or through selection in an application such as the Windows Explorer.

See Also

DataObjectFiles Members


%%PageItemTitle%% $$Members$$

DataObjectFiles Overview

See Also Syntax Edit ActiveX Control v19.3

DataObjectFiles Collection Members

Public Properties

Public Property Count | Returns the number of objects in a collection.
Public Property Item | Collection of items.

See Also

DataObjectFiles Overview


%%PageItemTitle%%

DataObjectFiles Collection

See Also Syntax Edit ActiveX Control v19.3

Count Property

Description

Returns the number of objects in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DataObjectFiles Collection

Index
See Also Syntax Edit ActiveX Control v19.3

Item Property

Description

Collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As String

Parameters

Index

See Also

DataObjectFiles Collection


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Syntax Edit ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Syntax Edit ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Syntax Edit ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Syntax Edit ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Syntax Edit ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Syntax Edit ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Syntax Edit ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon within the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Syntax Edit ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Syntax Edit ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the SyntaxEdit.

If the AddImageList method is used, the icons will be added to the collection of icons. These icons will be added in the order they appear in the ImageList control.

The collection of icons can be accessed and used from the SyntaxEdit, CommandBarControl, and CommandBar objects. When referencing the icons in the collection of icons, only the index of the icon is needed.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the image collection.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Syntax Edit ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
The handle to the icon to be added.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Syntax Edit ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the SyntaxEdit, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the SyntaxEdit Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'SyntaxEdit icon collection will not be copied.
    SyntaxEdit.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Syntax Edit ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Syntax Edit ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Syntax Edit ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
The state of the image.
See Also Syntax Edit ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any non-negative number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Syntax Edit ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Syntax Edit ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Syntax Edit ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Syntax Edit ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Syntax Edit ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

Count Property

Description

The number of icons in the image collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Syntax Edit ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Syntax Edit ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Syntax Edit ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Syntax Edit ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Syntax Edit ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Syntax Edit ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Syntax Edit ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Syntax Edit ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Syntax Edit ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Syntax Edit ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Syntax Edit ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

PrintInfo Members

See Also Syntax Edit ActiveX Control v19.3

PrintInfo Object

For a list of all members defined in this module, see PrintInfo members.

See Also

PrintInfo Members


%%PageItemTitle%% $$Members$$

PrintInfo Overview

See Also Syntax Edit ActiveX Control v19.3

PrintInfo Object Members

Public Properties

Public Property ContinuePrinting
Public Property CurrentPage
Public Property MaxPage
Public Property PreviewMode
Public Property PrintRectBottom
Public Property PrintRectLeft
Public Property PrintRectRight
Public Property PrintRectTop

See Also

PrintInfo Overview


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

ContinuePrinting Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ContinuePrinting() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

CurrentPage Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrentPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

MaxPage Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxPage() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

PreviewMode Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PreviewMode() As Boolean

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

PrintRectBottom Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectBottom() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

PrintRectLeft Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectLeft() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

PrintRectRight Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectRight() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintInfo Object

See Also Syntax Edit ActiveX Control v19.3

PrintRectTop Property

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintRectTop() As Long

See Also

PrintInfo Object


%%PageItemTitle%%

PrintPageHeaderFooter Members

See Also Syntax Edit ActiveX Control v19.3

PrintPageHeaderFooter Object

Description

Represents a custom caption string for Print Options which could be customized for a top line of the print header (header -header) and a bottom line (header - footer).

For a list of all members defined in this module, see PrintPageHeaderFooter members.

See Also

PrintPageHeaderFooter Members


%%PageItemTitle%% $$Members$$

PrintPageHeaderFooter Overview

See Also Syntax Edit ActiveX Control v19.3

PrintPageHeaderFooter Object Members

Public Methods

Public Method Clear Clears all the text from the header\footer.

Public Properties

Public Property Font | Font used to display the custom header\footer.
Public Property FormatString | Format string.
Public Property TextCenter | A string to show with center align.
Public Property TextLeft | A string to show with left align.
Public Property TextRight | A string to show with right align.

See Also

PrintPageHeaderFooter Overview


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

Clear Method

Description

Clears all the text from the header\footer.

Syntax

Public Sub Clear()

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

Font Property

Description

Font used to display the custom header\footer.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

FormatString Property

Description

Format string.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FormatString() As String

Remarks

&d Date in short format (as specified by Regional Settings in Control Panel)
&D Date in long format (as specified by Regional Settings in Control Panel)

&t Time in the format specified by Regional Settings in Control Panel
&T Time in 24-hour format

&p Current page number
&P Total number of pages

&b The text immediately following these characters as centered.
&b&b The text immediately following the first "&b" as centered, and the text following the second "&b" as right-justified.

&w Window title

&& A single ampersand (&)
\n new line marker

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

TextCenter Property

Description

A string to show with center align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextCenter() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

TextLeft Property

Description

A string to show with left align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextLeft() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

PrintPageHeaderFooter Object

See Also Syntax Edit ActiveX Control v19.3

TextRight Property

Description

A string to show with right align.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextRight() As String

See Also

PrintPageHeaderFooter Object


%%PageItemTitle%%

SyntaxEdit Members

See Also Syntax Edit ActiveX Control v19.3

SyntaxEdit Control

Description

Syntax Editor control.

For a list of all members defined in this module, see SyntaxEdit members.

Object Model

Remarks

The SyntaxEdit control is a Visual Studio .NET style Syntax Editor Control which is a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.

Intellisense: Using the configuration files described below you can add intellisense to the syntax editor. To active intellisense press Ctrl + Space anytime during editing.

Syntax Colorization: INI file based syntax colorization allows you to specify specific colorization rules for your text documents. For example, you can specify a different set of colors to be used for cpp, h, html, asp, etc files. Color rules can be applied to specific words or groups of words and phrases.

The syntax editor control is capable of enhance text coloring for a number of specific input file types, I.e. C/C++ source files, HTML files, etc. User can create and customize their own text files schemes - they are independent of source files. The control contains the main configuration file, which can contain references to any specific configuration files. By default, this
file is placed in the same folder as the application executable and is called SyntaxEditor.ini. The main configuration file contains 2 blocks with references to input file lexicographic schemes in the specific format (see below) and color themes for the editor, which could be applied to the control editing any file type. The format of the main configuration file is the following:

[Schemes]
CPP=Schemas/_cpp.schclass ; Visual C++
HTML=Schemas/_HTML_ASP.schclass ; HTML and ASP
schclass=Schemas/_schclass.schclass ; Codejock Schema
NSI=Schemas/_nsi.schclass ; Nullsoft Installer
Pascal=Schemas/_pascal.schclass ; Pascal
INI=Schemas/_ini.schclass ; INI Files
SQL=Schemas/_sql.schclass ; SQL Query

[Themes]
Default=Themes/colorSchema0.ini
Alternative=Themes/colorSchema1.ini

Text block grouping: Visual Studio .NET style text block grouping allows you to organize a document of text into blocks of text that can be hidden with the click of a button. Hidden blocks of text can have a message stating what has been hidden for view. This allows you to minimize the clutter of vary large text documents.

Bookmarks allow you to place a "bookmark" at any position in your text document. You can later cycle through all of your bookmarks to easily return to positions of interest in your document.

Visual Studio style breakpoints allow you to place a "breakpoint" at any position in your text document. This can be used for many different reasons, for example, if you have a code compiler you could use these breakpoints to indicate where code execution will "break" and wait for user interaction.

Visual Studio style splitter windows can be used when using the SyntaxEditFrame version of the editor. Splitter windows allow multiple versions of the same file to be displayed in up to 4 views at the same time.

See Also

SyntaxEdit Members


%%PageItemTitle%% $$Members$$

SyntaxEdit Overview

See Also Syntax Edit ActiveX Control v19.3

SyntaxEdit Control Members

Public Methods

Public Method AddRemoveBookmark | Adds or removes a bookmark at a specified row\line in the editor.
Public Method AddRemoveBreakPoint | Adds or removes a break point at a specified row\line in the editor.
Public Method ClearUndoBuffer | Clears the undo manager buffer and delete all commands.
Public Method Copy | Copies the selected text to clipboard.
Public Method Cut | Copies the selected text to clipboard and deletes it from document.
Public Method Find | Finds a certain text with some parameters for find.
Public Method HideFindReplaceDialog | Hides the Find or Replace dialog if visible.
Public Method IndentSelection | Inserts a tab in front of the line that the cursor is currently positioned.
Public Method InsertRow | Adds a row of text to the syntax editor.
Public Method NextBookmark | Moves the current position in the editor to the next bookmark.
Public Method OpenFile | Opens a text file to be displayed in the syntax editor.
Public Method Paste | Paste text from the clipboard to the current document at the position of the cursor.
Public Method PrevBookmark | Moves the current position in the editor to the previous bookmark.
Public Method PrintPreview | Display a print preview window.
Public Method PrintPreviewExt | Runs printpreview in non-maximized mode with given screen position and size.
Public Method PrintText | Prints the current Syntax Edit view.
Public Method PrintText2 | Prints the current Syntax Edit view with the option to print immediately without showing any dialogs or needing any HDC handle.
Public Method Redo | Reapplies previous editing actions that have been undone.
Public Method RedrawControl | Redraws the visual properties of the editor.
Public Method RefreshColors | Refreshes colors for the current document.
Public Method RemoveRow | Removes a row of text from the syntax editor.
Public Method ReplaceAll | Replaces all occurrences of szFindText to szReplaceText.
Public Method ReplaceSel | Replaces a selection with the supplied text.
Public Method RowColCodeFromPoint | Returns the column and row in the syntax editor at the specified x and y coordinates.
Public Method SaveFile | Saves any modifications to the currently open text file.
Public Method SaveFileAs | Saves any modifications to the currently open text file to a new file with the specified name.
Public Method SelectAll | Selects all text in the Syntax Editor.
Public Method SetCodePage | Sets the code page used by the syntax editor.
Public Method SetRowBkColor | Sets the background color of a specified row.
Public Method SetRowColor | Sets the text color of a specified row.
Public Method SetScrollBars |
Public Method ShowFindReplaceDialog | Shows a find or replace dialog.
Public Method Undo | Reverses previous editing actions on a document.
Public Method UnindentSelection | Removes a tab in front of the line that the cursor is currently positioned.

Public Properties

Public Property ActivateOnFocus | Specifies whether to activate control on focus set.
Public Property AllowExpandCollapseInViewOnly | Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.
Public Property AutoCompleteWndWidth | Gets or sets the width of the Intellisense Auto Complete Window.
Public Property BorderStyle | Gets or sets the border style of the syntax editor.
Public Property CanCopy | Specifies whether some text in the editor is currently selected and can be copied to the clipboard.
Public Property CanCut | Specifies whether some text in the editor is currently selected and can be cut from the document and placed on the clipboard.
Public Property CanPaste | Determines whether the clipboard contains some text.
Public Property CanRedo | Specifies whether a Redo action can be performed.
Public Property CanUndo | Specifies whether an Undo action can be performed.
Public Property ConfigFile | Gets or sets the path to the main configuration file.
Public Property CurrPos | Gets\sets the current cursor position.
Public Property CustomTitle | Gets\sets the title that is printed at the top of the page when the document is printed.
Public Property DataManager | Not accessible at this time.
Public Property EnableAutoIndent | Enables or disables auto indent.
Public Property Enabled | Gets or sets a value that determines whether the syntax editor is enabled.
Public Property EnableEditAccelerators | Enables or disables the use of commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc.
Public Property EnableSyntaxColorization | Enable/disables syntax colorization.
Public Property EnableVirtualSpace | Specifies whether spaces are inserted at the end of each line of text.
Public Property FileMonitorMode | Monitors changes to the syntax used to format the file.
Public Property FindReplaceDialogHistoryCountMax |
Public Property FindReplaceDialogVisible | Returns whether the Find or Replace dialog is currently visible.
Public Property Font | Gets or sets the font used to display text in the syntax editor.
Public Property GlobalSettings | Syntax Edit global settings, such as application name and resource file.
Public Property HideCaret | Gets or sets whether the blinking cursor that shows the current position is visible.
Public Property hWnd | The hWnd property returns the handle to the syntax editor control.
Public Property LineNumbersFormat | Specifies the format of the line numbers when visible.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property OverwriteMode | Toggles the text-entry mode between insert and overwrite.
Public Property PaintManager | Handles most of the drawing activities for colorizing the of the SyntaxEdit control.
Public Property PrintOptions | Options that specify how the syntax edit view should look when sent to a print device.
Public Property PrintPreviewOptions | Object that contains options for the print preview window.
Public Property ReadOnly | Gets or sets a value indicating whether text in the syntax editor is read-only.
Public Property ReCreateReparented |
Public Property RowsCount | Returns the total number of lines in the syntax editor.
Public Property RowText | Gets or set the text for the specified row.
Public Property RowTextLength | Gets the total number of characters in the specified row.
Public Property Selection | Returns the currently selected text.
Public Property ShowCollapsibleNodes | Gets or sets whether collapsible nodes are visible.
Public Property ShowLineNumbers | Enables or disables line numbering.
Public Property ShowScrollBarHorz | Enables or disables the horizontal scroll bar.
Public Property ShowScrollBarVert | Enables or disables the vertical scroll bar.
Public Property ShowSelectionMargin | Enables or disables the gutter.
Public Property ShowWhiteSpace | Enables/disables showing white spaces (tabs\spaces).
Public Property TabSize | Sets the tab size.
Public Property TabWithSpace | Enables/disables replacing tabs with spaces.
Public Property Text | Gets or sets the text contained inside the syntax editor.
Public Property TextLength | Gets the total number of characters in the syntax editor.
Public Property TopRow | Gets or sets the current top row in the editor.
Public Property ViewOnly | Enables or disables a "ReadOnly" like mode.

Events

Public Event CurPosChanged | Occurs when the cursor position has changed in the syntax editor.
Public Event DblClick | Occurs when the user double-clicks the syntax edit control.
Public Event KeyDown | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |
Public Event TextChanged | Occurs when the contents of the syntax editor have been modified.

See Also

SyntaxEdit Overview


%%PageItemTitle%%

SyntaxEdit Control | PrevBookmark Method | NextBookmark Method

nRow
Row\line number of to adds or remove a bookmark.
See Also Syntax Edit ActiveX Control v19.3

AddRemoveBookmark Method

Description

Adds or removes a bookmark at a specified row\line in the editor.

Syntax

Public Sub AddRemoveBookmark( _
   ByVal nRow As Long _
)

Parameters

nRow
Row\line number of to adds or remove a bookmark.

Remarks

Adds or removes a bookmark at a specified row\line in the editor. If there is not a bookmark at the specified row then a bookmark will be added, if a bookmark exists at the specified row then the bookmark will be removed.

Bookmarks allow you to place a "bookmark" at any position in your text document. You can later cycle through all of your bookmarks to easily return to positions of interest in your document.

See Also

SyntaxEdit Control | PrevBookmark Method | NextBookmark Method


%%PageItemTitle%%

SyntaxEdit Control

nRow
Row\line number of to adds or remove a break point.
See Also Syntax Edit ActiveX Control v19.3

AddRemoveBreakPoint Method

Description

Adds or removes a break point at a specified row\line in the editor.

Syntax

Public Sub AddRemoveBreakPoint( _
   ByVal nRow As Long _
)

Parameters

nRow
Row\line number of to adds or remove a break point.

Return Type

Adds or removes a break point at a specified row\line in the editor. If there is not a break point at the specified row then a break point will be added, if a break point exists at the specified row then the break point will be removed.

Visual Studio style breakpoints allow you to place a "breakpoint" at any position in your text document. This can be used for many different reasons, for example, if you have a code compiler you could use these breakpoints to indicate where code execution will "break" and wait for user interaction.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | Undo Method

See Also Syntax Edit ActiveX Control v19.3

ClearUndoBuffer Method

Description

Clears the undo manager buffer and delete all commands.

Syntax

Public Sub ClearUndoBuffer()

Remarks

After using ClearUndoBuffer the Undo will do nothing until the syntax edit is edited again.

See Also

SyntaxEdit Control | Undo Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Copy Method

Description

Copies the selected text to clipboard.

Syntax

Public Sub Copy()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Cut Method

Description

Copies the selected text to clipboard and deletes it from document.

Syntax

Public Sub Cut()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

szText
[in] Pointer to a text string to be found.
bMatchWholeWord
[in] Find text matching the whole word.
bMatchCase
[in] Try to match case.
bSearchDown
[in] TRUE for searching downward.
bRedraw
[in] TRUE for redraw control after search.
nStartRow
[in] The row number to start search. Value -1 means start from current row.
nStartCol
[in] The column number to start search. Value -1 means start from current column.
See Also Syntax Edit ActiveX Control v19.3

Find Method

Description

Finds a certain text with some parameters for find.

Syntax

Public Function Find( _
   ByVal szText As String, _
   ByVal bMatchWholeWord As Boolean, _
   ByVal bMatchCase As Boolean, _
   ByVal bSearchDown As Boolean, _
   ByVal bRedraw As Boolean, _
   ByVal nStartRow As Integer, _
   ByVal nStartCol As Integer _
) As Boolean

Parameters

szText
[in] Pointer to a text string to be found.
bMatchWholeWord
[in] Find text matching the whole word.
bMatchCase
[in] Try to match case.
bSearchDown
[in] TRUE for searching downward.
bRedraw
[in] TRUE for redraw control after search.
nStartRow
[in] The row number to start search. Value -1 means start from current row.
nStartCol
[in] The column number to start search. Value -1 means start from current column.

Return Type

TRUE if found, FALSE if not

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | FindReplaceDialogVisible Property | ShowFindReplaceDialog Method

See Also Syntax Edit ActiveX Control v19.3

HideFindReplaceDialog Method

Description

Hides the Find or Replace dialog if visible.

Syntax

Public Sub HideFindReplaceDialog()

Remarks

HideFindReplaceDialog will hide the Find or Replace dialog that was displayed using the ShowFindReplaceDialog method. Use FindReplaceDialogVisible to determine if the dialog is currently visible.

See Also

SyntaxEdit Control | FindReplaceDialogVisible Property | ShowFindReplaceDialog Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

IndentSelection Method

Description

Inserts a tab in front of the line that the cursor is currently positioned.

Syntax

Public Sub IndentSelection()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

nRow
Line number to insert the new row of text.
strText
The new row text.
See Also Syntax Edit ActiveX Control v19.3

InsertRow Method

Description

Adds a row of text to the syntax editor.

Syntax

Public Sub InsertRow( _
   ByVal nRow As Long, _
   ByVal strText As String _
)

Parameters

nRow
Line number to insert the new row of text.
strText
The new row text.

Remarks

The parser is notified to reparse changed text.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | AddRemoveBookmark Method | PrevBookmark Method

See Also Syntax Edit ActiveX Control v19.3

NextBookmark Method

Description

Moves the current position in the editor to the next bookmark.

Syntax

Public Sub NextBookmark()

See Also

SyntaxEdit Control | AddRemoveBookmark Method | PrevBookmark Method


%%PageItemTitle%%

SyntaxEdit Control | ConfigFile Property | SaveFile Method | SaveFileAs Method

FileName
Path and name of the text file to be displayed in the syntax editor.
See Also Syntax Edit ActiveX Control v19.3

OpenFile Method

Description

Opens a text file to be displayed in the syntax editor.

Syntax

Public Sub OpenFile( _
   ByVal FileName As String _
)

Parameters

FileName
Path and name of the text file to be displayed in the syntax editor.

Remarks

Use the ConfigFile property to specify the configuration of different file types (txt, html, xml, asp, cpp, h, etc).

See Also

SyntaxEdit Control | ConfigFile Property | SaveFile Method | SaveFileAs Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Paste Method

Description

Paste text from the clipboard to the current document at the position of the cursor.

Syntax

Public Sub Paste()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | NextBookmark Method | AddRemoveBookmark Method

See Also Syntax Edit ActiveX Control v19.3

PrevBookmark Method

Description

Moves the current position in the editor to the previous bookmark.

Syntax

Public Sub PrevBookmark()

See Also

SyntaxEdit Control | NextBookmark Method | AddRemoveBookmark Method


%%PageItemTitle%%

SyntaxEdit Control

ShowPrintDialog
True to show print preview dialog before displaying.
See Also Syntax Edit ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Sub PrintPreview( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
yBottom
The height of the Print Preview window in pixels.
See Also Syntax Edit ActiveX Control v19.3

PrintPreviewExt Method

Description

Runs printpreview in non-maximized mode with given screen position and size.

Syntax

Public Sub PrintPreviewExt( _
   ByVal ShowPrintDialog As Boolean, _
   ByVal xLeft As Integer, _
   ByVal yTop As Integer, _
   ByVal xRight As Integer, _
   ByVal yBottom As Integer _
)

Parameters

ShowPrintDialog
True to show print preview dialog before displaying.
xLeft
The x-coordinate of the Print Preview window's left edge in pixels.
yTop
The y-coordinate of the Print Preview window's top edge in pixels.
xRight
yBottom
The height of the Print Preview window in pixels.

Remarks

You have the option to pass position and size of the print preview window instead of always Maximized. Maximized is the default size.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

lHDC

A device context for a Printer object.

Use 0 to let the Syntax Edit auto-detect printer settings and display a dialog for printing.

See Also Syntax Edit ActiveX Control v19.3

PrintText Method

Description

Prints the current Syntax Edit view.

Syntax

Public Sub PrintText( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the Syntax Edit auto-detect printer settings and display a dialog for printing.

Remarks

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

Example

[Printing the Syntax Edit View. (Visual Basic)] This sample illustrates how to print the current Syntax Edit view.

'Printing using the default printer dialog
    wndSyntaxEdit.PrintText 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndSyntaxEdit.PrintText .hDC
        End If
    End With

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

bShowPrintDialog
True to display a print dialog before the Syntax Edit view is printed. False to send the Syntax Edit view directly to the printer.
See Also Syntax Edit ActiveX Control v19.3

PrintText2 Method

Description

Prints the current Syntax Edit view with the option to print immediately without showing any dialogs or needing any HDC handle.

Syntax

Public Sub PrintText2( _
   ByVal bShowPrintDialog As Boolean _
)

Parameters

bShowPrintDialog
True to display a print dialog before the Syntax Edit view is printed. False to send the Syntax Edit view directly to the printer.

Remarks

PrintText2 does pretty much the same thing as PrintText only is does not required you to get the real DC handle from an ActiveX control making it easier to use.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | Undo Method | CanUndo Property | CanRedo Property

See Also Syntax Edit ActiveX Control v19.3

Redo Method

Description

Reapplies previous editing actions that have been undone.

Syntax

Public Sub Redo()

Remarks

You can reverse a Redo operation by using the Undo method.

The syntax editor will remember all of the editing (within reason) performed in the editor.

See Also

SyntaxEdit Control | Undo Method | CanUndo Property | CanRedo Property


%%PageItemTitle%%

SyntaxEdit Control | SetRowBkColor Method | SetRowColor Method

See Also Syntax Edit ActiveX Control v19.3

RedrawControl Method

Description

Redraws the visual properties of the editor.

Syntax

Public Sub RedrawControl()

Remarks

Call RedrawControl when the visual properties of the syntax editor have changed. For example when SetRowBkColor is used to change the background color of a row.

See Also

SyntaxEdit Control | SetRowBkColor Method | SetRowColor Method


%%PageItemTitle%%

SyntaxEdit Control | ConfigFile Property

See Also Syntax Edit ActiveX Control v19.3

RefreshColors Method

Description

Refreshes colors for the current document.

Syntax

Public Sub RefreshColors()

Remarks

Refreshing colors causes the syntax editor to re-read configuration files and re-parse the current document.

See Also

SyntaxEdit Control | ConfigFile Property


%%PageItemTitle%%

SyntaxEdit Control

nRow
Line number of the row to delete.
See Also Syntax Edit ActiveX Control v19.3

RemoveRow Method

Description

Removes a row of text from the syntax editor.

Syntax

Public Sub RemoveRow( _
   ByVal nRow As Long _
)

Parameters

nRow
Line number of the row to delete.

Remarks

The parser is notified to reparse changed text.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

szFindText
[in] Pointer to text to find.
szReplaceText
[in] Pointer to text which will replace.
bMatchWholeWord
[in] Boolean flag to match whole word.
bMatchCase
[in] Boolean flag to match case.
See Also Syntax Edit ActiveX Control v19.3

ReplaceAll Method

Description

Replaces all occurrences of szFindText to szReplaceText.

Syntax

Public Function ReplaceAll( _
   ByVal szFindText As String, _
   ByVal szReplaceText As String, _
   ByVal bMatchWholeWord As Boolean, _
   ByVal bMatchCase As Boolean _
) As Long

Parameters

szFindText
[in] Pointer to text to find.
szReplaceText
[in] Pointer to text which will replace.
bMatchWholeWord
[in] Boolean flag to match whole word.
bMatchCase
[in] Boolean flag to match case.

Return Type

The number of founded matches.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

szNewText
[in] The text to be pasted into the selected part.
See Also Syntax Edit ActiveX Control v19.3

ReplaceSel Method

Description

Replaces a selection with the supplied text.

Syntax

Public Function ReplaceSel( _
   ByVal szNewText As String _
) As Boolean

Parameters

szNewText
[in] The text to be pasted into the selected part.

Return Type

TRUE if replaced, FALSE otherwise.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

x
x coordinates to test.
y
y coordinates to test.
Row
[out] Row in the syntax editor at the specified x and y coordinates.
Col
[out] Column in the syntax editor at the specified x and y coordinates.
See Also Syntax Edit ActiveX Control v19.3

RowColCodeFromPoint Method

Description

Returns the column and row in the syntax editor at the specified x and y coordinates.

Syntax

Public Function RowColCodeFromPoint( _
   ByVal x As Long, _
   ByVal y As Long, _
   ByRef Row As Long, _
   ByRef Col As Long _
) As Boolean

Parameters

x
x coordinates to test.
y
y coordinates to test.
Row
[out] Row in the syntax editor at the specified x and y coordinates.
Col
[out] Column in the syntax editor at the specified x and y coordinates.

Return Type

True if the coordinates are inside the syntax editor, False otherwise.

Remarks

RowColCodeFromPoint returns the column and row in the syntax editor at the specified x and y coordinates. This can be used with the MouseMove event to get the x and y coordinates of the mouse. Using this information you can get the related row and column.

A common use for this feature is to get the column\row to Drag-n-drop a piece of code or syntax validation.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | OpenFile Method | SaveFileAs Method

See Also Syntax Edit ActiveX Control v19.3

SaveFile Method

Description

Saves any modifications to the currently open text file.

Syntax

Public Sub SaveFile()

Remarks

Use SaveFileAs to create a new file and leave the original unmodified.

See Also

SyntaxEdit Control | OpenFile Method | SaveFileAs Method


%%PageItemTitle%%

SyntaxEdit Control | SaveFile Method | OpenFile Method

FileName
Name and path of the new file to create from the text currenly displayed in the syntax editor control.
See Also Syntax Edit ActiveX Control v19.3

SaveFileAs Method

Description

Saves any modifications to the currently open text file to a new file with the specified name.

Syntax

Public Sub SaveFileAs( _
   ByVal FileName As String _
)

Parameters

FileName
Name and path of the new file to create from the text currenly displayed in the syntax editor control.

See Also

SyntaxEdit Control | SaveFile Method | OpenFile Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

SelectAll Method

Description

Selects all text in the Syntax Editor.

Syntax

Public Sub SelectAll()

Remarks

This has the same effect as pressing Ctrl+A.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

codePage
Code page to use for syntax editing.
See Also Syntax Edit ActiveX Control v19.3

SetCodePage Method

Description

Sets the code page used by the syntax editor.

Syntax

Public Sub SetCodePage( _
   ByVal codePage As Long _
)

Parameters

codePage
Code page to use for syntax editing.

Remarks

Set the code page for the text you intend to sytpe in the editor.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | SetRowColor Method | RedrawControl Method

nRow
Line number of the row to set the background color.
clrColor
The background color to use for the row.
See Also Syntax Edit ActiveX Control v19.3

SetRowBkColor Method

Description

Sets the background color of a specified row.

Syntax

Public Sub SetRowBkColor( _
   ByVal nRow As Long, _
   ByVal clrColor As ULong _
)

Parameters

nRow
Line number of the row to set the background color.
clrColor
The background color to use for the row.

Remarks

This will set the background color for the specified row. Use SetRowColor to set the text color for a row.

Call RedrawControl to update the changes to the screen.

See Also

SyntaxEdit Control | SetRowColor Method | RedrawControl Method


%%PageItemTitle%%

SyntaxEdit Control | SetRowBkColor Method | RedrawControl Method

nRow
Line number of the row to set the text color.
clrColor
The text color to use for the row.
See Also Syntax Edit ActiveX Control v19.3

SetRowColor Method

Description

Sets the text color of a specified row.

Syntax

Public Sub SetRowColor( _
   ByVal nRow As Long, _
   ByVal clrColor As ULong _
)

Parameters

nRow
Line number of the row to set the text color.
clrColor
The text color to use for the row.

Remarks

This will set the text color for the specified row. Use SetRowBkColor to set the background color for a row.

Call RedrawControl to update the changes to the screen.

See Also

SyntaxEdit Control | SetRowBkColor Method | RedrawControl Method


%%PageItemTitle%%

SyntaxEdit Control

hScrollBar
vScrollBar
See Also Syntax Edit ActiveX Control v19.3

SetScrollBars Method

Syntax

Public Sub SetScrollBars( _
   ByVal hScrollBar As Integer, _
   ByVal vScrollBar As Integer _
)

Parameters

hScrollBar
vScrollBar

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | HideFindReplaceDialog Method | FindReplaceDialogVisible Property

bReplaceDlg
Set to True to create a replace dialog or False to create find dialog.
See Also Syntax Edit ActiveX Control v19.3

ShowFindReplaceDialog Method

Description

Shows a find or replace dialog.

Syntax

Public Sub ShowFindReplaceDialog( _
   ByVal bReplaceDlg As Boolean _
)

Parameters

bReplaceDlg
Set to True to create a replace dialog or False to create find dialog.

Remarks

Use HideFindReplaceDialog to hide the dialog and FindReplaceDialogVisible to determine if the dialog is visible.

See Also

SyntaxEdit Control | HideFindReplaceDialog Method | FindReplaceDialogVisible Property


%%PageItemTitle%%

SyntaxEdit Control | Redo Method | CanRedo Property | CanUndo Property

See Also Syntax Edit ActiveX Control v19.3

Undo Method

Description

Reverses previous editing actions on a document.

Syntax

Public Sub Undo()

Remarks

Use the Redo method to reapply editing actions that have been undone.

The syntax editor will remember all of the editing (within reason) performed in the editor.

See Also

SyntaxEdit Control | Redo Method | CanRedo Property | CanUndo Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

UnindentSelection Method

Description

Removes a tab in front of the line that the cursor is currently positioned.

Syntax

Public Sub UnindentSelection()

Remarks

Some text must be selected in the row for this to have an effect.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ActivateOnFocus Property

Description

Specifies whether to activate control on focus set.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ActivateOnFocus() As Boolean

Return Type

True to activate control on focus set. False otherwise.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | ViewOnly Property

See Also Syntax Edit ActiveX Control v19.3

AllowExpandCollapseInViewOnly Property

Description

Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowExpandCollapseInViewOnly() As Boolean

Return Type

True if the buttons are enabled when in ViewOnly mode. False otherwise.

Remarks

Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.

See Also

SyntaxEdit Control | ViewOnly Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

AutoCompleteWndWidth Property

Description

Gets or sets the width of the Intellisense Auto Complete Window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoCompleteWndWidth() As Long

Remarks

To active intellisense press Ctrl + Space anytime during editing. The behavior depends on the currently loaded configuration file (i.e. cpp, html, aso, etc.).

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

BorderStyle Property

Description

Gets or sets the border style of the syntax editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As XTPSyntaxEditBorderStyle

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | CanCut Property | Copy Method | Cut Method | Paste Method

See Also Syntax Edit ActiveX Control v19.3

CanCopy Property

Description

Specifies whether some text in the editor is currently selected and can be copied to the clipboard.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

See Also

SyntaxEdit Control | CanCut Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

SyntaxEdit Control | CanCopy Property | Cut Method | Copy Method | Paste Method

See Also Syntax Edit ActiveX Control v19.3

CanCut Property

Description

Specifies whether some text in the editor is currently selected and can be cut from the document and placed on the clipboard.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

See Also

SyntaxEdit Control | CanCopy Property | Cut Method | Copy Method | Paste Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

CanPaste Property

Description

Determines whether the clipboard contains some text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

Remarks

If no text is available on the clipboard CanPaste will be false.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | Redo Method | Undo Method | CanUndo Property

See Also Syntax Edit ActiveX Control v19.3

CanRedo Property

Description

Specifies whether a Redo action can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

Remarks

If nothing has been added, changed, or deleted to a document then there will be nothing to redo.

See Also

SyntaxEdit Control | Redo Method | Undo Method | CanUndo Property


%%PageItemTitle%%

SyntaxEdit Control | CanRedo Property | Redo Method | Undo Method

See Also Syntax Edit ActiveX Control v19.3

CanUndo Property

Description

Specifies whether an Undo action can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

SyntaxEdit Control | CanRedo Property | Redo Method | Undo Method


%%PageItemTitle%%

SyntaxEdit Control | OpenFile Method

See Also Syntax Edit ActiveX Control v19.3

ConfigFile Property

Description

Gets or sets the path to the main configuration file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConfigFile() As String

Remarks

The syntax editor control is capable of enhance text coloring for a number of specific input file types, I.e. C/C++ source files, HTML files, etc. User can create and customize their own text files schemes - they are independent of source files. The control contains the main configuration file, which can contain references to any specific configuration files. By default, this
file is placed in the same folder as the application executable and is called SyntaxEditor.ini. The main configuration file contains 2 blocks with references to input file lexicographic schemes in the specific format (see below) and color themes for the editor, which could be applied to the control editing any file type. The format of the main configuration file is the following:

[Schemes]
CPP=Schemas/_cpp.schclass ; Visual C++
HTML=Schemas/_HTML_ASP.schclass ; HTML and ASP
schclass=Schemas/_schclass.schclass ; Codejock Schema
NSI=Schemas/_nsi.schclass ; Nullsoft Installer
Pascal=Schemas/_pascal.schclass ; Pascal
INI=Schemas/_ini.schclass ; INI Files
SQL=Schemas/_sql.schclass ; SQL Query

[Themes]
Default=Themes/colorSchema0.ini
Alternative=Themes/colorSchema1.ini

The INI file based syntax colorization allows you to specify specific colorization rules for your text documents. For example, you can specify a different set of colors to be used for cpp, h, html, asp, etc files. Color rules can be applied to specific words or groups of words and phrases.

Note: The configuration will be reloaded when this property changes.

See Also

SyntaxEdit Control | OpenFile Method


%%PageItemTitle%%

SyntaxEdit Control | SyntaxEditTextPosition Object

See Also Syntax Edit ActiveX Control v19.3

CurrPos Property

Description

Gets\sets the current cursor position.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrPos() As SyntaxEditTextPosition

See Also

SyntaxEdit Control | SyntaxEditTextPosition Object


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

CustomTitle Property

Description

Gets\sets the title that is printed at the top of the page when the document is printed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTitle() As String

Return Type

The title that is printed at the top of the page when the document is printed.

Remarks

Set to "" (blank) to remove the title.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

DataManager Property

Description

Not accessible at this time.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataManager() As SyntaxEditDataManager

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

EnableAutoIndent Property

Description

Enables or disables auto indent.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAutoIndent() As Boolean

Remarks

Hitting the Enter at the end of a line when EnableAutoIndent is True will place the cursor on a new line below with the same indent level equal as the line above.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value that determines whether the syntax editor is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

EnableEditAccelerators Property

Description

Enables or disables the use of commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableEditAccelerators() As Boolean

Remarks

When EnableEditAccelerators is True, commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc are enabled in the syntax editor.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | ConfigFile Property

See Also Syntax Edit ActiveX Control v19.3

EnableSyntaxColorization Property

Description

Enable/disables syntax colorization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableSyntaxColorization() As Boolean

Remarks

EnableSyntaxColorization is used to enable or disable syntax colorization. Set to True to enable syntax colorization, otherwise syntax colorization is disabled.

The colorization used depends on the currently set ConfigFile.

See Also

SyntaxEdit Control | ConfigFile Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

EnableVirtualSpace Property

Description

Specifies whether spaces are inserted at the end of each line of text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableVirtualSpace() As Boolean

Remarks

EnableVirtualSpace inserts spaces at the end of each line of text. Enable this property to position comments at a consistent point next to your text\code.

This can be useful for is lining up text in columns when there are blank lines between them. Another nice feature is that your cursor will no jump back and forth across the screen as you are using the keyboard to navigate up and down the document.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

FileMonitorMode Property

Description

Monitors changes to the syntax used to format the file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileMonitorMode() As Boolean

Return Type

True to Monitor, False to ignore.

Remarks

FileMonitorMode is used to detect changes to the syntax used to format the file. It will send a popup notifying the user a change has been made.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

FindReplaceDialogHistoryCountMax Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FindReplaceDialogHistoryCountMax() As Long

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | ShowFindReplaceDialog Method | HideFindReplaceDialog Method

See Also Syntax Edit ActiveX Control v19.3

FindReplaceDialogVisible Property

Description

Returns whether the Find or Replace dialog is currently visible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FindReplaceDialogVisible() As Long

Remarks

Use ShowFindReplaceDialog to show a Find or Replace dialog and HideFindReplaceDialog to hide a Find or Replace dialog.

See Also

SyntaxEdit Control | ShowFindReplaceDialog Method | HideFindReplaceDialog Method


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Font Property

Description

Gets or sets the font used to display text in the syntax editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

GlobalSettings Property

Description

Syntax Edit global settings, such as application name and resource file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GlobalSettings() As SyntaxEditGlobalSettings

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

HideCaret Property

Description

Gets or sets whether the blinking cursor that shows the current position is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideCaret() As Boolean

Remarks

Set to False to hide the blinking cursor that shows the current position.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

hWnd Property

Description

The hWnd property returns the handle to the syntax editor control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

LineNumbersFormat Property

Description

Specifies the format of the line numbers when visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineNumbersFormat() As String

Return Type

Format of the line numbers.

Remarks

LineNumbersFormat allows you to keep same width line numbers for small and big numbers ('0001' - '9999' in this case for "04" and ' 1' - '9999' for "4")

The following example will make the line numbers 4 digits\spaces wide.

'Numbers will include leading zeros up to 4 digits
LineNumbersFormat = "0004"

or

'Numbers will include leading spaces up to 4 digits
LineNumbersFormat = "4"

You must call RedrawControl after setting this property.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

OverwriteMode Property

Description

Toggles the text-entry mode between insert and overwrite.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OverwriteMode() As Boolean

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | BackColor Property | LineNumberBackColor Property | LineNumberTextColor Property | ReadOnlyBackColor Property | SelectedBackColor Property | SelectedTextColor Property | TextColor Property

See Also Syntax Edit ActiveX Control v19.3

PaintManager Property

Description

Handles most of the drawing activities for colorizing the of the SyntaxEdit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As SyntaxEditPaintManager

Remarks

Allows the BackColor and TextColor of the editor to be set, the LineNumberBackColor and LineNumberTextColor to be set, background color of ReadOnly text, and selected texts TextColor and BackColor.

See Also

SyntaxEdit Control | BackColor Property | LineNumberBackColor Property | LineNumberTextColor Property | ReadOnlyBackColor Property | SelectedBackColor Property | SelectedTextColor Property | TextColor Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

PrintOptions Property

Description

Options that specify how the syntax edit view should look when sent to a print device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintOptions() As SyntaxEditPrintOptions

Remarks

The PrintOptions property allows you to manually set the Print Options that can be set using the "Page Setup" dialog that PrintText2 displays. These options effect how the syntax edit view looks when printed.

Using PrintOptions, you can access print options such as page margins, page header, header font, etc.

See the SyntaxEditPrintOptions members for a detailed descriptions of each print option that can be set.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

PrintPreviewOptions Property

Description

Object that contains options for the print preview window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintPreviewOptions() As XtremePrintPreviewOptions

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | ViewOnly Property

See Also Syntax Edit ActiveX Control v19.3

ReadOnly Property

Description

Gets or sets a value indicating whether text in the syntax editor is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

SyntaxEdit Control | ViewOnly Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

RowsCount Property

Description

Returns the total number of lines in the syntax editor.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RowsCount() As Long

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

nRow
Line number of the text to get or set.
See Also Syntax Edit ActiveX Control v19.3

RowText Property

Description

Gets or set the text for the specified row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowText( _
   ByVal nRow As Long _
) As String

Parameters

nRow
Line number of the text to get or set.

Remarks

RowText can be used to change the text at a specific line number.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

nRow
The line number of the to return character count.
See Also Syntax Edit ActiveX Control v19.3

RowTextLength Property

Description

Gets the total number of characters in the specified row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RowTextLength( _
   ByVal nRow As Long _
) As Long

Parameters

nRow
The line number of the to return character count.

Remarks

Tabs count as 1 character regardless of how many spaces a tab represents.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | SyntaxEditTextSelection Object

See Also Syntax Edit ActiveX Control v19.3

Selection Property

Description

Returns the currently selected text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As SyntaxEditTextSelection

Remarks

You can use Selection to get the currently selected text, clear the selection, set the selection mode, change the selected text and determine which direction the text was selected.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

See Also

SyntaxEdit Control | SyntaxEditTextSelection Object


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowCollapsibleNodes Property

Description

Gets or sets whether collapsible nodes are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCollapsibleNodes() As Boolean

Remarks

When setting to False all collapsed nodes will be expanded and then the "+" and "-" node will be hidden.

Example

[[New Example] (Visual Basic)]

wndSyntaxEdit.ShowCollapsibleNodes = True

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowLineNumbers Property

Description

Enables or disables line numbering.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLineNumbers() As Boolean

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowScrollBarHorz Property

Description

Enables or disables the horizontal scroll bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowScrollBarHorz() As Boolean

Remarks

Disabled scroll bars are not visible.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowScrollBarVert Property

Description

Enables or disables the vertical scroll bar.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowScrollBarVert() As Boolean

Remarks

Disabled scroll bars are not visible.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowSelectionMargin Property

Description

Enables or disables the gutter.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSelectionMargin() As Boolean

Remarks

Changes the state for the gutter. Set to True to enable the gutter. Set to False to disable the gutter. Disabled gutter is not visible.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ShowWhiteSpace Property

Description

Enables/disables showing white spaces (tabs\spaces).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWhiteSpace() As Boolean

Remarks

This will display a visible representation of all the "white space" in the current document. ShowWhiteSpace will enable or disable showing white spaces. An arrow ">>" symbol is displayed for a tab and a dot "." symbol for a space.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

TabSize Property

Description

Sets the tab size.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabSize() As Long

Return Type

The tab size. Should be between 2 to 10.

Remarks

Size is measured in space characters and should be between 2 to 10.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | TabSize Property

See Also Syntax Edit ActiveX Control v19.3

TabWithSpace Property

Description

Enables/disables replacing tabs with spaces.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabWithSpace() As Boolean

Return Type

TRUE if tabs should be replaced with spaces, FALSE otherwise.

Remarks

TabWithSpace will enable/disable replacing tabs with spaces.

Set to TRUE if tabs should be replaced with spaces, FALSE otherwise.

See Also

SyntaxEdit Control | TabSize Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

Text Property

Description

Gets or sets the text contained inside the syntax editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

TextLength Property

Description

Gets the total number of characters in the syntax editor.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TextLength() As Long

Remarks

Tabs count as 1 character regardless of how many spaces a tab represents.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

TopRow Property

Description

Gets or sets the current top row in the editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopRow() As Long

Remarks

Use TopRow to determine the current top row in the editor or to set a new top row in the editor. This will automatically scroll the editor to the specified row when set.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | AllowExpandCollapseInViewOnly Property | ReadOnly Property

See Also Syntax Edit ActiveX Control v19.3

ViewOnly Property

Description

Enables or disables a "ReadOnly" like mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewOnly() As Boolean

Return Type

True if enabled, False otherwise.

Remarks

ViewOnly mode is like ReadOnly mode but with normal (not grey) background and the user is not allowed to select or copy text. This mode is good for protected documents.

You can still allow group boxes to be expanded\collapsed by using the AllowExpandCollapseInViewOnly property.

See Also

SyntaxEdit Control | AllowExpandCollapseInViewOnly Property | ReadOnly Property


%%PageItemTitle%%

SyntaxEdit Control | CurrPos Property | Selection Property

nNewRow
New line number the cursor is positioned at.
nNewCol
New column the cursor is positioned at.
See Also Syntax Edit ActiveX Control v19.3

CurPosChanged Event

Description

Occurs when the cursor position has changed in the syntax editor.

Syntax

Public Event CurPosChanged( _
   ByVal nNewRow As Long, _
   ByVal nNewCol As Long _
)

Parameters

nNewRow
New line number the cursor is positioned at.
nNewCol
New column the cursor is positioned at.

See Also

SyntaxEdit Control | CurrPos Property | Selection Property


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

DblClick Event

Description

Occurs when the user double-clicks the syntax edit control.

Syntax

Public Event DblClick()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Syntax Edit ActiveX Control v19.3

KeyDown Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Syntax Edit ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Syntax Edit ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was pressed to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.
See Also Syntax Edit ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.
Shift
An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.
x
A number that specifies the current x coordinate location of the mouse pointer.
y
A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.
See Also Syntax Edit ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Returns an integer that identifies the button that was released to cause the event.
Shift
Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.
x
Returns a number that specifies the current x coordinate location of the mouse pointer.
y
Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
See Also Syntax Edit ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.
See Also Syntax Edit ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control

See Also Syntax Edit ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

SyntaxEdit Control


%%PageItemTitle%%

SyntaxEdit Control | SyntaxEditTextAction Enumeration

nRowFrom
First row in the editor where modifications have been made.
nRowTo
Last row in the editor where modifications have been made.
nActions
Flags from SyntaxEditTextAction that specify what actions have been performed.
See Also Syntax Edit ActiveX Control v19.3

TextChanged Event

Description

Occurs when the contents of the syntax editor have been modified.

Syntax

Public Event TextChanged( _
   ByVal nRowFrom As Long, _
   ByVal nRowTo As Long, _
   ByVal nActions As Long _
)

Parameters

nRowFrom
First row in the editor where modifications have been made.
nRowTo
Last row in the editor where modifications have been made.
nActions
Flags from SyntaxEditTextAction that specify what actions have been performed.

Remarks

Occurs when any modifications have been made inside the editor, for example, pressing a key, cut, paste, etc...

See Also

SyntaxEdit Control | SyntaxEditTextAction Enumeration


%%PageItemTitle%%

SyntaxEditDataManager Members

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditDataManager Object

Description

Object used for buffer management.

For a list of all members defined in this module, see SyntaxEditDataManager members.

See Also

SyntaxEditDataManager Members


%%PageItemTitle%% $$Members$$

SyntaxEditDataManager Overview

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditDataManager Object Members

Public Properties

Public Property FileExt Gets or sets the file extension.

See Also

SyntaxEditDataManager Overview


%%PageItemTitle%%

SyntaxEditDataManager Object

See Also Syntax Edit ActiveX Control v19.3

FileExt Property

Description

Gets or sets the file extension.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileExt() As String

See Also

SyntaxEditDataManager Object


%%PageItemTitle%%

SyntaxEditFrame Members

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditFrame Control

Description

Syntax Editor control.

For a list of all members defined in this module, see SyntaxEditFrame members.

Object Model

Remarks

The SyntaxEdit control is a Visual Studio .NET style Syntax Editor Control which is a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.

Intellisense: Using the configuration files described below you can add intellisense to the syntax editor. To active intellisense press Ctrl + Space anytime during editing.

Syntax Colorization: INI file based syntax colorization allows you to specify specific colorization rules for your text documents. For example, you can specify a different set of colors to be used for cpp, h, html, asp, etc files. Color rules can be applied to specific words or groups of words and phrases.

The syntax editor control is capable of enhance text coloring for a number of specific input file types, I.e. C/C++ source files, HTML files, etc. User can create and customize their own text files schemes - they are independent of source files. The control contains the main configuration file, which can contain references to any specific configuration files. By default, this
file is placed in the same folder as the application executable and is called SyntaxEditor.ini. The main configuration file contains 2 blocks with references to input file lexicographic schemes in the specific format (see below) and color themes for the editor, which could be applied to the control editing any file type. The format of the main configuration file is the following:

[Schemes]
CPP=Schemas/_cpp.schclass ; Visual C++
HTML=Schemas/_HTML_ASP.schclass ; HTML and ASP
schclass=Schemas/_schclass.schclass ; Codejock Schema
NSI=Schemas/_nsi.schclass ; Nullsoft Installer
Pascal=Schemas/_pascal.schclass ; Pascal
INI=Schemas/_ini.schclass ; INI Files
SQL=Schemas/_sql.schclass ; SQL Query

[Themes]
Default=Themes/colorSchema0.ini
Alternative=Themes/colorSchema1.ini

Text block grouping: Visual Studio .NET style text block grouping allows you to organize a document of text into blocks of text that can be hidden with the click of a button. Hidden blocks of text can have a message stating what has been hidden for view. This allows you to minimize the clutter of vary large text documents.

Bookmarks allow you to place a "bookmark" at any position in your text document. You can later cycle through all of your bookmarks to easily return to positions of interest in your document.

Visual Studio style breakpoints allow you to place a "breakpoint" at any position in your text document. This can be used for many different reasons, for example, if you have a code compiler you could use these breakpoints to indicate where code execution will "break" and wait for user interaction.

Visual Studio style splitter windows can be used when using the SyntaxEditFrame version of the editor. Splitter windows allow multiple versions of the same file to be displayed in up to 4 views at the same time.

See Also

SyntaxEditFrame Members


%%PageItemTitle%% $$Members$$

SyntaxEditFrame Overview

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditFrame Control Members

Public Methods

Public Method AboutBox |
Public Method AddRemoveBookmark | Adds or removes a bookmark at a specified row\line in the editor.
Public Method AddRemoveBreakPoint | Adds or removes a break point at a specified row\line in the editor.
Public Method ClearUndoBuffer | Clears the undo manager buffer and delete all commands.
Public Method Copy | Copies the selected text to clipboard.
Public Method Cut | Copies the selected text to clipboard and deletes it from document.
Public Method Find | Finds a certain text with some parameters for find.
Public Method HideFindReplaceDialog | Hides the Find or Replace dialog if visible.
Public Method IndentSelection | Inserts a tab in front of the line that the cursor is currently positioned.
Public Method InsertRow | Adds a row of text to the syntax editor.
Public Method NextBookmark | Moves the current position in the editor to the next bookmark.
Public Method OpenFile | Opens a text file to be displayed in the syntax editor.
Public Method Paste | Paste text from the clipboard to the current document at the position of the cursor.
Public Method PrevBookmark | Moves the current position in the editor to the previous bookmark.
Public Method PrintPreview | Display a print preview window.
Public Method PrintPreviewExt | Runs printpreview in non-maximized mode with given screen position and size.
Public Method PrintText | Prints the current Syntax Edit view.
Public Method PrintText2 | Prints the current Syntax Edit view with the option to print immediately without showing any dialogs or needing any HDC handle.
Public Method Redo | Reapplies previous editing actions that have been undone.
Public Method RedrawControl | Redraws the visual properties of the editor.
Public Method RefreshColors | Refreshes colors for the current document.
Public Method RemoveRow | Removes a row of text from the syntax editor.
Public Method ReplaceAll | Replaces all occurrences of szFindText to szReplaceText.
Public Method ReplaceSel | Replaces a selection with the supplied text.
Public Method RowColCodeFromPoint | Returns the column and row in the syntax editor at the specified x and y coordinates.
Public Method SaveFile | Saves any modifications to the currently open text file.
Public Method SaveFileAs | Saves any modifications to the currently open text file to a new file with the specified name.
Public Method SelectAll | Selects all text in the Syntax Editor.
Public Method SetCodePage | Sets the code page used by the syntax editor.
Public Method SetRowBkColor | Sets the background color of a specified row.
Public Method SetRowColor | Sets the text color of a specified row.
Public Method SetSyntaxAndColorScheme | 2nd (optional) param - string with Color Scheme, 3rd (optional) param - bool to show or not (default) internal editor with passed Syntax Scheme, 4th (optional) param - bool to show or not (default) internal editor with passed Color Scheme
Public Method ShowFindReplaceDialog | Shows a find or replace dialog.
Public Method SyntaxSet |
Public Method Undo | Reverses previous editing actions on a document.
Public Method UnindentSelection | Removes a tab in front of the line that the cursor is currently positioned.

Public Properties

Public Property AllowExpandCollapseInViewOnly | Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.
Public Property AutoCompleteWndWidth | Gets or sets the width of the Intellisense Auto Complete Window.
Public Property CanCopy | Specifies whether some text in the editor is currently selected and can be copied to the clipboard.
Public Property CanCut | Specifies whether some text in the editor is currently selected and can be cut from the document and placed on the clipboard.
Public Property CanPaste | Determines whether the clipboard contains some text.
Public Property CanRedo | Specifies whether a Redo action can be performed.
Public Property CanUndo | Specifies whether an Undo action can be performed.
Public Property ColorScheme |
Public Property ConfigFile | Gets or sets the path to the main configuration file.
Public Property CurrPos | Gets\sets the current cursor position.
Public Property CustomTitle | Gets\sets the title that is printed at the top of the page when the document is printed.
Public Property DataManager | Not accessible at this time.
Public Property EnableAutoIndent | Enables or disables auto indent.
Public Property Enabled | Gets or sets a value that determines whether the syntax editor is enabled.
Public Property EnableEditAccelerators | Enables or disables the use of commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc.
Public Property EnableSyntaxColorization | Enable/disables syntax colorization.
Public Property EnableVirtualSpace | Specifies whether spaces are inserted at the end of each line of text.
Public Property FileMonitorMode | Monitors changes to the syntax used to format the file.
Public Property FindReplaceDialogHistoryCountMax |
Public Property FindReplaceDialogVisible | Returns whether the Find or Replace dialog is currently visible.
Public Property Font | Gets or sets the font used to display text in the syntax editor.
Public Property GlobalSettings | Syntax Edit global settings, such as application name and resource file.
Public Property HideCaret | Gets or sets whether the blinking cursor that shows the current position is visible.
Public Property hWnd | The hWnd property returns the handle to the syntax editor control.
Public Property LineNumbersFormat | Specifies the format of the line numbers when visible.
Public Property OLEDropMode | Returns or sets how a target component handles drop operations.
Public Property OverwriteMode | Toggles the text-entry mode between insert and overwrite.
Public Property PaintManager | Handles most of the drawing activities for colorizing the of the SyntaxEdit control.
Public Property PrintOptions | Options that specify how the syntax edit view should look when sent to a print device.
Public Property PrintPreviewOptions | Object that contains options for the print preview window.
Public Property ReadOnly | Gets or sets a value indicating whether text in the syntax editor is read-only.
Public Property ReCreateReparented |
Public Property RowsCount | Returns the total number of lines in the syntax editor.
Public Property RowText | Gets or set the text for the specified row.
Public Property RowTextLength | Gets the total number of characters in the specified row.
Public Property Selection | Returns the currently selected text.
Public Property ShowCollapsibleNodes | Gets or sets whether collapsible nodes are visible.
Public Property ShowLineNumbers | Enables or disables line numbering.
Public Property ShowSelectionMargin | Enables or disables the gutter.
Public Property ShowWhiteSpace | Enables/disables showing white spaces (tabs\spaces).
Public Property SyntaxScheme |
Public Property TabSize | Sets the tab size.
Public Property TabWithSpace | Enables/disables replacing tabs with spaces.
Public Property Text | Gets or sets the text contained inside the syntax editor.
Public Property TextLength | Gets the total number of characters in the syntax editor.
Public Property TopRow | Gets or sets the current top row in the editor.
Public Property ViewOnly | Enables or disables a "ReadOnly" like mode.

Events

Public Event CurPosChanged | Occurs when the cursor position has changed in the syntax editor.
Public Event DblClick | Occurs when the user double-clicks the syntax edit control.
Public Event KeyDown | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event KeyUp | Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)
Public Event MouseDown | Occurs when the user presses a mouse button.
Public Event MouseMove | Occurs when the user moves the mouse.
Public Event MouseUp | Occurs when the user releases a mouse button.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |
Public Event TextChanged | Occurs when the contents of the syntax editor have been modified.

See Also

SyntaxEditFrame Overview


%%PageItemTitle%%

SyntaxEditFrame Control | PrevBookmark Method | NextBookmark Method

nRow

Row\line number of to adds or remove a bookmark.

See Also Syntax Edit ActiveX Control v19.3

AddRemoveBookmark Method

Description

Adds or removes a bookmark at a specified row\line in the editor.

Syntax

Public Sub AddRemoveBookmark( _
   ByVal nRow As Long _
)

Parameters

nRow

Row\line number of to adds or remove a bookmark.

Remarks

Adds or removes a bookmark at a specified row\line in the editor. If there is not a bookmark at the specified row then a bookmark will be added, if a bookmark exists at the specified row then the bookmark will be removed.

Bookmarks allow you to place a "bookmark" at any position in your text document. You can later cycle through all of your bookmarks to easily return to positions of interest in your document.

See Also

SyntaxEditFrame Control | PrevBookmark Method | NextBookmark Method


%%PageItemTitle%%

SyntaxEditFrame Control

nRow

Row\line number of to adds or remove a break point.

See Also Syntax Edit ActiveX Control v19.3

AddRemoveBreakPoint Method

Description

Adds or removes a break point at a specified row\line in the editor.

Syntax

Public Sub AddRemoveBreakPoint( _
   ByVal nRow As Long _
)

Parameters

nRow

Row\line number of to adds or remove a break point.

Return Type

Adds or removes a break point at a specified row\line in the editor. If there is not a break point at the specified row then a break point will be added, if a break point exists at the specified row then the break point will be removed.

Visual Studio style breakpoints allow you to place a "breakpoint" at any position in your text document. This can be used for many different reasons, for example, if you have a code compiler you could use these breakpoints to indicate where code execution will "break" and wait for user interaction.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | Undo Method

See Also Syntax Edit ActiveX Control v19.3

ClearUndoBuffer Method

Description

Clears the undo manager buffer and delete all commands.

Syntax

Public Sub ClearUndoBuffer()

Remarks

After using ClearUndoBuffer the Undo will do nothing until the syntax edit is edited again.

See Also

SyntaxEditFrame Control | Undo Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Copy Method

Description

Copies the selected text to clipboard.

Syntax

Public Sub Copy()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Cut Method

Description

Copies the selected text to clipboard and deletes it from document.

Syntax

Public Sub Cut()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

szText

[in] Pointer to a text string to be found.

bMatchWholeWord

[in] Find text matching the whole word.

bMatchCase

[in] Try to match case.

bSearchDown

[in] TRUE for searching downward.

bRedraw

[in] TRUE for redraw control after search.

nStartRow

[in] The row number to start search. Value -1 means start from current row.

nStartCol

[in] The column number to start search. Value -1 means start from current column.

See Also Syntax Edit ActiveX Control v19.3

Find Method

Description

Finds a certain text with some parameters for find.

Syntax

Public Function Find( _
   ByVal szText As String, _
   ByVal bMatchWholeWord As Boolean, _
   ByVal bMatchCase As Boolean, _
   ByVal bSearchDown As Boolean, _
   ByVal bRedraw As Boolean, _
   ByVal nStartRow As Integer, _
   ByVal nStartCol As Integer _
) As Boolean

Parameters

szText

[in] Pointer to a text string to be found.

bMatchWholeWord

[in] Find text matching the whole word.

bMatchCase

[in] Try to match case.

bSearchDown

[in] TRUE for searching downward.

bRedraw

[in] TRUE for redraw control after search.

nStartRow

[in] The row number to start search. Value -1 means start from current row.

nStartCol

[in] The column number to start search. Value -1 means start from current column.

Return Type

TRUE if found, FALSE if not

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | FindReplaceDialogVisible Property | ShowFindReplaceDialog Method

See Also Syntax Edit ActiveX Control v19.3

HideFindReplaceDialog Method

Description

Hides the Find or Replace dialog if visible.

Syntax

Public Sub HideFindReplaceDialog()

Remarks

HideFindReplaceDialog will hide the Find or Replace dialog that was displayed using the ShowFindReplaceDialog method. Use FindReplaceDialogVisible to determine if the dialog is currently visible.

See Also

SyntaxEditFrame Control | FindReplaceDialogVisible Property | ShowFindReplaceDialog Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

IndentSelection Method

Description

Inserts a tab in front of the line that the cursor is currently positioned.

Syntax

Public Sub IndentSelection()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

nRow

Line number to insert the new row of text.

strText

The new row text.

See Also Syntax Edit ActiveX Control v19.3

InsertRow Method

Description

Adds a row of text to the syntax editor.

Syntax

Public Sub InsertRow( _
   ByVal nRow As Long, _
   ByVal strText As String _
)

Parameters

nRow

Line number to insert the new row of text.

strText

The new row text.

Remarks

The parser is notified to reparse changed text.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | AddRemoveBookmark Method | PrevBookmark Method

See Also Syntax Edit ActiveX Control v19.3

NextBookmark Method

Description

Moves the current position in the editor to the next bookmark.

Syntax

Public Sub NextBookmark()

See Also

SyntaxEditFrame Control | AddRemoveBookmark Method | PrevBookmark Method


%%PageItemTitle%%

SyntaxEditFrame Control | ConfigFile Property | SaveFile Method | SaveFileAs Method

FileName

Path and name of the text file to be displayed in the syntax editor.

See Also Syntax Edit ActiveX Control v19.3

OpenFile Method

Description

Opens a text file to be displayed in the syntax editor.

Syntax

Public Sub OpenFile( _
   ByVal FileName As String _
)

Parameters

FileName

Path and name of the text file to be displayed in the syntax editor.

Remarks

Use the ConfigFile property to specify the configuration of different file types (txt, html, xml, asp, cpp, h, etc).

See Also

SyntaxEditFrame Control | ConfigFile Property | SaveFile Method | SaveFileAs Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Paste Method

Description

Paste text from the clipboard to the current document at the position of the cursor.

Syntax

Public Sub Paste()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | NextBookmark Method | AddRemoveBookmark Method

See Also Syntax Edit ActiveX Control v19.3

PrevBookmark Method

Description

Moves the current position in the editor to the previous bookmark.

Syntax

Public Sub PrevBookmark()

See Also

SyntaxEditFrame Control | NextBookmark Method | AddRemoveBookmark Method


%%PageItemTitle%%

SyntaxEditFrame Control

ShowPrintDialog

True to show print preview dialog before displaying.

See Also Syntax Edit ActiveX Control v19.3

PrintPreview Method

Description

Display a print preview window.

Syntax

Public Sub PrintPreview( _
   ByVal ShowPrintDialog As Boolean _
)

Parameters

ShowPrintDialog

True to show print preview dialog before displaying.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

ShowPrintDialog

True to show print preview dialog before displaying.

xLeft

The x-coordinate of the Print Preview window's left edge in pixels.

yTop

The y-coordinate of the Print Preview window's top edge in pixels.

xRight
yBottom

The height of the Print Preview window in pixels.

See Also Syntax Edit ActiveX Control v19.3

PrintPreviewExt Method

Description

Runs printpreview in non-maximized mode with given screen position and size.

Syntax

Public Sub PrintPreviewExt( _
   ByVal ShowPrintDialog As Boolean, _
   ByVal xLeft As Integer, _
   ByVal yTop As Integer, _
   ByVal xRight As Integer, _
   ByVal yBottom As Integer _
)

Parameters

ShowPrintDialog

True to show print preview dialog before displaying.

xLeft

The x-coordinate of the Print Preview window's left edge in pixels.

yTop

The y-coordinate of the Print Preview window's top edge in pixels.

xRight
yBottom

The height of the Print Preview window in pixels.

Remarks

You have the option to pass position and size of the print preview window instead of always Maximized. Maximized is the default size.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

lHDC

A device context for a Printer object.

Use 0 to let the Syntax Edit auto-detect printer settings and display a dialog for printing.

See Also Syntax Edit ActiveX Control v19.3

PrintText Method

Description

Prints the current Syntax Edit view.

Syntax

Public Sub PrintText( _
   ByVal lHDC As Integer _
)

Parameters

lHDC

A device context for a Printer object.

Use 0 to let the Syntax Edit auto-detect printer settings and display a dialog for printing.

Remarks

With a CommonDialog control, the CommonDialog.hDC property returns a device context for the printer selected in the Print dialog box when the cdlReturnDC flag is set. See the sample below for more on how to do this.

Example

[Printing the Syntax Edit View. (Visual Basic)] This sample illustrates how to print the current Syntax Edit view.

'Printing using the default printer dialog
    wndSyntaxEdit.PrintText 0

'Printing using the CommonDialog Control
    On Error Resume Next

    With dlgCommonDialog
        .DialogTitle = "Print"
        .CancelError = True
        .Flags = cdlPDReturnDC + cdlPDNoPageNums
        .ShowPrinter
        If Err <> MSComDlg.cdlCancel Then
            wndSyntaxEdit.PrintText .hDC
        End If
    End With

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

bShowPrintDialog

True to display a print dialog before the Syntax Edit view is printed. False to send the Syntax Edit view directly to the printer.

See Also Syntax Edit ActiveX Control v19.3

PrintText2 Method

Description

Prints the current Syntax Edit view with the option to print immediately without showing any dialogs or needing any HDC handle.

Syntax

Public Sub PrintText2( _
   ByVal bShowPrintDialog As Boolean _
)

Parameters

bShowPrintDialog

True to display a print dialog before the Syntax Edit view is printed. False to send the Syntax Edit view directly to the printer.

Remarks

PrintText2 does pretty much the same thing as PrintText only is does not required you to get the real DC handle from an ActiveX control making it easier to use.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | Undo Method | CanUndo Property | CanRedo Property

See Also Syntax Edit ActiveX Control v19.3

Redo Method

Description

Reapplies previous editing actions that have been undone.

Syntax

Public Sub Redo()

Remarks

You can reverse a Redo operation by using the Undo method.

The syntax editor will remember all of the editing (within reason) performed in the editor.

See Also

SyntaxEditFrame Control | Undo Method | CanUndo Property | CanRedo Property


%%PageItemTitle%%

SyntaxEditFrame Control | SetRowBkColor Method | SetRowColor Method

See Also Syntax Edit ActiveX Control v19.3

RedrawControl Method

Description

Redraws the visual properties of the editor.

Syntax

Public Sub RedrawControl()

Remarks

Call RedrawControl when the visual properties of the syntax editor have changed. For example when SetRowBkColor is used to change the background color of a row.

See Also

SyntaxEditFrame Control | SetRowBkColor Method | SetRowColor Method


%%PageItemTitle%%

SyntaxEditFrame Control | ConfigFile Property

See Also Syntax Edit ActiveX Control v19.3

RefreshColors Method

Description

Refreshes colors for the current document.

Syntax

Public Sub RefreshColors()

Remarks

Refreshing colors causes the syntax editor to re-read configuration files and re-parse the current document.

See Also

SyntaxEditFrame Control | ConfigFile Property


%%PageItemTitle%%

SyntaxEditFrame Control

nRow

Line number of the row to delete.

See Also Syntax Edit ActiveX Control v19.3

RemoveRow Method

Description

Removes a row of text from the syntax editor.

Syntax

Public Sub RemoveRow( _
   ByVal nRow As Long _
)

Parameters

nRow

Line number of the row to delete.

Remarks

The parser is notified to reparse changed text.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

szFindText

[in] Pointer to text to find.

szReplaceText

[in] Pointer to text which will replace.

bMatchWholeWord

[in] Boolean flag to match whole word.

bMatchCase

[in] Boolean flag to match case.

See Also Syntax Edit ActiveX Control v19.3

ReplaceAll Method

Description

Replaces all occurrences of szFindText to szReplaceText.

Syntax

Public Function ReplaceAll( _
   ByVal szFindText As String, _
   ByVal szReplaceText As String, _
   ByVal bMatchWholeWord As Boolean, _
   ByVal bMatchCase As Boolean _
) As Long

Parameters

szFindText

[in] Pointer to text to find.

szReplaceText

[in] Pointer to text which will replace.

bMatchWholeWord

[in] Boolean flag to match whole word.

bMatchCase

[in] Boolean flag to match case.

Return Type

The number of founded matches.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

szNewText

[in] The text to be pasted into the selected part.

See Also Syntax Edit ActiveX Control v19.3

ReplaceSel Method

Description

Replaces a selection with the supplied text.

Syntax

Public Function ReplaceSel( _
   ByVal szNewText As String _
) As Boolean

Parameters

szNewText

[in] The text to be pasted into the selected part.

Return Type

TRUE if replaced, FALSE otherwise.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

x

x coordinates to test.

y

y coordinates to test.

Row

[out] Row in the syntax editor at the specified x and y coordinates.

Col

[out] Column in the syntax editor at the specified x and y coordinates.

See Also Syntax Edit ActiveX Control v19.3

RowColCodeFromPoint Method

Description

Returns the column and row in the syntax editor at the specified x and y coordinates.

Syntax

Public Function RowColCodeFromPoint( _
   ByVal x As Long, _
   ByVal y As Long, _
   ByRef Row As Long, _
   ByRef Col As Long _
) As Boolean

Parameters

x

x coordinates to test.

y

y coordinates to test.

Row

[out] Row in the syntax editor at the specified x and y coordinates.

Col

[out] Column in the syntax editor at the specified x and y coordinates.

Return Type

True if the coordinates are inside the syntax editor, False otherwise.

Remarks

RowColCodeFromPoint returns the column and row in the syntax editor at the specified x and y coordinates. This can be used with the MouseMove event to get the x and y coordinates of the mouse. Using this information you can get the related row and column.

A common use for this feature is to get the column\row to Drag-n-drop a piece of code or syntax validation.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | OpenFile Method | SaveFileAs Method

See Also Syntax Edit ActiveX Control v19.3

SaveFile Method

Description

Saves any modifications to the currently open text file.

Syntax

Public Sub SaveFile()

Remarks

Use SaveFileAs to create a new file and leave the original unmodified.

See Also

SyntaxEditFrame Control | OpenFile Method | SaveFileAs Method


%%PageItemTitle%%

SyntaxEditFrame Control | SaveFile Method | OpenFile Method

FileName

Name and path of the new file to create from the text currenly displayed in the syntax editor control.

See Also Syntax Edit ActiveX Control v19.3

SaveFileAs Method

Description

Saves any modifications to the currently open text file to a new file with the specified name.

Syntax

Public Sub SaveFileAs( _
   ByVal FileName As String _
)

Parameters

FileName

Name and path of the new file to create from the text currenly displayed in the syntax editor control.

See Also

SyntaxEditFrame Control | SaveFile Method | OpenFile Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

SelectAll Method

Description

Selects all text in the Syntax Editor.

Syntax

Public Sub SelectAll()

Remarks

This has the same effect as pressing Ctrl+A.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

codePage

Code page to use for syntax editing.

See Also Syntax Edit ActiveX Control v19.3

SetCodePage Method

Description

Sets the code page used by the syntax editor.

Syntax

Public Sub SetCodePage( _
   ByVal codePage As Long _
)

Parameters

codePage

Code page to use for syntax editing.

Remarks

Set the code page for the text you intend to sytpe in the editor.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | SetRowColor Method | RedrawControl Method

nRow

Line number of the row to set the background color.

clrColor

The background color to use for the row.

See Also Syntax Edit ActiveX Control v19.3

SetRowBkColor Method

Description

Sets the background color of a specified row.

Syntax

Public Sub SetRowBkColor( _
   ByVal nRow As Long, _
   ByVal clrColor As ULong _
)

Parameters

nRow

Line number of the row to set the background color.

clrColor

The background color to use for the row.

Remarks

This will set the background color for the specified row. Use SetRowColor to set the text color for a row.

Call RedrawControl to update the changes to the screen.

See Also

SyntaxEditFrame Control | SetRowColor Method | RedrawControl Method


%%PageItemTitle%%

SyntaxEditFrame Control | SetRowBkColor Method | RedrawControl Method

nRow

Line number of the row to set the text color.

clrColor

The text color to use for the row.

See Also Syntax Edit ActiveX Control v19.3

SetRowColor Method

Description

Sets the text color of a specified row.

Syntax

Public Sub SetRowColor( _
   ByVal nRow As Long, _
   ByVal clrColor As ULong _
)

Parameters

nRow

Line number of the row to set the text color.

clrColor

The text color to use for the row.

Remarks

This will set the text color for the specified row. Use SetRowBkColor to set the background color for a row.

Call RedrawControl to update the changes to the screen.

See Also

SyntaxEditFrame Control | SetRowBkColor Method | RedrawControl Method


%%PageItemTitle%%

SyntaxEditFrame Control | HideFindReplaceDialog Method | FindReplaceDialogVisible Property

bReplaceDlg

Set to True to create a replace dialog or False to create find dialog.

See Also Syntax Edit ActiveX Control v19.3

ShowFindReplaceDialog Method

Description

Shows a find or replace dialog.

Syntax

Public Sub ShowFindReplaceDialog( _
   ByVal bReplaceDlg As Boolean _
)

Parameters

bReplaceDlg

Set to True to create a replace dialog or False to create find dialog.

Remarks

Use HideFindReplaceDialog to hide the dialog and FindReplaceDialogVisible to determine if the dialog is visible.

See Also

SyntaxEditFrame Control | HideFindReplaceDialog Method | FindReplaceDialogVisible Property


%%PageItemTitle%%

SyntaxEditFrame Control | Redo Method | CanRedo Property | CanUndo Property

See Also Syntax Edit ActiveX Control v19.3

Undo Method

Description

Reverses previous editing actions on a document.

Syntax

Public Sub Undo()

Remarks

Use the Redo method to reapply editing actions that have been undone.

The syntax editor will remember all of the editing (within reason) performed in the editor.

See Also

SyntaxEditFrame Control | Redo Method | CanRedo Property | CanUndo Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

UnindentSelection Method

Description

Removes a tab in front of the line that the cursor is currently positioned.

Syntax

Public Sub UnindentSelection()

Remarks

Some text must be selected in the row for this to have an effect.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | ViewOnly Property

See Also Syntax Edit ActiveX Control v19.3

AllowExpandCollapseInViewOnly Property

Description

Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowExpandCollapseInViewOnly() As Boolean

Return Type

True if the buttons are enabled when in ViewOnly mode. False otherwise.

Remarks

Enables or disables the use of the expand\collapse buttons when in ViewOnly mode.

See Also

SyntaxEditFrame Control | ViewOnly Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

AutoCompleteWndWidth Property

Description

Gets or sets the width of the Intellisense Auto Complete Window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AutoCompleteWndWidth() As Long

Remarks

To active intellisense press Ctrl + Space anytime during editing. The behavior depends on the currently loaded configuration file (i.e. cpp, html, aso, etc.).

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | CanCut Property | Copy Method | Cut Method | Paste Method

See Also Syntax Edit ActiveX Control v19.3

CanCopy Property

Description

Specifies whether some text in the editor is currently selected and can be copied to the clipboard.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCopy() As Boolean

See Also

SyntaxEditFrame Control | CanCut Property | Copy Method | Cut Method | Paste Method


%%PageItemTitle%%

SyntaxEditFrame Control | CanCopy Property | Cut Method | Copy Method | Paste Method

See Also Syntax Edit ActiveX Control v19.3

CanCut Property

Description

Specifies whether some text in the editor is currently selected and can be cut from the document and placed on the clipboard.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanCut() As Boolean

See Also

SyntaxEditFrame Control | CanCopy Property | Cut Method | Copy Method | Paste Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

CanPaste Property

Description

Determines whether the clipboard contains some text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanPaste() As Boolean

Remarks

If no text is available on the clipboard CanPaste will be false.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | Redo Method | Undo Method | CanUndo Property

See Also Syntax Edit ActiveX Control v19.3

CanRedo Property

Description

Specifies whether a Redo action can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanRedo() As Boolean

Remarks

If nothing has been added, changed, or deleted to a document then there will be nothing to redo.

See Also

SyntaxEditFrame Control | Redo Method | Undo Method | CanUndo Property


%%PageItemTitle%%

SyntaxEditFrame Control | CanRedo Property | Redo Method | Undo Method

See Also Syntax Edit ActiveX Control v19.3

CanUndo Property

Description

Specifies whether an Undo action can be performed.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CanUndo() As Boolean

See Also

SyntaxEditFrame Control | CanRedo Property | Redo Method | Undo Method


%%PageItemTitle%%

SyntaxEditFrame Control | OpenFile Method

See Also Syntax Edit ActiveX Control v19.3

ConfigFile Property

Description

Gets or sets the path to the main configuration file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ConfigFile() As String

Remarks

The syntax editor control is capable of enhance text coloring for a number of specific input file types, I.e. C/C++ source files, HTML files, etc. User can create and customize their own text files schemes - they are independent of source files. The control contains the main configuration file, which can contain references to any specific configuration files. By default, this
file is placed in the same folder as the application executable and is called SyntaxEditor.ini. The main configuration file contains 2 blocks with references to input file lexicographic schemes in the specific format (see below) and color themes for the editor, which could be applied to the control editing any file type. The format of the main configuration file is the following:

[Schemes]
CPP=Schemas/_cpp.schclass ; Visual C++
HTML=Schemas/_HTML_ASP.schclass ; HTML and ASP
schclass=Schemas/_schclass.schclass ; Codejock Schema
NSI=Schemas/_nsi.schclass ; Nullsoft Installer
Pascal=Schemas/_pascal.schclass ; Pascal
INI=Schemas/_ini.schclass ; INI Files
SQL=Schemas/_sql.schclass ; SQL Query

[Themes]
Default=Themes/colorSchema0.ini
Alternative=Themes/colorSchema1.ini

The INI file based syntax colorization allows you to specify specific colorization rules for your text documents. For example, you can specify a different set of colors to be used for cpp, h, html, asp, etc files. Color rules can be applied to specific words or groups of words and phrases.

Note: The configuration will be reloaded when this property changes.

See Also

SyntaxEditFrame Control | OpenFile Method


%%PageItemTitle%%

SyntaxEditFrame Control | SyntaxEditTextPosition Object

See Also Syntax Edit ActiveX Control v19.3

CurrPos Property

Description

Gets\sets the current cursor position.

Property type

Read-only property

Syntax (Visual Basic)

Public Property CurrPos() As SyntaxEditTextPosition

See Also

SyntaxEditFrame Control | SyntaxEditTextPosition Object


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

CustomTitle Property

Description

Gets\sets the title that is printed at the top of the page when the document is printed.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CustomTitle() As String

Return Type

The title that is printed at the top of the page when the document is printed.

Remarks

Set to "" (blank) to remove the title.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

DataManager Property

Description

Not accessible at this time.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DataManager() As SyntaxEditDataManager

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

EnableAutoIndent Property

Description

Enables or disables auto indent.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAutoIndent() As Boolean

Remarks

Hitting the Enter at the end of a line when EnableAutoIndent is True will place the cursor on a new line below with the same indent level equal as the line above.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Enabled Property

Description

Gets or sets a value that determines whether the syntax editor is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

EnableEditAccelerators Property

Description

Enables or disables the use of commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableEditAccelerators() As Boolean

Remarks

When EnableEditAccelerators is True, commonly used edit accelerators such as Ctrl+C, Ctrl+V, etc are enabled in the syntax editor.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | ConfigFile Property

See Also Syntax Edit ActiveX Control v19.3

EnableSyntaxColorization Property

Description

Enable/disables syntax colorization.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableSyntaxColorization() As Boolean

Remarks

EnableSyntaxColorization is used to enable or disable syntax colorization. Set to True to enable syntax colorization, otherwise syntax colorization is disabled.

The colorization used depends on the currently set ConfigFile.

See Also

SyntaxEditFrame Control | ConfigFile Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

EnableVirtualSpace Property

Description

Specifies whether spaces are inserted at the end of each line of text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableVirtualSpace() As Boolean

Remarks

EnableVirtualSpace inserts spaces at the end of each line of text. Enable this property to position comments at a consistent point next to your text\code.

This can be useful for is lining up text in columns when there are blank lines between them. Another nice feature is that your cursor will no jump back and forth across the screen as you are using the keyboard to navigate up and down the document.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

FileMonitorMode Property

Description

Monitors changes to the syntax used to format the file.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FileMonitorMode() As Boolean

Return Type

True to Monitor, False to ignore.

Remarks

FileMonitorMode is used to detect changes to the syntax used to format the file. It will send a popup notifying the user a change has been made.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

FindReplaceDialogHistoryCountMax Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property FindReplaceDialogHistoryCountMax() As Long

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | ShowFindReplaceDialog Method | HideFindReplaceDialog Method

See Also Syntax Edit ActiveX Control v19.3

FindReplaceDialogVisible Property

Description

Returns whether the Find or Replace dialog is currently visible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property FindReplaceDialogVisible() As Long

Remarks

Use ShowFindReplaceDialog to show a Find or Replace dialog and HideFindReplaceDialog to hide a Find or Replace dialog.

See Also

SyntaxEditFrame Control | ShowFindReplaceDialog Method | HideFindReplaceDialog Method


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Font Property

Description

Gets or sets the font used to display text in the syntax editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

GlobalSettings Property

Description

Syntax Edit global settings, such as application name and resource file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property GlobalSettings() As SyntaxEditGlobalSettings

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

HideCaret Property

Description

Gets or sets whether the blinking cursor that shows the current position is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HideCaret() As Boolean

Remarks

Set to False to hide the blinking cursor that shows the current position.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

hWnd Property

Description

The hWnd property returns the handle to the syntax editor control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

LineNumbersFormat Property

Description

Specifies the format of the line numbers when visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineNumbersFormat() As String

Return Type

Format of the line numbers.

Remarks

LineNumbersFormat allows you to keep same width line numbers for small and big numbers ('0001' - '9999' in this case for "04" and ' 1' - '9999' for "4")

The following example will make the line numbers 4 digits\spaces wide.

'Numbers will include leading zeros up to 4 digits
LineNumbersFormat = "0004"

or

'Numbers will include leading spaces up to 4 digits
LineNumbersFormat = "4"

You must call RedrawControl after setting this property.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

OLEDropMode Property

Description

Returns or sets how a target component handles drop operations.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

OverwriteMode Property

Description

Toggles the text-entry mode between insert and overwrite.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OverwriteMode() As Boolean

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | BackColor Property | LineNumberBackColor Property | LineNumberTextColor Property | ReadOnlyBackColor Property | SelectedBackColor Property | SelectedTextColor Property | TextColor Property

See Also Syntax Edit ActiveX Control v19.3

PaintManager Property

Description

Handles most of the drawing activities for colorizing the of the SyntaxEdit control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PaintManager() As SyntaxEditPaintManager

Remarks

Allows the BackColor and TextColor of the editor to be set, the LineNumberBackColor and LineNumberTextColor to be set, background color of ReadOnly text, and selected texts TextColor and BackColor.

See Also

SyntaxEditFrame Control | BackColor Property | LineNumberBackColor Property | LineNumberTextColor Property | ReadOnlyBackColor Property | SelectedBackColor Property | SelectedTextColor Property | TextColor Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

PrintOptions Property

Description

Options that specify how the syntax edit view should look when sent to a print device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintOptions() As SyntaxEditPrintOptions

Remarks

The PrintOptions property allows you to manually set the Print Options that can be set using the "Page Setup" dialog that PrintText2 displays. These options effect how the syntax edit view looks when printed.

Using PrintOptions, you can access print options such as page margins, page header, header font, etc.

See the SyntaxEditPrintOptions members for a detailed descriptions of each print option that can be set.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

PrintPreviewOptions Property

Description

Object that contains options for the print preview window.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrintPreviewOptions() As XtremePrintPreviewOptions

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | ViewOnly Property

See Also Syntax Edit ActiveX Control v19.3

ReadOnly Property

Description

Gets or sets a value indicating whether text in the syntax editor is read-only.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnly() As Boolean

See Also

SyntaxEditFrame Control | ViewOnly Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

RowsCount Property

Description

Returns the total number of lines in the syntax editor.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RowsCount() As Long

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

nRow

Line number of the text to get or set.

See Also Syntax Edit ActiveX Control v19.3

RowText Property

Description

Gets or set the text for the specified row.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RowText( _
   ByVal nRow As Long _
) As String

Parameters

nRow

Line number of the text to get or set.

Remarks

RowText can be used to change the text at a specific line number.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

nRow

The line number of the to return character count.

See Also Syntax Edit ActiveX Control v19.3

RowTextLength Property

Description

Gets the total number of characters in the specified row.

Property type

Read-only property

Syntax (Visual Basic)

Public Property RowTextLength( _
   ByVal nRow As Long _
) As Long

Parameters

nRow

The line number of the to return character count.

Remarks

Tabs count as 1 character regardless of how many spaces a tab represents.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | SyntaxEditTextSelection Object

See Also Syntax Edit ActiveX Control v19.3

Selection Property

Description

Returns the currently selected text.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Selection() As SyntaxEditTextSelection

Remarks

You can use Selection to get the currently selected text, clear the selection, set the selection mode, change the selected text and determine which direction the text was selected.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

See Also

SyntaxEditFrame Control | SyntaxEditTextSelection Object


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ShowCollapsibleNodes Property

Description

Gets or sets whether collapsible nodes are visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowCollapsibleNodes() As Boolean

Remarks

When setting to False all collapsed nodes will be expanded and then the "+" and "-" node will be hidden.

Example

[[New Example] (Visual Basic)]

wndSyntaxEdit.ShowCollapsibleNodes = True

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ShowLineNumbers Property

Description

Enables or disables line numbering.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowLineNumbers() As Boolean

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ShowSelectionMargin Property

Description

Enables or disables the gutter.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowSelectionMargin() As Boolean

Remarks

Changes the state for the gutter. Set to True to enable the gutter. Set to False to disable the gutter. Disabled gutter is not visible.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ShowWhiteSpace Property

Description

Enables/disables showing white spaces (tabs\spaces).

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowWhiteSpace() As Boolean

Remarks

This will display a visible representation of all the "white space" in the current document. ShowWhiteSpace will enable or disable showing white spaces. An arrow ">>" symbol is displayed for a tab and a dot "." symbol for a space.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

TabSize Property

Description

Sets the tab size.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabSize() As Long

Return Type

The tab size. Should be between 2 to 10.

Remarks

Size is measured in space characters and should be between 2 to 10.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | TabSize Property

See Also Syntax Edit ActiveX Control v19.3

TabWithSpace Property

Description

Enables/disables replacing tabs with spaces.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TabWithSpace() As Boolean

Return Type

TRUE if tabs should be replaced with spaces, FALSE otherwise.

Remarks

TabWithSpace will enable/disable replacing tabs with spaces.

Set to TRUE if tabs should be replaced with spaces, FALSE otherwise.

See Also

SyntaxEditFrame Control | TabSize Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

Text Property

Description

Gets or sets the text contained inside the syntax editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

TextLength Property

Description

Gets the total number of characters in the syntax editor.

Property type

Read-only property

Syntax (Visual Basic)

Public Property TextLength() As Long

Remarks

Tabs count as 1 character regardless of how many spaces a tab represents.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

TopRow Property

Description

Gets or sets the current top row in the editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TopRow() As Long

Remarks

Use TopRow to determine the current top row in the editor or to set a new top row in the editor. This will automatically scroll the editor to the specified row when set.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | AllowExpandCollapseInViewOnly Property | ReadOnly Property

See Also Syntax Edit ActiveX Control v19.3

ViewOnly Property

Description

Enables or disables a "ReadOnly" like mode.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ViewOnly() As Boolean

Return Type

True if enabled, False otherwise.

Remarks

ViewOnly mode is like ReadOnly mode but with normal (not grey) background and the user is not allowed to select or copy text. This mode is good for protected documents.

You can still allow group boxes to be expanded\collapsed by using the AllowExpandCollapseInViewOnly property.

See Also

SyntaxEditFrame Control | AllowExpandCollapseInViewOnly Property | ReadOnly Property


%%PageItemTitle%%

SyntaxEditFrame Control | CurrPos Property | Selection Property

nNewRow

New line number the cursor is positioned at.

nNewCol

New column the cursor is positioned at.

See Also Syntax Edit ActiveX Control v19.3

CurPosChanged Event

Description

Occurs when the cursor position has changed in the syntax editor.

Syntax

Public Event CurPosChanged( _
   ByVal nNewRow As Long, _
   ByVal nNewCol As Long _
)

Parameters

nNewRow

New line number the cursor is positioned at.

nNewCol

New column the cursor is positioned at.

See Also

SyntaxEditFrame Control | CurrPos Property | Selection Property


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

DblClick Event

Description

Occurs when the user double-clicks the syntax edit control.

Syntax

Public Event DblClick()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Syntax Edit ActiveX Control v19.3

KeyDown Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also Syntax Edit ActiveX Control v19.3

KeyUp Event

Description

Occur when the user releases a key while a control has the focus. (To determine ANSI characters, use the KeyPress event.)

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode

A key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).

Shift

Specifies whether the Shift, Ctrl or ALT keys were pressed.

Remarks

The control with focus receives all keystrokes, and this event is most commonly used for extended character keys, navigation keys, combinations of keys with standard keyboard modifiers and distinguishing between the numeric keypad and regular number keys.

Is not invoked for the TAB key.

To determine between uppercase and lowercase you must look at both the KeyCode and Shift arguments.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Syntax Edit ActiveX Control v19.3

MouseDown Event

Description

Occurs when the user presses a mouse button.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was pressed to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is pressed.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

See Also Syntax Edit ActiveX Control v19.3

MouseMove Event

Description

Occurs when the user moves the mouse.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

An integer that corresponds to the state of the mouse buttons in which a bit is set if the button is down.

Shift

An integer that corresponds to the state of the SHIFT, CTRL, and ALT keys. A bit is set if the key is down.

x

A number that specifies the current x coordinate location of the mouse pointer.

y

A number that specifies the current y coordinate location of the mouse pointer.

Remarks

The MouseMove event is generated continually as the mouse pointer moves across objects. Unless another object has captured the mouse, an object recognizes a MouseMove event whenever the mouse position is within its borders.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

See Also Syntax Edit ActiveX Control v19.3

MouseUp Event

Description

Occurs when the user releases a mouse button.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button

Returns an integer that identifies the button that was released to cause the event.

Shift

Returns an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys when the button specified in the button argument is released.

x

Returns a number that specifies the current x coordinate location of the mouse pointer.

y

Returns a number that specifies the current y coordinate location of the mouse pointer.

Remarks

Use a MouseDown or MouseUp event procedure to specify actions that will occur when a given mouse button is pressed or released. Unlike the Click and DblClick events, MouseDown and MouseUp events enable you to distinguish between the left, right, and middle mouse buttons.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also Syntax Edit ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.

x

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also Syntax Edit ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data

A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.

Effect

A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.

Button

An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.

Shift

An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.

x

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

y

A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

state

An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control | SyntaxEditTextAction Enumeration

nRowFrom

First row in the editor where modifications have been made.

nRowTo

Last row in the editor where modifications have been made.

nActions

Flags from SyntaxEditTextAction that specify what actions have been performed.

See Also Syntax Edit ActiveX Control v19.3

TextChanged Event

Description

Occurs when the contents of the syntax editor have been modified.

Syntax

Public Event TextChanged( _
   ByVal nRowFrom As Long, _
   ByVal nRowTo As Long, _
   ByVal nActions As Long _
)

Parameters

nRowFrom

First row in the editor where modifications have been made.

nRowTo

Last row in the editor where modifications have been made.

nActions

Flags from SyntaxEditTextAction that specify what actions have been performed.

Remarks

Occurs when any modifications have been made inside the editor, for example, pressing a key, cut, paste, etc...

See Also

SyntaxEditFrame Control | SyntaxEditTextAction Enumeration


%%PageItemTitle%%

SyntaxEditGlobalSettings Members

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditGlobalSettings Object

Description

SyntaxEdit global settings, such as application name and resource file

For a list of all members defined in this module, see SyntaxEditGlobalSettings members.

Object Model

See Also

SyntaxEditGlobalSettings Members


%%PageItemTitle%% $$Members$$

SyntaxEditGlobalSettings Overview

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditGlobalSettings Object Members

Public Properties

Public Property ColorManager | The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed SyntaxEdit.OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the SyntaxEdit.OCX is used.
Public Property Version | Returns the current SyntaxEdit version as a string.

See Also

SyntaxEditGlobalSettings Overview


%%PageItemTitle%%

SyntaxEditGlobalSettings Object | SetColor Method | Color Property

See Also Syntax Edit ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get and set the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

SyntaxEditGlobalSettings Object | SetColor Method | Color Property


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme Suite\Bin" for the Suite Pro installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[License Sample (Visual Basic)] This sample illustrates how to include the license information in your application.

Private Sub Form_Initialize()
    SyntaxEditGlobalSettings.License = "SyntaxEdit Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XCB-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    DockingPaneGlobalSettings.License = "DockingPane Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                        "PRODUCT-ID: XDP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    PropertyGridGlobalSettings.License = "PropertyGrid Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                         "PRODUCT-ID: XPG-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    ReportControlGlobalSettings.License = "Report Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XRC-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
    SuiteControlsGlobalSettings.License = "Suite Controls Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed SyntaxEdit.OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This sample illustrates how to use a resource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

This code should be placed in the Form_Initialize event of the main form.

Example

[ResourceFile Sample (Visual Basic)] This sample illustrates how to use a rescource file to change the language used to display text in your application. This will translate all static strings that the developer can not change such as the text on the customize dialog.

Private Sub Form_Initialize()
    SyntaxEditGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the SyntaxEdit.OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditGlobalSettings Object

See Also Syntax Edit ActiveX Control v19.3

Version Property

Description

Returns the current SyntaxEdit version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

SyntaxEditGlobalSettings Object


%%PageItemTitle%%

SyntaxEditPaintManager Members | PaintManager Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditPaintManager Object

Description

Object that handles most of the drawing activities for colorizing the of the SyntaxEdit control.

For a list of all members defined in this module, see SyntaxEditPaintManager members.

Remarks

Allows the BackColor and TextColor of the editor to be set, the LineNumberBackColor and LineNumberTextColor to be set, background color of ReadOnly text, and selected texts TextColor and BackColor.

See Also

SyntaxEditPaintManager Members | PaintManager Property


%%PageItemTitle%% $$Members$$

SyntaxEditPaintManager Overview | PaintManager Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditPaintManager Object Members

Public Properties

Public Property BackColor | Gets or sets the background color for the editor.
Public Property LineNumberBackColor | Gets or sets the background color for the line numbers section.
Public Property LineNumberTextColor | Gets or sets the text color for the line numbers section.
Public Property ReadOnlyBackColor | Gets or sets the background color for read only text documents.
Public Property SelectedBackColor | Gets or sets the background color for selected\highlighted text.
Public Property SelectedTextColor | Gets or sets the text color for selected\highlighted text.
Public Property TextColor | Gets or sets the text color for the editor.

See Also

SyntaxEditPaintManager Overview | PaintManager Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | TextColor Property

See Also Syntax Edit ActiveX Control v19.3

BackColor Property

Description

Gets or sets the background color for the editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackColor() As ULong

Remarks

This applies to the text editing area only, not the line number section.

See Also

SyntaxEditPaintManager Object | TextColor Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | LineNumberTextColor Property

See Also Syntax Edit ActiveX Control v19.3

LineNumberBackColor Property

Description

Gets or sets the background color for the line numbers section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineNumberBackColor() As ULong

Remarks

This applies to the line number section only, not the text editing area.

See Also

SyntaxEditPaintManager Object | LineNumberTextColor Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | LineNumberBackColor Property

See Also Syntax Edit ActiveX Control v19.3

LineNumberTextColor Property

Description

Gets or sets the text color for the line numbers section.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LineNumberTextColor() As ULong

Remarks

This applies to the line number section only, not the text editing area.

See Also

SyntaxEditPaintManager Object | LineNumberBackColor Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | ReadOnly Property

See Also Syntax Edit ActiveX Control v19.3

ReadOnlyBackColor Property

Description

Gets or sets the background color for read only text documents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReadOnlyBackColor() As ULong

Remarks

The background color of the syntax editor will be colored using ReadOnlyBackColor when ReadOnly is true.

See Also

SyntaxEditPaintManager Object | ReadOnly Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | SelectedTextColor Property

See Also Syntax Edit ActiveX Control v19.3

SelectedBackColor Property

Description

Gets or sets the background color for selected\highlighted text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedBackColor() As ULong

See Also

SyntaxEditPaintManager Object | SelectedTextColor Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | SelectedBackColor Property

See Also Syntax Edit ActiveX Control v19.3

SelectedTextColor Property

Description

Gets or sets the text color for selected\highlighted text.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectedTextColor() As ULong

See Also

SyntaxEditPaintManager Object | SelectedBackColor Property


%%PageItemTitle%%

SyntaxEditPaintManager Object | BackColor Property

See Also Syntax Edit ActiveX Control v19.3

TextColor Property

Description

Gets or sets the text color for the editor.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Remarks

This applies to the text editing area only, not the line number section.

See Also

SyntaxEditPaintManager Object | BackColor Property


%%PageItemTitle%%

SyntaxEditPrintOptions Members

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditPrintOptions Object

Description

Options used to specify how the Syntax Edit view will look when printed.

For a list of all members defined in this module, see SyntaxEditPrintOptions members.

Object Model

See Also

SyntaxEditPrintOptions Members


%%PageItemTitle%% $$Members$$

SyntaxEditPrintOptions Overview

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditPrintOptions Object Members

Public Properties

Public Property BlackWhiteContrast | Level of black and white contrast.
Public Property BlackWhitePrinting | Gets\sets whether to print in grey scale.
Public Property Footer | Footer of the printed syntax edit view.
Public Property Header | Header of the printed syntax edit view.
Public Property Landscape | Gets or sets a value indicating whether the syntax edit view is printed in landscape or portrait orientation.
Public Property MarginBottom | Bottom margin of the printed syntax edit view.
Public Property MarginLeft | Left margin of the printed syntax edit view.
Public Property MarginRight | Right margin of the printed syntax edit view.
Public Property MarginsMeasureMetrics | Specifies whether the printed margins are calculated using millimeters or inches.
Public Property MarginTop | Top margin of the printed syntax edit view.
Public Property PrinterInfo | Top margin of the printed syntax edit view.

See Also

SyntaxEditPrintOptions Overview


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

BlackWhiteContrast Property

Description

Level of black and white contrast.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhiteContrast() As Long

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

BlackWhitePrinting Property

Description

Gets\sets whether to print in grey scale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlackWhitePrinting() As Boolean

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

Footer Property

Description

Footer of the printed syntax edit view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Footer() As PrintPageHeaderFooter

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

Header Property

Description

Header of the printed syntax edit view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Header() As PrintPageHeaderFooter

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

Landscape Property

Description

Gets or sets a value indicating whether the syntax edit view is printed in landscape or portrait orientation.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Landscape() As Boolean

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

MarginBottom Property

Description

Bottom margin of the printed syntax edit view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginBottom() As Long

Remarks

Gets\sets the distance between the bottom of the page and the bottom of the syntax edit view printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

MarginLeft Property

Description

Left margin of the printed syntax edit view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginLeft() As Long

Remarks

Gets\sets the distance between the left edge of the page and the left edge of the syntax edit view printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

MarginRight Property

Description

Right margin of the printed syntax edit view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginRight() As Long

Remarks

Gets\sets the distance between the right edge of the page and the right edge of the syntax edit view printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

MarginsMeasureMetrics Property

Description

Specifies whether the printed margins are calculated using millimeters or inches.

Property type

Read-only property

Syntax (Visual Basic)

Public Property MarginsMeasureMetrics() As Boolean

Remarks

Retrieves the system of measurement for the users local. This value is True if the metric system is used and False if the U.S. system is used.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

MarginTop Property

Description

Top margin of the printed syntax edit view.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MarginTop() As Long

Remarks

Gets\sets the distance between the top of the page and the top of the syntax edit view printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditPrintOptions Object

See Also Syntax Edit ActiveX Control v19.3

PrinterInfo Property

Description

Top margin of the printed syntax edit view.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PrinterInfo() As XtremePrinterInfo

Remarks

Gets\sets the distance between the top of the page and the top of the syntax edit view printed on the page.

The MarginsMeasureMetrics property indicates whether the margins are calculated using millimeters or inches. Measurement units are millimeters*100 or inches*1000.

See Also

SyntaxEditPrintOptions Object


%%PageItemTitle%%

SyntaxEditTextPosition Members | End Property | NormalEnd Property | NormalStart Property | Start Property | CurrPos Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditTextPosition Object

Description

Object used to hold the position of the cursor, start of selection, end of selection or text position.

For a list of all members defined in this module, see SyntaxEditTextPosition members.

Remarks

The SyntaxEditTextPosition Object is used to hold the position of the cursor, start of selection, end of selection or text position. You can also use this object to determine the length of a string on the display with or without tabs.

See Also

SyntaxEditTextPosition Members | End Property | NormalEnd Property | NormalStart Property | Start Property | CurrPos Property


%%PageItemTitle%% $$Members$$

SyntaxEditTextPosition Overview | End Property | NormalEnd Property | NormalStart Property | Start Property | CurrPos Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditTextPosition Object Members

Public Methods

Public Method SetPos | Sets the position of the cursor.
Public Method SetPosStr | Sets the position of the cursor counting the tab char as only 1 position.

Public Properties

Public Property Col | Gets or sets the column of the cursor or selected text position.
Public Property Row | Gets or sets the row of the cursor or selected text position.
Public Property StrPos | Gets or sets the column position counting the tab char as only 1 position.

See Also

SyntaxEditTextPosition Overview | End Property | NormalEnd Property | NormalStart Property | Start Property | CurrPos Property


%%PageItemTitle%%

SyntaxEditTextPosition Object | Col Property | Row Property

nRow
Row to move to.
nCol
Column to move to.
See Also Syntax Edit ActiveX Control v19.3

SetPos Method

Description

Sets the position of the cursor.

Syntax

Public Sub SetPos( _
   ByVal nRow As Long, _
   ByVal nCol As Long _
)

Parameters

nRow
Row to move to.
nCol
Column to move to.

See Also

SyntaxEditTextPosition Object | Col Property | Row Property


%%PageItemTitle%%

SyntaxEditTextPosition Object | StrPos Property

nRow
Row to move to.
nStrPos
Position\column to move to. This counts the tab char as 1 position.
See Also Syntax Edit ActiveX Control v19.3

SetPosStr Method

Description

Sets the position of the cursor counting the tab char as only 1 position.

Syntax

Public Sub SetPosStr( _
   ByVal nRow As Long, _
   ByVal nStrPos As Long _
)

Parameters

nRow
Row to move to.
nStrPos
Position\column to move to. This counts the tab char as 1 position.

Remarks

The column position has 2 measurements (due to tab chars). One for the actual String and for what is seen on the Display.

For example if you insert tab char in the first position, the string position after tab char is 2 (1+1), but the display position is 5 (1 + TabSize).

By default the Display position used.

StrPos means the string coordinates (started from 0), so tab characters are only treated as 1 position.

See Also

SyntaxEditTextPosition Object | StrPos Property


%%PageItemTitle%%

SyntaxEditTextPosition Object | Row Property

See Also Syntax Edit ActiveX Control v19.3

Col Property

Description

Gets or sets the column of the cursor or selected text position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Col() As Long

See Also

SyntaxEditTextPosition Object | Row Property


%%PageItemTitle%%

SyntaxEditTextPosition Object | Col Property

See Also Syntax Edit ActiveX Control v19.3

Row Property

Description

Gets or sets the row of the cursor or selected text position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Row() As Long

See Also

SyntaxEditTextPosition Object | Col Property


%%PageItemTitle%%

SyntaxEditTextPosition Object | SetPos Method | SetPosStr Method

See Also Syntax Edit ActiveX Control v19.3

StrPos Property

Description

Gets or sets the column position counting the tab char as only 1 position.

Property type

Read-write property

Syntax (Visual Basic)

Public Property StrPos() As Long

Remarks

The column position has 2 measurements (due to tab chars). One for the actual String and for what is seen on the Display.

For example if you insert tab char in the first position, the string position after tab char is 2 (1+1), but the display position is 5 (1 + TabSize).

By default the Display position used.

StrPos means the string coordinates (started from 0), so tab characters are only treated as 1 position.

See Also

SyntaxEditTextPosition Object | SetPos Method | SetPosStr Method


%%PageItemTitle%%

SyntaxEditTextSelection Members | Selection Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditTextSelection Object

Description

Object used to hold the currently text selection.

For a list of all members defined in this module, see SyntaxEditTextSelection members.

Object Model

Remarks

The SyntaxEditTextSelection object allows you to get the currently selected text, clear the selection, set the selection mode, change the selected text and determine which direction the text was selected.

This Object is used to represent syntax edit text selection. It allow you to get and set the selection properties in 2 measurements: string and display. Also selection may be 'Normal' if its start is less then its end, and 'Reverse' otherwise.

See Also

SyntaxEditTextSelection Members | Selection Property


%%PageItemTitle%% $$Members$$

SyntaxEditTextSelection Overview | Selection Property

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditTextSelection Object Members

Public Methods

Public Method Reset Resets\clears the current selection.

Public Properties

Public Property BlockSelectionMode | Specifies whether block selection was used to select text by holding the Aly key when selecting text. Or block selection can be enabled by code.
Public Property End | The "actual" ending position (column\row) of the current selection.
Public Property NormalEnd | The ending position (column\row) of the current selection as it appears on screen.
Public Property NormalStart | The starting position (column\row) of the current selection as it appears on screen.
Public Property Start | The "actual" starting position (column\row) of the current selection.
Public Property Text | Gets or sets the text in the current selection.

See Also

SyntaxEditTextSelection Overview | Selection Property


%%PageItemTitle%%

SyntaxEditTextSelection Object

See Also Syntax Edit ActiveX Control v19.3

Reset Method

Description

Resets\clears the current selection.

Syntax

Public Sub Reset()

Remarks

This will reset\clear the currently selected text. This only clears the selection, it does not do anything to the text that was selected.

See Also

SyntaxEditTextSelection Object


%%PageItemTitle%%

SyntaxEditTextSelection Object

See Also Syntax Edit ActiveX Control v19.3

BlockSelectionMode Property

Description

Specifies whether block selection was used to select text by holding the Aly key when selecting text. Or block selection can be enabled by code.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BlockSelectionMode() As Boolean

Remarks

BlockSelectionMode allows square\rectangular blocks of text to be selected.

By default when holding down the 'Alt' key while selecting text Block Selection mode will be used to select text. BlockSelectionMode can then be checked to see if the selected text was selected using Block Selection mode.

If BlockSelectionMode if activated in code is should be done in an event such as MouseDown as the mouse must be pressed to activate this mode. This will allow you to use a switch\button to activate Block Selection mode.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

The illustration below shows some text selected using Block Selection mode.

See Also

SyntaxEditTextSelection Object


%%PageItemTitle%%

SyntaxEditTextSelection Object | NormalEnd Property | NormalStart Property | Start Property

See Also Syntax Edit ActiveX Control v19.3

End Property

Description

The "actual" ending position (column\row) of the current selection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property End() As SyntaxEditTextPosition

Remarks

End\Start:

End is the "actual" ending position (column\row) of the current selection.

Start is the "actual" starting position (column\row) of the current selection.

With Start and End the ending position can be less than the starting position if the selection was made by selecting test from right to left.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

NormalEnd\NormalStart:

NormalStart is the start of the current selection as it looks on screen from left-to-right, top-to-bottom.

NormalEnd is the end of the current selection as it looks on screen from left-to-right, top-to-bottom.

With NormalStart and NormalEnd the the starting position is always less than or equal to the ending position. NormalStart and NormalEnd do not take into consideration which direction the selection was made. These positions will always read from left-to-right, top-to-bottom.

So if the text selection is made from right-to-left NormalStart = End and NormalEnd = Start.

See Also

SyntaxEditTextSelection Object | NormalEnd Property | NormalStart Property | Start Property


%%PageItemTitle%%

SyntaxEditTextSelection Object | NormalStart Property | Start Property | End Property

See Also Syntax Edit ActiveX Control v19.3

NormalEnd Property

Description

The ending position (column\row) of the current selection as it appears on screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NormalEnd() As SyntaxEditTextPosition

Remarks

NormalEnd\NormalStart:

NormalStart is the start of the current selection as it looks on screen from left-to-right, top-to-bottom.

NormalEnd is the end of the current selection as it looks on screen from left-to-right, top-to-bottom.

With NormalStart and NormalEnd the the starting position is always less than or equal to the ending position. NormalStart and NormalEnd do not take into consideration which direction the selection was made. These positions will always read from left-to-right, top-to-bottom.

So if the text selection is made from right-to-left NormalStart = End and NormalEnd = Start.

You can set the NormalStart and NormalEnd properties to define the selection (to highlight part of text). If NormalStart == NormalEnd then the selection is empty.

End\Start:

End is the "actual" ending position (column\row) of the current selection.

Start is the "actual" starting position (column\row) of the current selection.

With Start and End the ending position can be less than the starting position if the selection was made by selecting test from right to left.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

See Also

SyntaxEditTextSelection Object | NormalStart Property | Start Property | End Property


%%PageItemTitle%%

SyntaxEditTextSelection Object | NormalEnd Property | End Property | Start Property

See Also Syntax Edit ActiveX Control v19.3

NormalStart Property

Description

The starting position (column\row) of the current selection as it appears on screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property NormalStart() As SyntaxEditTextPosition

Remarks

NormalEnd\NormalStart:

NormalStart is the start of the current selection as it looks on screen from left-to-right, top-to-bottom.

NormalEnd is the end of the current selection as it looks on screen from left-to-right, top-to-bottom.

With NormalStart and NormalEnd the the starting position is always less than or equal to the ending position. NormalStart and NormalEnd do not take into consideration which direction the selection was made. These positions will always read from left-to-right, top-to-bottom.

So if the text selection is made from right-to-left NormalStart = End and NormalEnd = Start.

You can set the NormalStart and NormalEnd properties to define the selection (to highlight part of text). If NormalStart == NormalEnd then the selection is empty.

End\Start:

End is the "actual" ending position (column\row) of the current selection.

Start is the "actual" starting position (column\row) of the current selection.

With Start and End the ending position can be less than the starting position if the selection was made by selecting test from right to left.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

See Also

SyntaxEditTextSelection Object | NormalEnd Property | End Property | Start Property


%%PageItemTitle%%

SyntaxEditTextSelection Object | End Property | NormalStart Property | NormalEnd Property

See Also Syntax Edit ActiveX Control v19.3

Start Property

Description

The "actual" starting position (column\row) of the current selection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Start() As SyntaxEditTextPosition

Remarks

End\Start:

End is the "actual" ending position (column\row) of the current selection.

Start is the "actual" starting position (column\row) of the current selection.

With Start and End the ending position can be less than the starting position if the selection was made by selecting test from right to left.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

NormalEnd\NormalStart:

NormalStart is the start of the current selection as it looks on screen from left-to-right, top-to-bottom.

NormalEnd is the end of the current selection as it looks on screen from left-to-right, top-to-bottom.

With NormalStart and NormalEnd the the starting position is always less than or equal to the ending position. NormalStart and NormalEnd do not take into consideration which direction the selection was made. These positions will always read from left-to-right, top-to-bottom.

So if the text selection is made from right-to-left NormalStart = End and NormalEnd = Start.

See Also

SyntaxEditTextSelection Object | End Property | NormalStart Property | NormalEnd Property


%%PageItemTitle%%

SyntaxEditTextSelection Object

See Also Syntax Edit ActiveX Control v19.3

Text Property

Description

Gets or sets the text in the current selection.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Text() As String

Remarks

Text is the text that is currently selected.

You can also change the selected text by setting a value to Text. All the text in the current selection will get replaced with the string value that is set. For example, if the selected text was "This is only a test" and you set Text to "Hello" the entire selected text will get replaced with "Hello" and the line will be automatically adjusted to the new length string.

You can set the Start and End properties to define the selection (to highlight part of text). If Start == End then the selection is empty.

See Also

SyntaxEditTextSelection Object


%%PageItemTitle%%

XtremePrinterInfo Members

See Also Syntax Edit ActiveX Control v19.3

XtremePrinterInfo Object

Description

Object that holds information about current printer which is a system default or selected by the user when the ShowPrintPageSetup method is called.

For a list of all members defined in this module, see XtremePrinterInfo members.

Remarks

The PrinterInfo property is of type XtremePrinterInfo and is used to provide information about the currently set printer such as device name, driver name and port name.

The XtremePrinterInfo object contains strings that identify the driver, device, and output-port names for a printer. The ShowPrintPageSetup method uses these strings to initialize members in the Print dialog box. When the user closes the dialog box, information about the selected printer is returned in this XtremePrinterInfo object.

See Also

XtremePrinterInfo Members


%%PageItemTitle%% $$Members$$

XtremePrinterInfo Overview

See Also Syntax Edit ActiveX Control v19.3

XtremePrinterInfo Object Members

Public Properties

Public Property DeviceName | Retrieves the name of the currently selected printer device.
Public Property DriverName | Retrieves the name of the currently selected printer driver.
Public Property PortName | Retrieves the name of the currently selected printer port.

See Also

XtremePrinterInfo Overview


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Syntax Edit ActiveX Control v19.3

DeviceName Property

Description

Retrieves the name of the currently selected printer device.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DeviceName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Syntax Edit ActiveX Control v19.3

DriverName Property

Description

Retrieves the name of the currently selected printer driver.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DriverName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrinterInfo Object

See Also Syntax Edit ActiveX Control v19.3

PortName Property

Description

Retrieves the name of the currently selected printer port.

Property type

Read-only property

Syntax (Visual Basic)

Public Property PortName() As String

See Also

XtremePrinterInfo Object


%%PageItemTitle%%

XtremePrintPreviewOptions Members

See Also Syntax Edit ActiveX Control v19.3

XtremePrintPreviewOptions Object

Description

Object that contains options for the print preview window.

For a list of all members defined in this module, see XtremePrintPreviewOptions members.

See Also

XtremePrintPreviewOptions Members


%%PageItemTitle%% $$Members$$

XtremePrintPreviewOptions Overview

See Also Syntax Edit ActiveX Control v19.3

XtremePrintPreviewOptions Object Members

Public Properties

Public Property Title Get\set the title of the print preview window.

See Also

XtremePrintPreviewOptions Overview


%%PageItemTitle%%

XtremePrintPreviewOptions Object

See Also Syntax Edit ActiveX Control v19.3

Title Property

Description

Get\set the title of the print preview window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

XtremePrintPreviewOptions Object


%%PageItemTitle%%

Syntax Edit ActiveX Control v19.3

OLEDragConstants Enumeration

Description

OLEDrag Constants.

Members

Member | Description
xtpOLEDragManual | Manual. The programmer handles all OLE drag/drop operations.
xtpOLEDragAutomatic | The component handles all OLE drag/drop operations.


%%PageItemTitle%%

Syntax Edit ActiveX Control v19.3

OLEDropConstants Enumeration

Description

OLE Drop Constants.

Members

Member | Description
xtpOLEDropNone | None. The target component does not accept OLE drops and displays the No Drop cursor.
xtpOLEDropManual | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.
xtpOLEDropAutomatic | Automatic. The target component automatically accepts OLE drops if the DataObject object contains data in a format it recognizes. No mouse or OLE drag/drop events on the target will occur when OLEDropMode is set to xtpOLEDropAutomatic.


%%PageItemTitle%%

TextChanged Event

See Also Syntax Edit ActiveX Control v19.3

SyntaxEditTextAction Enumeration

Description

Actions performed in the TextChanged event.

Members

Member | Description
editAction_InsertRow | The row has been inserted.
editAction_ModifyRow | The row has been modified.
editAction_InsertRow_New | The row is a new row.

Remarks

These actions help indicate what has been done to the editor when an edit action is performed. These actions are used in the TextChanged event.

See Also

TextChanged Event


%%PageItemTitle%%

SetColor Method | Color Property

See Also Syntax Edit ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | Office 2003 frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Syntax Edit ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Syntax Edit ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | ImageManager Object | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

BorderStyle Property

See Also Syntax Edit ActiveX Control v19.3

XTPSyntaxEditBorderStyle Enumeration

Description

Window borders for the Syntax Editor.

Members

Member | Description
xtpBorderNone | Creates a window that has a normal border.
xtpBorderFlat | Create a flat border which is a combination of xtpBorderStaticEdge and xtpBorderClientEdge.
xtpBorderStaticEdge | Creates a window with a three-dimensional border style intended to be used for items that do not accept user input.
xtpBorderClientEdge | Specifies that a window has a 3D look that is, a border with a sunken edge.
xtpBorderFrame | Specifies that a window has a 3D look that is, a border with a sunken edge.

Remarks

The BorderStyle property uses a flag from the XTPSyntaxEditBorderStyle enumeration to specify the Syntax Editor's border style.

See Also

BorderStyle Property


Task Panel ActiveX Controls v19.3

Task Panel ActiveX Control v19.3
Task Panel ActiveX Overview

Command Bars for ActiveX provides Windows developers with a sophisticated Office style Command Bars and One Note style MDI tab windows. The framework fully supports menu and toolbar customization to give you more control over your applications workspace. Command Bars comes with built in theme support that will allow you to choose from predefined themes such as Officexp, Office 2003, and Visual Studio .NET.
Docking Pane for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style docking pane. Windows developers can easily create tear off tabs and auto hide windows that allow for a more manageable application workspace. The docking panes comes with built in theme support that will allow you to choose from predefined themes such as Visio and Visual Studio .NET.
Property Grid for ActiveX provides Windows developers with a sophisticated Visual Studio.NET™ style property grid. Windows developers can easily create a hierarchical list of editable properties and represent many different data types or sub-items. The property grid comes with a built in toolbar for easy sorting and grouping, and a help panel to display information on each selected item.
Codejock Software's Report Control allows you to display a hierarchical list of items similar to Outlook 2003 email inbox.
Suite Pro Controls provide many enhanced components such as hyperlink and multiple selection tree controls, browse edit and Office style color popups, vista task dialog and much more.
Calendar for ActiveX provides Windows developers with a sophisticated Office style Calendar.
Markup for ActiveX provides additional Markup Support for Controls.
Shortcut Bar for ActiveX provides developers with full theme support giving their applications the closest, most exact Office style themes of any 3rd party tool available today.
Task Panel for ActiveX provides Windows developers with features similar to the Task Panels seen in Microsoftî Office and Windows Explorer. You can easily manage your application shortcuts and have a unique way of displaying information to the end user.
Skin Framework for ActiveX allows Windows developers to fully skin their applications, including components such as title bar, scroll bars, buttons, checkboxes, and option buttons.
Syntax Edit for ActiveX Visual Studio .NET style Syntax Editor Control provides your users with a highly sophisticated text editor control that supports advanced features such as text block grouping, syntax colorization, line numbers, font type, pre-defined color schemes, book marks, break points and many more advanced features.
Flow Graph ActiveX is a graphing control used to display relationship graphs. This can be thought of as a relationship diagram commonly used to display the relationships for a relational database.
Chart Pro ActiveX is an advanced chart library for Windows environment software development. The Chart ActiveX control brings the chart to virtually every development platform for Windows. The Chart Pro controls are easy to understand and can be implemented in only a few lines of code, but it also provides a rich set of classes for customization and enhancement.

Project Overview
User Controls
Control | Description
TaskPanel | Implements an Explorer and Office-like Task Panel control
Classes
Class Module | Description
ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.
DataObject | The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.
DataObjectFiles | A collection of strings which is the type of the Files property on the DataObject object.
ImageManagerIcon | Represents a single image in a components Icons collection.
ImageManagerIcons | A collection of icons.
ImageManagerIconSet | Represents a collection of icons in the ImageManager for enumeration purposes.
IResourceImageList |
PropExchange | Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.
ResourceImages | Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.
TaskPanelColorSet | The TaskPanelColorSet stores the colors used to paint the elements that make up the TaskPanel. The colors can be changed using the ColorSet property.
TaskPanelGlobalSettings | TaskPanel global settings object.
TaskPanelGroup | Used in TaskPanel control as a single group
TaskPanelGroupItem | Used in TaskPanel control as a single item of the group
TaskPanelGroupItems | Used as a collection of items in the group
TaskPanelGroups | Used as a collection of groups in the control
TaskPanelItem | Used as an interface to access a TaskPanelGroupItem.
TaskPanelItems | Used as an interface to access a collection of TaskPanelGroupItems\TaskPanelItems.
ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Enumerations
Enumeration | Description
OLEDragConstants | OLE Drag Constants
OLEDropConstants | OLE Drop Constants
XTPColorManagerColor | Display element colors.
XTPCurrentSystemTheme | Enumeration used to determine the current Windows XP theme in use.
XTPImageState | Specifies the state of an icon.
XTPItemAlignment | Specifies the text formatting for text in the Popup Control and for items in the TaskPanel Control.
XTPTaskPanelAnimation | Specifies the animation type used by the TaskPanel control when opening and closing groups.
XTPTaskPanelBehaviour | Specifies the behavior of the Taskpanel.
XTPTaskPanelBorderStyle | Specifies the the type of border that is placed around the TaskPanel.
XTPTaskPanelHotTrackStyle | Specifies they type of hot tracking used for TaskPanelItems. Hot tracking is how the items look as you move the mouse over them.
XTPTaskPanelItemAllowDrag | XTPTaskPanelItemAllowDrag is an enumeration that represents a set of drag options that are used to specify how and when an item can be dragged and dropped.
XTPTaskPanelItemLayout | Specifies the layout of the TaskPanelItems.
XTPTaskPanelItemType | Specifies the type of item in a TaskPanelGroup.
XTPTaskPanelVisualTheme | Specifies the theme of the TaskPanel control.
XTPToolTipIcon | Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.
XTPToolTipStyle | Specifies the style of the tool tip when it is displayed.
Chart Styles
Copyright (c) 1998-2020 Codejock Software. All rights reserved.
What do you think about this topic? Send feedback!


%%PageItemTitle%%

ColorManager Members

See Also Task Panel ActiveX Control v19.3

ColorManager Object

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen. Display elements are easily referenced by index.

For a list of all members defined in this module, see ColorManager members.

See Also

ColorManager Members


%%PageItemTitle%% $$Members$$

ColorManager Overview

See Also Task Panel ActiveX Control v19.3

ColorManager Object Members

Public Methods

Public Method GetCurrentSystemTheme | The GetCurrentSystemTheme function determines the current Windows XP theme in use.
Public Method SetColor | The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Public Properties

Public Property Color | The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property EnableLunaBlueForRoyaleTheme | Gets\sets whether the Luna Blue color will be used for the TaskPanel if the current system theme is set to Royale.
Public Property SystemTheme | The SystemTheme property sets which system theme, if any, the Suite Controls will use.

See Also

ColorManager Overview


%%PageItemTitle%%

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property

See Also Task Panel ActiveX Control v19.3

GetCurrentSystemTheme Method

Description

The GetCurrentSystemTheme function determines the current Windows XP theme in use.

Syntax

Public Function GetCurrentSystemTheme() As XTPCurrentSystemTheme

Return Type

Returns a member of the XTPCurrentSystemTheme enumeration that represents the current Windows theme in use, which can be one of the following values:

    • xtpSystemThemeUnknown - No known theme in use
    • xtpSystemThemeBlue - Blue theme in use
    • xtpSystemThemeOlive - Olive theme in use
    • xtpSystemThemeSilver - Silver theme in use

Remarks

If the operating system used is not Windows XP or if the Blue, Silver, or Olive theme is not used when running Windows XP, then GetCurrentSystemTheme will return xtpSystemThemeUnknown.

See Also

ColorManager Object | XTPCurrentSystemTheme Enumeration | SystemTheme Property | SetColor Method | Color Property


%%PageItemTitle%%

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration

Index
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.
See Also Task Panel ActiveX Control v19.3

SetColor Method

Description

The SetColor function sets the colors for one or more display elements. Display elements are the various parts of a window and the display that appear on the system display screen.

Syntax

Public Sub SetColor( _
   ByVal Index As XTPColorManagerColor, _
   ByVal Color As ULong _
)

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Display elements to be changed. The color of the selected element will be replaced with the color value in the Color parameter.
Color
The new red, green, blue (RGB) color value for the display element specified by Index.

See Also

ColorManager Object | Color Property | GetCurrentSystemTheme Method | SystemTheme Property | XTPColorManagerColor Enumeration


%%PageItemTitle%%

ColorManager Object | SetColor Method

Index
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.
See Also Task Panel ActiveX Control v19.3

Color Property

Description

The Color property retrieves the current color of the specified display element. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Color( _
   ByVal Index As XTPColorManagerColor _
) As ULong

Parameters

Index
Value | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.
Specifies the display element whose color is to be retrieved. This parameter must be one of the following values.

See Also

ColorManager Object | SetColor Method


%%PageItemTitle%%

ColorManager Object

See Also Task Panel ActiveX Control v19.3

EnableLunaBlueForRoyaleTheme Property

Description

Gets\sets whether the Luna Blue color will be used for the TaskPanel if the current system theme is set to Royale.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableLunaBlueForRoyaleTheme() As Boolean

Remarks

EnableLunaBlueForRoyaleTheme is used to enable\disable luna colors when the current theme is set to Royale. The Royale theme is found natively in Windows XP Media Center edition.

The Royale theme can also be applied using SkinFramework component. EnableLunaBlueForRoyaleTheme can also be used if the Royale theme was applied using the SkinFramework.

See Also

ColorManager Object


%%PageItemTitle%%

ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

See Also Task Panel ActiveX Control v19.3

SystemTheme Property

Description

The SystemTheme property sets which system theme, if any, the Suite Controls will use.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SystemTheme() As XTPCurrentSystemTheme

Remarks

SystemTheme is called to force a system theme.

The Suite Controls can be forced to use one of the following themes:

  • xtpSystemThemeUnknown - No known theme in use
  • xtpSystemThemeBlue - Blue theme in use
  • xtpSystemThemeOlive - Olive theme in use
  • xtpSystemThemeSilver - Silver theme in use
  • xtpSystemThemeAuto - Default Value. Will use current Operating System setting to theme.

    • It is not recommended to use SystemTheme to force the Blue, Olive, and Silver themes. Some parts of the application such as boarder, caption, and scroll bar color can not be changed. For example, the Suite Controls can use the Olive theme while the OS is running the Blue theme, this results in Olive themed Suite Controls and Blue scroll bars, window border, and window caption.

    See Also

    ColorManager Object | GetCurrentSystemTheme Method | XTPCurrentSystemTheme Enumeration

    Example

    GetCurrentSystemTheme Sample


%%PageItemTitle%%

DataObject Members

See Also Task Panel ActiveX Control v19.3

DataObject Object

Description

The DataObject object is a container for data being transferred from an component source to an component target. The data is stored in the format defined by the method using the DataObject object.

For a list of all members defined in this module, see DataObject members.

Object Model

Remarks

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

The Task Panel supports manual OLE drag and drop events.

See Also

DataObject Members


%%PageItemTitle%% $$Members$$

DataObject Overview

See Also Task Panel ActiveX Control v19.3

DataObject Object Members

Public Methods

Public Method Clear | Clears the content of the DataObject object.
Public Method GetData | Returns data from a DataObject object in the form of a variant.
Public Method GetFormat | Returns an boolean value indicating whether an item in the DataObject object matches a specified format.
Public Method SetData | Inserts data into a DataObject object using the specified data format.

Public Properties

Public Property Files Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Overview


%%PageItemTitle%%

DataObject Object

See Also Task Panel ActiveX Control v19.3

Clear Method

Description

Clears the content of the DataObject object.

Syntax

Public Sub Clear()

Remarks

This method is available only for component drag sources. If Clear is called from a component drop target, an error is generated.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Task Panel ActiveX Control v19.3

GetData Method

Description

Returns data from a DataObject object in the form of a variant.

Syntax

Public Function GetData( _
   ByVal Format As Long _
) As Variant

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)
See Also Task Panel ActiveX Control v19.3

GetFormat Method

Description

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

Public Function GetFormat( _
   ByVal Format As Long _
) As Boolean

Parameters

Format

A constant or value that specifies the data format, as described in Settings. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

Return Type

The GetFormat method returns True if an item in the DataObject object matches the specified format. Otherwise, it returns False.

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also Task Panel ActiveX Control v19.3

SetData Method

Description

Inserts data into a DataObject object using the specified data format.

Syntax

Public Sub SetData( _
   Optional ByVal vValue As Variant, _
   Optional ByVal Format As Variant _
)

Parameters

vValue
Optional A variant containing the data to be passed to the DataObject object.
Format

Optional. A constant or value that specifies the format of the data being passed, as described in Settings.

Constant | Value | Description
vbCFText | 1 | Text (.txt files)
vbCFBitmap | 2 | Bitmap (.bmp files)
vbCFMetafile | 3 | metafile (.wmf files)
vbCFEMetafile | 14 | Enhanced metafile (.emf files)
vbCFDIB | 8 | Device-independent bitmap (DIB)
vbCFPalette | 9 | Color palette
vbCFFiles | 15 | List of files
vbCFRTF | -16639 | Rich text format (.rtf files)

See Also

DataObject Object


%%PageItemTitle%%

DataObject Object

See Also Task Panel ActiveX Control v19.3

Files Property

Description

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

Property type

Read-only property

Syntax (Visual Basic)

Public Property Files() As DataObjectFiles

Remarks

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object (such as the names of files that a user drags to or from the Windows File Explorer.)

See Also

DataObject Object


%%PageItemTitle%%

DataObjectFiles Members

See Also Task Panel ActiveX Control v19.3

DataObjectFiles Collection

Description

A collection of strings which is the type of the Files property on the DataObject object.

For a list of all members defined in this module, see DataObjectFiles members.

Remarks

The DataObjectFiles collection is a collection of strings which represent a set of files which have been selected either through the GetData method, or through selection in an application such as the Windows Explorer.

See Also

DataObjectFiles Members


%%PageItemTitle%% $$Members$$

DataObjectFiles Overview

See Also Task Panel ActiveX Control v19.3

DataObjectFiles Collection Members

Public Properties

Public Property Count | Returns the number of objects in a collection.
Public Property Item | Collection of items.

See Also

DataObjectFiles Overview


%%PageItemTitle%%

DataObjectFiles Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

Returns the number of objects in a collection.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

DataObjectFiles Collection


%%PageItemTitle%%

DataObjectFiles Collection

Index
See Also Task Panel ActiveX Control v19.3

Item Property

Description

Collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As String

Parameters

Index

See Also

DataObjectFiles Collection


%%PageItemTitle%%

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Task Panel ActiveX Control v19.3

ImageManagerIcon Object

Description

Represents a single image in a components Icons collection.

For a list of all members defined in this module, see ImageManagerIcon members.

Remarks

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component.

The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

The GetImage method is used to retrieve an image from the Icons collection and place it in a ImageManagerIcon object so it can be used with components other than Codejock components.

The Draw method is used to drawn the image in a specific location.

See Also

ImageManagerIcon Members | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%% $$Members$$

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property

See Also Task Panel ActiveX Control v19.3

ImageManagerIcon Object Members

Public Methods

Public Method CreatePicture | Creates a StdPicture object from the ImageManagerIcon.
Public Method Draw | Draws the image to the specified device context.
Public Method Scale | Scales the icon to the specified Width.

Public Properties

Public Property Alpha | Checks to see if the image contains Alpha information.
Public Property Handle | Handle to the image.
Public Property Height | The height of the Icon.
Public Property Id | Id of the Image.
Public Property Scaled | Determines whether the image is scaled from its original size.
Public Property Width | The width of the Icon.

See Also

ImageManagerIcon Overview | ImageManagerIcons Object | GetImage Method | Draw Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

state
The state of the image to create.
See Also Task Panel ActiveX Control v19.3

CreatePicture Method

Description

Creates a StdPicture object from the ImageManagerIcon.

Syntax

Public Function CreatePicture( _
   ByVal state As XTPImageState _
) As Object

Parameters

state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image to create.

Return Type

Returns a StdPicture object.

Remarks

CreatePicture creates and returns a StdPicture object from the ImageManagerIcon using the specified XTPImageState. The StdPicture object can then be used normally anywhere in your application.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Width Property | Height Property | Scaled Property

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.
See Also Task Panel ActiveX Control v19.3

Draw Method

Description

Draws the image to the specified device context.

Syntax

Public Sub Draw( _
   ByVal hDC As Integer, _
   ByVal x As Integer, _
   ByVal y As Integer, _
   ByVal cx As Integer, _
   ByVal cy As Integer, _
   ByVal state As XTPImageState _
)

Parameters

hDC
A handle to the destination device context.
x
The x-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
y
The y-coordinate of the upper left corner of the destination rectangle. This is the location at which to draw within the specified device context.
cx
Width of destination image in pixels.
cy
Height of destination image in pixels.
state
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
Specifies in which "state" to draw the image. The image can be drawn in a normal, disabled, hot, or checked state.

Remarks

The image will be stretched or compressed as necessary to fit the bounds provided by cx and cy. The Width and Height properties store the width and height of the image and can be used for the cx and cy parameters so the image is drawn the original size.

You can determine if the values stored in the Width and Height properties represent the original image size from the Icons collection by checking to see if it has been Scaled.

See Also

ImageManagerIcon Object | Width Property | Height Property | Scaled Property


%%PageItemTitle%%

ImageManagerIcon Object

Width
Width to scale icon to.
See Also Task Panel ActiveX Control v19.3

Scale Method

Description

Scales the icon to the specified Width.

Syntax

Public Function Scale( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width to scale icon to.

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Task Panel ActiveX Control v19.3

Alpha Property

Description

Checks to see if the image contains Alpha information.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Alpha() As Boolean

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Task Panel ActiveX Control v19.3

Handle Property

Description

Handle to the image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Handle() As Integer

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object

See Also Task Panel ActiveX Control v19.3

Height Property

Description

The height of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Height() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcon Object | Icons Property | GetImage Method

See Also Task Panel ActiveX Control v19.3

Id Property

Description

Id of the Image.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Remarks

When an image is added to the Icons collection of a Codejock component it is assigned an Id. The Id is used to identify the icon withing the collection.

The Id of an ImageManagerIcon object is specified when the GetImage method is used to retrieve an image.

See Also

ImageManagerIcon Object | Icons Property | GetImage Method


%%PageItemTitle%%

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property

See Also Task Panel ActiveX Control v19.3

Scaled Property

Description

Determines whether the image is scaled from its original size.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Scaled() As Boolean

Remarks

An image is scaled when the GetImage method is used to retrieve an image from the Icons collection of a component and there is not an image with the specified width. The ImageManager will then scale the image to the specified width.

An ImageManagerIcon object is used to hold a copy of an image stored in the Icons collection of each Codejock component. The Icons collection is a ImageManagerIcons object that holds all the images for the associated component. Multiple sizes of the same image can be added to the Icons collection as well as images with Alpha information. It is useful to add an image with multiple sizes if you plan to display the image in different sizes, this way the image does not need to be scaled.

See Also

ImageManagerIcon Object | ImageManagerIcons Object | GetImage Method | Icons Property


%%PageItemTitle%%

ImageManagerIcon Object

See Also Task Panel ActiveX Control v19.3

Width Property

Description

The width of the Icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Width() As Long

See Also

ImageManagerIcon Object


%%PageItemTitle%%

ImageManagerIcons Members

See Also Task Panel ActiveX Control v19.3

ImageManagerIcons Collection

Description

A collection of icons.

For a list of all members defined in this module, see ImageManagerIcons members.

Object Model

Remarks

This object is used to store all of the icons that will be used in the ShortcutBar and TaskPanel controls.

If the SetImageList method is used, the icons will be added the the collection of icons. These icons will be added in the order they appear in the ImageList control.

See Also

ImageManagerIcons Members


%%PageItemTitle%% $$Members$$

ImageManagerIcons Overview

See Also Task Panel ActiveX Control v19.3

ImageManagerIcons Collection Members

Public Methods

Public Method AddIcon | Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.
Public Method AddIcons | The AddIcons method is used to add icons from one collection to another.
Public Method DoPropExchange | Saves/restores images to/from Registry/Binary file/XML File.
Public Method GetImage | Retrieves an image so it can be used outside of Codejock components.
Public Method LoadBitmap | Used to add an icon to the collection of icons from a BitMap file (.BMP).
Public Method LoadBitmapFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadIcon | Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).
Public Method LoadIconFromResource | Used to add an icon to the ImageManagerIcons collection of icons from a resource.
Public Method LoadVectorIcon |
Public Method LoadVectorIconCode |
Public Method LoadVectorIconFromResource |
Public Method RefreshAll | Redraws all icons.
Public Method RemoveAll | Removes all icons from the collection of images.
Public Method RemoveIcon | Removes an Icon from the collection of icons in the Image Manager.

Public Properties

Public Property Count | The number of icons in the collection of images.
Public Property DrawReverted | Specifies whether images are to be Mirrored.
Public Property IsAlphaIconsSupported | Determines if the Operating System supports 32 bit Alpha Icons.
Public Property MaskColor | The MaskColor property gets\sets the color mask of the bitmaps that will be added.

See Also

ImageManagerIcons Overview


%%PageItemTitle%%

ImageManagerIcons Collection

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
See Also Task Panel ActiveX Control v19.3

AddIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from the Handle of the icon.

Syntax

Public Sub AddIcon( _
   ByVal Handle As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Handle
Used to add an icon to the collection of icons from the Handle of the icon.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method

Icons
Pointer to the collection of icons to add to this collection.
See Also Task Panel ActiveX Control v19.3

AddIcons Method

Description

The AddIcons method is used to add icons from one collection to another.

Syntax

Public Sub AddIcons( _
   ByVal Icons As ImageManagerIcons _
)

Parameters

Icons
Pointer to the collection of icons to add to this collection.

Remarks

The AddIcons method is used to add icons from one collection to another. This is used to add icons from one control to another. For example, to use icons added to a ShortcutBar's Icons collection in the CommandBars, you would use the AddIcons method to add the icons from the ShortcutBar to the CommandBar. The CommandBar can now use these images.

NOTE: If an icon in both collections has the same Id, then that icon will not be added to the collection, it is just skipped.

Example

[AddIcons Sample (Visual Basic)] This sample illustrates how to add the icons from one collection to another.

    'Adds the icons in the ShortcutBar collection to the CommandBars Icon colleciton
    'The Id of the icons will remain the same. Icons with the same id as an icon in the
    'CommandBars icon collection will not be copied.
    CommandBars.Icons.AddIcons wndShortcutBar.Icons

See Also

ImageManagerIcons Collection | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

ImageManagerIcons Collection

pPX
Reference to a PropExchange object.
See Also Task Panel ActiveX Control v19.3

DoPropExchange Method

Description

Saves/restores images to/from Registry/Binary file/XML File.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
Reference to a PropExchange object.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.
See Also Task Panel ActiveX Control v19.3

GetImage Method

Description

Retrieves an image so it can be used outside of Codejock components.

Syntax

Public Function GetImage( _
   ByVal Command As Long, _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Command
Id of an Image within the control's Icons collection.
Width
Width of the Image to retrieve. If the image with the Command does not have an image of the specified width, then the image size that is the closest match will be Scaled to the desired size.

Return Type

An ImageManagerIcon object that contains the specified image.

Remarks

The image will be stretched or compressed as necessary to the specified Width if there is not an image with the specified width in the Icons collection.

See Also

ImageManagerIcons Collection | ImageManagerIcon Object | Scaled Property | Icons Property


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Task Panel ActiveX Control v19.3

LoadBitmap Method

Description

Used to add an icon to the collection of icons from a BitMap file (.BMP).

Syntax

Public Sub LoadBitmap( _
   ByVal Path As String, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the BitMap to load.
Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value.

NOTE: You will need to include the bitmap file with your application(exe) if this method is used.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Task Panel ActiveX Control v19.3

LoadBitmapFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadBitmapFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Commands As Variant, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Commands
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Commands" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Commands" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Task Panel ActiveX Control v19.3

LoadIcon Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from an icon file (.ICO).

Syntax

Public Sub LoadIcon( _
   ByVal Path As String, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Path
The path of the Icon to load.
Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
The state of the image.
See Also Task Panel ActiveX Control v19.3

LoadIconFromResource Method

Description

Used to add an icon to the ImageManagerIcons collection of icons from a resource.

Syntax

Public Sub LoadIconFromResource( _
   ByVal Module As Integer, _
   ByVal Resource As Long, _
   ByVal Command As Long, _
   ByVal imageState As XTPImageState _
)

Parameters

Module

hModule - Handle to an instance of the module that contains the image to be loaded.

Resource

Specifies the image to load in the resources of the module.

Command
The id that will be used to identify the icon in the collection of icons. This can be any positive (non-zero) number.
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.
The state of the image.

Remarks

The "Command" parameter can be any positive integer and is used to identify the icon in the collection of icons. When you want to use an icon, you need to specify this value. To use the icon, you would assign the "Command" value to the Icon property of the objects.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Path
nIDCommand
nWidth
imageState
See Also Task Panel ActiveX Control v19.3

LoadVectorIcon Method

Syntax

Public Function LoadVectorIcon( _
   ByVal Path As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Path
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Code
nIDCommand
nWidth
imageState
See Also Task Panel ActiveX Control v19.3

LoadVectorIconCode Method

Syntax

Public Function LoadVectorIconCode( _
   ByVal Code As String, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Code
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
See Also Task Panel ActiveX Control v19.3

LoadVectorIconFromResource Method

Syntax

Public Function LoadVectorIconFromResource( _
   ByVal Module As Integer, _
   ByVal ResourceType As String, _
   ByVal Resource As Long, _
   ByVal nIDCommand As Long, _
   ByVal nWidth As Long, _
   ByVal imageState As XTPImageState _
) As Boolean

Parameters

Module
ResourceType
Resource
nIDCommand
nWidth
imageState
Value | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

RefreshAll Method

Description

Redraws all icons.

Syntax

Public Sub RefreshAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

RemoveAll Method

Description

Removes all icons from the collection of images.

Syntax

Public Sub RemoveAll()

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

Command
Id of icon to be removed
See Also Task Panel ActiveX Control v19.3

RemoveIcon Method

Description

Removes an Icon from the collection of icons in the Image Manager.

Syntax

Public Sub RemoveIcon( _
   ByVal Command As Long _
)

Parameters

Command
Id of icon to be removed

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

The number of icons in the collection of images.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Remarks

Use this property to determine how many images are in the collection of icons. This will tell you how many icons are available.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

DrawReverted Property

Description

Specifies whether images are to be Mirrored.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawReverted() As Boolean

Remarks

If True, images are "flipped" or Mirrored. This should be used when displaying images in an application that uses RTL (Right-To-Left) Languages.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

IsAlphaIconsSupported Property

Description

Determines if the Operating System supports 32 bit Alpha Icons.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IsAlphaIconsSupported() As Boolean

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIcons Collection

See Also Task Panel ActiveX Control v19.3

MaskColor Property

Description

The MaskColor property gets\sets the color mask of the bitmaps that will be added.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaskColor() As ULong

Remarks

By default, the top left corner of the bitmap is used as the mask color. Use the MaskColor property to specify a new mask color.

See Also

ImageManagerIcons Collection


%%PageItemTitle%%

ImageManagerIconSet Members

See Also Task Panel ActiveX Control v19.3

ImageManagerIconSet Collection

Description

Represents a collection of icons in the ImageManager for enumeration purposes.

For a list of all members defined in this module, see ImageManagerIconSet members.

Object Model

Remarks

This object will allow all the icons in the image manager to be iterated. Using this you can extract any icon and any size from the image manager or simply iterate through them all.

Example

[Iterate through the icons in the image manager. (Visual Basic)] Illustrates how to iterate through the icons in the image manager.

Dim IconSet As ImageManagerIcon

For Each IconSet In ImageManager.Icons
    Debug.Print "Image ID is " & IconSet.ID
Next

See Also

ImageManagerIconSet Members


%%PageItemTitle%% $$Members$$

ImageManagerIconSet Overview

See Also Task Panel ActiveX Control v19.3

ImageManagerIconSet Collection Members

Public Methods

Public Method GetImage Gets the icon with the specified width.

Public Properties

Public Property Count | Total number of icons for the image (sizes for the icon).
Public Property Id | Id of the icon.

See Also

ImageManagerIconSet Overview


%%PageItemTitle%%

ImageManagerIconSet Collection

Width
Width of the icon to retrieve.
See Also Task Panel ActiveX Control v19.3

GetImage Method

Description

Gets the icon with the specified width.

Syntax

Public Function GetImage( _
   ByVal Width As Long _
) As ImageManagerIcon

Parameters

Width
Width of the icon to retrieve.

Return Type

A pointer to a ImageManagerIcon object.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

Total number of icons for the image (sizes for the icon).

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

Return Type

Total number of icons for the image (sizes for the icon).

Remarks

Gets the total number of icon sizes for the given icon. An icon can have multiple sizes.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

ImageManagerIconSet Collection

See Also Task Panel ActiveX Control v19.3

Id Property

Description

Id of the icon.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Id() As Long

Return Type

Id of the icon.

See Also

ImageManagerIconSet Collection


%%PageItemTitle%%

IResourceImageList Members

See Also Task Panel ActiveX Control v19.3

IResourceImageList Object

For a list of all members defined in this module, see IResourceImageList members.

See Also

IResourceImageList Members


%%PageItemTitle%% $$Members$$

IResourceImageList Overview

See Also Task Panel ActiveX Control v19.3

IResourceImageList Object Members

Public Methods

Public Method AddBitmap
Public Method LoadBitmap
Public Method Remove
Public Method RemoveAll

See Also

IResourceImageList Overview


%%PageItemTitle%%

IResourceImageList Object

Handle
nID
See Also Task Panel ActiveX Control v19.3

AddBitmap Method

Syntax

Public Function AddBitmap( _
   ByVal Handle As Integer, _
   ByVal nID As Long _
) As Boolean

Parameters

Handle
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

Path
nID
See Also Task Panel ActiveX Control v19.3

LoadBitmap Method

Syntax

Public Function LoadBitmap( _
   ByVal Path As String, _
   ByVal nID As Long _
) As Boolean

Parameters

Path
nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

nID
See Also Task Panel ActiveX Control v19.3

Remove Method

Syntax

Public Function Remove( _
   ByVal nID As Long _
) As Boolean

Parameters

nID

See Also

IResourceImageList Object


%%PageItemTitle%%

IResourceImageList Object

See Also Task Panel ActiveX Control v19.3

RemoveAll Method

Syntax

Public Sub RemoveAll()

See Also

IResourceImageList Object


%%PageItemTitle%%

PropExchange Members

See Also Task Panel ActiveX Control v19.3

PropExchange Object

Description

Object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

For a list of all members defined in this module, see PropExchange members.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same file using the ExchangeInt and ExchangeString methods. It is important to note that both methods require a variable reference to store the data. Note: When working with XML data, there can not be any spaces in the name given to the data.

More than one layout for each object can be saved to the same file. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

So what layout information is saved?

CommandBars: Toolbar position, theme, any of the options that are displayed in the Customization Dialog, and anything that is specified in the StateOptions object.

Report Control: Column order, sort order, group order, column visibility, GroupBox visibility, Column Width, and Alignment.

TaskPanel: Group order, item position and order, expand state of group, item and group state, item and group state captions, item and group state icons, and item and group state order.

Docking Pane: Saves the DockingPaneLayout object. The DockingPaneLayout object contains all panes positions, captions, visibility state, size, group membership if applicable, and icons.

Example

[ExchangeInt and ExchangeString Sample (Visual Basic)] This sample illustrates how to use the ExchangeInt and ExchangeString methods to load and save an Long and String to\from a file.

Private Sub LoadData()
    Dim pxRead As New PropExchange

    'Specifies to load information from a node named "CustomerInformation"
    pxRead.CreateAsXML True, "CustomerInformation"

    'Specifies the name of the file to search for the "CustomerInformation"
    'node.
    If pxRead.LoadFromFile("c:\test.xml") Then

        'Declares a String object to store information read from the
        'test.xml file.
        Dim StrName As String
        StrName = ""
        'Searches for a node named "CustomerName", if found, then the information
        'will be stored in the StrName object.
        pxRead.ExchangeString "CustomerName", StrName, ""
        Debug.Print StrName

        Dim IntAge As Long
        IntAge = 0
        pxRead.ExchangeInt "CustomerAge", IntAge, 0
        Debug.Print IntAge
    End If

End Sub

Private Sub SaveData()
    Dim pxWrite As New PropExchange

    'Specifies that a node named "CustomerInformation" will
    'be created. The XML string is currently stored in
    'the Value property of the pxWrite PropExchange object.
    pxWrite.CreateAsXML False, "CustomerInformation"

    'Verify that the "CustomerInformation" node was successfully
    'written to the object.
    If pxWrite.Valid Then

        'Declare a String object to pass in as a reference to the
        'ExchangeString method.
        Dim StrName As String
        StrName = "Mr. Smith"
        'Important - There can be no spaces in the name of the node when using XML
        'This will create a node named "CustomerName" under the "CustomerInformationNode"
        pxWrite.ExchangeString "CustomerName", StrName, ""

        Dim IntAge As Long
        IntAge = 32
        pxWrite.ExchangeInt "CustomerAge", IntAge, 0

        'Writes the XML string stored in the Value property to an
        'XML file names test.xml.
        pxWrite.SaveToFile "c:\test.xml"
    End If

End Sub

[Loading and Saving to\from a file (Visual Basic)] This sample illustrates how to load and save layout\state information to\from a file.

Sub ExchangeState(px As PropExchange)
    On Error Goto Error

        'PropExchange object to save and load information
        'to\from.
        Dim pxSection As PropExchange

        'Creates a section called "TaskPanel" if saving or
        'retieves data from the "TaskPanel" node of loading.
        Set pxSection = px.GetSection("TaskPanel")

        'Loads or Saves the layout\state of the TaskPanel
        TaskPanel.DoPropExchange pxSection

        'Need to reload TaskPanel with new layout
        TaskPanel.Reposition

    Error:
End Sub

Private Sub Form_Load()

    'Loads the CommandBars from Designer Data. This data was added by
    'specifying an .xcb file when right-clicking the CommandBar object
    'and selecting "Load CommandBars(*.xcb).
    CommandBars.LoadDesignerBars

End Sub

Private Sub LoadData()

    Dim pxRead As New PropExchange

    'Load data from a binary file
    'If (pxRead.CreateAsBinaryFile(True, "c:\file.out")) Then
    ' ExchangeState pxRead
    'End If

    'Load data from a xml file
    pxRead.CreateAsXML True, "Settings"
    If pxRead.LoadFromFile("c:\file.xml") Then
       ExchangeState pxRead
    End If

    'Load data from a binary file
    'pxRead.CreateAsRegistry True, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxRead

End Sub

Private Sub SaveData()

    Dim pxWrite As New PropExchange

    'Save data to a binary file
    'pxWrite.CreateAsBinaryFile False, "c:\file.out"
    'ExchangeState pxWrite

    'Save data to a xml file
    pxWrite.CreateAsXML False, "Settings"
    If pxWrite.Valid Then
        ExchangeState pxWrite
        pxWrite.SaveToFile "c:\file.xml"
    End If

    'Save data to the registry
    'pxWrite.CreateAsRegistry False, "HKEY_CURRENT_USER\Software\Codejock Software\Project1\Sample"
    'ExchangeState pxWrite

End Sub

See Also

PropExchange Members


%%PageItemTitle%% $$Members$$

PropExchange Overview

See Also Task Panel ActiveX Control v19.3

PropExchange Object Members

Public Methods

Public Method CreateAsBinaryFile | Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method CreateAsRegistry | Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.
Public Method CreateAsXML | Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.
Public Method EmptySection | Call this method to free section information before storing.
Public Method ExchangeInt | Saves or loads a Long value to\from a data source.
Public Method ExchangeString | Saves or loads a String value to\from a data source.
Public Method GetSection | Creates a new section in which to store a layout for text base storages (XML and Registry).
Public Method LoadFromFile | Loads layout information from a XML file into the PropExchange object.
Public Method SaveToFile | Saves the XML layout information stored in the Value property to a XML file at the specified path.

Public Properties

Public Property Encoding | Gets\sets the character set used when working with XML data.
Public Property Loading | Specifies whether exchanging information is in "load" mode.
Public Property Valid | Specifies whether information was successfully saved to a PropExchange object.
Public Property Value | Gets\sets the XML text that represents the controls layout\state.

See Also

PropExchange Overview


%%PageItemTitle%%

PropExchange Object | CreateAsBinary Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.
See Also Task Panel ActiveX Control v19.3

CreateAsBinaryFile Method

Description

Sets the location of the Binary file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsBinaryFile( _
   ByVal Loading As Boolean, _
   ByVal Path As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Path
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsBinary Sample


%%PageItemTitle%%

PropExchange Object | CreateAsRegistry Sample

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Task Panel ActiveX Control v19.3

CreateAsRegistry Method

Description

Sets the registry key to load\save the information to\from and it also determines if the information will be loaded or saved to the registry.

Syntax

Public Function CreateAsRegistry( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

See Also

PropExchange Object | CreateAsRegistry Sample


%%PageItemTitle%%

PropExchange Object

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.
See Also Task Panel ActiveX Control v19.3

CreateAsXML Method

Description

Sets the location of the XML file to load\save the information to\from and it also determines if the information will be loaded or saved to the file.

Syntax

Public Function CreateAsXML( _
   ByVal Loading As Boolean, _
   ByVal Section As String _
) As Boolean

Parameters

Loading

Set to True to make the GetSection, ExchangeInt, and ExchangeString methods load data from a data source. The information loaded will come from the Section specified the Section parameter.

Set to False to make the GetSection, ExchangeInt, and ExchangeString methods save data to a data source. The information saved will be saved under the Section specified with the Section parameter.

Section
The name of a layout to load or save from\to a data source.

Return Type

Returns True if successful, False otherwise.

Remarks

There are three ways to save and load layout\state information to a PropExchange object. You can load and save information to the system registry, an XML file, or a binary file. The CreateAsBinary, CreateAsRegistry, and CreateAsXML methods are used to specify whether to save or load the layout\state information and the location of the layout\sate information (path to XML or Bin file, Registry Key). Note this does not actually load\save the information, it just indicates the location to load\save the information to\from and if it will be loaded\saved.

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will be True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

The DoPropExchange method is used to actually load or save the information to a file or the registry.

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

When loading information, the LoadFromFile method can be used to verify and load the information at the same time.

The Encoding property is provided for Unicode support when working with XML files.

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object

Example

CreateAsXML Sample


%%PageItemTitle%%

PropExchange Object

See Also Task Panel ActiveX Control v19.3

EmptySection Method

Description

Call this method to free section information before storing.

Syntax

Public Sub EmptySection()

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Task Panel ActiveX Control v19.3

ExchangeInt Method

Description

Saves or loads a Long value to\from a data source.

Syntax

Public Sub ExchangeInt( _
   ByVal PropName As String, _
   ByRef Value As Long, _
   ByVal DefaultValue As Long _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type Long to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeInt Sample


%%PageItemTitle%%

PropExchange Object

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.
See Also Task Panel ActiveX Control v19.3

ExchangeString Method

Description

Saves or loads a String value to\from a data source.

Syntax

Public Sub ExchangeString( _
   ByVal PropName As String, _
   ByRef Value As String, _
   ByVal DefaultValue As String _
)

Parameters

PropName

Name of the property.

Note: When working with XML data, there can not be any spaces in the property name.

Value
Reference to a variable of type String to save data to or to retrieve data from.
DefaultValue
Default value of the property.

Remarks

In addition to saving the layout and state of the controls, additional String and Integer values can be saved to the same data source using the ExchangeInt and ExchangeString methods.

It is important to note that both methods require the Value parameter to be a reference to store\retrieve the data.

Whether the data will be saved or loaded depends on the current state of the Loading property.

Note: When working with XML data, there can not be any spaces in the name given to the data.

See Also

PropExchange Object

Example

ExchangeString Sample


%%PageItemTitle%%

PropExchange Object

Section
String name to identify the layout.
See Also Task Panel ActiveX Control v19.3

GetSection Method

Description

Creates a new section in which to store a layout for text base storages (XML and Registry).

Syntax

Public Function GetSection( _
   ByVal Section As String _
) As PropExchange

Parameters

Section
String name to identify the layout.

Return Type

Returns a PropExchange object that contains the layout information saved with name Section.

Remarks

More than one layout for each object can be saved to the same file\data source. This allows multiple layouts to be saved to a single location. The GetSection method will create a new "section" in the file\registry in which a new layout can be saved\loaded.

See Also

PropExchange Object

Example

GetSection Sample


%%PageItemTitle%%

PropExchange Object | Value Property

Path
Path to the XML file to load.
See Also Task Panel ActiveX Control v19.3

LoadFromFile Method

Description

Loads layout information from a XML file into the PropExchange object.

Syntax

Public Function LoadFromFile( _
   ByVal Path As String _
) As Boolean

Parameters

Path
Path to the XML file to load.

Return Type

Returns True if the file was successfully loaded, False is there was a problem loading the file.

Remarks

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

See Also

PropExchange Object | Value Property

Example

LoadFromFile Sample


%%PageItemTitle%%

PropExchange Object

Path
Path to save the XML file.
See Also Task Panel ActiveX Control v19.3

SaveToFile Method

Description

Saves the XML layout information stored in the Value property to a XML file at the specified path.

Syntax

Public Sub SaveToFile( _
   ByVal Path As String _
)

Parameters

Path
Path to save the XML file.

Return Type

Returns True if the information was successfully saved to the file, False is there was a problem saving to the file.

Remarks

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

See Also

PropExchange Object

Example

SaveToFile Sample


%%PageItemTitle%%

PropExchange Object

See Also Task Panel ActiveX Control v19.3

Encoding Property

Description

Gets\sets the character set used when working with XML data.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Encoding() As String

Remarks

The Encoding property is provided for Unicode support when working with XML files.

The encoding information will appear in the first line of the XML file or XML string:

<?xml version="1.0" encoding="UTF-8"?>

Below is a table containing some of the encoding schemes available:

Charset Name | Preferred Charset Label Id
Arabic (ASMO 708) | ASMO-708
Arabic (DOS) | DOS-720
Arabic (ISO) | iso-8859-6
Arabic (Mac) | x-mac-arabic
Arabic (Windows) | windows-1256
Baltic (DOS) | ibm775
Baltic (ISO) | iso-8859-4
Baltic (Windows) | windows-1257
Central European (DOS) | ibm852
Central European (ISO) | iso-8859-2
Central European (Mac) | x-mac-ce
Central European (Windows) | windows-1250
Chinese Simplified (EUC) | EUC-CN
Chinese Simplified (GB2312) | gb2312
Chinese Simplified (HZ) | hz-gb-2312
Chinese Simplified (Mac) | x-mac-chinesesimp
Chinese Traditional (Big5) | big5
Chinese Traditional (CNS) | x-Chinese-CNS
Chinese Traditional (Eten) | x-Chinese-Eten
Chinese Traditional (Mac) | x-mac-chinesetrad
Cyrillic (DOS) | cp866
Cyrillic (ISO) | iso-8859-5
Cyrillic (KOI8-R) | koi8-r
Cyrillic (KOI8-U) | koi8-u
Cyrillic (Mac) | x-mac-cyrillic
Cyrillic (Windows) | windows-1251
Europa | x-Europa
German (IA5) | x-IA5-German
Greek (DOS) | ibm737
Greek (ISO) | iso-8859-7
Greek (Mac) | x-mac-greek
Greek (Windows) | windows-1253
Greek, Modern (DOS) | ibm869
Hebrew (DOS) | DOS-862
Hebrew (ISO-Logical) | iso-8859-8-i
Hebrew (ISO-Visual) | iso-8859-8
Hebrew (Mac) | x-mac-hebrew
Hebrew (Windows) | windows-1255
IBM EBCDIC (Arabic) | x-EBCDIC-Arabic
IBM EBCDIC (Cyrillic Russian) | x-EBCDIC-CyrillicRussian
IBM EBCDIC (Cyrillic Serbian-Bulgarian) | x-EBCDIC-CyrillicSerbianBulgarian
IBM EBCDIC (Denmark-Norway) | x-EBCDIC-DenmarkNorway
IBM EBCDIC (Denmark-Norway-Euro) | x-ebcdic-denmarknorway-euro
IBM EBCDIC (Finland-Sweden) | x-EBCDIC-FinlandSweden
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (Finland-Sweden-Euro) | x-ebcdic-finlandsweden-euro
IBM EBCDIC (France-Euro) | x-ebcdic-france-euro
IBM EBCDIC (Germany) | x-EBCDIC-Germany
IBM EBCDIC (Germany-Euro) | x-ebcdic-germany-euro
IBM EBCDIC (Greek Modern) | x-EBCDIC-GreekModern
IBM EBCDIC (Greek) | x-EBCDIC-Greek
IBM EBCDIC (Hebrew) | x-EBCDIC-Hebrew
IBM EBCDIC (Icelandic) | x-EBCDIC-Icelandic
IBM EBCDIC (Icelandic-Euro) | x-ebcdic-icelandic-euro
IBM EBCDIC (International-Euro) | x-ebcdic-international-euro
IBM EBCDIC (Italy) | x-EBCDIC-Italy
IBM EBCDIC (Italy-Euro) | x-ebcdic-italy-euro
IBM EBCDIC (Japanese and Japanese Katakana) | x-EBCDIC-JapaneseAndKana
IBM EBCDIC (Japanese and Japanese-Latin) | x-EBCDIC-JapaneseAndJapaneseLatin
IBM EBCDIC (Japanese and US-Canada) | x-EBCDIC-JapaneseAndUSCanada
IBM EBCDIC (Japanese katakana) | x-EBCDIC-JapaneseKatakana
IBM EBCDIC (Korean and Korean Extended) | x-EBCDIC-KoreanAndKoreanExtended
IBM EBCDIC (Korean Extended) | x-EBCDIC-KoreanExtended
IBM EBCDIC (Multilingual Latin-2) | CP870
IBM EBCDIC (Simplified Chinese) | x-EBCDIC-SimplifiedChinese
IBM EBCDIC (Spain) | X-EBCDIC-Spain
IBM EBCDIC (Spain-Euro) | x-ebcdic-spain-euro
IBM EBCDIC (Thai) | x-EBCDIC-Thai
IBM EBCDIC (Traditional Chinese) | x-EBCDIC-TraditionalChinese
IBM EBCDIC (Turkish Latin-5) | CP1026
IBM EBCDIC (Turkish) | x-EBCDIC-Turkish
IBM EBCDIC (UK) | x-EBCDIC-UK
IBM EBCDIC (UK-Euro) | x-ebcdic-uk-euro
IBM EBCDIC (US-Canada) | ebcdic-cp-us
IBM EBCDIC (US-Canada-Euro) | x-ebcdic-cp-us-euro
Icelandic (DOS) | ibm861
Icelandic (Mac) | x-mac-icelandic
ISCII Assamese | x-iscii-as
ISCII Bengali | x-iscii-be
ISCII Devanagari | x-iscii-de
ISCII Gujarathi | x-iscii-gu
ISCII Kannada | x-iscii-ka
ISCII Malayalam | x-iscii-ma
ISCII Oriya | x-iscii-or
ISCII Panjabi | x-iscii-pa
ISCII Tamil | x-iscii-ta
ISCII Telugu | x-iscii-te
Japanese (EUC) | euc-jp
Japanese (JIS) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana - SO/SI) | iso-2022-jp
Japanese (JIS-Allow 1 byte Kana) | csISO2022JP
Japanese (Mac) | x-mac-japanese
Japanese (Shift-JIS) | shift_jis
Korean | ks_c_5601-1987
Korean (EUC) | euc-kr
Korean (ISO) | iso-2022-kr
Korean (Johab) | Johab
Korean (Mac) | x-mac-korean
Latin 3 (ISO) | iso-8859-3
Latin 9 (ISO) | iso-8859-15
Norwegian (IA5) | x-IA5-Norwegian
OEM United States | IBM437
Swedish (IA5) | x-IA5-Swedish
Thai (Windows) | windows-874
Turkish (DOS) | ibm857
Turkish (ISO) | iso-8859-9
Turkish (Mac) | x-mac-turkish
Turkish (Windows) | windows-1254
Unicode | unicode
Unicode (Big-Endian) | unicodeFFFE
Unicode (UTF-7) | utf-7
Unicode (UTF-8) | utf-8
US-ASCII | us-ascii
Vietnamese (Windows) | windows-1258
Western European (DOS) | ibm850
Western European (IA5) | x-IA5
Western European (ISO) | iso-8859-1
Western European (Mac) | macintosh
Western European (Windows) | Windows-1252

See Also

PropExchange Object


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

See Also Task Panel ActiveX Control v19.3

Loading Property

Description

Specifies whether exchanging information is in "load" mode.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Loading() As Boolean

Remarks

When using any of the CreateAs methods the Loading parameter is used to specify whether the layout information is currently Loading or saving. The Loading property will remain True until set to False by calling a CreateAs method and passing False as the Loading parameter. The Loading property can be used to determine if you are currently loading layout information.

When Loading is False, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be written to the data source (file or registry).

When Loading is True, using the GetSection, ExchangeInt and ExchangeString methods will cause data to be loaded from the data source (file or registry).

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method | GetSection Method | ExchangeInt Method | ExchangeString Method

Example

Using the Loading Property


%%PageItemTitle%%

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

See Also Task Panel ActiveX Control v19.3

Valid Property

Description

Specifies whether information was successfully saved to a PropExchange object.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Valid() As Boolean

Remarks

When saving information, the Valid property should be used after a call to one of the CreateAs methods to verify that the layout information was correctly saved to the PropExchange object.

See Also

PropExchange Object | CreateAsBinaryFile Method | CreateAsRegistry Method | CreateAsXML Method

Example

Sample using the Valid property


%%PageItemTitle%%

PropExchange Object

See Also Task Panel ActiveX Control v19.3

Value Property

Description

Gets\sets the XML text that represents the controls layout\state.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Value() As Variant

Remarks

The Value property is used when working with XML data. The Value will always contain the layout and state of the control in XML format. The Value is intended to be used to manually create or get the layout in XML format. This can be used to manually read/write the layout information directly to\from the Value property if you don't want to save to a file.

See Also

PropExchange Object


%%PageItemTitle%%

ResourceImages Members

See Also Task Panel ActiveX Control v19.3

ResourceImages Object

Description

Object used to load and access resource themes for the control. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances.

For a list of all members defined in this module, see ResourceImages members.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpTaskPanelThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Members

Example

Loading a Resource Theme Sample


%%PageItemTitle%% $$Members$$

ResourceImages Overview

See Also Task Panel ActiveX Control v19.3

ResourceImages Object Members

Public Methods

Public Method GetColor |
Public Method LoadFromFile | Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Public Properties

Public Property DllFileName | Name of the resource file currently being used.
Public Property IniFileName | Name of the resource used from the currently loaded dll.

See Also

ResourceImages Overview


%%PageItemTitle%%

ResourceImages Object

Section
KeyName
See Also Task Panel ActiveX Control v19.3

GetColor Method

Syntax

Public Function GetColor( _
   ByVal Section As String, _
   ByVal KeyName As String _
) As ULong

Parameters

Section
KeyName

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.
See Also Task Panel ActiveX Control v19.3

LoadFromFile Method

Description

Loads a resource theme from a file. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Syntax

Public Function LoadFromFile( _
   ByVal DllFileName As String, _
   ByVal IniFileName As String _
) As Boolean

Parameters

DllFileName
Name of the resource file to used.
IniFileName
Name of the resource from the specified dll to load.

Return Type

True if loaded successfully. False otherwise.

Remarks

LoadFromFile loads a resource file so that the control can use a theme in that dll. You must specify both DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpTaskPanelThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

See the Loading a Resource Theme Sample for code snippets.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

See Also

ResourceImages Object

Example

Loading a Resource Theme Sample


%%PageItemTitle%%

ResourceImages Object

See Also Task Panel ActiveX Control v19.3

DllFileName Property

Description

Name of the resource file currently being used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DllFileName() As String

Return Type

Name of the resource file currently being used.

Remarks

DllFileName stores the name of the resource image file that was loaded. This contains the dll name only. Use IniFileName to get the colors used for the dll.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

ResourceImages Object

See Also Task Panel ActiveX Control v19.3

IniFileName Property

Description

Name of the resource used from the currently loaded dll.

Property type

Read-only property

Syntax (Visual Basic)

Public Property IniFileName() As String

Return Type

Name of the resource used from the currently loaded dll.

Remarks

IniFileName stores the name of the resource used from the currently loaded dll. This contains the name of the resource only. Use DllFileName to get the name of the resource file used.

Below is a list of the currently supported resource files and the resources that are contained in each file.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

See Also

ResourceImages Object


%%PageItemTitle%%

TaskPanel Members

See Also Task Panel ActiveX Control v19.3

TaskPanel Control

Description

Implements an Explorer and Office-like Task Panel control

For a list of all members defined in this module, see TaskPanel members.

Object Model

See Also

TaskPanel Members


%%PageItemTitle%% $$Members$$

TaskPanel Overview

See Also Task Panel ActiveX Control v19.3

TaskPanel Control Members

Public Methods

Public Method AboutBox | Displays the About Box of the TaskPanel
Public Method AddIconHandle | Adds the icon handle of an icon to the TaskPanel.
Public Method CreateItemFromDropArray | The CreateItemFromDropArray function converts the "Data" parameter in the Drag\Drop event back into a TaskPanelGroupItem.
Public Method DoPropExchange | Exchanges layout and state information to\from a PropExchange object.
Public Method Find | Finds and returns a TaskPanelGroupItem.
Public Method RenameItem | Used to change the Caption of a TaskPanelGroup or TaskPanelItem.
Public Method Reposition | Repositions the groups in the TaskPanel. You only need to call this after you add a group or item and you do not want any animation displayed. Calling this method will add the group or item to the TaskPanel without animation, even if animation is enabled.
Public Method SetGroupIconSize | Specifies the size of icons displayed in a TaskPanelGroup object.
Public Method SetGroupImageList | Assigns an image list to a TaskPanel's group. The TaskPanelGroupItems added to the group will use these images as icons.
Public Method SetGroupInnerMargins | Gets\Sets inner margins of the groups.
Public Method SetGroupOuterMargins | Gets\Sets outer margins of the groups.
Public Method SetGroupTextFormat | Sets the text format for text displayed in task panel groups.
Public Method SetIconSize | Specifies the size of the icons in the TaskPanel.
Public Method SetImageLayoutIconPadding | The SetImageLayoutIconPadding method sets the top, left, bottom, and right margins\padding around icons in the Task Panel.
Public Method SetImageList | Assigns an image list to a TaskPanel control. All TaskPanelGroupItems added to the TaskPanel will use these images as icons unless the SetGroupImageList method is used for a particular group.
Public Method SetItemInnerMargins | Gets\Sets inner margins of the items.
Public Method SetItemOuterMargins | Gets\Sets outer margins of the items.
Public Method SetItemTextFormat | The SetItemTextFormat method specifies how the text for items in the TaskPanel will be displayed.
Public Method SetMargins | Sets the top, left, bottom, and right margins of the TaskPanel control. This is the area surrounding each group within the TaskPanel.

Public Properties

Public Property AllowDrag | The AllowDrag property specifies how and where the items in the TaskPanel can be dragged and dropped.
Public Property Animation | Gets/Sets the animation of TaskPanel groups.
Public Property Behaviour | Gets\Sets the behavior of the TaskPanel.
Public Property BorderStyle | The type of border style that is placed around the TaskPanel.
Public Property CaptionFont | Specifies the font used to display the caption of TaskPanelGroups.
Public Property ClientHeight | Returns the minimum height of the task panel before a ScrollBar will appear so that all content the content can be accessible.
Public Property ColorSet | The ColorSet property stores the colors used to paint the Task Panel.
Public Property ColumnWidth | Get\set the width in pixels of all columns in a multicolumn task panel.
Public Property DragOverItem | The DragOverItem property holds a pointer to the item that currently is being dragged over.
Public Property DrawFocusRect | Gets\Sets whether a focus rectangle will be drawn around a TaskPanelGroupItem\TaskPanelItem when the Up and Down arrows are used to navigate the items in the TaskPanel.
Public Property EnableAnimation | Enables or disables animation for the TaskPanel group items.
Public Property Enabled | Gets/Sets a boolean value determining whether the control is enabled.
Public Property EnableMarkup | Allows the use of a XAML snippet to be used for the Caption of Task Panel Items.
Public Property Expandable | Gets/Sets a Boolean value indicating whether the task panel groups are expandable. If false, the expand button is removed from the group captions.
Public Property FocusedItem | The FocusedItem property holds a pointer to the currently focused TaskPanelItem.
Public Property Groups | Collection of TaskPanelGroup objects in the TaskPanel control.
Public Property HotItem | The HotItem property holds a pointer to the "hot" TaskPanelItem.
Public Property HotItemMousePointer | Gets or sets the icon id of the image to use when the mouse pointer is positioned over an item.
Public Property HotTrackStyle | Gets\Sets the Hot Tracking style used on mouse over.
Public Property hWnd | The Handle to the object that the TaskPanel is bound to
Public Property Icons | Get\Sets the icons used in the TaskPanel.
Public Property ItemLayout | Gets\Sets the layout of the items within groups.
Public Property ItemsFont | Specifies the font used to display the text of TaskPanelGroupItems.
Public Property LockRedraw | The LockRedraw property is used lock or unlock Task Panel re-drawing.
Public Property MinimumGroupClientHeight | Gets\sets the minimum height of the group client area for all groups in the task panel.
Public Property MultiColumn | Enabled\disabled the use of multi-column groups for layouts other than image layout.
Public Property OLEDropMode | The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.
Public Property ReCreateReparented |
Public Property RightToLeft | Gets or sets a value indicating whether the TaskPanel elements are aligned to support locales using right-to-left fonts.
Public Property SelectItemOnFocus | Gets\Sets whether items will be selected when they are clicked.
Public Property SingleSelection | The SingleSelection property specifies whether only one item can be selected in the Task Panel at a time.
Public Property ToolTipContext | The ToolTipContext object represents the tool tip window that is used to display tool tips.
Public Property VisualTheme | Gets/Sets the visual theme of the TaskPanel control

Events

Public Event BeginDrag | The BeginDrag event occurs when a GroupItem begins to drag.
Public Event ClientHeightChanged | Occurs when the client height changes.
Public Event EndRenameItem | Occurs when an items has finished being renamed.
Public Event FocusedItemChanged | The FocusedItemChanged event occurs when the focus has changed from one item or group to different item or group.
Public Event GroupExpanded | The GroupExpanded event occurs when a group has finished expanding.
Public Event GroupExpanding | The GroupExpanding event occurs when a Group is in the process of expanding or collapsing.
Public Event GroupMove | The GroupMove event occurs when a group moves (has been dragged).
Public Event HotItemChanged | Occurs when a new item becomes "hot".
Public Event ItemClick | Occurs when a TaskPanelGroupItem that is of type xtpTaskItemTypeLink has been clicked.
Public Event ItemDblClick | The ItemDblClick event occurs when an item in the TaskPanel is double-clicked.
Public Event ItemDrop | The ItemDrop event occurs when a GroupItem has been dropped.
Public Event ItemRButtonDown | Occurs when a TaskPanelGroup caption is right-clicked, or when a TaskPanelGroupItem that is of type xtpTaskItemTypeLink has been right-clicked.
Public Event KeyDown | Occurs when a TaskPanelGroup or TaskPanelGroupItem of type xtpTaskItemTypeLink has focus and a key on the keyboard is pressed down. This also occurs when a key is pressed and the entire TaskPanel control has focus but no groups or items are selected.
Public Event KeyUp | Occurs when a TaskPanelGroup or TaskPanelGroupItem of type xtpTaskItemTypeLink has focus and a key on the keyboard is released. This also occurs when a key is released and the entire TaskPanel control has focus but no groups or items are selected.
Public Event MouseDown | Occurs when the mouse pointer is moved anywhere over the TaskPanel.
Public Event MouseMove | Occurs when the mouse pointer is moved anywhere over the TaskPanel.
Public Event MouseUp | Occurs when a button on the mouse has been released anywhere on the TaskPanel.
Public Event OLEDragDrop | Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.
Public Event OLEDragOver | Occurs when one component is dragged over another.
Public Event ReCreated |

See Also

TaskPanel Overview


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

AboutBox Method

Description

Displays the About Box of the TaskPanel

Syntax

Public Sub AboutBox()

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Handle
Handle to be added
See Also Task Panel ActiveX Control v19.3

AddIconHandle Method

Description

Adds the icon handle of an icon to the TaskPanel.

Syntax

Public Sub AddIconHandle( _
   ByVal Handle As Long _
)

Parameters

Handle
Handle to be added

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

ByteArray
The "Data" parameter from a Drag\Drop event to convert back into a TaskPanelGroupItem.
See Also Task Panel ActiveX Control v19.3

CreateItemFromDropArray Method

Description

The CreateItemFromDropArray function converts the "Data" parameter in the Drag\Drop event back into a TaskPanelGroupItem.

Syntax

Public Function CreateItemFromDropArray( _
   ByVal ByteArray As Variant _
) As TaskPanelGroupItem

Parameters

ByteArray
The "Data" parameter from a Drag\Drop event to convert back into a TaskPanelGroupItem.

Return Type

Returns the TaskPanelGroupItem that was Dragged\Dropped. The item will be a TaskPanelGroupItem.

Remarks

The CreateItemFromDropArray is used with Darg\Drop events to convert the "Data" parameter (VB 6) or e.Data parameter (C#) back into a TaskPanelGroupItem.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | PropExchange Sample

pPX
PropExchange object to exchange data with.
See Also Task Panel ActiveX Control v19.3

DoPropExchange Method

Description

Exchanges layout and state information to\from a PropExchange object.

Syntax

Public Sub DoPropExchange( _
   ByVal pPX As PropExchange _
)

Parameters

pPX
PropExchange object to exchange data with.

Remarks

The PropExchange object provides a universal solution to save the layout and state of the CommandBars, Docking Pane, TaskPanel, and Report Controls to a single file or the system registry with support to write/load directly to/from a file or registry.

Loading Information:

A call to DoPropExchange should be made after successfully loading information from a file. This will update the control with the information.

Note: LoadFromFile only loads XML files. The XML string will be stored in the Value property.

To load information from a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in True for the Loading parameter.

Saving Information:

A call to DoPropExchange should be made before saving the layout information to the file. This will make sure that the current layout information will be saved.

Note: SaveToFile only saves XML data to XML files. The XML string saved to the file is stored in the Value property.

To save information to a binary file or the system registry, use the CreateAsBinary and CreateAsRegistry methods passing in False for the Loading parameter, then call DoPropExchange to save the information.

Please see the PropExchange description for more information and a Sample.

See Also

TaskPanel Control | PropExchange Sample


%%PageItemTitle%%

TaskPanel Control

Id
ID of the TaskPanelGroupItem to find.
See Also Task Panel ActiveX Control v19.3

Find Method

Description

Finds and returns a TaskPanelGroupItem.

Syntax

Public Function Find( _
   ByVal Id As Long _
) As TaskPanelGroupItem

Parameters

Id
ID of the TaskPanelGroupItem to find.

Return Type

Returns a TaskPanelGroupItem if found, otherwise Null is returned.

Remarks

The Find method is used to fins an item by Id.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | EndRenameItem Event

Item
TaskPanelGroup or TaskPanelItem who's caption will be changed.
See Also Task Panel ActiveX Control v19.3

RenameItem Method

Description

Used to change the Caption of a TaskPanelGroup or TaskPanelItem.

Syntax

Public Sub RenameItem( _
   ByVal Item As TaskPanelItem _
)

Parameters

Item
TaskPanelGroup or TaskPanelItem who's caption will be changed.

Remarks

Use this to change the caption of a TaskPanelGroup or TaskPanelItem. When the RenameItem method is called, an edit box appears on the group caption allowing you to type in a new name.

See Also

TaskPanel Control | EndRenameItem Event


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

Reposition Method

Description

Repositions the groups in the TaskPanel. You only need to call this after you add a group or item and you do not want any animation displayed. Calling this method will add the group or item to the TaskPanel without animation, even if animation is enabled.

Syntax

Public Sub Reposition()

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

cx
New Width of the icons.
cy
New Height of the icons.
See Also Task Panel ActiveX Control v19.3

SetGroupIconSize Method

Description

Specifies the size of icons displayed in a TaskPanelGroup object.

Syntax

Public Sub SetGroupIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New Width of the icons.
cy
New Height of the icons.

Remarks

This sets the size of the icons displayed in the TaskPanelGroup objects, not the items within the group.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

ImageList
Image list to be assigned to the groups of TaskPanel
See Also Task Panel ActiveX Control v19.3

SetGroupImageList Method

Description

Assigns an image list to a TaskPanel's group. The TaskPanelGroupItems added to the group will use these images as icons.

Syntax

Public Sub SetGroupImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
Image list to be assigned to the groups of TaskPanel

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
top
right
bottom
See Also Task Panel ActiveX Control v19.3

SetGroupInnerMargins Method

Description

Gets\Sets inner margins of the groups.

Syntax

Public Sub SetGroupInnerMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
top
right
bottom

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
top
right
bottom
See Also Task Panel ActiveX Control v19.3

SetGroupOuterMargins Method

Description

Gets\Sets outer margins of the groups.

Syntax

Public Sub SetGroupOuterMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
top
right
bottom

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Format
Format to apply to the group text.
See Also Task Panel ActiveX Control v19.3

SetGroupTextFormat Method

Description

Sets the text format for text displayed in task panel groups.

Syntax

Public Sub SetGroupTextFormat( _
   ByVal Format As XTPItemAlignment _
)

Parameters

Format
Value | Description
DT_TOP | Aligns text to the left.
DT_LEFT | Aligns text to the left.
DT_CENTER | Centers text horizontally.
DT_RIGHT | Aligns text to the right.
DT_VCENTER | Centers text vertically. This value is used only with the DT_SINGLELINE value.
DT_BOTTOM | Renders the text string at the bottom of the display rectangle. This value is used only with the DT_SINGLELINE value.
DT_WORDBREAK | Breaks lines between words if a word would extend past the edge of the display rectangle ("wraps" the text). A carriage return/line feed (CR/LF) sequence also breaks the line.
DT_SINGLELINE Specifies that lines of text will not "word wrap" to the next line, they will stay on a single line truncating any text that cannot fit.

Displays text on a single line. Carriage returns and line feeds do not break the line.

DT_END_ELLIPSIS | Truncates the text string that is wider than the popup control item and adds an ellipsis to indicate the truncation.
Format to apply to the group text.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

cx
New Width of the icons.
cy
New Height of the icons.
See Also Task Panel ActiveX Control v19.3

SetIconSize Method

Description

Specifies the size of the icons in the TaskPanel.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New Width of the icons.
cy
New Height of the icons.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.
See Also Task Panel ActiveX Control v19.3

SetImageLayoutIconPadding Method

Description

The SetImageLayoutIconPadding method sets the top, left, bottom, and right margins\padding around icons in the Task Panel.

Syntax

Public Sub SetImageLayoutIconPadding( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.

Remarks

The SetImageLayoutIconPadding method sets the top, left, bottom, and right margins\padding around icons in the Task Panel. This is the "padding" that is placed around the icon.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

ImageList
Image list to be assigned to the TaskPanel control
See Also Task Panel ActiveX Control v19.3

SetImageList Method

Description

Assigns an image list to a TaskPanel control. All TaskPanelGroupItems added to the TaskPanel will use these images as icons unless the SetGroupImageList method is used for a particular group.

Syntax

Public Sub SetImageList( _
   ByVal ImageList As Object _
)

Parameters

ImageList
Image list to be assigned to the TaskPanel control

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
top
right
bottom
See Also Task Panel ActiveX Control v19.3

SetItemInnerMargins Method

Description

Gets\Sets inner margins of the items.

Syntax

Public Sub SetItemInnerMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
top
right
bottom

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
top
right
bottom
See Also Task Panel ActiveX Control v19.3

SetItemOuterMargins Method

Description

Gets\Sets outer margins of the items.

Syntax

Public Sub SetItemOuterMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
top
right
bottom

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Format
XTPItemAlignment parameter that contains one or more XTPItemAlignment values that specify the string's formatting.
See Also Task Panel ActiveX Control v19.3

SetItemTextFormat Method

Description

The SetItemTextFormat method specifies how the text for items in the TaskPanel will be displayed.

Syntax

Public Sub SetItemTextFormat( _
   ByVal Format As XTPItemAlignment _
)

Parameters

Format
Value | Description
DT_TOP | Aligns text to the left.
DT_LEFT | Aligns text to the left.
DT_CENTER | Centers text horizontally.
DT_RIGHT | Aligns text to the right.
DT_VCENTER | Centers text vertically. This value is used only with the DT_SINGLELINE value.
DT_BOTTOM | Renders the text string at the bottom of the display rectangle. This value is used only with the DT_SINGLELINE value.
DT_WORDBREAK | Breaks lines between words if a word would extend past the edge of the display rectangle ("wraps" the text). A carriage return/line feed (CR/LF) sequence also breaks the line.
DT_SINGLELINE Specifies that lines of text will not "word wrap" to the next line, they will stay on a single line truncating any text that cannot fit.

Displays text on a single line. Carriage returns and line feeds do not break the line.

DT_END_ELLIPSIS | Truncates the text string that is wider than the popup control item and adds an ellipsis to indicate the truncation.
XTPItemAlignment parameter that contains one or more XTPItemAlignment values that specify the string's formatting.

Remarks

One or more of these values are used to specify how a text string should be formatted.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

left
Left margin
top
Top margin
right
Right margin
bottom
Bottom margin
Middle
Margin between groups
See Also Task Panel ActiveX Control v19.3

SetMargins Method

Description

Sets the top, left, bottom, and right margins of the TaskPanel control. This is the area surrounding each group within the TaskPanel.

Syntax

Public Sub SetMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long, _
   ByVal Middle As Long _
)

Parameters

left
Left margin
top
Top margin
right
Right margin
bottom
Bottom margin
Middle
Margin between groups

Example

[TaskPanel SetMargins Sample (Visual Basic)]

    'This sample code illustrates how to change the margins around a task panel group item.
    Dim Group As TaskPanelGroup
    Dim Item As TaskPanelGroupItem

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Set Item = Group.Items.Add(ID_TASKITEM_HIDECONTENTS, "Hide the contents of this drive", xtpTaskItemTypeLink, 1)
    Item.SetMargins 15, 0, 0, 0

    'This sample code illustrates how to change the margins around the task panel groups.
    wndTaskPanel.SetMargins 30, 30, 30, 30, 30

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | BeginDrag Event | ItemDrop Event | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property | GroupItem AllowDrag Property | GroupItem AllowDrop Property | DragText Property

See Also Task Panel ActiveX Control v19.3

AllowDrag Property

Description

The AllowDrag property specifies how and where the items in the TaskPanel can be dragged and dropped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrag() As XTPTaskPanelItemAllowDrag

Remarks

The TaskPanel.AllowDrag property serves as a set of "default" drag and drop flags that are applied to all groups and group items if no drag and drop settings are set for for the individual group or group item objects.

The drag and drop settings for TaskPanelGroup objects can be set using the TaskPanelGroup.AllowDrag property.

The drag and drop settings for TaskPanelGroupItem objects can be set using the TaskPanelGroupItem.AllowDrag property.

See the XTPTaskPanelItemAllowDrag enumeration for a detailed explanation of each flag and how it effects the dragging and dropping of the groups and group items.

The DrawText property can be set for each TaskPanelGroupItem, this is the text string that is sent to the Target Component when an item is dropped onto a control outside of the TaskPanel.

See Also

TaskPanel Control | BeginDrag Event | ItemDrop Event | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property | GroupItem AllowDrag Property | GroupItem AllowDrop Property | DragText Property


%%PageItemTitle%%

TaskPanel Control | EnableAnimation Property

See Also Task Panel ActiveX Control v19.3

Animation Property

Description

Gets/Sets the animation of TaskPanel groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Animation() As XTPTaskPanelAnimation

Remarks

This will only change the animation of taskpanel groups. The EnableAnimation property is used to control hot tracking of the items in the groups.

See Also

TaskPanel Control | EnableAnimation Property


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

Behaviour Property

Description

Gets\Sets the behavior of the TaskPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Behaviour() As XTPTaskPanelBehaviour

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | XTPTaskPanelBorderStyle Enumeration

See Also Task Panel ActiveX Control v19.3

BorderStyle Property

Description

The type of border style that is placed around the TaskPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BorderStyle() As XTPTaskPanelBorderStyle

Remarks

This specifies the border style for the TaskPanel, this will not effect the individual groups or items.

See Also

TaskPanel Control | XTPTaskPanelBorderStyle Enumeration


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

CaptionFont Property

Description

Specifies the font used to display the caption of TaskPanelGroups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionFont() As Font

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | ClientHeightChanged Event

See Also Task Panel ActiveX Control v19.3

ClientHeight Property

Description

Returns the minimum height of the task panel before a ScrollBar will appear so that all content the content can be accessible.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ClientHeight() As Long

Remarks

The ClientHeight property is used to indicate the minimum total height the Task Panel can be before the scrollbar is displayed. This can be useful for doing something like adding a child task panel (as a control item) and suncronize its height with height so that no scroll bars will be displayed.

The ClientHeightChanged event occurs when the client height changes.

See Also

TaskPanel Control | ClientHeightChanged Event


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ColorSet Property

Description

The ColorSet property stores the colors used to paint the Task Panel.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorSet() As TaskPanelColorSet

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | MultiColumn Property

See Also Task Panel ActiveX Control v19.3

ColumnWidth Property

Description

Get\set the width in pixels of all columns in a multicolumn task panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColumnWidth() As Long

Remarks

The MultiColumn property is used to enable multiple columns of items within a group. The ColumnWidth property is used to specify the width of all columns within the groups.

Below is a picture of a group with multiples columns enabled with a ColumnWidth of 75 pixels.

Example

[Multi-Column Sample (Visual Basic)] This sample illustrates how to enable multi-columns in groups and how to set the width of all columns in the groups.

'Enable multi-columns in groups
wndToolBox.MultiColumn = True
'Specify the width of columns in groups
wndToolBox.ColumnWidth = 75

See Also

TaskPanel Control | MultiColumn Property


%%PageItemTitle%%

TaskPanel Control | OLEDragDrop Event | OLEDragOver Event

See Also Task Panel ActiveX Control v19.3

DragOverItem Property

Description

The DragOverItem property holds a pointer to the item that currently is being dragged over.

Property type

Read-only property

Syntax (Visual Basic)

Public Property DragOverItem() As TaskPanelItem

Remarks

DragOverItem is used with the OLEDragDrop event to determine which item the mouse cursor is currently dragging an item over.

DragOverItem is useful for determining if the item is a group and it is also used to determine the parent group on an item so that you can add an item to that group if the mouse drops somthing.

See Also

TaskPanel Control | OLEDragDrop Event | OLEDragOver Event

Example

DragDrop Sample


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

DrawFocusRect Property

Description

Gets\Sets whether a focus rectangle will be drawn around a TaskPanelGroupItem\TaskPanelItem when the Up and Down arrows are used to navigate the items in the TaskPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DrawFocusRect() As Boolean

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | Animation Property

See Also Task Panel ActiveX Control v19.3

EnableAnimation Property

Description

Enables or disables animation for the TaskPanel group items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableAnimation() As Boolean

Remarks

This will enable or disable item animation such as hot tracking when the mouse is positioned over an item in a group. This will not change the animation for groups. To change group animation use the Animation property.

See Also

TaskPanel Control | Animation Property


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a boolean value determining whether the control is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

EnableMarkup Property

Description

Allows the use of a XAML snippet to be used for the Caption of Task Panel Items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property EnableMarkup() As Boolean

Remarks

If set to True and a valid XAML snippet is set to the Caption of Task Panel Items, then the Caption will be displayed as rendered XAML.

If set to False, then any text in the Caption, even if valid XAML will get displayed in plain text.

The picture below shows many control using snippets of XAML:

Example

[Visual Basic]

'Global definitions
Const ID_TASKITEM_DRAFTS = 632
Const ID_TASKITEM_INBOX = 633
Const ID_TASKITEM_SENT = 634
Const ID_TASKITEM_LARGEMAIL = 635
Const ID_TASKITEM_JUNK = 636

Private Sub Form_Load()
    Dim Group As TaskPanelGroup
    Dim Item As TaskPanelGroupItem

    wndTaskPanel.EnableMarkup = True

    Set Group = wndTaskPanel.Groups.Add(0, "System Email Client")
    Group.Tooltip = "These tasks apply to your default email client"
    Group.Special = True

    Group.Items.Add ID_TASKITEM_DRAFTS, "<TextBlock HorizontalAlignment='Left' Cursor='Hand'>Drafts</TextBlock>", xtpTaskItemTypeText
    Group.Items.Add ID_TASKITEM_INBOX, "<TextBlock HorizontalAlignment='Left' Cursor='Hand'>" & _
                    "<Bold>Inbox</Bold><Run Foreground='Blue'>(490)</Run>" & _
                    "</TextBlock>", xtpTaskItemTypeText
    Group.Items.Add ID_TASKITEM_SENT, "<TextBlock HorizontalAlignment='Left' Cursor='Hand'>Sent items</TextBlock>", xtpTaskItemTypeText
    Group.Items.Add ID_TASKITEM_LARGEMAIL, "<TextBlock HorizontalAlignment='Left' Cursor='Hand'>" & _
                    "<Italic>Large Mail</Italic></TextBlock>", xtpTaskItemTypeText
    Group.Items.Add ID_TASKITEM_JUNK, "<TextBlock HorizontalAlignment='Left' Cursor='Hand'>" & _
                    "<Bold>Junk E-mail</Bold><Run Foreground='Blue'>[490]</Run>" & _
                    "</TextBlock>", xtpTaskItemTypeText
End Sub

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | GroupExpanded Event | GroupExpanding Event | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property

See Also Task Panel ActiveX Control v19.3

Expandable Property

Description

Gets/Sets a Boolean value indicating whether the task panel groups are expandable. If false, the expand button is removed from the group captions.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

Example

[Expandable Sample (Visual Basic)]

    'This sample code illustrates how to specify that group will not be expandable.
    Dim Group As TaskPanelGroup

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Group.Expandable = False

    'This sample code illustrates how to specify that All groups in the task panel will not be expandable.
    wndTaskPanel.Expandable = False

See Also

TaskPanel Control | GroupExpanded Event | GroupExpanding Event | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property


%%PageItemTitle%%

TaskPanel Control | FocusedItemChanged Event | ItemClick Event | SelectItemOnFocus Property

See Also Task Panel ActiveX Control v19.3

FocusedItem Property

Description

The FocusedItem property holds a pointer to the currently focused TaskPanelItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property FocusedItem() As TaskPanelItem

Remarks

The FocusedItem property holds a pointer to the currently focused TaskPanelItem. The FocusedItem is updated each time a user clicks, right-clicks, or uses the arrow keys to select an item or group. Both groups and group items can be the FocusedItem. Each time the FocusedItemChanged event occurs, FocusedItem is updated with the currently focused item.

Note: Items in more than one group can have focus when SingleSelection is FALSE and the TaskPanel behaviour is xtpTaskPanelBehaviourExplorer. In this case, the FocusedItem will point to the last item that had focus, regardless of what items may be selected in other groups.

If toggle buttons are used, then FocusedItem will point to the last item to receive focus.

See Also

TaskPanel Control | FocusedItemChanged Event | ItemClick Event | SelectItemOnFocus Property

Example

Retrieving the Currently Focused Item


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

Groups Property

Description

Collection of TaskPanelGroup objects in the TaskPanel control.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Groups() As TaskPanelGroups

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | HotItemChanged Event

See Also Task Panel ActiveX Control v19.3

HotItem Property

Description

The HotItem property holds a pointer to the "hot" TaskPanelItem.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotItem() As TaskPanelItem

Remarks

The "hot" item is the item that is currently under the mouse pointer. If keyboard navigation is used then HotItem will be the currently focused item.

The HotItemChanged event occurs when a new item becomes "hot". This happens as the mouse pointer is moved from item to item.

See Also

TaskPanel Control | HotItemChanged Event


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

HotItemMousePointer Property

Description

Gets or sets the icon id of the image to use when the mouse pointer is positioned over an item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotItemMousePointer() As Long

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

HotTrackStyle Property

Description

Gets\Sets the Hot Tracking style used on mouse over.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HotTrackStyle() As XTPTaskPanelHotTrackStyle

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

hWnd Property

Description

The Handle to the object that the TaskPanel is bound to

Property type

Read-write property

Syntax (Visual Basic)

Public Property hWnd() As Integer

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

Icons Property

Description

Get\Sets the icons used in the TaskPanel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ItemLayout Property

Description

Gets\Sets the layout of the items within groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemLayout() As XTPTaskPanelItemLayout

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ItemsFont Property

Description

Specifies the font used to display the text of TaskPanelGroupItems.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemsFont() As Font

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

LockRedraw Property

Description

The LockRedraw property is used lock or unlock Task Panel re-drawing.

Property type

Read-write property

Syntax (Visual Basic)

Public Property LockRedraw() As Boolean

Remarks

LockRedraw should be set to TRUE any time a group of items is added, deleted, or modified. After the changes have been made to the Task Panel, LockRedraw should be set to FALSE to allows the Task Panel to re-draw itself and display the changes.

While LockRedraw is TRUE, the user can not interact with the Task Panel.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | TaskPanelGroup MinimumClientHeight Property

See Also Task Panel ActiveX Control v19.3

MinimumGroupClientHeight Property

Description

Gets\sets the minimum height of the group client area for all groups in the task panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumGroupClientHeight() As Long

Remarks

The group client area is automatically resized according to how many groups have been added to the task panel. When many groups are added to the task panel, the group client area can become really small. MinimumGroupClientHeight specifies the smallest size the group client area can be resized, regardless of how many groups have been added.

The TaskPanelGroup MinimumClientHeight property is used to set the minimum group client height for groups on an individual basis.

See Also

TaskPanel Control | TaskPanelGroup MinimumClientHeight Property


%%PageItemTitle%%

TaskPanel Control | ColumnWidth Property

See Also Task Panel ActiveX Control v19.3

MultiColumn Property

Description

Enabled\disabled the use of multi-column groups for layouts other than image layout.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MultiColumn() As Boolean

Remarks

The MultiColumn property is used to enable multiple columns of items within a group. This will enable multi-column item layout for layout other than only image layout. The only image layout will always be multi-column. The ColumnWidth property is used to specify the width of all columns within the groups.

Below is a picture of a group with multiples columns enabled with a ColumnWidth of 75 pixels.

Example

[Multi-Column Groups Sample (Visual Basic)] This sample illustrates how to enable multi-columns in groups and how to set the width of all columns in the groups.

'Enable multi-columns in groups
wndToolBox.MultiColumn = True
'Specify the width of columns in groups
wndToolBox.ColumnWidth = 75

See Also

TaskPanel Control | ColumnWidth Property


%%PageItemTitle%%

TaskPanel Control | OLEDragDrop Event | OLEDragOver Event

See Also Task Panel ActiveX Control v19.3

OLEDropMode Property

Description

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property OLEDropMode() As OLEDropConstants

See Also

TaskPanel Control | OLEDragDrop Event | OLEDragOver Event


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ReCreateReparented Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparented() As Boolean

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

RightToLeft Property

Description

Gets or sets a value indicating whether the TaskPanel elements are aligned to support locales using right-to-left fonts.

Property type

Read-write property

Syntax (Visual Basic)

Public Property RightToLeft() As Boolean

Remarks

The RightToLeft property is used for international applications where the language is written from right to left, such as Hebrew or Arabic. When you display these languages, not only must the text flow in the reverse direction from the English language, but also visual alignment of control elements must be reversed. When this property is set to true, control elements of the TaskPanel (Task Panel, Item Icons, Expand\Collapse Buttons, etc) are displayed from right to left.

Example

[TaskPanel RTL Mode (Visual Basic)] This sample illustrates how To enable RTL mode For the TaskPanel.

    'Set the Task Panel to RTL mode
    wndTaskPanel.RightToLeft = True

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

SelectItemOnFocus Property

Description

Gets\Sets whether items will be selected when they are clicked.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SelectItemOnFocus() As Boolean

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | FocusedItem Property | FocusedItemChanged Event | Item Selected Property

See Also Task Panel ActiveX Control v19.3

SingleSelection Property

Description

The SingleSelection property specifies whether only one item can be selected in the Task Panel at a time.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SingleSelection() As Boolean

Remarks

Set SingleSelection to TRUE to specify that only a single item can be selected\have focus. If SingleSelection is TRUE, then only one item can be selected, regardless of behaviour, theme, and hot tracking style.

Set SingleSelection to FALSE to specify that one or more items can be selected at the same time. An item in each group can be selected when the TaskPanel behaviour is xtpTaskPanelBehaviourExplorer. Multiple items can also be selected when using toggle buttons. Toggle buttons can be implemented by setting the selected property of items.

Example

[SingleSelection Sample (Visual Basic)] This sample illustrates how to specify that only a single item can be selected\have focus in the Task Panel.

    'Specifies that only a single item can be selected\have focus in the Task Panel.
    wndToolBox.SingleSelection = True

See Also

TaskPanel Control | FocusedItem Property | FocusedItemChanged Event | Item Selected Property


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ToolTipContext Property

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ToolTipContext() As ToolTipContext

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window. Tooltips are displayed when the mouse cursor is positioned over groups and groups items in the TaskPanel.

See the ToolTipContext object for a complete list of methods and properties.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

VisualTheme Property

Description

Gets/Sets the visual theme of the TaskPanel control

Property type

Read-write property

Syntax (Visual Basic)

Public Property VisualTheme() As XTPTaskPanelVisualTheme

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | TaskPanelGroupItem AllowDrag Property | TaskPanelGroupItem AllowDrop Property | ItemDrop Event | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property

Item
Pointer to the TaskPanelGroupItem that is being dragged.
See Also Task Panel ActiveX Control v19.3

BeginDrag Event

Description

The BeginDrag event occurs when a GroupItem begins to drag.

Syntax

Public Event BeginDrag( _
   ByVal Item As TaskPanelGroupItem _
)

Parameters

Item
Pointer to the TaskPanelGroupItem that is being dragged.

See Also

TaskPanel Control | TaskPanelGroupItem AllowDrag Property | TaskPanelGroupItem AllowDrop Property | ItemDrop Event | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property


%%PageItemTitle%%

TaskPanel Control | ClientHeight Property

See Also Task Panel ActiveX Control v19.3

ClientHeightChanged Event

Description

Occurs when the client height changes.

Syntax

Public Event ClientHeightChanged()

Remarks

The ClientHeight property is used to indicate the minimum total height the Task Panel can be before the scrollbar is displayed. This can be useful for doing something like adding a child task panel (as a control item) and suncronize its height with height so that no scroll bars will be displayed.

See Also

TaskPanel Control | ClientHeight Property


%%PageItemTitle%%

TaskPanel Control | RenameItem Method

Item
TaskPanelGroup or TaskPanelItem who's caption will be changed.
NewString
New caption for the item.
Cancel
Set to True to cancel renaming of the item.
See Also Task Panel ActiveX Control v19.3

EndRenameItem Event

Description

Occurs when an items has finished being renamed.

Syntax

Public Event EndRenameItem( _
   ByVal Item As TaskPanelItem, _
   ByRef NewString As String, _
   ByRef Cancel As Boolean _
)

Parameters

Item
TaskPanelGroup or TaskPanelItem who's caption will be changed.
NewString
New caption for the item.
Cancel
Set to True to cancel renaming of the item.

Remarks

When the RenameItem method is called, an edit box appears on the group\item caption allowing you to type in a new name. After the edit box losses focus or the enter key is pressed the EndRenameItem event is fired. EndRenameItem is fired before the caption of the item is actually changed giving you the opportunity to filter the new string, etc. Or completely cancel the edit operation.

See Also

TaskPanel Control | RenameItem Method


%%PageItemTitle%%

TaskPanel Control | FocusedItem Property | ItemClick Event | ItemDblClick Event | SingleSelection Property | ItemRButtonDown Event | KeyDown Event | KeyUp Event

See Also Task Panel ActiveX Control v19.3

FocusedItemChanged Event

Description

The FocusedItemChanged event occurs when the focus has changed from one item or group to different item or group.

Syntax

Public Event FocusedItemChanged()

Remarks

The FocusedItemChanged event occurs each time the focus changes from one item or group to a different item or group. This event occurs both when the user clicks on an item or group and if the Arrow keys are used to navigate the items.

The FocusedItem property holds a pointer to the currently focused item.

Note: Both the ItemClick and FocusedItemChanged events occur when a user clicks on a group or item.

If the user clicks on the item that already has focus, both events will not occur. Also note that when dragging an item, the FocusedItemChanged event will fire when the item is first clicked, and again when the item is dropped inside a group.

Example

[FocusedItemChanged Sample (Visual Basic)] This sample illustrates how to determine when the focus has changed from one item to another.

'The FocusedItemChanged event occurs each time the focus changes from one item or group to another.
'This event occurs both when the user clicks on an item or group and if they use the Arrow keys to
'navigate the items.
'Note: Both the ItemClick and FocusedItemChanged events occur when a user clicks on a group or item.
'If the user clicks on the item that already has focus, both events will not occur.
Private Sub wndToolBox_FocusedItemChanged()
    Dim Item As TaskPanelItem

    'Gets the currently focused item, this is the last item that was clicked
    Set Item = wndToolBox.FocusedItem

    Debug.Print "Focused Item = " & Item.Caption
End Sub

See Also

TaskPanel Control | FocusedItem Property | ItemClick Event | ItemDblClick Event | SingleSelection Property | ItemRButtonDown Event | KeyDown Event | KeyUp Event


%%PageItemTitle%%

TaskPanel Control | GroupExpanding Event | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property | TaskPanel Expandable Property

Group
Pointer to the TaskPanelGroup that just finished expanding.
See Also Task Panel ActiveX Control v19.3

GroupExpanded Event

Description

The GroupExpanded event occurs when a group has finished expanding.

Syntax

Public Event GroupExpanded( _
   ByVal Group As TaskPanelGroup _
)

Parameters

Group
Pointer to the TaskPanelGroup that just finished expanding.

See Also

TaskPanel Control | GroupExpanding Event | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property | TaskPanel Expandable Property


%%PageItemTitle%%

TaskPanel Control | GroupExpanded Event | TaskPanel Expandable Property | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property

Group
Pointer to the TaskPanelGroup that just finished expanding.
Expanding

TRUE when a Group is expanding.

FALSE when a Group is collapsing. Can be FALSE only when using the xtpTaskPanelBehaviourExplorer behavior.

Cancel
Set Cancel to TRUE to stop the Group from expanding or collapsing.
See Also Task Panel ActiveX Control v19.3

GroupExpanding Event

Description

The GroupExpanding event occurs when a Group is in the process of expanding or collapsing.

Syntax

Public Event GroupExpanding( _
   ByVal Group As TaskPanelGroup, _
   ByVal Expanding As Boolean, _
   ByRef Cancel As Boolean _
)

Parameters

Group
Pointer to the TaskPanelGroup that just finished expanding.
Expanding

TRUE when a Group is expanding.

FALSE when a Group is collapsing. Can be FALSE only when using the xtpTaskPanelBehaviourExplorer behavior.

Cancel
Set Cancel to TRUE to stop the Group from expanding or collapsing.

Remarks

The xtpTaskPanelBehaviourExplorer behavior is the only behavior that allows a Group to be collapsed.

See Also

TaskPanel Control | GroupExpanded Event | TaskPanel Expandable Property | TaskPanelGroup Expandable Property | TaskPanelGroup Expanded Property


%%PageItemTitle%%

TaskPanel Control

Group
Group that has moved.
See Also Task Panel ActiveX Control v19.3

GroupMove Event

Description

The GroupMove event occurs when a group moves (has been dragged).

Syntax

Public Event GroupMove( _
   ByVal Group As TaskPanelGroup _
)

Parameters

Group
Group that has moved.

Remarks

Occurs when a group is dragged if drag\drop is allowed or when the group is moved via code.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | HotItem Property

See Also Task Panel ActiveX Control v19.3

HotItemChanged Event

Description

Occurs when a new item becomes "hot".

Syntax

Public Event HotItemChanged()

Remarks

The HotItemChanged event occurs when a new item becomes "hot". This happens as the mouse pointer is moved from item to item.

The "hot" item is the item that is currently under the mouse pointer. If keyboard navigation is used then HotItem will be the currently focused item.

See Also

TaskPanel Control | HotItem Property


%%PageItemTitle%%

TaskPanel Control

Item
The TaskPanelGroupItem that was clicked.
See Also Task Panel ActiveX Control v19.3

ItemClick Event

Description

Occurs when a TaskPanelGroupItem that is of type xtpTaskItemTypeLink has been clicked.

Syntax

Public Event ItemClick( _
   ByVal Item As TaskPanelGroupItem _
)

Parameters

Item
The TaskPanelGroupItem that was clicked.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Item
Pointer to the TaskPanelGroupItem that was double-clicked.
See Also Task Panel ActiveX Control v19.3

ItemDblClick Event

Description

The ItemDblClick event occurs when an item in the TaskPanel is double-clicked.

Syntax

Public Event ItemDblClick( _
   ByVal Item As TaskPanelGroupItem _
)

Parameters

Item
Pointer to the TaskPanelGroupItem that was double-clicked.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | TaskPanelGroupItem AllowDrag Property | TaskPanelGroupItem AllowDrop Property | BeginDrag Event | TaskPanel AllowDrag Property | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property

Item
Pointer to the TaskPanelGroupItem that was dropped.
See Also Task Panel ActiveX Control v19.3

ItemDrop Event

Description

The ItemDrop event occurs when a GroupItem has been dropped.

Syntax

Public Event ItemDrop( _
   ByVal Item As TaskPanelGroupItem _
)

Parameters

Item
Pointer to the TaskPanelGroupItem that was dropped.

See Also

TaskPanel Control | TaskPanelGroupItem AllowDrag Property | TaskPanelGroupItem AllowDrop Property | BeginDrag Event | TaskPanel AllowDrag Property | TaskPanelGroup AllowDrag Property | TaskPanelGroup AllowDrop Property


%%PageItemTitle%%

TaskPanel Control

Item
TaskPanelGroupItem that was right-clicked.
See Also Task Panel ActiveX Control v19.3

ItemRButtonDown Event

Description

Occurs when a TaskPanelGroup caption is right-clicked, or when a TaskPanelGroupItem that is of type xtpTaskItemTypeLink has been right-clicked.

Syntax

Public Event ItemRButtonDown( _
   ByVal Item As TaskPanelItem _
)

Parameters

Item
TaskPanelGroupItem that was right-clicked.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

KeyCode
Code of the key that is down
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Task Panel ActiveX Control v19.3

KeyDown Event

Description

Occurs when a TaskPanelGroup or TaskPanelGroupItem of type xtpTaskItemTypeLink has focus and a key on the keyboard is pressed down. This also occurs when a key is pressed and the entire TaskPanel control has focus but no groups or items are selected.

Syntax

Public Event KeyDown( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Code of the key that is down
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

KeyCode
Key of the code that is up
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.
See Also Task Panel ActiveX Control v19.3

KeyUp Event

Description

Occurs when a TaskPanelGroup or TaskPanelGroupItem of type xtpTaskItemTypeLink has focus and a key on the keyboard is released. This also occurs when a key is released and the entire TaskPanel control has focus but no groups or items are selected.

Syntax

Public Event KeyUp( _
   ByRef KeyCode As Integer, _
   ByVal Shift As Integer _
)

Parameters

KeyCode
Key of the code that is up
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed.

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer
See Also Task Panel ActiveX Control v19.3

MouseDown Event

Description

Occurs when the mouse pointer is moved anywhere over the TaskPanel.

Syntax

Public Event MouseDown( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved
x
X coordinate of the mouse pointer
y
Y coordinate of the mouse pointer

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Task Panel ActiveX Control v19.3

MouseMove Event

Description

Occurs when the mouse pointer is moved anywhere over the TaskPanel.

Syntax

Public Event MouseMove( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse is moved.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.
See Also Task Panel ActiveX Control v19.3

MouseUp Event

Description

Occurs when a button on the mouse has been released anywhere on the TaskPanel.

Syntax

Public Event MouseUp( _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Button
Code indicating which button on the mouse was pressed.
Shift
Specifies whether the Shift, Ctrl or ALT keys were pressed when the mouse button is released.
x
X coordinate of the mouse pointer.
y
Y coordinate of the mouse pointer.

Remarks

Below are the meaning of mouse button codes:

Button | Value
Left Mouse Button | 1
Right Mouse Button | 2

Any combination of the Shift, Alt, and Ctrl key can be used, the table below show the possible values for the Shift Parameter:

Shift Parameter | Value | Bit Mask
Shift | 1 | 001
Ctrl | 2 | 010
Shift + Ctrl | 3 | 011
Alt | 4 | 100
Alt + Shift | 5 | 101
Alt + Ctrl | 6 | 110
Shift + Alt + Ctrl | 7 | 111

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanel Control | OLEDragOver Event | DataObject Object | DataObjectFiles Object

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
See Also Task Panel ActiveX Control v19.3

OLEDragDrop Event

Description

Occurs when a source component is dropped onto a target component when the source component determines that a drop can occur.

Syntax

Public Event OLEDragDrop( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys were depressed, the value of shift would be 6.
x
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.

Example

[Drang and Drop Custom Items into the Task Panel (Visual Basic)] This sample illustrates how to drag and drop custom items into the task panel. This sample assume this is a List View named wndListView.

Dim DragListItem As ListItem

Private Sub Form_Load()
    wndTaskPanel.Groups.Add 0, "Files"

    wndListView.ListItems.Add , , "File 1"
    wndListView.ListItems.Add , , "File 2"
    wndListView.ListItems.Add , , "File 3"

End Sub

Private Sub wndListView_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Button = vbLeftButton) Then
        Dim Item As ListItem
        Set Item = wndListView.HitTest(x, y)
        If (Not Item Is Nothing) Then
            Set DragListItem = Item
            wndListView.OLEDrag
            Set DragListItem = Nothing
        End If
    End If

End Sub

Private Sub wndListView_OLEStartDrag(Data As MSComctlLib.DataObject, AllowedEffects As Long)
    If Not DragListItem Is Nothing Then
        AllowedEffects = vbDropEffectCopy
        Data.SetData DragListItem.Text, vbCFText
    End If
End Sub

Private Sub wndListView_OLEDragDrop(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
        For Each File In Data.Files
            wndListView.ListItems.Add , , File
        Next
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndListView_OLEDragOver(Data As MSComctlLib.DataObject, Effect As Long, Button As Integer, Shift As Integer, x As Single, y As Single, state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    ElseIf Data.GetFormat(vbCFFiles) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndTaskPanel_OLEDragDrop(ByVal Data As XtremeTaskPanel.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single)
    If (Data.GetFormat(vbCFText) And (Not wndTaskPanel.DragOverItem Is Nothing)) Then
        Effect = vbDropEffectCopy
        Dim Text As String
        Text = Data.GetData(vbCFText)

        If (wndTaskPanel.DragOverItem.IsGroup) Then
            wndTaskPanel.DragOverItem.Group.Items.Add 0, Text, xtpTaskItemTypeText
        Else
        wndTaskPanel.DragOverItem.Group.Items.Insert wndTaskPanel.DragOverItem.Index, 0, Text, xtpTaskItemTypeText
        End If

    Else
        Effect = vbDropEffectNone
    End If
End Sub

Private Sub wndTaskPanel_OLEDragOver(ByVal Data As XtremeTaskPanel.DataObject, Effect As Long, ByVal Button As Integer, ByVal Shift As Integer, ByVal x As Single, ByVal y As Single, ByVal state As Integer)
    If (Data.GetFormat(vbCFText)) Then
        Effect = vbDropEffectCopy
    Else
        Effect = vbDropEffectNone
    End If
End Sub

See Also

TaskPanel Control | OLEDragOver Event | DataObject Object | DataObjectFiles Object


%%PageItemTitle%%

TaskPanel Control | OLEDragDrop Event | DataObject Object | DataObjectFiles Object

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.
See Also Task Panel ActiveX Control v19.3

OLEDragOver Event

Description

Occurs when one component is dragged over another.

Syntax

Public Event OLEDragOver( _
   ByVal Data As DataObject, _
   ByRef Effect As Long, _
   ByVal Button As Integer, _
   ByVal Shift As Integer, _
   ByVal x As Long, _
   ByVal y As Long, _
   ByVal state As Integer _
)

Parameters

Data
A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method.
Effect
A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects (as listed in Settings). The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component. The possible values are listed in Settings.
Button
An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
Shift
An integer which acts as a bit field corresponding to the state of the shift, ctrl, and alt keys when they are depressed. The shift key is bit 0, the ctrl key is bit 1, and the alt key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the ctrl and alt keys are depressed, the value of shift would be 6.
x
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
y
A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state
An integer that corresponds to the transition state of the control being dragged in relation to a target form or control. The possible values are listed in Settings.

See Also

TaskPanel Control | OLEDragDrop Event | DataObject Object | DataObjectFiles Object

Example

OLEDragDrop Sample


%%PageItemTitle%%

TaskPanel Control

See Also Task Panel ActiveX Control v19.3

ReCreated Event

Syntax

Public Event ReCreated()

See Also

TaskPanel Control


%%PageItemTitle%%

TaskPanelColorSet Members

See Also Task Panel ActiveX Control v19.3

TaskPanelColorSet Object

Description

The TaskPanelColorSet stores the colors used to paint the elements that make up the TaskPanel. The colors can be changed using the ColorSet property.

For a list of all members defined in this module, see TaskPanelColorSet members.

See Also

TaskPanelColorSet Members


%%PageItemTitle%% $$Members$$

TaskPanelColorSet Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelColorSet Object Members

Public Properties

Public Property BackgroundDark | The "Dark" color in the color gradient used to fill the background of Task Panel.
Public Property BackgroundLight | The "Light" color in the color gradient used to fill the background of Task Panel.
Public Property HighlightBorderBottomRight | BottomRight border color of items when they are "hot." This the border color of the item on mouse over if hot tracking is enabled.
Public Property HighlightBorderTopLeft | TopLeft border color of items when they are "hot." This the border color of the item on mouse over if hot tracking is enabled.
Public Property HighlightHot | Color of items when they are "hot." This the color of the item on mouse over if hot tracking is enabled.
Public Property HighlightPressed | Color of items when they are pressed. This is when the item is clicked on and the mouse button has not been released.
Public Property HighlightSelected | Color of items when they are selected. This is when the item has focus or is clicked on.
Public Property NormalGroupCaptionDark | The "Dark" color in the color gradient used for the background color of "normal" group headers.
Public Property NormalGroupCaptionLight | The "Light" color in the color gradient used for the background color of "normal" group headers.
Public Property NormalGroupCaptionTextHot | Caption text color of "normal" group headers when the group is "hot".
Public Property NormalGroupCaptionTextNormal | Normal caption text color of "normal" group headers.
Public Property NormalGroupClient | Background color of the client area of "noraml" groups. This is the group client area under group header.
Public Property NormalGroupClientBorder | Color of the client group border of "normal" groups.
Public Property NormalGroupClientLink | Color of links within the client or "body" of "normal" groups.
Public Property NormalGroupClientLinkHot | Color of "hot" links within the client or "body" of "normal" groups.
Public Property NormalGroupClientLinkSelected | Color of "selected" link text within the client or "body" of "normal" groups.
Public Property NormalGroupClientText | Color of normal text within the client or "body" of "normal" groups.
Public Property SpecialGroupCaptionDark | The "Dark" color in the color gradient used for the background color of "special" group headers.
Public Property SpecialGroupCaptionLight | The "Light" color in the color gradient used for the background color of "special" group headers.
Public Property SpecialGroupCaptionTextHot | Caption text color of "special" group headers when the group is "hot".
Public Property SpecialGroupCaptionTextNormal | Normal caption text color of "special" group headers.
Public Property SpecialGroupClient | Background color of the client area of "special" groups. This is the group client area under group header.
Public Property SpecialGroupClientBorder | Color of the client group border of "special" groups.
Public Property SpecialGroupClientLink | Color of links within the client or "body" of "special" groups.
Public Property SpecialGroupClientLinkHot | Color of "hot" links within the client or "body" of "special" groups.
Public Property SpecialGroupClientLinkSelected | Color of "selected" link text within the client or "body" of "special" groups.
Public Property SpecialGroupClientText | Color of normal text within the client or "body" of "special" groups.

See Also

TaskPanelColorSet Overview


%%PageItemTitle%%

TaskPanelColorSet Object | BackgroundLight Property

See Also Task Panel ActiveX Control v19.3

BackgroundDark Property

Description

The "Dark" color in the color gradient used to fill the background of Task Panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundDark() As ULong

See Also

TaskPanelColorSet Object | BackgroundLight Property


%%PageItemTitle%%

TaskPanelColorSet Object | BackgroundDark Property

See Also Task Panel ActiveX Control v19.3

BackgroundLight Property

Description

The "Light" color in the color gradient used to fill the background of Task Panel.

Property type

Read-write property

Syntax (Visual Basic)

Public Property BackgroundLight() As ULong

See Also

TaskPanelColorSet Object | BackgroundDark Property


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

HighlightBorderBottomRight Property

Description

BottomRight border color of items when they are "hot." This the border color of the item on mouse over if hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightBorderBottomRight() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

HighlightBorderTopLeft Property

Description

TopLeft border color of items when they are "hot." This the border color of the item on mouse over if hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightBorderTopLeft() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

HighlightHot Property

Description

Color of items when they are "hot." This the color of the item on mouse over if hot tracking is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightHot() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

HighlightPressed Property

Description

Color of items when they are pressed. This is when the item is clicked on and the mouse button has not been released.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightPressed() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

HighlightSelected Property

Description

Color of items when they are selected. This is when the item has focus or is clicked on.

Property type

Read-write property

Syntax (Visual Basic)

Public Property HighlightSelected() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object | NormalGroupCaptionLight Property

See Also Task Panel ActiveX Control v19.3

NormalGroupCaptionDark Property

Description

The "Dark" color in the color gradient used for the background color of "normal" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupCaptionDark() As ULong

See Also

TaskPanelColorSet Object | NormalGroupCaptionLight Property


%%PageItemTitle%%

TaskPanelColorSet Object | NormalGroupCaptionDark Property

See Also Task Panel ActiveX Control v19.3

NormalGroupCaptionLight Property

Description

The "Light" color in the color gradient used for the background color of "normal" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupCaptionLight() As ULong

See Also

TaskPanelColorSet Object | NormalGroupCaptionDark Property


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupCaptionTextHot Property

Description

Caption text color of "normal" group headers when the group is "hot".

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupCaptionTextHot() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupCaptionTextNormal Property

Description

Normal caption text color of "normal" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupCaptionTextNormal() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClient Property

Description

Background color of the client area of "noraml" groups. This is the group client area under group header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClient() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClientBorder Property

Description

Color of the client group border of "normal" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClientBorder() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClientLink Property

Description

Color of links within the client or "body" of "normal" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClientLink() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClientLinkHot Property

Description

Color of "hot" links within the client or "body" of "normal" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClientLinkHot() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClientLinkSelected Property

Description

Color of "selected" link text within the client or "body" of "normal" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClientLinkSelected() As ULong

Remarks

A link becomes "selected" when it is clicked, or if the mouse is positioned over the link when the hot tracking style highlights the item.

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object

See Also Task Panel ActiveX Control v19.3

NormalGroupClientText Property

Description

Color of normal text within the client or "body" of "normal" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property NormalGroupClientText() As ULong

See Also

TaskPanelColorSet Object


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property | SpecialGroupCaptionLight Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupCaptionDark Property

Description

The "Dark" color in the color gradient used for the background color of "special" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupCaptionDark() As ULong

See Also

TaskPanelColorSet Object | Special Property | SpecialGroupCaptionLight Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property | SpecialGroupCaptionDark Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupCaptionLight Property

Description

The "Light" color in the color gradient used for the background color of "special" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupCaptionLight() As ULong

See Also

TaskPanelColorSet Object | Special Property | SpecialGroupCaptionDark Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupCaptionTextHot Property

Description

Caption text color of "special" group headers when the group is "hot".

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupCaptionTextHot() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupCaptionTextNormal Property

Description

Normal caption text color of "special" group headers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupCaptionTextNormal() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClient Property

Description

Background color of the client area of "special" groups. This is the group client area under group header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClient() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClientBorder Property

Description

Color of the client group border of "special" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClientBorder() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClientLink Property

Description

Color of links within the client or "body" of "special" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClientLink() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClientLinkHot Property

Description

Color of "hot" links within the client or "body" of "special" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClientLinkHot() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClientLinkSelected Property

Description

Color of "selected" link text within the client or "body" of "special" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClientLinkSelected() As ULong

Remarks

A link becomes "selected" when it is clicked, or if the mouse is positioned over the link when the hot tracking style highlights the item.

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelColorSet Object | Special Property

See Also Task Panel ActiveX Control v19.3

SpecialGroupClientText Property

Description

Color of normal text within the client or "body" of "special" groups.

Property type

Read-write property

Syntax (Visual Basic)

Public Property SpecialGroupClientText() As ULong

See Also

TaskPanelColorSet Object | Special Property


%%PageItemTitle%%

TaskPanelGlobalSettings Members

See Also Task Panel ActiveX Control v19.3

TaskPanelGlobalSettings Object

Description

TaskPanel global settings object.

For a list of all members defined in this module, see TaskPanelGlobalSettings members.

Object Model

Remarks

Allows the color of the application to be changed and embed the license information.

See Also

TaskPanelGlobalSettings Members


%%PageItemTitle%% $$Members$$

TaskPanelGlobalSettings Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelGlobalSettings Object Members

Public Methods

Public Method CreatePropExchange Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Public Properties

Public Property ColorManager | The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.
Public Property Icons | Global icon collection used to store icons for taskpanels.
Public Property License | Alternative for .lic file. Included primarily for non Visual Basic's developers.
Public Property OcxPath | Returns the location (path) of the installed Task Panel OCX file.
Public Property ReCreateReparentedControls |
Public Property ResourceFile | Get/Set the path to a resource file for translated strings and dialogs.
Public Property ResourceImages | Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.
Public Property Title | Get/Set the title of your application.
Public Property Unicode | Indicates if the Unicode version of the Task Panel OCX is used.
Public Property Version | Returns the current Task Panel version as a string.

See Also

TaskPanelGlobalSettings Overview


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

CreatePropExchange Method

Description

Creates an object used for reading and writing CommandBar, Docking Pane, Task Panel, and Report Control layout information to\from a XML file, the registry, or binary file.

Syntax

Public Function CreatePropExchange() As PropExchange

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object | ColorManager Object | XTPColorManagerColor Enumeration

See Also Task Panel ActiveX Control v19.3

ColorManager Property

Description

The ColorManager allows you to get the system colors for each display element of your application. Display elements are the parts of a window and the display that appear on the system display screen.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ColorManager() As ColorManager

See Also

TaskPanelGlobalSettings Object | ColorManager Object | XTPColorManagerColor Enumeration


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

Icons Property

Description

Global icon collection used to store icons for taskpanels.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Icons() As ImageManagerIcons

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

License Property

Description

Alternative for .lic file. Included primarily for non Visual Basic's developers.

Property type

Read-write property

Syntax (Visual Basic)

Public Property License() As String

Remarks

There are some situations that you may need to include the content of the LIC file in your control using the License property. You DO NOT include the actual LIC file. For example, if you are developing an ActiveX control for Internet Explorer, you will need to include the license information using the License property. The License property is located in the GlobalSettings class for each control.

You will need to provide the correct Product Id and Validate Code. This information can be found in the LIC file. The LIC file is located in the same location as the OCX file. By default, the location of the OCX and LIC file is the "..\Codejock Software\ActiveX\Xtreme TaskPanel\Bin" for the Xtreme TaskPanel installation. This code should be placed in the Form_Initialize event of the main form.

The code below illustrates how to use the License property for each control used:

Example

[Embeding license information into your program. (Visual Basic)] This sample illustrates how To include the license information In your application.

Private Sub Form_Initialize()
    TaskPanelGlobalSettings.License = "TaskPanel Control Copyright (c) 2003-2005 Codejock Software" & vbCrLf & _
                                          "PRODUCT-ID: XSP-ESD-ACTX-9600" & vbCrLf & "VALIDATE-CODE: XXX-XXX-XXX-XXX"
End Sub

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

OcxPath Property

Description

Returns the location (path) of the installed Task Panel OCX file.

Property type

Read-only property

Syntax (Visual Basic)

Public Property OcxPath() As String

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

ReCreateReparentedControls Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ReCreateReparentedControls() As Boolean

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

ResourceFile Property

Description

Get/Set the path to a resource file for translated strings and dialogs.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ResourceFile() As String

Remarks

This will only translate built-in strings that the developer can not edit.

This code should be placed in the Form_Initialize event of the main form.

Example

[[New Example] (Visual Basic)] This sample illustrates how to change the language with a rescourcefile.

Private Sub Form_Initialize()
    TaskPanelGlobalSettings.ResourceFile = App.Path & "XTPResourceDe.dll"
End Sub

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

ResourceImages Property

Description

Specifies which resource theme to use. This is used to set Office 2007, Office 2007/2010 Ribbon, Office 2010 or Windows 7 appearances.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ResourceImages() As ResourceImages

Return Type

Reference to the ResourceImages object used.

Remarks

ResourceThemeImages is used to tell the control which resource to use for its appearance. This will point to one of the "style" dlls that tells the control which colors to use. The "style" dlls hold images and colors for the specified theme. For example, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances are stored in a resource dll that you need ResourceThemeImages to set these appearances.

ResourceThemeImages allows you to load the Resource Image Dll using LoadFromFile, it also contains the DllFileName and IniFileName.

To utilize these styles the control must set the theme to xtpTaskPanelThemeResource AFTER the resource dll has been loaded. The list of supported styles are listed below. In the code sample section there is a snippet of code to show how to use the Resource themes with each control.

Supported Styles as of version 15.0:

Office2007.dll

Office2010.dll

Windows7.dll

Each Styles Dll contains 1 or more styles:

Office2007.dll

- Office2007Aqua.ini

- Office2007Black.ini

- Office2007Blue.ini

- Office2007Silver.ini

Office2010.dll

- Office2010Black.ini

- Office2010Blue.ini

- Office2010Silver.ini

Windows7.dll

- Windows7Blue.ini

Note:

You will need to include these dll files in your installation if you use them.

Example

[ResourceThemeImages Sample (Visual Basic)] This sample illustrates how to use the ResourceThemeImages property to change the color used when the Office 2007 or Ribbon theme is applied.

'*** Standard toolbars ***

        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2010 Black. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Black.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set to the Office 2007 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Blue.ini"
        CommandBars.VisualTheme = xtpThemeResource
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Ribbon Bar ***

        'Set Ribbon theme to Office 2007 silver
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll", "Office2007Silver.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonAutomatic
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Office 2010 blue
        'Set to the Office 2010 Blue. Note that you need to include the name of the ini as well
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll", "Office2010Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

        'Set Ribbon theme to Windows 7 Scenic
        CommandBarsGlobalSettings.ResourceImages.LoadFromFile App.Path & "\..\..\..\Styles\Windows7.dll,Windows7Blue.ini"
        CommandBars.VisualTheme = xtpThemeRibbon
        ControlFile.Style = xtpButtonCaption
        CommandBars.PaintManager.RefreshMetrics
        CommandBars.RecalcLayout

'*** Shortcut Bar ***

        'Set ShortcutBar to Office 2007 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

        'Set ShorcutBar to Office 2010 Black
        ShortcutBarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndShortcutBar.VisualTheme = xtpShortcutThemeResource

'*** Report Control ***

        'Set ReprotControl to Office 2007 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

        'Set ReprotControl to Office 2010 Black
        ReportControlGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        wndReportControl.PaintManager.ColumnStyle = xtpColumnResource

'*** Docking Pane ***

        'Set Docking Pane to Office 2007 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

        'Set Docking Pane to Office 2010 Black
        DockingPaneGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        DockingPaneManager.VisualTheme = ThemeResource

'*** Calendar ***

        'Set Calendar to Office 2007 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

        'Set Calendar to Office 2010 Black
        CalendarGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        CalendarControl.VisualTheme = xtpCalendarThemeResource

'*** Task Panel ***

        'Set Task Panel to Office 2007 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

        'Set Task Panel to Office 2010 Black
        TaskPanelGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        TaskPanelGlobalSettings.VisualTheme = xtpTaskPanelThemeResource

'*** Property Grid ***

        'Set Property Grid to Office 2007 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

        'Set Property Grid to Office 2010 Black
        PropertyGridGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        PropertyGridGlobalSettings.VisualTheme = xtpGridThemeResource

'*** Controls ***

        'Set Controls to Office 2007 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2007.dll,Office2007Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

        'Set Controls to Office 2010 Black
        SuiteControlsGlobalSettings.ResourceThemeImages.LoadFromFile App.Path & "\..\..\..\Styles\Office2010.dll,Office2010Black.ini"
        ComboBox.Appearance = xtpAppearanceResource
        Button.Appearance = xtpAppearanceResource
        Edit.Appearance = xtpAppearanceResource
        RadioButton.Appearance = xtpAppearanceResource
        TreeView.Appearance = xtpAppearanceResource
        ListView.Appearance = xtpAppearanceResource
        ProgressBar.Appearance = xtpAppearanceResource
        ScrollBar.Appearance = xtpAppearanceResource
        HexEdit.Appearance = xtpAppearanceResource
        ColorPicker.Appearance = xtpAppearanceResource
        CheckBox.Appearance = xtpAppearanceResource

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

Title Property

Description

Get/Set the title of your application.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Title() As String

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

Unicode Property

Description

Indicates if the Unicode version of the Task Panel OCX is used.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Unicode() As Boolean

Remarks

The Unicode version must be used if your program will need wide-character support. This can be used to determine which version of the OCX is currently registered.

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGlobalSettings Object

See Also Task Panel ActiveX Control v19.3

Version Property

Description

Returns the current Task Panel version as a string.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Version() As String

See Also

TaskPanelGlobalSettings Object


%%PageItemTitle%%

TaskPanelGroup Members

See Also Task Panel ActiveX Control v19.3

TaskPanelGroup Object

Description

Used in TaskPanel control as a single group

For a list of all members defined in this module, see TaskPanelGroup members.

Object Model

See Also

TaskPanelGroup Members


%%PageItemTitle%% $$Members$$

TaskPanelGroup Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelGroup Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force a group in the Task Panel to become visible.
Public Method IsGroup | Returns whether the item is a TaskPanelGroup.
Public Method Remove | Removes the TaskPanelGroup from the TaskPanel's collection of groups.
Public Method SetBackgroundImage | Sets an image to be used as the background of a group.
Public Method SetIconPadding | This method sets the amount of space (padding) around the icon within the TaskPanelGroup.
Public Method SetIconSize | The SetIconSize method is used to set the icon size of the group items.

Public Properties

Public Property AllowDrag | The AllowDrag property specifies how and where the TaskPanelGroup can be dragged and dropped.
Public Property AllowDrop | The AllowDrop property specifies whether TaskPanelGroupItem objects can be dropped into the group.
Public Property Caption | Gets/Sets the caption of the group.
Public Property CaptionVisible | Gets/Sets a Boolean value indicating whether the group caption is visible. If false, the group caption bar is hidden and you will not be able to expand/hide the group items.
Public Property Enabled | Gets/Sets a Boolean value indicating whether the group is enabled.
Public Property Expandable | Gets/Sets a Boolean value indicating whether the group is expandable. If false, the group can will always expanded unless and can not be changed by the user, it can still be hidden via code.
Public Property Expanded | Gets/Sets a Boolean value indicating whether the group is expanded.
Public Property Font | Gets\sets the font used to display text in the group caption\header.
Public Property Group | Returns a reference to the TaskPanelGroup that this item belongs to.
Public Property IconIndex | Gets/Sets the index of the icon.
Public Property Id | Gets/Sets the numeric identifier of the group.
Public Property Index | Index of the TaskPanelGroup within the collection of groups.
Public Property ItemLayout | Get\Set the layout of the TaskPanelGroupItems that are added to this group.
Public Property Items | Gets the collection of TaskPanelGroupItems that are added to this group. These are the items displayed when the group is expanded.
Public Property MinimumClientHeight | Gets\sets the minimum height of the group client area for the group.
Public Property ParentItems | Returns a reference to the collection of groups that the current TaskPanelGroup belongs to.
Public Property Special | Determines if the group is special
Public Property Tag | The Tag property is used to return or set an expression that stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip that is displayed when the mouse is positioned over the group caption.
Public Property Visible | Returns or sets whether the group is visible.

See Also

TaskPanelGroup Overview


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force a group in the Task Panel to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the group is visible in the Task Panel. This will scroll the groups in the Task Panel until the group is visible. If the group is "closed", then it will remain closed.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

IsGroup Method

Description

Returns whether the item is a TaskPanelGroup.

Syntax

Public Function IsGroup() As Boolean

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the TaskPanelGroup from the TaskPanel's collection of groups.

Syntax

Public Sub Remove()

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

ImageIndex
Index of an image in a ImageManager control.
Alignment
Alignment of the image within the group.
See Also Task Panel ActiveX Control v19.3

SetBackgroundImage Method

Description

Sets an image to be used as the background of a group.

Syntax

Public Sub SetBackgroundImage( _
   ByVal ImageIndex As Integer, _
   ByVal Alignment As XTPItemAlignment _
)

Parameters

ImageIndex
Index of an image in a ImageManager control.
Alignment
Value | Description
DT_TOP | Aligns text to the left.
DT_LEFT | Aligns text to the left.
DT_CENTER | Centers text horizontally.
DT_RIGHT | Aligns text to the right.
DT_VCENTER | Centers text vertically. This value is used only with the DT_SINGLELINE value.
DT_BOTTOM | Renders the text string at the bottom of the display rectangle. This value is used only with the DT_SINGLELINE value.
DT_WORDBREAK | Breaks lines between words if a word would extend past the edge of the display rectangle ("wraps" the text). A carriage return/line feed (CR/LF) sequence also breaks the line.
DT_SINGLELINE Specifies that lines of text will not "word wrap" to the next line, they will stay on a single line truncating any text that cannot fit.

Displays text on a single line. Carriage returns and line feeds do not break the line.

DT_END_ELLIPSIS | Truncates the text string that is wider than the popup control item and adds an ellipsis to indicate the truncation.
Alignment of the image within the group.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object | Group Item SetIconPadding Method | Item SetIconPadding Method | SetGroupIconSize Method

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.
See Also Task Panel ActiveX Control v19.3

SetIconPadding Method

Description

This method sets the amount of space (padding) around the icon within the TaskPanelGroup.

Syntax

Public Sub SetIconPadding( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.

Remarks

The SetIconPadding method sets the top, left, bottom, and right margins\padding around the icon in the TaskPanelGroup. This is the "padding" that is placed around the icon.

See Also

TaskPanelGroup Object | Group Item SetIconPadding Method | Item SetIconPadding Method | SetGroupIconSize Method


%%PageItemTitle%%

TaskPanelGroup Object | SetIconSize Method

cx
New width of icon in pixels.
cy
New height of icon in pixels.
See Also Task Panel ActiveX Control v19.3

SetIconSize Method

Description

The SetIconSize method is used to set the icon size of the group items.

Syntax

Public Sub SetIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
New width of icon in pixels.
cy
New height of icon in pixels.

Remarks

This will set the size of the icon for all GroupItem objects in this group. The TaskPanel.SetIconSize method can be used to set the icon size for all groups and group items.

See Also

TaskPanelGroup Object | SetIconSize Method


%%PageItemTitle%%

TaskPanelGroup Object | XTPTaskPanelItemAllowDrag Enumeration | AllowDrop Property

See Also Task Panel ActiveX Control v19.3

AllowDrag Property

Description

The AllowDrag property specifies how and where the TaskPanelGroup can be dragged and dropped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrag() As XTPTaskPanelItemAllowDrag

Remarks

See the XTPTaskPanelItemAllowDrag enumeration for a detailed explanation of each flag and how it effects the dragging and dropping of the group.

See Also

TaskPanelGroup Object | XTPTaskPanelItemAllowDrag Enumeration | AllowDrop Property


%%PageItemTitle%%

TaskPanelGroup Object | TaskPanelGroup AllowDrag Property | XTPTaskPanelItemAllowDrag Enumeration

See Also Task Panel ActiveX Control v19.3

AllowDrop Property

Description

The AllowDrop property specifies whether TaskPanelGroupItem objects can be dropped into the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrop() As Boolean

Remarks

Despite its name, the AllowDrop property does not control whether the group can be dropped. The AllowDrag property is used to control dragging and dropping of the actual group.

See Also

TaskPanelGroup Object | TaskPanelGroup AllowDrag Property | XTPTaskPanelItemAllowDrag Enumeration


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

CaptionVisible Property

Description

Gets/Sets a Boolean value indicating whether the group caption is visible. If false, the group caption bar is hidden and you will not be able to expand/hide the group items.

Property type

Read-write property

Syntax (Visual Basic)

Public Property CaptionVisible() As Boolean

Example

[CaptionVisible Sample (Visual Basic)]

    'This sample code illustrates how to hide the caption of a group in the task panel.
    Dim Group As TaskPanelGroup

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Group.CaptionVisible = False

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the group is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object | TaskPanelGroup Expanded Property | GroupExpanding Event | GroupExpanded Event | TaskPanel Expandable Property

See Also Task Panel ActiveX Control v19.3

Expandable Property

Description

Gets/Sets a Boolean value indicating whether the group is expandable. If false, the group can will always expanded unless and can not be changed by the user, it can still be hidden via code.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expandable() As Boolean

Example

[Expandable Sample (Visual Basic)]

    'This sample code illustrates how to specify that group will not be expandable.
    Dim Group As TaskPanelGroup

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Group.Expandable = False

    'This sample code illustrates how to specify that All groups in the task panel will not be expandable.
    wndTaskPanel.Expandable = False

See Also

TaskPanelGroup Object | TaskPanelGroup Expanded Property | GroupExpanding Event | GroupExpanded Event | TaskPanel Expandable Property


%%PageItemTitle%%

TaskPanelGroup Object | TaskPanel Expandable Property | GroupExpanded Event | GroupExpanding Event | TaskPanelGroup Expandable Property

See Also Task Panel ActiveX Control v19.3

Expanded Property

Description

Gets/Sets a Boolean value indicating whether the group is expanded.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Expanded() As Boolean

See Also

TaskPanelGroup Object | TaskPanel Expandable Property | GroupExpanded Event | GroupExpanding Event | TaskPanelGroup Expandable Property


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the group caption\header.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Group Property

Description

Returns a reference to the TaskPanelGroup that this item belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As TaskPanelGroup

Remarks

If the group does not belong to another group, then this will return a reference to itself.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

IconIndex Property

Description

Gets/Sets the index of the icon.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Index Property

Description

Index of the TaskPanelGroup within the collection of groups.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

Groups are displayed in the order they were added unless the index is changed within the collection.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

ItemLayout Property

Description

Get\Set the layout of the TaskPanelGroupItems that are added to this group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ItemLayout() As XTPTaskPanelItemLayout

Remarks

You can specify a different layout for each TaskPanelGroup. The items that are added to the group will be displayed with the specified layout.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Items Property

Description

Gets the collection of TaskPanelGroupItems that are added to this group. These are the items displayed when the group is expanded.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Items() As TaskPanelGroupItems

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object | Task Panel MinimumGroupClientHeight (All Groups) Property

See Also Task Panel ActiveX Control v19.3

MinimumClientHeight Property

Description

Gets\sets the minimum height of the group client area for the group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MinimumClientHeight() As Long

Remarks

The group client area is automatically resized according to how many groups have been added to the task panel. When many groups are added to the task panel, the group client area can become really small. MinimumClientHeight specifies the smallest size the group client area can be resized, regardless of how many groups have been added. MinimumClientHeight effect this group only.

The Task Panel MinimumGroupClientHeight property is used to set the minimum group client height for all groups in the task panel.

See Also

TaskPanelGroup Object | Task Panel MinimumGroupClientHeight (All Groups) Property


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

ParentItems Property

Description

Returns a reference to the collection of groups that the current TaskPanelGroup belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentItems() As TaskPanelGroups

Remarks

Allows you to access sibling groups and determine the total number of siblings.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Special Property

Description

Determines if the group is special

Property type

Read-write property

Syntax (Visual Basic)

Public Property Special() As Boolean

Remarks

Gets/Sets a Boolean value indicating whether the group is special. If a group is special, it will appear in a different color than the other groups. Groups marked as special will be displayed differently than normal groups drawing the users attention to that particular group. This is an excellent way to show the user the "default" or important items.

Example

[TaskPanelGroup Special Sample (Visual Basic)]

    'This sample code illustrates how to specify that a group is special.
    Dim Group As TaskPanelGroup

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Group.Special = True

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Tag Property

Description

The Tag property is used to return or set an expression that stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip that is displayed when the mouse is positioned over the group caption.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroup Object

See Also Task Panel ActiveX Control v19.3

Visible Property

Description

Returns or sets whether the group is visible.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

The Visible property indicates if the group can be seen in the Task Panel, it does not have to visible on the screen for the Visible property to be true. This mean you might have to scroll the Task Panel to see the group.

When False, the group is hidden from view and will not appear anywhere in the Task Panel.

See Also

TaskPanelGroup Object


%%PageItemTitle%%

TaskPanelGroupItem Members

See Also Task Panel ActiveX Control v19.3

TaskPanelGroupItem Object

Description

Used in TaskPanel control as a single item of the group

For a list of all members defined in this module, see TaskPanelGroupItem members.

Object Model

See Also

TaskPanelGroupItem Members


%%PageItemTitle%% $$Members$$

TaskPanelGroupItem Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelGroupItem Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force an item in a group to become visible.
Public Method GetRect | Returns the coordinates of the bounding rectangle for the TaskPanelGroupItem.
Public Method IsGroup | Returns whether the item is a TaskPanelGroup.
Public Method Remove | Removes the TaskPanelGroupItem from a TaskPanelGroup.
Public Method SetHandle | Sets the handle to the attached control's hWnd
Public Method SetIconPadding | This method sets the amount of space (padding) around the icon within the TaskPanelGroupItem.
Public Method SetMargins | Sets the margins of the items
Public Method SetSize | The SetSize method sets the size (width\height) of the item.

Public Properties

Public Property AllowDrag | The AllowDrag property specifies how and where the TaskPanelGroupItem can be dragged and dropped.
Public Property AllowDrop | The AllowDrop property specifies whether another TaskPanelGroupItem objects can be dropped or inserted immediately before this item.
Public Property BackColor | Gets/Sets the back color for the item
Public Property Bold | Gets/Sets a Boolean value indicating whether the item caption is displayed in bold font.
Public Property Caption | Gets/Sets the caption of the item
Public Property Control | Gets/Sets the name of the control to be displayed in this item. This will add your own custom control such as a textbox, combobox, or form.
Public Property DragText | The DragText property holds the text that will be sent to the Target Component when the item is dropped.
Public Property Enabled | Gets/Sets a Boolean value indicating whether the item is enabled.
Public Property Font | Gets\sets the font used to display text for the item.
Public Property Group | Returns a reference to the TaskPanelGroup that this item belongs to.
Public Property Handle | The Handle property is only used for items of type xtpTaskItemTypeControl, this should be set to the attached control's hWnd.
Public Property IconIndex | Gets/Sets the icon Id associated with the item. This will be set to the corresponding icon's "Tag" value in an ImageList control.
Public Property Id | Gets/Sets the numeric identifier of the item.
Public Property Index | Index of the TaskPanelGroupItem within the collection of items.
Public Property ParentItems | Returns a reference to the collection of groups that the current TaskPanelGroup belongs to.
Public Property Selected | Gets\Sets whether an item is selected.
Public Property Tag | The Tag property is used to return or set an expression that stores any extra data needed for your program.
Public Property TextColor | Gets\sets the color of the text that will be displayed for this item.
Public Property Tooltip | Gets/Sets the tooltip that is displayed when the mouse is positioned over the item.
Public Property Type | Gets/Sets the type of the item.
Public Property Visible | Returns or sets whether the item is visible within a group.

See Also

TaskPanelGroupItem Overview


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force an item in a group to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the item is visible in the group. This will scroll the items in the group until the item is visible. If the group the item is located in is "closed", then it will be expanded and scrolled until the item is visible.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top

Specifies the y-coordinate of the upper-left corner of a rectangle.

right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.
See Also Task Panel ActiveX Control v19.3

GetRect Method

Description

Returns the coordinates of the bounding rectangle for the TaskPanelGroupItem.

Syntax

Public Sub GetRect( _
   ByRef left As Long, _
   ByRef top As Long, _
   ByRef right As Long, _
   ByRef bottom As Long _
)

Parameters

left
Specifies the x-coordinate of the upper-left corner of a rectangle.
top

Specifies the y-coordinate of the upper-left corner of a rectangle.

right
Specifies the x-coordinate of the lower-right corner of a rectangle.
bottom
Specifies the y-coordinate of the lower-right corner of a rectangle.

Return Type

Returns the coordinates of the bounding rectangle of the TaskPanelGroupItem.

Remarks

Call the GetRect method to determine the coordinates of the region where this TaskPanelGroupItem is drawn on the parent window. GetRect returns the coordinates of the upper-left and lower-right corners of the bounding rectangle.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

IsGroup Method

Description

Returns whether the item is a TaskPanelGroup.

Syntax

Public Function IsGroup() As Boolean

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the TaskPanelGroupItem from a TaskPanelGroup.

Syntax

Public Sub Remove()

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

hWnd
Handle to the attached control's hWnd
See Also Task Panel ActiveX Control v19.3

SetHandle Method

Description

Sets the handle to the attached control's hWnd

Syntax

Public Sub SetHandle( _
   ByVal hWnd As Integer _
)

Parameters

hWnd
Handle to the attached control's hWnd

Remarks

This method is used exactly like th Handle property. It was included so the TaskPanel could be used in environments where "Handle" is a reserved word.

The Handle property is only used for items of type xtpTaskItemTypeControl, this should be set to the attached control's hWnd.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object | Group SetIconPadding Method | Item SetIconPadding Method | SetGroupIconSize Method

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.
See Also Task Panel ActiveX Control v19.3

SetIconPadding Method

Description

This method sets the amount of space (padding) around the icon within the TaskPanelGroupItem.

Syntax

Public Sub SetIconPadding( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.

Remarks

The SetIconPadding method sets the top, left, bottom, and right margins\padding around the icon in the TaskPanelGroupItem. This is the "padding" that is placed around the icon.

See Also

TaskPanelGroupItem Object | Group SetIconPadding Method | Item SetIconPadding Method | SetGroupIconSize Method


%%PageItemTitle%%

TaskPanelGroupItem Object

left
Left margin
top
Top margin
right
Right margin
bottom
Bottom margin
See Also Task Panel ActiveX Control v19.3

SetMargins Method

Description

Sets the margins of the items

Syntax

Public Sub SetMargins( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Left margin
top
Top margin
right
Right margin
bottom
Bottom margin

Remarks

The TaskPanel allows you change the margins of the task panel. You can change the margins surrounds the task panel groups, or you can change the margins of each individual task panel group item.

Example

[TaskPanel SetMargins Sample (Visual Basic)]

    'This sample code illustrates how to change the margins around a task panel group item.
    Dim Group As TaskPanelGroup
    Dim Item As TaskPanelGroupItem

    Set Group = wndTaskPanel.Groups.Add(0, "System Tasks")
    Set Item = Group.Items.Add(ID_TASKITEM_HIDECONTENTS, "Hide the contents of this drive", xtpTaskItemTypeLink, 1)
    Item.SetMargins 15, 0, 0, 0

    'This sample code illustrates how to change the margins around the task panel groups.
    wndTaskPanel.SetMargins 30, 30, 30, 30, 30

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

cx
New Width of the item.
cy
New Height of the item.
AutoHeight

True to use the default height. The default height will be the "best fit" for the item.

False to use the height specified by Cy.

See Also Task Panel ActiveX Control v19.3

SetSize Method

Description

The SetSize method sets the size (width\height) of the item.

Syntax

Public Sub SetSize( _
   ByVal cx As Long, _
   ByVal cy As Long, _
   ByVal AutoHeight As Boolean _
)

Parameters

cx
New Width of the item.
cy
New Height of the item.
AutoHeight

True to use the default height. The default height will be the "best fit" for the item.

False to use the height specified by Cy.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object | TaskPanelGroupItem AllowDrop Property | XTPTaskPanelItemAllowDrag Enumeration | XTPTaskPanelItemAllowDrag Enumeration | DragText Property

See Also Task Panel ActiveX Control v19.3

AllowDrag Property

Description

The AllowDrag property specifies how and where the TaskPanelGroupItem can be dragged and dropped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrag() As XTPTaskPanelItemAllowDrag

Remarks

See the XTPTaskPanelItemAllowDrag enumeration for a detailed explanation of each flag and how it effects the dragging and dropping of the item.

The DrawText property can be set for each TaskPanelGroupItem, this is the text string that is sent to the Target Component when an item is dropped onto a control outside of the TaskPanel.

See Also

TaskPanelGroupItem Object | TaskPanelGroupItem AllowDrop Property | XTPTaskPanelItemAllowDrag Enumeration | XTPTaskPanelItemAllowDrag Enumeration | DragText Property


%%PageItemTitle%%

TaskPanelGroupItem Object | XTPTaskPanelItemAllowDrag Enumeration | TaskPanelGroupItem AllowDrag Property

See Also Task Panel ActiveX Control v19.3

AllowDrop Property

Description

The AllowDrop property specifies whether another TaskPanelGroupItem objects can be dropped or inserted immediately before this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrop() As Boolean

Remarks

Despite its name, the AllowDrop property does not control whether the item can be dropped. The AllowDrag property is used to control dragging and dropping of the actual item.

See Also

TaskPanelGroupItem Object | XTPTaskPanelItemAllowDrag Enumeration | TaskPanelGroupItem AllowDrag Property


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

BackColor Property

Description

Gets/Sets the back color for the item

Property type

Read-only property

Syntax (Visual Basic)

Public Property BackColor() As ULong

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Bold Property

Description

Gets/Sets a Boolean value indicating whether the item caption is displayed in bold font.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Bold() As Boolean

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Control Property

Description

Gets/Sets the name of the control to be displayed in this item. This will add your own custom control such as a textbox, combobox, or form.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Control() As Object

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object | AllowDrag Property | AllowDrop Property

See Also Task Panel ActiveX Control v19.3

DragText Property

Description

The DragText property holds the text that will be sent to the Target Component when the item is dropped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property DragText() As String

Remarks

By default, an XML string that contains the Caption, Id, IconIndex, Tag, and Selected state of the item will be sent to the Target Component if the DragText property is not set. If the DragText is set, then the text contained in DragText will be sent to the Target Component instead of the XML string. Note that the XML string will contain an additional parameter name CompactMode that is used internally and can be ignored. Also note that the Tag parameter is only included if the Tag property has been set for the item.

The text sent to the Target Component will be in the vbCFText format. The text will be sent as a DataObject the the Target Component's OLEDrag (OLEDragDrop, OLEDrageOver, etc...) events. You must then use the GetData method of the DataObject to get the text.

Example

[Custom Drag and Drop Item Data (Visual Basic)] This sample illustrates how to set the text string that will be passed to the Target Component when the TaskPanelGroupItem is dropped onto another control outside of the TaskPanel. Note: This sample assume there is a PictureBox control named 'pboxDragAndDrop'

'=====================================================
' General Code Section
'=====================================================
'IDs For the Group And Group Item objects
Const ID_GROUP_GENERAL = 100
Const ID_GROUP_COMPONENTS = 101

Const ID_ITEM_PICBOX = 120
Const ID_ITEM_TXTBOX = 121
Const ID_ITEM_LSTCTRL = 122

'=====================================================
' Form_Load Event
'=====================================================
Private Sub Form_Load()
    Dim Group As TaskPanelGroup, Item As TaskPanelGroupItem

    'Add a group to the toolbox
    Set Group = wndToolBox.Groups.Add(ID_GROUP_GENERAL, "General")
        'Adds an item to the "General" group
        Set Item = Group.Items.Add(ID_ITEM_PICBOX, "PictureBox", xtpTaskItemTypeLink, ID_ITEM_PICBOX)
        'Sets the text that will be sent to the Target Component when the item is dragged and
        'dropped onto another control outside the TaskPanel
        Item.DragText = "Picture Box Control"

        'Adds an item to the "General" group
        Set Item = Group.Items.Add(ID_ITEM_TXTBOX, "TextBox", xtpTaskItemTypeLink, ID_ITEM_TXTBOX)
        'Sets the text that will be sent to the Target Component when the item is dragged and
        'dropped onto another control outside the TaskPanel
        Item.DragText = "Text Box Control"

    'Add a group to the toolbox
    Set Group = wndToolBox.Groups.Add(ID_GROUP_COMPONENTS, "Components")
        'Adds an item to the "Components" group
        Set Item = Group.Items.Add(ID_ITEM_LSTCTRL, "ListBox", xtpTaskItemTypeLink, ID_ITEM_LSTCTRL)
        Item.Tag = "Additional Text"
        'Note that the DrawText property was not set for this item, this will cause the Target Component
        'to receive the following Default text:
        '<Item CompactMode="1" Caption="ListBox" Id="122" IconIndex="122" Tag="Additional Text" Selected="1"/>

    'Specifies the Drag and Drop options for the entire Task Panel
    wndToolBox.AllowDrag = xtpTaskItemAllowDrag

End Sub

'=====================================================
' PictureBox OLEDragDrop Event
'=====================================================
Private Sub pboxDragAndDrop_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)

    If Data.GetFormat(vbCFText) Then
        Dim strItem As String

        'Converts the data stored in the DataObject into a String
        'This will contain the text from the DrawText property of the
        'dropped item is the property was set, otherwise the default
        'XML string will be used.
        strItem = Data.GetData(vbCFText)

        'Displays the text of the item that was dropped
        MsgBox ("Dropped " & strItem)
    End If

End Sub

'=====================================================
' PictureBox OLEDragOver Event
'=====================================================
Private Sub pboxDragAndDrop_OLEDragOver(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single, State As Integer)

    'Specifies that only text objects can be dropped into
    'the picture box control.
    If Not Data.GetFormat(vbCFText) Then
       Effect = vbDropEffectNone
    End If

End Sub

See Also

TaskPanelGroupItem Object | AllowDrag Property | AllowDrop Property


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the item is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Group Property

Description

Returns a reference to the TaskPanelGroup that this item belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As TaskPanelGroup

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Handle Property

Description

The Handle property is only used for items of type xtpTaskItemTypeControl, this should be set to the attached control's hWnd.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Handle() As Integer

Remarks

This is the hWnd to the attached control. When a control is assigned to the Control property, the hWnd of the attached control is placed into the Handle property.

You can choose to use the Handle or Control property to attached a control to the item.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

IconIndex Property

Description

Gets/Sets the icon Id associated with the item. This will be set to the corresponding icon's "Tag" value in an ImageList control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Index Property

Description

Index of the TaskPanelGroupItem within the collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

Items are displayed in the order they were added unless the index is changed within the collection using the Move method.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

ParentItems Property

Description

Returns a reference to the collection of groups that the current TaskPanelGroup belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentItems() As TaskPanelGroupItems

Remarks

Allows you to access sibling items that belong to the same group and determine the total number of siblings.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Selected Property

Description

Gets\Sets whether an item is selected.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Selected() As Boolean

Remarks

If True, then the item will appear as "selected".

If False, then the item will appear normal.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Tag Property

Description

The Tag property is used to return or set an expression that stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object | Caption Property

See Also Task Panel ActiveX Control v19.3

TextColor Property

Description

Gets\sets the color of the text that will be displayed for this item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TextColor() As ULong

Remarks

The Caption of the item will be displayed using the currently set TextColor.

See Also

TaskPanelGroupItem Object | Caption Property


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip that is displayed when the mouse is positioned over the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Type Property

Description

Gets/Sets the type of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As XTPTaskPanelItemType

Remarks

You can add text items that allow you to display important information, you can add links, and you can add your own custom controls such as a textbox, combobox, command button, and option button.

Example

[TaskPanelGroupItem Type Sample (Visual Basic)] This sample code illustrates how to add some text item to the Details group in a task panel control.

    Dim Group As TaskPanelGroup

    Set Group = wndTaskPanel.Groups.Add(0, "Details")
    'Adds a text item to the "Details" group
    Group.Items.Add 0, "Local Disk", xtpTaskItemTypeText
    Group.Items.Add 0, "File Sytem: FAT32", xtpTaskItemTypeText

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItem Object

See Also Task Panel ActiveX Control v19.3

Visible Property

Description

Returns or sets whether the item is visible within a group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

The Visible property indicates if the item can be seen in the group, it does not have to visible on the screen for the Visible property to be true. This mean you might have to scroll the items in the group to see the item.

When False, the item is hidden from view and will not appear anywhere in the group.

See Also

TaskPanelGroupItem Object


%%PageItemTitle%%

TaskPanelGroupItems Members

See Also Task Panel ActiveX Control v19.3

TaskPanelGroupItems Collection

Description

Used as a collection of items in the group

For a list of all members defined in this module, see TaskPanelGroupItems members.

Object Model

See Also

TaskPanelGroupItems Members


%%PageItemTitle%% $$Members$$

TaskPanelGroupItems Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelGroupItems Collection Members

Public Methods

Public Method Add | Adds a new TaskPanelGroupItem to the TaskPanelGroup's collection of items.
Public Method Clear | Removes all TaskPanelGroupItems in the TaskPanelGroup's collection of items.
Public Method Find | Finds and returns a TaskPanelGroupItem specified by it's ID.
Public Method Insert | Inserts a new TaskPanelGroupItem into the TaskPanelGroup's collection of items.
Public Method Move | Moves a TaskPanelGroupItem\TaskPanelItem to the specified location within the collection of items.
Public Method Remove | Removes the specified TaskPanelGroupItem from the TaskPanelGroup's collection of items.

Public Properties

Public Property Count | Gets the total number of items in the TaskPanelGroup's collection of items.
Public Property Item | Gets a TaskPanelGroupItem from the TaskpanelGroup's collection of items specified by its index.

See Also

TaskPanelGroupItems Overview


%%PageItemTitle%%

TaskPanelGroupItems Collection

Id
Identifier of the group item to be added.
Caption
Caption of the item to be added
Type
Type of the item to be added.
IconIndex
Icon index of the item to be added
See Also Task Panel ActiveX Control v19.3

Add Method

Description

Adds a new TaskPanelGroupItem to the TaskPanelGroup's collection of items.

Syntax

Public Function Add( _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal Type As XTPTaskPanelItemType, _
   Optional ByVal IconIndex As Variant _
) As TaskPanelGroupItem

Parameters

Id
Identifier of the group item to be added.
Caption
Caption of the item to be added
Type
Value | Description
xtpTaskItemTypeLink | Task panel item is a link.
xtpTaskItemTypeText | Task panel item is plain text.
xtpTaskItemTypeControl | Task panel item is a control such as a combobox or textbox.
Type of the item to be added.
IconIndex
Icon index of the item to be added

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

See Also Task Panel ActiveX Control v19.3

Clear Method

Description

Removes all TaskPanelGroupItems in the TaskPanelGroup's collection of items.

Syntax

Public Sub Clear()

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

Id
Identifier of the item to be found.
See Also Task Panel ActiveX Control v19.3

Find Method

Description

Finds and returns a TaskPanelGroupItem specified by it's ID.

Syntax

Public Function Find( _
   ByVal Id As Long _
) As TaskPanelGroupItem

Parameters

Id
Identifier of the item to be found.

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

Index
Position in the TaskPanelGroup's collection of items to insert the new item.
Id
Identifier of the group item to be added.
Caption
Caption of the item to be added
Type
Type of the item to be added.
IconIndex
Icon index of the item to be added
See Also Task Panel ActiveX Control v19.3

Insert Method

Description

Inserts a new TaskPanelGroupItem into the TaskPanelGroup's collection of items.

Syntax

Public Function Insert( _
   ByVal Index As Long, _
   ByVal Id As Long, _
   ByVal Caption As String, _
   ByVal Type As XTPTaskPanelItemType, _
   Optional ByVal IconIndex As Variant _
) As TaskPanelGroupItem

Parameters

Index
Position in the TaskPanelGroup's collection of items to insert the new item.
Id
Identifier of the group item to be added.
Caption
Caption of the item to be added
Type
Value | Description
xtpTaskItemTypeLink | Task panel item is a link.
xtpTaskItemTypeText | Task panel item is plain text.
xtpTaskItemTypeControl | Task panel item is a control such as a combobox or textbox.
Type of the item to be added.
IconIndex
Icon index of the item to be added

Return Type

Reference to the new TaskPanelGroupItem added.

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

Item
TaskPanelGroupItem\TaskPanelItem that will be moved
Index
New position of the item within the collection of items.
See Also Task Panel ActiveX Control v19.3

Move Method

Description

Moves a TaskPanelGroupItem\TaskPanelItem to the specified location within the collection of items.

Syntax

Public Sub Move( _
   ByVal Item As TaskPanelGroupItem, _
   ByVal Index As Long _
)

Parameters

Item
TaskPanelGroupItem\TaskPanelItem that will be moved
Index
New position of the item within the collection of items.

Remarks

A TaskPanelGroupItem\TaskPanelItem will be displayed in the order that they are added to the collection of items. They are stored in a zero based array of items. The items position within the array can be changed by specifying an index to move the item to.

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

Index
Index of the item to be removed.
See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the specified TaskPanelGroupItem from the TaskPanelGroup's collection of items.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to be removed.

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

Gets the total number of items in the TaskPanelGroup's collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroupItems Collection

Index
Index of the item.
See Also Task Panel ActiveX Control v19.3

Item Property

Description

Gets a TaskPanelGroupItem from the TaskpanelGroup's collection of items specified by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As TaskPanelGroupItem

Parameters

Index
Index of the item.

See Also

TaskPanelGroupItems Collection


%%PageItemTitle%%

TaskPanelGroups Members

See Also Task Panel ActiveX Control v19.3

TaskPanelGroups Collection

Description

Used as a collection of groups in the control

For a list of all members defined in this module, see TaskPanelGroups members.

Object Model

See Also

TaskPanelGroups Members


%%PageItemTitle%% $$Members$$

TaskPanelGroups Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelGroups Collection Members

Public Methods

Public Method Add | Adds a new TaskPanelGroup to the TaskPanel's collection of groups.
Public Method Clear | Removes all TaskPanelGroup objects from the TaskPanel's collection of groups.
Public Method Find | Finds and returns a TaskPanelGroup specified by its ID.
Public Method Move | Moves a TaskPanelGroup to the specified location within the collection of groups.
Public Method Remove | Removes the specified TaskPanelGroup

Public Properties

Public Property Count | Gets the total number of TaskPanelGroup objects in the TaskPanel's collection of groups.
Public Property Item | Gets a TaskPanelGroup from the TaskPanel's collection of groups specified by its index.

See Also

TaskPanelGroups Overview


%%PageItemTitle%%

TaskPanelGroups Collection

Id
Identifier of the TaskPanelGroup to be added
Caption
Caption of the TaskPanelGroup to be added
See Also Task Panel ActiveX Control v19.3

Add Method

Description

Adds a new TaskPanelGroup to the TaskPanel's collection of groups.

Syntax

Public Function Add( _
   ByVal Id As Long, _
   ByVal Caption As String _
) As TaskPanelGroup

Parameters

Id
Identifier of the TaskPanelGroup to be added
Caption
Caption of the TaskPanelGroup to be added

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

See Also Task Panel ActiveX Control v19.3

Clear Method

Description

Removes all TaskPanelGroup objects from the TaskPanel's collection of groups.

Syntax

Public Sub Clear()

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

Id
Identifier of the TaskPanelGroup to find.
See Also Task Panel ActiveX Control v19.3

Find Method

Description

Finds and returns a TaskPanelGroup specified by its ID.

Syntax

Public Function Find( _
   ByVal Id As Long _
) As TaskPanelGroup

Parameters

Id
Identifier of the TaskPanelGroup to find.

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

Item
Group that will be moved
Index
New position of the group within the collection of groups.
See Also Task Panel ActiveX Control v19.3

Move Method

Description

Moves a TaskPanelGroup to the specified location within the collection of groups.

Syntax

Public Sub Move( _
   ByVal Item As TaskPanelGroup, _
   ByVal Index As Long _
)

Parameters

Item
Group that will be moved
Index
New position of the group within the collection of groups.

Remarks

A TaskPanelGroup will be displayed in the order that they are added to the collection of items. They are stored in a zero based array of items. The items position within the array can be changed by specifying an index to move the item to.

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

Index
Index of the item to be removed
See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the specified TaskPanelGroup

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to be removed

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

Gets the total number of TaskPanelGroup objects in the TaskPanel's collection of groups.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelGroups Collection

Index
Index of the TaskPanelGroup within the TaskPanel's collection of groups.
See Also Task Panel ActiveX Control v19.3

Item Property

Description

Gets a TaskPanelGroup from the TaskPanel's collection of groups specified by its index.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Item( _
   ByVal Index As Long _
) As TaskPanelGroup

Parameters

Index
Index of the TaskPanelGroup within the TaskPanel's collection of groups.

See Also

TaskPanelGroups Collection


%%PageItemTitle%%

TaskPanelItem Members

See Also Task Panel ActiveX Control v19.3

TaskPanelItem Object

Description

Used as an interface to access a TaskPanelGroupItem.

For a list of all members defined in this module, see TaskPanelItem members.

Object Model

Remarks

This is only used as an interface in the ItemRButtonDown event to access information about the item that was clicked. TaskPanelGroupItem is derived from TaskPanelItem, however, TaskPanelItem is only used as an interface. When working with items outside the event, you must use TaskPanelGroup and TaskPanelGroupItem.

See Also

TaskPanelItem Members


%%PageItemTitle%% $$Members$$

TaskPanelItem Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelItem Object Members

Public Methods

Public Method EnsureVisible | The EnsureVisible method is used to force an item in a group to become visible.
Public Method IsGroup | Returns whether an item is a TaskPanelGroup.
Public Method Remove | Removes the TaskPanelItem from a TaskPanelGroup.
Public Method SetIconPadding | This method sets the amount of space (padding) around the icon within the TaskPanelItem.

Public Properties

Public Property AllowDrag | The AllowDrag property specifies how and where the TaskPanelItem can be dragged and dropped.
Public Property AllowDrop | The AllowDrop property has a different meaning depending on what type of object the TaskPanelItem represents.
Public Property Caption | Gets/Sets the caption of the item
Public Property Enabled | Gets/Sets a Boolean value indicating whether the item is enabled.
Public Property Font | Gets\sets the font used to display text for the item.
Public Property Group | Returns a reference to the TaskPanelGroup that this item belongs to.
Public Property IconIndex | Gets/Sets the icon Id associated with the item. This will be set to the corresponding icon's "Tag" value in an ImageList control.
Public Property Id | Gets/Sets the numeric identifier of the item.
Public Property Index | Index of the TaskPanelGroupItem within the collection of items.
Public Property ParentItems | Allows you to access sibling groups and determine the total number of siblings.
Public Property Tag | The Tag property is used to return or set an expression that stores any extra data needed for your program.
Public Property Tooltip | Gets/Sets the tooltip that is displayed when the mouse is positioned over the item.
Public Property Type | Gets/Sets the type of the item.
Public Property Visible | Returns or sets whether the item is visible within a group.

See Also

TaskPanelItem Overview


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

EnsureVisible Method

Description

The EnsureVisible method is used to force an item in a group to become visible.

Syntax

Public Sub EnsureVisible()

Remarks

EnsureVisible will "ensure" that the item is visible in the group. This will scroll the items in the group until the item is visible. If the group the item is located in is "closed", then it will be expanded and scrolled until the item is visible.

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

IsGroup Method

Description

Returns whether an item is a TaskPanelGroup.

Syntax

Public Function IsGroup() As Boolean

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the TaskPanelItem from a TaskPanelGroup.

Syntax

Public Sub Remove()

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object | SetGroupIconSize Method | Group SetIconPadding Method | Group Item SetIconPadding Method

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.
See Also Task Panel ActiveX Control v19.3

SetIconPadding Method

Description

This method sets the amount of space (padding) around the icon within the TaskPanelItem.

Syntax

Public Sub SetIconPadding( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin\padding of the icon in pixels. This is the space that appears between the left border of the icon and the actual icon.
top
Size of the top margin\padding of the icon in pixels. This is the space that appears between the top border of the icon and the actual icon.
right
Size of the right margin\padding of the icon in pixels. This is the space that appears between the right border of the icon and the actual icon.
bottom
Size of the bottom margin\padding of the icon in pixels. This is the space that appears between the bottom border of the icon and the actual icon.

Remarks

The SetIconPadding method sets the top, left, bottom, and right margins\padding around the icon in the TaskPanelItem. This is the "padding" that is placed around the icon.

See Also

TaskPanelItem Object | SetGroupIconSize Method | Group SetIconPadding Method | Group Item SetIconPadding Method


%%PageItemTitle%%

TaskPanelItem Object | TaskPanelItem AllowDrop Property | XTPTaskPanelItemAllowDrag Enumeration | TaskPanelGroup AllowDrag Property | TaskPanelGroupItem AllowDrag Property | DragText Property

See Also Task Panel ActiveX Control v19.3

AllowDrag Property

Description

The AllowDrag property specifies how and where the TaskPanelItem can be dragged and dropped.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrag() As XTPTaskPanelItemAllowDrag

Remarks

The AllowDrag property behaves differently depending on what type of object the TaskPanelItem represents. See the TaskPanelGroup.AllowDrag property description for group objects and the TaskPanelGroupItem.AllowDrag property description for group item objects.

The DrawText property can be set for each TaskPanelGroupItem, this is the text string that is sent to the Target Component when an item is dropped onto a control outside of the TaskPanel.

See Also

TaskPanelItem Object | TaskPanelItem AllowDrop Property | XTPTaskPanelItemAllowDrag Enumeration | TaskPanelGroup AllowDrag Property | TaskPanelGroupItem AllowDrag Property | DragText Property


%%PageItemTitle%%

TaskPanelItem Object | TaskPanelGroup AllowDrop Property | TaskPanelGroupItem AllowDrop Property | TaskPanelItem AllowDrag Property

See Also Task Panel ActiveX Control v19.3

AllowDrop Property

Description

The AllowDrop property has a different meaning depending on what type of object the TaskPanelItem represents.

Property type

Read-write property

Syntax (Visual Basic)

Public Property AllowDrop() As Boolean

Remarks

If the TaskPanelItem represents a Group, see the TaskPanelGroup.AllowDrop description.

If the TaskPanelItem represents a GroupItem, see the TaskPanelGroupItem.AllowDrop description.

See Also

TaskPanelItem Object | TaskPanelGroup AllowDrop Property | TaskPanelGroupItem AllowDrop Property | TaskPanelItem AllowDrag Property


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Caption Property

Description

Gets/Sets the caption of the item

Property type

Read-write property

Syntax (Visual Basic)

Public Property Caption() As String

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Enabled Property

Description

Gets/Sets a Boolean value indicating whether the item is enabled.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Enabled() As Boolean

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text for the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Group Property

Description

Returns a reference to the TaskPanelGroup that this item belongs to.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Group() As TaskPanelGroup

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

IconIndex Property

Description

Gets/Sets the icon Id associated with the item. This will be set to the corresponding icon's "Tag" value in an ImageList control.

Property type

Read-write property

Syntax (Visual Basic)

Public Property IconIndex() As Long

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Id Property

Description

Gets/Sets the numeric identifier of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Id() As Long

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Index Property

Description

Index of the TaskPanelGroupItem within the collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Index() As Long

Remarks

Items are displayed in the order they were added unless the index is changed within the collection using the Move method.

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

ParentItems Property

Description

Allows you to access sibling groups and determine the total number of siblings.

Property type

Read-only property

Syntax (Visual Basic)

Public Property ParentItems() As TaskPanelItems

Remarks

Allows you to access sibling items that belong to the same group and determine the total number of siblings.

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Tag Property

Description

The Tag property is used to return or set an expression that stores any extra data needed for your program.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tag() As Variant

Remarks

This is the same as any other Tag property, you can store just about any type of data in this property.

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Tooltip Property

Description

Gets/Sets the tooltip that is displayed when the mouse is positioned over the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Tooltip() As String

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Type Property

Description

Gets/Sets the type of the item.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Type() As XTPTaskPanelItemType

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItem Object

See Also Task Panel ActiveX Control v19.3

Visible Property

Description

Returns or sets whether the item is visible within a group.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Visible() As Boolean

Remarks

The Visible property indicates if the item can be seen in the group, it does not have to visible on the screen for the Visible property to be true. This mean you might have to scroll the items in the group to see the item.

When False, the item is hidden from view and will not appear anywhere in the group.

See Also

TaskPanelItem Object


%%PageItemTitle%%

TaskPanelItems Members

See Also Task Panel ActiveX Control v19.3

TaskPanelItems Collection

Description

Used as an interface to access a collection of TaskPanelGroupItems\TaskPanelItems.

For a list of all members defined in this module, see TaskPanelItems members.

Remarks

This is only used as an interface to access information about TaskPanelGroupItems\TaskPanelItems. When working with items outside the event, you must use TaskPanelGroup and TaskPanelGroupItem.

See Also

TaskPanelItems Members


%%PageItemTitle%% $$Members$$

TaskPanelItems Overview

See Also Task Panel ActiveX Control v19.3

TaskPanelItems Collection Members

Public Methods

Public Method Clear | Removes all TaskPanelItems in the TaskPanelGroup's collection of items.
Public Method Move | Moves a TaskPanelGroupItem\TaskPanelItem to the specified location within the collection of items.
Public Method Remove | Removes the specified TaskPanelGroupItem from the TaskPanelGroup's collection of items.

Public Properties

Public Property Count Gets the total number of items in the TaskPanelGroup's collection of items.

See Also

TaskPanelItems Overview


%%PageItemTitle%%

TaskPanelItems Collection

See Also Task Panel ActiveX Control v19.3

Clear Method

Description

Removes all TaskPanelItems in the TaskPanelGroup's collection of items.

Syntax

Public Sub Clear()

See Also

TaskPanelItems Collection


%%PageItemTitle%%

TaskPanelItems Collection

Item
TaskPanelGroupItem\TaskPanelItem that will be moved
Index
New position of the item within the collection of items.
See Also Task Panel ActiveX Control v19.3

Move Method

Description

Moves a TaskPanelGroupItem\TaskPanelItem to the specified location within the collection of items.

Syntax

Public Sub Move( _
   ByVal Item As TaskPanelItem, _
   ByVal Index As Long _
)

Parameters

Item
TaskPanelGroupItem\TaskPanelItem that will be moved
Index
New position of the item within the collection of items.

Remarks

A TaskPanelGroupItem\TaskPanelItem will be displayed in the order that they are added to the collection of items. They are stored in a zero based array of items. The items position within the array can be changed by specifying an index to move the item to.

See Also

TaskPanelItems Collection


%%PageItemTitle%%

TaskPanelItems Collection

Index
Index of the item to be removed.
See Also Task Panel ActiveX Control v19.3

Remove Method

Description

Removes the specified TaskPanelGroupItem from the TaskPanelGroup's collection of items.

Syntax

Public Sub Remove( _
   ByVal Index As Long _
)

Parameters

Index
Index of the item to be removed.

See Also

TaskPanelItems Collection


%%PageItemTitle%%

TaskPanelItems Collection

See Also Task Panel ActiveX Control v19.3

Count Property

Description

Gets the total number of items in the TaskPanelGroup's collection of items.

Property type

Read-only property

Syntax (Visual Basic)

Public Property Count() As Long

See Also

TaskPanelItems Collection


%%PageItemTitle%%

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Task Panel ActiveX Control v19.3

ToolTipContext Object

Description

The ToolTipContext object represents the tool tip window that is used to display tool tips.

For a list of all members defined in this module, see ToolTipContext members.

Remarks

The ToolTipContext object can be used to customize the style, background color, text color, width, etc... of the tool tip window.

See Also

ToolTipContext Members | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%% $$Members$$

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property

See Also Task Panel ActiveX Control v19.3

ToolTipContext Object Members

Public Methods

Public Method IsBalloonStyleSupported | The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.
Public Method SetMargin | The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.
Public Method SetVectorIconSize |
Public Method ShowImage | Specifies whether to display images in the tooltip window.
Public Method ShowTitleAndDescription | The ShowTitleAndDescription method specifies whether to show the title\caption and tooltip of the item the tool tip window.

Public Properties

Public Property Font | Gets\sets the font used to display text in the tip window.
Public Property ImageDPIScaling |
Public Property MaxTipWidth | The MaxTipWidth property gets\sets the maximum tool tip width in pixels.
Public Property ShowOfficeBorder | Specifies whether to draw a MS Office style border around the tooltip.
Public Property ShowShadow | Specifies whether to draw a shadow under the tooltip window.
Public Property Style | The Style property gets\sets the style of the tool tip window.
Public Property TipBkColor | The TipBkColor property gets\sets the background color of the tool tip window.
Public Property TipTextColor | The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

See Also

ToolTipContext Overview | Style Property | TipBkColor Property | TipTextColor Property | MaxTipWidth Property | TabControl ToolTipContext Property | TabControlItem ToolTip Property | TaskPanel ToolTipContext Property | TaskPanelGroup ToolTip Property | TaskPanelGroupItem ToolTip Property | ToolTip Property


%%PageItemTitle%%

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration

See Also Task Panel ActiveX Control v19.3

IsBalloonStyleSupported Method

Description

The IsBalloonStyleSupported method determines whether the balloon tool tip style is supported.

Syntax

Public Function IsBalloonStyleSupported() As Boolean

Return Type

Returns True if the balloon tool tip style is supported. Returns False if the balloon tool tip is not supported.

Remarks

Balloon tips require that Internet Explorer 5.0 or greater be installed. IsBalloonStyleSupported will return False if Internet Explorer 5.0 or greater is Not installed.

The ShowTitleAndDescription method also required Internet Explorer 5.0 or greater to be installed, so the IsBalloonStyleSupported method can be used to check if the the ShowTitleAndDescription method can be used as well.

See Also

ToolTipContext Object | ShowTitleAndDescription Method | Style Property | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.
See Also Task Panel ActiveX Control v19.3

SetMargin Method

Description

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window.

Syntax

Public Sub SetMargin( _
   ByVal left As Long, _
   ByVal top As Long, _
   ByVal right As Long, _
   ByVal bottom As Long _
)

Parameters

left
Size of the left margin of the tool tip window in pixels. This is the space that appears between the left border of the tool tip window and the tool tip text.
top
Size of the top margin of the tool tip window in pixels. This is the space that appears between the top border of the tool tip window and the tool tip text.
right
Size of the right margin of the tool tip window in pixels. This is the space that appears between the right border of the tool tip window and the tool tip text.
bottom
Size of the bottom margin of the tool tip window in pixels. This is the space that appears between the bottom border of the tool tip window and the tool tip text.

Remarks

The SetMargin method sets the top, left, bottom, and right margins of the tool tip window. This is the "padding" that is placed around the tool tip text in the tool tip window.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

cx
cy
See Also Task Panel ActiveX Control v19.3

SetVectorIconSize Method

Syntax

Public Sub SetVectorIconSize( _
   ByVal cx As Long, _
   ByVal cy As Long _
)

Parameters

cx
cy

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a taskpanel item id to specify a large image. Set to 0 to display only standard button icons associated with the control.
See Also Task Panel ActiveX Control v19.3

ShowImage Method

Description

Specifies whether to display images in the tooltip window.

Syntax

Public Sub ShowImage( _
   ByVal ShowImage As Boolean, _
   ByVal ImageBase As Long _
)

Parameters

ShowImage
True to display images in the tooltip window, False to hide images in tooltip windows
ImageBase
This is the offset to add to a taskpanel item id to specify a large image. Set to 0 to display only standard button icons associated with the control.

Remarks

To add an image to a tooltip as seen in Office 2007 style tooltip, which is usually a large image that is a shrunken screen shot of the dialog\function a menu item or button performs, you would simply add another image to the imagemanager that has the same id as the taskpanel item plus the ImageBase value. When the ShowImage parameter is True and the ImageBase is greater than 0 then it will automatically add the ImageBase to all taskpanel item ids when displaying the picture in the tooltips.

The diagram below illustrates how to display an image in the tooltip for a taskpanel group item control. The ImageBase is set to a value of 1000, you can choose any positive non zero number for this. Note that there are 2 images in the ImageManager control, one for the taskpanel group item, which has an Id of 106 and the second is for the tooltip which has an Id of ImageBase + Control Id. Note, if you set the ImageBase to 0 then the button control image will also be displayed in the tooltip.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration

ShowTitleAndDescription

True to display the title, tooltip and Icon (specified by IconTitle) of the item in the tool tip window.

False to display only th text stored in the tooltip property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Icon to display in tool tip window.
See Also Task Panel ActiveX Control v19.3

ShowTitleAndDescription Method

Description

The ShowTitleAndDescription method specifies whether to show the title\caption and tooltip of the item the tool tip window.

Syntax

Public Sub ShowTitleAndDescription( _
   ByVal ShowTitleAndDescription As Boolean, _
   ByVal IconTitle As XTPToolTipIcon _
)

Parameters

ShowTitleAndDescription

True to display the title, tooltip and Icon (specified by IconTitle) of the item in the tool tip window.

False to display only th text stored in the tooltip property in the tool tip window. If False, no icon will be displayed in the tool tip window as well.

IconTitle
Value | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.
Icon to display in tool tip window.

Remarks

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the title\caption and tooltip of the item.

See Also

ToolTipContext Object | IsBalloonStyleSupported Method | XTPToolTipIcon Enumeration


%%PageItemTitle%%

ToolTipContext Object

See Also Task Panel ActiveX Control v19.3

Font Property

Description

Gets\sets the font used to display text in the tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Font() As Font

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Task Panel ActiveX Control v19.3

ImageDPIScaling Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ImageDPIScaling() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Task Panel ActiveX Control v19.3

MaxTipWidth Property

Description

The MaxTipWidth property gets\sets the maximum tool tip width in pixels.

Property type

Read-write property

Syntax (Visual Basic)

Public Property MaxTipWidth() As Long

Remarks

When using the xtpToolTipStandard, xtpToolTipOffice, and xtpToolTipBalloon styles, the minimum width of the tool tip window can only be as small as the longest word in the tip.

When using the xtpToolTipRTF style, the minimum width of the tool tip window can be as small as a single character.

When using the ShowTitleAndDescription method to display the title\caption and tooltip of the item, the minimum width of the tool tip window can not be smaller that the width of the title\caption.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Task Panel ActiveX Control v19.3

ShowOfficeBorder Property

Description

Specifies whether to draw a MS Office style border around the tooltip.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowOfficeBorder() As Boolean

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object

See Also Task Panel ActiveX Control v19.3

ShowShadow Property

Description

Specifies whether to draw a shadow under the tooltip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property ShowShadow() As Boolean

Remarks

This will cause the tip window to cast a shadow.

See Also

ToolTipContext Object


%%PageItemTitle%%

ToolTipContext Object | XTPToolTipStyle Enumeration

See Also Task Panel ActiveX Control v19.3

Style Property

Description

The Style property gets\sets the style of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property Style() As XTPToolTipStyle

Remarks

By default the text that is stored in the ToolTip property of the item will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

See the XTPToolTipStyle enumeration for a detailed description of each style.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

See Also

ToolTipContext Object | XTPToolTipStyle Enumeration


%%PageItemTitle%%

ToolTipContext Object | TipTextColor Property

See Also Task Panel ActiveX Control v19.3

TipBkColor Property

Description

The TipBkColor property gets\sets the background color of the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipBkColor() As ULong

See Also

ToolTipContext Object | TipTextColor Property


%%PageItemTitle%%

ToolTipContext Object | TipBkColor Property

See Also Task Panel ActiveX Control v19.3

TipTextColor Property

Description

The TipTextColor property gets\sets the color of the text that is displayed in the tool tip window.

Property type

Read-write property

Syntax (Visual Basic)

Public Property TipTextColor() As ULong

See Also

ToolTipContext Object | TipBkColor Property


%%PageItemTitle%%

Task Panel ActiveX Control v19.3

OLEDragConstants Enumeration

Description

OLE Drag Constants

Members

Member | Description
xtpOLEDragManual | (Default) Manual. The programmer handles all OLE drag/drop operations.
xtpOLEDragAutomatic | Automatic. The component handles all OLE drag/drop operations.


%%PageItemTitle%%

OLEDropMode Property

See Also Task Panel ActiveX Control v19.3

OLEDropConstants Enumeration

Description

OLE Drop Constants

Members

Member | Description
xtpOLEDropNone | (Default) None. The target component does not accept OLE drops and displays the No Drop cursor.
xtpOLEDropManual | Manual. The target component triggers the OLE drop events, allowing the programmer to handle the OLE drop operation in code.

Remarks

The OLEDropMode property uses the flags from the OLEDropConstants enumeration to specify the drop mode used by the task panel for dropping external items.

See Also

OLEDropMode Property


%%PageItemTitle%%

SetColor Method | Color Property

See Also Task Panel ActiveX Control v19.3

XTPColorManagerColor Enumeration

Description

Display element colors.

Members

Member | Description
STDCOLOR_BACKGROUND | Desktop color.
STDCOLOR_ACTIVECAPTION | Color of the title bar for the active window, Specifies the left side color in the color gradient of an active window's title bar if the gradient effect is enabled.
STDCOLOR_INACTIVECAPTION | Color of the title bar for the inactive window, Specifies the left side color in the color gradient of an inactive window's title bar if the gradient effect is enabled.
STDCOLOR_MENU | Menu background color.
STDCOLOR_WINDOW | Window background color.
STDCOLOR_WINDOWFRAME | Window frame color.
STDCOLOR_MENUTEXT | Color of text on menus.
STDCOLOR_WINDOWTEXT | Color of text in windows.
STDCOLOR_CAPTIONTEXT | Color of text in caption, size box, and scroll arrow.
STDCOLOR_ACTIVEBORDER | Border color of active window.
STDCOLOR_INACTIVEBORDER | Border color of inactive window.
STDCOLOR_APPWORKSPACE | Background color of multiple-document interface (MDI) applications.
STDCOLOR_HIGHLIGHT | Background color of items selected in a control.
STDCOLOR_HIGHLIGHTTEXT | Text color of items selected in a control.
STDCOLOR_BTNFACE | Face color for three-dimensional display elements and for dialog box backgrounds.
STDCOLOR_BTNSHADOW | Color of shading on the edge of command buttons.
STDCOLOR_GRAYTEXT | Grayed (disabled) text.
STDCOLOR_BTNTEXT | Text color on push buttons.
STDCOLOR_INACTIVECAPTIONTEXT | Color of text in an inactive caption.
STDCOLOR_BTNHIGHLIGHT | Highlight color for 3-D display elements.
STDCOLOR_3DDKSHADOW | Darkest shadow color for 3-D display elements.
STDCOLOR_3DLIGHT | Second lightest 3-D color after 3DHighlight, Light color for three-dimensional display elements (for edges facing the light source.)
STDCOLOR_INFOTEXT | Color of text in ToolTips.
STDCOLOR_INFOBK | Background color of ToolTips.
STDCOLOR_HOTLIGHT | Color for a hot-tracked item. Single clicking a hot-tracked item executes the item.
STDCOLOR_GRADIENTACTIVECAPTION | Right side color in the color gradient of an active window's title bar. COLOR_ACTIVECAPTION specifies the left side color.
STDCOLOR_GRADIENTINACTIVECAPTION | Right side color in the color gradient of an inactive window's title bar. COLOR_INACTIVECAPTION specifies the left side color.
XPCOLOR_TOOLBAR_FACE | XP toolbar background color.
XPCOLOR_HIGHLIGHT | XP menu item selected color.
XPCOLOR_HIGHLIGHT_BORDER | XP menu item selected border color.
XPCOLOR_HIGHLIGHT_PUSHED | XP menu item pushed color.
XPCOLOR_HIGHLIGHT_CHECKED | XP menu item checked color.
XPCOLOR_HIGHLIGHT_CHECKED_BORDER | An RGB value that represents the XP menu item checked border color.
XPCOLOR_ICONSHADDOW | XP menu item icon shadow.
XPCOLOR_GRAYTEXT | XP menu item disabled text color.
XPCOLOR_TOOLBAR_GRIPPER | XP toolbar gripper color.
XPCOLOR_SEPARATOR | XP toolbar separator color.
XPCOLOR_DISABLED | XP menu icon disabled color.
XPCOLOR_MENUBAR_FACE | XP menu item text background color.
XPCOLOR_MENUBAR_EXPANDED | XP hidden menu commands background color.
XPCOLOR_MENUBAR_BORDER | XP menu border color.
XPCOLOR_MENUBAR_TEXT | XP menu item text color.
XPCOLOR_HIGHLIGHT_TEXT | XP menu item selected text color.
XPCOLOR_TOOLBAR_TEXT | XP toolbar text color.
XPCOLOR_PUSHED_TEXT | XP toolbar pushed text color.
XPCOLOR_TAB_INACTIVE_BACK | XP inactive tab background color.
XPCOLOR_TAB_INACTIVE_TEXT | XP inactive tab text color.
XPCOLOR_HIGHLIGHT_PUSHED_BORDER | An RGB value that represents the XP border color for pushed in 3D elements.
XPCOLOR_3DFACE | XP face color for three- dimensional display elements and for dialog box backgrounds.
XPCOLOR_3DSHADOW | XP shadow color for three-dimensional display elements (for edges facing away from the light source).
XPCOLOR_FRAME | XP frame color.
XPCOLOR_SPLITTER_FACE | XP splitter face color.
XPCOLOR_LABEL | Color for Command Bars label control (xtpControlLabel).
XPCOLOR_STATICFRAME | WinXP Static frame color.

Remarks

XTPColorManagerColor contains all the display elements who's color can be set or retrieved.

See Also

SetColor Method | Color Property


%%PageItemTitle%%

GetCurrentSystemTheme Method | SystemTheme Property

See Also Task Panel ActiveX Control v19.3

XTPCurrentSystemTheme Enumeration

Description

Enumeration used to determine the current Windows XP theme in use.

Members

Member | Description
xtpSystemThemeUnknown | Indicates no known theme in use. This means that the Operating System is not Windows XP or if the Operating System is Windows XP, the currently used theme is not Blue, Olive, or Silver.
xtpSystemThemeBlue | Indicates that the blue Windows XP theme is in use.
xtpSystemThemeOlive | Indicates that the Olive Windows XP theme is in use.
xtpSystemThemeSilver | Indicates that the Silver Windows XP theme is in use.
xtpSystemThemeRoyale | Indicates that the Windows Media Center Royale theme is in use.
xtpSystemThemeAero | Indicates that the Windows Vista Aero theme is in use.
xtpSystemThemeAuto | Indicates the currently set Operating System theme is used.

Remarks

GetCurrentSystemTheme is used to determine the current system theme, SystemTheme is used to force the application to use a theme.

See Also

GetCurrentSystemTheme Method | SystemTheme Property


%%PageItemTitle%%

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method

See Also Task Panel ActiveX Control v19.3

XTPImageState Enumeration

Description

Specifies the state of an icon.

Members

Member | Description
xtpImageNormal | Specifies a normal icon. This is the image displayed when the item is displayed normally.
xtpImageDisabled | Specifies a disabled icon. This is the image displayed when the item is in disabled.
xtpImageHot | Specifies a hot icon. This is the image displayed when the mouse pointer is positioned over the item.
xtpImageChecked | Specifies a "checked"\selected icon. This is the image displayed when the item is in a selected state.
xtpImagePressed | Specifies a "pressed"\pushed icon. This is the image displayed when the item is in currently pressed my the mouse cursor.

See Also

Icons Property | AddBitmap Method | AddIcon Method | LoadBitmap Method | LoadIcon Method


%%PageItemTitle%%

Task Panel ActiveX Control v19.3

XTPItemAlignment Enumeration

Description

Specifies the text formatting for text in the Popup Control and for items in the TaskPanel Control.

Members

Member | Description
DT_TOP | Aligns text to the left.
DT_LEFT | Aligns text to the left.
DT_CENTER | Centers text horizontally.
DT_RIGHT | Aligns text to the right.
DT_VCENTER | Centers text vertically. This value is used only with the DT_SINGLELINE value.
DT_BOTTOM | Renders the text string at the bottom of the display rectangle. This value is used only with the DT_SINGLELINE value.
DT_WORDBREAK | Breaks lines between words if a word would extend past the edge of the display rectangle ("wraps" the text). A carriage return/line feed (CR/LF) sequence also breaks the line.
DT_SINGLELINE | Specifies that lines of text will not "word wrap" to the next line, they will stay on a single line truncating any text that cannot fit. Displays text on a single line. Carriage returns and line feeds do not break the line.
DT_END_ELLIPSIS | Truncates the text string that is wider than the popup control item and adds an ellipsis to indicate the truncation.


%%PageItemTitle%%

TaskPanel Animation Property

See Also Task Panel ActiveX Control v19.3

XTPTaskPanelAnimation Enumeration

Description

Specifies the animation type used by the TaskPanel control when opening and closing groups.

Members

Member | Description
xtpTaskPanelAnimationYes | Enable task panel animation used when task panel groups are opened and closed.
xtpTaskPanelAnimationNo | Disables task panel animation used when task panel groups are opened and closed.
xtpTaskPanelAnimationSystem | Use the currently set operating system setting.

See Also

TaskPanel Animation Property


%%PageItemTitle%%

Task Panel ActiveX Control v19.3

XTPTaskPanelBehaviour Enumeration

Description

Specifies the behavior of the Taskpanel.

Members

Member | Description
xtpTaskPanelBehaviourExplorer | TaskPanel will behave like Windows Explorer.
xtpTaskPanelBehaviourList | TaskPanel will behave like Windows List Box.
xtpTaskPanelBehaviourToolbox | TaskPanel will behave like VS. NET Toolbox.


%%PageItemTitle%%

BorderStyle Property

See Also Task Panel ActiveX Control v19.3

XTPTaskPanelBorderStyle Enumeration

Description

Specifies the the type of border that is placed around the TaskPanel.

Members

Member | Description
xtpBorderNone | No border.
xtpBorderFlat | Flat style border.
xtpBorderStaticEdge | Static edge style border.
xtpBorderClientEdge | Client edge style border.
xtpBorderFrame | Frame style border.

Remarks

This specifies the border style for the TaskPanel, this will not effect the individual groups or items. You can change the border style in the Visual Basic IDE at design time, or you can change it via code.

See Also

BorderStyle Property


%%PageItemTitle%%

Task Panel ActiveX Control v19.3

XTPTaskPanelHotTrackStyle Enumeration

Description

Specifies they type of hot tracking used for TaskPanelItems. Hot tracking is how the items look as you move the mouse over them.

Members

Member | Description
xtpTaskPanelHighlightDefault | Uses the default hot tracking style.
xtpTaskPanelHighlightText | Only text is highlighted on mouse over.
xtpTaskPanelHighlightImage | Only Images are highlighted on mouse over.
xtpTaskPanelHighlightItem | The entire item is highlighted on mouse over.
xtpTaskPanelHighlightNone | No hot tracking is used, nothing will happen on mouse over.


%%PageItemTitle%%

TaskPanel AllowDrag Property | TaskPanelGroup AllowDrag Property | TaskPanelGroupItem AllowDrag Property | TaskPanelItem AllowDrag Property | TaskPanelItem AllowDrop Property | TaskPanelGroup AllowDrop Property | TaskPanelGroupItem AllowDrop Property | DragText Property

See Also Task Panel ActiveX Control v19.3

XTPTaskPanelItemAllowDrag Enumeration

Description

XTPTaskPanelItemAllowDrag is an enumeration that represents a set of drag options that are used to specify how and when an item can be dragged and dropped.

Members

Member | Description
xtpTaskItemAllowDragNone | Disable dragging. Specifies that the item or group can not be dragged.
xtpTaskItemAllowDragDefault | Default drag options. Please see Note 1 in Remarks section.
xtpTaskItemAllowDragCopyWithinGroup | Allows the item to only be copied within the group it belongs to. The item can not be copied outside of the group or TaskPanel control.
xtpTaskItemAllowDragCopyWithinControl | Allows the item to only be copied within any group in the Task Panel control. The item can not be copied outside of Task Panel control.
xtpTaskItemAllowDragCopyOutsideControl | Allows the item to only be copied outside the Task Panel control. The item can not be copied to any group inside of Task Panel control.
xtpTaskItemAllowDragCopy | Allow copy operation. Please see Note 2 in Remarks section. This is the combination of xtpTaskItemAllowDragCopyWithinControl and xtpTaskItemAllowDragCopyOutsideControl.
xtpTaskItemAllowDragMoveWithinGroup | Allows the item to only be moved within the group it belongs to. The item can not be moved outside of the group or TaskPanel control.
xtpTaskItemAllowDragMoveWithinControl | Allows the item to only be moved within any group in the Task Panel control. The item can not be moved outside of Task Panel control.
xtpTaskItemAllowDragMoveOutsideControl | Allows the item to only be moved outside the Task Panel control. The item can not be moved to any group inside of Task Panel control.
xtpTaskItemAllowDragMove | Allow move operation. Please see Note 3 in Remarks section. This is the combination of xtpTaskItemAllowDragMoveOutsideControl and xtpTaskItemAllowDragMoveWithinControl.
xtpTaskItemAllowDragWithinGroup | Allow drag within group only. Please see Note 5 in Remarks section. This is the combination of xtpTaskItemAllowDragCopyWithinGroup and xtpTaskItemAllowDragMoveWithinGroup.
xtpTaskItemAllowDragWithinControl | Allow drag within task panel only. Please see Note 6 in Remarks section. This is the combination of xtpTaskItemAllowDragCopyWithinControl and xtpTaskItemAllowDragMoveWithinControl.
xtpTaskItemAllowDrag | Allow all drag operations. Please see Note 7 in Remarks section. This is the combination of xtpTaskItemAllowDragCopyWithinControl, xtpTaskItemAllowDragCopyOutsideControl, xtpTaskItemAllowDragMoveWithinControl and xtpTaskItemAllowDragMoveOutsideControl.

Remarks

The flags of the XTPTaskPanelItemAllowDrag enumeration are used to specify the drag options of the TaskPanel, TaskPanelGroup, and TaskPanelGroupItem objects. The AllowDrag property of each object is used to store the XTPTaskPanelItemAllowDrag flags. The XTPTaskPanelItemAllowDrag specify both how and where the item can be dragged and dropped. The AllowDrop property can be used to further restrict where an item can be dropped, see Note 4.

Note 1:

The xtpTaskItemAllowDragDefault flag has a different meaning depending on what type of item is using it. If TaskPanelGroupItem.AllowDrag = xtpTaskItemAllowDragDefault, then the item will use the AllowDrag settings from the group that it belongs to. If TaskPanelGroup.AllowDrag = xtpTaskItemAllowDragDefault, then the group will use the AllowDrop settings from the TaskPanel control. If TaskPanel.AllowDrag = xtpTaskItemAllowDragDefault, then xtpTaskItemAllowDrag is used.

Note 2:

The xtpTaskItemAllowDragCopy flag specifies that a TaskPanelGroupItem will be copied or "duplicated" when dragged and dropped. This means the the original item will not be moved and a new "duplicate" item will be created in the spot the item is dropped. This option allows items to be copied within any of the TaskPanel groups or outside of the TaskPanel control. This option only applies to TaskPanelGroupItem objects and is not used with TaskPanel Group objects.

Note 3:

The xtpTaskItemAllowDragMove flag specifies that a TaskPanelGroupItem will be moved when dragged and dropped. This means the the original item will be removed from its original position and inserted into the spot the item is dropped. This option allows items to be moved within any of the TaskPanel groups or outside of the TaskPanel control. This option only applies to TaskPanelGroupItem objects and is not used with TaskPanel Group objects.

Note 4:

The AllowDrop property can be used to further restrict where an item can be dropped. The TaskPanelGroupItem.AllowDrop property specifies whether another item can be "dropped" before the item. The TaskPanelGroup.AllowDrag property specifies whether items can be "dropped" into the group.

Note 5:

During "normal" dragging and dropping of items, the item will be moved to the position it is dropped within the same group. If the Control (Ctrl) key is held down during the dragging and dropping of the item, then it will be copied.

The xtpTaskItemAllowDragWithinGroup flag behaves exactly as the xtpTaskItemAllowDragMoveWithinGroup flag during "normal" dragging and dropping of items. If the Control (Ctrl) key is held down during the dragging and dropping of the item, then it will behave like the xtpTaskItemAllowDragCopyWithinGroup flag.

Note 6:

During "normal" dragging and dropping of items, the item will be moved to the position it is dropped within any group in the TaskPanel control. If the Control (Ctrl) key is held down during the dragging and dropping of the item, then it will be copied.

The xtpTaskItemAllowDragWithinControl flag behaves exactly as the xtpTaskItemAllowDragMoveWithinControl flag during "normal" dragging and dropping of items. If the Control (Ctrl) key is held down during the dragging and dropping of the item, then it will behave like the xtpTaskItemAllowDragCopyWithinControl flag.

Note 7:

During "normal" dragging and dropping of items, the item will be moved anywhere inside or outside of the TaskPanel control. If the Control (Ctrl) key is held down during the dragging and dropping of the item, then the item will be copied instead of moved.

Note 8:

The DrawText property can be set for each TaskPanelGroupItem, this is the text string that is sent to the Target Component when an item is dropped onto a control outside of the TaskPanel.

See Also

TaskPanel AllowDrag Property | TaskPanelGroup AllowDrag Property | TaskPanelGroupItem AllowDrag Property | TaskPanelItem AllowDrag Property | TaskPanelItem AllowDrop Property | TaskPanelGroup AllowDrop Property | TaskPanelGroupItem AllowDrop Property | DragText Property


%%PageItemTitle%%

Task Panel ActiveX Control v19.3

XTPTaskPanelItemLayout Enumeration

Description

Specifies the layout of the TaskPanelItems.

Members

Member | Description
xtpTaskItemLayoutDefault | Default Layout
xtpTaskItemLayoutImages | Only images are shown
xtpTaskItemLayoutImagesWithText | Both images and text are shown
xtpTaskItemLayoutImagesWithTextBelow | Images with the text shown below the image.


%%PageItemTitle%%

TaskPanelGroupItem Type Property

See Also Task Panel ActiveX Control v19.3

XTPTaskPanelItemType Enumeration

Description

Specifies the type of item in a TaskPanelGroup.

Members

Member | Description
xtpTaskItemTypeLink | Task panel item is a link.
xtpTaskItemTypeText | Task panel item is plain text.
xtpTaskItemTypeControl | Task panel item is a control such as a combobox or textbox.

See Also

TaskPanelGroupItem Type Property


%%PageItemTitle%%

TaskPanel VisualTheme Property

See Also Task Panel ActiveX Control v19.3

XTPTaskPanelVisualTheme Enumeration

Description

Specifies the theme of the TaskPanel control.

Members

Member | Description
xtpTaskPanelThemeOffice2000 | Specifies that the Task Panel will use the Office 2000 theme.
xtpTaskPanelThemeOffice2003 | Specifies that the Task Panel will use the Office 2003 theme.
xtpTaskPanelThemeNativeWinXP | Specifies that the Task Panel will use the Win XP theme.
xtpTaskPanelThemeOffice2000Plain | Specifies that the Task Panel will use the Office 2000 plain theme.
xtpTaskPanelThemeOfficeXPPlain | Specifies that the Task Panel will use the Office XP plain theme.
xtpTaskPanelThemeOffice2003Plain | Specifies that the Task Panel will use the Office 2003 plain theme.
xtpTaskPanelThemeNativeWinXPPlain | Specifies that the Task Panel will use the Win XP plain theme.
xtpTaskPanelThemeToolbox | Specifies that the Task Panel will use the VS.ET style Toolbox theme.
xtpTaskPanelThemeToolboxWhidbey | Specifies that the Task Panel will use the Whidbey VS 2005 style Toolbox theme.
xtpTaskPanelThemeListView | Specifies that the Task Panel will use the standard List View theme.
xtpTaskPanelThemeListViewOfficeXP | Specifies that the Task Panel will use the Office XP List View theme.
xtpTaskPanelThemeListViewOffice2003 | Specifies that the Task Panel will use the Office 2003 List View theme.
xtpTaskPanelThemeShortcutBarOffice2003 | Specifies that the Task Panel will use the ShortcutBarOffice 2003 theme.
xtpTaskPanelThemeResource | Specifies that the TaskPanel will use a theme from a resource file. I.e, Office 2007, Office 2007/2010 Ribbon, Office 2010 and Windows 7 appearances. See the Loading a Resource Theme Sample for code snippets.
xtpTaskPanelThemeVisualStudio2010 | Specifies that the Task Panel will use the VS 2010 style Toolbox theme.
xtpTaskPanelThemeVisualStudio2012Light |
xtpTaskPanelThemeVisualStudio2012Dark |
xtpTaskPanelThemeOffice2013 |
xtpTaskPanelThemeOffice2016 |
xtpTaskPanelThemeVisualStudio2015 |

See Also

TaskPanel VisualTheme Property


%%PageItemTitle%%

ShowTitleAndDescription Method

See Also Task Panel ActiveX Control v19.3

XTPToolTipIcon Enumeration

Description

Specifies the icon that will be displayed in the tool tip window when displaying the title and description of the control using the ShowTitleAndDescription method.

Members

Member | Description
xtpToolTipIconNone | No icon will be displayed in the tool tip window.
xtpToolTipIconInfo | The information icon will be displayed in the tool tip window.
xtpToolTipIconWarning | The warning icon will be displayed in the tool tip window.
xtpToolTipIconError | The error icon will be displayed in the tool tip window.

Remarks

The XTPToolTipIcon enumeration is used to specify which icon should be displayed in the tooltip window when using the ShowTitleAndDescription method. The text that will be displayed in the tool tip window will be the title\caption and tooltip of the item.

Requirements:

The ShowTitleAndDescription method requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the ShowTitleAndDescription method is supported.

See Also

ShowTitleAndDescription Method


%%PageItemTitle%%

Style Property

See Also Task Panel ActiveX Control v19.3

XTPToolTipStyle Enumeration

Description

Specifies the style of the tool tip when it is displayed.

Members

Member | Description
xtpToolTipStandard | Tool tips will use the Standard window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it.
xtpToolTipBalloon | Tool tips will use the Balloon window style. The tool tip window will be in the shape of a balloon.
xtpToolTipOffice | Tool tips will use the Office window style. The tool tips window will be in the shape of a rectangle with a dark border on the right and bottom sides and a light border on the top and left sides.
xtpToolTipRTF | Tool tips will use the Rich-Text Format (RTF) window style. The tool tips window will be in the shape of a rectangle with a solid dark border around it. If the text stored in the ToolTip property is in RTF format, the tool tip will be displayed using the RTF formatting. This includes font, font size, color, bullets, etc.
xtpToolTipLuna | ToolTips will use the Windows Xp Luna color gradient as the back color of the tooltip window. The color depends on the appearance style of the operating system.
xtpToolTipResource | Tooltip will use the Office 2007 window style.
xtpToolTipHTML | Tooltip will use HTML formatting to format the tooltip. This allows you to insert HTML objects such as tables or use HTML formatting such as font, bold, etc.
xtpToolTipMarkup | Tooltip will use XAML MarkUp formatting to format the tooltip. See this sample.
xtpToolTipOffice2013 |
xtpToolTipOffice2016 |

Remarks

By default the text that is stored in the ToolTip property will be displayed in the tool tip window. If this property is not set, then the title\caption of the item will be used.

Requirements:

The xtpToolTipBalloon XTPToolTipStyle requires Internet Explorer 5.0 or above to be installed. The IsBalloonStyleSupported method can be used to determine if the xtpToolTipBalloon style is supported.

XAML Tooltips:

Only controls with a TooltipContext property can use Markup for tooltips. The sample below shows a TabControl that uses Markup tooltip, in this case, the second tab's tooltip is being set. Note EnableMarkup is not needed to enable Markup for the toolip. The style of the tooltip must be set to xtpToolTipMarkup. To display both a Markup Tooltip and Markup in the caption on the TabControl tabs both EnableMarkup and xtpToolTipMarkup are required. The xtpToolTipMarkup style is required to display Markup tooltips for the TabControl (or any other TooltipContext enabled control). Note the sample used images stored in a ImageManager as the image source.

The sample below will use XAML to create a tooltip for a tab button in a TabControl.

Example

[XAML Tooltip (Visual Basic)] This sample shows how to use XAML MarkUp for a ToolTip.

'VB 6 code snippet
TabControl.ToolTipContext.Style = xtpToolTipMarkup

TabControl.Item(1).ToolTip = _
"<Border Padding='4' Width='200px' BorderThickness='1' " & _
"BorderBrush='#767676' Background='#e4ecf7'>" & _
"<StackPanel TextBlock.FontFamily='Tahoma'>" & _
" <TextBlock Padding='1, 3, 1, 3' FontWeight='Bold'>Change Case" & _
"</TextBlock>" & _
" <TextBlock Padding='9, 6, 30, 7' TextWrapping='Wrap'>Change all the " & _
"selected text to UPPERCASE, lowercase, or other common capitalizations." & _
"</TextBlock>" & _
" <Border Height='1' Background='#9ebbdd' />" & _
" <Border Height='1' Background='White' />" & _
" <StackPanel Margin='1, 7, 0, 3' Orientation='Horizontal'>" & _
" <Image Source='12'/><TextBlock Margin='7, 0, 0, 0' " & _
"VerticalAlignment='Center' FontWeight='Bold'>Press F1 for more help." & _
"</TextBlock>" & _
" </StackPanel>" & _
"</StackPanel>" & _
"</Border>"

See Also

Style Property


%%PageItemTitle%% $$Members$$

Task Panel

!MISSING Scrap '__TITLE'! Members

Description

Xtreme CommandBars ActiveX Control 19.3.0


%%Phrase%%

Calendar ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Calendar ActiveX Control v19.3

Enumerations Object

Description

Enumerations for the Calendar Control.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Calendar ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Chart Pro ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Chart Pro ActiveX Control v19.3

Enumerations Object

Description

Contains various definitions for properties used in the Chart Control.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Chart Pro ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Command Bars ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Command Bars ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the CommandBars.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Command Bars ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Docking Pane ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Docking Pane ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the Docking Panes.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Docking Pane ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Flow Graph ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Flow Graph ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the Flow Graph control.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Flow Graph ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

OLEDragConstants Enumeration

Members

Member | Description
xtpOLEDragManual |
xtpOLEDragAutomatic |


%%PageItemTitle%%

Flow Graph ActiveX Control v19.3

OLEDropConstants Enumeration

Members

Member | Description
xtpOLEDropNone |
xtpOLEDropManual |
xtpOLEDropAutomatic |


%%Phrase%%

Markup ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Markup ActiveX Control v19.3

Enumerations Interface

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Markup ActiveX Control v19.3

Enumerations Interface Members

See Also

Enumerations Overview


%%Phrase%%

Property Grid ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Property Grid ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the Property Grid.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Property Grid ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Report Control ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Report Control ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the ReportControl.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Report Control ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%PageItemTitle%%

ReportDataManager Members

See Also Report Control ActiveX Control v19.3

ReportDataManager Collection

For a list of all members defined in this module, see ReportDataManager members.

Object Model

See Also

ReportDataManager Members


%%PageItemTitle%% $$Members$$

ReportDataManager Overview

See Also Report Control ActiveX Control v19.3

ReportDataManager Collection Members

Public Methods

Public Method AddRecord
Public Method CreateEmptyRecord
Public Method DataBind
Public Method DeleteRecord
Public Method UpdateField
Public Method UpdateRecord
Public Method UpdateRecordItem

Public Properties

Public Property DataSource

See Also

ReportDataManager Overview


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

ReleaseSort Method

Syntax

Public Sub ReleaseSort()

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

SortedDragDrop Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SortedDragDrop() As Boolean

See Also

TrackControl Control


%%PageItemTitle%%

TrackControl Control

See Also Report Control ActiveX Control v19.3

UnSort Method

Syntax

Public Sub UnSort()

See Also

TrackControl Control


%%Phrase%%

Shortcut Bar ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Shortcut Bar ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the Suite Controls.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Shortcut Bar ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Skin Framework ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Skin Framework ActiveX Control v19.3

Enumerations Object

Description

Enumerations for the Skin Framework control.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Skin Framework ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Suite Pro Controls ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Suite Pro Controls ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the Suite Controls.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Suite Pro Controls ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%Phrase%%

Syntax Edit ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Syntax Edit ActiveX Control v19.3

Enumerations Object

Description

Enumerations used by the Syntax Edit control.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Syntax Edit ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

AboutBox Method

Syntax

Public Sub AboutBox()

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

ColorScheme Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property ColorScheme() As String

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

SyntaxScheme
ColorScheme
bScheme
bColors
See Also Syntax Edit ActiveX Control v19.3

SetSyntaxAndColorScheme Method

Description

2nd (optional) param - string with Color Scheme, 3rd (optional) param - bool to show or not (default) internal editor with passed Syntax Scheme, 4th (optional) param - bool to show or not (default) internal editor with passed Color Scheme

Syntax

Public Sub SetSyntaxAndColorScheme( _
   ByVal SyntaxScheme As String, _
   Optional ByVal ColorScheme As String = "", _
   Optional ByVal bScheme As Boolean = False, _
   Optional ByVal bColors As Boolean = False _
)

Parameters

SyntaxScheme
ColorScheme
bScheme
bColors

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

See Also Syntax Edit ActiveX Control v19.3

SyntaxScheme Property

Property type

Read-write property

Syntax (Visual Basic)

Public Property SyntaxScheme() As String

See Also

SyntaxEditFrame Control


%%PageItemTitle%%

SyntaxEditFrame Control

SyntaxSet
See Also Syntax Edit ActiveX Control v19.3

SyntaxSet Method

Syntax

Public Sub SyntaxSet( _
   ByVal SyntaxSet As String _
)

Parameters

SyntaxSet

See Also

SyntaxEditFrame Control


%%Phrase%%

Task Panel ActiveX Control v19.3

References

Copyright (c) 1998-2020 Codejock Technologies. All rights reserved.


%%PageItemTitle%%

Enumerations Members

See Also Task Panel ActiveX Control v19.3

Enumerations Object

Description

Enumerations used to specify various styles and settings for the components of the TaskPanel.

For a list of all members defined in this module, see Enumerations members.

See Also

Enumerations Members


%%PageItemTitle%% $$Members$$

Enumerations Overview

See Also Task Panel ActiveX Control v19.3

Enumerations Object Members

See Also

Enumerations Overview